/*===========================================================================*/
/*   (Llib/block_ciphers.scm)                                                */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -unsafe -safee -copt -fPIC -copt -IPosix Llib/block_ciphers.scm -o objs/block_ciphers.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_blockzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   long BgL_blockzd2siza7ez75;
   long BgL_preferredzd2keyzd2lengthz00;
   obj_t BgL_encryptz12z12;
   obj_t BgL_decryptz12z12;
   obj_t BgL_keyzd2ze3encryptzd2paramze3;
   obj_t BgL_keyzd2ze3decryptzd2paramze3;
} *BgL_blockzd2cipherzd2_bglt;

typedef struct BgL_cipherzd2statezd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_cipherzd2statezd2_bglt;

typedef struct BgL_ecbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2encryptzd2_bglt;

typedef struct BgL_ecbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2decryptzd2_bglt;

typedef struct BgL_cbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2encryptzd2_bglt;

typedef struct BgL_cbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2decryptzd2_bglt;

typedef struct BgL_pcbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2encryptzd2_bglt;

typedef struct BgL_pcbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2decryptzd2_bglt;

typedef struct BgL_streamzd2cipherzd2statez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_streamzd2cipherzd2statez00_bglt;

typedef struct BgL_cfbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2encryptzd2_bglt;

typedef struct BgL_cfbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2decryptzd2_bglt;

typedef struct BgL_ofbz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_ofbz00_bglt;

typedef struct BgL_ctrz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_noncez00;
   obj_t BgL_noncezd2strzd2;
   long BgL_blockzd2counterzd2;
   obj_t BgL_noncezd2initz12zc0;
   obj_t BgL_noncezd2updatez12zc0;
} *BgL_ctrz00_bglt;

typedef struct BgL_cipherzd2modezd2statez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_encryptzf3zf3;
   long BgL_blockzd2siza7ez75;
   struct BgL_cipherzd2statezd2_bgl * BgL_cipherzd2statezd2;
   obj_t BgL_ivzd2actionzd2;
   obj_t BgL_ivz00;
   obj_t BgL_padzf2unpadzf2;
   obj_t BgL_loopzd2bufferzd2;
   long BgL_posz00;
} *BgL_cipherzd2modezd2statez00_bglt;


static obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1326za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1330za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3anonymousza32149ze33279ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32009ze33278ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3anonymousza32250ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00();
BGL_EXPORTED_DECL obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2IVzd2initz121305za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t, BgL_blockzd2cipherzd2_bglt);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3anonymousza32270ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32149ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00();
BGL_EXPORTED_DECL obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32183ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32290ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3anonymousza32347ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62zc3anonymousza32471ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, BgL_cipherzd2modezd2statez00_bglt, long, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1318za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1322za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2308z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1344z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62lambda2314z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2315z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2319z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2320z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00();
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1324z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2328z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1328z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_rgc_blit_string(obj_t, char *, long, long);
static obj_t BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2335z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2339z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2179z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2340z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2181z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long);
static BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2345z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2187z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2188z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2353z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2192z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2193z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2355z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2197z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1309zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2370z62zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2376z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2381z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_ofbz00_bglt BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static BgL_ofbz00_bglt BGl_z62lambda2390z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2396z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1336zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32009ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long, long, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1312za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1314za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1342zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1348zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1354zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32310ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1316z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
extern obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1320z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1332z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1338z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1334za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32330ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_z62zc3anonymousza32225ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1340za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1350z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, bool_t);
static obj_t BGl_z62zc3anonymousza32260ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32407ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz121307z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32442ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1352za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1346za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62zc3anonymousza32372ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32357ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3anonymousza32464ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2202z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2203z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2207z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2208z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32392ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda2212z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2217z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2223z62zz__cryptozd2blockzd2ciphersz00(obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2229z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT bool_t rgc_buffer_eof_p(obj_t);
static obj_t BGl_z62lambda2230z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2234z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2235z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2239z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_z62lambda2240z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2405z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2246z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2248z62zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_EXPORTED_DECL BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2411z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2416z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2417z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2256z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2258z62zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2421z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2422z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2426z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2266z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2268z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2431z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2432z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2274z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2438z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32488ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2279z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2440z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2446z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2288z62zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2451z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2452z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2294z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2457z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2299z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2462z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2475z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2480z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2481z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 93 ] ;


extern obj_t BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3916z00, BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza700za7za7__c3917za7, opt_generic_entry, BGl__decryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3918z00, BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3919za7, BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2fileza73920z00, opt_generic_entry, BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3921z00, BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2portza73922z00, opt_generic_entry, BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3923z00, BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2sendc3924za7, opt_generic_entry, BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3901z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3925za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1338z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3902z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3926za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1340za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3903z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3927za7, BGl_z62dozd2cipherzd2partialzd2bl1342zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3904z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3928za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2O1344z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3905z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3929za7, BGl_z62dozd2cipherzd2blockz12zd2OFB1346za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3906z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3930za7, BGl_z62dozd2cipherzd2partialzd2bl1348zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3907z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3931za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1350z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3908z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3932za7, BGl_z62dozd2cipherzd2blockz12zd2CTR1352za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3909z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3933za7, BGl_z62dozd2cipherzd2partialzd2bl1354zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3760z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2188za7623934z00, BGl_z62lambda2188z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3761z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2187za7623935z00, BGl_z62lambda2187z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3762z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2193za7623936z00, BGl_z62lambda2193z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3763z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2192za7623937z00, BGl_z62lambda2192z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3764z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2198za7623938z00, BGl_z62lambda2198z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3765z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2197za7623939z00, BGl_z62lambda2197z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3766z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2203za7623940z00, BGl_z62lambda2203z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3767z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2202za7623941z00, BGl_z62lambda2202z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3768z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2208za7623942z00, BGl_z62lambda2208z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3769z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2207za7623943z00, BGl_z62lambda2207z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3770z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2213za7623944z00, BGl_z62lambda2213z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3771z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2212za7623945z00, BGl_z62lambda2212z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3772z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2218za7623946z00, BGl_z62lambda2218z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3773z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2217za7623947z00, BGl_z62lambda2217z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3774z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza73948za7, BGl_z62zc3anonymousza32183ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3775z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2181za7623949z00, BGl_z62lambda2181z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3776z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2179za7623950z00, BGl_z62lambda2179z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3777z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2230za7623951z00, BGl_z62lambda2230z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3778z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2229za7623952z00, BGl_z62lambda2229z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3779z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2235za7623953z00, BGl_z62lambda2235z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3780z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2234za7623954z00, BGl_z62lambda2234z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3781z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2240za7623955z00, BGl_z62lambda2240z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3782z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2239za7623956z00, BGl_z62lambda2239z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2fileza73957z00, opt_generic_entry, BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3783z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza73958za7, BGl_z62zc3anonymousza32225ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3784z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2223za7623959z00, BGl_z62lambda2223z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3785z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza73960za7, BGl_z62zc3anonymousza32250ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3873z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3873za700za7za7_3961za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3786z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2248za7623962z00, BGl_z62lambda2248z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3787z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2246za7623963z00, BGl_z62lambda2246z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3875z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3875za700za7za7_3964za7, "do-cipher-IV-init!1305", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3788z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza73965za7, BGl_z62zc3anonymousza32260ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3789z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2258za7623966z00, BGl_z62lambda2258z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3877z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3877za700za7za7_3967za7, "do-cipher-block!1307", 20 );
DEFINE_STRING( BGl_string3879z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3879za700za7za7_3968za7, "do-cipher-partial-bl1309", 24 );
extern obj_t BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3790z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2256za7623969z00, BGl_z62lambda2256z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3791z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2275za7623970z00, BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3792z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2274za7623971z00, BGl_z62lambda2274z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3880z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3880za700za7za7_3972za7, "Internal Error: Could not find method for state", 47 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3793z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2280za7623973z00, BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3881z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3881za700za7za7_3974za7, "&do-cipher-IV-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3794z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2279za7623975z00, BGl_z62lambda2279z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3882z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3882za700za7za7_3976za7, "Cipher-State", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3795z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza73977za7, BGl_z62zc3anonymousza32270ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3883z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3883za700za7za7_3978za7, "&do-cipher-block!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3796z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2268za7623979z00, BGl_z62lambda2268z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3884za700za7za7_3980za7, "&do-cipher-partial-block!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3797z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2266za7623981z00, BGl_z62lambda2266z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3798z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2295za7623982z00, BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3886z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3886za700za7za7_3983za7, "do-cipher-block!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3799z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2294za7623984z00, BGl_z62lambda2294z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3889z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3889za700za7za7_3985za7, "do-cipher-IV-init!", 18 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2mmapza7d3986za7, BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3987za7, BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2portza73988z00, opt_generic_entry, BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2strin3989za7, opt_generic_entry, BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3990z00, BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2string3991z00, BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2cipherz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762registerza7d2ci3992z00, BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3993z00, BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_blockzd2cipherzd2descriptionzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762blockza7d2ciphe3994z00, BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_BGL_L_PROCEDURE(BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2portza7d3995za7, BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2mmapza73996z00, opt_generic_entry, BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762writeza7d2portza73997za7, BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3998z00, BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STRING( BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3718za700za7za7_3999za7, "/builddir/build/BUILD/bigloo4.3f/api/crypto/src/Llib/block_ciphers.scm", 70 );
DEFINE_STRING( BGl_string3719z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3719za700za7za7_4000za7, "&default-nonce-init!", 20 );
DEFINE_STRING( BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3720za700za7za7_4001za7, "bstring", 7 );
DEFINE_STRING( BGl_string3721z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3721za700za7za7_4002za7, "&default-nonce-update!", 22 );
DEFINE_STRING( BGl_string3722z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3722za700za7za7_4003za7, "Internal Error. Unexpected IV-action", 36 );
DEFINE_STRING( BGl_string3723z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3723za700za7za7_4004za7, "Could not read IV", 17 );
DEFINE_STRING( BGl_string3724z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3724za700za7za7_4005za7, "Message size must be a multiple of block-size", 45 );
DEFINE_STRING( BGl_string3725z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3725za700za7za7_4006za7, "Unknown cipher mode", 19 );
DEFINE_STRING( BGl_string3726z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3726za700za7za7_4007za7, "Invalid padding mode", 20 );
DEFINE_STRING( BGl_string3727z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3727za700za7za7_4008za7, "IV vector is too small", 22 );
DEFINE_STRING( BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3728za700za7za7_4009za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3729za700za7za7_4010za7, "_encrypt", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3800z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2300za7624011z00, BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3801z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2299za7624012z00, BGl_z62lambda2299z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3802z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74013za7, BGl_z62zc3anonymousza32290ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3803z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2288za7624014z00, BGl_z62lambda2288z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3804z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2286za7624015z00, BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3805z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2315za7624016z00, BGl_z62lambda2315z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3730za700za7za7_4017za7, "bint", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3806z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2314za7624018z00, BGl_z62lambda2314z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3731za700za7za7_4019za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3807z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2320za7624020z00, BGl_z62lambda2320z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3732z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3732za700za7za7_4021za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3808z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2319za7624022z00, BGl_z62lambda2319z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3733za700za7za7_4023za7, "wrong number of arguments: [3..9] expected, provided", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3809z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74024za7, BGl_z62zc3anonymousza32310ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3734za700za7za7_4025za7, "_encrypt-string", 15 );
DEFINE_STRING( BGl_string3735z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3735za700za7za7_4026za7, "&encrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3736za700za7za7_4027za7, "_encrypt-mmap", 13 );
DEFINE_STRING( BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3737za700za7za7_4028za7, "mmap", 4 );
DEFINE_STRING( BGl_string3738z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3738za700za7za7_4029za7, "&encrypt-fast-mmap", 18 );
DEFINE_STRING( BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3739za700za7za7_4030za7, "_encrypt-port", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3810z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2308za7624031z00, BGl_z62lambda2308z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3811z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2306za7624032z00, BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3812z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2335za7624033z00, BGl_z62lambda2335z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3900z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3900za700za7za7_4034za7, "do-cipher-partial-block!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3813z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2334za7624035z00, BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3814z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2340za7624036z00, BGl_z62lambda2340z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3815z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2339za7624037z00, BGl_z62lambda2339z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3740za700za7za7_4038za7, "input-port", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3816z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74039za7, BGl_z62zc3anonymousza32330ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3741z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3741za700za7za7_4040za7, "&encrypt-fast-port", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3817z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2328za7624041z00, BGl_z62lambda2328z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3742za700za7za7_4042za7, "_encrypt-file", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3818z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2326za7624043z00, BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3743za700za7za7_4044za7, "Could not open file", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3819z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74045za7, BGl_z62zc3anonymousza32347ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3744za700za7za7_4046za7, "_encrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3745z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3745za700za7za7_4047za7, "output-port", 11 );
DEFINE_STRING( BGl_string3746z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3746za700za7za7_4048za7, "wrong number of arguments: [4..10] expected, provided", 53 );
DEFINE_STRING( BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3747za700za7za7_4049za7, "_decrypt", 8 );
DEFINE_STRING( BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3748za700za7za7_4050za7, "_decrypt-string", 15 );
DEFINE_STRING( BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3749za700za7za7_4051za7, "&decrypt-fast-string", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2sendc4052za7, opt_generic_entry, BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3820z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2345za7624053z00, BGl_z62lambda2345z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3821z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2362za7624054z00, BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3822z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2361za7624055z00, BGl_z62lambda2361z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3910z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3910za700za7za7_4056za7, "__crypto-block-ciphers", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3823z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74057za7, BGl_z62zc3anonymousza32357ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3911z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3911za700za7za7_4058za7, "cipher-IV-init en/decrypt-block en/decrypt-partial-block unspecified _ Cipher-Mode-State pos loop-buffer pad/unpad symbol IV-action cipher-state bool encrypt? CTR nonce-update! nonce-init! block-counter nonce-str nonce OFB CFB-Decrypt CFB-Encrypt Stream-Cipher-State PCBC-Decrypt PCBC-Encrypt CBC-Decrypt CBC-Encrypt chain buffer ECB-Decrypt ECB-Encrypt Cipher-State obj param cipher __crypto-block-ciphers Block-Cipher key->decrypt-param key->encrypt-param decrypt! procedure encrypt! preferred-key-length long block-size bstring name block-cipher-description decrypt-sendchars decrypt-file decrypt-file::bstring decrypt-port::bstring decrypt-mmap::bstring decrypt-string::bstring decrypt::bstring encrypt-sendchars encrypt-file encrypt-file::bstring encrypt-port::bstring encrypt-mmap::bstring encrypt-string::bstring :string->key :pad :nonce-update! :nonce-init! :mode :IV encrypt::bstring (:IV :mode :nonce-init! :nonce-update! :pad :string->key) encryption zero pkcs7 iso-10126 ansi-x.923 bit none encrypt ctr ofb pcbc "
"cbc cfb ecb decrypt decrypt-input! IV read encrypt-input! do-nothing done write init ", 1109 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3824z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2355za7624059z00, BGl_z62lambda2355z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3825z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2353za7624060z00, BGl_z62lambda2353z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3750za700za7za7_4061za7, "_decrypt-mmap", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3826z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2377za7624062z00, BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3751z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3751za700za7za7_4063za7, "&decrypt-fast-mmap", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3827z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2376za7624064z00, BGl_z62lambda2376z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3752za700za7za7_4065za7, "_decrypt-port", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3828z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2382za7624066z00, BGl_z62lambda2382z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3753za700za7za7_4067za7, "&decrypt-fast-port", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3829z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2381za7624068z00, BGl_z62lambda2381z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3754za700za7za7_4069za7, "_decrypt-file", 13 );
DEFINE_STRING( BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3755za700za7za7_4070za7, "_decrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3756za700za7za7_4071za7, "&register-cipher!", 17 );
DEFINE_STRING( BGl_string3757z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3757za700za7za7_4072za7, "Block-Cipher", 12 );
DEFINE_STRING( BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3758za700za7za7_4073za7, "Could not find cipher", 21 );
DEFINE_STRING( BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3759za700za7za7_4074za7, "&block-cipher-description", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non4075z00, BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3830z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74076za7, BGl_z62zc3anonymousza32372ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3831z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2370za7624077z00, BGl_z62lambda2370z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3832z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2368za7624078z00, BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3833z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2397za7624079z00, BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3834z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2396za7624080z00, BGl_z62lambda2396z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3835z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74081za7, BGl_z62zc3anonymousza32392ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3836z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2390za7624082z00, BGl_z62lambda2390z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3837z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2388za7624083z00, BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3838z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2412za7624084z00, BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3839z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2411za7624085z00, BGl_z62lambda2411z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3840z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2417za7624086z00, BGl_z62lambda2417z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3841z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2416za7624087z00, BGl_z62lambda2416z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3842z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2422za7624088z00, BGl_z62lambda2422z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3843z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2421za7624089z00, BGl_z62lambda2421z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3844z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2427za7624090z00, BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3845z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2426za7624091z00, BGl_z62lambda2426z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3846z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2432za7624092z00, BGl_z62lambda2432z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3847z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2431za7624093z00, BGl_z62lambda2431z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3848z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74094za7, BGl_z62zc3anonymousza32407ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3849z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2405za7624095z00, BGl_z62lambda2405z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2mmapza74096z00, opt_generic_entry, BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3850z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2403za7624097z00, BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4098za7, BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3851z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2447za7624099z00, BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3852z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2446za7624100z00, BGl_z62lambda2446z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3853z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2452za7624101z00, BGl_z62lambda2452z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3854z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2451za7624102z00, BGl_z62lambda2451z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3855z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2457za7624103z00, BGl_z62lambda2457z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3856z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2456za7624104z00, BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3857z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74105za7, BGl_z62zc3anonymousza32464ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3858z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2463za7624106z00, BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3859z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2462za7624107z00, BGl_z62lambda2462z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3860z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74108za7, BGl_z62zc3anonymousza32471ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3861z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2470za7624109z00, BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3862z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2469za7624110z00, BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3863z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2476za7624111z00, BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3864z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2475za7624112z00, BGl_z62lambda2475z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3865z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2481za7624113z00, BGl_z62lambda2481z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3866z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2480za7624114z00, BGl_z62lambda2480z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3867z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74115za7, BGl_z62zc3anonymousza32488ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3868z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2487za7624116z00, BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3869z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2486za7624117z00, BGl_z62lambda2486z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3870z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3anonymousza74118za7, BGl_z62zc3anonymousza32442ze3ze1zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3871z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2440za7624119z00, BGl_z62lambda2440z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3872z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2438za7624120z00, BGl_z62lambda2438z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3874z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4121za7, BGl_z62dozd2cipherzd2IVzd2initz121305za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3876z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4122za7, BGl_z62dozd2cipherzd2blockz121307z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3878z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4123za7, BGl_z62dozd2cipherzd2partialzd2bl1309zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
extern obj_t BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3885z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4124za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1312za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3887z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4125za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1314za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3888z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4126za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1316z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3890z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4127za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1318za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3891z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4128za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1320z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3892z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4129za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1322za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3893z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4130za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1324z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3894z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4131za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1326za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3895z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4132za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1328z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3896z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4133za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1330za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3897z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4134za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1332z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3898z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4135za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1334za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3899z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4136za7, BGl_z62dozd2cipherzd2partialzd2bl1336zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2strin4137za7, opt_generic_entry, BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza700za7za7__c4138za7, opt_generic_entry, BGl__encryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CTRz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_OFBz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long BgL_checksumz00_6647, char * BgL_fromz00_6648)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-block-ciphers"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_cportz00_6069;
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_stringz00_6077;
BgL_stringz00_6077 = BGl_string3911z00zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_startz00_6078;
BgL_startz00_6078 = 
BINT(((long)0)); 
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_endz00_6079;
BgL_endz00_6079 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_6077))); 
{ /* Llib/block_ciphers.scm 1 */

BgL_cportz00_6069 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_6077, BgL_startz00_6078, BgL_endz00_6079); } } } } 
{ 
long BgL_iz00_6070;
BgL_iz00_6070 = ((long)92); 
BgL_loopz00_6071:
if(
(BgL_iz00_6070==((long)-1)))
{ /* Llib/block_ciphers.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_arg3913z00_6073;
{ /* Llib/block_ciphers.scm 1 */

{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_locationz00_6075;
BgL_locationz00_6075 = 
BBOOL(((bool_t)0)); 
{ /* Llib/block_ciphers.scm 1 */

BgL_arg3913z00_6073 = 
BGl_readz00zz__readerz00(BgL_cportz00_6069, BgL_locationz00_6075); } } } 
{ /* Llib/block_ciphers.scm 1 */
int BgL_tmpz00_6685;
BgL_tmpz00_6685 = 
(int)(BgL_iz00_6070); 
CNST_TABLE_SET(BgL_tmpz00_6685, BgL_arg3913z00_6073); } } 
{ /* Llib/block_ciphers.scm 1 */
int BgL_auxz00_6076;
BgL_auxz00_6076 = 
(int)(
(BgL_iz00_6070-((long)1))); 
{ 
long BgL_iz00_6690;
BgL_iz00_6690 = 
(long)(BgL_auxz00_6076); 
BgL_iz00_6070 = BgL_iz00_6690; 
goto BgL_loopz00_6071;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BNIL, BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* &read-string-at! */
obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4868, obj_t BgL_strz00_4869, long BgL_strzd2poszd2_4870, obj_t BgL_tozd2strzd2_4871, long BgL_tozd2poszd2_4872, long BgL_lenz00_4873)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 142 */
{ /* Llib/block_ciphers.scm 143 */
long BgL_tmpz00_6693;
{ /* Llib/block_ciphers.scm 143 */
long BgL_strzd2lenzd2_6089;
BgL_strzd2lenzd2_6089 = 
STRING_LENGTH(
((obj_t)BgL_strz00_4869)); 
{ /* Llib/block_ciphers.scm 143 */

if(
(
(BgL_strzd2poszd2_4870+BgL_lenz00_4873)<=BgL_strzd2lenzd2_6089))
{ /* Llib/block_ciphers.scm 144 */
blit_string(
((obj_t)BgL_strz00_4869), BgL_strzd2poszd2_4870, BgL_tozd2strzd2_4871, BgL_tozd2poszd2_4872, BgL_lenz00_4873); 
BgL_tmpz00_6693 = BgL_lenz00_4873; }  else 
{ /* Llib/block_ciphers.scm 148 */
long BgL_remainingzd2lenzd2_6093;
BgL_remainingzd2lenzd2_6093 = 
(BgL_strzd2lenzd2_6089-BgL_strzd2poszd2_4870); 
blit_string(
((obj_t)BgL_strz00_4869), BgL_strzd2poszd2_4870, BgL_tozd2strzd2_4871, BgL_tozd2poszd2_4872, BgL_remainingzd2lenzd2_6093); 
BgL_tmpz00_6693 = BgL_remainingzd2lenzd2_6093; } } } 
return 
BINT(BgL_tmpz00_6693);} } 
BGL_FUNCTION_END;
}



/* &read-mmap-at! */
obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4874, obj_t BgL_mmapz00_4875, long BgL_mmapzd2poszd2_4876, obj_t BgL_tozd2strzd2_4877, long BgL_tozd2poszd2_4878, long BgL_lenz00_4879)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 151 */
{ /* Llib/block_ciphers.scm 152 */
long BgL_tmpz00_6705;
{ 
long BgL_lenz00_6095;
BgL_lenz00_6095 = BgL_lenz00_4879; 
BgL_readzd2mmapzd2atz12z12_6094:
{ /* Llib/block_ciphers.scm 152 */
long BgL_mmapzd2lenzd2_6096;
{ /* Llib/block_ciphers.scm 152 */
long BgL_res2661z00_6097;
{ /* Llib/block_ciphers.scm 152 */
obj_t BgL_tmpz00_6706;
BgL_tmpz00_6706 = 
((obj_t)BgL_mmapz00_4875); 
BgL_res2661z00_6097 = 
BGL_MMAP_LENGTH(BgL_tmpz00_6706); } 
BgL_mmapzd2lenzd2_6096 = BgL_res2661z00_6097; } 
if(
(BgL_lenz00_6095==((long)0)))
{ /* Llib/block_ciphers.scm 154 */
BgL_tmpz00_6705 = ((long)0)
; }  else 
{ /* Llib/block_ciphers.scm 155 */
bool_t BgL_testz00_6711;
{ /* Llib/block_ciphers.scm 155 */
long BgL_n2z00_6098;
BgL_n2z00_6098 = 
(long)(BgL_mmapzd2lenzd2_6096); 
BgL_testz00_6711 = 
(
(BgL_mmapzd2poszd2_4876+BgL_lenz00_6095)>BgL_n2z00_6098); } 
if(BgL_testz00_6711)
{ /* Llib/block_ciphers.scm 156 */
long BgL_arg1560z00_6099;
{ /* Llib/block_ciphers.scm 156 */
long BgL_za71za7_6100;
BgL_za71za7_6100 = 
(long)(BgL_mmapzd2lenzd2_6096); 
BgL_arg1560z00_6099 = 
(BgL_za71za7_6100-BgL_mmapzd2poszd2_4876); } 
{ 
long BgL_lenz00_6717;
BgL_lenz00_6717 = BgL_arg1560z00_6099; 
BgL_lenz00_6095 = BgL_lenz00_6717; 
goto BgL_readzd2mmapzd2atz12z12_6094;} }  else 
{ 
long BgL_iz00_6102;
BgL_iz00_6102 = ((long)0); 
BgL_loopz00_6101:
if(
(BgL_iz00_6102==BgL_lenz00_6095))
{ /* Llib/block_ciphers.scm 159 */
BgL_tmpz00_6705 = BgL_lenz00_6095
; }  else 
{ /* Llib/block_ciphers.scm 159 */
{ /* Llib/block_ciphers.scm 162 */
long BgL_arg1563z00_6103;unsigned char BgL_arg1574z00_6104;
BgL_arg1563z00_6103 = 
(BgL_tozd2poszd2_4878+BgL_iz00_6102); 
{ /* Llib/block_ciphers.scm 163 */
long BgL_arg1576z00_6105;
BgL_arg1576z00_6105 = 
(BgL_mmapzd2poszd2_4876+BgL_iz00_6102); 
{ /* Llib/block_ciphers.scm 163 */
unsigned char BgL_res2671z00_6106;
{ /* Llib/block_ciphers.scm 163 */
long BgL_iz00_6107;
BgL_iz00_6107 = 
(long)(BgL_arg1576z00_6105); 
{ /* Llib/block_ciphers.scm 163 */
unsigned char BgL_cz00_6108;
{ /* Llib/block_ciphers.scm 163 */
obj_t BgL_tmpz00_6723;
BgL_tmpz00_6723 = 
((obj_t)BgL_mmapz00_4875); 
BgL_cz00_6108 = 
BGL_MMAP_REF(BgL_tmpz00_6723, BgL_iz00_6107); } 
{ /* Llib/block_ciphers.scm 163 */
long BgL_arg1622z00_6109;
BgL_arg1622z00_6109 = 
(BgL_iz00_6107+((long)1)); 
{ /* Llib/block_ciphers.scm 163 */
long BgL_res2670z00_6110;
{ /* Llib/block_ciphers.scm 163 */
obj_t BgL_tmpz00_6727;
BgL_tmpz00_6727 = 
((obj_t)BgL_mmapz00_4875); 
BGL_MMAP_RP_SET(BgL_tmpz00_6727, BgL_arg1622z00_6109); } BUNSPEC; 
BgL_res2670z00_6110 = BgL_arg1622z00_6109; BgL_res2670z00_6110; } } 
BgL_res2671z00_6106 = BgL_cz00_6108; } } 
BgL_arg1574z00_6104 = BgL_res2671z00_6106; } } 
STRING_SET(BgL_tozd2strzd2_4877, BgL_arg1563z00_6103, BgL_arg1574z00_6104); } 
{ 
long BgL_iz00_6731;
BgL_iz00_6731 = 
(BgL_iz00_6102+((long)1)); 
BgL_iz00_6102 = BgL_iz00_6731; 
goto BgL_loopz00_6101;} } } } } } 
return 
BINT(BgL_tmpz00_6705);} } 
BGL_FUNCTION_END;
}



/* &read-port-at! */
obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4880, obj_t BgL_pz00_4881, long BgL_pzd2poszd2_4882, obj_t BgL_tozd2strzd2_4883, long BgL_tozd2poszd2_4884, long BgL_lenz00_4885)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 165 */
{ /* Llib/block_ciphers.scm 166 */
obj_t BgL_nz00_6115;
{ /* Llib/block_ciphers.scm 166 */
long BgL_nz00_6116;
BgL_nz00_6116 = 
bgl_rgc_blit_string(BgL_pz00_4881, 
BSTRING_TO_STRING(BgL_tozd2strzd2_4883), BgL_tozd2poszd2_4884, BgL_lenz00_4885); 
{ /* Llib/block_ciphers.scm 166 */
bool_t BgL_testz00_6736;
if(
(BgL_nz00_6116==((long)0)))
{ /* Llib/block_ciphers.scm 166 */
BgL_testz00_6736 = 
rgc_buffer_eof_p(BgL_pz00_4881)
; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_testz00_6736 = ((bool_t)0)
; } 
if(BgL_testz00_6736)
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_6115 = BEOF; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_6115 = 
BINT(BgL_nz00_6116); } } } 
{ /* Llib/block_ciphers.scm 167 */
bool_t BgL_testz00_6741;
{ /* Llib/block_ciphers.scm 167 */
bool_t BgL_res2674z00_6117;
BgL_res2674z00_6117 = 
EOF_OBJECTP(BgL_nz00_6115); 
BgL_testz00_6741 = BgL_res2674z00_6117; } 
if(BgL_testz00_6741)
{ /* Llib/block_ciphers.scm 167 */
return 
BINT(((long)0));}  else 
{ /* Llib/block_ciphers.scm 167 */
return BgL_nz00_6115;} } } } 
BGL_FUNCTION_END;
}



/* &write-port-at! */
obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4886, obj_t BgL_fromz00_4887, obj_t BgL_fromzd2poszd2_4888, obj_t BgL_pz00_4889, obj_t BgL_pzd2poszd2_4890, obj_t BgL_lenz00_4891)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 171 */
{ /* Llib/block_ciphers.scm 173 */
bool_t BgL_tmpz00_6744;
{ /* Llib/block_ciphers.scm 173 */
long BgL_fromzd2poszd2_6118;
BgL_fromzd2poszd2_6118 = 
(long)CINT(BgL_fromzd2poszd2_4888); 
{ 
long BgL_iz00_6121;
BgL_iz00_6121 = ((long)0); 
BgL_loopz00_6120:
if(
(BgL_iz00_6121==
(long)CINT(BgL_lenz00_4891)))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6744 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 173 */
{ /* Llib/block_ciphers.scm 174 */
unsigned char BgL_arg1605z00_6122;
BgL_arg1605z00_6122 = 
STRING_REF(
((obj_t)BgL_fromz00_4887), 
(BgL_fromzd2poszd2_6118+BgL_iz00_6121)); 
{ /* Llib/block_ciphers.scm 174 */
obj_t BgL_tmpz00_6752;
BgL_tmpz00_6752 = 
((obj_t)BgL_pz00_4889); 
bgl_display_char(BgL_arg1605z00_6122, BgL_tmpz00_6752); } } 
{ 
long BgL_iz00_6755;
BgL_iz00_6755 = 
(BgL_iz00_6121+((long)1)); 
BgL_iz00_6121 = BgL_iz00_6755; 
goto BgL_loopz00_6120;} } } } 
return 
BBOOL(BgL_tmpz00_6744);} } 
BGL_FUNCTION_END;
}



/* &default-nonce-init! */
obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4892, obj_t BgL_strz00_4893, obj_t BgL_noncez00_4894)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 189 */
{ /* Llib/block_ciphers.scm 190 */
obj_t BgL_strz00_6123;
if(
STRINGP(BgL_strz00_4893))
{ /* Llib/block_ciphers.scm 190 */
BgL_strz00_6123 = BgL_strz00_4893; }  else 
{ 
obj_t BgL_auxz00_6760;
BgL_auxz00_6760 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6773)), BGl_string3719z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4893); 
FAILURE(BgL_auxz00_6760,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 190 */
long BgL_arg1643z00_6124;
{ /* Llib/block_ciphers.scm 190 */
long BgL_az00_6125;long BgL_bz00_6126;
BgL_az00_6125 = 
STRING_LENGTH(BgL_strz00_6123); 
BgL_bz00_6126 = 
STRING_LENGTH(
((obj_t)BgL_noncez00_4894)); 
if(
(BgL_az00_6125<BgL_bz00_6126))
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1643z00_6124 = BgL_az00_6125; }  else 
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1643z00_6124 = BgL_bz00_6126; } } 
return 
blit_string(
((obj_t)BgL_noncez00_4894), ((long)0), BgL_strz00_6123, ((long)0), BgL_arg1643z00_6124);} } } 
BGL_FUNCTION_END;
}



/* &default-nonce-update! */
obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4895, obj_t BgL_strz00_4896, obj_t BgL_noncez00_4897, obj_t BgL_iz00_4898)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 192 */
{ /* Llib/block_ciphers.scm 193 */
obj_t BgL_strz00_6127;
if(
STRINGP(BgL_strz00_4896))
{ /* Llib/block_ciphers.scm 193 */
BgL_strz00_6127 = BgL_strz00_4896; }  else 
{ 
obj_t BgL_auxz00_6773;
BgL_auxz00_6773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6889)), BGl_string3721z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4896); 
FAILURE(BgL_auxz00_6773,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 193 */
long BgL_g1157z00_6128;
BgL_g1157z00_6128 = 
(
STRING_LENGTH(BgL_strz00_6127)-((long)1)); 
{ 
long BgL_iz00_6130;
BgL_iz00_6130 = BgL_g1157z00_6128; 
BgL_loopz00_6129:
if(
(BgL_iz00_6130>=((long)0)))
{ /* Llib/block_ciphers.scm 195 */
long BgL_cz00_6131;
BgL_cz00_6131 = 
(
STRING_REF(BgL_strz00_6127, BgL_iz00_6130)); 
if(
(BgL_cz00_6131==((long)255)))
{ /* Llib/block_ciphers.scm 196 */
STRING_SET(BgL_strz00_6127, BgL_iz00_6130, ((unsigned char)'\000')); 
{ 
long BgL_iz00_6786;
BgL_iz00_6786 = 
(BgL_iz00_6130-((long)1)); 
BgL_iz00_6130 = BgL_iz00_6786; 
goto BgL_loopz00_6129;} }  else 
{ /* Llib/block_ciphers.scm 200 */
unsigned char BgL_tmpz00_6788;
BgL_tmpz00_6788 = 
(
(BgL_cz00_6131+((long)1))); 
return 
STRING_SET(BgL_strz00_6127, BgL_iz00_6130, BgL_tmpz00_6788);} }  else 
{ /* Llib/block_ciphers.scm 194 */
return BFALSE;} } } } } 
BGL_FUNCTION_END;
}



/* create-ECB-state */
BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_enzf2decryptzf2_50, obj_t BgL_paramz00_51, long BgL_blockzd2siza7ez75_52, bool_t BgL_encryptzf3zf3_53)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 223 */
if(BgL_encryptzf3zf3_53)
{ /* Llib/block_ciphers.scm 225 */
BgL_ecbzd2encryptzd2_bglt BgL_new1159z00_496;
{ /* Llib/block_ciphers.scm 228 */
BgL_ecbzd2encryptzd2_bglt BgL_new1158z00_497;
BgL_new1158z00_497 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 228 */
long BgL_arg1661z00_498;
{ /* Llib/block_ciphers.scm 228 */
long BgL_res2691z00_2716;
BgL_res2691z00_2716 = 
BGL_CLASS_INDEX(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1661z00_498 = BgL_res2691z00_2716; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1158z00_497), BgL_arg1661z00_498); } 
{ /* Llib/block_ciphers.scm 228 */
BgL_objectz00_bglt BgL_tmpz00_6797;
BgL_tmpz00_6797 = 
((BgL_objectz00_bglt)BgL_new1158z00_497); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6797, BFALSE); } 
BgL_new1159z00_496 = BgL_new1158z00_497; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1159z00_496)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1159z00_496)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1159z00_496)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1159z00_496);}  else 
{ /* Llib/block_ciphers.scm 229 */
BgL_ecbzd2decryptzd2_bglt BgL_new1161z00_499;
{ /* Llib/block_ciphers.scm 232 */
BgL_ecbzd2decryptzd2_bglt BgL_new1160z00_500;
BgL_new1160z00_500 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 232 */
long BgL_arg1662z00_501;
{ /* Llib/block_ciphers.scm 232 */
long BgL_res2692z00_2720;
BgL_res2692z00_2720 = 
BGL_CLASS_INDEX(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1662z00_501 = BgL_res2692z00_2720; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1160z00_500), BgL_arg1662z00_501); } 
{ /* Llib/block_ciphers.scm 232 */
BgL_objectz00_bglt BgL_tmpz00_6811;
BgL_tmpz00_6811 = 
((BgL_objectz00_bglt)BgL_new1160z00_500); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6811, BFALSE); } 
BgL_new1161z00_499 = BgL_new1160z00_500; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1161z00_499)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1161z00_499)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1161z00_499)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1161z00_499);} } 
BGL_FUNCTION_END;
}



/* create-CBC-encryption-state */
BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_64, obj_t BgL_paramz00_65, long BgL_blockzd2siza7ez75_66)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 242 */
{ /* Llib/block_ciphers.scm 243 */
BgL_cbczd2encryptzd2_bglt BgL_new1165z00_502;
{ /* Llib/block_ciphers.scm 246 */
BgL_cbczd2encryptzd2_bglt BgL_new1164z00_507;
BgL_new1164z00_507 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 246 */
long BgL_arg1664z00_508;
{ /* Llib/block_ciphers.scm 246 */
long BgL_res2693z00_2724;
BgL_res2693z00_2724 = 
BGL_CLASS_INDEX(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1664z00_508 = BgL_res2693z00_2724; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1164z00_507), BgL_arg1664z00_508); } 
{ /* Llib/block_ciphers.scm 246 */
BgL_objectz00_bglt BgL_tmpz00_6825;
BgL_tmpz00_6825 = 
((BgL_objectz00_bglt)BgL_new1164z00_507); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6825, BFALSE); } 
BgL_new1165z00_502 = BgL_new1164z00_507; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_502)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_66),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_502)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_64),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1165z00_502)))->BgL_paramz00)=((obj_t)BgL_paramz00_65),BUNSPEC); 
{ 
obj_t BgL_auxz00_6834;
{ /* Llib/block_ciphers.scm 247 */

{ /* Llib/block_ciphers.scm 247 */
obj_t BgL_res2694z00_2728;
BgL_res2694z00_2728 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); 
BgL_auxz00_6834 = BgL_res2694z00_2728; } } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1165z00_502))->BgL_bufferz00)=((obj_t)BgL_auxz00_6834),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6837;
{ /* Llib/block_ciphers.scm 248 */

{ /* Llib/block_ciphers.scm 248 */
obj_t BgL_res2695z00_2730;
BgL_res2695z00_2730 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); 
BgL_auxz00_6837 = BgL_res2695z00_2730; } } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1165z00_502))->BgL_chainz00)=((obj_t)BgL_auxz00_6837),BUNSPEC); } 
return BgL_new1165z00_502;} } 
BGL_FUNCTION_END;
}



/* create-CBC-decryption-state */
BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_74, obj_t BgL_paramz00_75, long BgL_blockzd2siza7ez75_76)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 259 */
{ /* Llib/block_ciphers.scm 260 */
BgL_cbczd2decryptzd2_bglt BgL_new1169z00_509;
{ /* Llib/block_ciphers.scm 263 */
BgL_cbczd2decryptzd2_bglt BgL_new1168z00_514;
BgL_new1168z00_514 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 263 */
long BgL_arg1665z00_515;
{ /* Llib/block_ciphers.scm 263 */
long BgL_res2696z00_2732;
BgL_res2696z00_2732 = 
BGL_CLASS_INDEX(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1665z00_515 = BgL_res2696z00_2732; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_514), BgL_arg1665z00_515); } 
{ /* Llib/block_ciphers.scm 263 */
BgL_objectz00_bglt BgL_tmpz00_6844;
BgL_tmpz00_6844 = 
((BgL_objectz00_bglt)BgL_new1168z00_514); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6844, BFALSE); } 
BgL_new1169z00_509 = BgL_new1168z00_514; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1169z00_509)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_76),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1169z00_509)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_74),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1169z00_509)))->BgL_paramz00)=((obj_t)BgL_paramz00_75),BUNSPEC); 
{ 
obj_t BgL_auxz00_6853;
{ /* Llib/block_ciphers.scm 264 */

{ /* Llib/block_ciphers.scm 264 */
obj_t BgL_res2697z00_2736;
BgL_res2697z00_2736 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); 
BgL_auxz00_6853 = BgL_res2697z00_2736; } } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1169z00_509))->BgL_bufferz00)=((obj_t)BgL_auxz00_6853),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6856;
{ /* Llib/block_ciphers.scm 265 */

{ /* Llib/block_ciphers.scm 265 */
obj_t BgL_res2698z00_2738;
BgL_res2698z00_2738 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); 
BgL_auxz00_6856 = BgL_res2698z00_2738; } } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1169z00_509))->BgL_chainz00)=((obj_t)BgL_auxz00_6856),BUNSPEC); } 
return BgL_new1169z00_509;} } 
BGL_FUNCTION_END;
}



/* create-PCBC-encryption-state */
BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_84, obj_t BgL_paramz00_85, long BgL_blockzd2siza7ez75_86)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 280 */
{ /* Llib/block_ciphers.scm 281 */
BgL_pcbczd2encryptzd2_bglt BgL_new1173z00_516;
{ /* Llib/block_ciphers.scm 285 */
BgL_pcbczd2encryptzd2_bglt BgL_new1172z00_521;
BgL_new1172z00_521 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 285 */
long BgL_arg1667z00_522;
{ /* Llib/block_ciphers.scm 285 */
long BgL_res2699z00_2740;
BgL_res2699z00_2740 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1667z00_522 = BgL_res2699z00_2740; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1172z00_521), BgL_arg1667z00_522); } 
{ /* Llib/block_ciphers.scm 285 */
BgL_objectz00_bglt BgL_tmpz00_6863;
BgL_tmpz00_6863 = 
((BgL_objectz00_bglt)BgL_new1172z00_521); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6863, BFALSE); } 
BgL_new1173z00_516 = BgL_new1172z00_521; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1173z00_516)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_86),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1173z00_516)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_84),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1173z00_516)))->BgL_paramz00)=((obj_t)BgL_paramz00_85),BUNSPEC); 
{ 
obj_t BgL_auxz00_6872;
{ /* Llib/block_ciphers.scm 282 */

{ /* Llib/block_ciphers.scm 282 */
obj_t BgL_res2700z00_2744;
BgL_res2700z00_2744 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); 
BgL_auxz00_6872 = BgL_res2700z00_2744; } } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1173z00_516))->BgL_bufferz00)=((obj_t)BgL_auxz00_6872),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6875;
{ /* Llib/block_ciphers.scm 286 */

{ /* Llib/block_ciphers.scm 286 */
obj_t BgL_res2701z00_2746;
BgL_res2701z00_2746 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); 
BgL_auxz00_6875 = BgL_res2701z00_2746; } } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1173z00_516))->BgL_chainz00)=((obj_t)BgL_auxz00_6875),BUNSPEC); } 
return BgL_new1173z00_516;} } 
BGL_FUNCTION_END;
}



/* create-PCBC-decryption-state */
BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_94, obj_t BgL_paramz00_95, long BgL_blockzd2siza7ez75_96)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 298 */
{ /* Llib/block_ciphers.scm 299 */
BgL_pcbczd2decryptzd2_bglt BgL_new1177z00_523;
{ /* Llib/block_ciphers.scm 303 */
BgL_pcbczd2decryptzd2_bglt BgL_new1176z00_528;
BgL_new1176z00_528 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 303 */
long BgL_arg1670z00_529;
{ /* Llib/block_ciphers.scm 303 */
long BgL_res2702z00_2748;
BgL_res2702z00_2748 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1670z00_529 = BgL_res2702z00_2748; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_528), BgL_arg1670z00_529); } 
{ /* Llib/block_ciphers.scm 303 */
BgL_objectz00_bglt BgL_tmpz00_6882;
BgL_tmpz00_6882 = 
((BgL_objectz00_bglt)BgL_new1176z00_528); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6882, BFALSE); } 
BgL_new1177z00_523 = BgL_new1176z00_528; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1177z00_523)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_96),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1177z00_523)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_94),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1177z00_523)))->BgL_paramz00)=((obj_t)BgL_paramz00_95),BUNSPEC); 
{ 
obj_t BgL_auxz00_6891;
{ /* Llib/block_ciphers.scm 300 */

{ /* Llib/block_ciphers.scm 300 */
obj_t BgL_res2703z00_2752;
BgL_res2703z00_2752 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); 
BgL_auxz00_6891 = BgL_res2703z00_2752; } } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1177z00_523))->BgL_bufferz00)=((obj_t)BgL_auxz00_6891),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6894;
{ /* Llib/block_ciphers.scm 304 */

{ /* Llib/block_ciphers.scm 304 */
obj_t BgL_res2704z00_2754;
BgL_res2704z00_2754 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); 
BgL_auxz00_6894 = BgL_res2704z00_2754; } } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1177z00_523))->BgL_chainz00)=((obj_t)BgL_auxz00_6894),BUNSPEC); } 
return BgL_new1177z00_523;} } 
BGL_FUNCTION_END;
}



/* create-CFB-encryption-state */
BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_104, obj_t BgL_paramz00_105, long BgL_blockzd2siza7ez75_106)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 318 */
{ /* Llib/block_ciphers.scm 319 */
BgL_cfbzd2encryptzd2_bglt BgL_new1181z00_530;
{ /* Llib/block_ciphers.scm 322 */
BgL_cfbzd2encryptzd2_bglt BgL_new1180z00_533;
BgL_new1180z00_533 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 322 */
long BgL_arg1671z00_534;
{ /* Llib/block_ciphers.scm 322 */
long BgL_res2705z00_2756;
BgL_res2705z00_2756 = 
BGL_CLASS_INDEX(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1671z00_534 = BgL_res2705z00_2756; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1180z00_533), BgL_arg1671z00_534); } 
{ /* Llib/block_ciphers.scm 322 */
BgL_objectz00_bglt BgL_tmpz00_6901;
BgL_tmpz00_6901 = 
((BgL_objectz00_bglt)BgL_new1180z00_533); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6901, BFALSE); } 
BgL_new1181z00_530 = BgL_new1180z00_533; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1181z00_530)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_106),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1181z00_530)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_104),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1181z00_530)))->BgL_paramz00)=((obj_t)BgL_paramz00_105),BUNSPEC); 
{ 
obj_t BgL_auxz00_6910;
{ /* Llib/block_ciphers.scm 323 */

{ /* Llib/block_ciphers.scm 323 */
obj_t BgL_res2706z00_2760;
BgL_res2706z00_2760 = 
make_string(BgL_blockzd2siza7ez75_106, ((unsigned char)' ')); 
BgL_auxz00_6910 = BgL_res2706z00_2760; } } 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1181z00_530))->BgL_chainz00)=((obj_t)BgL_auxz00_6910),BUNSPEC); } 
return BgL_new1181z00_530;} } 
BGL_FUNCTION_END;
}



/* create-CFB-decryption-state */
BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_121, obj_t BgL_paramz00_122, long BgL_blockzd2siza7ez75_123)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 341 */
{ /* Llib/block_ciphers.scm 342 */
BgL_cfbzd2decryptzd2_bglt BgL_new1186z00_535;
{ /* Llib/block_ciphers.scm 346 */
BgL_cfbzd2decryptzd2_bglt BgL_new1185z00_540;
BgL_new1185z00_540 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 346 */
long BgL_arg1672z00_541;
{ /* Llib/block_ciphers.scm 346 */
long BgL_res2707z00_2762;
BgL_res2707z00_2762 = 
BGL_CLASS_INDEX(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1672z00_541 = BgL_res2707z00_2762; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1185z00_540), BgL_arg1672z00_541); } 
{ /* Llib/block_ciphers.scm 346 */
BgL_objectz00_bglt BgL_tmpz00_6917;
BgL_tmpz00_6917 = 
((BgL_objectz00_bglt)BgL_new1185z00_540); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6917, BFALSE); } 
BgL_new1186z00_535 = BgL_new1185z00_540; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1186z00_535)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_123),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1186z00_535)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_121),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1186z00_535)))->BgL_paramz00)=((obj_t)BgL_paramz00_122),BUNSPEC); 
{ 
obj_t BgL_auxz00_6926;
{ /* Llib/block_ciphers.scm 343 */

{ /* Llib/block_ciphers.scm 343 */
obj_t BgL_res2708z00_2766;
BgL_res2708z00_2766 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); 
BgL_auxz00_6926 = BgL_res2708z00_2766; } } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1186z00_535))->BgL_bufferz00)=((obj_t)BgL_auxz00_6926),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6929;
{ /* Llib/block_ciphers.scm 347 */

{ /* Llib/block_ciphers.scm 347 */
obj_t BgL_res2709z00_2768;
BgL_res2709z00_2768 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); 
BgL_auxz00_6929 = BgL_res2709z00_2768; } } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1186z00_535))->BgL_chainz00)=((obj_t)BgL_auxz00_6929),BUNSPEC); } 
return BgL_new1186z00_535;} } 
BGL_FUNCTION_END;
}



/* create-OFB-state */
BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_138, obj_t BgL_paramz00_139, long BgL_blockzd2siza7ez75_140)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 369 */
{ /* Llib/block_ciphers.scm 370 */
BgL_ofbz00_bglt BgL_new1191z00_542;
{ /* Llib/block_ciphers.scm 373 */
BgL_ofbz00_bglt BgL_new1190z00_545;
BgL_new1190z00_545 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 373 */
long BgL_arg1673z00_546;
{ /* Llib/block_ciphers.scm 373 */
long BgL_res2710z00_2770;
BgL_res2710z00_2770 = 
BGL_CLASS_INDEX(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1673z00_546 = BgL_res2710z00_2770; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_545), BgL_arg1673z00_546); } 
{ /* Llib/block_ciphers.scm 373 */
BgL_objectz00_bglt BgL_tmpz00_6936;
BgL_tmpz00_6936 = 
((BgL_objectz00_bglt)BgL_new1190z00_545); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6936, BFALSE); } 
BgL_new1191z00_542 = BgL_new1190z00_545; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1191z00_542)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_140),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1191z00_542)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_138),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1191z00_542)))->BgL_paramz00)=((obj_t)BgL_paramz00_139),BUNSPEC); 
{ 
obj_t BgL_auxz00_6945;
{ /* Llib/block_ciphers.scm 374 */

{ /* Llib/block_ciphers.scm 374 */
obj_t BgL_res2711z00_2774;
BgL_res2711z00_2774 = 
make_string(BgL_blockzd2siza7ez75_140, ((unsigned char)' ')); 
BgL_auxz00_6945 = BgL_res2711z00_2774; } } 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1191z00_542))->BgL_chainz00)=((obj_t)BgL_auxz00_6945),BUNSPEC); } 
return BgL_new1191z00_542;} } 
BGL_FUNCTION_END;
}



/* create-CTR-state */
BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_155, obj_t BgL_paramz00_156, obj_t BgL_noncezd2initz12zc0_157, obj_t BgL_noncezd2updatez12zc0_158, long BgL_blockzd2siza7ez75_159)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 394 */
{ /* Llib/block_ciphers.scm 397 */
BgL_ctrz00_bglt BgL_new1196z00_547;
{ /* Llib/block_ciphers.scm 405 */
BgL_ctrz00_bglt BgL_new1195z00_550;
BgL_new1195z00_550 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 405 */
long BgL_arg1674z00_551;
{ /* Llib/block_ciphers.scm 405 */
long BgL_res2712z00_2776;
BgL_res2712z00_2776 = 
BGL_CLASS_INDEX(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1674z00_551 = BgL_res2712z00_2776; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_550), BgL_arg1674z00_551); } 
{ /* Llib/block_ciphers.scm 405 */
BgL_objectz00_bglt BgL_tmpz00_6952;
BgL_tmpz00_6952 = 
((BgL_objectz00_bglt)BgL_new1195z00_550); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6952, BFALSE); } 
BgL_new1196z00_547 = BgL_new1195z00_550; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1196z00_547)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_159),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1196z00_547)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_155),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1196z00_547)))->BgL_paramz00)=((obj_t)BgL_paramz00_156),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1196z00_547))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
obj_t BgL_auxz00_6962;
{ /* Llib/block_ciphers.scm 401 */

{ /* Llib/block_ciphers.scm 401 */
obj_t BgL_res2713z00_2780;
BgL_res2713z00_2780 = 
make_string(BgL_blockzd2siza7ez75_159, ((unsigned char)' ')); 
BgL_auxz00_6962 = BgL_res2713z00_2780; } } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1196z00_547))->BgL_noncezd2strzd2)=((obj_t)BgL_auxz00_6962),BUNSPEC); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1196z00_547))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1196z00_547))->BgL_noncezd2initz12zc0)=((obj_t)BgL_noncezd2initz12zc0_157),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1196z00_547))->BgL_noncezd2updatez12zc0)=((obj_t)BgL_noncezd2updatez12zc0_158),BUNSPEC); 
return BgL_new1196z00_547;} } 
BGL_FUNCTION_END;
}



/* encrypt-input! */
long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_174, obj_t BgL_fromz00_175, long BgL_fromzd2poszd2_176, obj_t BgL_readzd2atz12zc0_177, obj_t BgL_toz00_178, long BgL_tozd2poszd2_179, obj_t BgL_writezd2atz12zc0_180)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 433 */
{ /* Llib/block_ciphers.scm 439 */
obj_t BgL_casezd2valuezd2_553;
BgL_casezd2valuezd2_553 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)1))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); 
{ /* Llib/block_ciphers.scm 443 */
obj_t BgL_arg1686z00_560;long BgL_arg1687z00_561;
BgL_arg1686z00_560 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00); 
BgL_arg1687z00_561 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_arg1686z00_560, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_tozd2poszd2_179), 
BINT(BgL_arg1687z00_561), BEOA); } 
BgL_tozd2poszd2_179 = 
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 439 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 446 */
obj_t BgL_arg1690z00_564;
BgL_arg1690z00_564 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string3722z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1690z00_564); } } } } 
{ /* Llib/block_ciphers.scm 450 */
obj_t BgL_bufferz00_565;obj_t BgL_padz00_566;
BgL_bufferz00_565 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_loopzd2bufferzd2); 
BgL_padz00_566 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_padzf2unpadzf2); 
{ 
long BgL_iz00_568;
BgL_iz00_568 = ((long)0); 
BgL_zc3anonymousza31691ze3z83_569:
{ /* Llib/block_ciphers.scm 453 */
obj_t BgL_nbzd2copiedzd2_570;
{ /* Llib/block_ciphers.scm 453 */
long BgL_arg1749z00_595;long BgL_arg1750z00_596;
BgL_arg1749z00_595 = 
(BgL_fromzd2poszd2_176+BgL_iz00_568); 
BgL_arg1750z00_596 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_570 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_177)(BgL_readzd2atz12zc0_177, BgL_fromz00_175, BgL_arg1749z00_595, BgL_bufferz00_565, ((long)0), BgL_arg1750z00_596); } 
{ /* Llib/block_ciphers.scm 457 */
bool_t BgL_testz00_7015;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 457 */
if(
CBOOL(BgL_padz00_566))
{ /* Llib/block_ciphers.scm 457 */
BgL_testz00_7015 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_testz00_7015 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_testz00_7015 = ((bool_t)0)
; } 
if(BgL_testz00_7015)
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)==((long)0)))
{ /* Llib/block_ciphers.scm 458 */
return 
(BgL_iz00_568+BgL_tozd2poszd2_179);}  else 
{ /* Llib/block_ciphers.scm 458 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_570)); 
{ /* Llib/block_ciphers.scm 464 */
long BgL_arg1707z00_577;
BgL_arg1707z00_577 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1707z00_577), BgL_nbzd2copiedzd2_570, BEOA); } 
return 
(BgL_iz00_568+
(BgL_tozd2poszd2_179+
(long)CINT(BgL_nbzd2copiedzd2_570)));} }  else 
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 466 */
if(
CBOOL(
PROCEDURE_ENTRY(BgL_padz00_566)(BgL_padz00_566, BgL_bufferz00_565, BgL_nbzd2copiedzd2_570, BEOA)))
{ /* Llib/block_ciphers.scm 467 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0)); 
{ /* Llib/block_ciphers.scm 470 */
long BgL_arg1720z00_583;long BgL_arg1732z00_584;
BgL_arg1720z00_583 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
BgL_arg1732z00_584 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1720z00_583), 
BINT(BgL_arg1732z00_584), BEOA); } 
return 
(BgL_iz00_568+
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)));}  else 
{ /* Llib/block_ciphers.scm 467 */
return 
(BgL_iz00_568+BgL_tozd2poszd2_179);} }  else 
{ /* Llib/block_ciphers.scm 466 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0)); 
{ /* Llib/block_ciphers.scm 475 */
long BgL_arg1743z00_588;long BgL_arg1744z00_589;
BgL_arg1743z00_588 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
BgL_arg1744z00_589 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1743z00_588), 
BINT(BgL_arg1744z00_589), BEOA); } 
{ 
long BgL_iz00_7088;
BgL_iz00_7088 = 
(BgL_iz00_568+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); 
BgL_iz00_568 = BgL_iz00_7088; 
goto BgL_zc3anonymousza31691ze3z83_569;} } } } } } } } 
BGL_FUNCTION_END;
}



/* decrypt-input! */
long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_181, obj_t BgL_fromz00_182, long BgL_fromzd2poszd2_183, obj_t BgL_readzd2atz12zc0_184, obj_t BgL_toz00_185, long BgL_tozd2poszd2_186, obj_t BgL_writezd2atz12zc0_187)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 479 */
{ /* Llib/block_ciphers.scm 485 */
obj_t BgL_casezd2valuezd2_600;
BgL_casezd2valuezd2_600 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 485 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 488 */
obj_t BgL_nbzd2readzd2_605;
{ /* Llib/block_ciphers.scm 488 */
obj_t BgL_arg1761z00_612;long BgL_arg1762z00_613;
BgL_arg1761z00_612 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_arg1762z00_613 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2readzd2_605 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184)(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_fromzd2poszd2_183, BgL_arg1761z00_612, ((long)0), BgL_arg1762z00_613); } 
if(
(
(long)CINT(BgL_nbzd2readzd2_605)==
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 489 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 489 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string3723z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2readzd2_605); } 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2)); 
BgL_fromzd2poszd2_183 = 
(BgL_fromzd2poszd2_183+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 485 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 496 */
obj_t BgL_arg1764z00_615;
BgL_arg1764z00_615 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string3722z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1764z00_615); } } } } 
{ /* Llib/block_ciphers.scm 504 */
obj_t BgL_bufferz00_616;obj_t BgL_unpadz00_617;obj_t BgL_lastzd2decryptedzd2_618;
BgL_bufferz00_616 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_unpadz00_617 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_padzf2unpadzf2); 
{ /* Llib/block_ciphers.scm 507 */
long BgL_arg1796z00_657;
BgL_arg1796z00_657 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 507 */

BgL_lastzd2decryptedzd2_618 = 
make_string(BgL_arg1796z00_657, ((unsigned char)' ')); } } 
{ 
long BgL_iz00_620;
{ /* Llib/block_ciphers.scm 508 */
obj_t BgL_tmpz00_7133;
BgL_iz00_620 = ((long)0); 
BgL_zc3anonymousza31765ze3z83_621:
{ /* Llib/block_ciphers.scm 509 */
obj_t BgL_nbzd2copiedzd2_622;
{ /* Llib/block_ciphers.scm 509 */
long BgL_arg1794z00_654;long BgL_arg1795z00_655;
BgL_arg1794z00_654 = 
(BgL_fromzd2poszd2_183+BgL_iz00_620); 
BgL_arg1795z00_655 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_622 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184)(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_arg1794z00_654, BgL_bufferz00_616, ((long)0), BgL_arg1795z00_655); } 
{ /* Llib/block_ciphers.scm 513 */
bool_t BgL_testz00_7144;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 513 */
if(
CBOOL(BgL_unpadz00_617))
{ /* Llib/block_ciphers.scm 513 */
BgL_testz00_7144 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_testz00_7144 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_testz00_7144 = ((bool_t)0)
; } 
if(BgL_testz00_7144)
{ /* Llib/block_ciphers.scm 513 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_618, 
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 515 */
BgL_tmpz00_7133 = 
BINT(
(BgL_iz00_620+BgL_tozd2poszd2_186))
; }  else 
{ /* Llib/block_ciphers.scm 515 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_616, ((long)0), BgL_bufferz00_616, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_622)); 
{ /* Llib/block_ciphers.scm 521 */
long BgL_arg1774z00_631;
BgL_arg1774z00_631 = 
(BgL_tozd2poszd2_186+BgL_iz00_620); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187)(BgL_writezd2atz12zc0_187, BgL_bufferz00_616, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1774z00_631), BgL_nbzd2copiedzd2_622, BEOA); } 
BgL_tmpz00_7133 = 
BINT(
(BgL_iz00_620+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_nbzd2copiedzd2_622)))); } }  else 
{ /* Llib/block_ciphers.scm 513 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 525 */
bool_t BgL_testz00_7181;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 525 */
BgL_testz00_7181 = 
(BgL_iz00_620==((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 525 */
BgL_testz00_7181 = ((bool_t)0)
; } 
if(BgL_testz00_7181)
{ /* Llib/block_ciphers.scm 525 */
BgL_tmpz00_7133 = 
BINT(BgL_tozd2poszd2_186)
; }  else 
{ /* Llib/block_ciphers.scm 525 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 528 */
obj_t BgL_plainzd2charszd2_638;
BgL_plainzd2charszd2_638 = 
PROCEDURE_ENTRY(BgL_unpadz00_617)(BgL_unpadz00_617, BgL_lastzd2decryptedzd2_618, BEOA); 
{ /* Llib/block_ciphers.scm 530 */
long BgL_arg1781z00_639;
BgL_arg1781z00_639 = 
(BgL_tozd2poszd2_186+
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187)(BgL_writezd2atz12zc0_187, BgL_lastzd2decryptedzd2_618, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1781z00_639), BgL_plainzd2charszd2_638, BEOA); } 
BgL_tmpz00_7133 = 
BINT(
(
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_plainzd2charszd2_638)))); }  else 
{ /* Llib/block_ciphers.scm 527 */
BgL_tmpz00_7133 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string3724z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2copiedzd2_622)
; } } }  else 
{ /* Llib/block_ciphers.scm 523 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_618, 
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_616, ((long)0), BgL_lastzd2decryptedzd2_618, ((long)0)); 
{ 
long BgL_iz00_7220;
BgL_iz00_7220 = 
(BgL_iz00_620+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); 
BgL_iz00_620 = BgL_iz00_7220; 
goto BgL_zc3anonymousza31765ze3z83_621;} } } } } 
return 
(long)CINT(BgL_tmpz00_7133);} } } } 
BGL_FUNCTION_END;
}



/* write-last-decrypted!~0 */
obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_toz00_5622, obj_t BgL_writezd2atz12zc0_5621, BgL_cipherzd2modezd2statez00_bglt BgL_i1201z00_5620, long BgL_tozd2poszd2_5619, obj_t BgL_lastzd2decryptedzd2_660, long BgL_iz00_661)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 502 */
if(
(BgL_iz00_661<((long)0)))
{ /* Llib/block_ciphers.scm 501 */
return BFALSE;}  else 
{ /* Llib/block_ciphers.scm 502 */
long BgL_arg1799z00_664;long BgL_arg1800z00_665;
BgL_arg1799z00_664 = 
(BgL_tozd2poszd2_5619+BgL_iz00_661); 
BgL_arg1800z00_665 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_i1201z00_5620))->BgL_blockzd2siza7ez75); 
return 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_5621)(BgL_writezd2atz12zc0_5621, BgL_lastzd2decryptedzd2_660, 
BINT(((long)0)), BgL_toz00_5622, 
BINT(BgL_arg1799z00_664), 
BINT(BgL_arg1800z00_665), BEOA);} } 
BGL_FUNCTION_END;
}



/* create-encryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_188, obj_t BgL_passwordz00_189, obj_t BgL_ivz00_190, obj_t BgL_modez00_191, obj_t BgL_padz00_192, obj_t BgL_noncezd2initz12zc0_193, obj_t BgL_noncezd2updatez12zc0_194, obj_t BgL_stringzd2ze3keyz31_195)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 594 */
{ /* Llib/block_ciphers.scm 597 */
BgL_blockzd2cipherzd2_bglt BgL_i1202z00_667;
BgL_i1202z00_667 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_188); 
{ 
obj_t BgL_modez00_719;obj_t BgL_paramz00_720;long BgL_bsz00_721;
{ /* Llib/block_ciphers.scm 615 */
obj_t BgL_keyz00_669;
if(
CBOOL(BgL_stringzd2ze3keyz31_195))
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_669 = 
PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_195)(BgL_stringzd2ze3keyz31_195, BgL_passwordz00_189, BEOA); }  else 
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_669 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_189, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 615 */
obj_t BgL_padzd2proczd2_670;
{ /* Llib/block_ciphers.scm 619 */
bool_t BgL_testz00_7248;
{ /* Llib/block_ciphers.scm 619 */
bool_t BgL__ortest_1205z00_716;
BgL__ortest_1205z00_716 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1205z00_716)
{ /* Llib/block_ciphers.scm 619 */
BgL_testz00_7248 = BgL__ortest_1205z00_716
; }  else 
{ /* Llib/block_ciphers.scm 619 */
bool_t BgL__ortest_1206z00_717;
BgL__ortest_1206z00_717 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1206z00_717)
{ /* Llib/block_ciphers.scm 619 */
BgL_testz00_7248 = BgL__ortest_1206z00_717
; }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_testz00_7248 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_testz00_7248)
{ /* Llib/block_ciphers.scm 619 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)17))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)18))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)19))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)20))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)21))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
PROCEDUREP(BgL_padz00_192))
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_670 = BgL_padz00_192; }  else 
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_670 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string3726z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_192); } } } } } } } }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_padzd2proczd2_670 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 619 */
obj_t BgL_encryptionzd2ivzd2_671;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 634 */
BgL_encryptionzd2ivzd2_671 = BgL_ivz00_190; }  else 
{ /* Llib/block_ciphers.scm 634 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_671 = BFALSE; }  else 
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_671 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_blockzd2siza7ez75), BFALSE); } } 
{ /* Llib/block_ciphers.scm 634 */
obj_t BgL_paramz00_672;
{ /* Llib/block_ciphers.scm 639 */
obj_t BgL_fun1819z00_698;
BgL_fun1819z00_698 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_672 = 
PROCEDURE_ENTRY(BgL_fun1819z00_698)(BgL_fun1819z00_698, BgL_keyz00_669, BEOA); } 
{ /* Llib/block_ciphers.scm 639 */
obj_t BgL_statez00_673;
BgL_modez00_719 = BgL_modez00_191; 
BgL_paramz00_720 = BgL_paramz00_672; 
BgL_bsz00_721 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 602 */
obj_t BgL_arg1833z00_725;
BgL_arg1833z00_725 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1833z00_725, BgL_paramz00_720, BgL_bsz00_721, ((bool_t)1))); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 603 */
obj_t BgL_arg1835z00_727;
BgL_arg1835z00_727 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1835z00_727, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 604 */
obj_t BgL_arg1837z00_729;
BgL_arg1837z00_729 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1837z00_729, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 605 */
obj_t BgL_arg1839z00_731;
BgL_arg1839z00_731 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1839z00_731, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)13))))
{ /* Llib/block_ciphers.scm 606 */
obj_t BgL_arg1841z00_733;
BgL_arg1841z00_733 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1841z00_733, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 607 */
obj_t BgL_arg1843z00_735;obj_t BgL_arg1844z00_736;obj_t BgL_arg1845z00_737;
BgL_arg1843z00_735 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_193))
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1844z00_736 = BgL_noncezd2initz12zc0_193; }  else 
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1844z00_736 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_194))
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1845z00_737 = BgL_noncezd2updatez12zc0_194; }  else 
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1845z00_737 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1843z00_735, BgL_paramz00_720, BgL_arg1844z00_736, BgL_arg1845z00_737, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
BgL_statez00_673 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string3725z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_719); } } } } } } 
{ /* Llib/block_ciphers.scm 640 */

if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 642 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 642 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 643 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 645 */
bool_t BgL_testz00_7342;
if(
STRINGP(BgL_encryptionzd2ivzd2_671))
{ /* Llib/block_ciphers.scm 645 */
if(
(
STRING_LENGTH(BgL_encryptionzd2ivzd2_671)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 646 */
BgL_testz00_7342 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 646 */
BgL_testz00_7342 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 645 */
BgL_testz00_7342 = ((bool_t)1)
; } 
if(BgL_testz00_7342)
{ /* Llib/block_ciphers.scm 649 */
obj_t BgL_arg1810z00_683;
if(
STRINGP(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1810z00_683 = 
BINT(
STRING_LENGTH(BgL_ivz00_190)); }  else 
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1810z00_683 = BgL_ivz00_190; } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)22)), BGl_string3727z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1810z00_683); }  else 
{ /* Llib/block_ciphers.scm 645 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 652 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1209z00_689;
{ /* Llib/block_ciphers.scm 653 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1208z00_695;
BgL_new1208z00_695 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 653 */
long BgL_arg1817z00_696;
{ /* Llib/block_ciphers.scm 653 */
long BgL_res2778z00_2940;
BgL_res2778z00_2940 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1817z00_696 = BgL_res2778z00_2940; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_695), BgL_arg1817z00_696); } 
{ /* Llib/block_ciphers.scm 653 */
BgL_objectz00_bglt BgL_tmpz00_7359;
BgL_tmpz00_7359 = 
((BgL_objectz00_bglt)BgL_new1208z00_695); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7359, BFALSE); } 
BgL_new1209z00_689 = BgL_new1208z00_695; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_encryptzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_673)),BUNSPEC); 
{ 
obj_t BgL_auxz00_7367;
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 657 */
BgL_auxz00_7367 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
bool_t BgL_testz00_7372;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 658 */
BgL_testz00_7372 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_testz00_7372 = 
CBOOL(BgL_encryptionzd2ivzd2_671)
; } 
if(BgL_testz00_7372)
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_7367 = 
CNST_TABLE_REF(((long)1))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_7367 = 
CNST_TABLE_REF(((long)0))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7367),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_ivz00)=((obj_t)BgL_encryptionzd2ivzd2_671),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzd2proczd2_670),BUNSPEC); 
{ 
obj_t BgL_auxz00_7381;
{ /* Llib/block_ciphers.scm 662 */
long BgL_arg1816z00_692;
BgL_arg1816z00_692 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1202z00_667))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 662 */

{ /* Llib/block_ciphers.scm 662 */
obj_t BgL_res2779z00_2944;
BgL_res2779z00_2944 = 
make_string(BgL_arg1816z00_692, ((unsigned char)' ')); 
BgL_auxz00_7381 = BgL_res2779z00_2944; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7381),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1209z00_689))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1209z00_689;} } } } } } } } } } 
BGL_FUNCTION_END;
}



/* create-decryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_196, obj_t BgL_passwordz00_197, obj_t BgL_ivz00_198, obj_t BgL_modez00_199, obj_t BgL_padz00_200, obj_t BgL_noncezd2initz12zc0_201, obj_t BgL_noncezd2updatez12zc0_202, obj_t BgL_stringzd2ze3keyz31_203)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 664 */
{ /* Llib/block_ciphers.scm 667 */
BgL_blockzd2cipherzd2_bglt BgL_i1210z00_741;
BgL_i1210z00_741 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_196); 
{ 
obj_t BgL_modez00_795;obj_t BgL_paramz00_796;long BgL_bsz00_797;
{ /* Llib/block_ciphers.scm 686 */
obj_t BgL_keyz00_743;
if(
CBOOL(BgL_stringzd2ze3keyz31_203))
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_203)(BgL_stringzd2ze3keyz31_203, BgL_passwordz00_197, BEOA); }  else 
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_197, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 686 */
obj_t BgL_unpadzd2proczd2_744;
{ /* Llib/block_ciphers.scm 690 */
bool_t BgL_testz00_7395;
{ /* Llib/block_ciphers.scm 690 */
bool_t BgL__ortest_1213z00_792;
BgL__ortest_1213z00_792 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1213z00_792)
{ /* Llib/block_ciphers.scm 690 */
BgL_testz00_7395 = BgL__ortest_1213z00_792
; }  else 
{ /* Llib/block_ciphers.scm 690 */
bool_t BgL__ortest_1214z00_793;
BgL__ortest_1214z00_793 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1214z00_793)
{ /* Llib/block_ciphers.scm 690 */
BgL_testz00_7395 = BgL__ortest_1214z00_793
; }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_testz00_7395 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_testz00_7395)
{ /* Llib/block_ciphers.scm 690 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)17))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
bool_t BgL_testz00_7410;
{ /* Llib/block_ciphers.scm 692 */
bool_t BgL__ortest_1215z00_790;
BgL__ortest_1215z00_790 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)18))); 
if(BgL__ortest_1215z00_790)
{ /* Llib/block_ciphers.scm 692 */
BgL_testz00_7410 = BgL__ortest_1215z00_790
; }  else 
{ /* Llib/block_ciphers.scm 692 */
bool_t BgL__ortest_1216z00_791;
BgL__ortest_1216z00_791 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1216z00_791)
{ /* Llib/block_ciphers.scm 692 */
BgL_testz00_7410 = BgL__ortest_1216z00_791
; }  else 
{ /* Llib/block_ciphers.scm 692 */
BgL_testz00_7410 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)20)))
; } } } 
if(BgL_testz00_7410)
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)21))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
PROCEDUREP(BgL_padz00_200))
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = BgL_padz00_200; }  else 
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string3726z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_200); } } } } } }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_unpadzd2proczd2_744 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 690 */
obj_t BgL_paramz00_745;
{ /* Llib/block_ciphers.scm 704 */
bool_t BgL_testz00_7426;
{ /* Llib/block_ciphers.scm 704 */
bool_t BgL__ortest_1217z00_776;
BgL__ortest_1217z00_776 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1217z00_776)
{ /* Llib/block_ciphers.scm 704 */
BgL_testz00_7426 = BgL__ortest_1217z00_776
; }  else 
{ /* Llib/block_ciphers.scm 704 */
bool_t BgL__ortest_1218z00_777;
BgL__ortest_1218z00_777 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1218z00_777)
{ /* Llib/block_ciphers.scm 704 */
BgL_testz00_7426 = BgL__ortest_1218z00_777
; }  else 
{ /* Llib/block_ciphers.scm 704 */
BgL_testz00_7426 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_testz00_7426)
{ /* Llib/block_ciphers.scm 705 */
obj_t BgL_fun1864z00_774;
BgL_fun1864z00_774 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_keyzd2ze3decryptzd2paramze3); 
BgL_paramz00_745 = 
PROCEDURE_ENTRY(BgL_fun1864z00_774)(BgL_fun1864z00_774, BgL_keyz00_743, BEOA); }  else 
{ /* Llib/block_ciphers.scm 706 */
obj_t BgL_fun1865z00_775;
BgL_fun1865z00_775 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_745 = 
PROCEDURE_ENTRY(BgL_fun1865z00_775)(BgL_fun1865z00_775, BgL_keyz00_743, BEOA); } } 
{ /* Llib/block_ciphers.scm 704 */
obj_t BgL_statez00_746;
BgL_modez00_795 = BgL_modez00_199; 
BgL_paramz00_796 = BgL_paramz00_745; 
BgL_bsz00_797 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 673 */
obj_t BgL_arg1875z00_801;
BgL_arg1875z00_801 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1875z00_801, BgL_paramz00_796, BgL_bsz00_797, ((bool_t)0))); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 674 */
obj_t BgL_arg1877z00_803;
BgL_arg1877z00_803 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1877z00_803, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 675 */
obj_t BgL_arg1879z00_805;
BgL_arg1879z00_805 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1879z00_805, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 676 */
obj_t BgL_arg1881z00_807;
BgL_arg1881z00_807 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1881z00_807, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)13))))
{ /* Llib/block_ciphers.scm 677 */
obj_t BgL_arg1883z00_809;
BgL_arg1883z00_809 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1883z00_809, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 678 */
obj_t BgL_arg1885z00_811;obj_t BgL_arg1886z00_812;obj_t BgL_arg1887z00_813;
BgL_arg1885z00_811 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_201))
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1886z00_812 = BgL_noncezd2initz12zc0_201; }  else 
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1886z00_812 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_202))
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1887z00_813 = BgL_noncezd2updatez12zc0_202; }  else 
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1887z00_813 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1885z00_811, BgL_paramz00_796, BgL_arg1886z00_812, BgL_arg1887z00_813, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
BgL_statez00_746 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string3725z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_795); } } } } } } 
{ /* Llib/block_ciphers.scm 707 */

if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 709 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 709 */
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 710 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 710 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
bool_t BgL_testz00_7498;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
if(
(
STRING_LENGTH(BgL_ivz00_198)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 714 */
BgL_testz00_7498 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 714 */
BgL_testz00_7498 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 713 */
BgL_testz00_7498 = ((bool_t)1)
; } 
if(BgL_testz00_7498)
{ /* Llib/block_ciphers.scm 717 */
obj_t BgL_arg1855z00_756;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1855z00_756 = 
BINT(
STRING_LENGTH(BgL_ivz00_198)); }  else 
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1855z00_756 = BgL_ivz00_198; } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)22)), BGl_string3727z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1855z00_756); }  else 
{ /* Llib/block_ciphers.scm 713 */BFALSE; } }  else 
{ /* Llib/block_ciphers.scm 711 */
CNST_TABLE_REF(((long)3)); } } } 
{ /* Llib/block_ciphers.scm 720 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1220z00_762;
{ /* Llib/block_ciphers.scm 721 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1219z00_767;
BgL_new1219z00_767 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 721 */
long BgL_arg1861z00_768;
{ /* Llib/block_ciphers.scm 721 */
long BgL_res2795z00_2974;
BgL_res2795z00_2974 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1861z00_768 = BgL_res2795z00_2974; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_767), BgL_arg1861z00_768); } 
{ /* Llib/block_ciphers.scm 721 */
BgL_objectz00_bglt BgL_tmpz00_7516;
BgL_tmpz00_7516 = 
((BgL_objectz00_bglt)BgL_new1219z00_767); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7516, BFALSE); } 
BgL_new1220z00_762 = BgL_new1219z00_767; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_746)),BUNSPEC); 
{ 
obj_t BgL_auxz00_7524;
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 725 */
BgL_auxz00_7524 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 725 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7524 = 
CNST_TABLE_REF(((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7524 = 
CNST_TABLE_REF(((long)5))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7524),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_ivz00)=((obj_t)BgL_ivz00_198),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_padzf2unpadzf2)=((obj_t)BgL_unpadzd2proczd2_744),BUNSPEC); 
{ 
obj_t BgL_auxz00_7536;
{ /* Llib/block_ciphers.scm 730 */
long BgL_arg1860z00_764;
BgL_arg1860z00_764 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1210z00_741))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 730 */

{ /* Llib/block_ciphers.scm 730 */
obj_t BgL_res2796z00_2978;
BgL_res2796z00_2978 = 
make_string(BgL_arg1860z00_764, ((unsigned char)' ')); 
BgL_auxz00_7536 = BgL_res2796z00_2978; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7536),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1220z00_762))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1220z00_762;} } } } } } } } } 
BGL_FUNCTION_END;
}



/* _encrypt */
obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_214, obj_t BgL_opt1355z00_213)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_cipherz00_821;obj_t BgL_plainz00_822;obj_t BgL_passwordz00_823;
BgL_cipherz00_821 = 
VECTOR_REF(BgL_opt1355z00_213,((long)0)); 
BgL_plainz00_822 = 
VECTOR_REF(BgL_opt1355z00_213,((long)1)); 
BgL_passwordz00_823 = 
VECTOR_REF(BgL_opt1355z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_ivz00_824;
BgL_ivz00_824 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
obj_t BgL_modez00_825;
BgL_modez00_825 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2initz12zc0_826;
BgL_noncezd2initz12zc0_826 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2updatez12zc0_827;
BgL_noncezd2updatez12zc0_827 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
obj_t BgL_padz00_828;
BgL_padz00_828 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_stringzd2ze3keyz31_829;
BgL_stringzd2ze3keyz31_829 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */

{ 
long BgL_iz00_830;
BgL_iz00_830 = ((long)3); 
BgL_check1358z00_831:
if(
(BgL_iz00_830==
VECTOR_LENGTH(BgL_opt1355z00_213)))
{ /* Llib/block_ciphers.scm 736 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7549;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_arg1893z00_837;
BgL_arg1893z00_837 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_iz00_830); 
BgL_testz00_7549 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1893z00_837, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_7549)
{ 
long BgL_iz00_7554;
BgL_iz00_7554 = 
(BgL_iz00_830+((long)2)); 
BgL_iz00_830 = BgL_iz00_7554; 
goto BgL_check1358z00_831;}  else 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_arg1892z00_836;
BgL_arg1892z00_836 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_iz00_830); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)24)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1892z00_836); } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1360z00_838;
BgL_index1360z00_838 = 
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1355z00_213), BgL_opt1355z00_213, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7562;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3001;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7563;
if(
INTEGERP(BgL_index1360z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7563 = BgL_index1360z00_838
; }  else 
{ 
obj_t BgL_auxz00_7566;
BgL_auxz00_7566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1360z00_838); 
FAILURE(BgL_auxz00_7566,BFALSE,BFALSE);} 
BgL_n1z00_3001 = 
(long)CINT(BgL_tmpz00_7563); } 
BgL_testz00_7562 = 
(BgL_n1z00_3001>=((long)0)); } 
if(BgL_testz00_7562)
{ 
long BgL_auxz00_7572;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7573;
if(
INTEGERP(BgL_index1360z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7573 = BgL_index1360z00_838
; }  else 
{ 
obj_t BgL_auxz00_7576;
BgL_auxz00_7576 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1360z00_838); 
FAILURE(BgL_auxz00_7576,BFALSE,BFALSE);} 
BgL_auxz00_7572 = 
(long)CINT(BgL_tmpz00_7573); } 
BgL_ivz00_824 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_auxz00_7572); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1361z00_840;
BgL_index1361z00_840 = 
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1355z00_213), BgL_opt1355z00_213, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7585;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3003;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7586;
if(
INTEGERP(BgL_index1361z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7586 = BgL_index1361z00_840
; }  else 
{ 
obj_t BgL_auxz00_7589;
BgL_auxz00_7589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1361z00_840); 
FAILURE(BgL_auxz00_7589,BFALSE,BFALSE);} 
BgL_n1z00_3003 = 
(long)CINT(BgL_tmpz00_7586); } 
BgL_testz00_7585 = 
(BgL_n1z00_3003>=((long)0)); } 
if(BgL_testz00_7585)
{ 
long BgL_auxz00_7595;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7596;
if(
INTEGERP(BgL_index1361z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7596 = BgL_index1361z00_840
; }  else 
{ 
obj_t BgL_auxz00_7599;
BgL_auxz00_7599 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1361z00_840); 
FAILURE(BgL_auxz00_7599,BFALSE,BFALSE);} 
BgL_auxz00_7595 = 
(long)CINT(BgL_tmpz00_7596); } 
BgL_modez00_825 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_auxz00_7595); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1362z00_842;
BgL_index1362z00_842 = 
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1355z00_213), BgL_opt1355z00_213, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7608;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3005;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7609;
if(
INTEGERP(BgL_index1362z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7609 = BgL_index1362z00_842
; }  else 
{ 
obj_t BgL_auxz00_7612;
BgL_auxz00_7612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1362z00_842); 
FAILURE(BgL_auxz00_7612,BFALSE,BFALSE);} 
BgL_n1z00_3005 = 
(long)CINT(BgL_tmpz00_7609); } 
BgL_testz00_7608 = 
(BgL_n1z00_3005>=((long)0)); } 
if(BgL_testz00_7608)
{ 
long BgL_auxz00_7618;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7619;
if(
INTEGERP(BgL_index1362z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7619 = BgL_index1362z00_842
; }  else 
{ 
obj_t BgL_auxz00_7622;
BgL_auxz00_7622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1362z00_842); 
FAILURE(BgL_auxz00_7622,BFALSE,BFALSE);} 
BgL_auxz00_7618 = 
(long)CINT(BgL_tmpz00_7619); } 
BgL_noncezd2initz12zc0_826 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_auxz00_7618); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1363z00_844;
BgL_index1363z00_844 = 
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1355z00_213), BgL_opt1355z00_213, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7631;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3007;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7632;
if(
INTEGERP(BgL_index1363z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7632 = BgL_index1363z00_844
; }  else 
{ 
obj_t BgL_auxz00_7635;
BgL_auxz00_7635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1363z00_844); 
FAILURE(BgL_auxz00_7635,BFALSE,BFALSE);} 
BgL_n1z00_3007 = 
(long)CINT(BgL_tmpz00_7632); } 
BgL_testz00_7631 = 
(BgL_n1z00_3007>=((long)0)); } 
if(BgL_testz00_7631)
{ 
long BgL_auxz00_7641;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7642;
if(
INTEGERP(BgL_index1363z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7642 = BgL_index1363z00_844
; }  else 
{ 
obj_t BgL_auxz00_7645;
BgL_auxz00_7645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1363z00_844); 
FAILURE(BgL_auxz00_7645,BFALSE,BFALSE);} 
BgL_auxz00_7641 = 
(long)CINT(BgL_tmpz00_7642); } 
BgL_noncezd2updatez12zc0_827 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_auxz00_7641); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1364z00_846;
BgL_index1364z00_846 = 
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1355z00_213), BgL_opt1355z00_213, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7654;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3009;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7655;
if(
INTEGERP(BgL_index1364z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7655 = BgL_index1364z00_846
; }  else 
{ 
obj_t BgL_auxz00_7658;
BgL_auxz00_7658 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1364z00_846); 
FAILURE(BgL_auxz00_7658,BFALSE,BFALSE);} 
BgL_n1z00_3009 = 
(long)CINT(BgL_tmpz00_7655); } 
BgL_testz00_7654 = 
(BgL_n1z00_3009>=((long)0)); } 
if(BgL_testz00_7654)
{ 
long BgL_auxz00_7664;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7665;
if(
INTEGERP(BgL_index1364z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7665 = BgL_index1364z00_846
; }  else 
{ 
obj_t BgL_auxz00_7668;
BgL_auxz00_7668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1364z00_846); 
FAILURE(BgL_auxz00_7668,BFALSE,BFALSE);} 
BgL_auxz00_7664 = 
(long)CINT(BgL_tmpz00_7665); } 
BgL_padz00_828 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_auxz00_7664); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1365z00_848;
BgL_index1365z00_848 = 
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1355z00_213), BgL_opt1355z00_213, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_testz00_7677;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3011;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7678;
if(
INTEGERP(BgL_index1365z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7678 = BgL_index1365z00_848
; }  else 
{ 
obj_t BgL_auxz00_7681;
BgL_auxz00_7681 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1365z00_848); 
FAILURE(BgL_auxz00_7681,BFALSE,BFALSE);} 
BgL_n1z00_3011 = 
(long)CINT(BgL_tmpz00_7678); } 
BgL_testz00_7677 = 
(BgL_n1z00_3011>=((long)0)); } 
if(BgL_testz00_7677)
{ 
long BgL_auxz00_7687;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7688;
if(
INTEGERP(BgL_index1365z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7688 = BgL_index1365z00_848
; }  else 
{ 
obj_t BgL_auxz00_7691;
BgL_auxz00_7691 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1365z00_848); 
FAILURE(BgL_auxz00_7691,BFALSE,BFALSE);} 
BgL_auxz00_7687 = 
(long)CINT(BgL_tmpz00_7688); } 
BgL_stringzd2ze3keyz31_829 = 
VECTOR_REF(BgL_opt1355z00_213,BgL_auxz00_7687); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_arg1900z00_850;obj_t BgL_arg1901z00_851;obj_t BgL_arg1902z00_852;
BgL_arg1900z00_850 = 
VECTOR_REF(BgL_opt1355z00_213,((long)0)); 
BgL_arg1901z00_851 = 
VECTOR_REF(BgL_opt1355z00_213,((long)1)); 
BgL_arg1902z00_852 = 
VECTOR_REF(BgL_opt1355z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_ivz00_853;
BgL_ivz00_853 = BgL_ivz00_824; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_modez00_854;
BgL_modez00_854 = BgL_modez00_825; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2initz12zc0_855;
BgL_noncezd2initz12zc0_855 = BgL_noncezd2initz12zc0_826; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2updatez12zc0_856;
BgL_noncezd2updatez12zc0_856 = BgL_noncezd2updatez12zc0_827; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_padz00_857;
BgL_padz00_857 = BgL_padz00_828; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_stringzd2ze3keyz31_858;
BgL_stringzd2ze3keyz31_858 = BgL_stringzd2ze3keyz31_829; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_res2813z00_3023;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_cipherz00_3013;obj_t BgL_passwordz00_3014;
if(
SYMBOLP(BgL_arg1900z00_850))
{ /* Llib/block_ciphers.scm 736 */
BgL_cipherz00_3013 = BgL_arg1900z00_850; }  else 
{ 
obj_t BgL_auxz00_7702;
BgL_auxz00_7702 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1900z00_850); 
FAILURE(BgL_auxz00_7702,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1902z00_852))
{ /* Llib/block_ciphers.scm 736 */
BgL_passwordz00_3014 = BgL_arg1902z00_852; }  else 
{ 
obj_t BgL_auxz00_7708;
BgL_auxz00_7708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1902z00_852); 
FAILURE(BgL_auxz00_7708,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 740 */
obj_t BgL_redirectz00_3015;
if(
STRINGP(BgL_arg1901z00_851))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_3015 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_testz00_7714;
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_res2811z00_3020;
BgL_res2811z00_3020 = 
BGL_MMAPP(BgL_arg1901z00_851); 
BgL_testz00_7714 = BgL_res2811z00_3020; } 
if(BgL_testz00_7714)
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_3015 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL_testz00_7716;
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL__ortest_1056z00_3021;
BgL__ortest_1056z00_3021 = 
OUTPUT_PORTP(BgL_arg1901z00_851); 
if(BgL__ortest_1056z00_3021)
{ /* Llib/block_ciphers.scm 743 */
BgL_testz00_7716 = BgL__ortest_1056z00_3021
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_testz00_7716 = 
INPUT_PORTP(BgL_arg1901z00_851)
; } } 
if(BgL_testz00_7716)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_3015 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)15)); 
BgL_redirectz00_3015 = BgL_arg1901z00_851; } } } 
{ /* Llib/block_ciphers.scm 747 */
obj_t BgL_aux3314z00_5657;
{ /* Llib/block_ciphers.scm 747 */
obj_t BgL_tmpz00_7732;
{ /* Llib/block_ciphers.scm 747 */
bool_t BgL_test3313z00_5656;
BgL_test3313z00_5656 = 
PROCEDUREP(BgL_redirectz00_3015); 
if(BgL_test3313z00_5656)
{ /* Llib/block_ciphers.scm 747 */
BgL_tmpz00_7732 = BgL_redirectz00_3015
; }  else 
{ 
obj_t BgL_auxz00_7735;
BgL_auxz00_7735 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27156)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3732z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3015); 
FAILURE(BgL_auxz00_7735,BFALSE,BFALSE);} } 
BgL_aux3314z00_5657 = 
PROCEDURE_ENTRY(BgL_tmpz00_7732)(BgL_redirectz00_3015, BgL_cipherz00_3013, BgL_arg1901z00_851, BgL_passwordz00_3014, BgL_ivz00_853, BgL_modez00_854, BgL_padz00_857, BgL_noncezd2initz12zc0_855, BgL_noncezd2updatez12zc0_856, BgL_stringzd2ze3keyz31_858, BEOA); } 
if(
STRINGP(BgL_aux3314z00_5657))
{ /* Llib/block_ciphers.scm 747 */
BgL_res2813z00_3023 = BgL_aux3314z00_5657; }  else 
{ 
obj_t BgL_auxz00_7741;
BgL_auxz00_7741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27156)), BGl_string3729z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3314z00_5657); 
FAILURE(BgL_auxz00_7741,BFALSE,BFALSE);} } } } 
return BgL_res2813z00_3023;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1357~0 */
obj_t BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1356z00_5618, obj_t BgL_opt1355z00_5617, obj_t BgL_k1z00_818, long BgL_iz00_819)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 736 */
BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_819==BgL_l1356z00_5618))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 736 */
if(
(BgL_iz00_819==
(BgL_l1356z00_5618-((long)1))))
{ /* Llib/block_ciphers.scm 736 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)24)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1355z00_5617)));}  else 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_vz00_863;
BgL_vz00_863 = 
VECTOR_REF(BgL_opt1355z00_5617,BgL_iz00_819); 
if(
(BgL_vz00_863==BgL_k1z00_818))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(
(BgL_iz00_819+((long)1)));}  else 
{ 
long BgL_iz00_7760;
BgL_iz00_7760 = 
(BgL_iz00_819+((long)2)); 
BgL_iz00_819 = BgL_iz00_7760; 
goto BGl_search1357ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* encrypt */
BGL_EXPORTED_DEF obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_204, obj_t BgL_plaintextz00_205, obj_t BgL_passwordz00_206, obj_t BgL_ivz00_207, obj_t BgL_modez00_208, obj_t BgL_noncezd2initz12zc0_209, obj_t BgL_noncezd2updatez12zc0_210, obj_t BgL_padz00_211, obj_t BgL_stringzd2ze3keyz31_212)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 740 */
obj_t BgL_redirectz00_3024;
if(
STRINGP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_3024 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_testz00_7764;
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_res2815z00_3029;
BgL_res2815z00_3029 = 
BGL_MMAPP(BgL_plaintextz00_205); 
BgL_testz00_7764 = BgL_res2815z00_3029; } 
if(BgL_testz00_7764)
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_3024 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL_testz00_7766;
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL__ortest_1056z00_3030;
BgL__ortest_1056z00_3030 = 
OUTPUT_PORTP(BgL_plaintextz00_205); 
if(BgL__ortest_1056z00_3030)
{ /* Llib/block_ciphers.scm 743 */
BgL_testz00_7766 = BgL__ortest_1056z00_3030
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_testz00_7766 = 
INPUT_PORTP(BgL_plaintextz00_205)
; } } 
if(BgL_testz00_7766)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_3024 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)15)); 
BgL_redirectz00_3024 = BgL_plaintextz00_205; } } } 
return 
PROCEDURE_ENTRY(BgL_redirectz00_3024)(BgL_redirectz00_3024, BgL_cipherz00_204, BgL_plaintextz00_205, BgL_passwordz00_206, BgL_ivz00_207, BgL_modez00_208, BgL_padz00_211, BgL_noncezd2initz12zc0_209, BgL_noncezd2updatez12zc0_210, BgL_stringzd2ze3keyz31_212, BEOA);} } 
BGL_FUNCTION_END;
}



/* _encrypt-string */
obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_225, obj_t BgL_opt1366z00_224)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_cipherz00_875;obj_t BgL_plaintextz00_876;obj_t BgL_passwordz00_877;
BgL_cipherz00_875 = 
VECTOR_REF(BgL_opt1366z00_224,((long)0)); 
BgL_plaintextz00_876 = 
VECTOR_REF(BgL_opt1366z00_224,((long)1)); 
BgL_passwordz00_877 = 
VECTOR_REF(BgL_opt1366z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_ivz00_878;
BgL_ivz00_878 = BFALSE; 
{ /* Llib/block_ciphers.scm 751 */
obj_t BgL_modez00_879;
BgL_modez00_879 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2initz12zc0_880;
BgL_noncezd2initz12zc0_880 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2updatez12zc0_881;
BgL_noncezd2updatez12zc0_881 = BFALSE; 
{ /* Llib/block_ciphers.scm 752 */
obj_t BgL_padz00_882;
BgL_padz00_882 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_stringzd2ze3keyz31_883;
BgL_stringzd2ze3keyz31_883 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */

{ 
long BgL_iz00_884;
BgL_iz00_884 = ((long)3); 
BgL_check1369z00_885:
if(
(BgL_iz00_884==
VECTOR_LENGTH(BgL_opt1366z00_224)))
{ /* Llib/block_ciphers.scm 750 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7791;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_arg1918z00_891;
BgL_arg1918z00_891 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_iz00_884); 
BgL_testz00_7791 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1918z00_891, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_7791)
{ 
long BgL_iz00_7796;
BgL_iz00_7796 = 
(BgL_iz00_884+((long)2)); 
BgL_iz00_884 = BgL_iz00_7796; 
goto BgL_check1369z00_885;}  else 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_arg1917z00_890;
BgL_arg1917z00_890 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_iz00_884); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1917z00_890); } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1371z00_892;
BgL_index1371z00_892 = 
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1366z00_224), BgL_opt1366z00_224, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7804;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3054;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7805;
if(
INTEGERP(BgL_index1371z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7805 = BgL_index1371z00_892
; }  else 
{ 
obj_t BgL_auxz00_7808;
BgL_auxz00_7808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_892); 
FAILURE(BgL_auxz00_7808,BFALSE,BFALSE);} 
BgL_n1z00_3054 = 
(long)CINT(BgL_tmpz00_7805); } 
BgL_testz00_7804 = 
(BgL_n1z00_3054>=((long)0)); } 
if(BgL_testz00_7804)
{ 
long BgL_auxz00_7814;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7815;
if(
INTEGERP(BgL_index1371z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7815 = BgL_index1371z00_892
; }  else 
{ 
obj_t BgL_auxz00_7818;
BgL_auxz00_7818 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_892); 
FAILURE(BgL_auxz00_7818,BFALSE,BFALSE);} 
BgL_auxz00_7814 = 
(long)CINT(BgL_tmpz00_7815); } 
BgL_ivz00_878 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_auxz00_7814); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1372z00_894;
BgL_index1372z00_894 = 
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1366z00_224), BgL_opt1366z00_224, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7827;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3056;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7828;
if(
INTEGERP(BgL_index1372z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7828 = BgL_index1372z00_894
; }  else 
{ 
obj_t BgL_auxz00_7831;
BgL_auxz00_7831 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_894); 
FAILURE(BgL_auxz00_7831,BFALSE,BFALSE);} 
BgL_n1z00_3056 = 
(long)CINT(BgL_tmpz00_7828); } 
BgL_testz00_7827 = 
(BgL_n1z00_3056>=((long)0)); } 
if(BgL_testz00_7827)
{ 
long BgL_auxz00_7837;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7838;
if(
INTEGERP(BgL_index1372z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7838 = BgL_index1372z00_894
; }  else 
{ 
obj_t BgL_auxz00_7841;
BgL_auxz00_7841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_894); 
FAILURE(BgL_auxz00_7841,BFALSE,BFALSE);} 
BgL_auxz00_7837 = 
(long)CINT(BgL_tmpz00_7838); } 
BgL_modez00_879 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_auxz00_7837); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1373z00_896;
BgL_index1373z00_896 = 
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1366z00_224), BgL_opt1366z00_224, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7850;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3058;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7851;
if(
INTEGERP(BgL_index1373z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7851 = BgL_index1373z00_896
; }  else 
{ 
obj_t BgL_auxz00_7854;
BgL_auxz00_7854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_896); 
FAILURE(BgL_auxz00_7854,BFALSE,BFALSE);} 
BgL_n1z00_3058 = 
(long)CINT(BgL_tmpz00_7851); } 
BgL_testz00_7850 = 
(BgL_n1z00_3058>=((long)0)); } 
if(BgL_testz00_7850)
{ 
long BgL_auxz00_7860;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7861;
if(
INTEGERP(BgL_index1373z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7861 = BgL_index1373z00_896
; }  else 
{ 
obj_t BgL_auxz00_7864;
BgL_auxz00_7864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_896); 
FAILURE(BgL_auxz00_7864,BFALSE,BFALSE);} 
BgL_auxz00_7860 = 
(long)CINT(BgL_tmpz00_7861); } 
BgL_noncezd2initz12zc0_880 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_auxz00_7860); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1374z00_898;
BgL_index1374z00_898 = 
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1366z00_224), BgL_opt1366z00_224, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7873;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3060;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7874;
if(
INTEGERP(BgL_index1374z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7874 = BgL_index1374z00_898
; }  else 
{ 
obj_t BgL_auxz00_7877;
BgL_auxz00_7877 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_898); 
FAILURE(BgL_auxz00_7877,BFALSE,BFALSE);} 
BgL_n1z00_3060 = 
(long)CINT(BgL_tmpz00_7874); } 
BgL_testz00_7873 = 
(BgL_n1z00_3060>=((long)0)); } 
if(BgL_testz00_7873)
{ 
long BgL_auxz00_7883;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7884;
if(
INTEGERP(BgL_index1374z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7884 = BgL_index1374z00_898
; }  else 
{ 
obj_t BgL_auxz00_7887;
BgL_auxz00_7887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_898); 
FAILURE(BgL_auxz00_7887,BFALSE,BFALSE);} 
BgL_auxz00_7883 = 
(long)CINT(BgL_tmpz00_7884); } 
BgL_noncezd2updatez12zc0_881 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_auxz00_7883); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1375z00_900;
BgL_index1375z00_900 = 
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1366z00_224), BgL_opt1366z00_224, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7896;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3062;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7897;
if(
INTEGERP(BgL_index1375z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7897 = BgL_index1375z00_900
; }  else 
{ 
obj_t BgL_auxz00_7900;
BgL_auxz00_7900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1375z00_900); 
FAILURE(BgL_auxz00_7900,BFALSE,BFALSE);} 
BgL_n1z00_3062 = 
(long)CINT(BgL_tmpz00_7897); } 
BgL_testz00_7896 = 
(BgL_n1z00_3062>=((long)0)); } 
if(BgL_testz00_7896)
{ 
long BgL_auxz00_7906;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7907;
if(
INTEGERP(BgL_index1375z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7907 = BgL_index1375z00_900
; }  else 
{ 
obj_t BgL_auxz00_7910;
BgL_auxz00_7910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1375z00_900); 
FAILURE(BgL_auxz00_7910,BFALSE,BFALSE);} 
BgL_auxz00_7906 = 
(long)CINT(BgL_tmpz00_7907); } 
BgL_padz00_882 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_auxz00_7906); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1376z00_902;
BgL_index1376z00_902 = 
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1366z00_224), BgL_opt1366z00_224, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_testz00_7919;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3064;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7920;
if(
INTEGERP(BgL_index1376z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7920 = BgL_index1376z00_902
; }  else 
{ 
obj_t BgL_auxz00_7923;
BgL_auxz00_7923 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1376z00_902); 
FAILURE(BgL_auxz00_7923,BFALSE,BFALSE);} 
BgL_n1z00_3064 = 
(long)CINT(BgL_tmpz00_7920); } 
BgL_testz00_7919 = 
(BgL_n1z00_3064>=((long)0)); } 
if(BgL_testz00_7919)
{ 
long BgL_auxz00_7929;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7930;
if(
INTEGERP(BgL_index1376z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7930 = BgL_index1376z00_902
; }  else 
{ 
obj_t BgL_auxz00_7933;
BgL_auxz00_7933 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1376z00_902); 
FAILURE(BgL_auxz00_7933,BFALSE,BFALSE);} 
BgL_auxz00_7929 = 
(long)CINT(BgL_tmpz00_7930); } 
BgL_stringzd2ze3keyz31_883 = 
VECTOR_REF(BgL_opt1366z00_224,BgL_auxz00_7929); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_arg1925z00_904;obj_t BgL_arg1926z00_905;obj_t BgL_arg1927z00_906;
BgL_arg1925z00_904 = 
VECTOR_REF(BgL_opt1366z00_224,((long)0)); 
BgL_arg1926z00_905 = 
VECTOR_REF(BgL_opt1366z00_224,((long)1)); 
BgL_arg1927z00_906 = 
VECTOR_REF(BgL_opt1366z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_ivz00_907;
BgL_ivz00_907 = BgL_ivz00_878; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_modez00_908;
BgL_modez00_908 = BgL_modez00_879; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2initz12zc0_909;
BgL_noncezd2initz12zc0_909 = BgL_noncezd2initz12zc0_880; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2updatez12zc0_910;
BgL_noncezd2updatez12zc0_910 = BgL_noncezd2updatez12zc0_881; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_padz00_911;
BgL_padz00_911 = BgL_padz00_882; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_stringzd2ze3keyz31_912;
BgL_stringzd2ze3keyz31_912 = BgL_stringzd2ze3keyz31_883; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_res2830z00_3069;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_cipherz00_3066;obj_t BgL_plaintextz00_3067;obj_t BgL_passwordz00_3068;
if(
SYMBOLP(BgL_arg1925z00_904))
{ /* Llib/block_ciphers.scm 750 */
BgL_cipherz00_3066 = BgL_arg1925z00_904; }  else 
{ 
obj_t BgL_auxz00_7944;
BgL_auxz00_7944 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1925z00_904); 
FAILURE(BgL_auxz00_7944,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1926z00_905))
{ /* Llib/block_ciphers.scm 750 */
BgL_plaintextz00_3067 = BgL_arg1926z00_905; }  else 
{ 
obj_t BgL_auxz00_7950;
BgL_auxz00_7950 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1926z00_905); 
FAILURE(BgL_auxz00_7950,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1927z00_906))
{ /* Llib/block_ciphers.scm 750 */
BgL_passwordz00_3068 = BgL_arg1927z00_906; }  else 
{ 
obj_t BgL_auxz00_7956;
BgL_auxz00_7956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3734z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1927z00_906); 
FAILURE(BgL_auxz00_7956,BFALSE,BFALSE);} 
BgL_res2830z00_3069 = 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3066, BgL_plaintextz00_3067, BgL_passwordz00_3068, BgL_ivz00_907, BgL_modez00_908, BgL_padz00_911, BgL_noncezd2initz12zc0_909, BgL_noncezd2updatez12zc0_910, BgL_stringzd2ze3keyz31_912); } 
return BgL_res2830z00_3069;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1368~0 */
obj_t BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1367z00_5616, obj_t BgL_opt1366z00_5615, obj_t BgL_k1z00_872, long BgL_iz00_873)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 750 */
BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_873==BgL_l1367z00_5616))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 750 */
if(
(BgL_iz00_873==
(BgL_l1367z00_5616-((long)1))))
{ /* Llib/block_ciphers.scm 750 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1366z00_5615)));}  else 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_vz00_917;
BgL_vz00_917 = 
VECTOR_REF(BgL_opt1366z00_5615,BgL_iz00_873); 
if(
(BgL_vz00_917==BgL_k1z00_872))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(
(BgL_iz00_873+((long)1)));}  else 
{ 
long BgL_iz00_7976;
BgL_iz00_7976 = 
(BgL_iz00_873+((long)2)); 
BgL_iz00_873 = BgL_iz00_7976; 
goto BGl_search1368ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* encrypt-string */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_215, obj_t BgL_plaintextz00_216, obj_t BgL_passwordz00_217, obj_t BgL_ivz00_218, obj_t BgL_modez00_219, obj_t BgL_noncezd2initz12zc0_220, obj_t BgL_noncezd2updatez12zc0_221, obj_t BgL_padz00_222, obj_t BgL_stringzd2ze3keyz31_223)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 765 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3071;
BgL_statez00_3071 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_215, BgL_passwordz00_217, BgL_ivz00_218, BgL_modez00_219, BgL_padz00_222, BgL_noncezd2initz12zc0_220, BgL_noncezd2updatez12zc0_221, BgL_stringzd2ze3keyz31_223); 
{ /* Llib/block_ciphers.scm 765 */
long BgL_blockzd2siza7ez75_3072;
BgL_blockzd2siza7ez75_3072 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3071))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
obj_t BgL_strz00_3074;
{ /* Llib/block_ciphers.scm 770 */
long BgL_arg1936z00_3075;
BgL_arg1936z00_3075 = 
(
(((long)2)*BgL_blockzd2siza7ez75_3072)+
STRING_LENGTH(BgL_plaintextz00_216)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_3074 = 
make_string(BgL_arg1936z00_3075, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
long BgL_tmpz00_7984;
BgL_tmpz00_7984 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3071, BgL_plaintextz00_216, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3074, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3074, BgL_tmpz00_7984);} } } } } } 
BGL_FUNCTION_END;
}



/* encrypt-fast-string */
obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_226, obj_t BgL_plaintextz00_227, obj_t BgL_passwordz00_228, obj_t BgL_ivz00_229, obj_t BgL_modez00_230, obj_t BgL_padz00_231, obj_t BgL_noncezd2initz12zc0_232, obj_t BgL_noncezd2updatez12zc0_233, obj_t BgL_stringzd2ze3keyz31_234)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3092;
BgL_statez00_3092 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_226, BgL_passwordz00_228, BgL_ivz00_229, BgL_modez00_230, BgL_padz00_231, BgL_noncezd2initz12zc0_232, BgL_noncezd2updatez12zc0_233, BgL_stringzd2ze3keyz31_234); 
{ /* Llib/block_ciphers.scm 765 */
long BgL_blockzd2siza7ez75_3093;
BgL_blockzd2siza7ez75_3093 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3092))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
obj_t BgL_strz00_3095;
{ /* Llib/block_ciphers.scm 770 */
long BgL_arg1936z00_3096;
BgL_arg1936z00_3096 = 
(
(((long)2)*BgL_blockzd2siza7ez75_3093)+
STRING_LENGTH(BgL_plaintextz00_227)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_3095 = 
make_string(BgL_arg1936z00_3096, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
long BgL_tmpz00_7993;
BgL_tmpz00_7993 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3092, BgL_plaintextz00_227, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3095, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3095, BgL_tmpz00_7993);} } } } } } 
BGL_FUNCTION_END;
}



/* &encrypt-fast-string */
obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4927, obj_t BgL_cipherz00_4928, obj_t BgL_plaintextz00_4929, obj_t BgL_passwordz00_4930, obj_t BgL_ivz00_4931, obj_t BgL_modez00_4932, obj_t BgL_padz00_4933, obj_t BgL_noncezd2initz12zc0_4934, obj_t BgL_noncezd2updatez12zc0_4935, obj_t BgL_stringzd2ze3keyz31_4936)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
obj_t BgL_auxz00_7996;
if(
STRINGP(BgL_plaintextz00_4929))
{ /* Llib/block_ciphers.scm 765 */
BgL_auxz00_7996 = BgL_plaintextz00_4929
; }  else 
{ 
obj_t BgL_auxz00_7999;
BgL_auxz00_7999 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27766)), BGl_string3735z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4929); 
FAILURE(BgL_auxz00_7999,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4928, BgL_auxz00_7996, BgL_passwordz00_4930, BgL_ivz00_4931, BgL_modez00_4932, BgL_padz00_4933, BgL_noncezd2initz12zc0_4934, BgL_noncezd2updatez12zc0_4935, BgL_stringzd2ze3keyz31_4936);} } 
BGL_FUNCTION_END;
}



/* _encrypt-mmap */
obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_245, obj_t BgL_opt1377z00_244)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_cipherz00_935;obj_t BgL_plaintextz00_936;obj_t BgL_passwordz00_937;
BgL_cipherz00_935 = 
VECTOR_REF(BgL_opt1377z00_244,((long)0)); 
BgL_plaintextz00_936 = 
VECTOR_REF(BgL_opt1377z00_244,((long)1)); 
BgL_passwordz00_937 = 
VECTOR_REF(BgL_opt1377z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_ivz00_938;
BgL_ivz00_938 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
obj_t BgL_modez00_939;
BgL_modez00_939 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2initz12zc0_940;
BgL_noncezd2initz12zc0_940 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2updatez12zc0_941;
BgL_noncezd2updatez12zc0_941 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
obj_t BgL_padz00_942;
BgL_padz00_942 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_stringzd2ze3keyz31_943;
BgL_stringzd2ze3keyz31_943 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */

{ 
long BgL_iz00_944;
BgL_iz00_944 = ((long)3); 
BgL_check1380z00_945:
if(
(BgL_iz00_944==
VECTOR_LENGTH(BgL_opt1377z00_244)))
{ /* Llib/block_ciphers.scm 776 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8012;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_arg1944z00_951;
BgL_arg1944z00_951 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_iz00_944); 
BgL_testz00_8012 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1944z00_951, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_8012)
{ 
long BgL_iz00_8017;
BgL_iz00_8017 = 
(BgL_iz00_944+((long)2)); 
BgL_iz00_944 = BgL_iz00_8017; 
goto BgL_check1380z00_945;}  else 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_arg1943z00_950;
BgL_arg1943z00_950 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_iz00_944); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1943z00_950); } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1382z00_952;
BgL_index1382z00_952 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1377z00_244), BgL_opt1377z00_244, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8025;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3135;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8026;
if(
INTEGERP(BgL_index1382z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8026 = BgL_index1382z00_952
; }  else 
{ 
obj_t BgL_auxz00_8029;
BgL_auxz00_8029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_952); 
FAILURE(BgL_auxz00_8029,BFALSE,BFALSE);} 
BgL_n1z00_3135 = 
(long)CINT(BgL_tmpz00_8026); } 
BgL_testz00_8025 = 
(BgL_n1z00_3135>=((long)0)); } 
if(BgL_testz00_8025)
{ 
long BgL_auxz00_8035;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8036;
if(
INTEGERP(BgL_index1382z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8036 = BgL_index1382z00_952
; }  else 
{ 
obj_t BgL_auxz00_8039;
BgL_auxz00_8039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_952); 
FAILURE(BgL_auxz00_8039,BFALSE,BFALSE);} 
BgL_auxz00_8035 = 
(long)CINT(BgL_tmpz00_8036); } 
BgL_ivz00_938 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_auxz00_8035); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1383z00_954;
BgL_index1383z00_954 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1377z00_244), BgL_opt1377z00_244, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8048;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3137;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8049;
if(
INTEGERP(BgL_index1383z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8049 = BgL_index1383z00_954
; }  else 
{ 
obj_t BgL_auxz00_8052;
BgL_auxz00_8052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_954); 
FAILURE(BgL_auxz00_8052,BFALSE,BFALSE);} 
BgL_n1z00_3137 = 
(long)CINT(BgL_tmpz00_8049); } 
BgL_testz00_8048 = 
(BgL_n1z00_3137>=((long)0)); } 
if(BgL_testz00_8048)
{ 
long BgL_auxz00_8058;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8059;
if(
INTEGERP(BgL_index1383z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8059 = BgL_index1383z00_954
; }  else 
{ 
obj_t BgL_auxz00_8062;
BgL_auxz00_8062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_954); 
FAILURE(BgL_auxz00_8062,BFALSE,BFALSE);} 
BgL_auxz00_8058 = 
(long)CINT(BgL_tmpz00_8059); } 
BgL_modez00_939 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_auxz00_8058); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1384z00_956;
BgL_index1384z00_956 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1377z00_244), BgL_opt1377z00_244, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8071;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3139;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8072;
if(
INTEGERP(BgL_index1384z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8072 = BgL_index1384z00_956
; }  else 
{ 
obj_t BgL_auxz00_8075;
BgL_auxz00_8075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_956); 
FAILURE(BgL_auxz00_8075,BFALSE,BFALSE);} 
BgL_n1z00_3139 = 
(long)CINT(BgL_tmpz00_8072); } 
BgL_testz00_8071 = 
(BgL_n1z00_3139>=((long)0)); } 
if(BgL_testz00_8071)
{ 
long BgL_auxz00_8081;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8082;
if(
INTEGERP(BgL_index1384z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8082 = BgL_index1384z00_956
; }  else 
{ 
obj_t BgL_auxz00_8085;
BgL_auxz00_8085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_956); 
FAILURE(BgL_auxz00_8085,BFALSE,BFALSE);} 
BgL_auxz00_8081 = 
(long)CINT(BgL_tmpz00_8082); } 
BgL_noncezd2initz12zc0_940 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_auxz00_8081); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1385z00_958;
BgL_index1385z00_958 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1377z00_244), BgL_opt1377z00_244, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8094;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3141;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8095;
if(
INTEGERP(BgL_index1385z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8095 = BgL_index1385z00_958
; }  else 
{ 
obj_t BgL_auxz00_8098;
BgL_auxz00_8098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_958); 
FAILURE(BgL_auxz00_8098,BFALSE,BFALSE);} 
BgL_n1z00_3141 = 
(long)CINT(BgL_tmpz00_8095); } 
BgL_testz00_8094 = 
(BgL_n1z00_3141>=((long)0)); } 
if(BgL_testz00_8094)
{ 
long BgL_auxz00_8104;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8105;
if(
INTEGERP(BgL_index1385z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8105 = BgL_index1385z00_958
; }  else 
{ 
obj_t BgL_auxz00_8108;
BgL_auxz00_8108 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_958); 
FAILURE(BgL_auxz00_8108,BFALSE,BFALSE);} 
BgL_auxz00_8104 = 
(long)CINT(BgL_tmpz00_8105); } 
BgL_noncezd2updatez12zc0_941 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_auxz00_8104); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1386z00_960;
BgL_index1386z00_960 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1377z00_244), BgL_opt1377z00_244, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8117;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3143;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8118;
if(
INTEGERP(BgL_index1386z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8118 = BgL_index1386z00_960
; }  else 
{ 
obj_t BgL_auxz00_8121;
BgL_auxz00_8121 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_960); 
FAILURE(BgL_auxz00_8121,BFALSE,BFALSE);} 
BgL_n1z00_3143 = 
(long)CINT(BgL_tmpz00_8118); } 
BgL_testz00_8117 = 
(BgL_n1z00_3143>=((long)0)); } 
if(BgL_testz00_8117)
{ 
long BgL_auxz00_8127;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8128;
if(
INTEGERP(BgL_index1386z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8128 = BgL_index1386z00_960
; }  else 
{ 
obj_t BgL_auxz00_8131;
BgL_auxz00_8131 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_960); 
FAILURE(BgL_auxz00_8131,BFALSE,BFALSE);} 
BgL_auxz00_8127 = 
(long)CINT(BgL_tmpz00_8128); } 
BgL_padz00_942 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_auxz00_8127); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1387z00_962;
BgL_index1387z00_962 = 
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1377z00_244), BgL_opt1377z00_244, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_testz00_8140;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3145;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8141;
if(
INTEGERP(BgL_index1387z00_962))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8141 = BgL_index1387z00_962
; }  else 
{ 
obj_t BgL_auxz00_8144;
BgL_auxz00_8144 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1387z00_962); 
FAILURE(BgL_auxz00_8144,BFALSE,BFALSE);} 
BgL_n1z00_3145 = 
(long)CINT(BgL_tmpz00_8141); } 
BgL_testz00_8140 = 
(BgL_n1z00_3145>=((long)0)); } 
if(BgL_testz00_8140)
{ 
long BgL_auxz00_8150;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8151;
if(
INTEGERP(BgL_index1387z00_962))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8151 = BgL_index1387z00_962
; }  else 
{ 
obj_t BgL_auxz00_8154;
BgL_auxz00_8154 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1387z00_962); 
FAILURE(BgL_auxz00_8154,BFALSE,BFALSE);} 
BgL_auxz00_8150 = 
(long)CINT(BgL_tmpz00_8151); } 
BgL_stringzd2ze3keyz31_943 = 
VECTOR_REF(BgL_opt1377z00_244,BgL_auxz00_8150); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_arg1951z00_964;obj_t BgL_arg1952z00_965;obj_t BgL_arg1953z00_966;
BgL_arg1951z00_964 = 
VECTOR_REF(BgL_opt1377z00_244,((long)0)); 
BgL_arg1952z00_965 = 
VECTOR_REF(BgL_opt1377z00_244,((long)1)); 
BgL_arg1953z00_966 = 
VECTOR_REF(BgL_opt1377z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_ivz00_967;
BgL_ivz00_967 = BgL_ivz00_938; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_modez00_968;
BgL_modez00_968 = BgL_modez00_939; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2initz12zc0_969;
BgL_noncezd2initz12zc0_969 = BgL_noncezd2initz12zc0_940; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2updatez12zc0_970;
BgL_noncezd2updatez12zc0_970 = BgL_noncezd2updatez12zc0_941; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_padz00_971;
BgL_padz00_971 = BgL_padz00_942; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_stringzd2ze3keyz31_972;
BgL_stringzd2ze3keyz31_972 = BgL_stringzd2ze3keyz31_943; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_res2852z00_3150;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_cipherz00_3147;obj_t BgL_plaintextz00_3148;obj_t BgL_passwordz00_3149;
if(
SYMBOLP(BgL_arg1951z00_964))
{ /* Llib/block_ciphers.scm 776 */
BgL_cipherz00_3147 = BgL_arg1951z00_964; }  else 
{ 
obj_t BgL_auxz00_8165;
BgL_auxz00_8165 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1951z00_964); 
FAILURE(BgL_auxz00_8165,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg1952z00_965))
{ /* Llib/block_ciphers.scm 776 */
BgL_plaintextz00_3148 = BgL_arg1952z00_965; }  else 
{ 
obj_t BgL_auxz00_8171;
BgL_auxz00_8171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1952z00_965); 
FAILURE(BgL_auxz00_8171,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1953z00_966))
{ /* Llib/block_ciphers.scm 776 */
BgL_passwordz00_3149 = BgL_arg1953z00_966; }  else 
{ 
obj_t BgL_auxz00_8177;
BgL_auxz00_8177 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3736z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1953z00_966); 
FAILURE(BgL_auxz00_8177,BFALSE,BFALSE);} 
BgL_res2852z00_3150 = 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3147, BgL_plaintextz00_3148, BgL_passwordz00_3149, BgL_ivz00_967, BgL_modez00_968, BgL_padz00_971, BgL_noncezd2initz12zc0_969, BgL_noncezd2updatez12zc0_970, BgL_stringzd2ze3keyz31_972); } 
return BgL_res2852z00_3150;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1379~0 */
obj_t BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1378z00_5614, obj_t BgL_opt1377z00_5613, obj_t BgL_k1z00_932, long BgL_iz00_933)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 776 */
BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_933==BgL_l1378z00_5614))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 776 */
if(
(BgL_iz00_933==
(BgL_l1378z00_5614-((long)1))))
{ /* Llib/block_ciphers.scm 776 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1377z00_5613)));}  else 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_vz00_977;
BgL_vz00_977 = 
VECTOR_REF(BgL_opt1377z00_5613,BgL_iz00_933); 
if(
(BgL_vz00_977==BgL_k1z00_932))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(
(BgL_iz00_933+((long)1)));}  else 
{ 
long BgL_iz00_8197;
BgL_iz00_8197 = 
(BgL_iz00_933+((long)2)); 
BgL_iz00_933 = BgL_iz00_8197; 
goto BGl_search1379ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* encrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_235, obj_t BgL_plaintextz00_236, obj_t BgL_passwordz00_237, obj_t BgL_ivz00_238, obj_t BgL_modez00_239, obj_t BgL_noncezd2initz12zc0_240, obj_t BgL_noncezd2updatez12zc0_241, obj_t BgL_padz00_242, obj_t BgL_stringzd2ze3keyz31_243)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 789 */
long BgL_lenz00_3152;
{ /* Llib/block_ciphers.scm 789 */
long BgL_res2853z00_3163;
BgL_res2853z00_3163 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_236); 
BgL_lenz00_3152 = BgL_res2853z00_3163; } 
{ /* Llib/block_ciphers.scm 789 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3153;
BgL_statez00_3153 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_235, BgL_passwordz00_237, BgL_ivz00_238, BgL_modez00_239, BgL_padz00_242, BgL_noncezd2initz12zc0_240, BgL_noncezd2updatez12zc0_241, BgL_stringzd2ze3keyz31_243); 
{ /* Llib/block_ciphers.scm 790 */
obj_t BgL_strz00_3154;
{ /* Llib/block_ciphers.scm 793 */
long BgL_arg1962z00_3155;
{ /* Llib/block_ciphers.scm 793 */
long BgL_za72za7_3167;
BgL_za72za7_3167 = 
(long)(BgL_lenz00_3152); 
BgL_arg1962z00_3155 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3153))->BgL_blockzd2siza7ez75))+BgL_za72za7_3167); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_3154 = 
make_string(BgL_arg1962z00_3155, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
long BgL_tmpz00_8206;
BgL_tmpz00_8206 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3153, BgL_plaintextz00_236, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3154, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3154, BgL_tmpz00_8206);} } } } } } 
BGL_FUNCTION_END;
}



/* encrypt-fast-mmap */
obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_246, obj_t BgL_plaintextz00_247, obj_t BgL_passwordz00_248, obj_t BgL_ivz00_249, obj_t BgL_modez00_250, obj_t BgL_padz00_251, obj_t BgL_noncezd2initz12zc0_252, obj_t BgL_noncezd2updatez12zc0_253, obj_t BgL_stringzd2ze3keyz31_254)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
long BgL_lenz00_3173;
{ /* Llib/block_ciphers.scm 789 */
long BgL_res2857z00_3184;
BgL_res2857z00_3184 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_247); 
BgL_lenz00_3173 = BgL_res2857z00_3184; } 
{ /* Llib/block_ciphers.scm 789 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3174;
BgL_statez00_3174 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_246, BgL_passwordz00_248, BgL_ivz00_249, BgL_modez00_250, BgL_padz00_251, BgL_noncezd2initz12zc0_252, BgL_noncezd2updatez12zc0_253, BgL_stringzd2ze3keyz31_254); 
{ /* Llib/block_ciphers.scm 790 */
obj_t BgL_strz00_3175;
{ /* Llib/block_ciphers.scm 793 */
long BgL_arg1962z00_3176;
{ /* Llib/block_ciphers.scm 793 */
long BgL_za72za7_3188;
BgL_za72za7_3188 = 
(long)(BgL_lenz00_3173); 
BgL_arg1962z00_3176 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3174))->BgL_blockzd2siza7ez75))+BgL_za72za7_3188); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_3175 = 
make_string(BgL_arg1962z00_3176, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
long BgL_tmpz00_8216;
BgL_tmpz00_8216 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3174, BgL_plaintextz00_247, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3175, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3175, BgL_tmpz00_8216);} } } } } } 
BGL_FUNCTION_END;
}



/* &encrypt-fast-mmap */
obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4937, obj_t BgL_cipherz00_4938, obj_t BgL_plaintextz00_4939, obj_t BgL_passwordz00_4940, obj_t BgL_ivz00_4941, obj_t BgL_modez00_4942, obj_t BgL_padz00_4943, obj_t BgL_noncezd2initz12zc0_4944, obj_t BgL_noncezd2updatez12zc0_4945, obj_t BgL_stringzd2ze3keyz31_4946)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
obj_t BgL_auxz00_8219;
if(
BGL_MMAPP(BgL_plaintextz00_4939))
{ /* Llib/block_ciphers.scm 789 */
BgL_auxz00_8219 = BgL_plaintextz00_4939
; }  else 
{ 
obj_t BgL_auxz00_8222;
BgL_auxz00_8222 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28697)), BGl_string3738z00zz__cryptozd2blockzd2ciphersz00, BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4939); 
FAILURE(BgL_auxz00_8222,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4938, BgL_auxz00_8219, BgL_passwordz00_4940, BgL_ivz00_4941, BgL_modez00_4942, BgL_padz00_4943, BgL_noncezd2initz12zc0_4944, BgL_noncezd2updatez12zc0_4945, BgL_stringzd2ze3keyz31_4946);} } 
BGL_FUNCTION_END;
}



/* _encrypt-port */
obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_265, obj_t BgL_opt1388z00_264)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_cipherz00_995;obj_t BgL_plaintextz00_996;obj_t BgL_passwordz00_997;
BgL_cipherz00_995 = 
VECTOR_REF(BgL_opt1388z00_264,((long)0)); 
BgL_plaintextz00_996 = 
VECTOR_REF(BgL_opt1388z00_264,((long)1)); 
BgL_passwordz00_997 = 
VECTOR_REF(BgL_opt1388z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_ivz00_998;
BgL_ivz00_998 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
obj_t BgL_modez00_999;
BgL_modez00_999 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2initz12zc0_1000;
BgL_noncezd2initz12zc0_1000 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2updatez12zc0_1001;
BgL_noncezd2updatez12zc0_1001 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
obj_t BgL_padz00_1002;
BgL_padz00_1002 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_stringzd2ze3keyz31_1003;
BgL_stringzd2ze3keyz31_1003 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */

{ 
long BgL_iz00_1004;
BgL_iz00_1004 = ((long)3); 
BgL_check1391z00_1005:
if(
(BgL_iz00_1004==
VECTOR_LENGTH(BgL_opt1388z00_264)))
{ /* Llib/block_ciphers.scm 801 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8235;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_arg1970z00_1011;
BgL_arg1970z00_1011 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_iz00_1004); 
BgL_testz00_8235 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1970z00_1011, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_8235)
{ 
long BgL_iz00_8240;
BgL_iz00_8240 = 
(BgL_iz00_1004+((long)2)); 
BgL_iz00_1004 = BgL_iz00_8240; 
goto BgL_check1391z00_1005;}  else 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_arg1969z00_1010;
BgL_arg1969z00_1010 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_iz00_1004); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1969z00_1010); } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1393z00_1012;
BgL_index1393z00_1012 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_264), BgL_opt1388z00_264, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8248;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3216;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8249;
if(
INTEGERP(BgL_index1393z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8249 = BgL_index1393z00_1012
; }  else 
{ 
obj_t BgL_auxz00_8252;
BgL_auxz00_8252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1393z00_1012); 
FAILURE(BgL_auxz00_8252,BFALSE,BFALSE);} 
BgL_n1z00_3216 = 
(long)CINT(BgL_tmpz00_8249); } 
BgL_testz00_8248 = 
(BgL_n1z00_3216>=((long)0)); } 
if(BgL_testz00_8248)
{ 
long BgL_auxz00_8258;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8259;
if(
INTEGERP(BgL_index1393z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8259 = BgL_index1393z00_1012
; }  else 
{ 
obj_t BgL_auxz00_8262;
BgL_auxz00_8262 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1393z00_1012); 
FAILURE(BgL_auxz00_8262,BFALSE,BFALSE);} 
BgL_auxz00_8258 = 
(long)CINT(BgL_tmpz00_8259); } 
BgL_ivz00_998 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_auxz00_8258); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1394z00_1014;
BgL_index1394z00_1014 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_264), BgL_opt1388z00_264, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8271;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3218;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8272;
if(
INTEGERP(BgL_index1394z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8272 = BgL_index1394z00_1014
; }  else 
{ 
obj_t BgL_auxz00_8275;
BgL_auxz00_8275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_1014); 
FAILURE(BgL_auxz00_8275,BFALSE,BFALSE);} 
BgL_n1z00_3218 = 
(long)CINT(BgL_tmpz00_8272); } 
BgL_testz00_8271 = 
(BgL_n1z00_3218>=((long)0)); } 
if(BgL_testz00_8271)
{ 
long BgL_auxz00_8281;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8282;
if(
INTEGERP(BgL_index1394z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8282 = BgL_index1394z00_1014
; }  else 
{ 
obj_t BgL_auxz00_8285;
BgL_auxz00_8285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_1014); 
FAILURE(BgL_auxz00_8285,BFALSE,BFALSE);} 
BgL_auxz00_8281 = 
(long)CINT(BgL_tmpz00_8282); } 
BgL_modez00_999 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_auxz00_8281); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1395z00_1016;
BgL_index1395z00_1016 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_264), BgL_opt1388z00_264, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8294;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3220;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8295;
if(
INTEGERP(BgL_index1395z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8295 = BgL_index1395z00_1016
; }  else 
{ 
obj_t BgL_auxz00_8298;
BgL_auxz00_8298 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_1016); 
FAILURE(BgL_auxz00_8298,BFALSE,BFALSE);} 
BgL_n1z00_3220 = 
(long)CINT(BgL_tmpz00_8295); } 
BgL_testz00_8294 = 
(BgL_n1z00_3220>=((long)0)); } 
if(BgL_testz00_8294)
{ 
long BgL_auxz00_8304;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8305;
if(
INTEGERP(BgL_index1395z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8305 = BgL_index1395z00_1016
; }  else 
{ 
obj_t BgL_auxz00_8308;
BgL_auxz00_8308 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_1016); 
FAILURE(BgL_auxz00_8308,BFALSE,BFALSE);} 
BgL_auxz00_8304 = 
(long)CINT(BgL_tmpz00_8305); } 
BgL_noncezd2initz12zc0_1000 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_auxz00_8304); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1396z00_1018;
BgL_index1396z00_1018 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_264), BgL_opt1388z00_264, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8317;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3222;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8318;
if(
INTEGERP(BgL_index1396z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8318 = BgL_index1396z00_1018
; }  else 
{ 
obj_t BgL_auxz00_8321;
BgL_auxz00_8321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_1018); 
FAILURE(BgL_auxz00_8321,BFALSE,BFALSE);} 
BgL_n1z00_3222 = 
(long)CINT(BgL_tmpz00_8318); } 
BgL_testz00_8317 = 
(BgL_n1z00_3222>=((long)0)); } 
if(BgL_testz00_8317)
{ 
long BgL_auxz00_8327;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8328;
if(
INTEGERP(BgL_index1396z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8328 = BgL_index1396z00_1018
; }  else 
{ 
obj_t BgL_auxz00_8331;
BgL_auxz00_8331 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_1018); 
FAILURE(BgL_auxz00_8331,BFALSE,BFALSE);} 
BgL_auxz00_8327 = 
(long)CINT(BgL_tmpz00_8328); } 
BgL_noncezd2updatez12zc0_1001 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_auxz00_8327); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1397z00_1020;
BgL_index1397z00_1020 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_264), BgL_opt1388z00_264, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8340;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3224;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8341;
if(
INTEGERP(BgL_index1397z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8341 = BgL_index1397z00_1020
; }  else 
{ 
obj_t BgL_auxz00_8344;
BgL_auxz00_8344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_1020); 
FAILURE(BgL_auxz00_8344,BFALSE,BFALSE);} 
BgL_n1z00_3224 = 
(long)CINT(BgL_tmpz00_8341); } 
BgL_testz00_8340 = 
(BgL_n1z00_3224>=((long)0)); } 
if(BgL_testz00_8340)
{ 
long BgL_auxz00_8350;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8351;
if(
INTEGERP(BgL_index1397z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8351 = BgL_index1397z00_1020
; }  else 
{ 
obj_t BgL_auxz00_8354;
BgL_auxz00_8354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_1020); 
FAILURE(BgL_auxz00_8354,BFALSE,BFALSE);} 
BgL_auxz00_8350 = 
(long)CINT(BgL_tmpz00_8351); } 
BgL_padz00_1002 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_auxz00_8350); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1398z00_1022;
BgL_index1398z00_1022 = 
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1388z00_264), BgL_opt1388z00_264, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_testz00_8363;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3226;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8364;
if(
INTEGERP(BgL_index1398z00_1022))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8364 = BgL_index1398z00_1022
; }  else 
{ 
obj_t BgL_auxz00_8367;
BgL_auxz00_8367 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_1022); 
FAILURE(BgL_auxz00_8367,BFALSE,BFALSE);} 
BgL_n1z00_3226 = 
(long)CINT(BgL_tmpz00_8364); } 
BgL_testz00_8363 = 
(BgL_n1z00_3226>=((long)0)); } 
if(BgL_testz00_8363)
{ 
long BgL_auxz00_8373;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8374;
if(
INTEGERP(BgL_index1398z00_1022))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8374 = BgL_index1398z00_1022
; }  else 
{ 
obj_t BgL_auxz00_8377;
BgL_auxz00_8377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_1022); 
FAILURE(BgL_auxz00_8377,BFALSE,BFALSE);} 
BgL_auxz00_8373 = 
(long)CINT(BgL_tmpz00_8374); } 
BgL_stringzd2ze3keyz31_1003 = 
VECTOR_REF(BgL_opt1388z00_264,BgL_auxz00_8373); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_arg1977z00_1024;obj_t BgL_arg1978z00_1025;obj_t BgL_arg1979z00_1026;
BgL_arg1977z00_1024 = 
VECTOR_REF(BgL_opt1388z00_264,((long)0)); 
BgL_arg1978z00_1025 = 
VECTOR_REF(BgL_opt1388z00_264,((long)1)); 
BgL_arg1979z00_1026 = 
VECTOR_REF(BgL_opt1388z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_ivz00_1027;
BgL_ivz00_1027 = BgL_ivz00_998; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_modez00_1028;
BgL_modez00_1028 = BgL_modez00_999; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2initz12zc0_1029;
BgL_noncezd2initz12zc0_1029 = BgL_noncezd2initz12zc0_1000; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2updatez12zc0_1030;
BgL_noncezd2updatez12zc0_1030 = BgL_noncezd2updatez12zc0_1001; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_padz00_1031;
BgL_padz00_1031 = BgL_padz00_1002; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_stringzd2ze3keyz31_1032;
BgL_stringzd2ze3keyz31_1032 = BgL_stringzd2ze3keyz31_1003; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_res2874z00_3236;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_cipherz00_3228;obj_t BgL_plaintextz00_3229;obj_t BgL_passwordz00_3230;
if(
SYMBOLP(BgL_arg1977z00_1024))
{ /* Llib/block_ciphers.scm 801 */
BgL_cipherz00_3228 = BgL_arg1977z00_1024; }  else 
{ 
obj_t BgL_auxz00_8388;
BgL_auxz00_8388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1977z00_1024); 
FAILURE(BgL_auxz00_8388,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg1978z00_1025))
{ /* Llib/block_ciphers.scm 801 */
BgL_plaintextz00_3229 = BgL_arg1978z00_1025; }  else 
{ 
obj_t BgL_auxz00_8394;
BgL_auxz00_8394 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1978z00_1025); 
FAILURE(BgL_auxz00_8394,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1979z00_1026))
{ /* Llib/block_ciphers.scm 801 */
BgL_passwordz00_3230 = BgL_arg1979z00_1026; }  else 
{ 
obj_t BgL_auxz00_8400;
BgL_auxz00_8400 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1979z00_1026); 
FAILURE(BgL_auxz00_8400,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3232;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3233;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3232 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3233 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3228, BgL_passwordz00_3230, BgL_ivz00_1027, BgL_modez00_1028, BgL_padz00_1031, BgL_noncezd2initz12zc0_1029, BgL_noncezd2updatez12zc0_1030, BgL_stringzd2ze3keyz31_1032); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3233, BgL_plaintextz00_3229, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3232, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 819 */
obj_t BgL_aux3410z00_5753;
BgL_aux3410z00_5753 = 
bgl_close_output_port(BgL_pz00_3232); 
if(
STRINGP(BgL_aux3410z00_5753))
{ /* Llib/block_ciphers.scm 819 */
BgL_res2874z00_3236 = BgL_aux3410z00_5753; }  else 
{ 
obj_t BgL_auxz00_8410;
BgL_auxz00_8410 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29782)), BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3410z00_5753); 
FAILURE(BgL_auxz00_8410,BFALSE,BFALSE);} } } } 
return BgL_res2874z00_3236;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1390~0 */
obj_t BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1389z00_5612, obj_t BgL_opt1388z00_5611, obj_t BgL_k1z00_992, long BgL_iz00_993)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 801 */
BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_993==BgL_l1389z00_5612))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 801 */
if(
(BgL_iz00_993==
(BgL_l1389z00_5612-((long)1))))
{ /* Llib/block_ciphers.scm 801 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1388z00_5611)));}  else 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_vz00_1037;
BgL_vz00_1037 = 
VECTOR_REF(BgL_opt1388z00_5611,BgL_iz00_993); 
if(
(BgL_vz00_1037==BgL_k1z00_992))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(
(BgL_iz00_993+((long)1)));}  else 
{ 
long BgL_iz00_8429;
BgL_iz00_8429 = 
(BgL_iz00_993+((long)2)); 
BgL_iz00_993 = BgL_iz00_8429; 
goto BGl_search1390ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* encrypt-port */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_255, obj_t BgL_plaintextz00_256, obj_t BgL_passwordz00_257, obj_t BgL_ivz00_258, obj_t BgL_modez00_259, obj_t BgL_noncezd2initz12zc0_260, obj_t BgL_noncezd2updatez12zc0_261, obj_t BgL_padz00_262, obj_t BgL_stringzd2ze3keyz31_263)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3238;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3239;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3238 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3239 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_255, BgL_passwordz00_257, BgL_ivz00_258, BgL_modez00_259, BgL_padz00_262, BgL_noncezd2initz12zc0_260, BgL_noncezd2updatez12zc0_261, BgL_stringzd2ze3keyz31_263); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3239, BgL_plaintextz00_256, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3238, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_3238);} } 
BGL_FUNCTION_END;
}



/* &encrypt-fast-port */
obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4947, obj_t BgL_cipherz00_4948, obj_t BgL_plaintextz00_4949, obj_t BgL_passwordz00_4950, obj_t BgL_ivz00_4951, obj_t BgL_modez00_4952, obj_t BgL_padz00_4953, obj_t BgL_noncezd2initz12zc0_4954, obj_t BgL_noncezd2updatez12zc0_4955, obj_t BgL_stringzd2ze3keyz31_4956)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 809 */
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_plaintextz00_6132;
if(
INPUT_PORTP(BgL_plaintextz00_4949))
{ /* Llib/block_ciphers.scm 812 */
BgL_plaintextz00_6132 = BgL_plaintextz00_4949; }  else 
{ 
obj_t BgL_auxz00_8437;
BgL_auxz00_8437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29540)), BGl_string3741z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4949); 
FAILURE(BgL_auxz00_8437,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_6133;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6134;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_6133 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_6134 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4948, BgL_passwordz00_4950, BgL_ivz00_4951, BgL_modez00_4952, BgL_padz00_4953, BgL_noncezd2initz12zc0_4954, BgL_noncezd2updatez12zc0_4955, BgL_stringzd2ze3keyz31_4956); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6134, BgL_plaintextz00_6132, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_6133, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_6133);} } } 
BGL_FUNCTION_END;
}



/* _encrypt-file */
obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_285, obj_t BgL_opt1399z00_284)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_cipherz00_1048;obj_t BgL_filenamez00_1049;obj_t BgL_passwordz00_1050;
BgL_cipherz00_1048 = 
VECTOR_REF(BgL_opt1399z00_284,((long)0)); 
BgL_filenamez00_1049 = 
VECTOR_REF(BgL_opt1399z00_284,((long)1)); 
BgL_passwordz00_1050 = 
VECTOR_REF(BgL_opt1399z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_ivz00_1051;
BgL_ivz00_1051 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
obj_t BgL_modez00_1052;
BgL_modez00_1052 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2initz12zc0_1053;
BgL_noncezd2initz12zc0_1053 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2updatez12zc0_1054;
BgL_noncezd2updatez12zc0_1054 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
obj_t BgL_padz00_1055;
BgL_padz00_1055 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_stringzd2ze3keyz31_1056;
BgL_stringzd2ze3keyz31_1056 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */

{ 
long BgL_iz00_1057;
BgL_iz00_1057 = ((long)3); 
BgL_check1402z00_1058:
if(
(BgL_iz00_1057==
VECTOR_LENGTH(BgL_opt1399z00_284)))
{ /* Llib/block_ciphers.scm 821 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8453;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_arg1992z00_1064;
BgL_arg1992z00_1064 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_iz00_1057); 
BgL_testz00_8453 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1992z00_1064, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_8453)
{ 
long BgL_iz00_8458;
BgL_iz00_8458 = 
(BgL_iz00_1057+((long)2)); 
BgL_iz00_1057 = BgL_iz00_8458; 
goto BgL_check1402z00_1058;}  else 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_arg1991z00_1063;
BgL_arg1991z00_1063 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_iz00_1057); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1991z00_1063); } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1404z00_1065;
BgL_index1404z00_1065 = 
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_284), BgL_opt1399z00_284, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8466;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3268;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8467;
if(
INTEGERP(BgL_index1404z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8467 = BgL_index1404z00_1065
; }  else 
{ 
obj_t BgL_auxz00_8470;
BgL_auxz00_8470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1404z00_1065); 
FAILURE(BgL_auxz00_8470,BFALSE,BFALSE);} 
BgL_n1z00_3268 = 
(long)CINT(BgL_tmpz00_8467); } 
BgL_testz00_8466 = 
(BgL_n1z00_3268>=((long)0)); } 
if(BgL_testz00_8466)
{ 
long BgL_auxz00_8476;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8477;
if(
INTEGERP(BgL_index1404z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8477 = BgL_index1404z00_1065
; }  else 
{ 
obj_t BgL_auxz00_8480;
BgL_auxz00_8480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1404z00_1065); 
FAILURE(BgL_auxz00_8480,BFALSE,BFALSE);} 
BgL_auxz00_8476 = 
(long)CINT(BgL_tmpz00_8477); } 
BgL_ivz00_1051 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_auxz00_8476); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1405z00_1067;
BgL_index1405z00_1067 = 
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_284), BgL_opt1399z00_284, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8489;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3270;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8490;
if(
INTEGERP(BgL_index1405z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8490 = BgL_index1405z00_1067
; }  else 
{ 
obj_t BgL_auxz00_8493;
BgL_auxz00_8493 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1067); 
FAILURE(BgL_auxz00_8493,BFALSE,BFALSE);} 
BgL_n1z00_3270 = 
(long)CINT(BgL_tmpz00_8490); } 
BgL_testz00_8489 = 
(BgL_n1z00_3270>=((long)0)); } 
if(BgL_testz00_8489)
{ 
long BgL_auxz00_8499;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8500;
if(
INTEGERP(BgL_index1405z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8500 = BgL_index1405z00_1067
; }  else 
{ 
obj_t BgL_auxz00_8503;
BgL_auxz00_8503 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1067); 
FAILURE(BgL_auxz00_8503,BFALSE,BFALSE);} 
BgL_auxz00_8499 = 
(long)CINT(BgL_tmpz00_8500); } 
BgL_modez00_1052 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_auxz00_8499); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1406z00_1069;
BgL_index1406z00_1069 = 
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_284), BgL_opt1399z00_284, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8512;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3272;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8513;
if(
INTEGERP(BgL_index1406z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8513 = BgL_index1406z00_1069
; }  else 
{ 
obj_t BgL_auxz00_8516;
BgL_auxz00_8516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1069); 
FAILURE(BgL_auxz00_8516,BFALSE,BFALSE);} 
BgL_n1z00_3272 = 
(long)CINT(BgL_tmpz00_8513); } 
BgL_testz00_8512 = 
(BgL_n1z00_3272>=((long)0)); } 
if(BgL_testz00_8512)
{ 
long BgL_auxz00_8522;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8523;
if(
INTEGERP(BgL_index1406z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8523 = BgL_index1406z00_1069
; }  else 
{ 
obj_t BgL_auxz00_8526;
BgL_auxz00_8526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1069); 
FAILURE(BgL_auxz00_8526,BFALSE,BFALSE);} 
BgL_auxz00_8522 = 
(long)CINT(BgL_tmpz00_8523); } 
BgL_noncezd2initz12zc0_1053 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_auxz00_8522); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1407z00_1071;
BgL_index1407z00_1071 = 
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_284), BgL_opt1399z00_284, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8535;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3274;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8536;
if(
INTEGERP(BgL_index1407z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8536 = BgL_index1407z00_1071
; }  else 
{ 
obj_t BgL_auxz00_8539;
BgL_auxz00_8539 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1071); 
FAILURE(BgL_auxz00_8539,BFALSE,BFALSE);} 
BgL_n1z00_3274 = 
(long)CINT(BgL_tmpz00_8536); } 
BgL_testz00_8535 = 
(BgL_n1z00_3274>=((long)0)); } 
if(BgL_testz00_8535)
{ 
long BgL_auxz00_8545;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8546;
if(
INTEGERP(BgL_index1407z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8546 = BgL_index1407z00_1071
; }  else 
{ 
obj_t BgL_auxz00_8549;
BgL_auxz00_8549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1071); 
FAILURE(BgL_auxz00_8549,BFALSE,BFALSE);} 
BgL_auxz00_8545 = 
(long)CINT(BgL_tmpz00_8546); } 
BgL_noncezd2updatez12zc0_1054 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_auxz00_8545); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1408z00_1073;
BgL_index1408z00_1073 = 
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_284), BgL_opt1399z00_284, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8558;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3276;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8559;
if(
INTEGERP(BgL_index1408z00_1073))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8559 = BgL_index1408z00_1073
; }  else 
{ 
obj_t BgL_auxz00_8562;
BgL_auxz00_8562 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1073); 
FAILURE(BgL_auxz00_8562,BFALSE,BFALSE);} 
BgL_n1z00_3276 = 
(long)CINT(BgL_tmpz00_8559); } 
BgL_testz00_8558 = 
(BgL_n1z00_3276>=((long)0)); } 
if(BgL_testz00_8558)
{ 
long BgL_auxz00_8568;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8569;
if(
INTEGERP(BgL_index1408z00_1073))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8569 = BgL_index1408z00_1073
; }  else 
{ 
obj_t BgL_auxz00_8572;
BgL_auxz00_8572 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1073); 
FAILURE(BgL_auxz00_8572,BFALSE,BFALSE);} 
BgL_auxz00_8568 = 
(long)CINT(BgL_tmpz00_8569); } 
BgL_padz00_1055 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_auxz00_8568); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1409z00_1075;
BgL_index1409z00_1075 = 
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1399z00_284), BgL_opt1399z00_284, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_testz00_8581;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3278;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8582;
if(
INTEGERP(BgL_index1409z00_1075))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8582 = BgL_index1409z00_1075
; }  else 
{ 
obj_t BgL_auxz00_8585;
BgL_auxz00_8585 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1075); 
FAILURE(BgL_auxz00_8585,BFALSE,BFALSE);} 
BgL_n1z00_3278 = 
(long)CINT(BgL_tmpz00_8582); } 
BgL_testz00_8581 = 
(BgL_n1z00_3278>=((long)0)); } 
if(BgL_testz00_8581)
{ 
long BgL_auxz00_8591;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8592;
if(
INTEGERP(BgL_index1409z00_1075))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8592 = BgL_index1409z00_1075
; }  else 
{ 
obj_t BgL_auxz00_8595;
BgL_auxz00_8595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1075); 
FAILURE(BgL_auxz00_8595,BFALSE,BFALSE);} 
BgL_auxz00_8591 = 
(long)CINT(BgL_tmpz00_8592); } 
BgL_stringzd2ze3keyz31_1056 = 
VECTOR_REF(BgL_opt1399z00_284,BgL_auxz00_8591); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_arg1999z00_1077;obj_t BgL_arg2000z00_1078;obj_t BgL_arg2001z00_1079;
BgL_arg1999z00_1077 = 
VECTOR_REF(BgL_opt1399z00_284,((long)0)); 
BgL_arg2000z00_1078 = 
VECTOR_REF(BgL_opt1399z00_284,((long)1)); 
BgL_arg2001z00_1079 = 
VECTOR_REF(BgL_opt1399z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_ivz00_1080;
BgL_ivz00_1080 = BgL_ivz00_1051; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_modez00_1081;
BgL_modez00_1081 = BgL_modez00_1052; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2initz12zc0_1082;
BgL_noncezd2initz12zc0_1082 = BgL_noncezd2initz12zc0_1053; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2updatez12zc0_1083;
BgL_noncezd2updatez12zc0_1083 = BgL_noncezd2updatez12zc0_1054; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_padz00_1084;
BgL_padz00_1084 = BgL_padz00_1055; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_stringzd2ze3keyz31_1085;
BgL_stringzd2ze3keyz31_1085 = BgL_stringzd2ze3keyz31_1056; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_res2888z00_3297;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_cipherz00_3280;obj_t BgL_filenamez00_3281;obj_t BgL_passwordz00_3282;
if(
SYMBOLP(BgL_arg1999z00_1077))
{ /* Llib/block_ciphers.scm 821 */
BgL_cipherz00_3280 = BgL_arg1999z00_1077; }  else 
{ 
obj_t BgL_auxz00_8606;
BgL_auxz00_8606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1999z00_1077); 
FAILURE(BgL_auxz00_8606,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2000z00_1078))
{ /* Llib/block_ciphers.scm 821 */
BgL_filenamez00_3281 = BgL_arg2000z00_1078; }  else 
{ 
obj_t BgL_auxz00_8612;
BgL_auxz00_8612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2000z00_1078); 
FAILURE(BgL_auxz00_8612,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2001z00_1079))
{ /* Llib/block_ciphers.scm 821 */
BgL_passwordz00_3282 = BgL_arg2001z00_1079; }  else 
{ 
obj_t BgL_auxz00_8618;
BgL_auxz00_8618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2001z00_1079); 
FAILURE(BgL_auxz00_8618,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 825 */
obj_t BgL_pz00_3283;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3283 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3281, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3283))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3281); } 
{ /* Llib/block_ciphers.scm 830 */
obj_t BgL_exitd1228z00_3287;
BgL_exitd1228z00_3287 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_zc3anonymousza32009ze3z83_4963;
BgL_zc3anonymousza32009ze3z83_4963 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32009ze3ze1zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_4963, 
(int)(((long)0)), BgL_pz00_3283); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1228z00_3287, BgL_zc3anonymousza32009ze3z83_4963); 
{ /* Llib/block_ciphers.scm 831 */
obj_t BgL_tmp1230z00_3289;
{ /* Llib/block_ciphers.scm 831 */
obj_t BgL_plaintextz00_3291;
if(
INPUT_PORTP(BgL_pz00_3283))
{ /* Llib/block_ciphers.scm 831 */
BgL_plaintextz00_3291 = BgL_pz00_3283; }  else 
{ 
obj_t BgL_auxz00_8637;
BgL_auxz00_8637 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30174)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3283); 
FAILURE(BgL_auxz00_8637,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3292;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3293;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3292 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3293 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3280, BgL_passwordz00_3282, BgL_ivz00_1080, BgL_modez00_1081, BgL_padz00_1084, BgL_noncezd2initz12zc0_1082, BgL_noncezd2updatez12zc0_1083, BgL_stringzd2ze3keyz31_1085); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3293, BgL_plaintextz00_3291, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3292, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1230z00_3289 = 
bgl_close_output_port(BgL_pz00_3292); } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1228z00_3287); 
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_portz00_3296;
if(
INPUT_PORTP(BgL_pz00_3283))
{ /* Llib/block_ciphers.scm 834 */
BgL_portz00_3296 = BgL_pz00_3283; }  else 
{ 
obj_t BgL_auxz00_8648;
BgL_auxz00_8648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30270)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3283); 
FAILURE(BgL_auxz00_8648,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3296); } 
if(
STRINGP(BgL_tmp1230z00_3289))
{ /* Llib/block_ciphers.scm 830 */
BgL_res2888z00_3297 = BgL_tmp1230z00_3289; }  else 
{ 
obj_t BgL_auxz00_8655;
BgL_auxz00_8655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30130)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_tmp1230z00_3289); 
FAILURE(BgL_auxz00_8655,BFALSE,BFALSE);} } } } } } 
return BgL_res2888z00_3297;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1401~0 */
obj_t BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1400z00_5610, obj_t BgL_opt1399z00_5609, obj_t BgL_k1z00_1045, long BgL_iz00_1046)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 821 */
BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1046==BgL_l1400z00_5610))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 821 */
if(
(BgL_iz00_1046==
(BgL_l1400z00_5610-((long)1))))
{ /* Llib/block_ciphers.scm 821 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1399z00_5609)));}  else 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_vz00_1090;
BgL_vz00_1090 = 
VECTOR_REF(BgL_opt1399z00_5609,BgL_iz00_1046); 
if(
(BgL_vz00_1090==BgL_k1z00_1045))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(
(BgL_iz00_1046+((long)1)));}  else 
{ 
long BgL_iz00_8674;
BgL_iz00_8674 = 
(BgL_iz00_1046+((long)2)); 
BgL_iz00_1046 = BgL_iz00_8674; 
goto BGl_search1401ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2009> */
obj_t BGl_z62zc3anonymousza32009ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4964)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_pz00_4965;
BgL_pz00_4965 = 
PROCEDURE_REF(BgL_envz00_4964, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4965));} } 
BGL_FUNCTION_END;
}



/* encrypt-file */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_275, obj_t BgL_filenamez00_276, obj_t BgL_passwordz00_277, obj_t BgL_ivz00_278, obj_t BgL_modez00_279, obj_t BgL_noncezd2initz12zc0_280, obj_t BgL_noncezd2updatez12zc0_281, obj_t BgL_padz00_282, obj_t BgL_stringzd2ze3keyz31_283)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 825 */
obj_t BgL_pz00_3298;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3298 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_276, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3298))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_276); } 
{ /* Llib/block_ciphers.scm 830 */
obj_t BgL_exitd1228z00_3302;
BgL_exitd1228z00_3302 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_zc3anonymousza32009ze3z83_4966;
BgL_zc3anonymousza32009ze3z83_4966 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32009ze33278ze1zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_4966, 
(int)(((long)0)), BgL_pz00_3298); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1228z00_3302, BgL_zc3anonymousza32009ze3z83_4966); 
{ /* Llib/block_ciphers.scm 831 */
obj_t BgL_tmp1230z00_3304;
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3307;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3308;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3307 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3308 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_275, BgL_passwordz00_277, BgL_ivz00_278, BgL_modez00_279, BgL_padz00_282, BgL_noncezd2initz12zc0_280, BgL_noncezd2updatez12zc0_281, BgL_stringzd2ze3keyz31_283); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3308, 
((obj_t)BgL_pz00_3298), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3307, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1230z00_3304 = 
bgl_close_output_port(BgL_pz00_3307); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1228z00_3302); 
bgl_close_input_port(
((obj_t)BgL_pz00_3298)); 
return BgL_tmp1230z00_3304;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2009>3278 */
obj_t BGl_z62zc3anonymousza32009ze33278ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4967)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_pz00_4968;
BgL_pz00_4968 = 
PROCEDURE_REF(BgL_envz00_4967, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4968));} } 
BGL_FUNCTION_END;
}



/* _encrypt-sendchars */
obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_297, obj_t BgL_opt1410z00_296)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_cipherz00_1107;obj_t BgL_inz00_1108;obj_t BgL_outz00_1109;obj_t BgL_passwordz00_1110;
BgL_cipherz00_1107 = 
VECTOR_REF(BgL_opt1410z00_296,((long)0)); 
BgL_inz00_1108 = 
VECTOR_REF(BgL_opt1410z00_296,((long)1)); 
BgL_outz00_1109 = 
VECTOR_REF(BgL_opt1410z00_296,((long)2)); 
BgL_passwordz00_1110 = 
VECTOR_REF(BgL_opt1410z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_ivz00_1111;
BgL_ivz00_1111 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
obj_t BgL_modez00_1112;
BgL_modez00_1112 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2initz12zc0_1113;
BgL_noncezd2initz12zc0_1113 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2updatez12zc0_1114;
BgL_noncezd2updatez12zc0_1114 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
obj_t BgL_padz00_1115;
BgL_padz00_1115 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_stringzd2ze3keyz31_1116;
BgL_stringzd2ze3keyz31_1116 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */

{ 
long BgL_iz00_1117;
BgL_iz00_1117 = ((long)4); 
BgL_check1413z00_1118:
if(
(BgL_iz00_1117==
VECTOR_LENGTH(BgL_opt1410z00_296)))
{ /* Llib/block_ciphers.scm 836 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8714;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_arg2015z00_1124;
BgL_arg2015z00_1124 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_iz00_1117); 
BgL_testz00_8714 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2015z00_1124, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_8714)
{ 
long BgL_iz00_8719;
BgL_iz00_8719 = 
(BgL_iz00_1117+((long)2)); 
BgL_iz00_1117 = BgL_iz00_8719; 
goto BgL_check1413z00_1118;}  else 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_arg2014z00_1123;
BgL_arg2014z00_1123 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_iz00_1117); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2014z00_1123); } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1415z00_1125;
BgL_index1415z00_1125 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1410z00_296), BgL_opt1410z00_296, 
CNST_TABLE_REF(((long)25)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8727;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3334;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8728;
if(
INTEGERP(BgL_index1415z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8728 = BgL_index1415z00_1125
; }  else 
{ 
obj_t BgL_auxz00_8731;
BgL_auxz00_8731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1415z00_1125); 
FAILURE(BgL_auxz00_8731,BFALSE,BFALSE);} 
BgL_n1z00_3334 = 
(long)CINT(BgL_tmpz00_8728); } 
BgL_testz00_8727 = 
(BgL_n1z00_3334>=((long)0)); } 
if(BgL_testz00_8727)
{ 
long BgL_auxz00_8737;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8738;
if(
INTEGERP(BgL_index1415z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8738 = BgL_index1415z00_1125
; }  else 
{ 
obj_t BgL_auxz00_8741;
BgL_auxz00_8741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1415z00_1125); 
FAILURE(BgL_auxz00_8741,BFALSE,BFALSE);} 
BgL_auxz00_8737 = 
(long)CINT(BgL_tmpz00_8738); } 
BgL_ivz00_1111 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_auxz00_8737); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1416z00_1127;
BgL_index1416z00_1127 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1410z00_296), BgL_opt1410z00_296, 
CNST_TABLE_REF(((long)26)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8750;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3336;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8751;
if(
INTEGERP(BgL_index1416z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8751 = BgL_index1416z00_1127
; }  else 
{ 
obj_t BgL_auxz00_8754;
BgL_auxz00_8754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1416z00_1127); 
FAILURE(BgL_auxz00_8754,BFALSE,BFALSE);} 
BgL_n1z00_3336 = 
(long)CINT(BgL_tmpz00_8751); } 
BgL_testz00_8750 = 
(BgL_n1z00_3336>=((long)0)); } 
if(BgL_testz00_8750)
{ 
long BgL_auxz00_8760;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8761;
if(
INTEGERP(BgL_index1416z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8761 = BgL_index1416z00_1127
; }  else 
{ 
obj_t BgL_auxz00_8764;
BgL_auxz00_8764 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1416z00_1127); 
FAILURE(BgL_auxz00_8764,BFALSE,BFALSE);} 
BgL_auxz00_8760 = 
(long)CINT(BgL_tmpz00_8761); } 
BgL_modez00_1112 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_auxz00_8760); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1417z00_1129;
BgL_index1417z00_1129 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1410z00_296), BgL_opt1410z00_296, 
CNST_TABLE_REF(((long)27)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8773;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3338;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8774;
if(
INTEGERP(BgL_index1417z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8774 = BgL_index1417z00_1129
; }  else 
{ 
obj_t BgL_auxz00_8777;
BgL_auxz00_8777 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1129); 
FAILURE(BgL_auxz00_8777,BFALSE,BFALSE);} 
BgL_n1z00_3338 = 
(long)CINT(BgL_tmpz00_8774); } 
BgL_testz00_8773 = 
(BgL_n1z00_3338>=((long)0)); } 
if(BgL_testz00_8773)
{ 
long BgL_auxz00_8783;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8784;
if(
INTEGERP(BgL_index1417z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8784 = BgL_index1417z00_1129
; }  else 
{ 
obj_t BgL_auxz00_8787;
BgL_auxz00_8787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1129); 
FAILURE(BgL_auxz00_8787,BFALSE,BFALSE);} 
BgL_auxz00_8783 = 
(long)CINT(BgL_tmpz00_8784); } 
BgL_noncezd2initz12zc0_1113 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_auxz00_8783); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1418z00_1131;
BgL_index1418z00_1131 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1410z00_296), BgL_opt1410z00_296, 
CNST_TABLE_REF(((long)28)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8796;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3340;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8797;
if(
INTEGERP(BgL_index1418z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8797 = BgL_index1418z00_1131
; }  else 
{ 
obj_t BgL_auxz00_8800;
BgL_auxz00_8800 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1131); 
FAILURE(BgL_auxz00_8800,BFALSE,BFALSE);} 
BgL_n1z00_3340 = 
(long)CINT(BgL_tmpz00_8797); } 
BgL_testz00_8796 = 
(BgL_n1z00_3340>=((long)0)); } 
if(BgL_testz00_8796)
{ 
long BgL_auxz00_8806;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8807;
if(
INTEGERP(BgL_index1418z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8807 = BgL_index1418z00_1131
; }  else 
{ 
obj_t BgL_auxz00_8810;
BgL_auxz00_8810 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1131); 
FAILURE(BgL_auxz00_8810,BFALSE,BFALSE);} 
BgL_auxz00_8806 = 
(long)CINT(BgL_tmpz00_8807); } 
BgL_noncezd2updatez12zc0_1114 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_auxz00_8806); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1419z00_1133;
BgL_index1419z00_1133 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1410z00_296), BgL_opt1410z00_296, 
CNST_TABLE_REF(((long)29)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8819;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3342;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8820;
if(
INTEGERP(BgL_index1419z00_1133))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8820 = BgL_index1419z00_1133
; }  else 
{ 
obj_t BgL_auxz00_8823;
BgL_auxz00_8823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1133); 
FAILURE(BgL_auxz00_8823,BFALSE,BFALSE);} 
BgL_n1z00_3342 = 
(long)CINT(BgL_tmpz00_8820); } 
BgL_testz00_8819 = 
(BgL_n1z00_3342>=((long)0)); } 
if(BgL_testz00_8819)
{ 
long BgL_auxz00_8829;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8830;
if(
INTEGERP(BgL_index1419z00_1133))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8830 = BgL_index1419z00_1133
; }  else 
{ 
obj_t BgL_auxz00_8833;
BgL_auxz00_8833 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1133); 
FAILURE(BgL_auxz00_8833,BFALSE,BFALSE);} 
BgL_auxz00_8829 = 
(long)CINT(BgL_tmpz00_8830); } 
BgL_padz00_1115 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_auxz00_8829); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1420z00_1135;
BgL_index1420z00_1135 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1410z00_296), BgL_opt1410z00_296, 
CNST_TABLE_REF(((long)30)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_testz00_8842;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3344;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8843;
if(
INTEGERP(BgL_index1420z00_1135))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8843 = BgL_index1420z00_1135
; }  else 
{ 
obj_t BgL_auxz00_8846;
BgL_auxz00_8846 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1135); 
FAILURE(BgL_auxz00_8846,BFALSE,BFALSE);} 
BgL_n1z00_3344 = 
(long)CINT(BgL_tmpz00_8843); } 
BgL_testz00_8842 = 
(BgL_n1z00_3344>=((long)0)); } 
if(BgL_testz00_8842)
{ 
long BgL_auxz00_8852;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8853;
if(
INTEGERP(BgL_index1420z00_1135))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8853 = BgL_index1420z00_1135
; }  else 
{ 
obj_t BgL_auxz00_8856;
BgL_auxz00_8856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1135); 
FAILURE(BgL_auxz00_8856,BFALSE,BFALSE);} 
BgL_auxz00_8852 = 
(long)CINT(BgL_tmpz00_8853); } 
BgL_stringzd2ze3keyz31_1116 = 
VECTOR_REF(BgL_opt1410z00_296,BgL_auxz00_8852); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_arg2022z00_1137;obj_t BgL_arg2023z00_1138;obj_t BgL_arg2024z00_1139;obj_t BgL_arg2025z00_1140;
BgL_arg2022z00_1137 = 
VECTOR_REF(BgL_opt1410z00_296,((long)0)); 
BgL_arg2023z00_1138 = 
VECTOR_REF(BgL_opt1410z00_296,((long)1)); 
BgL_arg2024z00_1139 = 
VECTOR_REF(BgL_opt1410z00_296,((long)2)); 
BgL_arg2025z00_1140 = 
VECTOR_REF(BgL_opt1410z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_ivz00_1141;
BgL_ivz00_1141 = BgL_ivz00_1111; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_modez00_1142;
BgL_modez00_1142 = BgL_modez00_1112; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2initz12zc0_1143;
BgL_noncezd2initz12zc0_1143 = BgL_noncezd2initz12zc0_1113; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2updatez12zc0_1144;
BgL_noncezd2updatez12zc0_1144 = BgL_noncezd2updatez12zc0_1114; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_padz00_1145;
BgL_padz00_1145 = BgL_padz00_1115; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_stringzd2ze3keyz31_1146;
BgL_stringzd2ze3keyz31_1146 = BgL_stringzd2ze3keyz31_1116; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_cipherz00_3346;obj_t BgL_inz00_3347;obj_t BgL_outz00_3348;obj_t BgL_passwordz00_3349;
if(
SYMBOLP(BgL_arg2022z00_1137))
{ /* Llib/block_ciphers.scm 836 */
BgL_cipherz00_3346 = BgL_arg2022z00_1137; }  else 
{ 
obj_t BgL_auxz00_8868;
BgL_auxz00_8868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2022z00_1137); 
FAILURE(BgL_auxz00_8868,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2023z00_1138))
{ /* Llib/block_ciphers.scm 836 */
BgL_inz00_3347 = BgL_arg2023z00_1138; }  else 
{ 
obj_t BgL_auxz00_8874;
BgL_auxz00_8874 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2023z00_1138); 
FAILURE(BgL_auxz00_8874,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2024z00_1139))
{ /* Llib/block_ciphers.scm 836 */
BgL_outz00_3348 = BgL_arg2024z00_1139; }  else 
{ 
obj_t BgL_auxz00_8880;
BgL_auxz00_8880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3745z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2024z00_1139); 
FAILURE(BgL_auxz00_8880,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2025z00_1140))
{ /* Llib/block_ciphers.scm 836 */
BgL_passwordz00_3349 = BgL_arg2025z00_1140; }  else 
{ 
obj_t BgL_auxz00_8886;
BgL_auxz00_8886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2025z00_1140); 
FAILURE(BgL_auxz00_8886,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 841 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3350;
BgL_statez00_3350 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3346, BgL_passwordz00_3349, BgL_ivz00_1141, BgL_modez00_1142, BgL_padz00_1145, BgL_noncezd2initz12zc0_1143, BgL_noncezd2updatez12zc0_1144, BgL_stringzd2ze3keyz31_1146); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3350, BgL_inz00_3347, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3348, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1412~0 */
obj_t BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1411z00_5608, obj_t BgL_opt1410z00_5607, obj_t BgL_k1z00_1104, long BgL_iz00_1105)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 836 */
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1105==BgL_l1411z00_5608))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 836 */
if(
(BgL_iz00_1105==
(BgL_l1411z00_5608-((long)1))))
{ /* Llib/block_ciphers.scm 836 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3746z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1410z00_5607)));}  else 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_vz00_1151;
BgL_vz00_1151 = 
VECTOR_REF(BgL_opt1410z00_5607,BgL_iz00_1105); 
if(
(BgL_vz00_1151==BgL_k1z00_1104))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(
(BgL_iz00_1105+((long)1)));}  else 
{ 
long BgL_iz00_8908;
BgL_iz00_8908 = 
(BgL_iz00_1105+((long)2)); 
BgL_iz00_1105 = BgL_iz00_8908; 
goto BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* encrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_286, obj_t BgL_inz00_287, obj_t BgL_outz00_288, obj_t BgL_passwordz00_289, obj_t BgL_ivz00_290, obj_t BgL_modez00_291, obj_t BgL_noncezd2initz12zc0_292, obj_t BgL_noncezd2updatez12zc0_293, obj_t BgL_padz00_294, obj_t BgL_stringzd2ze3keyz31_295)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 841 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3351;
BgL_statez00_3351 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_286, BgL_passwordz00_289, BgL_ivz00_290, BgL_modez00_291, BgL_padz00_294, BgL_noncezd2initz12zc0_292, BgL_noncezd2updatez12zc0_293, BgL_stringzd2ze3keyz31_295); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3351, BgL_inz00_287, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_288, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 
BGL_FUNCTION_END;
}



/* _decrypt */
obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_308, obj_t BgL_opt1421z00_307)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_cipherz00_1160;obj_t BgL_ciphertextz00_1161;obj_t BgL_passwordz00_1162;
BgL_cipherz00_1160 = 
VECTOR_REF(BgL_opt1421z00_307,((long)0)); 
BgL_ciphertextz00_1161 = 
VECTOR_REF(BgL_opt1421z00_307,((long)1)); 
BgL_passwordz00_1162 = 
VECTOR_REF(BgL_opt1421z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_ivz00_1163;
BgL_ivz00_1163 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
obj_t BgL_modez00_1164;
BgL_modez00_1164 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2initz12zc0_1165;
BgL_noncezd2initz12zc0_1165 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2updatez12zc0_1166;
BgL_noncezd2updatez12zc0_1166 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
obj_t BgL_padz00_1167;
BgL_padz00_1167 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_stringzd2ze3keyz31_1168;
BgL_stringzd2ze3keyz31_1168 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */

{ 
long BgL_iz00_1169;
BgL_iz00_1169 = ((long)3); 
BgL_check1424z00_1170:
if(
(BgL_iz00_1169==
VECTOR_LENGTH(BgL_opt1421z00_307)))
{ /* Llib/block_ciphers.scm 850 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_8921;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_arg2038z00_1176;
BgL_arg2038z00_1176 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_iz00_1169); 
BgL_testz00_8921 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2038z00_1176, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_8921)
{ 
long BgL_iz00_8926;
BgL_iz00_8926 = 
(BgL_iz00_1169+((long)2)); 
BgL_iz00_1169 = BgL_iz00_8926; 
goto BgL_check1424z00_1170;}  else 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_arg2037z00_1175;
BgL_arg2037z00_1175 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_iz00_1169); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2037z00_1175); } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1426z00_1177;
BgL_index1426z00_1177 = 
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1421z00_307), BgL_opt1421z00_307, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_8934;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3374;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_8935;
if(
INTEGERP(BgL_index1426z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8935 = BgL_index1426z00_1177
; }  else 
{ 
obj_t BgL_auxz00_8938;
BgL_auxz00_8938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1426z00_1177); 
FAILURE(BgL_auxz00_8938,BFALSE,BFALSE);} 
BgL_n1z00_3374 = 
(long)CINT(BgL_tmpz00_8935); } 
BgL_testz00_8934 = 
(BgL_n1z00_3374>=((long)0)); } 
if(BgL_testz00_8934)
{ 
long BgL_auxz00_8944;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_8945;
if(
INTEGERP(BgL_index1426z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8945 = BgL_index1426z00_1177
; }  else 
{ 
obj_t BgL_auxz00_8948;
BgL_auxz00_8948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1426z00_1177); 
FAILURE(BgL_auxz00_8948,BFALSE,BFALSE);} 
BgL_auxz00_8944 = 
(long)CINT(BgL_tmpz00_8945); } 
BgL_ivz00_1163 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_auxz00_8944); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1427z00_1179;
BgL_index1427z00_1179 = 
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1421z00_307), BgL_opt1421z00_307, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_8957;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3376;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_8958;
if(
INTEGERP(BgL_index1427z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8958 = BgL_index1427z00_1179
; }  else 
{ 
obj_t BgL_auxz00_8961;
BgL_auxz00_8961 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1427z00_1179); 
FAILURE(BgL_auxz00_8961,BFALSE,BFALSE);} 
BgL_n1z00_3376 = 
(long)CINT(BgL_tmpz00_8958); } 
BgL_testz00_8957 = 
(BgL_n1z00_3376>=((long)0)); } 
if(BgL_testz00_8957)
{ 
long BgL_auxz00_8967;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_8968;
if(
INTEGERP(BgL_index1427z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8968 = BgL_index1427z00_1179
; }  else 
{ 
obj_t BgL_auxz00_8971;
BgL_auxz00_8971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1427z00_1179); 
FAILURE(BgL_auxz00_8971,BFALSE,BFALSE);} 
BgL_auxz00_8967 = 
(long)CINT(BgL_tmpz00_8968); } 
BgL_modez00_1164 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_auxz00_8967); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1428z00_1181;
BgL_index1428z00_1181 = 
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1421z00_307), BgL_opt1421z00_307, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_8980;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3378;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_8981;
if(
INTEGERP(BgL_index1428z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8981 = BgL_index1428z00_1181
; }  else 
{ 
obj_t BgL_auxz00_8984;
BgL_auxz00_8984 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1428z00_1181); 
FAILURE(BgL_auxz00_8984,BFALSE,BFALSE);} 
BgL_n1z00_3378 = 
(long)CINT(BgL_tmpz00_8981); } 
BgL_testz00_8980 = 
(BgL_n1z00_3378>=((long)0)); } 
if(BgL_testz00_8980)
{ 
long BgL_auxz00_8990;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_8991;
if(
INTEGERP(BgL_index1428z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_8991 = BgL_index1428z00_1181
; }  else 
{ 
obj_t BgL_auxz00_8994;
BgL_auxz00_8994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1428z00_1181); 
FAILURE(BgL_auxz00_8994,BFALSE,BFALSE);} 
BgL_auxz00_8990 = 
(long)CINT(BgL_tmpz00_8991); } 
BgL_noncezd2initz12zc0_1165 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_auxz00_8990); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1429z00_1183;
BgL_index1429z00_1183 = 
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1421z00_307), BgL_opt1421z00_307, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_9003;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3380;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9004;
if(
INTEGERP(BgL_index1429z00_1183))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9004 = BgL_index1429z00_1183
; }  else 
{ 
obj_t BgL_auxz00_9007;
BgL_auxz00_9007 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1183); 
FAILURE(BgL_auxz00_9007,BFALSE,BFALSE);} 
BgL_n1z00_3380 = 
(long)CINT(BgL_tmpz00_9004); } 
BgL_testz00_9003 = 
(BgL_n1z00_3380>=((long)0)); } 
if(BgL_testz00_9003)
{ 
long BgL_auxz00_9013;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9014;
if(
INTEGERP(BgL_index1429z00_1183))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9014 = BgL_index1429z00_1183
; }  else 
{ 
obj_t BgL_auxz00_9017;
BgL_auxz00_9017 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1183); 
FAILURE(BgL_auxz00_9017,BFALSE,BFALSE);} 
BgL_auxz00_9013 = 
(long)CINT(BgL_tmpz00_9014); } 
BgL_noncezd2updatez12zc0_1166 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_auxz00_9013); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1430z00_1185;
BgL_index1430z00_1185 = 
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1421z00_307), BgL_opt1421z00_307, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_9026;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3382;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9027;
if(
INTEGERP(BgL_index1430z00_1185))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9027 = BgL_index1430z00_1185
; }  else 
{ 
obj_t BgL_auxz00_9030;
BgL_auxz00_9030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1185); 
FAILURE(BgL_auxz00_9030,BFALSE,BFALSE);} 
BgL_n1z00_3382 = 
(long)CINT(BgL_tmpz00_9027); } 
BgL_testz00_9026 = 
(BgL_n1z00_3382>=((long)0)); } 
if(BgL_testz00_9026)
{ 
long BgL_auxz00_9036;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9037;
if(
INTEGERP(BgL_index1430z00_1185))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9037 = BgL_index1430z00_1185
; }  else 
{ 
obj_t BgL_auxz00_9040;
BgL_auxz00_9040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1185); 
FAILURE(BgL_auxz00_9040,BFALSE,BFALSE);} 
BgL_auxz00_9036 = 
(long)CINT(BgL_tmpz00_9037); } 
BgL_padz00_1167 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_auxz00_9036); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1431z00_1187;
BgL_index1431z00_1187 = 
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1421z00_307), BgL_opt1421z00_307, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_testz00_9049;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3384;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9050;
if(
INTEGERP(BgL_index1431z00_1187))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9050 = BgL_index1431z00_1187
; }  else 
{ 
obj_t BgL_auxz00_9053;
BgL_auxz00_9053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1187); 
FAILURE(BgL_auxz00_9053,BFALSE,BFALSE);} 
BgL_n1z00_3384 = 
(long)CINT(BgL_tmpz00_9050); } 
BgL_testz00_9049 = 
(BgL_n1z00_3384>=((long)0)); } 
if(BgL_testz00_9049)
{ 
long BgL_auxz00_9059;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9060;
if(
INTEGERP(BgL_index1431z00_1187))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9060 = BgL_index1431z00_1187
; }  else 
{ 
obj_t BgL_auxz00_9063;
BgL_auxz00_9063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1187); 
FAILURE(BgL_auxz00_9063,BFALSE,BFALSE);} 
BgL_auxz00_9059 = 
(long)CINT(BgL_tmpz00_9060); } 
BgL_stringzd2ze3keyz31_1168 = 
VECTOR_REF(BgL_opt1421z00_307,BgL_auxz00_9059); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_arg2045z00_1189;obj_t BgL_arg2046z00_1190;obj_t BgL_arg2047z00_1191;
BgL_arg2045z00_1189 = 
VECTOR_REF(BgL_opt1421z00_307,((long)0)); 
BgL_arg2046z00_1190 = 
VECTOR_REF(BgL_opt1421z00_307,((long)1)); 
BgL_arg2047z00_1191 = 
VECTOR_REF(BgL_opt1421z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_ivz00_1192;
BgL_ivz00_1192 = BgL_ivz00_1163; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_modez00_1193;
BgL_modez00_1193 = BgL_modez00_1164; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2initz12zc0_1194;
BgL_noncezd2initz12zc0_1194 = BgL_noncezd2initz12zc0_1165; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2updatez12zc0_1195;
BgL_noncezd2updatez12zc0_1195 = BgL_noncezd2updatez12zc0_1166; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_padz00_1196;
BgL_padz00_1196 = BgL_padz00_1167; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_stringzd2ze3keyz31_1197;
BgL_stringzd2ze3keyz31_1197 = BgL_stringzd2ze3keyz31_1168; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_res2918z00_3396;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_cipherz00_3386;obj_t BgL_passwordz00_3387;
if(
SYMBOLP(BgL_arg2045z00_1189))
{ /* Llib/block_ciphers.scm 850 */
BgL_cipherz00_3386 = BgL_arg2045z00_1189; }  else 
{ 
obj_t BgL_auxz00_9074;
BgL_auxz00_9074 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2045z00_1189); 
FAILURE(BgL_auxz00_9074,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2047z00_1191))
{ /* Llib/block_ciphers.scm 850 */
BgL_passwordz00_3387 = BgL_arg2047z00_1191; }  else 
{ 
obj_t BgL_auxz00_9080;
BgL_auxz00_9080 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2047z00_1191); 
FAILURE(BgL_auxz00_9080,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 854 */
obj_t BgL_redirectz00_3388;
if(
STRINGP(BgL_arg2046z00_1190))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3388 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_testz00_9086;
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_res2916z00_3393;
BgL_res2916z00_3393 = 
BGL_MMAPP(BgL_arg2046z00_1190); 
BgL_testz00_9086 = BgL_res2916z00_3393; } 
if(BgL_testz00_9086)
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3388 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL_testz00_9088;
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL__ortest_1056z00_3394;
BgL__ortest_1056z00_3394 = 
OUTPUT_PORTP(BgL_arg2046z00_1190); 
if(BgL__ortest_1056z00_3394)
{ /* Llib/block_ciphers.scm 857 */
BgL_testz00_9088 = BgL__ortest_1056z00_3394
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_testz00_9088 = 
INPUT_PORTP(BgL_arg2046z00_1190)
; } } 
if(BgL_testz00_9088)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3388 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)8)); 
BgL_redirectz00_3388 = BgL_arg2046z00_1190; } } } 
{ /* Llib/block_ciphers.scm 861 */
obj_t BgL_aux3512z00_5855;
{ /* Llib/block_ciphers.scm 861 */
obj_t BgL_tmpz00_9104;
{ /* Llib/block_ciphers.scm 861 */
bool_t BgL_test3511z00_5854;
BgL_test3511z00_5854 = 
PROCEDUREP(BgL_redirectz00_3388); 
if(BgL_test3511z00_5854)
{ /* Llib/block_ciphers.scm 861 */
BgL_tmpz00_9104 = BgL_redirectz00_3388
; }  else 
{ 
obj_t BgL_auxz00_9107;
BgL_auxz00_9107 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31179)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3732z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3388); 
FAILURE(BgL_auxz00_9107,BFALSE,BFALSE);} } 
BgL_aux3512z00_5855 = 
PROCEDURE_ENTRY(BgL_tmpz00_9104)(BgL_redirectz00_3388, BgL_cipherz00_3386, BgL_arg2046z00_1190, BgL_passwordz00_3387, BgL_ivz00_1192, BgL_modez00_1193, BgL_padz00_1196, BgL_noncezd2initz12zc0_1194, BgL_noncezd2updatez12zc0_1195, BgL_stringzd2ze3keyz31_1197, BEOA); } 
if(
STRINGP(BgL_aux3512z00_5855))
{ /* Llib/block_ciphers.scm 861 */
BgL_res2918z00_3396 = BgL_aux3512z00_5855; }  else 
{ 
obj_t BgL_auxz00_9113;
BgL_auxz00_9113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31179)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3512z00_5855); 
FAILURE(BgL_auxz00_9113,BFALSE,BFALSE);} } } } 
return BgL_res2918z00_3396;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1423~0 */
obj_t BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1422z00_5606, obj_t BgL_opt1421z00_5605, obj_t BgL_k1z00_1157, long BgL_iz00_1158)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 850 */
BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1158==BgL_l1422z00_5606))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 850 */
if(
(BgL_iz00_1158==
(BgL_l1422z00_5606-((long)1))))
{ /* Llib/block_ciphers.scm 850 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1421z00_5605)));}  else 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_vz00_1202;
BgL_vz00_1202 = 
VECTOR_REF(BgL_opt1421z00_5605,BgL_iz00_1158); 
if(
(BgL_vz00_1202==BgL_k1z00_1157))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(
(BgL_iz00_1158+((long)1)));}  else 
{ 
long BgL_iz00_9132;
BgL_iz00_9132 = 
(BgL_iz00_1158+((long)2)); 
BgL_iz00_1158 = BgL_iz00_9132; 
goto BGl_search1423ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* decrypt */
BGL_EXPORTED_DEF obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_298, obj_t BgL_ciphertextz00_299, obj_t BgL_passwordz00_300, obj_t BgL_ivz00_301, obj_t BgL_modez00_302, obj_t BgL_noncezd2initz12zc0_303, obj_t BgL_noncezd2updatez12zc0_304, obj_t BgL_padz00_305, obj_t BgL_stringzd2ze3keyz31_306)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 854 */
obj_t BgL_redirectz00_3397;
if(
STRINGP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3397 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_testz00_9136;
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_res2920z00_3402;
BgL_res2920z00_3402 = 
BGL_MMAPP(BgL_ciphertextz00_299); 
BgL_testz00_9136 = BgL_res2920z00_3402; } 
if(BgL_testz00_9136)
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3397 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL_testz00_9138;
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL__ortest_1056z00_3403;
BgL__ortest_1056z00_3403 = 
OUTPUT_PORTP(BgL_ciphertextz00_299); 
if(BgL__ortest_1056z00_3403)
{ /* Llib/block_ciphers.scm 857 */
BgL_testz00_9138 = BgL__ortest_1056z00_3403
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_testz00_9138 = 
INPUT_PORTP(BgL_ciphertextz00_299)
; } } 
if(BgL_testz00_9138)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3397 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)8)); 
BgL_redirectz00_3397 = BgL_ciphertextz00_299; } } } 
return 
PROCEDURE_ENTRY(BgL_redirectz00_3397)(BgL_redirectz00_3397, BgL_cipherz00_298, BgL_ciphertextz00_299, BgL_passwordz00_300, BgL_ivz00_301, BgL_modez00_302, BgL_padz00_305, BgL_noncezd2initz12zc0_303, BgL_noncezd2updatez12zc0_304, BgL_stringzd2ze3keyz31_306, BEOA);} } 
BGL_FUNCTION_END;
}



/* _decrypt-string */
obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_319, obj_t BgL_opt1432z00_318)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_cipherz00_1214;obj_t BgL_ciphertextz00_1215;obj_t BgL_passwordz00_1216;
BgL_cipherz00_1214 = 
VECTOR_REF(BgL_opt1432z00_318,((long)0)); 
BgL_ciphertextz00_1215 = 
VECTOR_REF(BgL_opt1432z00_318,((long)1)); 
BgL_passwordz00_1216 = 
VECTOR_REF(BgL_opt1432z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_ivz00_1217;
BgL_ivz00_1217 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
obj_t BgL_modez00_1218;
BgL_modez00_1218 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2initz12zc0_1219;
BgL_noncezd2initz12zc0_1219 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2updatez12zc0_1220;
BgL_noncezd2updatez12zc0_1220 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
obj_t BgL_padz00_1221;
BgL_padz00_1221 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_stringzd2ze3keyz31_1222;
BgL_stringzd2ze3keyz31_1222 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */

{ 
long BgL_iz00_1223;
BgL_iz00_1223 = ((long)3); 
BgL_check1435z00_1224:
if(
(BgL_iz00_1223==
VECTOR_LENGTH(BgL_opt1432z00_318)))
{ /* Llib/block_ciphers.scm 864 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9163;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_arg2063z00_1230;
BgL_arg2063z00_1230 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_iz00_1223); 
BgL_testz00_9163 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2063z00_1230, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_9163)
{ 
long BgL_iz00_9168;
BgL_iz00_9168 = 
(BgL_iz00_1223+((long)2)); 
BgL_iz00_1223 = BgL_iz00_9168; 
goto BgL_check1435z00_1224;}  else 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_arg2062z00_1229;
BgL_arg2062z00_1229 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_iz00_1223); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)38)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2062z00_1229); } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1437z00_1231;
BgL_index1437z00_1231 = 
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1432z00_318), BgL_opt1432z00_318, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9176;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3427;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9177;
if(
INTEGERP(BgL_index1437z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9177 = BgL_index1437z00_1231
; }  else 
{ 
obj_t BgL_auxz00_9180;
BgL_auxz00_9180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1437z00_1231); 
FAILURE(BgL_auxz00_9180,BFALSE,BFALSE);} 
BgL_n1z00_3427 = 
(long)CINT(BgL_tmpz00_9177); } 
BgL_testz00_9176 = 
(BgL_n1z00_3427>=((long)0)); } 
if(BgL_testz00_9176)
{ 
long BgL_auxz00_9186;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9187;
if(
INTEGERP(BgL_index1437z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9187 = BgL_index1437z00_1231
; }  else 
{ 
obj_t BgL_auxz00_9190;
BgL_auxz00_9190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1437z00_1231); 
FAILURE(BgL_auxz00_9190,BFALSE,BFALSE);} 
BgL_auxz00_9186 = 
(long)CINT(BgL_tmpz00_9187); } 
BgL_ivz00_1217 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_auxz00_9186); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1438z00_1233;
BgL_index1438z00_1233 = 
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1432z00_318), BgL_opt1432z00_318, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9199;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3429;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9200;
if(
INTEGERP(BgL_index1438z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9200 = BgL_index1438z00_1233
; }  else 
{ 
obj_t BgL_auxz00_9203;
BgL_auxz00_9203 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1438z00_1233); 
FAILURE(BgL_auxz00_9203,BFALSE,BFALSE);} 
BgL_n1z00_3429 = 
(long)CINT(BgL_tmpz00_9200); } 
BgL_testz00_9199 = 
(BgL_n1z00_3429>=((long)0)); } 
if(BgL_testz00_9199)
{ 
long BgL_auxz00_9209;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9210;
if(
INTEGERP(BgL_index1438z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9210 = BgL_index1438z00_1233
; }  else 
{ 
obj_t BgL_auxz00_9213;
BgL_auxz00_9213 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1438z00_1233); 
FAILURE(BgL_auxz00_9213,BFALSE,BFALSE);} 
BgL_auxz00_9209 = 
(long)CINT(BgL_tmpz00_9210); } 
BgL_modez00_1218 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_auxz00_9209); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1439z00_1235;
BgL_index1439z00_1235 = 
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1432z00_318), BgL_opt1432z00_318, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9222;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3431;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9223;
if(
INTEGERP(BgL_index1439z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9223 = BgL_index1439z00_1235
; }  else 
{ 
obj_t BgL_auxz00_9226;
BgL_auxz00_9226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1439z00_1235); 
FAILURE(BgL_auxz00_9226,BFALSE,BFALSE);} 
BgL_n1z00_3431 = 
(long)CINT(BgL_tmpz00_9223); } 
BgL_testz00_9222 = 
(BgL_n1z00_3431>=((long)0)); } 
if(BgL_testz00_9222)
{ 
long BgL_auxz00_9232;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9233;
if(
INTEGERP(BgL_index1439z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9233 = BgL_index1439z00_1235
; }  else 
{ 
obj_t BgL_auxz00_9236;
BgL_auxz00_9236 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1439z00_1235); 
FAILURE(BgL_auxz00_9236,BFALSE,BFALSE);} 
BgL_auxz00_9232 = 
(long)CINT(BgL_tmpz00_9233); } 
BgL_noncezd2initz12zc0_1219 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_auxz00_9232); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1440z00_1237;
BgL_index1440z00_1237 = 
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1432z00_318), BgL_opt1432z00_318, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9245;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3433;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9246;
if(
INTEGERP(BgL_index1440z00_1237))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9246 = BgL_index1440z00_1237
; }  else 
{ 
obj_t BgL_auxz00_9249;
BgL_auxz00_9249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1440z00_1237); 
FAILURE(BgL_auxz00_9249,BFALSE,BFALSE);} 
BgL_n1z00_3433 = 
(long)CINT(BgL_tmpz00_9246); } 
BgL_testz00_9245 = 
(BgL_n1z00_3433>=((long)0)); } 
if(BgL_testz00_9245)
{ 
long BgL_auxz00_9255;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9256;
if(
INTEGERP(BgL_index1440z00_1237))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9256 = BgL_index1440z00_1237
; }  else 
{ 
obj_t BgL_auxz00_9259;
BgL_auxz00_9259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1440z00_1237); 
FAILURE(BgL_auxz00_9259,BFALSE,BFALSE);} 
BgL_auxz00_9255 = 
(long)CINT(BgL_tmpz00_9256); } 
BgL_noncezd2updatez12zc0_1220 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_auxz00_9255); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1441z00_1239;
BgL_index1441z00_1239 = 
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1432z00_318), BgL_opt1432z00_318, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9268;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3435;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9269;
if(
INTEGERP(BgL_index1441z00_1239))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9269 = BgL_index1441z00_1239
; }  else 
{ 
obj_t BgL_auxz00_9272;
BgL_auxz00_9272 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1239); 
FAILURE(BgL_auxz00_9272,BFALSE,BFALSE);} 
BgL_n1z00_3435 = 
(long)CINT(BgL_tmpz00_9269); } 
BgL_testz00_9268 = 
(BgL_n1z00_3435>=((long)0)); } 
if(BgL_testz00_9268)
{ 
long BgL_auxz00_9278;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9279;
if(
INTEGERP(BgL_index1441z00_1239))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9279 = BgL_index1441z00_1239
; }  else 
{ 
obj_t BgL_auxz00_9282;
BgL_auxz00_9282 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1239); 
FAILURE(BgL_auxz00_9282,BFALSE,BFALSE);} 
BgL_auxz00_9278 = 
(long)CINT(BgL_tmpz00_9279); } 
BgL_padz00_1221 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_auxz00_9278); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1442z00_1241;
BgL_index1442z00_1241 = 
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1432z00_318), BgL_opt1432z00_318, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_testz00_9291;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3437;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9292;
if(
INTEGERP(BgL_index1442z00_1241))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9292 = BgL_index1442z00_1241
; }  else 
{ 
obj_t BgL_auxz00_9295;
BgL_auxz00_9295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1241); 
FAILURE(BgL_auxz00_9295,BFALSE,BFALSE);} 
BgL_n1z00_3437 = 
(long)CINT(BgL_tmpz00_9292); } 
BgL_testz00_9291 = 
(BgL_n1z00_3437>=((long)0)); } 
if(BgL_testz00_9291)
{ 
long BgL_auxz00_9301;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9302;
if(
INTEGERP(BgL_index1442z00_1241))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9302 = BgL_index1442z00_1241
; }  else 
{ 
obj_t BgL_auxz00_9305;
BgL_auxz00_9305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1241); 
FAILURE(BgL_auxz00_9305,BFALSE,BFALSE);} 
BgL_auxz00_9301 = 
(long)CINT(BgL_tmpz00_9302); } 
BgL_stringzd2ze3keyz31_1222 = 
VECTOR_REF(BgL_opt1432z00_318,BgL_auxz00_9301); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_arg2070z00_1243;obj_t BgL_arg2071z00_1244;obj_t BgL_arg2072z00_1245;
BgL_arg2070z00_1243 = 
VECTOR_REF(BgL_opt1432z00_318,((long)0)); 
BgL_arg2071z00_1244 = 
VECTOR_REF(BgL_opt1432z00_318,((long)1)); 
BgL_arg2072z00_1245 = 
VECTOR_REF(BgL_opt1432z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_ivz00_1246;
BgL_ivz00_1246 = BgL_ivz00_1217; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_modez00_1247;
BgL_modez00_1247 = BgL_modez00_1218; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2initz12zc0_1248;
BgL_noncezd2initz12zc0_1248 = BgL_noncezd2initz12zc0_1219; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2updatez12zc0_1249;
BgL_noncezd2updatez12zc0_1249 = BgL_noncezd2updatez12zc0_1220; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_padz00_1250;
BgL_padz00_1250 = BgL_padz00_1221; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_stringzd2ze3keyz31_1251;
BgL_stringzd2ze3keyz31_1251 = BgL_stringzd2ze3keyz31_1222; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_res2938z00_3457;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_cipherz00_3439;obj_t BgL_ciphertextz00_3440;obj_t BgL_passwordz00_3441;
if(
SYMBOLP(BgL_arg2070z00_1243))
{ /* Llib/block_ciphers.scm 864 */
BgL_cipherz00_3439 = BgL_arg2070z00_1243; }  else 
{ 
obj_t BgL_auxz00_9316;
BgL_auxz00_9316 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2070z00_1243); 
FAILURE(BgL_auxz00_9316,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2071z00_1244))
{ /* Llib/block_ciphers.scm 864 */
BgL_ciphertextz00_3440 = BgL_arg2071z00_1244; }  else 
{ 
obj_t BgL_auxz00_9322;
BgL_auxz00_9322 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2071z00_1244); 
FAILURE(BgL_auxz00_9322,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2072z00_1245))
{ /* Llib/block_ciphers.scm 864 */
BgL_passwordz00_3441 = BgL_arg2072z00_1245; }  else 
{ 
obj_t BgL_auxz00_9328;
BgL_auxz00_9328 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2072z00_1245); 
FAILURE(BgL_auxz00_9328,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 868 */
obj_t BgL_res2937z00_3456;
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_strz00_3444;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3445;
{ /* Llib/block_ciphers.scm 874 */
long BgL_arg2081z00_3446;
BgL_arg2081z00_3446 = 
STRING_LENGTH(BgL_ciphertextz00_3440); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3444 = 
make_string(BgL_arg2081z00_3446, ((unsigned char)' ')); } } 
BgL_statez00_3445 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3439, BgL_passwordz00_3441, BgL_ivz00_1246, BgL_modez00_1247, BgL_padz00_1250, BgL_noncezd2initz12zc0_1248, BgL_noncezd2updatez12zc0_1249, BgL_stringzd2ze3keyz31_1251); 
{ /* Llib/block_ciphers.scm 878 */
long BgL_tmpz00_9335;
BgL_tmpz00_9335 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3445, BgL_ciphertextz00_3440, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3444, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2937z00_3456 = 
bgl_string_shrink(BgL_strz00_3444, BgL_tmpz00_9335); } } 
BgL_res2938z00_3457 = BgL_res2937z00_3456; } } 
return BgL_res2938z00_3457;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1434~0 */
obj_t BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1433z00_5604, obj_t BgL_opt1432z00_5603, obj_t BgL_k1z00_1211, long BgL_iz00_1212)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 864 */
BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1212==BgL_l1433z00_5604))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 864 */
if(
(BgL_iz00_1212==
(BgL_l1433z00_5604-((long)1))))
{ /* Llib/block_ciphers.scm 864 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)38)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1432z00_5603)));}  else 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_vz00_1256;
BgL_vz00_1256 = 
VECTOR_REF(BgL_opt1432z00_5603,BgL_iz00_1212); 
if(
(BgL_vz00_1256==BgL_k1z00_1211))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(
(BgL_iz00_1212+((long)1)));}  else 
{ 
long BgL_iz00_9353;
BgL_iz00_9353 = 
(BgL_iz00_1212+((long)2)); 
BgL_iz00_1212 = BgL_iz00_9353; 
goto BGl_search1434ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* decrypt-string */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_309, obj_t BgL_ciphertextz00_310, obj_t BgL_passwordz00_311, obj_t BgL_ivz00_312, obj_t BgL_modez00_313, obj_t BgL_noncezd2initz12zc0_314, obj_t BgL_noncezd2updatez12zc0_315, obj_t BgL_padz00_316, obj_t BgL_stringzd2ze3keyz31_317)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 868 */
obj_t BgL_res2941z00_3472;
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_strz00_3460;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3461;
{ /* Llib/block_ciphers.scm 874 */
long BgL_arg2081z00_3462;
BgL_arg2081z00_3462 = 
STRING_LENGTH(BgL_ciphertextz00_310); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3460 = 
make_string(BgL_arg2081z00_3462, ((unsigned char)' ')); } } 
BgL_statez00_3461 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_309, BgL_passwordz00_311, BgL_ivz00_312, BgL_modez00_313, BgL_padz00_316, BgL_noncezd2initz12zc0_314, BgL_noncezd2updatez12zc0_315, BgL_stringzd2ze3keyz31_317); 
{ /* Llib/block_ciphers.scm 878 */
long BgL_tmpz00_9358;
BgL_tmpz00_9358 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3461, BgL_ciphertextz00_310, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3460, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2941z00_3472 = 
bgl_string_shrink(BgL_strz00_3460, BgL_tmpz00_9358); } } 
return BgL_res2941z00_3472;} } 
BGL_FUNCTION_END;
}



/* &decrypt-fast-string */
obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4969, obj_t BgL_cipherz00_4970, obj_t BgL_ciphertextz00_4971, obj_t BgL_passwordz00_4972, obj_t BgL_ivz00_4973, obj_t BgL_modez00_4974, obj_t BgL_padz00_4975, obj_t BgL_noncezd2initz12zc0_4976, obj_t BgL_noncezd2updatez12zc0_4977, obj_t BgL_stringzd2ze3keyz31_4978)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 871 */
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_ciphertextz00_6135;obj_t BgL_passwordz00_6136;
if(
STRINGP(BgL_ciphertextz00_4971))
{ /* Llib/block_ciphers.scm 874 */
BgL_ciphertextz00_6135 = BgL_ciphertextz00_4971; }  else 
{ 
obj_t BgL_auxz00_9363;
BgL_auxz00_9363 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31721)), BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4971); 
FAILURE(BgL_auxz00_9363,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4972))
{ /* Llib/block_ciphers.scm 874 */
BgL_passwordz00_6136 = BgL_passwordz00_4972; }  else 
{ 
obj_t BgL_auxz00_9369;
BgL_auxz00_9369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31721)), BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4972); 
FAILURE(BgL_auxz00_9369,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_strz00_6137;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6138;
{ /* Llib/block_ciphers.scm 874 */
long BgL_arg2081z00_6139;
BgL_arg2081z00_6139 = 
STRING_LENGTH(BgL_ciphertextz00_6135); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_6137 = 
make_string(BgL_arg2081z00_6139, ((unsigned char)' ')); } } 
BgL_statez00_6138 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4970, BgL_passwordz00_6136, BgL_ivz00_4973, BgL_modez00_4974, BgL_padz00_4975, BgL_noncezd2initz12zc0_4976, BgL_noncezd2updatez12zc0_4977, BgL_stringzd2ze3keyz31_4978); 
{ /* Llib/block_ciphers.scm 878 */
long BgL_tmpz00_9376;
BgL_tmpz00_9376 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6138, BgL_ciphertextz00_6135, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_6137, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_6137, BgL_tmpz00_9376);} } } } 
BGL_FUNCTION_END;
}



/* _decrypt-mmap */
obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_339, obj_t BgL_opt1443z00_338)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_cipherz00_1270;obj_t BgL_ciphertextz00_1271;obj_t BgL_passwordz00_1272;
BgL_cipherz00_1270 = 
VECTOR_REF(BgL_opt1443z00_338,((long)0)); 
BgL_ciphertextz00_1271 = 
VECTOR_REF(BgL_opt1443z00_338,((long)1)); 
BgL_passwordz00_1272 = 
VECTOR_REF(BgL_opt1443z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_ivz00_1273;
BgL_ivz00_1273 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
obj_t BgL_modez00_1274;
BgL_modez00_1274 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2initz12zc0_1275;
BgL_noncezd2initz12zc0_1275 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2updatez12zc0_1276;
BgL_noncezd2updatez12zc0_1276 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
obj_t BgL_padz00_1277;
BgL_padz00_1277 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_stringzd2ze3keyz31_1278;
BgL_stringzd2ze3keyz31_1278 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */

{ 
long BgL_iz00_1279;
BgL_iz00_1279 = ((long)3); 
BgL_check1446z00_1280:
if(
(BgL_iz00_1279==
VECTOR_LENGTH(BgL_opt1443z00_338)))
{ /* Llib/block_ciphers.scm 883 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9387;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_arg2087z00_1286;
BgL_arg2087z00_1286 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_iz00_1279); 
BgL_testz00_9387 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2087z00_1286, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_9387)
{ 
long BgL_iz00_9392;
BgL_iz00_9392 = 
(BgL_iz00_1279+((long)2)); 
BgL_iz00_1279 = BgL_iz00_9392; 
goto BgL_check1446z00_1280;}  else 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_arg2086z00_1285;
BgL_arg2086z00_1285 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_iz00_1279); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)39)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2086z00_1285); } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1448z00_1287;
BgL_index1448z00_1287 = 
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1443z00_338), BgL_opt1443z00_338, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9400;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3507;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9401;
if(
INTEGERP(BgL_index1448z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9401 = BgL_index1448z00_1287
; }  else 
{ 
obj_t BgL_auxz00_9404;
BgL_auxz00_9404 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1448z00_1287); 
FAILURE(BgL_auxz00_9404,BFALSE,BFALSE);} 
BgL_n1z00_3507 = 
(long)CINT(BgL_tmpz00_9401); } 
BgL_testz00_9400 = 
(BgL_n1z00_3507>=((long)0)); } 
if(BgL_testz00_9400)
{ 
long BgL_auxz00_9410;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9411;
if(
INTEGERP(BgL_index1448z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9411 = BgL_index1448z00_1287
; }  else 
{ 
obj_t BgL_auxz00_9414;
BgL_auxz00_9414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1448z00_1287); 
FAILURE(BgL_auxz00_9414,BFALSE,BFALSE);} 
BgL_auxz00_9410 = 
(long)CINT(BgL_tmpz00_9411); } 
BgL_ivz00_1273 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_auxz00_9410); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1449z00_1289;
BgL_index1449z00_1289 = 
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1443z00_338), BgL_opt1443z00_338, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9423;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3509;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9424;
if(
INTEGERP(BgL_index1449z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9424 = BgL_index1449z00_1289
; }  else 
{ 
obj_t BgL_auxz00_9427;
BgL_auxz00_9427 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1449z00_1289); 
FAILURE(BgL_auxz00_9427,BFALSE,BFALSE);} 
BgL_n1z00_3509 = 
(long)CINT(BgL_tmpz00_9424); } 
BgL_testz00_9423 = 
(BgL_n1z00_3509>=((long)0)); } 
if(BgL_testz00_9423)
{ 
long BgL_auxz00_9433;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9434;
if(
INTEGERP(BgL_index1449z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9434 = BgL_index1449z00_1289
; }  else 
{ 
obj_t BgL_auxz00_9437;
BgL_auxz00_9437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1449z00_1289); 
FAILURE(BgL_auxz00_9437,BFALSE,BFALSE);} 
BgL_auxz00_9433 = 
(long)CINT(BgL_tmpz00_9434); } 
BgL_modez00_1274 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_auxz00_9433); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1450z00_1291;
BgL_index1450z00_1291 = 
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1443z00_338), BgL_opt1443z00_338, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9446;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3511;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9447;
if(
INTEGERP(BgL_index1450z00_1291))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9447 = BgL_index1450z00_1291
; }  else 
{ 
obj_t BgL_auxz00_9450;
BgL_auxz00_9450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1450z00_1291); 
FAILURE(BgL_auxz00_9450,BFALSE,BFALSE);} 
BgL_n1z00_3511 = 
(long)CINT(BgL_tmpz00_9447); } 
BgL_testz00_9446 = 
(BgL_n1z00_3511>=((long)0)); } 
if(BgL_testz00_9446)
{ 
long BgL_auxz00_9456;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9457;
if(
INTEGERP(BgL_index1450z00_1291))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9457 = BgL_index1450z00_1291
; }  else 
{ 
obj_t BgL_auxz00_9460;
BgL_auxz00_9460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1450z00_1291); 
FAILURE(BgL_auxz00_9460,BFALSE,BFALSE);} 
BgL_auxz00_9456 = 
(long)CINT(BgL_tmpz00_9457); } 
BgL_noncezd2initz12zc0_1275 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_auxz00_9456); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1451z00_1293;
BgL_index1451z00_1293 = 
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1443z00_338), BgL_opt1443z00_338, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9469;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3513;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9470;
if(
INTEGERP(BgL_index1451z00_1293))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9470 = BgL_index1451z00_1293
; }  else 
{ 
obj_t BgL_auxz00_9473;
BgL_auxz00_9473 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1451z00_1293); 
FAILURE(BgL_auxz00_9473,BFALSE,BFALSE);} 
BgL_n1z00_3513 = 
(long)CINT(BgL_tmpz00_9470); } 
BgL_testz00_9469 = 
(BgL_n1z00_3513>=((long)0)); } 
if(BgL_testz00_9469)
{ 
long BgL_auxz00_9479;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9480;
if(
INTEGERP(BgL_index1451z00_1293))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9480 = BgL_index1451z00_1293
; }  else 
{ 
obj_t BgL_auxz00_9483;
BgL_auxz00_9483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1451z00_1293); 
FAILURE(BgL_auxz00_9483,BFALSE,BFALSE);} 
BgL_auxz00_9479 = 
(long)CINT(BgL_tmpz00_9480); } 
BgL_noncezd2updatez12zc0_1276 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_auxz00_9479); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1452z00_1295;
BgL_index1452z00_1295 = 
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1443z00_338), BgL_opt1443z00_338, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9492;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3515;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9493;
if(
INTEGERP(BgL_index1452z00_1295))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9493 = BgL_index1452z00_1295
; }  else 
{ 
obj_t BgL_auxz00_9496;
BgL_auxz00_9496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1452z00_1295); 
FAILURE(BgL_auxz00_9496,BFALSE,BFALSE);} 
BgL_n1z00_3515 = 
(long)CINT(BgL_tmpz00_9493); } 
BgL_testz00_9492 = 
(BgL_n1z00_3515>=((long)0)); } 
if(BgL_testz00_9492)
{ 
long BgL_auxz00_9502;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9503;
if(
INTEGERP(BgL_index1452z00_1295))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9503 = BgL_index1452z00_1295
; }  else 
{ 
obj_t BgL_auxz00_9506;
BgL_auxz00_9506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1452z00_1295); 
FAILURE(BgL_auxz00_9506,BFALSE,BFALSE);} 
BgL_auxz00_9502 = 
(long)CINT(BgL_tmpz00_9503); } 
BgL_padz00_1277 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_auxz00_9502); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1453z00_1297;
BgL_index1453z00_1297 = 
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1443z00_338), BgL_opt1443z00_338, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_testz00_9515;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3517;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9516;
if(
INTEGERP(BgL_index1453z00_1297))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9516 = BgL_index1453z00_1297
; }  else 
{ 
obj_t BgL_auxz00_9519;
BgL_auxz00_9519 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1297); 
FAILURE(BgL_auxz00_9519,BFALSE,BFALSE);} 
BgL_n1z00_3517 = 
(long)CINT(BgL_tmpz00_9516); } 
BgL_testz00_9515 = 
(BgL_n1z00_3517>=((long)0)); } 
if(BgL_testz00_9515)
{ 
long BgL_auxz00_9525;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9526;
if(
INTEGERP(BgL_index1453z00_1297))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9526 = BgL_index1453z00_1297
; }  else 
{ 
obj_t BgL_auxz00_9529;
BgL_auxz00_9529 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1297); 
FAILURE(BgL_auxz00_9529,BFALSE,BFALSE);} 
BgL_auxz00_9525 = 
(long)CINT(BgL_tmpz00_9526); } 
BgL_stringzd2ze3keyz31_1278 = 
VECTOR_REF(BgL_opt1443z00_338,BgL_auxz00_9525); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_arg2094z00_1299;obj_t BgL_arg2095z00_1300;obj_t BgL_arg2096z00_1301;
BgL_arg2094z00_1299 = 
VECTOR_REF(BgL_opt1443z00_338,((long)0)); 
BgL_arg2095z00_1300 = 
VECTOR_REF(BgL_opt1443z00_338,((long)1)); 
BgL_arg2096z00_1301 = 
VECTOR_REF(BgL_opt1443z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_ivz00_1302;
BgL_ivz00_1302 = BgL_ivz00_1273; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_modez00_1303;
BgL_modez00_1303 = BgL_modez00_1274; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2initz12zc0_1304;
BgL_noncezd2initz12zc0_1304 = BgL_noncezd2initz12zc0_1275; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2updatez12zc0_1305;
BgL_noncezd2updatez12zc0_1305 = BgL_noncezd2updatez12zc0_1276; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_padz00_1306;
BgL_padz00_1306 = BgL_padz00_1277; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_stringzd2ze3keyz31_1307;
BgL_stringzd2ze3keyz31_1307 = BgL_stringzd2ze3keyz31_1278; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_res2960z00_3537;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_cipherz00_3519;obj_t BgL_ciphertextz00_3520;obj_t BgL_passwordz00_3521;
if(
SYMBOLP(BgL_arg2094z00_1299))
{ /* Llib/block_ciphers.scm 883 */
BgL_cipherz00_3519 = BgL_arg2094z00_1299; }  else 
{ 
obj_t BgL_auxz00_9540;
BgL_auxz00_9540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2094z00_1299); 
FAILURE(BgL_auxz00_9540,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2095z00_1300))
{ /* Llib/block_ciphers.scm 883 */
BgL_ciphertextz00_3520 = BgL_arg2095z00_1300; }  else 
{ 
obj_t BgL_auxz00_9546;
BgL_auxz00_9546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2095z00_1300); 
FAILURE(BgL_auxz00_9546,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2096z00_1301))
{ /* Llib/block_ciphers.scm 883 */
BgL_passwordz00_3521 = BgL_arg2096z00_1301; }  else 
{ 
obj_t BgL_auxz00_9552;
BgL_auxz00_9552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2096z00_1301); 
FAILURE(BgL_auxz00_9552,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 887 */
obj_t BgL_res2959z00_3536;
{ /* Llib/block_ciphers.scm 893 */
long BgL_lenz00_3524;
{ /* Llib/block_ciphers.scm 893 */
long BgL_res2957z00_3531;
BgL_res2957z00_3531 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_3520); 
BgL_lenz00_3524 = BgL_res2957z00_3531; } 
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_strz00_3525;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
obj_t BgL_res2958z00_3533;
{ /* Llib/block_ciphers.scm 894 */
long BgL_kz00_3532;
BgL_kz00_3532 = 
(long)(BgL_lenz00_3524); 
BgL_res2958z00_3533 = 
make_string(BgL_kz00_3532, ((unsigned char)' ')); } 
BgL_strz00_3525 = BgL_res2958z00_3533; } } 
{ /* Llib/block_ciphers.scm 894 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3528;
BgL_statez00_3528 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3519, BgL_passwordz00_3521, BgL_ivz00_1302, BgL_modez00_1303, BgL_padz00_1306, BgL_noncezd2initz12zc0_1304, BgL_noncezd2updatez12zc0_1305, BgL_stringzd2ze3keyz31_1307); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
long BgL_tmpz00_9560;
BgL_tmpz00_9560 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3528, BgL_ciphertextz00_3520, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3525, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2959z00_3536 = 
bgl_string_shrink(BgL_strz00_3525, BgL_tmpz00_9560); } } } } } 
BgL_res2960z00_3537 = BgL_res2959z00_3536; } } 
return BgL_res2960z00_3537;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1445~0 */
obj_t BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1444z00_5602, obj_t BgL_opt1443z00_5601, obj_t BgL_k1z00_1267, long BgL_iz00_1268)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 883 */
BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1268==BgL_l1444z00_5602))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 883 */
if(
(BgL_iz00_1268==
(BgL_l1444z00_5602-((long)1))))
{ /* Llib/block_ciphers.scm 883 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)39)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1443z00_5601)));}  else 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_vz00_1312;
BgL_vz00_1312 = 
VECTOR_REF(BgL_opt1443z00_5601,BgL_iz00_1268); 
if(
(BgL_vz00_1312==BgL_k1z00_1267))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(
(BgL_iz00_1268+((long)1)));}  else 
{ 
long BgL_iz00_9578;
BgL_iz00_9578 = 
(BgL_iz00_1268+((long)2)); 
BgL_iz00_1268 = BgL_iz00_9578; 
goto BGl_search1445ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* decrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_329, obj_t BgL_ciphertextz00_330, obj_t BgL_passwordz00_331, obj_t BgL_ivz00_332, obj_t BgL_modez00_333, obj_t BgL_noncezd2initz12zc0_334, obj_t BgL_noncezd2updatez12zc0_335, obj_t BgL_padz00_336, obj_t BgL_stringzd2ze3keyz31_337)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 887 */
obj_t BgL_res2963z00_3552;
{ /* Llib/block_ciphers.scm 893 */
long BgL_lenz00_3540;
{ /* Llib/block_ciphers.scm 893 */
long BgL_res2961z00_3547;
BgL_res2961z00_3547 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_330); 
BgL_lenz00_3540 = BgL_res2961z00_3547; } 
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_strz00_3541;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
obj_t BgL_res2962z00_3549;
{ /* Llib/block_ciphers.scm 894 */
long BgL_kz00_3548;
BgL_kz00_3548 = 
(long)(BgL_lenz00_3540); 
BgL_res2962z00_3549 = 
make_string(BgL_kz00_3548, ((unsigned char)' ')); } 
BgL_strz00_3541 = BgL_res2962z00_3549; } } 
{ /* Llib/block_ciphers.scm 894 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3544;
BgL_statez00_3544 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_329, BgL_passwordz00_331, BgL_ivz00_332, BgL_modez00_333, BgL_padz00_336, BgL_noncezd2initz12zc0_334, BgL_noncezd2updatez12zc0_335, BgL_stringzd2ze3keyz31_337); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
long BgL_tmpz00_9584;
BgL_tmpz00_9584 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3544, BgL_ciphertextz00_330, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3541, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2963z00_3552 = 
bgl_string_shrink(BgL_strz00_3541, BgL_tmpz00_9584); } } } } } 
return BgL_res2963z00_3552;} } 
BGL_FUNCTION_END;
}



/* &decrypt-fast-mmap */
obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4979, obj_t BgL_cipherz00_4980, obj_t BgL_ciphertextz00_4981, obj_t BgL_passwordz00_4982, obj_t BgL_ivz00_4983, obj_t BgL_modez00_4984, obj_t BgL_padz00_4985, obj_t BgL_noncezd2initz12zc0_4986, obj_t BgL_noncezd2updatez12zc0_4987, obj_t BgL_stringzd2ze3keyz31_4988)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 890 */
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_ciphertextz00_6140;obj_t BgL_passwordz00_6141;
if(
BGL_MMAPP(BgL_ciphertextz00_4981))
{ /* Llib/block_ciphers.scm 893 */
BgL_ciphertextz00_6140 = BgL_ciphertextz00_4981; }  else 
{ 
obj_t BgL_auxz00_9589;
BgL_auxz00_9589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32475)), BGl_string3751z00zz__cryptozd2blockzd2ciphersz00, BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4981); 
FAILURE(BgL_auxz00_9589,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4982))
{ /* Llib/block_ciphers.scm 893 */
BgL_passwordz00_6141 = BgL_passwordz00_4982; }  else 
{ 
obj_t BgL_auxz00_9595;
BgL_auxz00_9595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32475)), BGl_string3751z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4982); 
FAILURE(BgL_auxz00_9595,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
long BgL_lenz00_6142;
{ /* Llib/block_ciphers.scm 893 */
long BgL_res2964z00_6143;
BgL_res2964z00_6143 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_6140); 
BgL_lenz00_6142 = BgL_res2964z00_6143; } 
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_strz00_6144;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
obj_t BgL_res2965z00_6145;
{ /* Llib/block_ciphers.scm 894 */
long BgL_kz00_6146;
BgL_kz00_6146 = 
(long)(BgL_lenz00_6142); 
BgL_res2965z00_6145 = 
make_string(BgL_kz00_6146, ((unsigned char)' ')); } 
BgL_strz00_6144 = BgL_res2965z00_6145; } } 
{ /* Llib/block_ciphers.scm 894 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6147;
BgL_statez00_6147 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4980, BgL_passwordz00_6141, BgL_ivz00_4983, BgL_modez00_4984, BgL_padz00_4985, BgL_noncezd2initz12zc0_4986, BgL_noncezd2updatez12zc0_4987, BgL_stringzd2ze3keyz31_4988); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
long BgL_tmpz00_9603;
BgL_tmpz00_9603 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6147, BgL_ciphertextz00_6140, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_6144, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_6144, BgL_tmpz00_9603);} } } } } } } 
BGL_FUNCTION_END;
}



/* _decrypt-port */
obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_359, obj_t BgL_opt1454z00_358)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_cipherz00_1326;obj_t BgL_ciphertextz00_1327;obj_t BgL_passwordz00_1328;
BgL_cipherz00_1326 = 
VECTOR_REF(BgL_opt1454z00_358,((long)0)); 
BgL_ciphertextz00_1327 = 
VECTOR_REF(BgL_opt1454z00_358,((long)1)); 
BgL_passwordz00_1328 = 
VECTOR_REF(BgL_opt1454z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_ivz00_1329;
BgL_ivz00_1329 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
obj_t BgL_modez00_1330;
BgL_modez00_1330 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2initz12zc0_1331;
BgL_noncezd2initz12zc0_1331 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2updatez12zc0_1332;
BgL_noncezd2updatez12zc0_1332 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
obj_t BgL_padz00_1333;
BgL_padz00_1333 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_stringzd2ze3keyz31_1334;
BgL_stringzd2ze3keyz31_1334 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */

{ 
long BgL_iz00_1335;
BgL_iz00_1335 = ((long)3); 
BgL_check1457z00_1336:
if(
(BgL_iz00_1335==
VECTOR_LENGTH(BgL_opt1454z00_358)))
{ /* Llib/block_ciphers.scm 903 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9614;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_arg2110z00_1342;
BgL_arg2110z00_1342 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_iz00_1335); 
BgL_testz00_9614 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2110z00_1342, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_9614)
{ 
long BgL_iz00_9619;
BgL_iz00_9619 = 
(BgL_iz00_1335+((long)2)); 
BgL_iz00_1335 = BgL_iz00_9619; 
goto BgL_check1457z00_1336;}  else 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_arg2109z00_1341;
BgL_arg2109z00_1341 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_iz00_1335); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)40)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2109z00_1341); } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1459z00_1343;
BgL_index1459z00_1343 = 
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1454z00_358), BgL_opt1454z00_358, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9627;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3587;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9628;
if(
INTEGERP(BgL_index1459z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9628 = BgL_index1459z00_1343
; }  else 
{ 
obj_t BgL_auxz00_9631;
BgL_auxz00_9631 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1459z00_1343); 
FAILURE(BgL_auxz00_9631,BFALSE,BFALSE);} 
BgL_n1z00_3587 = 
(long)CINT(BgL_tmpz00_9628); } 
BgL_testz00_9627 = 
(BgL_n1z00_3587>=((long)0)); } 
if(BgL_testz00_9627)
{ 
long BgL_auxz00_9637;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9638;
if(
INTEGERP(BgL_index1459z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9638 = BgL_index1459z00_1343
; }  else 
{ 
obj_t BgL_auxz00_9641;
BgL_auxz00_9641 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1459z00_1343); 
FAILURE(BgL_auxz00_9641,BFALSE,BFALSE);} 
BgL_auxz00_9637 = 
(long)CINT(BgL_tmpz00_9638); } 
BgL_ivz00_1329 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_auxz00_9637); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1460z00_1345;
BgL_index1460z00_1345 = 
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1454z00_358), BgL_opt1454z00_358, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9650;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3589;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9651;
if(
INTEGERP(BgL_index1460z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9651 = BgL_index1460z00_1345
; }  else 
{ 
obj_t BgL_auxz00_9654;
BgL_auxz00_9654 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1460z00_1345); 
FAILURE(BgL_auxz00_9654,BFALSE,BFALSE);} 
BgL_n1z00_3589 = 
(long)CINT(BgL_tmpz00_9651); } 
BgL_testz00_9650 = 
(BgL_n1z00_3589>=((long)0)); } 
if(BgL_testz00_9650)
{ 
long BgL_auxz00_9660;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9661;
if(
INTEGERP(BgL_index1460z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9661 = BgL_index1460z00_1345
; }  else 
{ 
obj_t BgL_auxz00_9664;
BgL_auxz00_9664 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1460z00_1345); 
FAILURE(BgL_auxz00_9664,BFALSE,BFALSE);} 
BgL_auxz00_9660 = 
(long)CINT(BgL_tmpz00_9661); } 
BgL_modez00_1330 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_auxz00_9660); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1461z00_1347;
BgL_index1461z00_1347 = 
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1454z00_358), BgL_opt1454z00_358, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9673;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3591;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9674;
if(
INTEGERP(BgL_index1461z00_1347))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9674 = BgL_index1461z00_1347
; }  else 
{ 
obj_t BgL_auxz00_9677;
BgL_auxz00_9677 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1461z00_1347); 
FAILURE(BgL_auxz00_9677,BFALSE,BFALSE);} 
BgL_n1z00_3591 = 
(long)CINT(BgL_tmpz00_9674); } 
BgL_testz00_9673 = 
(BgL_n1z00_3591>=((long)0)); } 
if(BgL_testz00_9673)
{ 
long BgL_auxz00_9683;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9684;
if(
INTEGERP(BgL_index1461z00_1347))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9684 = BgL_index1461z00_1347
; }  else 
{ 
obj_t BgL_auxz00_9687;
BgL_auxz00_9687 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1461z00_1347); 
FAILURE(BgL_auxz00_9687,BFALSE,BFALSE);} 
BgL_auxz00_9683 = 
(long)CINT(BgL_tmpz00_9684); } 
BgL_noncezd2initz12zc0_1331 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_auxz00_9683); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1462z00_1349;
BgL_index1462z00_1349 = 
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1454z00_358), BgL_opt1454z00_358, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9696;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3593;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9697;
if(
INTEGERP(BgL_index1462z00_1349))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9697 = BgL_index1462z00_1349
; }  else 
{ 
obj_t BgL_auxz00_9700;
BgL_auxz00_9700 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1462z00_1349); 
FAILURE(BgL_auxz00_9700,BFALSE,BFALSE);} 
BgL_n1z00_3593 = 
(long)CINT(BgL_tmpz00_9697); } 
BgL_testz00_9696 = 
(BgL_n1z00_3593>=((long)0)); } 
if(BgL_testz00_9696)
{ 
long BgL_auxz00_9706;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9707;
if(
INTEGERP(BgL_index1462z00_1349))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9707 = BgL_index1462z00_1349
; }  else 
{ 
obj_t BgL_auxz00_9710;
BgL_auxz00_9710 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1462z00_1349); 
FAILURE(BgL_auxz00_9710,BFALSE,BFALSE);} 
BgL_auxz00_9706 = 
(long)CINT(BgL_tmpz00_9707); } 
BgL_noncezd2updatez12zc0_1332 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_auxz00_9706); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1463z00_1351;
BgL_index1463z00_1351 = 
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1454z00_358), BgL_opt1454z00_358, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9719;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3595;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9720;
if(
INTEGERP(BgL_index1463z00_1351))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9720 = BgL_index1463z00_1351
; }  else 
{ 
obj_t BgL_auxz00_9723;
BgL_auxz00_9723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1463z00_1351); 
FAILURE(BgL_auxz00_9723,BFALSE,BFALSE);} 
BgL_n1z00_3595 = 
(long)CINT(BgL_tmpz00_9720); } 
BgL_testz00_9719 = 
(BgL_n1z00_3595>=((long)0)); } 
if(BgL_testz00_9719)
{ 
long BgL_auxz00_9729;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9730;
if(
INTEGERP(BgL_index1463z00_1351))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9730 = BgL_index1463z00_1351
; }  else 
{ 
obj_t BgL_auxz00_9733;
BgL_auxz00_9733 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1463z00_1351); 
FAILURE(BgL_auxz00_9733,BFALSE,BFALSE);} 
BgL_auxz00_9729 = 
(long)CINT(BgL_tmpz00_9730); } 
BgL_padz00_1333 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_auxz00_9729); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1464z00_1353;
BgL_index1464z00_1353 = 
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1454z00_358), BgL_opt1454z00_358, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_testz00_9742;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3597;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9743;
if(
INTEGERP(BgL_index1464z00_1353))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9743 = BgL_index1464z00_1353
; }  else 
{ 
obj_t BgL_auxz00_9746;
BgL_auxz00_9746 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1464z00_1353); 
FAILURE(BgL_auxz00_9746,BFALSE,BFALSE);} 
BgL_n1z00_3597 = 
(long)CINT(BgL_tmpz00_9743); } 
BgL_testz00_9742 = 
(BgL_n1z00_3597>=((long)0)); } 
if(BgL_testz00_9742)
{ 
long BgL_auxz00_9752;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9753;
if(
INTEGERP(BgL_index1464z00_1353))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9753 = BgL_index1464z00_1353
; }  else 
{ 
obj_t BgL_auxz00_9756;
BgL_auxz00_9756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1464z00_1353); 
FAILURE(BgL_auxz00_9756,BFALSE,BFALSE);} 
BgL_auxz00_9752 = 
(long)CINT(BgL_tmpz00_9753); } 
BgL_stringzd2ze3keyz31_1334 = 
VECTOR_REF(BgL_opt1454z00_358,BgL_auxz00_9752); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_arg2117z00_1355;obj_t BgL_arg2118z00_1356;obj_t BgL_arg2119z00_1357;
BgL_arg2117z00_1355 = 
VECTOR_REF(BgL_opt1454z00_358,((long)0)); 
BgL_arg2118z00_1356 = 
VECTOR_REF(BgL_opt1454z00_358,((long)1)); 
BgL_arg2119z00_1357 = 
VECTOR_REF(BgL_opt1454z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_ivz00_1358;
BgL_ivz00_1358 = BgL_ivz00_1329; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_modez00_1359;
BgL_modez00_1359 = BgL_modez00_1330; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2initz12zc0_1360;
BgL_noncezd2initz12zc0_1360 = BgL_noncezd2initz12zc0_1331; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2updatez12zc0_1361;
BgL_noncezd2updatez12zc0_1361 = BgL_noncezd2updatez12zc0_1332; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_padz00_1362;
BgL_padz00_1362 = BgL_padz00_1333; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_stringzd2ze3keyz31_1363;
BgL_stringzd2ze3keyz31_1363 = BgL_stringzd2ze3keyz31_1334; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_res2980z00_3609;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_cipherz00_3599;obj_t BgL_ciphertextz00_3600;obj_t BgL_passwordz00_3601;
if(
SYMBOLP(BgL_arg2117z00_1355))
{ /* Llib/block_ciphers.scm 903 */
BgL_cipherz00_3599 = BgL_arg2117z00_1355; }  else 
{ 
obj_t BgL_auxz00_9767;
BgL_auxz00_9767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2117z00_1355); 
FAILURE(BgL_auxz00_9767,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2118z00_1356))
{ /* Llib/block_ciphers.scm 903 */
BgL_ciphertextz00_3600 = BgL_arg2118z00_1356; }  else 
{ 
obj_t BgL_auxz00_9773;
BgL_auxz00_9773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2118z00_1356); 
FAILURE(BgL_auxz00_9773,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2119z00_1357))
{ /* Llib/block_ciphers.scm 903 */
BgL_passwordz00_3601 = BgL_arg2119z00_1357; }  else 
{ 
obj_t BgL_auxz00_9779;
BgL_auxz00_9779 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2119z00_1357); 
FAILURE(BgL_auxz00_9779,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 907 */
obj_t BgL_res2979z00_3608;
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3604;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3605;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3604 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3605 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3599, BgL_passwordz00_3601, BgL_ivz00_1358, BgL_modez00_1359, BgL_padz00_1362, BgL_noncezd2initz12zc0_1360, BgL_noncezd2updatez12zc0_1361, BgL_stringzd2ze3keyz31_1363); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3605, BgL_ciphertextz00_3600, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3604, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
obj_t BgL_aux3612z00_5955;
BgL_aux3612z00_5955 = 
bgl_close_output_port(BgL_pz00_3604); 
if(
STRINGP(BgL_aux3612z00_5955))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2979z00_3608 = BgL_aux3612z00_5955; }  else 
{ 
obj_t BgL_auxz00_9789;
BgL_auxz00_9789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33496)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3612z00_5955); 
FAILURE(BgL_auxz00_9789,BFALSE,BFALSE);} } } 
BgL_res2980z00_3609 = BgL_res2979z00_3608; } } 
return BgL_res2980z00_3609;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1456~0 */
obj_t BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1455z00_5600, obj_t BgL_opt1454z00_5599, obj_t BgL_k1z00_1323, long BgL_iz00_1324)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 903 */
BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1324==BgL_l1455z00_5600))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 903 */
if(
(BgL_iz00_1324==
(BgL_l1455z00_5600-((long)1))))
{ /* Llib/block_ciphers.scm 903 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)40)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1454z00_5599)));}  else 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_vz00_1368;
BgL_vz00_1368 = 
VECTOR_REF(BgL_opt1454z00_5599,BgL_iz00_1324); 
if(
(BgL_vz00_1368==BgL_k1z00_1323))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(
(BgL_iz00_1324+((long)1)));}  else 
{ 
long BgL_iz00_9808;
BgL_iz00_9808 = 
(BgL_iz00_1324+((long)2)); 
BgL_iz00_1324 = BgL_iz00_9808; 
goto BGl_search1456ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* decrypt-port */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_349, obj_t BgL_ciphertextz00_350, obj_t BgL_passwordz00_351, obj_t BgL_ivz00_352, obj_t BgL_modez00_353, obj_t BgL_noncezd2initz12zc0_354, obj_t BgL_noncezd2updatez12zc0_355, obj_t BgL_padz00_356, obj_t BgL_stringzd2ze3keyz31_357)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 907 */
obj_t BgL_res2981z00_3616;
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3612;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3613;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3612 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3613 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_349, BgL_passwordz00_351, BgL_ivz00_352, BgL_modez00_353, BgL_padz00_356, BgL_noncezd2initz12zc0_354, BgL_noncezd2updatez12zc0_355, BgL_stringzd2ze3keyz31_357); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3613, BgL_ciphertextz00_350, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3612, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2981z00_3616 = 
bgl_close_output_port(BgL_pz00_3612); } 
return BgL_res2981z00_3616;} } 
BGL_FUNCTION_END;
}



/* &decrypt-fast-port */
obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4989, obj_t BgL_cipherz00_4990, obj_t BgL_ciphertextz00_4991, obj_t BgL_passwordz00_4992, obj_t BgL_ivz00_4993, obj_t BgL_modez00_4994, obj_t BgL_padz00_4995, obj_t BgL_noncezd2initz12zc0_4996, obj_t BgL_noncezd2updatez12zc0_4997, obj_t BgL_stringzd2ze3keyz31_4998)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 910 */
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_ciphertextz00_6148;obj_t BgL_passwordz00_6149;
if(
INPUT_PORTP(BgL_ciphertextz00_4991))
{ /* Llib/block_ciphers.scm 913 */
BgL_ciphertextz00_6148 = BgL_ciphertextz00_4991; }  else 
{ 
obj_t BgL_auxz00_9816;
BgL_auxz00_9816 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33253)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4991); 
FAILURE(BgL_auxz00_9816,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4992))
{ /* Llib/block_ciphers.scm 913 */
BgL_passwordz00_6149 = BgL_passwordz00_4992; }  else 
{ 
obj_t BgL_auxz00_9822;
BgL_auxz00_9822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33253)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4992); 
FAILURE(BgL_auxz00_9822,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_6150;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6151;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_6150 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_6151 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4990, BgL_passwordz00_6149, BgL_ivz00_4993, BgL_modez00_4994, BgL_padz00_4995, BgL_noncezd2initz12zc0_4996, BgL_noncezd2updatez12zc0_4997, BgL_stringzd2ze3keyz31_4998); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6151, BgL_ciphertextz00_6148, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_6150, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_6150);} } } 
BGL_FUNCTION_END;
}



/* _decrypt-file */
obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_379, obj_t BgL_opt1465z00_378)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_cipherz00_1379;obj_t BgL_filenamez00_1380;obj_t BgL_passwordz00_1381;
BgL_cipherz00_1379 = 
VECTOR_REF(BgL_opt1465z00_378,((long)0)); 
BgL_filenamez00_1380 = 
VECTOR_REF(BgL_opt1465z00_378,((long)1)); 
BgL_passwordz00_1381 = 
VECTOR_REF(BgL_opt1465z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_ivz00_1382;
BgL_ivz00_1382 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
obj_t BgL_modez00_1383;
BgL_modez00_1383 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2initz12zc0_1384;
BgL_noncezd2initz12zc0_1384 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2updatez12zc0_1385;
BgL_noncezd2updatez12zc0_1385 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
obj_t BgL_padz00_1386;
BgL_padz00_1386 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_stringzd2ze3keyz31_1387;
BgL_stringzd2ze3keyz31_1387 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */

{ 
long BgL_iz00_1388;
BgL_iz00_1388 = ((long)3); 
BgL_check1468z00_1389:
if(
(BgL_iz00_1388==
VECTOR_LENGTH(BgL_opt1465z00_378)))
{ /* Llib/block_ciphers.scm 922 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9838;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_arg2132z00_1395;
BgL_arg2132z00_1395 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_iz00_1388); 
BgL_testz00_9838 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2132z00_1395, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_9838)
{ 
long BgL_iz00_9843;
BgL_iz00_9843 = 
(BgL_iz00_1388+((long)2)); 
BgL_iz00_1388 = BgL_iz00_9843; 
goto BgL_check1468z00_1389;}  else 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_arg2131z00_1394;
BgL_arg2131z00_1394 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_iz00_1388); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2131z00_1394); } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1470z00_1396;
BgL_index1470z00_1396 = 
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1465z00_378), BgL_opt1465z00_378, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9851;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3643;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9852;
if(
INTEGERP(BgL_index1470z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9852 = BgL_index1470z00_1396
; }  else 
{ 
obj_t BgL_auxz00_9855;
BgL_auxz00_9855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1470z00_1396); 
FAILURE(BgL_auxz00_9855,BFALSE,BFALSE);} 
BgL_n1z00_3643 = 
(long)CINT(BgL_tmpz00_9852); } 
BgL_testz00_9851 = 
(BgL_n1z00_3643>=((long)0)); } 
if(BgL_testz00_9851)
{ 
long BgL_auxz00_9861;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9862;
if(
INTEGERP(BgL_index1470z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9862 = BgL_index1470z00_1396
; }  else 
{ 
obj_t BgL_auxz00_9865;
BgL_auxz00_9865 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1470z00_1396); 
FAILURE(BgL_auxz00_9865,BFALSE,BFALSE);} 
BgL_auxz00_9861 = 
(long)CINT(BgL_tmpz00_9862); } 
BgL_ivz00_1382 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_auxz00_9861); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1471z00_1398;
BgL_index1471z00_1398 = 
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1465z00_378), BgL_opt1465z00_378, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9874;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3645;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9875;
if(
INTEGERP(BgL_index1471z00_1398))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9875 = BgL_index1471z00_1398
; }  else 
{ 
obj_t BgL_auxz00_9878;
BgL_auxz00_9878 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1471z00_1398); 
FAILURE(BgL_auxz00_9878,BFALSE,BFALSE);} 
BgL_n1z00_3645 = 
(long)CINT(BgL_tmpz00_9875); } 
BgL_testz00_9874 = 
(BgL_n1z00_3645>=((long)0)); } 
if(BgL_testz00_9874)
{ 
long BgL_auxz00_9884;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9885;
if(
INTEGERP(BgL_index1471z00_1398))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9885 = BgL_index1471z00_1398
; }  else 
{ 
obj_t BgL_auxz00_9888;
BgL_auxz00_9888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1471z00_1398); 
FAILURE(BgL_auxz00_9888,BFALSE,BFALSE);} 
BgL_auxz00_9884 = 
(long)CINT(BgL_tmpz00_9885); } 
BgL_modez00_1383 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_auxz00_9884); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1472z00_1400;
BgL_index1472z00_1400 = 
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1465z00_378), BgL_opt1465z00_378, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9897;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3647;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9898;
if(
INTEGERP(BgL_index1472z00_1400))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9898 = BgL_index1472z00_1400
; }  else 
{ 
obj_t BgL_auxz00_9901;
BgL_auxz00_9901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1472z00_1400); 
FAILURE(BgL_auxz00_9901,BFALSE,BFALSE);} 
BgL_n1z00_3647 = 
(long)CINT(BgL_tmpz00_9898); } 
BgL_testz00_9897 = 
(BgL_n1z00_3647>=((long)0)); } 
if(BgL_testz00_9897)
{ 
long BgL_auxz00_9907;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9908;
if(
INTEGERP(BgL_index1472z00_1400))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9908 = BgL_index1472z00_1400
; }  else 
{ 
obj_t BgL_auxz00_9911;
BgL_auxz00_9911 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1472z00_1400); 
FAILURE(BgL_auxz00_9911,BFALSE,BFALSE);} 
BgL_auxz00_9907 = 
(long)CINT(BgL_tmpz00_9908); } 
BgL_noncezd2initz12zc0_1384 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_auxz00_9907); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1473z00_1402;
BgL_index1473z00_1402 = 
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1465z00_378), BgL_opt1465z00_378, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9920;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3649;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9921;
if(
INTEGERP(BgL_index1473z00_1402))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9921 = BgL_index1473z00_1402
; }  else 
{ 
obj_t BgL_auxz00_9924;
BgL_auxz00_9924 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1473z00_1402); 
FAILURE(BgL_auxz00_9924,BFALSE,BFALSE);} 
BgL_n1z00_3649 = 
(long)CINT(BgL_tmpz00_9921); } 
BgL_testz00_9920 = 
(BgL_n1z00_3649>=((long)0)); } 
if(BgL_testz00_9920)
{ 
long BgL_auxz00_9930;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9931;
if(
INTEGERP(BgL_index1473z00_1402))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9931 = BgL_index1473z00_1402
; }  else 
{ 
obj_t BgL_auxz00_9934;
BgL_auxz00_9934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1473z00_1402); 
FAILURE(BgL_auxz00_9934,BFALSE,BFALSE);} 
BgL_auxz00_9930 = 
(long)CINT(BgL_tmpz00_9931); } 
BgL_noncezd2updatez12zc0_1385 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_auxz00_9930); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1474z00_1404;
BgL_index1474z00_1404 = 
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1465z00_378), BgL_opt1465z00_378, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9943;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3651;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9944;
if(
INTEGERP(BgL_index1474z00_1404))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9944 = BgL_index1474z00_1404
; }  else 
{ 
obj_t BgL_auxz00_9947;
BgL_auxz00_9947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1474z00_1404); 
FAILURE(BgL_auxz00_9947,BFALSE,BFALSE);} 
BgL_n1z00_3651 = 
(long)CINT(BgL_tmpz00_9944); } 
BgL_testz00_9943 = 
(BgL_n1z00_3651>=((long)0)); } 
if(BgL_testz00_9943)
{ 
long BgL_auxz00_9953;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9954;
if(
INTEGERP(BgL_index1474z00_1404))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9954 = BgL_index1474z00_1404
; }  else 
{ 
obj_t BgL_auxz00_9957;
BgL_auxz00_9957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1474z00_1404); 
FAILURE(BgL_auxz00_9957,BFALSE,BFALSE);} 
BgL_auxz00_9953 = 
(long)CINT(BgL_tmpz00_9954); } 
BgL_padz00_1386 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_auxz00_9953); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1475z00_1406;
BgL_index1475z00_1406 = 
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1465z00_378), BgL_opt1465z00_378, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_testz00_9966;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3653;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9967;
if(
INTEGERP(BgL_index1475z00_1406))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9967 = BgL_index1475z00_1406
; }  else 
{ 
obj_t BgL_auxz00_9970;
BgL_auxz00_9970 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1475z00_1406); 
FAILURE(BgL_auxz00_9970,BFALSE,BFALSE);} 
BgL_n1z00_3653 = 
(long)CINT(BgL_tmpz00_9967); } 
BgL_testz00_9966 = 
(BgL_n1z00_3653>=((long)0)); } 
if(BgL_testz00_9966)
{ 
long BgL_auxz00_9976;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9977;
if(
INTEGERP(BgL_index1475z00_1406))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9977 = BgL_index1475z00_1406
; }  else 
{ 
obj_t BgL_auxz00_9980;
BgL_auxz00_9980 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1475z00_1406); 
FAILURE(BgL_auxz00_9980,BFALSE,BFALSE);} 
BgL_auxz00_9976 = 
(long)CINT(BgL_tmpz00_9977); } 
BgL_stringzd2ze3keyz31_1387 = 
VECTOR_REF(BgL_opt1465z00_378,BgL_auxz00_9976); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_arg2139z00_1408;obj_t BgL_arg2140z00_1409;obj_t BgL_arg2141z00_1410;
BgL_arg2139z00_1408 = 
VECTOR_REF(BgL_opt1465z00_378,((long)0)); 
BgL_arg2140z00_1409 = 
VECTOR_REF(BgL_opt1465z00_378,((long)1)); 
BgL_arg2141z00_1410 = 
VECTOR_REF(BgL_opt1465z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_ivz00_1411;
BgL_ivz00_1411 = BgL_ivz00_1382; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_modez00_1412;
BgL_modez00_1412 = BgL_modez00_1383; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2initz12zc0_1413;
BgL_noncezd2initz12zc0_1413 = BgL_noncezd2initz12zc0_1384; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2updatez12zc0_1414;
BgL_noncezd2updatez12zc0_1414 = BgL_noncezd2updatez12zc0_1385; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_padz00_1415;
BgL_padz00_1415 = BgL_padz00_1386; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_stringzd2ze3keyz31_1416;
BgL_stringzd2ze3keyz31_1416 = BgL_stringzd2ze3keyz31_1387; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_res2996z00_3674;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_cipherz00_3655;obj_t BgL_filenamez00_3656;obj_t BgL_passwordz00_3657;
if(
SYMBOLP(BgL_arg2139z00_1408))
{ /* Llib/block_ciphers.scm 922 */
BgL_cipherz00_3655 = BgL_arg2139z00_1408; }  else 
{ 
obj_t BgL_auxz00_9991;
BgL_auxz00_9991 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2139z00_1408); 
FAILURE(BgL_auxz00_9991,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2140z00_1409))
{ /* Llib/block_ciphers.scm 922 */
BgL_filenamez00_3656 = BgL_arg2140z00_1409; }  else 
{ 
obj_t BgL_auxz00_9997;
BgL_auxz00_9997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2140z00_1409); 
FAILURE(BgL_auxz00_9997,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2141z00_1410))
{ /* Llib/block_ciphers.scm 922 */
BgL_passwordz00_3657 = BgL_arg2141z00_1410; }  else 
{ 
obj_t BgL_auxz00_10003;
BgL_auxz00_10003 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2141z00_1410); 
FAILURE(BgL_auxz00_10003,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 926 */
obj_t BgL_pz00_3658;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3658 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3656, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3658))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)42)), BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3656); } 
{ /* Llib/block_ciphers.scm 931 */
obj_t BgL_exitd1237z00_3662;
BgL_exitd1237z00_3662 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_zc3anonymousza32149ze3z83_4999;
BgL_zc3anonymousza32149ze3z83_4999 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32149ze3ze1zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_4999, 
(int)(((long)0)), BgL_pz00_3658); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1237z00_3662, BgL_zc3anonymousza32149ze3z83_4999); 
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_tmp1239z00_3664;
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_res2995z00_3672;
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_ciphertextz00_3666;
if(
INPUT_PORTP(BgL_pz00_3658))
{ /* Llib/block_ciphers.scm 932 */
BgL_ciphertextz00_3666 = BgL_pz00_3658; }  else 
{ 
obj_t BgL_auxz00_10022;
BgL_auxz00_10022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33888)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3658); 
FAILURE(BgL_auxz00_10022,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3668;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3669;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3668 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3669 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3655, BgL_passwordz00_3657, BgL_ivz00_1411, BgL_modez00_1412, BgL_padz00_1415, BgL_noncezd2initz12zc0_1413, BgL_noncezd2updatez12zc0_1414, BgL_stringzd2ze3keyz31_1416); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3669, BgL_ciphertextz00_3666, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3668, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
obj_t BgL_aux3650z00_5993;
BgL_aux3650z00_5993 = 
bgl_close_output_port(BgL_pz00_3668); 
if(
STRINGP(BgL_aux3650z00_5993))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2995z00_3672 = BgL_aux3650z00_5993; }  else 
{ 
obj_t BgL_auxz00_10032;
BgL_auxz00_10032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33496)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3650z00_5993); 
FAILURE(BgL_auxz00_10032,BFALSE,BFALSE);} } } } 
BgL_tmp1239z00_3664 = BgL_res2995z00_3672; } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1237z00_3662); 
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_portz00_3673;
if(
INPUT_PORTP(BgL_pz00_3658))
{ /* Llib/block_ciphers.scm 935 */
BgL_portz00_3673 = BgL_pz00_3658; }  else 
{ 
obj_t BgL_auxz00_10039;
BgL_auxz00_10039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33984)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3658); 
FAILURE(BgL_auxz00_10039,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3673); } 
BgL_res2996z00_3674 = BgL_tmp1239z00_3664; } } } } } 
return BgL_res2996z00_3674;} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1467~0 */
obj_t BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1466z00_5598, obj_t BgL_opt1465z00_5597, obj_t BgL_k1z00_1376, long BgL_iz00_1377)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 922 */
BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1377==BgL_l1466z00_5598))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 922 */
if(
(BgL_iz00_1377==
(BgL_l1466z00_5598-((long)1))))
{ /* Llib/block_ciphers.scm 922 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string3733z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1465z00_5597)));}  else 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_vz00_1421;
BgL_vz00_1421 = 
VECTOR_REF(BgL_opt1465z00_5597,BgL_iz00_1377); 
if(
(BgL_vz00_1421==BgL_k1z00_1376))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(
(BgL_iz00_1377+((long)1)));}  else 
{ 
long BgL_iz00_10059;
BgL_iz00_10059 = 
(BgL_iz00_1377+((long)2)); 
BgL_iz00_1377 = BgL_iz00_10059; 
goto BGl_search1467ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2149> */
obj_t BGl_z62zc3anonymousza32149ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5000)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_pz00_5001;
BgL_pz00_5001 = 
PROCEDURE_REF(BgL_envz00_5000, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_5001));} } 
BGL_FUNCTION_END;
}



/* decrypt-file */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_369, obj_t BgL_filenamez00_370, obj_t BgL_passwordz00_371, obj_t BgL_ivz00_372, obj_t BgL_modez00_373, obj_t BgL_noncezd2initz12zc0_374, obj_t BgL_noncezd2updatez12zc0_375, obj_t BgL_padz00_376, obj_t BgL_stringzd2ze3keyz31_377)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 926 */
obj_t BgL_pz00_3675;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3675 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_370, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3675))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)42)), BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_370); } 
{ /* Llib/block_ciphers.scm 931 */
obj_t BgL_exitd1237z00_3679;
BgL_exitd1237z00_3679 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_zc3anonymousza32149ze3z83_5002;
BgL_zc3anonymousza32149ze3z83_5002 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32149ze33279ze1zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_5002, 
(int)(((long)0)), BgL_pz00_3675); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1237z00_3679, BgL_zc3anonymousza32149ze3z83_5002); 
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_tmp1239z00_3681;
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_res2997z00_3689;
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3685;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3686;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3685 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3686 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_369, BgL_passwordz00_371, BgL_ivz00_372, BgL_modez00_373, BgL_padz00_376, BgL_noncezd2initz12zc0_374, BgL_noncezd2updatez12zc0_375, BgL_stringzd2ze3keyz31_377); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3686, 
((obj_t)BgL_pz00_3675), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3685, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2997z00_3689 = 
bgl_close_output_port(BgL_pz00_3685); } 
BgL_tmp1239z00_3681 = BgL_res2997z00_3689; } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1237z00_3679); 
bgl_close_input_port(
((obj_t)BgL_pz00_3675)); 
return BgL_tmp1239z00_3681;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2149>3279 */
obj_t BGl_z62zc3anonymousza32149ze33279ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5003)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_pz00_5004;
BgL_pz00_5004 = 
PROCEDURE_REF(BgL_envz00_5003, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_5004));} } 
BGL_FUNCTION_END;
}



/* _decrypt-sendchars */
obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_391, obj_t BgL_opt1476z00_390)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_cipherz00_1438;obj_t BgL_inz00_1439;obj_t BgL_outz00_1440;obj_t BgL_passwordz00_1441;
BgL_cipherz00_1438 = 
VECTOR_REF(BgL_opt1476z00_390,((long)0)); 
BgL_inz00_1439 = 
VECTOR_REF(BgL_opt1476z00_390,((long)1)); 
BgL_outz00_1440 = 
VECTOR_REF(BgL_opt1476z00_390,((long)2)); 
BgL_passwordz00_1441 = 
VECTOR_REF(BgL_opt1476z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_ivz00_1442;
BgL_ivz00_1442 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
obj_t BgL_modez00_1443;
BgL_modez00_1443 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2initz12zc0_1444;
BgL_noncezd2initz12zc0_1444 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2updatez12zc0_1445;
BgL_noncezd2updatez12zc0_1445 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
obj_t BgL_padz00_1446;
BgL_padz00_1446 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_stringzd2ze3keyz31_1447;
BgL_stringzd2ze3keyz31_1447 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */

{ 
long BgL_iz00_1448;
BgL_iz00_1448 = ((long)4); 
BgL_check1479z00_1449:
if(
(BgL_iz00_1448==
VECTOR_LENGTH(BgL_opt1476z00_390)))
{ /* Llib/block_ciphers.scm 937 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10099;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_arg2155z00_1455;
BgL_arg2155z00_1455 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_iz00_1448); 
BgL_testz00_10099 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2155z00_1455, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_testz00_10099)
{ 
long BgL_iz00_10104;
BgL_iz00_10104 = 
(BgL_iz00_1448+((long)2)); 
BgL_iz00_1448 = BgL_iz00_10104; 
goto BgL_check1479z00_1449;}  else 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_arg2154z00_1454;
BgL_arg2154z00_1454 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_iz00_1448); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)43)), BGl_string3728z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2154z00_1454); } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1481z00_1456;
BgL_index1481z00_1456 = 
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1476z00_390), BgL_opt1476z00_390, 
CNST_TABLE_REF(((long)25)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10112;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3713;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10113;
if(
INTEGERP(BgL_index1481z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10113 = BgL_index1481z00_1456
; }  else 
{ 
obj_t BgL_auxz00_10116;
BgL_auxz00_10116 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1481z00_1456); 
FAILURE(BgL_auxz00_10116,BFALSE,BFALSE);} 
BgL_n1z00_3713 = 
(long)CINT(BgL_tmpz00_10113); } 
BgL_testz00_10112 = 
(BgL_n1z00_3713>=((long)0)); } 
if(BgL_testz00_10112)
{ 
long BgL_auxz00_10122;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10123;
if(
INTEGERP(BgL_index1481z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10123 = BgL_index1481z00_1456
; }  else 
{ 
obj_t BgL_auxz00_10126;
BgL_auxz00_10126 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1481z00_1456); 
FAILURE(BgL_auxz00_10126,BFALSE,BFALSE);} 
BgL_auxz00_10122 = 
(long)CINT(BgL_tmpz00_10123); } 
BgL_ivz00_1442 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_auxz00_10122); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1482z00_1458;
BgL_index1482z00_1458 = 
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1476z00_390), BgL_opt1476z00_390, 
CNST_TABLE_REF(((long)26)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10135;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3715;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10136;
if(
INTEGERP(BgL_index1482z00_1458))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10136 = BgL_index1482z00_1458
; }  else 
{ 
obj_t BgL_auxz00_10139;
BgL_auxz00_10139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1458); 
FAILURE(BgL_auxz00_10139,BFALSE,BFALSE);} 
BgL_n1z00_3715 = 
(long)CINT(BgL_tmpz00_10136); } 
BgL_testz00_10135 = 
(BgL_n1z00_3715>=((long)0)); } 
if(BgL_testz00_10135)
{ 
long BgL_auxz00_10145;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10146;
if(
INTEGERP(BgL_index1482z00_1458))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10146 = BgL_index1482z00_1458
; }  else 
{ 
obj_t BgL_auxz00_10149;
BgL_auxz00_10149 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1458); 
FAILURE(BgL_auxz00_10149,BFALSE,BFALSE);} 
BgL_auxz00_10145 = 
(long)CINT(BgL_tmpz00_10146); } 
BgL_modez00_1443 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_auxz00_10145); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1483z00_1460;
BgL_index1483z00_1460 = 
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1476z00_390), BgL_opt1476z00_390, 
CNST_TABLE_REF(((long)27)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10158;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3717;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10159;
if(
INTEGERP(BgL_index1483z00_1460))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10159 = BgL_index1483z00_1460
; }  else 
{ 
obj_t BgL_auxz00_10162;
BgL_auxz00_10162 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1483z00_1460); 
FAILURE(BgL_auxz00_10162,BFALSE,BFALSE);} 
BgL_n1z00_3717 = 
(long)CINT(BgL_tmpz00_10159); } 
BgL_testz00_10158 = 
(BgL_n1z00_3717>=((long)0)); } 
if(BgL_testz00_10158)
{ 
long BgL_auxz00_10168;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10169;
if(
INTEGERP(BgL_index1483z00_1460))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10169 = BgL_index1483z00_1460
; }  else 
{ 
obj_t BgL_auxz00_10172;
BgL_auxz00_10172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1483z00_1460); 
FAILURE(BgL_auxz00_10172,BFALSE,BFALSE);} 
BgL_auxz00_10168 = 
(long)CINT(BgL_tmpz00_10169); } 
BgL_noncezd2initz12zc0_1444 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_auxz00_10168); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1484z00_1462;
BgL_index1484z00_1462 = 
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1476z00_390), BgL_opt1476z00_390, 
CNST_TABLE_REF(((long)28)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10181;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3719;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10182;
if(
INTEGERP(BgL_index1484z00_1462))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10182 = BgL_index1484z00_1462
; }  else 
{ 
obj_t BgL_auxz00_10185;
BgL_auxz00_10185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1484z00_1462); 
FAILURE(BgL_auxz00_10185,BFALSE,BFALSE);} 
BgL_n1z00_3719 = 
(long)CINT(BgL_tmpz00_10182); } 
BgL_testz00_10181 = 
(BgL_n1z00_3719>=((long)0)); } 
if(BgL_testz00_10181)
{ 
long BgL_auxz00_10191;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10192;
if(
INTEGERP(BgL_index1484z00_1462))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10192 = BgL_index1484z00_1462
; }  else 
{ 
obj_t BgL_auxz00_10195;
BgL_auxz00_10195 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1484z00_1462); 
FAILURE(BgL_auxz00_10195,BFALSE,BFALSE);} 
BgL_auxz00_10191 = 
(long)CINT(BgL_tmpz00_10192); } 
BgL_noncezd2updatez12zc0_1445 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_auxz00_10191); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1485z00_1464;
BgL_index1485z00_1464 = 
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1476z00_390), BgL_opt1476z00_390, 
CNST_TABLE_REF(((long)29)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10204;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3721;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10205;
if(
INTEGERP(BgL_index1485z00_1464))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10205 = BgL_index1485z00_1464
; }  else 
{ 
obj_t BgL_auxz00_10208;
BgL_auxz00_10208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1485z00_1464); 
FAILURE(BgL_auxz00_10208,BFALSE,BFALSE);} 
BgL_n1z00_3721 = 
(long)CINT(BgL_tmpz00_10205); } 
BgL_testz00_10204 = 
(BgL_n1z00_3721>=((long)0)); } 
if(BgL_testz00_10204)
{ 
long BgL_auxz00_10214;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10215;
if(
INTEGERP(BgL_index1485z00_1464))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10215 = BgL_index1485z00_1464
; }  else 
{ 
obj_t BgL_auxz00_10218;
BgL_auxz00_10218 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1485z00_1464); 
FAILURE(BgL_auxz00_10218,BFALSE,BFALSE);} 
BgL_auxz00_10214 = 
(long)CINT(BgL_tmpz00_10215); } 
BgL_padz00_1446 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_auxz00_10214); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1486z00_1466;
BgL_index1486z00_1466 = 
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1476z00_390), BgL_opt1476z00_390, 
CNST_TABLE_REF(((long)30)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_testz00_10227;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3723;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10228;
if(
INTEGERP(BgL_index1486z00_1466))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10228 = BgL_index1486z00_1466
; }  else 
{ 
obj_t BgL_auxz00_10231;
BgL_auxz00_10231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1486z00_1466); 
FAILURE(BgL_auxz00_10231,BFALSE,BFALSE);} 
BgL_n1z00_3723 = 
(long)CINT(BgL_tmpz00_10228); } 
BgL_testz00_10227 = 
(BgL_n1z00_3723>=((long)0)); } 
if(BgL_testz00_10227)
{ 
long BgL_auxz00_10237;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10238;
if(
INTEGERP(BgL_index1486z00_1466))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10238 = BgL_index1486z00_1466
; }  else 
{ 
obj_t BgL_auxz00_10241;
BgL_auxz00_10241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_index1486z00_1466); 
FAILURE(BgL_auxz00_10241,BFALSE,BFALSE);} 
BgL_auxz00_10237 = 
(long)CINT(BgL_tmpz00_10238); } 
BgL_stringzd2ze3keyz31_1447 = 
VECTOR_REF(BgL_opt1476z00_390,BgL_auxz00_10237); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_arg2162z00_1468;obj_t BgL_arg2163z00_1469;obj_t BgL_arg2164z00_1470;obj_t BgL_arg2165z00_1471;
BgL_arg2162z00_1468 = 
VECTOR_REF(BgL_opt1476z00_390,((long)0)); 
BgL_arg2163z00_1469 = 
VECTOR_REF(BgL_opt1476z00_390,((long)1)); 
BgL_arg2164z00_1470 = 
VECTOR_REF(BgL_opt1476z00_390,((long)2)); 
BgL_arg2165z00_1471 = 
VECTOR_REF(BgL_opt1476z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_ivz00_1472;
BgL_ivz00_1472 = BgL_ivz00_1442; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_modez00_1473;
BgL_modez00_1473 = BgL_modez00_1443; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2initz12zc0_1474;
BgL_noncezd2initz12zc0_1474 = BgL_noncezd2initz12zc0_1444; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2updatez12zc0_1475;
BgL_noncezd2updatez12zc0_1475 = BgL_noncezd2updatez12zc0_1445; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_padz00_1476;
BgL_padz00_1476 = BgL_padz00_1446; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_stringzd2ze3keyz31_1477;
BgL_stringzd2ze3keyz31_1477 = BgL_stringzd2ze3keyz31_1447; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_cipherz00_3725;obj_t BgL_inz00_3726;obj_t BgL_outz00_3727;obj_t BgL_passwordz00_3728;
if(
SYMBOLP(BgL_arg2162z00_1468))
{ /* Llib/block_ciphers.scm 937 */
BgL_cipherz00_3725 = BgL_arg2162z00_1468; }  else 
{ 
obj_t BgL_auxz00_10253;
BgL_auxz00_10253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2162z00_1468); 
FAILURE(BgL_auxz00_10253,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2163z00_1469))
{ /* Llib/block_ciphers.scm 937 */
BgL_inz00_3726 = BgL_arg2163z00_1469; }  else 
{ 
obj_t BgL_auxz00_10259;
BgL_auxz00_10259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2163z00_1469); 
FAILURE(BgL_auxz00_10259,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2164z00_1470))
{ /* Llib/block_ciphers.scm 937 */
BgL_outz00_3727 = BgL_arg2164z00_1470; }  else 
{ 
obj_t BgL_auxz00_10265;
BgL_auxz00_10265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3745z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2164z00_1470); 
FAILURE(BgL_auxz00_10265,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2165z00_1471))
{ /* Llib/block_ciphers.scm 937 */
BgL_passwordz00_3728 = BgL_arg2165z00_1471; }  else 
{ 
obj_t BgL_auxz00_10271;
BgL_auxz00_10271 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2165z00_1471); 
FAILURE(BgL_auxz00_10271,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 941 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3729;
BgL_statez00_3729 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3725, BgL_passwordz00_3728, BgL_ivz00_1472, BgL_modez00_1473, BgL_padz00_1476, BgL_noncezd2initz12zc0_1474, BgL_noncezd2updatez12zc0_1475, BgL_stringzd2ze3keyz31_1477); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3729, BgL_inz00_3726, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3727, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1478~0 */
obj_t BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1477z00_5596, obj_t BgL_opt1476z00_5595, obj_t BgL_k1z00_1435, long BgL_iz00_1436)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 937 */
BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1436==BgL_l1477z00_5596))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 937 */
if(
(BgL_iz00_1436==
(BgL_l1477z00_5596-((long)1))))
{ /* Llib/block_ciphers.scm 937 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)43)), BGl_string3746z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1476z00_5595)));}  else 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_vz00_1482;
BgL_vz00_1482 = 
VECTOR_REF(BgL_opt1476z00_5595,BgL_iz00_1436); 
if(
(BgL_vz00_1482==BgL_k1z00_1435))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(
(BgL_iz00_1436+((long)1)));}  else 
{ 
long BgL_iz00_10293;
BgL_iz00_10293 = 
(BgL_iz00_1436+((long)2)); 
BgL_iz00_1436 = BgL_iz00_10293; 
goto BGl_search1478ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 
BGL_FUNCTION_END;
}



/* decrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_380, obj_t BgL_inz00_381, obj_t BgL_outz00_382, obj_t BgL_passwordz00_383, obj_t BgL_ivz00_384, obj_t BgL_modez00_385, obj_t BgL_noncezd2initz12zc0_386, obj_t BgL_noncezd2updatez12zc0_387, obj_t BgL_padz00_388, obj_t BgL_stringzd2ze3keyz31_389)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 941 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3730;
BgL_statez00_3730 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_380, BgL_passwordz00_383, BgL_ivz00_384, BgL_modez00_385, BgL_padz00_388, BgL_noncezd2initz12zc0_386, BgL_noncezd2updatez12zc0_387, BgL_stringzd2ze3keyz31_389); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3730, BgL_inz00_381, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_382, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 
BGL_FUNCTION_END;
}



/* register-cipher! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_392, BgL_blockzd2cipherzd2_bglt BgL_descz00_393)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
obj_t BgL_arg2173z00_3731;
BgL_arg2173z00_3731 = 
MAKE_YOUNG_PAIR(BgL_lookupzd2namezd2_392, 
((obj_t)BgL_descz00_393)); 
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = 
MAKE_YOUNG_PAIR(BgL_arg2173z00_3731, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &register-cipher! */
obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5005, obj_t BgL_lookupzd2namezd2_5006, obj_t BgL_descz00_5007)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
BgL_blockzd2cipherzd2_bglt BgL_auxz00_10308;obj_t BgL_auxz00_10301;
if(
BGl_isazf3zf3zz__objectz00(BgL_descz00_5007, BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_10308 = 
((BgL_blockzd2cipherzd2_bglt)BgL_descz00_5007)
; }  else 
{ 
obj_t BgL_auxz00_10312;
BgL_auxz00_10312 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34555)), BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BGl_string3757z00zz__cryptozd2blockzd2ciphersz00, BgL_descz00_5007); 
FAILURE(BgL_auxz00_10312,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_lookupzd2namezd2_5006))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_10301 = BgL_lookupzd2namezd2_5006
; }  else 
{ 
obj_t BgL_auxz00_10304;
BgL_auxz00_10304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34555)), BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_5006); 
FAILURE(BgL_auxz00_10304,BFALSE,BFALSE);} 
return 
BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10301, BgL_auxz00_10308);} } 
BGL_FUNCTION_END;
}



/* block-cipher-description */
BGL_EXPORTED_DEF BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_394)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
obj_t BgL_desczd2pzd2_1488;
BgL_desczd2pzd2_1488 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_lookupzd2namezd2_394, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00); 
if(
CBOOL(BgL_desczd2pzd2_1488))
{ /* Llib/block_ciphers.scm 957 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 957 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_394); } 
return 
((BgL_blockzd2cipherzd2_bglt)
CDR(
((obj_t)BgL_desczd2pzd2_1488)));} } 
BGL_FUNCTION_END;
}



/* &block-cipher-description */
BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5008, obj_t BgL_lookupzd2namezd2_5009)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
obj_t BgL_auxz00_10325;
if(
SYMBOLP(BgL_lookupzd2namezd2_5009))
{ /* Llib/block_ciphers.scm 956 */
BgL_auxz00_10325 = BgL_lookupzd2namezd2_5009
; }  else 
{ 
obj_t BgL_auxz00_10328;
BgL_auxz00_10328 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34687)), BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BGl_string3731z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_5009); 
FAILURE(BgL_auxz00_10328,BFALSE,BFALSE);} 
return 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10325);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2177z00_1492;obj_t BgL_arg2178z00_1493;
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_v1277z00_1510;
BgL_v1277z00_1510 = 
create_vector(((long)7)); 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2184z00_1511;
BgL_arg2184z00_1511 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc3761z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3760z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1277z00_1510,((long)0),BgL_arg2184z00_1511); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2189z00_1521;
BgL_arg2189z00_1521 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3763z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3762z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1277z00_1510,((long)1),BgL_arg2189z00_1521); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2194z00_1531;
BgL_arg2194z00_1531 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3765z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3764z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1277z00_1510,((long)2),BgL_arg2194z00_1531); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2199z00_1541;
BgL_arg2199z00_1541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3767z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3766z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1277z00_1510,((long)3),BgL_arg2199z00_1541); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2204z00_1551;
BgL_arg2204z00_1551 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3769z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3768z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1277z00_1510,((long)4),BgL_arg2204z00_1551); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2209z00_1561;
BgL_arg2209z00_1561 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3771z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3770z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1277z00_1510,((long)5),BgL_arg2209z00_1561); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2214z00_1571;
BgL_arg2214z00_1571 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3773z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3772z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1277z00_1510,((long)6),BgL_arg2214z00_1571); } 
BgL_arg2177z00_1492 = BgL_v1277z00_1510; } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_v1278z00_1581;
BgL_v1278z00_1581 = 
create_vector(((long)0)); 
BgL_arg2178z00_1493 = BgL_v1278z00_1581; } 
BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)56)), BGl_objectz00zz__objectz00, ((long)63399), BGl_proc3776z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3775z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3774z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2177z00_1492, BgL_arg2178z00_1493); } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2221z00_1587;obj_t BgL_arg2222z00_1588;
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_v1279z00_1594;
BgL_v1279z00_1594 = 
create_vector(((long)3)); 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2226z00_1595;
BgL_arg2226z00_1595 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3778z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3777z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1279z00_1594,((long)0),BgL_arg2226z00_1595); } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2231z00_1605;
BgL_arg2231z00_1605 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3780z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3779z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1279z00_1594,((long)1),BgL_arg2231z00_1605); } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2236z00_1615;
BgL_arg2236z00_1615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3782z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3781z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1279z00_1594,((long)2),BgL_arg2236z00_1615); } 
BgL_arg2221z00_1587 = BgL_v1279z00_1594; } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_v1280z00_1625;
BgL_v1280z00_1625 = 
create_vector(((long)0)); 
BgL_arg2222z00_1588 = BgL_v1280z00_1625; } 
BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)60)), 
CNST_TABLE_REF(((long)56)), BGl_objectz00zz__objectz00, ((long)46511), BFALSE, BGl_proc3784z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3783z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2221z00_1587, BgL_arg2222z00_1588); } 
{ /* Llib/block_ciphers.scm 81 */
obj_t BgL_arg2244z00_1631;obj_t BgL_arg2245z00_1632;
{ /* Llib/block_ciphers.scm 81 */
obj_t BgL_v1281z00_1645;
BgL_v1281z00_1645 = 
create_vector(((long)0)); 
BgL_arg2244z00_1631 = BgL_v1281z00_1645; } 
{ /* Llib/block_ciphers.scm 81 */
obj_t BgL_v1282z00_1646;
BgL_v1282z00_1646 = 
create_vector(((long)0)); 
BgL_arg2245z00_1632 = BgL_v1282z00_1646; } 
BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)15877), BGl_proc3787z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3786z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3785z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2244z00_1631, BgL_arg2245z00_1632); } 
{ /* Llib/block_ciphers.scm 82 */
obj_t BgL_arg2254z00_1653;obj_t BgL_arg2255z00_1654;
{ /* Llib/block_ciphers.scm 82 */
obj_t BgL_v1283z00_1667;
BgL_v1283z00_1667 = 
create_vector(((long)0)); 
BgL_arg2254z00_1653 = BgL_v1283z00_1667; } 
{ /* Llib/block_ciphers.scm 82 */
obj_t BgL_v1284z00_1668;
BgL_v1284z00_1668 = 
create_vector(((long)0)); 
BgL_arg2255z00_1654 = BgL_v1284z00_1668; } 
BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)55855), BGl_proc3790z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3789z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3788z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2254z00_1653, BgL_arg2255z00_1654); } 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_arg2264z00_1675;obj_t BgL_arg2265z00_1676;
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_v1285z00_1691;
BgL_v1285z00_1691 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_arg2271z00_1692;
BgL_arg2271z00_1692 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3792z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3791z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1285z00_1691,((long)0),BgL_arg2271z00_1692); } 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_arg2276z00_1702;
BgL_arg2276z00_1702 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3794z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3793z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1285z00_1691,((long)1),BgL_arg2276z00_1702); } 
BgL_arg2264z00_1675 = BgL_v1285z00_1691; } 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_v1286z00_1712;
BgL_v1286z00_1712 = 
create_vector(((long)0)); 
BgL_arg2265z00_1676 = BgL_v1286z00_1712; } 
BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)65)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)16316), BGl_proc3797z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3796z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3795z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2264z00_1675, BgL_arg2265z00_1676); } 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_arg2284z00_1719;obj_t BgL_arg2285z00_1720;
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_v1287z00_1735;
BgL_v1287z00_1735 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_arg2291z00_1736;
BgL_arg2291z00_1736 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3799z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3798z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1287z00_1735,((long)0),BgL_arg2291z00_1736); } 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_arg2296z00_1746;
BgL_arg2296z00_1746 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3801z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3800z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1287z00_1735,((long)1),BgL_arg2296z00_1746); } 
BgL_arg2284z00_1719 = BgL_v1287z00_1735; } 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_v1288z00_1756;
BgL_v1288z00_1756 = 
create_vector(((long)0)); 
BgL_arg2285z00_1720 = BgL_v1288z00_1756; } 
BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)66)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)41938), BGl_proc3804z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3803z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3802z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2284z00_1719, BgL_arg2285z00_1720); } 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_arg2304z00_1763;obj_t BgL_arg2305z00_1764;
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_v1289z00_1779;
BgL_v1289z00_1779 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_arg2311z00_1780;
BgL_arg2311z00_1780 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3806z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3805z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1289z00_1779,((long)0),BgL_arg2311z00_1780); } 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_arg2316z00_1790;
BgL_arg2316z00_1790 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3808z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3807z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1289z00_1779,((long)1),BgL_arg2316z00_1790); } 
BgL_arg2304z00_1763 = BgL_v1289z00_1779; } 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_v1290z00_1800;
BgL_v1290z00_1800 = 
create_vector(((long)0)); 
BgL_arg2305z00_1764 = BgL_v1290z00_1800; } 
BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)67)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)34988), BGl_proc3811z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3810z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3809z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2304z00_1763, BgL_arg2305z00_1764); } 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_arg2324z00_1807;obj_t BgL_arg2325z00_1808;
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_v1291z00_1823;
BgL_v1291z00_1823 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_arg2331z00_1824;
BgL_arg2331z00_1824 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3813z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3812z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1291z00_1823,((long)0),BgL_arg2331z00_1824); } 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_arg2336z00_1834;
BgL_arg2336z00_1834 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3815z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3814z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1291z00_1823,((long)1),BgL_arg2336z00_1834); } 
BgL_arg2324z00_1807 = BgL_v1291z00_1823; } 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_v1292z00_1844;
BgL_v1292z00_1844 = 
create_vector(((long)0)); 
BgL_arg2325z00_1808 = BgL_v1292z00_1844; } 
BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)11458), BGl_proc3818z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3817z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3816z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2324z00_1807, BgL_arg2325z00_1808); } 
{ /* Llib/block_ciphers.scm 96 */
obj_t BgL_arg2343z00_1850;obj_t BgL_arg2344z00_1851;
{ /* Llib/block_ciphers.scm 96 */
obj_t BgL_v1293z00_1857;
BgL_v1293z00_1857 = 
create_vector(((long)0)); 
BgL_arg2343z00_1850 = BgL_v1293z00_1857; } 
{ /* Llib/block_ciphers.scm 96 */
obj_t BgL_v1294z00_1858;
BgL_v1294z00_1858 = 
create_vector(((long)0)); 
BgL_arg2344z00_1851 = BgL_v1294z00_1858; } 
BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)69)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)43473), BFALSE, BGl_proc3820z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3819z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2343z00_1850, BgL_arg2344z00_1851); } 
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_arg2351z00_1864;obj_t BgL_arg2352z00_1865;
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_v1295z00_1879;
BgL_v1295z00_1879 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_arg2358z00_1880;
BgL_arg2358z00_1880 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3822z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3821z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1295z00_1879,((long)0),BgL_arg2358z00_1880); } 
BgL_arg2351z00_1864 = BgL_v1295z00_1879; } 
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_v1296z00_1890;
BgL_v1296z00_1890 = 
create_vector(((long)0)); 
BgL_arg2352z00_1865 = BgL_v1296z00_1890; } 
BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)70)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)46218), BGl_proc3825z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3824z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3823z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2351z00_1864, BgL_arg2352z00_1865); } 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_arg2366z00_1897;obj_t BgL_arg2367z00_1898;
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_v1297z00_1913;
BgL_v1297z00_1913 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_arg2373z00_1914;
BgL_arg2373z00_1914 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3827z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3826z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1297z00_1913,((long)0),BgL_arg2373z00_1914); } 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_arg2378z00_1924;
BgL_arg2378z00_1924 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3829z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3828z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1297z00_1913,((long)1),BgL_arg2378z00_1924); } 
BgL_arg2366z00_1897 = BgL_v1297z00_1913; } 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_v1298z00_1934;
BgL_v1298z00_1934 = 
create_vector(((long)0)); 
BgL_arg2367z00_1898 = BgL_v1298z00_1934; } 
BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)71)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)63662), BGl_proc3832z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3831z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3830z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2366z00_1897, BgL_arg2367z00_1898); } 
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_arg2386z00_1941;obj_t BgL_arg2387z00_1942;
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_v1299z00_1956;
BgL_v1299z00_1956 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_arg2393z00_1957;
BgL_arg2393z00_1957 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3834z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3833z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1299z00_1956,((long)0),BgL_arg2393z00_1957); } 
BgL_arg2386z00_1941 = BgL_v1299z00_1956; } 
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_v1300z00_1967;
BgL_v1300z00_1967 = 
create_vector(((long)0)); 
BgL_arg2387z00_1942 = BgL_v1300z00_1967; } 
BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)72)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15584), BGl_proc3837z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3836z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3835z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2386z00_1941, BgL_arg2387z00_1942); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2401z00_1974;obj_t BgL_arg2402z00_1975;
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_v1301z00_1993;
BgL_v1301z00_1993 = 
create_vector(((long)5)); 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2408z00_1994;
BgL_arg2408z00_1994 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3839z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3838z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1301z00_1993,((long)0),BgL_arg2408z00_1994); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2413z00_2004;
BgL_arg2413z00_2004 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3841z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3840z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1301z00_1993,((long)1),BgL_arg2413z00_2004); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2418z00_2014;
BgL_arg2418z00_2014 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3843z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3842z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1301z00_1993,((long)2),BgL_arg2418z00_2014); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2423z00_2024;
BgL_arg2423z00_2024 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc3845z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3844z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1301z00_1993,((long)3),BgL_arg2423z00_2024); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2428z00_2034;
BgL_arg2428z00_2034 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3847z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3846z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1301z00_1993,((long)4),BgL_arg2428z00_2034); } 
BgL_arg2401z00_1974 = BgL_v1301z00_1993; } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_v1302z00_2044;
BgL_v1302z00_2044 = 
create_vector(((long)0)); 
BgL_arg2402z00_1975 = BgL_v1302z00_2044; } 
BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)78)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15240), BGl_proc3850z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3849z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3848z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2401z00_1974, BgL_arg2402z00_1975); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2436z00_2051;obj_t BgL_arg2437z00_2052;
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_v1303z00_2070;
BgL_v1303z00_2070 = 
create_vector(((long)8)); 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2443z00_2071;
BgL_arg2443z00_2071 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3852z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3851z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1303z00_2070,((long)0),BgL_arg2443z00_2071); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2448z00_2081;
BgL_arg2448z00_2081 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3854z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3853z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1303z00_2070,((long)1),BgL_arg2448z00_2081); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2453z00_2091;
BgL_arg2453z00_2091 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc3856z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3855z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
VECTOR_SET(BgL_v1303z00_2070,((long)2),BgL_arg2453z00_2091); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2458z00_2101;
BgL_arg2458z00_2101 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)82)), BGl_proc3859z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3858z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3857z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)83))); 
VECTOR_SET(BgL_v1303z00_2070,((long)3),BgL_arg2458z00_2101); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2465z00_2114;
BgL_arg2465z00_2114 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc3862z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3861z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3860z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1303z00_2070,((long)4),BgL_arg2465z00_2114); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2472z00_2127;
BgL_arg2472z00_2127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc3864z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3863z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1303z00_2070,((long)5),BgL_arg2472z00_2127); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2477z00_2137;
BgL_arg2477z00_2137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc3866z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3865z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1303z00_2070,((long)6),BgL_arg2477z00_2137); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2482z00_2147;
BgL_arg2482z00_2147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc3869z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3868z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3867z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1303z00_2070,((long)7),BgL_arg2482z00_2147); } 
BgL_arg2436z00_2051 = BgL_v1303z00_2070; } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_v1304z00_2160;
BgL_v1304z00_2160 = 
create_vector(((long)0)); 
BgL_arg2437z00_2052 = BgL_v1304z00_2160; } 
return ( 
BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)87)), 
CNST_TABLE_REF(((long)56)), BGl_objectz00zz__objectz00, ((long)41267), BGl_proc3872z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3871z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3870z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2436z00_2051, BgL_arg2437z00_2052), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2442> */
obj_t BGl_z62zc3anonymousza32442ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5126, obj_t BgL_new1149z00_5127)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
{ 
BgL_cipherzd2modezd2statez00_bglt BgL_auxz00_10542;
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
{ 
BgL_cipherzd2statezd2_bglt BgL_auxz00_10547;
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_classz00_6153;
BgL_classz00_6153 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL__ortest_1106z00_6154;
BgL__ortest_1106z00_6154 = 
BGL_CLASS_NIL(BgL_classz00_6153); 
if(
CBOOL(BgL__ortest_1106z00_6154))
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10547 = 
((BgL_cipherzd2statezd2_bglt)BgL__ortest_1106z00_6154)
; }  else 
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10547 = 
((BgL_cipherzd2statezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6153))
; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)BgL_auxz00_10547),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_ivzd2actionzd2)=((obj_t)
CNST_TABLE_REF(((long)88))),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_ivz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_padzf2unpadzf2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_loopzd2bufferzd2)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127)))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_10542 = 
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_5127); 
return 
((obj_t)BgL_auxz00_10542);} } 
BGL_FUNCTION_END;
}



/* &lambda2440 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2440z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5128)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1148z00_6155;
BgL_new1148z00_6155 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
long BgL_arg2441z00_6156;
{ /* Llib/block_ciphers.scm 111 */
long BgL_res3036z00_6157;
BgL_res3036z00_6157 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2441z00_6156 = BgL_res3036z00_6157; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_6155), BgL_arg2441z00_6156); } 
{ /* Llib/block_ciphers.scm 111 */
BgL_objectz00_bglt BgL_tmpz00_10573;
BgL_tmpz00_10573 = 
((BgL_objectz00_bglt)BgL_new1148z00_6155); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10573, BFALSE); } 
return BgL_new1148z00_6155;} } 
BGL_FUNCTION_END;
}



/* &lambda2438 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2438z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5129, obj_t BgL_encryptzf31140zf3_5130, obj_t BgL_blockzd2siza7e1141z75_5131, obj_t BgL_cipherzd2state1142zd2_5132, obj_t BgL_ivzd2action1143zd2_5133, obj_t BgL_iv1144z00_5134, obj_t BgL_padzf2unpad1145zf2_5135, obj_t BgL_loopzd2buffer1146zd2_5136, obj_t BgL_pos1147z00_5137)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
bool_t BgL_encryptzf31140zf3_6158;long BgL_blockzd2siza7e1141z75_6159;long BgL_pos1147z00_6163;
BgL_encryptzf31140zf3_6158 = 
CBOOL(BgL_encryptzf31140zf3_5130); 
BgL_blockzd2siza7e1141z75_6159 = 
(long)CINT(BgL_blockzd2siza7e1141z75_5131); 
BgL_pos1147z00_6163 = 
(long)CINT(BgL_pos1147z00_5137); 
{ /* Llib/block_ciphers.scm 111 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1264z00_6164;
{ /* Llib/block_ciphers.scm 111 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1263z00_6165;
BgL_new1263z00_6165 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
long BgL_arg2439z00_6166;
{ /* Llib/block_ciphers.scm 111 */
long BgL_res3035z00_6167;
BgL_res3035z00_6167 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2439z00_6166 = BgL_res3035z00_6167; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1263z00_6165), BgL_arg2439z00_6166); } 
{ /* Llib/block_ciphers.scm 111 */
BgL_objectz00_bglt BgL_tmpz00_10583;
BgL_tmpz00_10583 = 
((BgL_objectz00_bglt)BgL_new1263z00_6165); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10583, BFALSE); } 
BgL_new1264z00_6164 = BgL_new1263z00_6165; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_encryptzf3zf3)=((bool_t)BgL_encryptzf31140zf3_6158),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1141z75_6159),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_cipherzd2state1142zd2_5132)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_ivzd2action1143zd2_5133)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_ivz00)=((obj_t)BgL_iv1144z00_5134),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzf2unpad1145zf2_5135),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_loopzd2buffer1146zd2_5136)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1264z00_6164))->BgL_posz00)=((long)BgL_pos1147z00_6163),BUNSPEC); 
return BgL_new1264z00_6164;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2488> */
obj_t BGl_z62zc3anonymousza32488ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5138)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5139, obj_t BgL_oz00_5140, obj_t BgL_vz00_5141)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
long BgL_vz00_6169;
BgL_vz00_6169 = 
(long)CINT(BgL_vz00_5141); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5140)))->BgL_posz00)=((long)BgL_vz00_6169),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5142, obj_t BgL_oz00_5143)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5143)))->BgL_posz00));} 
BGL_FUNCTION_END;
}



/* &lambda2481 */
obj_t BGl_z62lambda2481z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5144, obj_t BgL_oz00_5145, obj_t BgL_vz00_5146)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5145)))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_vz00_5146)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2480 */
obj_t BGl_z62lambda2480z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5147, obj_t BgL_oz00_5148)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5148)))->BgL_loopzd2bufferzd2);} 
BGL_FUNCTION_END;
}



/* &lambda2476 */
obj_t BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5149, obj_t BgL_oz00_5150, obj_t BgL_vz00_5151)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5150)))->BgL_padzf2unpadzf2)=((obj_t)BgL_vz00_5151),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2475 */
obj_t BGl_z62lambda2475z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5152, obj_t BgL_oz00_5153)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5153)))->BgL_padzf2unpadzf2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2471> */
obj_t BGl_z62zc3anonymousza32471ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5154)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda2470 */
obj_t BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5155, obj_t BgL_oz00_5156, obj_t BgL_vz00_5157)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5156)))->BgL_ivz00)=((obj_t)BgL_vz00_5157),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2469 */
obj_t BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5158, obj_t BgL_oz00_5159)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5159)))->BgL_ivz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2464> */
obj_t BGl_z62zc3anonymousza32464ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5160)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
CNST_TABLE_REF(((long)89));} 
BGL_FUNCTION_END;
}



/* &lambda2463 */
obj_t BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5161, obj_t BgL_oz00_5162, obj_t BgL_vz00_5163)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5162)))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_vz00_5163)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2462 */
obj_t BGl_z62lambda2462z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5164, obj_t BgL_oz00_5165)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5165)))->BgL_ivzd2actionzd2);} 
BGL_FUNCTION_END;
}



/* &lambda2457 */
obj_t BGl_z62lambda2457z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5166, obj_t BgL_oz00_5167, obj_t BgL_vz00_5168)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5167)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_vz00_5168)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2456 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5169, obj_t BgL_oz00_5170)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5170)))->BgL_cipherzd2statezd2);} 
BGL_FUNCTION_END;
}



/* &lambda2452 */
obj_t BGl_z62lambda2452z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5171, obj_t BgL_oz00_5172, obj_t BgL_vz00_5173)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
long BgL_vz00_6185;
BgL_vz00_6185 = 
(long)CINT(BgL_vz00_5173); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5172)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6185),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2451 */
obj_t BGl_z62lambda2451z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5174, obj_t BgL_oz00_5175)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5175)))->BgL_blockzd2siza7ez75));} 
BGL_FUNCTION_END;
}



/* &lambda2447 */
obj_t BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5176, obj_t BgL_oz00_5177, obj_t BgL_vz00_5178)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
bool_t BgL_vz00_6188;
BgL_vz00_6188 = 
CBOOL(BgL_vz00_5178); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5177)))->BgL_encryptzf3zf3)=((bool_t)BgL_vz00_6188),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2446 */
obj_t BGl_z62lambda2446z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5179, obj_t BgL_oz00_5180)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5180)))->BgL_encryptzf3zf3));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2407> */
obj_t BGl_z62zc3anonymousza32407ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5181, obj_t BgL_new1138z00_5182)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
{ 
BgL_ctrz00_bglt BgL_auxz00_10641;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1138z00_5182))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1138z00_5182))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1138z00_5182))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_5182)))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_5182)))->BgL_noncezd2strzd2)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_5182)))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_5182)))->BgL_noncezd2initz12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_5182)))->BgL_noncezd2updatez12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_10641 = 
((BgL_ctrz00_bglt)BgL_new1138z00_5182); 
return 
((obj_t)BgL_auxz00_10641);} } 
BGL_FUNCTION_END;
}



/* &lambda2405 */
BgL_ctrz00_bglt BGl_z62lambda2405z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5183)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
BgL_ctrz00_bglt BgL_new1137z00_6191;
BgL_new1137z00_6191 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
long BgL_arg2406z00_6192;
{ /* Llib/block_ciphers.scm 104 */
long BgL_res3034z00_6193;
BgL_res3034z00_6193 = 
BGL_CLASS_INDEX(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2406z00_6192 = BgL_res3034z00_6193; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_6191), BgL_arg2406z00_6192); } 
{ /* Llib/block_ciphers.scm 104 */
BgL_objectz00_bglt BgL_tmpz00_10667;
BgL_tmpz00_10667 = 
((BgL_objectz00_bglt)BgL_new1137z00_6191); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10667, BFALSE); } 
return BgL_new1137z00_6191;} } 
BGL_FUNCTION_END;
}



/* &lambda2403 */
BgL_ctrz00_bglt BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5184, obj_t BgL_blockzd2siza7e1129z75_5185, obj_t BgL_cipher1130z00_5186, obj_t BgL_param1131z00_5187, obj_t BgL_nonce1132z00_5188, obj_t BgL_noncezd2str1133zd2_5189, obj_t BgL_blockzd2counter1134zd2_5190, obj_t BgL_noncezd2initz121135zc0_5191, obj_t BgL_noncezd2updatez121136zc0_5192)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
long BgL_blockzd2siza7e1129z75_6194;long BgL_blockzd2counter1134zd2_6197;
BgL_blockzd2siza7e1129z75_6194 = 
(long)CINT(BgL_blockzd2siza7e1129z75_5185); 
BgL_blockzd2counter1134zd2_6197 = 
(long)CINT(BgL_blockzd2counter1134zd2_5190); 
{ /* Llib/block_ciphers.scm 104 */
BgL_ctrz00_bglt BgL_new1262z00_6200;
{ /* Llib/block_ciphers.scm 104 */
BgL_ctrz00_bglt BgL_new1261z00_6201;
BgL_new1261z00_6201 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
long BgL_arg2404z00_6202;
{ /* Llib/block_ciphers.scm 104 */
long BgL_res3033z00_6203;
BgL_res3033z00_6203 = 
BGL_CLASS_INDEX(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2404z00_6202 = BgL_res3033z00_6203; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1261z00_6201), BgL_arg2404z00_6202); } 
{ /* Llib/block_ciphers.scm 104 */
BgL_objectz00_bglt BgL_tmpz00_10676;
BgL_tmpz00_10676 = 
((BgL_objectz00_bglt)BgL_new1261z00_6201); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10676, BFALSE); } 
BgL_new1262z00_6200 = BgL_new1261z00_6201; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_6200)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1129z75_6194),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_6200)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1130z00_5186)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1262z00_6200)))->BgL_paramz00)=((obj_t)BgL_param1131z00_5187),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1262z00_6200))->BgL_noncez00)=((obj_t)BgL_nonce1132z00_5188),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1262z00_6200))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_noncezd2str1133zd2_5189)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1262z00_6200))->BgL_blockzd2counterzd2)=((long)BgL_blockzd2counter1134zd2_6197),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1262z00_6200))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_noncezd2initz121135zc0_5191)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1262z00_6200))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_noncezd2updatez121136zc0_5192)),BUNSPEC); 
return BgL_new1262z00_6200;} } } 
BGL_FUNCTION_END;
}



/* &lambda2432 */
obj_t BGl_z62lambda2432z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5193, obj_t BgL_oz00_5194, obj_t BgL_vz00_5195)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5194)))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_vz00_5195)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2431 */
obj_t BGl_z62lambda2431z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5196, obj_t BgL_oz00_5197)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5197)))->BgL_noncezd2updatez12zc0);} 
BGL_FUNCTION_END;
}



/* &lambda2427 */
obj_t BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5198, obj_t BgL_oz00_5199, obj_t BgL_vz00_5200)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5199)))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_vz00_5200)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2426 */
obj_t BGl_z62lambda2426z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5201, obj_t BgL_oz00_5202)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5202)))->BgL_noncezd2initz12zc0);} 
BGL_FUNCTION_END;
}



/* &lambda2422 */
obj_t BGl_z62lambda2422z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5203, obj_t BgL_oz00_5204, obj_t BgL_vz00_5205)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
long BgL_vz00_6211;
BgL_vz00_6211 = 
(long)CINT(BgL_vz00_5205); 
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5204)))->BgL_blockzd2counterzd2)=((long)BgL_vz00_6211),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2421 */
obj_t BGl_z62lambda2421z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5206, obj_t BgL_oz00_5207)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
BINT(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5207)))->BgL_blockzd2counterzd2));} 
BGL_FUNCTION_END;
}



/* &lambda2417 */
obj_t BGl_z62lambda2417z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5208, obj_t BgL_oz00_5209, obj_t BgL_vz00_5210)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5209)))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_vz00_5210)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2416 */
obj_t BGl_z62lambda2416z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5211, obj_t BgL_oz00_5212)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5212)))->BgL_noncezd2strzd2);} 
BGL_FUNCTION_END;
}



/* &lambda2412 */
obj_t BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5213, obj_t BgL_oz00_5214, obj_t BgL_vz00_5215)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5214)))->BgL_noncez00)=((obj_t)BgL_vz00_5215),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2411 */
obj_t BGl_z62lambda2411z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5216, obj_t BgL_oz00_5217)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5217)))->BgL_noncez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2392> */
obj_t BGl_z62zc3anonymousza32392ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5218, obj_t BgL_new1127z00_5219)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 102 */
{ 
BgL_ofbz00_bglt BgL_auxz00_10719;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1127z00_5219))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1127z00_5219))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1127z00_5219))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_new1127z00_5219)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10719 = 
((BgL_ofbz00_bglt)BgL_new1127z00_5219); 
return 
((obj_t)BgL_auxz00_10719);} } 
BGL_FUNCTION_END;
}



/* &lambda2390 */
BgL_ofbz00_bglt BGl_z62lambda2390z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5220)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
BgL_ofbz00_bglt BgL_new1126z00_6219;
BgL_new1126z00_6219 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
long BgL_arg2391z00_6220;
{ /* Llib/block_ciphers.scm 102 */
long BgL_res3032z00_6221;
BgL_res3032z00_6221 = 
BGL_CLASS_INDEX(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2391z00_6220 = BgL_res3032z00_6221; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_6219), BgL_arg2391z00_6220); } 
{ /* Llib/block_ciphers.scm 102 */
BgL_objectz00_bglt BgL_tmpz00_10737;
BgL_tmpz00_10737 = 
((BgL_objectz00_bglt)BgL_new1126z00_6219); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10737, BFALSE); } 
return BgL_new1126z00_6219;} } 
BGL_FUNCTION_END;
}



/* &lambda2388 */
BgL_ofbz00_bglt BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5221, obj_t BgL_blockzd2siza7e1122z75_5222, obj_t BgL_cipher1123z00_5223, obj_t BgL_param1124z00_5224, obj_t BgL_chain1125z00_5225)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
long BgL_blockzd2siza7e1122z75_6222;
BgL_blockzd2siza7e1122z75_6222 = 
(long)CINT(BgL_blockzd2siza7e1122z75_5222); 
{ /* Llib/block_ciphers.scm 102 */
BgL_ofbz00_bglt BgL_new1260z00_6225;
{ /* Llib/block_ciphers.scm 102 */
BgL_ofbz00_bglt BgL_new1259z00_6226;
BgL_new1259z00_6226 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
long BgL_arg2389z00_6227;
{ /* Llib/block_ciphers.scm 102 */
long BgL_res3031z00_6228;
BgL_res3031z00_6228 = 
BGL_CLASS_INDEX(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2389z00_6227 = BgL_res3031z00_6228; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1259z00_6226), BgL_arg2389z00_6227); } 
{ /* Llib/block_ciphers.scm 102 */
BgL_objectz00_bglt BgL_tmpz00_10745;
BgL_tmpz00_10745 = 
((BgL_objectz00_bglt)BgL_new1259z00_6226); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10745, BFALSE); } 
BgL_new1260z00_6225 = BgL_new1259z00_6226; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_6225)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1122z75_6222),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_6225)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1123z00_5223)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1260z00_6225)))->BgL_paramz00)=((obj_t)BgL_param1124z00_5224),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1260z00_6225))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1125z00_5225)),BUNSPEC); 
return BgL_new1260z00_6225;} } } 
BGL_FUNCTION_END;
}



/* &lambda2397 */
obj_t BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5226, obj_t BgL_oz00_5227, obj_t BgL_vz00_5228)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 102 */
return 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_5227)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5228)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2396 */
obj_t BGl_z62lambda2396z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5229, obj_t BgL_oz00_5230)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 102 */
return 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_5230)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2372> */
obj_t BGl_z62zc3anonymousza32372ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5231, obj_t BgL_new1120z00_5232)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
{ 
BgL_cfbzd2decryptzd2_bglt BgL_auxz00_10762;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_5232))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_5232))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_5232))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_5232)))->BgL_bufferz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_5232)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10762 = 
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_5232); 
return 
((obj_t)BgL_auxz00_10762);} } 
BGL_FUNCTION_END;
}



/* &lambda2370 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2370z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5233)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
BgL_cfbzd2decryptzd2_bglt BgL_new1119z00_6233;
BgL_new1119z00_6233 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
long BgL_arg2371z00_6234;
{ /* Llib/block_ciphers.scm 99 */
long BgL_res3030z00_6235;
BgL_res3030z00_6235 = 
BGL_CLASS_INDEX(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2371z00_6234 = BgL_res3030z00_6235; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_6233), BgL_arg2371z00_6234); } 
{ /* Llib/block_ciphers.scm 99 */
BgL_objectz00_bglt BgL_tmpz00_10782;
BgL_tmpz00_10782 = 
((BgL_objectz00_bglt)BgL_new1119z00_6233); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10782, BFALSE); } 
return BgL_new1119z00_6233;} } 
BGL_FUNCTION_END;
}



/* &lambda2368 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5234, obj_t BgL_blockzd2siza7e1114z75_5235, obj_t BgL_cipher1115z00_5236, obj_t BgL_param1116z00_5237, obj_t BgL_buffer1117z00_5238, obj_t BgL_chain1118z00_5239)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
long BgL_blockzd2siza7e1114z75_6236;
BgL_blockzd2siza7e1114z75_6236 = 
(long)CINT(BgL_blockzd2siza7e1114z75_5235); 
{ /* Llib/block_ciphers.scm 99 */
BgL_cfbzd2decryptzd2_bglt BgL_new1258z00_6240;
{ /* Llib/block_ciphers.scm 99 */
BgL_cfbzd2decryptzd2_bglt BgL_new1257z00_6241;
BgL_new1257z00_6241 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
long BgL_arg2369z00_6242;
{ /* Llib/block_ciphers.scm 99 */
long BgL_res3029z00_6243;
BgL_res3029z00_6243 = 
BGL_CLASS_INDEX(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2369z00_6242 = BgL_res3029z00_6243; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1257z00_6241), BgL_arg2369z00_6242); } 
{ /* Llib/block_ciphers.scm 99 */
BgL_objectz00_bglt BgL_tmpz00_10790;
BgL_tmpz00_10790 = 
((BgL_objectz00_bglt)BgL_new1257z00_6241); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10790, BFALSE); } 
BgL_new1258z00_6240 = BgL_new1257z00_6241; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_6240)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1114z75_6236),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_6240)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1115z00_5236)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1258z00_6240)))->BgL_paramz00)=((obj_t)BgL_param1116z00_5237),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1258z00_6240))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1117z00_5238)),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1258z00_6240))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1118z00_5239)),BUNSPEC); 
return BgL_new1258z00_6240;} } } 
BGL_FUNCTION_END;
}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5240, obj_t BgL_oz00_5241, obj_t BgL_vz00_5242)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5241)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5242)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2381 */
obj_t BGl_z62lambda2381z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5243, obj_t BgL_oz00_5244)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5244)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &lambda2377 */
obj_t BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5245, obj_t BgL_oz00_5246, obj_t BgL_vz00_5247)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5246)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5247)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2376 */
obj_t BGl_z62lambda2376z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5248, obj_t BgL_oz00_5249)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5249)))->BgL_bufferz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2357> */
obj_t BGl_z62zc3anonymousza32357ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5250, obj_t BgL_new1112z00_5251)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 97 */
{ 
BgL_cfbzd2encryptzd2_bglt BgL_auxz00_10814;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_5251))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_5251))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_5251))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_5251)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10814 = 
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_5251); 
return 
((obj_t)BgL_auxz00_10814);} } 
BGL_FUNCTION_END;
}



/* &lambda2355 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2355z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5252)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
BgL_cfbzd2encryptzd2_bglt BgL_new1111z00_6251;
BgL_new1111z00_6251 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
long BgL_arg2356z00_6252;
{ /* Llib/block_ciphers.scm 97 */
long BgL_res3028z00_6253;
BgL_res3028z00_6253 = 
BGL_CLASS_INDEX(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2356z00_6252 = BgL_res3028z00_6253; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_6251), BgL_arg2356z00_6252); } 
{ /* Llib/block_ciphers.scm 97 */
BgL_objectz00_bglt BgL_tmpz00_10832;
BgL_tmpz00_10832 = 
((BgL_objectz00_bglt)BgL_new1111z00_6251); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10832, BFALSE); } 
return BgL_new1111z00_6251;} } 
BGL_FUNCTION_END;
}



/* &lambda2353 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2353z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5253, obj_t BgL_blockzd2siza7e1107z75_5254, obj_t BgL_cipher1108z00_5255, obj_t BgL_param1109z00_5256, obj_t BgL_chain1110z00_5257)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
long BgL_blockzd2siza7e1107z75_6254;
BgL_blockzd2siza7e1107z75_6254 = 
(long)CINT(BgL_blockzd2siza7e1107z75_5254); 
{ /* Llib/block_ciphers.scm 97 */
BgL_cfbzd2encryptzd2_bglt BgL_new1256z00_6257;
{ /* Llib/block_ciphers.scm 97 */
BgL_cfbzd2encryptzd2_bglt BgL_new1255z00_6258;
BgL_new1255z00_6258 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
long BgL_arg2354z00_6259;
{ /* Llib/block_ciphers.scm 97 */
long BgL_res3027z00_6260;
BgL_res3027z00_6260 = 
BGL_CLASS_INDEX(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2354z00_6259 = BgL_res3027z00_6260; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1255z00_6258), BgL_arg2354z00_6259); } 
{ /* Llib/block_ciphers.scm 97 */
BgL_objectz00_bglt BgL_tmpz00_10840;
BgL_tmpz00_10840 = 
((BgL_objectz00_bglt)BgL_new1255z00_6258); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10840, BFALSE); } 
BgL_new1256z00_6257 = BgL_new1255z00_6258; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_6257)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1107z75_6254),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_6257)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1108z00_5255)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1256z00_6257)))->BgL_paramz00)=((obj_t)BgL_param1109z00_5256),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1256z00_6257))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1110z00_5257)),BUNSPEC); 
return BgL_new1256z00_6257;} } } 
BGL_FUNCTION_END;
}



/* &lambda2362 */
obj_t BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5258, obj_t BgL_oz00_5259, obj_t BgL_vz00_5260)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 97 */
return 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_5259)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5260)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5261, obj_t BgL_oz00_5262)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 97 */
return 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_5262)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2347> */
obj_t BGl_z62zc3anonymousza32347ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5263, obj_t BgL_new1105z00_5264)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 96 */
{ 
BgL_streamzd2cipherzd2statez00_bglt BgL_auxz00_10857;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_5264))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_5264))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_5264))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10857 = 
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_5264); 
return 
((obj_t)BgL_auxz00_10857);} } 
BGL_FUNCTION_END;
}



/* &lambda2345 */
BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2345z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5265)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 96 */
{ /* Llib/block_ciphers.scm 96 */
BgL_streamzd2cipherzd2statez00_bglt BgL_new1104z00_6265;
BgL_new1104z00_6265 = 
((BgL_streamzd2cipherzd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_streamzd2cipherzd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 96 */
long BgL_arg2346z00_6266;
{ /* Llib/block_ciphers.scm 96 */
long BgL_res3026z00_6267;
BgL_res3026z00_6267 = 
BGL_CLASS_INDEX(BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2346z00_6266 = BgL_res3026z00_6267; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_6265), BgL_arg2346z00_6266); } 
return BgL_new1104z00_6265;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2330> */
obj_t BGl_z62zc3anonymousza32330ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5266, obj_t BgL_new1102z00_5267)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
{ 
BgL_pcbczd2decryptzd2_bglt BgL_auxz00_10873;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_5267))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_5267))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_5267))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_5267)))->BgL_bufferz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_5267)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10873 = 
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_5267); 
return 
((obj_t)BgL_auxz00_10873);} } 
BGL_FUNCTION_END;
}



/* &lambda2328 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2328z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5268)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
BgL_pcbczd2decryptzd2_bglt BgL_new1101z00_6269;
BgL_new1101z00_6269 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
long BgL_arg2329z00_6270;
{ /* Llib/block_ciphers.scm 92 */
long BgL_res3025z00_6271;
BgL_res3025z00_6271 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2329z00_6270 = BgL_res3025z00_6271; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_6269), BgL_arg2329z00_6270); } 
{ /* Llib/block_ciphers.scm 92 */
BgL_objectz00_bglt BgL_tmpz00_10893;
BgL_tmpz00_10893 = 
((BgL_objectz00_bglt)BgL_new1101z00_6269); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10893, BFALSE); } 
return BgL_new1101z00_6269;} } 
BGL_FUNCTION_END;
}



/* &lambda2326 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5269, obj_t BgL_blockzd2siza7e1096z75_5270, obj_t BgL_cipher1097z00_5271, obj_t BgL_param1098z00_5272, obj_t BgL_buffer1099z00_5273, obj_t BgL_chain1100z00_5274)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
long BgL_blockzd2siza7e1096z75_6272;
BgL_blockzd2siza7e1096z75_6272 = 
(long)CINT(BgL_blockzd2siza7e1096z75_5270); 
{ /* Llib/block_ciphers.scm 92 */
BgL_pcbczd2decryptzd2_bglt BgL_new1254z00_6276;
{ /* Llib/block_ciphers.scm 92 */
BgL_pcbczd2decryptzd2_bglt BgL_new1253z00_6277;
BgL_new1253z00_6277 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
long BgL_arg2327z00_6278;
{ /* Llib/block_ciphers.scm 92 */
long BgL_res3024z00_6279;
BgL_res3024z00_6279 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2327z00_6278 = BgL_res3024z00_6279; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_6277), BgL_arg2327z00_6278); } 
{ /* Llib/block_ciphers.scm 92 */
BgL_objectz00_bglt BgL_tmpz00_10901;
BgL_tmpz00_10901 = 
((BgL_objectz00_bglt)BgL_new1253z00_6277); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10901, BFALSE); } 
BgL_new1254z00_6276 = BgL_new1253z00_6277; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_6276)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1096z75_6272),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_6276)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1097z00_5271)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1254z00_6276)))->BgL_paramz00)=((obj_t)BgL_param1098z00_5272),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1254z00_6276))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1099z00_5273)),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1254z00_6276))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1100z00_5274)),BUNSPEC); 
return BgL_new1254z00_6276;} } } 
BGL_FUNCTION_END;
}



/* &lambda2340 */
obj_t BGl_z62lambda2340z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5275, obj_t BgL_oz00_5276, obj_t BgL_vz00_5277)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5276)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5277)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2339 */
obj_t BGl_z62lambda2339z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5278, obj_t BgL_oz00_5279)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5279)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &lambda2335 */
obj_t BGl_z62lambda2335z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5280, obj_t BgL_oz00_5281, obj_t BgL_vz00_5282)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5281)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5282)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2334 */
obj_t BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5283, obj_t BgL_oz00_5284)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5284)))->BgL_bufferz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2310> */
obj_t BGl_z62zc3anonymousza32310ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5285, obj_t BgL_new1094z00_5286)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
{ 
BgL_pcbczd2encryptzd2_bglt BgL_auxz00_10925;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_5286))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_5286))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_5286))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_5286)))->BgL_bufferz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_5286)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10925 = 
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_5286); 
return 
((obj_t)BgL_auxz00_10925);} } 
BGL_FUNCTION_END;
}



/* &lambda2308 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2308z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5287)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
BgL_pcbczd2encryptzd2_bglt BgL_new1093z00_6287;
BgL_new1093z00_6287 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
long BgL_arg2309z00_6288;
{ /* Llib/block_ciphers.scm 89 */
long BgL_res3023z00_6289;
BgL_res3023z00_6289 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2309z00_6288 = BgL_res3023z00_6289; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_6287), BgL_arg2309z00_6288); } 
{ /* Llib/block_ciphers.scm 89 */
BgL_objectz00_bglt BgL_tmpz00_10945;
BgL_tmpz00_10945 = 
((BgL_objectz00_bglt)BgL_new1093z00_6287); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10945, BFALSE); } 
return BgL_new1093z00_6287;} } 
BGL_FUNCTION_END;
}



/* &lambda2306 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5288, obj_t BgL_blockzd2siza7e1088z75_5289, obj_t BgL_cipher1089z00_5290, obj_t BgL_param1090z00_5291, obj_t BgL_buffer1091z00_5292, obj_t BgL_chain1092z00_5293)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
long BgL_blockzd2siza7e1088z75_6290;
BgL_blockzd2siza7e1088z75_6290 = 
(long)CINT(BgL_blockzd2siza7e1088z75_5289); 
{ /* Llib/block_ciphers.scm 89 */
BgL_pcbczd2encryptzd2_bglt BgL_new1252z00_6294;
{ /* Llib/block_ciphers.scm 89 */
BgL_pcbczd2encryptzd2_bglt BgL_new1251z00_6295;
BgL_new1251z00_6295 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
long BgL_arg2307z00_6296;
{ /* Llib/block_ciphers.scm 89 */
long BgL_res3022z00_6297;
BgL_res3022z00_6297 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2307z00_6296 = BgL_res3022z00_6297; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1251z00_6295), BgL_arg2307z00_6296); } 
{ /* Llib/block_ciphers.scm 89 */
BgL_objectz00_bglt BgL_tmpz00_10953;
BgL_tmpz00_10953 = 
((BgL_objectz00_bglt)BgL_new1251z00_6295); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10953, BFALSE); } 
BgL_new1252z00_6294 = BgL_new1251z00_6295; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_6294)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1088z75_6290),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_6294)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1089z00_5290)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1252z00_6294)))->BgL_paramz00)=((obj_t)BgL_param1090z00_5291),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1252z00_6294))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1091z00_5292)),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1252z00_6294))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1092z00_5293)),BUNSPEC); 
return BgL_new1252z00_6294;} } } 
BGL_FUNCTION_END;
}



/* &lambda2320 */
obj_t BGl_z62lambda2320z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5294, obj_t BgL_oz00_5295, obj_t BgL_vz00_5296)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5295)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5296)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2319 */
obj_t BGl_z62lambda2319z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5297, obj_t BgL_oz00_5298)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5298)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &lambda2315 */
obj_t BGl_z62lambda2315z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5299, obj_t BgL_oz00_5300, obj_t BgL_vz00_5301)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5300)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5301)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2314 */
obj_t BGl_z62lambda2314z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5302, obj_t BgL_oz00_5303)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5303)))->BgL_bufferz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2290> */
obj_t BGl_z62zc3anonymousza32290ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5304, obj_t BgL_new1086z00_5305)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
{ 
BgL_cbczd2decryptzd2_bglt BgL_auxz00_10977;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_5305))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_5305))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_5305))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_5305)))->BgL_bufferz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_5305)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10977 = 
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_5305); 
return 
((obj_t)BgL_auxz00_10977);} } 
BGL_FUNCTION_END;
}



/* &lambda2288 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2288z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5306)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
BgL_cbczd2decryptzd2_bglt BgL_new1085z00_6305;
BgL_new1085z00_6305 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
long BgL_arg2289z00_6306;
{ /* Llib/block_ciphers.scm 86 */
long BgL_res3021z00_6307;
BgL_res3021z00_6307 = 
BGL_CLASS_INDEX(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2289z00_6306 = BgL_res3021z00_6307; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_6305), BgL_arg2289z00_6306); } 
{ /* Llib/block_ciphers.scm 86 */
BgL_objectz00_bglt BgL_tmpz00_10997;
BgL_tmpz00_10997 = 
((BgL_objectz00_bglt)BgL_new1085z00_6305); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10997, BFALSE); } 
return BgL_new1085z00_6305;} } 
BGL_FUNCTION_END;
}



/* &lambda2286 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5307, obj_t BgL_blockzd2siza7e1080z75_5308, obj_t BgL_cipher1081z00_5309, obj_t BgL_param1082z00_5310, obj_t BgL_buffer1083z00_5311, obj_t BgL_chain1084z00_5312)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
long BgL_blockzd2siza7e1080z75_6308;
BgL_blockzd2siza7e1080z75_6308 = 
(long)CINT(BgL_blockzd2siza7e1080z75_5308); 
{ /* Llib/block_ciphers.scm 86 */
BgL_cbczd2decryptzd2_bglt BgL_new1250z00_6312;
{ /* Llib/block_ciphers.scm 86 */
BgL_cbczd2decryptzd2_bglt BgL_new1249z00_6313;
BgL_new1249z00_6313 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
long BgL_arg2287z00_6314;
{ /* Llib/block_ciphers.scm 86 */
long BgL_res3020z00_6315;
BgL_res3020z00_6315 = 
BGL_CLASS_INDEX(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2287z00_6314 = BgL_res3020z00_6315; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1249z00_6313), BgL_arg2287z00_6314); } 
{ /* Llib/block_ciphers.scm 86 */
BgL_objectz00_bglt BgL_tmpz00_11005;
BgL_tmpz00_11005 = 
((BgL_objectz00_bglt)BgL_new1249z00_6313); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11005, BFALSE); } 
BgL_new1250z00_6312 = BgL_new1249z00_6313; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1250z00_6312)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1080z75_6308),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1250z00_6312)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1081z00_5309)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1250z00_6312)))->BgL_paramz00)=((obj_t)BgL_param1082z00_5310),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1250z00_6312))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1083z00_5311)),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1250z00_6312))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1084z00_5312)),BUNSPEC); 
return BgL_new1250z00_6312;} } } 
BGL_FUNCTION_END;
}



/* &lambda2300 */
obj_t BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5313, obj_t BgL_oz00_5314, obj_t BgL_vz00_5315)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5314)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5315)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2299 */
obj_t BGl_z62lambda2299z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5316, obj_t BgL_oz00_5317)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5317)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &lambda2295 */
obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5318, obj_t BgL_oz00_5319, obj_t BgL_vz00_5320)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5319)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5320)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2294 */
obj_t BGl_z62lambda2294z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5321, obj_t BgL_oz00_5322)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5322)))->BgL_bufferz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2270> */
obj_t BGl_z62zc3anonymousza32270ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5323, obj_t BgL_new1078z00_5324)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
{ 
BgL_cbczd2encryptzd2_bglt BgL_auxz00_11029;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_5324))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_5324))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_5324))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_5324)))->BgL_bufferz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_5324)))->BgL_chainz00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11029 = 
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_5324); 
return 
((obj_t)BgL_auxz00_11029);} } 
BGL_FUNCTION_END;
}



/* &lambda2268 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2268z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5325)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
BgL_cbczd2encryptzd2_bglt BgL_new1077z00_6323;
BgL_new1077z00_6323 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
long BgL_arg2269z00_6324;
{ /* Llib/block_ciphers.scm 83 */
long BgL_res3019z00_6325;
BgL_res3019z00_6325 = 
BGL_CLASS_INDEX(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2269z00_6324 = BgL_res3019z00_6325; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_6323), BgL_arg2269z00_6324); } 
{ /* Llib/block_ciphers.scm 83 */
BgL_objectz00_bglt BgL_tmpz00_11049;
BgL_tmpz00_11049 = 
((BgL_objectz00_bglt)BgL_new1077z00_6323); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11049, BFALSE); } 
return BgL_new1077z00_6323;} } 
BGL_FUNCTION_END;
}



/* &lambda2266 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2266z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5326, obj_t BgL_blockzd2siza7e1072z75_5327, obj_t BgL_cipher1073z00_5328, obj_t BgL_param1074z00_5329, obj_t BgL_buffer1075z00_5330, obj_t BgL_chain1076z00_5331)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
long BgL_blockzd2siza7e1072z75_6326;
BgL_blockzd2siza7e1072z75_6326 = 
(long)CINT(BgL_blockzd2siza7e1072z75_5327); 
{ /* Llib/block_ciphers.scm 83 */
BgL_cbczd2encryptzd2_bglt BgL_new1248z00_6330;
{ /* Llib/block_ciphers.scm 83 */
BgL_cbczd2encryptzd2_bglt BgL_new1247z00_6331;
BgL_new1247z00_6331 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
long BgL_arg2267z00_6332;
{ /* Llib/block_ciphers.scm 83 */
long BgL_res3018z00_6333;
BgL_res3018z00_6333 = 
BGL_CLASS_INDEX(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2267z00_6332 = BgL_res3018z00_6333; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1247z00_6331), BgL_arg2267z00_6332); } 
{ /* Llib/block_ciphers.scm 83 */
BgL_objectz00_bglt BgL_tmpz00_11057;
BgL_tmpz00_11057 = 
((BgL_objectz00_bglt)BgL_new1247z00_6331); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11057, BFALSE); } 
BgL_new1248z00_6330 = BgL_new1247z00_6331; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1248z00_6330)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1072z75_6326),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1248z00_6330)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1073z00_5328)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1248z00_6330)))->BgL_paramz00)=((obj_t)BgL_param1074z00_5329),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1248z00_6330))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1075z00_5330)),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1248z00_6330))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1076z00_5331)),BUNSPEC); 
return BgL_new1248z00_6330;} } } 
BGL_FUNCTION_END;
}



/* &lambda2280 */
obj_t BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5332, obj_t BgL_oz00_5333, obj_t BgL_vz00_5334)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5333)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5334)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2279 */
obj_t BGl_z62lambda2279z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5335, obj_t BgL_oz00_5336)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5336)))->BgL_chainz00);} 
BGL_FUNCTION_END;
}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5337, obj_t BgL_oz00_5338, obj_t BgL_vz00_5339)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5338)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5339)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2274 */
obj_t BGl_z62lambda2274z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5340, obj_t BgL_oz00_5341)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5341)))->BgL_bufferz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2260> */
obj_t BGl_z62zc3anonymousza32260ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5342, obj_t BgL_new1070z00_5343)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 82 */
{ 
BgL_ecbzd2decryptzd2_bglt BgL_auxz00_11081;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_5343))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_5343))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_5343))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_11081 = 
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_5343); 
return 
((obj_t)BgL_auxz00_11081);} } 
BGL_FUNCTION_END;
}



/* &lambda2258 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2258z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5344)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
BgL_ecbzd2decryptzd2_bglt BgL_new1069z00_6341;
BgL_new1069z00_6341 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
long BgL_arg2259z00_6342;
{ /* Llib/block_ciphers.scm 82 */
long BgL_res3017z00_6343;
BgL_res3017z00_6343 = 
BGL_CLASS_INDEX(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2259z00_6342 = BgL_res3017z00_6343; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_6341), BgL_arg2259z00_6342); } 
{ /* Llib/block_ciphers.scm 82 */
BgL_objectz00_bglt BgL_tmpz00_11097;
BgL_tmpz00_11097 = 
((BgL_objectz00_bglt)BgL_new1069z00_6341); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11097, BFALSE); } 
return BgL_new1069z00_6341;} } 
BGL_FUNCTION_END;
}



/* &lambda2256 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2256z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5345, obj_t BgL_blockzd2siza7e1066z75_5346, obj_t BgL_cipher1067z00_5347, obj_t BgL_param1068z00_5348)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
long BgL_blockzd2siza7e1066z75_6344;
BgL_blockzd2siza7e1066z75_6344 = 
(long)CINT(BgL_blockzd2siza7e1066z75_5346); 
{ /* Llib/block_ciphers.scm 82 */
BgL_ecbzd2decryptzd2_bglt BgL_new1246z00_6346;
{ /* Llib/block_ciphers.scm 82 */
BgL_ecbzd2decryptzd2_bglt BgL_new1245z00_6347;
BgL_new1245z00_6347 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
long BgL_arg2257z00_6348;
{ /* Llib/block_ciphers.scm 82 */
long BgL_res3016z00_6349;
BgL_res3016z00_6349 = 
BGL_CLASS_INDEX(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2257z00_6348 = BgL_res3016z00_6349; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1245z00_6347), BgL_arg2257z00_6348); } 
{ /* Llib/block_ciphers.scm 82 */
BgL_objectz00_bglt BgL_tmpz00_11105;
BgL_tmpz00_11105 = 
((BgL_objectz00_bglt)BgL_new1245z00_6347); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11105, BFALSE); } 
BgL_new1246z00_6346 = BgL_new1245z00_6347; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1246z00_6346)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1066z75_6344),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1246z00_6346)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1067z00_5347)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1246z00_6346)))->BgL_paramz00)=((obj_t)BgL_param1068z00_5348),BUNSPEC); 
return BgL_new1246z00_6346;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2250> */
obj_t BGl_z62zc3anonymousza32250ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5349, obj_t BgL_new1064z00_5350)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 81 */
{ 
BgL_ecbzd2encryptzd2_bglt BgL_auxz00_11115;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_5350))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_5350))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_5350))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_11115 = 
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_5350); 
return 
((obj_t)BgL_auxz00_11115);} } 
BGL_FUNCTION_END;
}



/* &lambda2248 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2248z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5351)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
BgL_ecbzd2encryptzd2_bglt BgL_new1063z00_6351;
BgL_new1063z00_6351 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
long BgL_arg2249z00_6352;
{ /* Llib/block_ciphers.scm 81 */
long BgL_res3015z00_6353;
BgL_res3015z00_6353 = 
BGL_CLASS_INDEX(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2249z00_6352 = BgL_res3015z00_6353; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_6351), BgL_arg2249z00_6352); } 
{ /* Llib/block_ciphers.scm 81 */
BgL_objectz00_bglt BgL_tmpz00_11131;
BgL_tmpz00_11131 = 
((BgL_objectz00_bglt)BgL_new1063z00_6351); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11131, BFALSE); } 
return BgL_new1063z00_6351;} } 
BGL_FUNCTION_END;
}



/* &lambda2246 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2246z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5352, obj_t BgL_blockzd2siza7e1060z75_5353, obj_t BgL_cipher1061z00_5354, obj_t BgL_param1062z00_5355)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
long BgL_blockzd2siza7e1060z75_6354;
BgL_blockzd2siza7e1060z75_6354 = 
(long)CINT(BgL_blockzd2siza7e1060z75_5353); 
{ /* Llib/block_ciphers.scm 81 */
BgL_ecbzd2encryptzd2_bglt BgL_new1244z00_6356;
{ /* Llib/block_ciphers.scm 81 */
BgL_ecbzd2encryptzd2_bglt BgL_new1243z00_6357;
BgL_new1243z00_6357 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
long BgL_arg2247z00_6358;
{ /* Llib/block_ciphers.scm 81 */
long BgL_res3014z00_6359;
BgL_res3014z00_6359 = 
BGL_CLASS_INDEX(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2247z00_6358 = BgL_res3014z00_6359; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1243z00_6357), BgL_arg2247z00_6358); } 
{ /* Llib/block_ciphers.scm 81 */
BgL_objectz00_bglt BgL_tmpz00_11139;
BgL_tmpz00_11139 = 
((BgL_objectz00_bglt)BgL_new1243z00_6357); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11139, BFALSE); } 
BgL_new1244z00_6356 = BgL_new1243z00_6357; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1244z00_6356)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1060z75_6354),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1244z00_6356)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1061z00_5354)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1244z00_6356)))->BgL_paramz00)=((obj_t)BgL_param1062z00_5355),BUNSPEC); 
return BgL_new1244z00_6356;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2225> */
obj_t BGl_z62zc3anonymousza32225ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5356, obj_t BgL_new1058z00_5357)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
{ 
BgL_cipherzd2statezd2_bglt BgL_auxz00_11149;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_5357)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_5357)))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_5357)))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_11149 = 
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_5357); 
return 
((obj_t)BgL_auxz00_11149);} } 
BGL_FUNCTION_END;
}



/* &lambda2223 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2223z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5358)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
BgL_cipherzd2statezd2_bglt BgL_new1057z00_6361;
BgL_new1057z00_6361 = 
((BgL_cipherzd2statezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2statezd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 77 */
long BgL_arg2224z00_6362;
{ /* Llib/block_ciphers.scm 77 */
long BgL_res3013z00_6363;
BgL_res3013z00_6363 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2224z00_6362 = BgL_res3013z00_6363; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_6361), BgL_arg2224z00_6362); } 
return BgL_new1057z00_6361;} } 
BGL_FUNCTION_END;
}



/* &lambda2240 */
obj_t BGl_z62lambda2240z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5359, obj_t BgL_oz00_5360, obj_t BgL_vz00_5361)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5360)))->BgL_paramz00)=((obj_t)BgL_vz00_5361),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2239 */
obj_t BGl_z62lambda2239z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5362, obj_t BgL_oz00_5363)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5363)))->BgL_paramz00);} 
BGL_FUNCTION_END;
}



/* &lambda2235 */
obj_t BGl_z62lambda2235z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5364, obj_t BgL_oz00_5365, obj_t BgL_vz00_5366)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5365)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_vz00_5366)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2234 */
obj_t BGl_z62lambda2234z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5367, obj_t BgL_oz00_5368)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5368)))->BgL_cipherz00);} 
BGL_FUNCTION_END;
}



/* &lambda2230 */
obj_t BGl_z62lambda2230z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5369, obj_t BgL_oz00_5370, obj_t BgL_vz00_5371)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
long BgL_vz00_6370;
BgL_vz00_6370 = 
(long)CINT(BgL_vz00_5371); 
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5370)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6370),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2229 */
obj_t BGl_z62lambda2229z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5372, obj_t BgL_oz00_5373)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 77 */
return 
BINT(
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5373)))->BgL_blockzd2siza7ez75));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2183> */
obj_t BGl_z62zc3anonymousza32183ze3ze1zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5374, obj_t BgL_new1055z00_5375)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
{ 
BgL_blockzd2cipherzd2_bglt BgL_auxz00_11177;
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_namez00)=((obj_t)BGl_string3873z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_preferredzd2keyzd2lengthz00)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_encryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_decryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_11177 = 
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_5375); 
return 
((obj_t)BgL_auxz00_11177);} } 
BGL_FUNCTION_END;
}



/* &lambda2181 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2181z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5376)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
BgL_blockzd2cipherzd2_bglt BgL_new1054z00_6373;
BgL_new1054z00_6373 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
long BgL_arg2182z00_6374;
{ /* Llib/block_ciphers.scm 6 */
long BgL_res3012z00_6375;
BgL_res3012z00_6375 = 
BGL_CLASS_INDEX(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2182z00_6374 = BgL_res3012z00_6375; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_6373), BgL_arg2182z00_6374); } 
{ /* Llib/block_ciphers.scm 6 */
BgL_objectz00_bglt BgL_tmpz00_11198;
BgL_tmpz00_11198 = 
((BgL_objectz00_bglt)BgL_new1054z00_6373); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11198, BFALSE); } 
return BgL_new1054z00_6373;} } 
BGL_FUNCTION_END;
}



/* &lambda2179 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2179z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5377, obj_t BgL_name1047z00_5378, obj_t BgL_blockzd2siza7e1048z75_5379, obj_t BgL_preferredzd2keyzd2length1049z00_5380, obj_t BgL_encryptz121050z12_5381, obj_t BgL_decryptz121051z12_5382, obj_t BgL_keyzd2ze3encryptzd2param1052ze3_5383, obj_t BgL_keyzd2ze3decryptzd2param1053ze3_5384)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
long BgL_blockzd2siza7e1048z75_6377;long BgL_preferredzd2keyzd2length1049z00_6378;
BgL_blockzd2siza7e1048z75_6377 = 
(long)CINT(BgL_blockzd2siza7e1048z75_5379); 
BgL_preferredzd2keyzd2length1049z00_6378 = 
(long)CINT(BgL_preferredzd2keyzd2length1049z00_5380); 
{ /* Llib/block_ciphers.scm 6 */
BgL_blockzd2cipherzd2_bglt BgL_new1242z00_6383;
{ /* Llib/block_ciphers.scm 6 */
BgL_blockzd2cipherzd2_bglt BgL_new1241z00_6384;
BgL_new1241z00_6384 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
long BgL_arg2180z00_6385;
{ /* Llib/block_ciphers.scm 6 */
long BgL_res3011z00_6386;
BgL_res3011z00_6386 = 
BGL_CLASS_INDEX(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2180z00_6385 = BgL_res3011z00_6386; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_6384), BgL_arg2180z00_6385); } 
{ /* Llib/block_ciphers.scm 6 */
BgL_objectz00_bglt BgL_tmpz00_11207;
BgL_tmpz00_11207 = 
((BgL_objectz00_bglt)BgL_new1241z00_6384); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11207, BFALSE); } 
BgL_new1242z00_6383 = BgL_new1241z00_6384; } 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1047z00_5378)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1048z75_6377),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_preferredzd2keyzd2length1049z00_6378),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_encryptz121050z12_5381)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_decryptz121051z12_5382)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3encryptzd2param1052ze3_5383)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1242z00_6383))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3decryptzd2param1053ze3_5384)),BUNSPEC); 
return BgL_new1242z00_6383;} } } 
BGL_FUNCTION_END;
}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5385, obj_t BgL_oz00_5386, obj_t BgL_vz00_5387)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5386)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_5387)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5388, obj_t BgL_oz00_5389)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5389)))->BgL_keyzd2ze3decryptzd2paramze3);} 
BGL_FUNCTION_END;
}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5390, obj_t BgL_oz00_5391, obj_t BgL_vz00_5392)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5391)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_5392)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5393, obj_t BgL_oz00_5394)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5394)))->BgL_keyzd2ze3encryptzd2paramze3);} 
BGL_FUNCTION_END;
}



/* &lambda2208 */
obj_t BGl_z62lambda2208z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5395, obj_t BgL_oz00_5396, obj_t BgL_vz00_5397)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5396)))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_vz00_5397)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2207 */
obj_t BGl_z62lambda2207z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5398, obj_t BgL_oz00_5399)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5399)))->BgL_decryptz12z12);} 
BGL_FUNCTION_END;
}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5400, obj_t BgL_oz00_5401, obj_t BgL_vz00_5402)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5401)))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_vz00_5402)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5403, obj_t BgL_oz00_5404)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5404)))->BgL_encryptz12z12);} 
BGL_FUNCTION_END;
}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5405, obj_t BgL_oz00_5406, obj_t BgL_vz00_5407)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
long BgL_vz00_6400;
BgL_vz00_6400 = 
(long)CINT(BgL_vz00_5407); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5406)))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_vz00_6400),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5408, obj_t BgL_oz00_5409)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5409)))->BgL_preferredzd2keyzd2lengthz00));} 
BGL_FUNCTION_END;
}



/* &lambda2193 */
obj_t BGl_z62lambda2193z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5410, obj_t BgL_oz00_5411, obj_t BgL_vz00_5412)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
long BgL_vz00_6403;
BgL_vz00_6403 = 
(long)CINT(BgL_vz00_5412); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5411)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6403),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5413, obj_t BgL_oz00_5414)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5414)))->BgL_blockzd2siza7ez75));} 
BGL_FUNCTION_END;
}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5415, obj_t BgL_oz00_5416, obj_t BgL_vz00_5417)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5416)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_5417)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2187 */
obj_t BGl_z62lambda2187z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5418, obj_t BgL_oz00_5419)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5419)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3874z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3875z00zz__cryptozd2blockzd2ciphersz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_proc3876z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3877z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3878z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3879z00zz__cryptozd2blockzd2ciphersz00);} 
BGL_FUNCTION_END;
}



/* &do-cipher-partial-bl1309 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1309zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5423, obj_t BgL_statez00_5424, obj_t BgL_fromz00_5425, obj_t BgL_fromzd2blockzd2posz00_5426, obj_t BgL_toz00_5427, obj_t BgL_tozd2blockzd2posz00_5428, obj_t BgL_atz00_5429, obj_t BgL_lenz00_5430)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 212 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)90)), BGl_string3880z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5424)));} 
BGL_FUNCTION_END;
}



/* &do-cipher-block!1307 */
obj_t BGl_z62dozd2cipherzd2blockz121307z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5431, obj_t BgL_statez00_5432, obj_t BgL_fromz00_5433, obj_t BgL_fromzd2poszd2_5434, obj_t BgL_toz00_5435, obj_t BgL_tozd2poszd2_5436)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 206 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)91)), BGl_string3880z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5432)));} 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!1305 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz121305za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5437, obj_t BgL_statez00_5438, obj_t BgL_ivz00_5439)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 202 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)92)), BGl_string3880z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5438)));} 
BGL_FUNCTION_END;
}



/* do-cipher-IV-init! */
obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_36, obj_t BgL_ivz00_37)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_method1306z00_2187;
{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_res3043z00_3938;
{ /* Llib/block_ciphers.scm 202 */
long BgL_objzd2classzd2numz00_3911;
{ /* Llib/block_ciphers.scm 202 */
long BgL_res3037z00_3914;
BgL_res3037z00_3914 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_36)); 
BgL_objzd2classzd2numz00_3911 = BgL_res3037z00_3914; } 
{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_arg1737z00_3912;
BgL_arg1737z00_3912 = 
PROCEDURE_REF(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 202 */
int BgL_offsetz00_3916;
BgL_offsetz00_3916 = 
(int)(BgL_objzd2classzd2numz00_3911); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_offsetz00_3917;
BgL_offsetz00_3917 = 
(
(long)(BgL_offsetz00_3916)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_modz00_3918;
{ /* Llib/block_ciphers.scm 202 */
int BgL_arg1739z00_3919;
BgL_arg1739z00_3919 = 
(int)(((long)16)); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_res3040z00_3929;
{ /* Llib/block_ciphers.scm 202 */
long BgL_tmpz00_11282;
BgL_tmpz00_11282 = 
(long)(BgL_arg1739z00_3919); 
BgL_res3040z00_3929 = 
(BgL_offsetz00_3917/BgL_tmpz00_11282); } 
BgL_modz00_3918 = BgL_res3040z00_3929; } } 
{ /* Llib/block_ciphers.scm 202 */
long BgL_restz00_3920;
{ /* Llib/block_ciphers.scm 202 */
int BgL_arg1738z00_3921;
BgL_arg1738z00_3921 = 
(int)(((long)16)); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_res3042z00_3933;
{ /* Llib/block_ciphers.scm 202 */
long BgL_tmpz00_11286;
BgL_tmpz00_11286 = 
(long)(BgL_arg1738z00_3921); 
BgL_res3042z00_3933 = 
(BgL_offsetz00_3917%BgL_tmpz00_11286); } 
BgL_restz00_3920 = BgL_res3042z00_3933; } } 
{ /* Llib/block_ciphers.scm 202 */

{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_bucketz00_3922;
BgL_bucketz00_3922 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3912),BgL_modz00_3918); 
BgL_res3043z00_3938 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3922),BgL_restz00_3920); } } } } } } } } 
BgL_method1306z00_2187 = BgL_res3043z00_3938; } 
return 
PROCEDURE_ENTRY(BgL_method1306z00_2187)(BgL_method1306z00_2187, 
((obj_t)BgL_statez00_36), BgL_ivz00_37, BEOA);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init! */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5440, obj_t BgL_statez00_5441, obj_t BgL_ivz00_5442)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
BgL_cipherzd2statezd2_bglt BgL_auxz00_11299;
if(
BGl_isazf3zf3zz__objectz00(BgL_statez00_5441, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 202 */
BgL_auxz00_11299 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5441)
; }  else 
{ 
obj_t BgL_auxz00_11303;
BgL_auxz00_11303 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7145)), BGl_string3881z00zz__cryptozd2blockzd2ciphersz00, BGl_string3882z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_5441); 
FAILURE(BgL_auxz00_11303,BFALSE,BFALSE);} 
return 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11299, BgL_ivz00_5442);} } 
BGL_FUNCTION_END;
}



/* do-cipher-block! */
obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_38, obj_t BgL_fromz00_39, long BgL_fromzd2poszd2_40, obj_t BgL_toz00_41, long BgL_tozd2poszd2_42)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_method1308z00_2188;
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_res3050z00_3967;
{ /* Llib/block_ciphers.scm 206 */
long BgL_objzd2classzd2numz00_3940;
{ /* Llib/block_ciphers.scm 206 */
long BgL_res3044z00_3943;
BgL_res3044z00_3943 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_38)); 
BgL_objzd2classzd2numz00_3940 = BgL_res3044z00_3943; } 
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_arg1737z00_3941;
BgL_arg1737z00_3941 = 
PROCEDURE_REF(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 206 */
int BgL_offsetz00_3945;
BgL_offsetz00_3945 = 
(int)(BgL_objzd2classzd2numz00_3940); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_offsetz00_3946;
BgL_offsetz00_3946 = 
(
(long)(BgL_offsetz00_3945)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_modz00_3947;
{ /* Llib/block_ciphers.scm 206 */
int BgL_arg1739z00_3948;
BgL_arg1739z00_3948 = 
(int)(((long)16)); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_res3047z00_3958;
{ /* Llib/block_ciphers.scm 206 */
long BgL_tmpz00_11316;
BgL_tmpz00_11316 = 
(long)(BgL_arg1739z00_3948); 
BgL_res3047z00_3958 = 
(BgL_offsetz00_3946/BgL_tmpz00_11316); } 
BgL_modz00_3947 = BgL_res3047z00_3958; } } 
{ /* Llib/block_ciphers.scm 206 */
long BgL_restz00_3949;
{ /* Llib/block_ciphers.scm 206 */
int BgL_arg1738z00_3950;
BgL_arg1738z00_3950 = 
(int)(((long)16)); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_res3049z00_3962;
{ /* Llib/block_ciphers.scm 206 */
long BgL_tmpz00_11320;
BgL_tmpz00_11320 = 
(long)(BgL_arg1738z00_3950); 
BgL_res3049z00_3962 = 
(BgL_offsetz00_3946%BgL_tmpz00_11320); } 
BgL_restz00_3949 = BgL_res3049z00_3962; } } 
{ /* Llib/block_ciphers.scm 206 */

{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_bucketz00_3951;
BgL_bucketz00_3951 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3941),BgL_modz00_3947); 
BgL_res3050z00_3967 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3951),BgL_restz00_3949); } } } } } } } } 
BgL_method1308z00_2188 = BgL_res3050z00_3967; } 
return 
PROCEDURE_ENTRY(BgL_method1308z00_2188)(BgL_method1308z00_2188, 
((obj_t)BgL_statez00_38), BgL_fromz00_39, 
BINT(BgL_fromzd2poszd2_40), BgL_toz00_41, 
BINT(BgL_tozd2poszd2_42), BEOA);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block! */
obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5443, obj_t BgL_statez00_5444, obj_t BgL_fromz00_5445, obj_t BgL_fromzd2poszd2_5446, obj_t BgL_toz00_5447, obj_t BgL_tozd2poszd2_5448)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
long BgL_auxz00_11369;obj_t BgL_auxz00_11362;long BgL_auxz00_11353;obj_t BgL_auxz00_11346;BgL_cipherzd2statezd2_bglt BgL_auxz00_11338;
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_tmpz00_11370;
if(
INTEGERP(BgL_tozd2poszd2_5448))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_11370 = BgL_tozd2poszd2_5448
; }  else 
{ 
obj_t BgL_auxz00_11373;
BgL_auxz00_11373 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3883z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2poszd2_5448); 
FAILURE(BgL_auxz00_11373,BFALSE,BFALSE);} 
BgL_auxz00_11369 = 
(long)CINT(BgL_tmpz00_11370); } 
if(
STRINGP(BgL_toz00_5447))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11362 = BgL_toz00_5447
; }  else 
{ 
obj_t BgL_auxz00_11365;
BgL_auxz00_11365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3883z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_5447); 
FAILURE(BgL_auxz00_11365,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_tmpz00_11354;
if(
INTEGERP(BgL_fromzd2poszd2_5446))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_11354 = BgL_fromzd2poszd2_5446
; }  else 
{ 
obj_t BgL_auxz00_11357;
BgL_auxz00_11357 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3883z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2poszd2_5446); 
FAILURE(BgL_auxz00_11357,BFALSE,BFALSE);} 
BgL_auxz00_11353 = 
(long)CINT(BgL_tmpz00_11354); } 
if(
STRINGP(BgL_fromz00_5445))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11346 = BgL_fromz00_5445
; }  else 
{ 
obj_t BgL_auxz00_11349;
BgL_auxz00_11349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3883z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_5445); 
FAILURE(BgL_auxz00_11349,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_statez00_5444, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11338 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5444)
; }  else 
{ 
obj_t BgL_auxz00_11342;
BgL_auxz00_11342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3883z00zz__cryptozd2blockzd2ciphersz00, BGl_string3882z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_5444); 
FAILURE(BgL_auxz00_11342,BFALSE,BFALSE);} 
return 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11338, BgL_auxz00_11346, BgL_auxz00_11353, BgL_auxz00_11362, BgL_auxz00_11369);} } 
BGL_FUNCTION_END;
}



/* do-cipher-partial-block! */
obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_43, obj_t BgL_fromz00_44, long BgL_fromzd2blockzd2posz00_45, obj_t BgL_toz00_46, long BgL_tozd2blockzd2posz00_47, long BgL_atz00_48, long BgL_lenz00_49)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_method1310z00_2189;
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_res3057z00_3996;
{ /* Llib/block_ciphers.scm 212 */
long BgL_objzd2classzd2numz00_3969;
{ /* Llib/block_ciphers.scm 212 */
long BgL_res3051z00_3972;
BgL_res3051z00_3972 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_43)); 
BgL_objzd2classzd2numz00_3969 = BgL_res3051z00_3972; } 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_arg1737z00_3970;
BgL_arg1737z00_3970 = 
PROCEDURE_REF(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 212 */
int BgL_offsetz00_3974;
BgL_offsetz00_3974 = 
(int)(BgL_objzd2classzd2numz00_3969); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_offsetz00_3975;
BgL_offsetz00_3975 = 
(
(long)(BgL_offsetz00_3974)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_modz00_3976;
{ /* Llib/block_ciphers.scm 212 */
int BgL_arg1739z00_3977;
BgL_arg1739z00_3977 = 
(int)(((long)16)); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_res3054z00_3987;
{ /* Llib/block_ciphers.scm 212 */
long BgL_tmpz00_11387;
BgL_tmpz00_11387 = 
(long)(BgL_arg1739z00_3977); 
BgL_res3054z00_3987 = 
(BgL_offsetz00_3975/BgL_tmpz00_11387); } 
BgL_modz00_3976 = BgL_res3054z00_3987; } } 
{ /* Llib/block_ciphers.scm 212 */
long BgL_restz00_3978;
{ /* Llib/block_ciphers.scm 212 */
int BgL_arg1738z00_3979;
BgL_arg1738z00_3979 = 
(int)(((long)16)); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_res3056z00_3991;
{ /* Llib/block_ciphers.scm 212 */
long BgL_tmpz00_11391;
BgL_tmpz00_11391 = 
(long)(BgL_arg1738z00_3979); 
BgL_res3056z00_3991 = 
(BgL_offsetz00_3975%BgL_tmpz00_11391); } 
BgL_restz00_3978 = BgL_res3056z00_3991; } } 
{ /* Llib/block_ciphers.scm 212 */

{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_bucketz00_3980;
BgL_bucketz00_3980 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3970),BgL_modz00_3976); 
BgL_res3057z00_3996 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3980),BgL_restz00_3978); } } } } } } } } 
BgL_method1310z00_2189 = BgL_res3057z00_3996; } 
return 
PROCEDURE_ENTRY(BgL_method1310z00_2189)(BgL_method1310z00_2189, 
((obj_t)BgL_statez00_43), BgL_fromz00_44, 
BINT(BgL_fromzd2blockzd2posz00_45), BgL_toz00_46, 
BINT(BgL_tozd2blockzd2posz00_47), 
BINT(BgL_atz00_48), 
BINT(BgL_lenz00_49), BEOA);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-partial-block! */
obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5449, obj_t BgL_statez00_5450, obj_t BgL_fromz00_5451, obj_t BgL_fromzd2blockzd2posz00_5452, obj_t BgL_toz00_5453, obj_t BgL_tozd2blockzd2posz00_5454, obj_t BgL_atz00_5455, obj_t BgL_lenz00_5456)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
long BgL_auxz00_11462;long BgL_auxz00_11453;long BgL_auxz00_11444;obj_t BgL_auxz00_11437;long BgL_auxz00_11428;obj_t BgL_auxz00_11421;BgL_cipherzd2statezd2_bglt BgL_auxz00_11413;
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11463;
if(
INTEGERP(BgL_lenz00_5456))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11463 = BgL_lenz00_5456
; }  else 
{ 
obj_t BgL_auxz00_11466;
BgL_auxz00_11466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_lenz00_5456); 
FAILURE(BgL_auxz00_11466,BFALSE,BFALSE);} 
BgL_auxz00_11462 = 
(long)CINT(BgL_tmpz00_11463); } 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11454;
if(
INTEGERP(BgL_atz00_5455))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11454 = BgL_atz00_5455
; }  else 
{ 
obj_t BgL_auxz00_11457;
BgL_auxz00_11457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_atz00_5455); 
FAILURE(BgL_auxz00_11457,BFALSE,BFALSE);} 
BgL_auxz00_11453 = 
(long)CINT(BgL_tmpz00_11454); } 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11445;
if(
INTEGERP(BgL_tozd2blockzd2posz00_5454))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11445 = BgL_tozd2blockzd2posz00_5454
; }  else 
{ 
obj_t BgL_auxz00_11448;
BgL_auxz00_11448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2blockzd2posz00_5454); 
FAILURE(BgL_auxz00_11448,BFALSE,BFALSE);} 
BgL_auxz00_11444 = 
(long)CINT(BgL_tmpz00_11445); } 
if(
STRINGP(BgL_toz00_5453))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11437 = BgL_toz00_5453
; }  else 
{ 
obj_t BgL_auxz00_11440;
BgL_auxz00_11440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_5453); 
FAILURE(BgL_auxz00_11440,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11429;
if(
INTEGERP(BgL_fromzd2blockzd2posz00_5452))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11429 = BgL_fromzd2blockzd2posz00_5452
; }  else 
{ 
obj_t BgL_auxz00_11432;
BgL_auxz00_11432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3730z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2blockzd2posz00_5452); 
FAILURE(BgL_auxz00_11432,BFALSE,BFALSE);} 
BgL_auxz00_11428 = 
(long)CINT(BgL_tmpz00_11429); } 
if(
STRINGP(BgL_fromz00_5451))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11421 = BgL_fromz00_5451
; }  else 
{ 
obj_t BgL_auxz00_11424;
BgL_auxz00_11424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3720z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_5451); 
FAILURE(BgL_auxz00_11424,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_statez00_5450, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11413 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5450)
; }  else 
{ 
obj_t BgL_auxz00_11417;
BgL_auxz00_11417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3718z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3884z00zz__cryptozd2blockzd2ciphersz00, BGl_string3882z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_5450); 
FAILURE(BgL_auxz00_11417,BFALSE,BFALSE);} 
return 
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11413, BgL_auxz00_11421, BgL_auxz00_11428, BgL_auxz00_11437, BgL_auxz00_11444, BgL_auxz00_11453, BgL_auxz00_11462);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3885z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3887z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3888z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3890z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3891z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3892z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3893z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3894z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3895z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3896z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3897z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3898z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3899z00zz__cryptozd2blockzd2ciphersz00, BGl_string3900z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3901z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3902z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3900z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3904z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3905z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3906z00zz__cryptozd2blockzd2ciphersz00, BGl_string3900z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3907z00zz__cryptozd2blockzd2ciphersz00, BGl_string3889z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3908z00zz__cryptozd2blockzd2ciphersz00, BGl_string3886z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3909z00zz__cryptozd2blockzd2ciphersz00, BGl_string3900z00zz__cryptozd2blockzd2ciphersz00);} 
BGL_FUNCTION_END;
}



/* &do-cipher-partial-bl1354 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1354zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5479, obj_t BgL_statez00_5480, obj_t BgL_fromz00_5481, obj_t BgL_fromzd2poszd2_5482, obj_t BgL_toz00_5483, obj_t BgL_tozd2poszd2_5484, obj_t BgL_atz00_5485, obj_t BgL_lenz00_5486)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 417 */
{ /* Llib/block_ciphers.scm 419 */
bool_t BgL_tmpz00_11494;
if(
(
(long)CINT(BgL_atz00_5485)==((long)0)))
{ /* Llib/block_ciphers.scm 421 */
{ /* Llib/block_ciphers.scm 422 */
obj_t BgL_fun2619z00_6422;
BgL_fun2619z00_6422 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 422 */
obj_t BgL_arg2616z00_6423;obj_t BgL_arg2617z00_6424;long BgL_arg2618z00_6425;
BgL_arg2616z00_6423 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_noncezd2strzd2); 
BgL_arg2617z00_6424 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_noncez00); 
BgL_arg2618z00_6425 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_blockzd2counterzd2); 
PROCEDURE_ENTRY(BgL_fun2619z00_6422)(BgL_fun2619z00_6422, BgL_arg2616z00_6423, BgL_arg2617z00_6424, 
BINT(BgL_arg2618z00_6425), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 424 */
obj_t BgL_fun2624z00_6426;
BgL_fun2624z00_6426 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5480))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 424 */
obj_t BgL_arg2621z00_6427;obj_t BgL_arg2622z00_6428;obj_t BgL_arg2623z00_6429;
BgL_arg2621z00_6427 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_noncezd2strzd2); 
BgL_arg2622z00_6428 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_noncezd2strzd2); 
BgL_arg2623z00_6429 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5480))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2624z00_6426)(BgL_fun2624z00_6426, BgL_arg2621z00_6427, 
BINT(((long)0)), BgL_arg2622z00_6428, 
BINT(((long)0)), BgL_arg2623z00_6429, BEOA); } } }  else 
{ /* Llib/block_ciphers.scm 421 */BFALSE; } 
{ /* Llib/block_ciphers.scm 425 */
long BgL_arg2625z00_6430;long BgL_arg2626z00_6431;obj_t BgL_arg2627z00_6432;
BgL_arg2625z00_6430 = 
(
(long)CINT(BgL_tozd2poszd2_5484)+
(long)CINT(BgL_atz00_5485)); 
BgL_arg2626z00_6431 = 
(
(long)CINT(BgL_fromzd2poszd2_5482)+
(long)CINT(BgL_atz00_5485)); 
BgL_arg2627z00_6432 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5480)))->BgL_noncezd2strzd2); 
{ 
long BgL_iz00_6434;
BgL_iz00_6434 = ((long)0); 
BgL_loopz00_6433:
if(
(BgL_iz00_6434==
(BgL_arg2625z00_6430+
(long)CINT(BgL_lenz00_5486))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11494 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1501z00_6435;unsigned char BgL_arg1509z00_6436;
BgL_arg1501z00_6435 = 
(BgL_arg2625z00_6430+BgL_iz00_6434); 
BgL_arg1509z00_6436 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5481), 
(BgL_arg2626z00_6431+BgL_iz00_6434))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2627z00_6432, 
(
(long)CINT(BgL_atz00_5485)+BgL_iz00_6434)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_charz00_6437;
BgL_charz00_6437 = 
(unsigned char)(BgL_arg1509z00_6436); 
{ /* Llib/block_ciphers.scm 129 */
obj_t BgL_tmpz00_11567;
BgL_tmpz00_11567 = 
((obj_t)BgL_toz00_5483); 
STRING_SET(BgL_tmpz00_11567, BgL_arg1501z00_6435, BgL_charz00_6437); } } } 
{ 
long BgL_iz00_11570;
BgL_iz00_11570 = 
(BgL_iz00_6434+((long)1)); 
BgL_iz00_6434 = BgL_iz00_11570; 
goto BgL_loopz00_6433;} } } } 
return 
BBOOL(BgL_tmpz00_11494);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-CTR1352 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1352za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5487, obj_t BgL_statez00_5488, obj_t BgL_fromz00_5489, obj_t BgL_fromzd2poszd2_5490, obj_t BgL_toz00_5491, obj_t BgL_tozd2poszd2_5492)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 410 */
{ /* Llib/block_ciphers.scm 413 */
obj_t BgL_fun2607z00_6439;
BgL_fun2607z00_6439 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 413 */
obj_t BgL_arg2604z00_6440;obj_t BgL_arg2605z00_6441;long BgL_arg2606z00_6442;
BgL_arg2604z00_6440 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_noncezd2strzd2); 
BgL_arg2605z00_6441 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_noncez00); 
BgL_arg2606z00_6442 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_blockzd2counterzd2); 
PROCEDURE_ENTRY(BgL_fun2607z00_6439)(BgL_fun2607z00_6439, BgL_arg2604z00_6440, BgL_arg2605z00_6441, 
BINT(BgL_arg2606z00_6442), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 415 */
obj_t BgL_fun2612z00_6443;
BgL_fun2612z00_6443 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5488))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 415 */
obj_t BgL_arg2609z00_6444;obj_t BgL_arg2610z00_6445;obj_t BgL_arg2611z00_6446;
BgL_arg2609z00_6444 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_noncezd2strzd2); 
BgL_arg2610z00_6445 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_noncezd2strzd2); 
BgL_arg2611z00_6446 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5488))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2612z00_6443)(BgL_fun2612z00_6443, BgL_arg2609z00_6444, 
BINT(((long)0)), BgL_arg2610z00_6445, 
BINT(((long)0)), BgL_arg2611z00_6446, BEOA); } } 
{ /* Llib/block_ciphers.scm 416 */
obj_t BgL_arg2613z00_6447;long BgL_arg2614z00_6448;
BgL_arg2613z00_6447 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5488)))->BgL_noncezd2strzd2); 
BgL_arg2614z00_6448 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5488))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6450;
BgL_iz00_6450 = ((long)0); 
BgL_loopz00_6449:
if(
(BgL_iz00_6450==BgL_arg2614z00_6448))
{ /* Llib/block_ciphers.scm 416 */
return BgL_toz00_5491;}  else 
{ /* Llib/block_ciphers.scm 416 */
{ /* Llib/block_ciphers.scm 416 */
long BgL_arg2630z00_6451;unsigned char BgL_arg2631z00_6452;
BgL_arg2630z00_6451 = 
(
(long)CINT(BgL_tozd2poszd2_5492)+BgL_iz00_6450); 
BgL_arg2631z00_6452 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5489), 
(
(long)CINT(BgL_fromzd2poszd2_5490)+BgL_iz00_6450))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2613z00_6447, 
(((long)0)+BgL_iz00_6450)))))))); 
{ /* Llib/block_ciphers.scm 416 */
unsigned char BgL_charz00_6453;
BgL_charz00_6453 = 
(unsigned char)(BgL_arg2631z00_6452); 
{ /* Llib/block_ciphers.scm 416 */
obj_t BgL_tmpz00_11638;
BgL_tmpz00_11638 = 
((obj_t)BgL_toz00_5491); 
STRING_SET(BgL_tmpz00_11638, BgL_arg2630z00_6451, BgL_charz00_6453); } } } 
{ 
long BgL_iz00_11641;
BgL_iz00_11641 = 
(BgL_iz00_6450+((long)1)); 
BgL_iz00_6450 = BgL_iz00_11641; 
goto BgL_loopz00_6449;} } } } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-C1350 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1350z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5493, obj_t BgL_statez00_5494, obj_t BgL_ivz00_5495)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 406 */
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5494)))->BgL_noncez00)=((obj_t)BgL_ivz00_5495),BUNSPEC); 
{ /* Llib/block_ciphers.scm 409 */
obj_t BgL_fun2603z00_6455;
BgL_fun2603z00_6455 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5494)))->BgL_noncezd2initz12zc0); 
{ /* Llib/block_ciphers.scm 409 */
obj_t BgL_arg2601z00_6456;obj_t BgL_arg2602z00_6457;
BgL_arg2601z00_6456 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5494)))->BgL_noncezd2strzd2); 
BgL_arg2602z00_6457 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5494)))->BgL_noncez00); 
return 
PROCEDURE_ENTRY(BgL_fun2603z00_6455)(BgL_fun2603z00_6455, BgL_arg2601z00_6456, BgL_arg2602z00_6457, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-partial-bl1348 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1348zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5496, obj_t BgL_statez00_5497, obj_t BgL_fromz00_5498, obj_t BgL_fromzd2poszd2_5499, obj_t BgL_toz00_5500, obj_t BgL_tozd2poszd2_5501, obj_t BgL_atz00_5502, obj_t BgL_lenz00_5503)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 382 */
{ /* Llib/block_ciphers.scm 384 */
bool_t BgL_tmpz00_11656;
if(
(
(long)CINT(BgL_atz00_5502)==((long)0)))
{ /* Llib/block_ciphers.scm 386 */
obj_t BgL_fun2597z00_6459;
BgL_fun2597z00_6459 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5497))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 386 */
obj_t BgL_arg2594z00_6460;obj_t BgL_arg2595z00_6461;obj_t BgL_arg2596z00_6462;
BgL_arg2594z00_6460 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5497)))->BgL_chainz00); 
BgL_arg2595z00_6461 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5497)))->BgL_chainz00); 
BgL_arg2596z00_6462 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5497))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2597z00_6459)(BgL_fun2597z00_6459, BgL_arg2594z00_6460, 
BINT(((long)0)), BgL_arg2595z00_6461, 
BINT(((long)0)), BgL_arg2596z00_6462, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 385 */BFALSE; } 
{ /* Llib/block_ciphers.scm 387 */
long BgL_arg2598z00_6463;long BgL_arg2599z00_6464;obj_t BgL_arg2600z00_6465;
BgL_arg2598z00_6463 = 
(
(long)CINT(BgL_tozd2poszd2_5501)+
(long)CINT(BgL_atz00_5502)); 
BgL_arg2599z00_6464 = 
(
(long)CINT(BgL_fromzd2poszd2_5499)+
(long)CINT(BgL_atz00_5502)); 
BgL_arg2600z00_6465 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5497)))->BgL_chainz00); 
{ 
long BgL_iz00_6467;
BgL_iz00_6467 = ((long)0); 
BgL_loopz00_6466:
if(
(BgL_iz00_6467==
(BgL_arg2598z00_6463+
(long)CINT(BgL_lenz00_5503))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11656 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1501z00_6468;unsigned char BgL_arg1509z00_6469;
BgL_arg1501z00_6468 = 
(BgL_arg2598z00_6463+BgL_iz00_6467); 
BgL_arg1509z00_6469 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5498), 
(BgL_arg2599z00_6464+BgL_iz00_6467))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2600z00_6465, 
(
(long)CINT(BgL_atz00_5502)+BgL_iz00_6467)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_charz00_6470;
BgL_charz00_6470 = 
(unsigned char)(BgL_arg1509z00_6469); 
{ /* Llib/block_ciphers.scm 129 */
obj_t BgL_tmpz00_11709;
BgL_tmpz00_11709 = 
((obj_t)BgL_toz00_5500); 
STRING_SET(BgL_tmpz00_11709, BgL_arg1501z00_6468, BgL_charz00_6470); } } } 
{ 
long BgL_iz00_11712;
BgL_iz00_11712 = 
(BgL_iz00_6467+((long)1)); 
BgL_iz00_6467 = BgL_iz00_11712; 
goto BgL_loopz00_6466;} } } } 
return 
BBOOL(BgL_tmpz00_11656);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-OFB1346 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1346za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5504, obj_t BgL_statez00_5505, obj_t BgL_fromz00_5506, obj_t BgL_fromzd2poszd2_5507, obj_t BgL_toz00_5508, obj_t BgL_tozd2poszd2_5509)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 378 */
{ /* Llib/block_ciphers.scm 380 */
obj_t BgL_fun2590z00_6472;
BgL_fun2590z00_6472 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5505))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 380 */
obj_t BgL_arg2587z00_6473;obj_t BgL_arg2588z00_6474;obj_t BgL_arg2589z00_6475;
BgL_arg2587z00_6473 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5505)))->BgL_chainz00); 
BgL_arg2588z00_6474 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5505)))->BgL_chainz00); 
BgL_arg2589z00_6475 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5505))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2590z00_6472)(BgL_fun2590z00_6472, BgL_arg2587z00_6473, 
BINT(((long)0)), BgL_arg2588z00_6474, 
BINT(((long)0)), BgL_arg2589z00_6475, BEOA); } } 
{ /* Llib/block_ciphers.scm 381 */
obj_t BgL_arg2591z00_6476;long BgL_arg2592z00_6477;
BgL_arg2591z00_6476 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5505)))->BgL_chainz00); 
BgL_arg2592z00_6477 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5505))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6479;
BgL_iz00_6479 = ((long)0); 
BgL_loopz00_6478:
if(
(BgL_iz00_6479==BgL_arg2592z00_6477))
{ /* Llib/block_ciphers.scm 381 */
return BgL_toz00_5508;}  else 
{ /* Llib/block_ciphers.scm 381 */
{ /* Llib/block_ciphers.scm 381 */
long BgL_arg2630z00_6480;unsigned char BgL_arg2631z00_6481;
BgL_arg2630z00_6480 = 
(
(long)CINT(BgL_tozd2poszd2_5509)+BgL_iz00_6479); 
BgL_arg2631z00_6481 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5506), 
(
(long)CINT(BgL_fromzd2poszd2_5507)+BgL_iz00_6479))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2591z00_6476, 
(((long)0)+BgL_iz00_6479)))))))); 
{ /* Llib/block_ciphers.scm 381 */
unsigned char BgL_charz00_6482;
BgL_charz00_6482 = 
(unsigned char)(BgL_arg2631z00_6481); 
{ /* Llib/block_ciphers.scm 381 */
obj_t BgL_tmpz00_11760;
BgL_tmpz00_11760 = 
((obj_t)BgL_toz00_5508); 
STRING_SET(BgL_tmpz00_11760, BgL_arg2630z00_6480, BgL_charz00_6482); } } } 
{ 
long BgL_iz00_11763;
BgL_iz00_11763 = 
(BgL_iz00_6479+((long)1)); 
BgL_iz00_6479 = BgL_iz00_11763; 
goto BgL_loopz00_6478;} } } } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-O1344 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1344z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5510, obj_t BgL_statez00_5511, obj_t BgL_ivz00_5512)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 375 */
{ /* Llib/block_ciphers.scm 377 */
obj_t BgL_arg2585z00_6484;long BgL_arg2586z00_6485;
BgL_arg2585z00_6484 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5511)))->BgL_chainz00); 
BgL_arg2586z00_6485 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5511))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5512), ((long)0), BgL_arg2585z00_6484, ((long)0), BgL_arg2586z00_6485);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-partial-bl1342 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1342zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5513, obj_t BgL_statez00_5514, obj_t BgL_fromz00_5515, obj_t BgL_fromzd2poszd2_5516, obj_t BgL_toz00_5517, obj_t BgL_tozd2poszd2_5518, obj_t BgL_atz00_5519, obj_t BgL_lenz00_5520)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 356 */
{ /* Llib/block_ciphers.scm 358 */
bool_t BgL_tmpz00_11772;
if(
(
(long)CINT(BgL_atz00_5519)==((long)0)))
{ /* Llib/block_ciphers.scm 360 */
obj_t BgL_fun2579z00_6487;
BgL_fun2579z00_6487 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5514))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 360 */
obj_t BgL_arg2576z00_6488;obj_t BgL_arg2577z00_6489;obj_t BgL_arg2578z00_6490;
BgL_arg2576z00_6488 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5514)))->BgL_chainz00); 
BgL_arg2577z00_6489 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5514)))->BgL_bufferz00); 
BgL_arg2578z00_6490 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5514))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2579z00_6487)(BgL_fun2579z00_6487, BgL_arg2576z00_6488, 
BINT(((long)0)), BgL_arg2577z00_6489, 
BINT(((long)0)), BgL_arg2578z00_6490, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 359 */BFALSE; } 
{ /* Llib/block_ciphers.scm 361 */
long BgL_arg2580z00_6491;obj_t BgL_arg2581z00_6492;
BgL_arg2580z00_6491 = 
(
(long)CINT(BgL_fromzd2poszd2_5516)+
(long)CINT(BgL_atz00_5519)); 
BgL_arg2581z00_6492 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5514)))->BgL_chainz00); 
{ /* Llib/block_ciphers.scm 361 */
long BgL_o2z00_6493;long BgL_lz00_6494;
BgL_o2z00_6493 = 
(long)CINT(BgL_atz00_5519); 
BgL_lz00_6494 = 
(long)CINT(BgL_lenz00_5520); 
blit_string(
((obj_t)BgL_fromz00_5515), BgL_arg2580z00_6491, BgL_arg2581z00_6492, BgL_o2z00_6493, BgL_lz00_6494); } } 
{ /* Llib/block_ciphers.scm 362 */
long BgL_arg2582z00_6495;obj_t BgL_arg2583z00_6496;long BgL_arg2584z00_6497;
BgL_arg2582z00_6495 = 
(
(long)CINT(BgL_tozd2poszd2_5518)+
(long)CINT(BgL_atz00_5519)); 
BgL_arg2583z00_6496 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5514)))->BgL_bufferz00); 
BgL_arg2584z00_6497 = 
(
(long)CINT(BgL_fromzd2poszd2_5516)+
(long)CINT(BgL_atz00_5519)); 
{ 
long BgL_iz00_6499;
BgL_iz00_6499 = ((long)0); 
BgL_loopz00_6498:
if(
(BgL_iz00_6499==
(BgL_arg2582z00_6495+
(long)CINT(BgL_lenz00_5520))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11772 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1501z00_6500;unsigned char BgL_arg1509z00_6501;
BgL_arg1501z00_6500 = 
(BgL_arg2582z00_6495+BgL_iz00_6499); 
BgL_arg1509z00_6501 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2583z00_6496, 
(((long)0)+BgL_iz00_6499))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5515), 
(BgL_arg2584z00_6497+BgL_iz00_6499)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_charz00_6502;
BgL_charz00_6502 = 
(unsigned char)(BgL_arg1509z00_6501); 
{ /* Llib/block_ciphers.scm 129 */
obj_t BgL_tmpz00_11833;
BgL_tmpz00_11833 = 
((obj_t)BgL_toz00_5517); 
STRING_SET(BgL_tmpz00_11833, BgL_arg1501z00_6500, BgL_charz00_6502); } } } 
{ 
long BgL_iz00_11836;
BgL_iz00_11836 = 
(BgL_iz00_6499+((long)1)); 
BgL_iz00_6499 = BgL_iz00_11836; 
goto BgL_loopz00_6498;} } } } 
return 
BBOOL(BgL_tmpz00_11772);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-CFB1340 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1340za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5521, obj_t BgL_statez00_5522, obj_t BgL_fromz00_5523, obj_t BgL_fromzd2poszd2_5524, obj_t BgL_toz00_5525, obj_t BgL_tozd2poszd2_5526)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 351 */
{ /* Llib/block_ciphers.scm 353 */
obj_t BgL_fun2570z00_6504;
BgL_fun2570z00_6504 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 353 */
obj_t BgL_arg2567z00_6505;obj_t BgL_arg2568z00_6506;obj_t BgL_arg2569z00_6507;
BgL_arg2567z00_6505 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522)))->BgL_chainz00); 
BgL_arg2568z00_6506 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522)))->BgL_bufferz00); 
BgL_arg2569z00_6507 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2570z00_6504)(BgL_fun2570z00_6504, BgL_arg2567z00_6505, 
BINT(((long)0)), BgL_arg2568z00_6506, 
BINT(((long)0)), BgL_arg2569z00_6507, BEOA); } } 
{ /* Llib/block_ciphers.scm 354 */
obj_t BgL_arg2571z00_6508;long BgL_arg2572z00_6509;
BgL_arg2571z00_6508 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522)))->BgL_chainz00); 
BgL_arg2572z00_6509 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 354 */
long BgL_o1z00_6510;
BgL_o1z00_6510 = 
(long)CINT(BgL_fromzd2poszd2_5524); 
blit_string(
((obj_t)BgL_fromz00_5523), BgL_o1z00_6510, BgL_arg2571z00_6508, ((long)0), BgL_arg2572z00_6509); } } 
{ /* Llib/block_ciphers.scm 355 */
obj_t BgL_arg2573z00_6511;long BgL_arg2574z00_6512;
BgL_arg2573z00_6511 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522)))->BgL_bufferz00); 
BgL_arg2574z00_6512 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5522))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6514;
BgL_iz00_6514 = ((long)0); 
BgL_loopz00_6513:
if(
(BgL_iz00_6514==BgL_arg2574z00_6512))
{ /* Llib/block_ciphers.scm 355 */
return BgL_toz00_5525;}  else 
{ /* Llib/block_ciphers.scm 355 */
{ /* Llib/block_ciphers.scm 355 */
long BgL_arg2630z00_6515;unsigned char BgL_arg2631z00_6516;
BgL_arg2630z00_6515 = 
(
(long)CINT(BgL_tozd2poszd2_5526)+BgL_iz00_6514); 
BgL_arg2631z00_6516 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2573z00_6511, 
(((long)0)+BgL_iz00_6514))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5523), 
(
(long)CINT(BgL_fromzd2poszd2_5524)+BgL_iz00_6514)))))))); 
{ /* Llib/block_ciphers.scm 355 */
unsigned char BgL_charz00_6517;
BgL_charz00_6517 = 
(unsigned char)(BgL_arg2631z00_6516); 
{ /* Llib/block_ciphers.scm 355 */
obj_t BgL_tmpz00_11892;
BgL_tmpz00_11892 = 
((obj_t)BgL_toz00_5525); 
STRING_SET(BgL_tmpz00_11892, BgL_arg2630z00_6515, BgL_charz00_6517); } } } 
{ 
long BgL_iz00_11895;
BgL_iz00_11895 = 
(BgL_iz00_6514+((long)1)); 
BgL_iz00_6514 = BgL_iz00_11895; 
goto BgL_loopz00_6513;} } } } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-C1338 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1338z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5527, obj_t BgL_statez00_5528, obj_t BgL_ivz00_5529)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 348 */
{ /* Llib/block_ciphers.scm 350 */
obj_t BgL_arg2565z00_6519;long BgL_arg2566z00_6520;
BgL_arg2565z00_6519 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5528)))->BgL_chainz00); 
BgL_arg2566z00_6520 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5528))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5529), ((long)0), BgL_arg2565z00_6519, ((long)0), BgL_arg2566z00_6520);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-partial-bl1336 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1336zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5530, obj_t BgL_statez00_5531, obj_t BgL_fromz00_5532, obj_t BgL_fromzd2poszd2_5533, obj_t BgL_toz00_5534, obj_t BgL_tozd2poszd2_5535, obj_t BgL_atz00_5536, obj_t BgL_lenz00_5537)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 332 */
if(
(
(long)CINT(BgL_atz00_5536)==((long)0)))
{ /* Llib/block_ciphers.scm 336 */
obj_t BgL_fun2559z00_6522;
BgL_fun2559z00_6522 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 336 */
obj_t BgL_arg2556z00_6523;obj_t BgL_arg2557z00_6524;obj_t BgL_arg2558z00_6525;
BgL_arg2556z00_6523 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531)))->BgL_chainz00); 
BgL_arg2557z00_6524 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531)))->BgL_chainz00); 
BgL_arg2558z00_6525 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2559z00_6522)(BgL_fun2559z00_6522, BgL_arg2556z00_6523, 
BINT(((long)0)), BgL_arg2557z00_6524, 
BINT(((long)0)), BgL_arg2558z00_6525, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 335 */BFALSE; } 
{ /* Llib/block_ciphers.scm 337 */
obj_t BgL_arg2560z00_6526;obj_t BgL_arg2561z00_6527;long BgL_arg2562z00_6528;
BgL_arg2560z00_6526 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531)))->BgL_chainz00); 
BgL_arg2561z00_6527 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531)))->BgL_chainz00); 
BgL_arg2562z00_6528 = 
(
(long)CINT(BgL_fromzd2poszd2_5533)+
(long)CINT(BgL_atz00_5536)); 
{ 
long BgL_iz00_6530;
BgL_iz00_6530 = ((long)0); 
BgL_loopz00_6529:
if(
(BgL_iz00_6530==
(
(long)CINT(BgL_atz00_5536)+
(long)CINT(BgL_lenz00_5537))))
{ /* Llib/block_ciphers.scm 128 */((bool_t)0); }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1501z00_6531;unsigned char BgL_arg1509z00_6532;
BgL_arg1501z00_6531 = 
(
(long)CINT(BgL_atz00_5536)+BgL_iz00_6530); 
BgL_arg1509z00_6532 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2561z00_6527, 
(
(long)CINT(BgL_atz00_5536)+BgL_iz00_6530))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5532), 
(BgL_arg2562z00_6528+BgL_iz00_6530)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_tmpz00_11956;
BgL_tmpz00_11956 = 
(unsigned char)(BgL_arg1509z00_6532); 
STRING_SET(BgL_arg2560z00_6526, BgL_arg1501z00_6531, BgL_tmpz00_11956); } } 
{ 
long BgL_iz00_11959;
BgL_iz00_11959 = 
(BgL_iz00_6530+((long)1)); 
BgL_iz00_6530 = BgL_iz00_11959; 
goto BgL_loopz00_6529;} } } } 
{ /* Llib/block_ciphers.scm 338 */
obj_t BgL_arg2563z00_6533;long BgL_arg2564z00_6534;
BgL_arg2563z00_6533 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5531)))->BgL_chainz00); 
BgL_arg2564z00_6534 = 
(
(long)CINT(BgL_tozd2poszd2_5535)+
(long)CINT(BgL_atz00_5536)); 
{ /* Llib/block_ciphers.scm 338 */
long BgL_o1z00_6535;long BgL_lz00_6536;
BgL_o1z00_6535 = 
(long)CINT(BgL_atz00_5536); 
BgL_lz00_6536 = 
(long)CINT(BgL_lenz00_5537); 
return 
blit_string(BgL_arg2563z00_6533, BgL_o1z00_6535, 
((obj_t)BgL_toz00_5534), BgL_arg2564z00_6534, BgL_lz00_6536);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-CFB1334 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1334za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5538, obj_t BgL_statez00_5539, obj_t BgL_fromz00_5540, obj_t BgL_fromzd2poszd2_5541, obj_t BgL_toz00_5542, obj_t BgL_tozd2poszd2_5543)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 327 */
{ /* Llib/block_ciphers.scm 329 */
obj_t BgL_fun2549z00_6538;
BgL_fun2549z00_6538 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 329 */
obj_t BgL_arg2546z00_6539;obj_t BgL_arg2547z00_6540;obj_t BgL_arg2548z00_6541;
BgL_arg2546z00_6539 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539)))->BgL_chainz00); 
BgL_arg2547z00_6540 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539)))->BgL_chainz00); 
BgL_arg2548z00_6541 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2549z00_6538)(BgL_fun2549z00_6538, BgL_arg2546z00_6539, 
BINT(((long)0)), BgL_arg2547z00_6540, 
BINT(((long)0)), BgL_arg2548z00_6541, BEOA); } } 
{ /* Llib/block_ciphers.scm 330 */
obj_t BgL_arg2550z00_6542;obj_t BgL_arg2551z00_6543;long BgL_arg2552z00_6544;
BgL_arg2550z00_6542 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539)))->BgL_chainz00); 
BgL_arg2551z00_6543 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539)))->BgL_chainz00); 
BgL_arg2552z00_6544 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6546;
BgL_iz00_6546 = ((long)0); 
BgL_loopz00_6545:
if(
(BgL_iz00_6546==BgL_arg2552z00_6544))
{ /* Llib/block_ciphers.scm 330 */BgL_arg2550z00_6542; }  else 
{ /* Llib/block_ciphers.scm 330 */
{ /* Llib/block_ciphers.scm 330 */
long BgL_arg2630z00_6547;unsigned char BgL_arg2631z00_6548;
BgL_arg2630z00_6547 = 
(((long)0)+BgL_iz00_6546); 
BgL_arg2631z00_6548 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5540), 
(
(long)CINT(BgL_fromzd2poszd2_5541)+BgL_iz00_6546))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2551z00_6543, 
(((long)0)+BgL_iz00_6546)))))))); 
{ /* Llib/block_ciphers.scm 330 */
unsigned char BgL_tmpz00_12015;
BgL_tmpz00_12015 = 
(unsigned char)(BgL_arg2631z00_6548); 
STRING_SET(BgL_arg2550z00_6542, BgL_arg2630z00_6547, BgL_tmpz00_12015); } } 
{ 
long BgL_iz00_12018;
BgL_iz00_12018 = 
(BgL_iz00_6546+((long)1)); 
BgL_iz00_6546 = BgL_iz00_12018; 
goto BgL_loopz00_6545;} } } } 
{ /* Llib/block_ciphers.scm 331 */
obj_t BgL_arg2553z00_6549;long BgL_arg2554z00_6550;
BgL_arg2553z00_6549 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539)))->BgL_chainz00); 
BgL_arg2554z00_6550 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5539))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 331 */
long BgL_o2z00_6551;
BgL_o2z00_6551 = 
(long)CINT(BgL_tozd2poszd2_5543); 
return 
blit_string(BgL_arg2553z00_6549, ((long)0), 
((obj_t)BgL_toz00_5542), BgL_o2z00_6551, BgL_arg2554z00_6550);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-C1332 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1332z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5544, obj_t BgL_statez00_5545, obj_t BgL_ivz00_5546)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 324 */
{ /* Llib/block_ciphers.scm 326 */
obj_t BgL_arg2544z00_6553;long BgL_arg2545z00_6554;
BgL_arg2544z00_6553 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5545)))->BgL_chainz00); 
BgL_arg2545z00_6554 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5545))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5546), ((long)0), BgL_arg2544z00_6553, ((long)0), BgL_arg2545z00_6554);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-PCB1330 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1330za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5547, obj_t BgL_statez00_5548, obj_t BgL_fromz00_5549, obj_t BgL_fromzd2poszd2_5550, obj_t BgL_toz00_5551, obj_t BgL_tozd2poszd2_5552)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 308 */
{ /* Llib/block_ciphers.scm 310 */
obj_t BgL_fun2534z00_6556;
BgL_fun2534z00_6556 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 310 */
obj_t BgL_arg2532z00_6557;obj_t BgL_arg2533z00_6558;
BgL_arg2532z00_6557 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_bufferz00); 
BgL_arg2533z00_6558 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2534z00_6556)(BgL_fun2534z00_6556, BgL_fromz00_5549, BgL_fromzd2poszd2_5550, BgL_arg2532z00_6557, 
BINT(((long)0)), BgL_arg2533z00_6558, BEOA); } } 
{ /* Llib/block_ciphers.scm 311 */
obj_t BgL_arg2535z00_6559;obj_t BgL_arg2536z00_6560;obj_t BgL_arg2537z00_6561;long BgL_arg2538z00_6562;
BgL_arg2535z00_6559 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_bufferz00); 
BgL_arg2536z00_6560 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_bufferz00); 
BgL_arg2537z00_6561 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_chainz00); 
BgL_arg2538z00_6562 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6564;
BgL_iz00_6564 = ((long)0); 
BgL_loopz00_6563:
if(
(BgL_iz00_6564==BgL_arg2538z00_6562))
{ /* Llib/block_ciphers.scm 311 */BgL_arg2535z00_6559; }  else 
{ /* Llib/block_ciphers.scm 311 */
{ /* Llib/block_ciphers.scm 311 */
long BgL_arg2630z00_6565;unsigned char BgL_arg2631z00_6566;
BgL_arg2630z00_6565 = 
(((long)0)+BgL_iz00_6564); 
BgL_arg2631z00_6566 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2536z00_6560, 
(((long)0)+BgL_iz00_6564))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2537z00_6561, 
(((long)0)+BgL_iz00_6564)))))))); 
{ /* Llib/block_ciphers.scm 311 */
unsigned char BgL_tmpz00_12077;
BgL_tmpz00_12077 = 
(unsigned char)(BgL_arg2631z00_6566); 
STRING_SET(BgL_arg2535z00_6559, BgL_arg2630z00_6565, BgL_tmpz00_12077); } } 
{ 
long BgL_iz00_12080;
BgL_iz00_12080 = 
(BgL_iz00_6564+((long)1)); 
BgL_iz00_6564 = BgL_iz00_12080; 
goto BgL_loopz00_6563;} } } } 
{ /* Llib/block_ciphers.scm 312 */
obj_t BgL_arg2539z00_6567;obj_t BgL_arg2540z00_6568;long BgL_arg2541z00_6569;
BgL_arg2539z00_6567 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_chainz00); 
BgL_arg2540z00_6568 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_bufferz00); 
BgL_arg2541z00_6569 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6571;
BgL_iz00_6571 = ((long)0); 
BgL_loopz00_6570:
if(
(BgL_iz00_6571==BgL_arg2541z00_6569))
{ /* Llib/block_ciphers.scm 312 */BgL_arg2539z00_6567; }  else 
{ /* Llib/block_ciphers.scm 312 */
{ /* Llib/block_ciphers.scm 312 */
long BgL_arg2630z00_6572;unsigned char BgL_arg2631z00_6573;
BgL_arg2630z00_6572 = 
(((long)0)+BgL_iz00_6571); 
BgL_arg2631z00_6573 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5549), 
(
(long)CINT(BgL_fromzd2poszd2_5550)+BgL_iz00_6571))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2540z00_6568, 
(((long)0)+BgL_iz00_6571)))))))); 
{ /* Llib/block_ciphers.scm 312 */
unsigned char BgL_tmpz00_12107;
BgL_tmpz00_12107 = 
(unsigned char)(BgL_arg2631z00_6573); 
STRING_SET(BgL_arg2539z00_6567, BgL_arg2630z00_6572, BgL_tmpz00_12107); } } 
{ 
long BgL_iz00_12110;
BgL_iz00_12110 = 
(BgL_iz00_6571+((long)1)); 
BgL_iz00_6571 = BgL_iz00_12110; 
goto BgL_loopz00_6570;} } } } 
{ /* Llib/block_ciphers.scm 313 */
obj_t BgL_arg2542z00_6574;long BgL_arg2543z00_6575;
BgL_arg2542z00_6574 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548)))->BgL_bufferz00); 
BgL_arg2543z00_6575 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5548))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 313 */
long BgL_o2z00_6576;
BgL_o2z00_6576 = 
(long)CINT(BgL_tozd2poszd2_5552); 
return 
blit_string(BgL_arg2542z00_6574, ((long)0), 
((obj_t)BgL_toz00_5551), BgL_o2z00_6576, BgL_arg2543z00_6575);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-P1328 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1328z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5553, obj_t BgL_statez00_5554, obj_t BgL_ivz00_5555)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 305 */
{ /* Llib/block_ciphers.scm 307 */
obj_t BgL_arg2530z00_6578;long BgL_arg2531z00_6579;
BgL_arg2530z00_6578 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5554)))->BgL_chainz00); 
BgL_arg2531z00_6579 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5554))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5555), ((long)0), BgL_arg2530z00_6578, ((long)0), BgL_arg2531z00_6579);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-PCB1326 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1326za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5556, obj_t BgL_statez00_5557, obj_t BgL_fromz00_5558, obj_t BgL_fromzd2poszd2_5559, obj_t BgL_toz00_5560, obj_t BgL_tozd2poszd2_5561)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 290 */
{ /* Llib/block_ciphers.scm 292 */
obj_t BgL_arg2518z00_6581;obj_t BgL_arg2519z00_6582;long BgL_arg2520z00_6583;
BgL_arg2518z00_6581 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_bufferz00); 
BgL_arg2519z00_6582 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_chainz00); 
BgL_arg2520z00_6583 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6585;
BgL_iz00_6585 = ((long)0); 
BgL_loopz00_6584:
if(
(BgL_iz00_6585==BgL_arg2520z00_6583))
{ /* Llib/block_ciphers.scm 292 */BgL_arg2518z00_6581; }  else 
{ /* Llib/block_ciphers.scm 292 */
{ /* Llib/block_ciphers.scm 292 */
long BgL_arg2630z00_6586;unsigned char BgL_arg2631z00_6587;
BgL_arg2630z00_6586 = 
(((long)0)+BgL_iz00_6585); 
BgL_arg2631z00_6587 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2519z00_6582, 
(((long)0)+BgL_iz00_6585))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5558), 
(
(long)CINT(BgL_fromzd2poszd2_5559)+BgL_iz00_6585)))))))); 
{ /* Llib/block_ciphers.scm 292 */
unsigned char BgL_tmpz00_12152;
BgL_tmpz00_12152 = 
(unsigned char)(BgL_arg2631z00_6587); 
STRING_SET(BgL_arg2518z00_6581, BgL_arg2630z00_6586, BgL_tmpz00_12152); } } 
{ 
long BgL_iz00_12155;
BgL_iz00_12155 = 
(BgL_iz00_6585+((long)1)); 
BgL_iz00_6585 = BgL_iz00_12155; 
goto BgL_loopz00_6584;} } } } 
{ /* Llib/block_ciphers.scm 293 */
obj_t BgL_fun2524z00_6588;
BgL_fun2524z00_6588 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 293 */
obj_t BgL_arg2521z00_6589;obj_t BgL_arg2522z00_6590;obj_t BgL_arg2523z00_6591;
BgL_arg2521z00_6589 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_bufferz00); 
BgL_arg2522z00_6590 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_bufferz00); 
BgL_arg2523z00_6591 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2524z00_6588)(BgL_fun2524z00_6588, BgL_arg2521z00_6589, 
BINT(((long)0)), BgL_arg2522z00_6590, 
BINT(((long)0)), BgL_arg2523z00_6591, BEOA); } } 
{ /* Llib/block_ciphers.scm 294 */
obj_t BgL_arg2525z00_6592;obj_t BgL_arg2526z00_6593;long BgL_arg2527z00_6594;
BgL_arg2525z00_6592 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_chainz00); 
BgL_arg2526z00_6593 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_bufferz00); 
BgL_arg2527z00_6594 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6596;
BgL_iz00_6596 = ((long)0); 
BgL_loopz00_6595:
if(
(BgL_iz00_6596==BgL_arg2527z00_6594))
{ /* Llib/block_ciphers.scm 294 */BgL_arg2525z00_6592; }  else 
{ /* Llib/block_ciphers.scm 294 */
{ /* Llib/block_ciphers.scm 294 */
long BgL_arg2630z00_6597;unsigned char BgL_arg2631z00_6598;
BgL_arg2630z00_6597 = 
(((long)0)+BgL_iz00_6596); 
BgL_arg2631z00_6598 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5558), 
(
(long)CINT(BgL_fromzd2poszd2_5559)+BgL_iz00_6596))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2526z00_6593, 
(((long)0)+BgL_iz00_6596)))))))); 
{ /* Llib/block_ciphers.scm 294 */
unsigned char BgL_tmpz00_12202;
BgL_tmpz00_12202 = 
(unsigned char)(BgL_arg2631z00_6598); 
STRING_SET(BgL_arg2525z00_6592, BgL_arg2630z00_6597, BgL_tmpz00_12202); } } 
{ 
long BgL_iz00_12205;
BgL_iz00_12205 = 
(BgL_iz00_6596+((long)1)); 
BgL_iz00_6596 = BgL_iz00_12205; 
goto BgL_loopz00_6595;} } } } 
{ /* Llib/block_ciphers.scm 295 */
obj_t BgL_arg2528z00_6599;long BgL_arg2529z00_6600;
BgL_arg2528z00_6599 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557)))->BgL_bufferz00); 
BgL_arg2529z00_6600 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5557))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 295 */
long BgL_o2z00_6601;
BgL_o2z00_6601 = 
(long)CINT(BgL_tozd2poszd2_5561); 
return 
blit_string(BgL_arg2528z00_6599, ((long)0), 
((obj_t)BgL_toz00_5560), BgL_o2z00_6601, BgL_arg2529z00_6600);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-P1324 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1324z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5562, obj_t BgL_statez00_5563, obj_t BgL_ivz00_5564)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 287 */
{ /* Llib/block_ciphers.scm 289 */
obj_t BgL_arg2516z00_6603;long BgL_arg2517z00_6604;
BgL_arg2516z00_6603 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5563)))->BgL_chainz00); 
BgL_arg2517z00_6604 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5563))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5564), ((long)0), BgL_arg2516z00_6603, ((long)0), BgL_arg2517z00_6604);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-CBC1322 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1322za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5565, obj_t BgL_statez00_5566, obj_t BgL_fromz00_5567, obj_t BgL_fromzd2poszd2_5568, obj_t BgL_toz00_5569, obj_t BgL_tozd2poszd2_5570)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 269 */
{ /* Llib/block_ciphers.scm 271 */
obj_t BgL_arg2509z00_6606;long BgL_arg2510z00_6607;
BgL_arg2509z00_6606 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_bufferz00); 
BgL_arg2510z00_6607 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 271 */
long BgL_o1z00_6608;
BgL_o1z00_6608 = 
(long)CINT(BgL_fromzd2poszd2_5568); 
blit_string(
((obj_t)BgL_fromz00_5567), BgL_o1z00_6608, BgL_arg2509z00_6606, ((long)0), BgL_arg2510z00_6607); } } 
{ /* Llib/block_ciphers.scm 272 */
obj_t BgL_fun2513z00_6609;
BgL_fun2513z00_6609 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 272 */
obj_t BgL_arg2511z00_6610;obj_t BgL_arg2512z00_6611;
BgL_arg2511z00_6610 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_bufferz00); 
BgL_arg2512z00_6611 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2513z00_6609)(BgL_fun2513z00_6609, BgL_arg2511z00_6610, 
BINT(((long)0)), BgL_toz00_5569, BgL_tozd2poszd2_5570, BgL_arg2512z00_6611, BEOA); } } 
{ /* Llib/block_ciphers.scm 273 */
obj_t BgL_arg2514z00_6612;long BgL_arg2515z00_6613;
BgL_arg2514z00_6612 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_chainz00); 
BgL_arg2515z00_6613 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6615;
BgL_iz00_6615 = ((long)0); 
BgL_loopz00_6614:
if(
(BgL_iz00_6615==BgL_arg2515z00_6613))
{ /* Llib/block_ciphers.scm 273 */BgL_toz00_5569; }  else 
{ /* Llib/block_ciphers.scm 273 */
{ /* Llib/block_ciphers.scm 273 */
long BgL_arg2630z00_6616;unsigned char BgL_arg2631z00_6617;
BgL_arg2630z00_6616 = 
(
(long)CINT(BgL_tozd2poszd2_5570)+BgL_iz00_6615); 
BgL_arg2631z00_6617 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_toz00_5569), 
(
(long)CINT(BgL_tozd2poszd2_5570)+BgL_iz00_6615))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2514z00_6612, 
(((long)0)+BgL_iz00_6615)))))))); 
{ /* Llib/block_ciphers.scm 273 */
unsigned char BgL_charz00_6618;
BgL_charz00_6618 = 
(unsigned char)(BgL_arg2631z00_6617); 
{ /* Llib/block_ciphers.scm 273 */
obj_t BgL_tmpz00_12272;
BgL_tmpz00_12272 = 
((obj_t)BgL_toz00_5569); 
STRING_SET(BgL_tmpz00_12272, BgL_arg2630z00_6616, BgL_charz00_6618); } } } 
{ 
long BgL_iz00_12275;
BgL_iz00_12275 = 
(BgL_iz00_6615+((long)1)); 
BgL_iz00_6615 = BgL_iz00_12275; 
goto BgL_loopz00_6614;} } } } 
{ /* Llib/block_ciphers.scm 274 */
obj_t BgL_tmpz00_6619;
BgL_tmpz00_6619 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_chainz00); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_chainz00)=((obj_t)
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_bufferz00)),BUNSPEC); 
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5566)))->BgL_bufferz00)=((obj_t)BgL_tmpz00_6619),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-C1320 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1320z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5571, obj_t BgL_statez00_5572, obj_t BgL_ivz00_5573)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 266 */
{ /* Llib/block_ciphers.scm 268 */
obj_t BgL_arg2507z00_6621;long BgL_arg2508z00_6622;
BgL_arg2507z00_6621 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5572)))->BgL_chainz00); 
BgL_arg2508z00_6622 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5572))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5573), ((long)0), BgL_arg2507z00_6621, ((long)0), BgL_arg2508z00_6622);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-CBC1318 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1318za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5574, obj_t BgL_statez00_5575, obj_t BgL_fromz00_5576, obj_t BgL_fromzd2poszd2_5577, obj_t BgL_toz00_5578, obj_t BgL_tozd2poszd2_5579)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 252 */
{ /* Llib/block_ciphers.scm 254 */
obj_t BgL_arg2498z00_6624;obj_t BgL_arg2499z00_6625;long BgL_arg2500z00_6626;
BgL_arg2498z00_6624 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575)))->BgL_bufferz00); 
BgL_arg2499z00_6625 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575)))->BgL_chainz00); 
BgL_arg2500z00_6626 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6628;
BgL_iz00_6628 = ((long)0); 
BgL_loopz00_6627:
if(
(BgL_iz00_6628==BgL_arg2500z00_6626))
{ /* Llib/block_ciphers.scm 254 */BgL_arg2498z00_6624; }  else 
{ /* Llib/block_ciphers.scm 254 */
{ /* Llib/block_ciphers.scm 254 */
long BgL_arg2630z00_6629;unsigned char BgL_arg2631z00_6630;
BgL_arg2630z00_6629 = 
(((long)0)+BgL_iz00_6628); 
BgL_arg2631z00_6630 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2499z00_6625, 
(((long)0)+BgL_iz00_6628))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5576), 
(
(long)CINT(BgL_fromzd2poszd2_5577)+BgL_iz00_6628)))))))); 
{ /* Llib/block_ciphers.scm 254 */
unsigned char BgL_tmpz00_12317;
BgL_tmpz00_12317 = 
(unsigned char)(BgL_arg2631z00_6630); 
STRING_SET(BgL_arg2498z00_6624, BgL_arg2630z00_6629, BgL_tmpz00_12317); } } 
{ 
long BgL_iz00_12320;
BgL_iz00_12320 = 
(BgL_iz00_6628+((long)1)); 
BgL_iz00_6628 = BgL_iz00_12320; 
goto BgL_loopz00_6627;} } } } 
{ /* Llib/block_ciphers.scm 255 */
obj_t BgL_fun2504z00_6631;
BgL_fun2504z00_6631 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 255 */
obj_t BgL_arg2501z00_6632;obj_t BgL_arg2502z00_6633;obj_t BgL_arg2503z00_6634;
BgL_arg2501z00_6632 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575)))->BgL_bufferz00); 
BgL_arg2502z00_6633 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575)))->BgL_chainz00); 
BgL_arg2503z00_6634 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2504z00_6631)(BgL_fun2504z00_6631, BgL_arg2501z00_6632, 
BINT(((long)0)), BgL_arg2502z00_6633, 
BINT(((long)0)), BgL_arg2503z00_6634, BEOA); } } 
{ /* Llib/block_ciphers.scm 256 */
obj_t BgL_arg2505z00_6635;long BgL_arg2506z00_6636;
BgL_arg2505z00_6635 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575)))->BgL_chainz00); 
BgL_arg2506z00_6636 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5575))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 256 */
long BgL_o2z00_6637;
BgL_o2z00_6637 = 
(long)CINT(BgL_tozd2poszd2_5579); 
return 
blit_string(BgL_arg2505z00_6635, ((long)0), 
((obj_t)BgL_toz00_5578), BgL_o2z00_6637, BgL_arg2506z00_6636);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-IV-init!-C1316 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1316z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5580, obj_t BgL_statez00_5581, obj_t BgL_ivz00_5582)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 249 */
{ /* Llib/block_ciphers.scm 251 */
obj_t BgL_arg2496z00_6639;long BgL_arg2497z00_6640;
BgL_arg2496z00_6639 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5581)))->BgL_chainz00); 
BgL_arg2497z00_6640 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5581))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5582), ((long)0), BgL_arg2496z00_6639, ((long)0), BgL_arg2497z00_6640);} } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-ECB1314 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1314za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5583, obj_t BgL_statez00_5584, obj_t BgL_fromz00_5585, obj_t BgL_fromzd2poszd2_5586, obj_t BgL_toz00_5587, obj_t BgL_tozd2poszd2_5588)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 236 */
{ /* Llib/block_ciphers.scm 238 */
obj_t BgL_fun2495z00_6642;
BgL_fun2495z00_6642 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5584))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 238 */
obj_t BgL_arg2494z00_6643;
BgL_arg2494z00_6643 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5584))))->BgL_paramz00); 
return 
PROCEDURE_ENTRY(BgL_fun2495z00_6642)(BgL_fun2495z00_6642, BgL_fromz00_5585, BgL_fromzd2poszd2_5586, BgL_toz00_5587, BgL_tozd2poszd2_5588, BgL_arg2494z00_6643, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &do-cipher-block!-ECB1312 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1312za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5589, obj_t BgL_statez00_5590, obj_t BgL_fromz00_5591, obj_t BgL_fromzd2poszd2_5592, obj_t BgL_toz00_5593, obj_t BgL_tozd2poszd2_5594)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 233 */
{ /* Llib/block_ciphers.scm 235 */
obj_t BgL_fun2493z00_6645;
BgL_fun2493z00_6645 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5590))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 235 */
obj_t BgL_arg2492z00_6646;
BgL_arg2492z00_6646 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5590))))->BgL_paramz00); 
return 
PROCEDURE_ENTRY(BgL_fun2493z00_6645)(BgL_fun2493z00_6645, BgL_fromz00_5591, BgL_fromzd2poszd2_5592, BgL_toz00_5593, BgL_tozd2poszd2_5594, BgL_arg2492z00_6646, BEOA);} } } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string3910z00zz__cryptozd2blockzd2ciphersz00)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(((long)63410218), 
BSTRING_TO_STRING(BGl_string3910z00zz__cryptozd2blockzd2ciphersz00)); 
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(((long)210905795), 
BSTRING_TO_STRING(BGl_string3910z00zz__cryptozd2blockzd2ciphersz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
