/*===========================================================================*/
/*   (Llib/uvtypes.scm)                                                      */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -srfi libuv -copt  -safee -unsafe -copt -fPIC -copt -IClib Llib/uvtypes.scm -o objs/uvtypes.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z52uvz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52uvz52_bglt;

typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvtcpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
} *BgL_uvtcpz00_bglt;

typedef struct BgL_uvudpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   obj_t BgL_z52procmz52;
} *BgL_uvudpz00_bglt;

typedef struct BgL_uvpipez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   bool_t BgL_ipcz00;
} *BgL_uvpipez00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_z52allocz52;
   obj_t BgL_z52offsetz52;
   obj_t BgL_z52procaz52;
   obj_t BgL_z52proccz52;
   obj_t BgL_z52callbackz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;

typedef struct BgL_uvtimerz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   uint64_t BgL_repeatz00;
   bool_t BgL_refz00;
} *BgL_uvtimerz00_bglt;

typedef struct BgL_uvidlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvidlez00_bglt;

typedef struct BgL_uvasyncz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvasyncz00_bglt;

typedef struct BgL_uvpollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   int BgL_fdz00;
} *BgL_uvpollz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;

typedef struct BgL_uvfseventz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvfseventz00_bglt;

typedef struct BgL_uvfspollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvfspollz00_bglt;

typedef struct BgL_uvcheckz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvcheckz00_bglt;

typedef struct BgL_uvprocessz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z42onexitz42;
} *BgL_uvprocessz00_bglt;

typedef struct BgL_uvprocessoptionsz00_bgl {
   header_t header;
   obj_t widening;
   uv_process_options_t * BgL_z42builtinz42;
} *BgL_uvprocessoptionsz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


static BgL_uvidlez00_bglt BGl_z62lambda1929z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32140ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1770z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1937z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1776z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1777z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza32052ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1940z62zz__libuv_typesz00(obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1784z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvpollz00_bglt BGl_z62lambda1948z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1787z62zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_handle_type_symbol(int);
static BgL_uvpollz00_bglt BGl_z62lambda1951z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_guess_handle(int);
static BgL_uvloopz00_bglt BGl_z62lambda1793z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1794z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1958z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1799z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32143ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32038ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62lambda1964z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62lambda1966z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsEventz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32160ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1972z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1973z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static obj_t BGl_z62lambda1977z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1978z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfseventz00_bglt BGl_z62lambda1984z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfseventz00_bglt BGl_z62lambda1987z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32073ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_typesz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvfspollz00_bglt BGl_z62lambda1995z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfspollz00_bglt BGl_z62lambda1998z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32163ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32074ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32059ze3ze1zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvHandlez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32093ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt);
static obj_t BGl_methodzd2initzd2zz__libuv_typesz00();
BGL_EXPORTED_DEF obj_t BGl_UvLoopz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32183ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32094ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32078ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2namez00zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPipez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32079ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvWorkz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvProcessz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31920ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31815ze3ze1zz__libuv_typesz00(obj_t);
extern obj_t bgl_uv_process_options_env_get(uv_process_options_t *);
BGL_EXPORTED_DEF obj_t BGl_UvTcpz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31906ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPollz00zz__libuv_typesz00 = BUNSPEC;
extern void bgl_uv_process_options_env_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62zc3anonymousza31851ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32000ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00();
static obj_t BGl_z62zc3anonymousza31942ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31675ze3ze1zz__libuv_typesz00(obj_t);
static BgL_uvworkz00_bglt BGl_z62lambda2171z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_uvworkz00_bglt BGl_z62lambda2174z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int);
static obj_t BGl_z62objectzd2printzd2UvHandl1340z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2181z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31766ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2187z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2188z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda2192z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2193z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31694ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32110ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_z52uvz52_bglt BGl_z62lambda1632z62zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32022ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1800z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1806z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1807z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31858ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1813z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1814z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32113ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52Uvz52zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1820z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1821z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1660z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1663z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1827z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1828z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32130ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1673z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvtcpz00_bglt BGl_z62lambda1835z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1674z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvtcpz00_bglt BGl_z62lambda1838z62zz__libuv_typesz00(obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1846z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1685z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1686z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31789ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1849z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62lambda1692z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1693z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1856z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31968ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32133ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = BUNSPEC;
static BgL_uvpipez00_bglt BGl_z62lambda1864z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1867z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DECL char * BGl_uvzd2versionzd2zz__libuv_typesz00();
static obj_t BGl_z62zc3anonymousza32150ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32029ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1873z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1874z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62z52uvzd2init1337ze2zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTtyz00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1880z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1883z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsPollz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1889z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00();
static obj_t BGl_z62zc3anonymousza32063ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1890z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1894z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1895z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32153ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32064ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31989ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_typesz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t);
extern void bgl_uv_process_options_args_set(uv_process_options_t *, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvIdlez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31710ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32083ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt);
BGL_EXPORTED_DEF obj_t BGl_UvFilez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32084ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32068ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
BGL_EXPORTED_DEF obj_t BGl_UvAsyncz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31801ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32069ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32176ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32088ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvcheckz00_bglt BGl_z62lambda2006z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvcheckz00_bglt BGl_z62lambda2009z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32089ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31822ze3ze1zz__libuv_typesz00(obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2017z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31644ze3ze1zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT bool_t BGl_nilzf3zf3zz__objectz00(BgL_objectz00_bglt);
static BgL_uvprocessz00_bglt BGl_z62lambda2020z62zz__libuv_typesz00(obj_t);
extern obj_t bgl_uv_process_options_args_get(uv_process_options_t *);
static obj_t BGl_z62lambda2027z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvStreamz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvWatcherz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza31840ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31913ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31735ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31808ze3ze1zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvProcessOptionsz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31752ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2047z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2050z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31931ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2057z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2058z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DEF obj_t BGl_UvUdpz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31665ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_typesz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int);
static obj_t BGl_z62zc3anonymousza31829ze3ze1zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTimerz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DECL BgL_uvfilez00_bglt bgl_uv_new_file(int, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62zc3anonymousza32100ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32011ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31953ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1708z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1709z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31759ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31687ze3ze1zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza32103ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32120ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1733z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1734z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31778ze3ze1zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvCheckz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvtimerz00_bglt BGl_z62lambda1901z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1904z62zz__libuv_typesz00(obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1747z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32033ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1750z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1912z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31885ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1918z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1757z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31869ze3ze1zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1919z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1758z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32123ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32034ze3ze1zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvwatcherz00_bglt BGl_z62lambda1764z62zz__libuv_typesz00(obj_t);
static BgL_uvidlez00_bglt BGl_z62lambda1926z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 71 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2guesszd2handlezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2guessza7d22452za7, BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72453za7, BGl_z62zc3anonymousza32069ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72454za7, BGl_z62zc3anonymousza32068ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72455za7, BGl_z62zc3anonymousza32074ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72456za7, BGl_z62zc3anonymousza32073ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72457za7, BGl_z62zc3anonymousza32079ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72458za7, BGl_z62zc3anonymousza32078ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72459za7, BGl_z62zc3anonymousza32084ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72460za7, BGl_z62zc3anonymousza32083ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72461za7, BGl_z62zc3anonymousza32089ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72462za7, BGl_z62zc3anonymousza32088ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72463za7, BGl_z62zc3anonymousza32094ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72464za7, BGl_z62zc3anonymousza32093ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72465za7, BGl_z62zc3anonymousza32100ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72466za7, BGl_z62zc3anonymousza32103ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72467za7, BGl_z62zc3anonymousza32110ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72468za7, BGl_z62zc3anonymousza32113ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72469za7, BGl_z62zc3anonymousza32120ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72470za7, BGl_z62zc3anonymousza32123ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72471za7, BGl_z62zc3anonymousza32130ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72472za7, BGl_z62zc3anonymousza32133ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72473za7, BGl_z62zc3anonymousza32140ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72474za7, BGl_z62zc3anonymousza32143ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72475za7, BGl_z62zc3anonymousza32150ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72476za7, BGl_z62zc3anonymousza32153ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72477za7, BGl_z62zc3anonymousza32160ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72478za7, BGl_z62zc3anonymousza32163ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72479za7, BGl_z62zc3anonymousza32052ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__libuv_typesz00, BgL_bgl_za762lambda2050za7622480z00, BGl_z62lambda2050z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__libuv_typesz00, BgL_bgl_za762lambda2047za7622481z00, BGl_z62lambda2047z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72482za7, BGl_z62zc3anonymousza32183ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__libuv_typesz00, BgL_bgl_za762lambda2182za7622483z00, BGl_z62lambda2182z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__libuv_typesz00, BgL_bgl_za762lambda2181za7622484z00, BGl_z62lambda2181z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__libuv_typesz00, BgL_bgl_za762lambda2188za7622485z00, BGl_z62lambda2188z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__libuv_typesz00, BgL_bgl_za762lambda2187za7622486z00, BGl_z62lambda2187z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__libuv_typesz00, BgL_bgl_za762lambda2193za7622487z00, BGl_z62lambda2193z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__libuv_typesz00, BgL_bgl_za762lambda2192za7622488z00, BGl_z62lambda2192z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72489za7, BGl_z62zc3anonymousza32176ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2437z00zz__libuv_typesz00, BgL_bgl_za762lambda2174za7622490z00, BGl_z62lambda2174z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__libuv_typesz00, BgL_bgl_za762lambda2171za7622491z00, BGl_z62lambda2171z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72492za7, BGl_z62zc3anonymousza31644ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2init12493za7, BGl_z62z52uvzd2init1337ze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__libuv_typesz00, BgL_bgl_za762lambda1632za7622494z00, BGl_z62lambda1632z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72495za7, BGl_z62zc3anonymousza31675ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__libuv_typesz00, BgL_bgl_za762lambda1674za7622496z00, BGl_z62lambda1674z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__libuv_typesz00, BgL_bgl_za762objectza7d2prin2497z00, BGl_z62objectzd2printzd2UvHandl1340z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__libuv_typesz00, BgL_bgl_za762lambda1673za7622498z00, BGl_z62lambda1673z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72499za7, BGl_z62zc3anonymousza31687ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__libuv_typesz00, BgL_bgl_za762lambda1686za7622500z00, BGl_z62lambda1686z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__libuv_typesz00, BgL_bgl_za762lambda1685za7622501z00, BGl_z62lambda1685z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72502za7, BGl_z62zc3anonymousza31694ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__libuv_typesz00, BgL_bgl_za762lambda1693za7622503z00, BGl_z62lambda1693z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__libuv_typesz00, BgL_bgl_za762lambda1692za7622504z00, BGl_z62lambda1692z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72505za7, BGl_z62zc3anonymousza31710ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__libuv_typesz00, BgL_bgl_za762lambda1709za7622506z00, BGl_z62lambda1709z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__libuv_typesz00, BgL_bgl_za762lambda1708za7622507z00, BGl_z62lambda1708z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72508za7, BGl_z62zc3anonymousza31735ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__libuv_typesz00, BgL_bgl_za762lambda1734za7622509z00, BGl_z62lambda1734z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__libuv_typesz00, BgL_bgl_za762lambda1733za7622510z00, BGl_z62lambda1733z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72511za7, BGl_z62zc3anonymousza31665ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__libuv_typesz00, BgL_bgl_za762lambda1663za7622512z00, BGl_z62lambda1663z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__libuv_typesz00, BgL_bgl_za762lambda1660za7622513z00, BGl_z62lambda1660z62zz__libuv_typesz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72514za7, BGl_z62zc3anonymousza31759ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__libuv_typesz00, BgL_bgl_za762lambda1758za7622515z00, BGl_z62lambda1758z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__libuv_typesz00, BgL_bgl_za762lambda1757za7622516z00, BGl_z62lambda1757z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72517za7, BGl_z62zc3anonymousza31752ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2gcmarkszd2emptyzf3zd2envz21zz__libuv_typesz00, BgL_bgl_za762uvza7d2gcmarksza72518za7, BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2errzd2namezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2errza7d2na2519za7, BGl_z62uvzd2errzd2namez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pushzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2pushza7d2g2520za7, BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2newzd2filezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2newza7d2fi2521za7, BGl_z62uvzd2newzd2filez62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2idzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2idza7b0za7za7_2522za7, BGl_z62uvzd2idzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2strerrorzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2strerror2523z00, BGl_z62uvzd2strerrorzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__libuv_typesz00, BgL_bgl_za762lambda1750za7622524z00, BGl_z62lambda1750z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__libuv_typesz00, BgL_bgl_za762lambda1747za7622525z00, BGl_z62lambda1747z62zz__libuv_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__libuv_typesz00, BgL_bgl_za762lambda1771za7622526z00, BGl_z62lambda1771z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__libuv_typesz00, BgL_bgl_za762lambda1770za7622527z00, BGl_z62lambda1770z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72528za7, BGl_z62zc3anonymousza31778ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__libuv_typesz00, BgL_bgl_za762lambda1777za7622529z00, BGl_z62lambda1777z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__libuv_typesz00, BgL_bgl_za762lambda1776za7622530z00, BGl_z62lambda1776z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72531za7, BGl_z62zc3anonymousza31766ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__libuv_typesz00, BgL_bgl_za762lambda1764za7622532z00, BGl_z62lambda1764z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__libuv_typesz00, BgL_bgl_za762lambda1794za7622533z00, BGl_z62lambda1794z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__libuv_typesz00, BgL_bgl_za762lambda1793za7622534z00, BGl_z62lambda1793z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72535za7, BGl_z62zc3anonymousza31801ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__libuv_typesz00, BgL_bgl_za762lambda1800za7622536z00, BGl_z62lambda1800z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__libuv_typesz00, BgL_bgl_za762lambda1799za7622537z00, BGl_z62lambda1799z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72538za7, BGl_z62zc3anonymousza31808ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__libuv_typesz00, BgL_bgl_za762lambda1807za7622539z00, BGl_z62lambda1807z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__libuv_typesz00, BgL_bgl_za762lambda1806za7622540z00, BGl_z62lambda1806z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72541za7, BGl_z62zc3anonymousza31815ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__libuv_typesz00, BgL_bgl_za762lambda1814za7622542z00, BGl_z62lambda1814z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__libuv_typesz00, BgL_bgl_za762lambda1813za7622543z00, BGl_z62lambda1813z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72544za7, BGl_z62zc3anonymousza31822ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__libuv_typesz00, BgL_bgl_za762lambda1821za7622545z00, BGl_z62lambda1821z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__libuv_typesz00, BgL_bgl_za762lambda1820za7622546z00, BGl_z62lambda1820z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72547za7, BGl_z62zc3anonymousza31829ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__libuv_typesz00, BgL_bgl_za762lambda1828za7622548z00, BGl_z62lambda1828z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__libuv_typesz00, BgL_bgl_za762lambda1827za7622549z00, BGl_z62lambda1827z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72550za7, BGl_z62zc3anonymousza31789ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__libuv_typesz00, BgL_bgl_za762lambda1787za7622551z00, BGl_z62lambda1787z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__libuv_typesz00, BgL_bgl_za762lambda1784za7622552z00, BGl_z62lambda1784z62zz__libuv_typesz00, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72553za7, BGl_z62zc3anonymousza31840ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__libuv_typesz00, BgL_bgl_za762lambda1838za7622554z00, BGl_z62lambda1838z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__libuv_typesz00, BgL_bgl_za762lambda1835za7622555z00, BGl_z62lambda1835z62zz__libuv_typesz00, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72556za7, BGl_z62zc3anonymousza31858ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__libuv_typesz00, BgL_bgl_za762lambda1857za7622557z00, BGl_z62lambda1857z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__libuv_typesz00, BgL_bgl_za762lambda1856za7622558z00, BGl_z62lambda1856z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72559za7, BGl_z62zc3anonymousza31851ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__libuv_typesz00, BgL_bgl_za762lambda1849za7622560z00, BGl_z62lambda1849z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__libuv_typesz00, BgL_bgl_za762lambda1846za7622561z00, BGl_z62lambda1846z62zz__libuv_typesz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__libuv_typesz00, BgL_bgl_za762lambda1874za7622562z00, BGl_z62lambda1874z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__libuv_typesz00, BgL_bgl_za762lambda1873za7622563z00, BGl_z62lambda1873z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72564za7, BGl_z62zc3anonymousza31869ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__libuv_typesz00, BgL_bgl_za762lambda1867za7622565z00, BGl_z62lambda1867z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__libuv_typesz00, BgL_bgl_za762lambda1864za7622566z00, BGl_z62lambda1864z62zz__libuv_typesz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__libuv_typesz00, BgL_bgl_za762lambda1890za7622567z00, BGl_z62lambda1890z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2popzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2popza7d2gc2568za7, BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__libuv_typesz00, BgL_bgl_za762lambda1889za7622569z00, BGl_z62lambda1889z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__libuv_typesz00, BgL_bgl_za762lambda1895za7622570z00, BGl_z62lambda1895z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__libuv_typesz00, BgL_bgl_za762lambda1894za7622571z00, BGl_z62lambda1894z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72572za7, BGl_z62zc3anonymousza31885ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__libuv_typesz00, BgL_bgl_za762lambda1883za7622573z00, BGl_z62lambda1883z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__libuv_typesz00, BgL_bgl_za762lambda1880za7622574z00, BGl_z62lambda1880z62zz__libuv_typesz00, 0L, BUNSPEC, 13 );
DEFINE_STRING( BGl_string2275z00zz__libuv_typesz00, BgL_bgl_string2275za700za7za7_2575za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72576za7, BGl_z62zc3anonymousza31913ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__libuv_typesz00, BgL_bgl_za762lambda1912za7622577z00, BGl_z62lambda1912z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__libuv_typesz00, BgL_bgl_za762lambda1911za7622578z00, BGl_z62lambda1911z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2440z00zz__libuv_typesz00, BgL_bgl_string2440za700za7za7_2579za7, "%uv-init1337", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2353z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72580za7, BGl_z62zc3anonymousza31920ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__libuv_typesz00, BgL_bgl_za762lambda1919za7622581z00, BGl_z62lambda1919z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2442z00zz__libuv_typesz00, BgL_bgl_string2442za700za7za7_2582za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__libuv_typesz00, BgL_bgl_za762lambda1918za7622583z00, BGl_z62lambda1918z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2443z00zz__libuv_typesz00, BgL_bgl_string2443za700za7za7_2584za7, " [", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72585za7, BGl_z62zc3anonymousza31906ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2444z00zz__libuv_typesz00, BgL_bgl_string2444za700za7za7_2586za7, "#|", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__libuv_typesz00, BgL_bgl_za762lambda1904za7622587z00, BGl_z62lambda1904z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2445z00zz__libuv_typesz00, BgL_bgl_string2445za700za7za7_2588za7, " (0x", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__libuv_typesz00, BgL_bgl_za762lambda1901za7622589z00, BGl_z62lambda1901z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STRING( BGl_string2446z00zz__libuv_typesz00, BgL_bgl_string2446za700za7za7_2590za7, ")", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72591za7, BGl_z62zc3anonymousza31931ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2447z00zz__libuv_typesz00, BgL_bgl_string2447za700za7za7_2592za7, " nil|", 5 );
DEFINE_STRING( BGl_string2448z00zz__libuv_typesz00, BgL_bgl_string2448za700za7za7_2593za7, "(#\\$ #\\%) UvWork %after-cb %work-cb $uv_work_t UvProcessOptions gid uid flags cwd env args file $uv_process_options_t UvProcess pid $onexit UvCheck UvFsPoll UvFsEvent UvFile bstring path UvPoll UvAsync UvIdle UvTimer ref uint64 repeat UvTty readable int fd UvPipe ipc UvUdp %procm UvTcp UvStream %callback %procc %proca %offset %alloc UvWatcher procedure cb loop UvLoop mutex %mutex UvHandle bool closed %gcmarkstail pair-nil %gcmarkshead obj %onclose $uv_handle_t $builtin __libuv_types %Uv UNDEFINED UNKNOWN FILE PIPE UDP TTY TCP ", 532 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__libuv_typesz00, BgL_bgl_za762lambda1929za7622594z00, BGl_z62lambda1929z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__libuv_typesz00, BgL_bgl_za762lambda1926za7622595z00, BGl_z62lambda1926z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72596za7, BGl_z62zc3anonymousza31942ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__libuv_typesz00, BgL_bgl_za762lambda1940za7622597z00, BGl_z62lambda1940z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__libuv_typesz00, BgL_bgl_za762lambda1937za7622598z00, BGl_z62lambda1937z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__libuv_typesz00, BgL_bgl_za762lambda1958za7622599z00, BGl_z62lambda1958z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__libuv_typesz00, BgL_bgl_za762lambda1957za7622600z00, BGl_z62lambda1957z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2367z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72601za7, BGl_z62zc3anonymousza31953ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__libuv_typesz00, BgL_bgl_za762lambda1951za7622602z00, BGl_z62lambda1951z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__libuv_typesz00, BgL_bgl_za762lambda1948za7622603z00, BGl_z62lambda1948z62zz__libuv_typesz00, 0L, BUNSPEC, 8 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__libuv_typesz00, BgL_bgl_za762lambda1973za7622604z00, BGl_z62lambda1973z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__libuv_typesz00, BgL_bgl_za762lambda1972za7622605z00, BGl_z62lambda1972z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__libuv_typesz00, BgL_bgl_za762lambda1978za7622606z00, BGl_z62lambda1978z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__libuv_typesz00, BgL_bgl_za762lambda1977za7622607z00, BGl_z62lambda1977z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72608za7, BGl_z62zc3anonymousza31968ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__libuv_typesz00, BgL_bgl_za762lambda1966za7622609z00, BGl_z62lambda1966z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__libuv_typesz00, BgL_bgl_za762lambda1964za7622610z00, BGl_z62lambda1964z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72611za7, BGl_z62zc3anonymousza31989ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__libuv_typesz00, BgL_bgl_za762lambda1987za7622612z00, BGl_z62lambda1987z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__libuv_typesz00, BgL_bgl_za762lambda1984za7622613z00, BGl_z62lambda1984z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72614za7, BGl_z62zc3anonymousza32000ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__libuv_typesz00, BgL_bgl_za762lambda1998za7622615z00, BGl_z62lambda1998z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__libuv_typesz00, BgL_bgl_za762lambda1995za7622616z00, BGl_z62lambda1995z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72617za7, BGl_z62zc3anonymousza32011ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__libuv_typesz00, BgL_bgl_za762lambda2009za7622618z00, BGl_z62lambda2009z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__libuv_typesz00, BgL_bgl_za762lambda2006za7622619z00, BGl_z62lambda2006z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72620za7, BGl_z62zc3anonymousza32029ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__libuv_typesz00, BgL_bgl_za762lambda2028za7622621z00, BGl_z62lambda2028z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__libuv_typesz00, BgL_bgl_za762lambda2027za7622622z00, BGl_z62lambda2027z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72623za7, BGl_z62zc3anonymousza32034ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72624za7, BGl_z62zc3anonymousza32033ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72625za7, BGl_z62zc3anonymousza32038ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72626za7, BGl_z62zc3anonymousza32022ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__libuv_typesz00, BgL_bgl_za762lambda2020za7622627z00, BGl_z62lambda2020z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__libuv_typesz00, BgL_bgl_za762lambda2017za7622628z00, BGl_z62lambda2017z62zz__libuv_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72629za7, BGl_z62zc3anonymousza32059ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__libuv_typesz00, BgL_bgl_za762lambda2058za7622630z00, BGl_z62lambda2058z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__libuv_typesz00, BgL_bgl_za762lambda2057za7622631z00, BGl_z62lambda2057z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72632za7, BGl_z62zc3anonymousza32064ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__libuv_typesz00, BgL_bgl_za762za7c3anonymousza72633za7, BGl_z62zc3anonymousza32063ze3ze1zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2initza72634z00, BGl_z62z52uvzd2initze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2versionzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2versionza72635za7, BGl_z62uvzd2versionzb0zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2handlezd2typezd2symbolzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2handleza7d2636za7, BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_UvFsEventz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvHandlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvLoopz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPipez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWorkz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTcpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_z52Uvz52zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTtyz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvIdlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFilez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvAsyncz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvStreamz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWatcherz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessOptionsz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvUdpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTimerz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvCheckz00zz__libuv_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long BgL_checksumz00_2776, char * BgL_fromz00_2777)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(); 
BGl_cnstzd2initzd2zz__libuv_typesz00(); 
BGl_objectzd2initzd2zz__libuv_typesz00(); 
BGl_genericzd2initzd2zz__libuv_typesz00(); 
BGl_methodzd2initzd2zz__libuv_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_typesz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_types"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
obj_t BgL_cportz00_2354;
{ /* Llib/uvtypes.scm 15 */
obj_t BgL_stringz00_2362;
BgL_stringz00_2362 = BGl_string2448z00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 15 */
obj_t BgL_startz00_2363;
BgL_startz00_2363 = 
BINT(((long)0)); 
{ /* Llib/uvtypes.scm 15 */
obj_t BgL_endz00_2364;
BgL_endz00_2364 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2362))); 
{ /* Llib/uvtypes.scm 15 */

BgL_cportz00_2354 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2362, BgL_startz00_2363, BgL_endz00_2364); } } } } 
{ 
long BgL_iz00_2355;
BgL_iz00_2355 = ((long)70); 
BgL_loopz00_2356:
if(
(BgL_iz00_2355==((long)-1)))
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
obj_t BgL_arg2450z00_2358;
{ /* Llib/uvtypes.scm 15 */

{ /* Llib/uvtypes.scm 15 */
obj_t BgL_locationz00_2360;
BgL_locationz00_2360 = 
BBOOL(((bool_t)0)); 
{ /* Llib/uvtypes.scm 15 */

BgL_arg2450z00_2358 = 
BGl_readz00zz__readerz00(BgL_cportz00_2354, BgL_locationz00_2360); } } } 
{ /* Llib/uvtypes.scm 15 */
int BgL_tmpz00_2807;
BgL_tmpz00_2807 = 
(int)(BgL_iz00_2355); 
CNST_TABLE_SET(BgL_tmpz00_2807, BgL_arg2450z00_2358); } } 
{ /* Llib/uvtypes.scm 15 */
int BgL_auxz00_2361;
BgL_auxz00_2361 = 
(int)(
(BgL_iz00_2355-((long)1))); 
{ 
long BgL_iz00_2812;
BgL_iz00_2812 = 
(long)(BgL_auxz00_2361); 
BgL_iz00_2355 = BgL_iz00_2812; 
goto BgL_loopz00_2356;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* uv-version */
BGL_EXPORTED_DEF char * BGl_uvzd2versionzd2zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 174 */
return 
(char *)uv_version_string();} 
BGL_FUNCTION_END;
}



/* &uv-version */
obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t BgL_envz00_1703)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 174 */
return 
string_to_bstring(
BGl_uvzd2versionzd2zz__libuv_typesz00());} 
BGL_FUNCTION_END;
}



/* uv-id */
BGL_EXPORTED_DEF int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 180 */
{ /* Llib/uvtypes.scm 182 */
uv_handle_t * BgL_arg1408z00_1233;
BgL_arg1408z00_1233 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42); 
return 
(int)(
(long)(BgL_arg1408z00_1233));} } 
BGL_FUNCTION_END;
}



/* &uv-id */
obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t BgL_envz00_1704, obj_t BgL_oz00_1705)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 180 */
return 
BINT(
BGl_uvzd2idzd2zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1705)));} 
BGL_FUNCTION_END;
}



/* uv-new-file */
BGL_EXPORTED_DEF BgL_uvfilez00_bglt bgl_uv_new_file(int BgL_fdz00_8, obj_t BgL_pathz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 228 */
{ /* Llib/uvtypes.scm 229 */
BgL_uvfilez00_bglt BgL_new1242z00_1234;
{ /* Llib/uvtypes.scm 230 */
BgL_uvfilez00_bglt BgL_new1241z00_1235;
BgL_new1241z00_1235 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 230 */
long BgL_arg1409z00_1236;
{ /* Llib/uvtypes.scm 230 */
long BgL_res2207z00_1238;
BgL_res2207z00_1238 = 
BGL_CLASS_INDEX(BGl_UvFilez00zz__libuv_typesz00); 
BgL_arg1409z00_1236 = BgL_res2207z00_1238; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_1235), BgL_arg1409z00_1236); } 
BgL_new1242z00_1234 = BgL_new1241z00_1235; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1242z00_1234))->BgL_fdz00)=((int)BgL_fdz00_8),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1242z00_1234))->BgL_pathz00)=((obj_t)BgL_pathz00_9),BUNSPEC); 
return BgL_new1242z00_1234;} } 
BGL_FUNCTION_END;
}



/* &uv-new-file */
BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t BgL_envz00_1706, obj_t BgL_fdz00_1707, obj_t BgL_pathz00_1708)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 228 */
return 
bgl_uv_new_file(
CINT(BgL_fdz00_1707), BgL_pathz00_1708);} 
BGL_FUNCTION_END;
}



/* uv-strerror */
BGL_EXPORTED_DEF obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int BgL_errnoz00_10)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 236 */
{ /* Llib/uvtypes.scm 237 */
char * BgL_sz00_1241;
BgL_sz00_1241 = 
(char *)uv_strerror(BgL_errnoz00_10); 
if(
((char *)0L) ==(BgL_sz00_1241))
{ /* Llib/uvtypes.scm 238 */
return BGl_string2275z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 238 */
return 
string_to_bstring(BgL_sz00_1241);} } } 
BGL_FUNCTION_END;
}



/* &uv-strerror */
obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t BgL_envz00_1709, obj_t BgL_errnoz00_1710)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 236 */
return 
BGl_uvzd2strerrorzd2zz__libuv_typesz00(
CINT(BgL_errnoz00_1710));} 
BGL_FUNCTION_END;
}



/* uv-err-name */
BGL_EXPORTED_DEF obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int BgL_errnoz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 245 */
{ /* Llib/uvtypes.scm 246 */
char * BgL_sz00_1243;
BgL_sz00_1243 = 
(char *)uv_err_name(BgL_errnoz00_11); 
if(
((char *)0L) ==(BgL_sz00_1243))
{ /* Llib/uvtypes.scm 247 */
return BGl_string2275z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 247 */
return 
string_to_bstring(BgL_sz00_1243);} } } 
BGL_FUNCTION_END;
}



/* &uv-err-name */
obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t BgL_envz00_1711, obj_t BgL_errnoz00_1712)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 245 */
return 
BGl_uvzd2errzd2namez00zz__libuv_typesz00(
CINT(BgL_errnoz00_1712));} 
BGL_FUNCTION_END;
}



/* uv-guess-handle */
BGL_EXPORTED_DEF obj_t bgl_uv_guess_handle(int BgL_fdz00_12)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 254 */
{ /* Llib/uvtypes.scm 255 */
int BgL_arg1489z00_1245;
BgL_arg1489z00_1245 = 
uv_guess_handle(BgL_fdz00_12); 
return 
bgl_uv_handle_type_symbol(BgL_arg1489z00_1245);} } 
BGL_FUNCTION_END;
}



/* &uv-guess-handle */
obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t BgL_envz00_1713, obj_t BgL_fdz00_1714)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 254 */
return 
bgl_uv_guess_handle(
CINT(BgL_fdz00_1714));} 
BGL_FUNCTION_END;
}



/* uv-handle-type-symbol */
BGL_EXPORTED_DEF obj_t bgl_uv_handle_type_symbol(int BgL_rz00_13)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 260 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TCP)))
{ /* Llib/uvtypes.scm 262 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/uvtypes.scm 262 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TTY)))
{ /* Llib/uvtypes.scm 263 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/uvtypes.scm 263 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UDP)))
{ /* Llib/uvtypes.scm 264 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/uvtypes.scm 264 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_NAMED_PIPE)))
{ /* Llib/uvtypes.scm 265 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/uvtypes.scm 265 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_FILE)))
{ /* Llib/uvtypes.scm 266 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/uvtypes.scm 266 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UNKNOWN_HANDLE)))
{ /* Llib/uvtypes.scm 267 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/uvtypes.scm 267 */
return 
CNST_TABLE_REF(((long)6));} } } } } } } 
BGL_FUNCTION_END;
}



/* &uv-handle-type-symbol */
obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t BgL_envz00_1715, obj_t BgL_rz00_1716)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 260 */
return 
bgl_uv_handle_type_symbol(
CINT(BgL_rz00_1716));} 
BGL_FUNCTION_END;
}



/* uv-push-gcmark! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_14, obj_t BgL_valz00_15)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 273 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 275 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 275 */
{ /* Llib/uvtypes.scm 280 */
obj_t BgL_arg1501z00_2367;obj_t BgL_arg1509z00_2368;
BgL_arg1501z00_2367 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_arg1509z00_2368 = 
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL); 
{ /* Llib/uvtypes.scm 280 */
obj_t BgL_tmpz00_2890;
BgL_tmpz00_2890 = 
((obj_t)BgL_arg1501z00_2367); 
SET_CDR(BgL_tmpz00_2890, BgL_arg1509z00_2368); } } 
{ 
obj_t BgL_auxz00_2893;
{ /* Llib/uvtypes.scm 281 */
obj_t BgL_pairz00_2369;
BgL_pairz00_2369 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2893 = 
CDR(BgL_pairz00_2369); } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2893),BUNSPEC); } } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &uv-push-gcmark! */
obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1717, obj_t BgL_oz00_1718, obj_t BgL_valz00_1719)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 273 */
return 
BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1718), BgL_valz00_1719);} 
BGL_FUNCTION_END;
}



/* uv-pop-gcmark! */
BGL_EXPORTED_DEF obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt BgL_oz00_16, obj_t BgL_valz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 287 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)))
{ /* Llib/uvtypes.scm 289 */
return BFALSE;}  else 
{ /* Llib/uvtypes.scm 289 */
if(
(BgL_valz00_17==
CAR(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52))))
{ /* Llib/uvtypes.scm 290 */
if(
(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 291 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC);}  else 
{ 
obj_t BgL_auxz00_2912;
{ /* Llib/uvtypes.scm 295 */
obj_t BgL_pairz00_1275;
BgL_pairz00_1275 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52); 
BgL_auxz00_2912 = 
CDR(BgL_pairz00_1275); } 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52)=((obj_t)BgL_auxz00_2912),BUNSPEC);} }  else 
{ 
obj_t BgL_pz00_64;
BgL_pz00_64 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarksheadz52); 
BgL_zc3anonymousza31563ze3z83_65:
{ /* Llib/uvtypes.scm 297 */
obj_t BgL_nz00_66;
BgL_nz00_66 = 
CDR(
((obj_t)BgL_pz00_64)); 
if(
PAIRP(BgL_nz00_66))
{ /* Llib/uvtypes.scm 298 */
if(
(
CAR(BgL_nz00_66)==BgL_valz00_17))
{ /* Llib/uvtypes.scm 299 */
if(
(BgL_nz00_66==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 301 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_16))->BgL_z52gcmarkstailz52)=((obj_t)BgL_pz00_64),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 301 */BFALSE; } 
{ /* Llib/uvtypes.scm 303 */
obj_t BgL_arg1597z00_73;
BgL_arg1597z00_73 = 
CDR(BgL_nz00_66); 
{ /* Llib/uvtypes.scm 303 */
obj_t BgL_tmpz00_2928;
BgL_tmpz00_2928 = 
((obj_t)BgL_pz00_64); 
return 
SET_CDR(BgL_tmpz00_2928, BgL_arg1597z00_73);} } }  else 
{ 
obj_t BgL_pz00_2931;
BgL_pz00_2931 = BgL_nz00_66; 
BgL_pz00_64 = BgL_pz00_2931; 
goto BgL_zc3anonymousza31563ze3z83_65;} }  else 
{ /* Llib/uvtypes.scm 298 */
return BFALSE;} } } } } 
BGL_FUNCTION_END;
}



/* &uv-pop-gcmark! */
obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1720, obj_t BgL_oz00_1721, obj_t BgL_valz00_1722)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 287 */
return 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1721), BgL_valz00_1722);} 
BGL_FUNCTION_END;
}



/* uv-gcmarks-empty? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 309 */
return 
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_18))->BgL_z52gcmarksheadz52));} 
BGL_FUNCTION_END;
}



/* &uv-gcmarks-empty? */
obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t BgL_envz00_1723, obj_t BgL_oz00_1724)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 309 */
return 
BBOOL(
BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1724)));} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 23 */
obj_t BgL_arg1627z00_83;obj_t BgL_arg1631z00_84;
{ /* Llib/uvtypes.scm 23 */
obj_t BgL_v1297z00_90;
BgL_v1297z00_90 = 
create_vector(((long)0)); 
BgL_arg1627z00_83 = BgL_v1297z00_90; } 
{ /* Llib/uvtypes.scm 23 */
obj_t BgL_v1298z00_91;
BgL_v1298z00_91 = 
create_vector(((long)0)); 
BgL_arg1631z00_84 = BgL_v1298z00_91; } 
BGl_z52Uvz52zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)23285), BFALSE, BGl_proc2277z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2276z00zz__libuv_typesz00, BFALSE, BgL_arg1627z00_83, BgL_arg1631z00_84); } 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_arg1658z00_97;obj_t BgL_arg1659z00_98;
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_v1299z00_114;
BgL_v1299z00_114 = 
create_vector(((long)5)); 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_arg1667z00_115;
BgL_arg1667z00_115 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2280z00zz__libuv_typesz00, BGl_proc2279z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2278z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1299z00_114,((long)0),BgL_arg1667z00_115); } 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_arg1676z00_128;
BgL_arg1676z00_128 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc2283z00zz__libuv_typesz00, BGl_proc2282z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2281z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1299z00_114,((long)1),BgL_arg1676z00_128); } 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_arg1688z00_141;
BgL_arg1688z00_141 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2286z00zz__libuv_typesz00, BGl_proc2285z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2284z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1299z00_114,((long)2),BgL_arg1688z00_141); } 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_arg1699z00_154;
BgL_arg1699z00_154 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2289z00zz__libuv_typesz00, BGl_proc2288z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2287z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1299z00_114,((long)3),BgL_arg1699z00_154); } 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_arg1711z00_167;
BgL_arg1711z00_167 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc2292z00zz__libuv_typesz00, BGl_proc2291z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2290z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1299z00_114,((long)4),BgL_arg1711z00_167); } 
BgL_arg1658z00_97 = BgL_v1299z00_114; } 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_v1300z00_180;
BgL_v1300z00_180 = 
create_vector(((long)0)); 
BgL_arg1659z00_98 = BgL_v1300z00_180; } 
BGl_UvHandlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)18)), 
CNST_TABLE_REF(((long)8)), BGl_z52Uvz52zz__libuv_typesz00, ((long)36343), BGl_proc2295z00zz__libuv_typesz00, BGl_proc2294z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2293z00zz__libuv_typesz00, BFALSE, BgL_arg1658z00_97, BgL_arg1659z00_98); } 
{ /* Llib/uvtypes.scm 33 */
obj_t BgL_arg1745z00_187;obj_t BgL_arg1746z00_188;
{ /* Llib/uvtypes.scm 33 */
obj_t BgL_v1301z00_205;
BgL_v1301z00_205 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 33 */
obj_t BgL_arg1753z00_206;
BgL_arg1753z00_206 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2298z00zz__libuv_typesz00, BGl_proc2297z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2296z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1301z00_205,((long)0),BgL_arg1753z00_206); } 
BgL_arg1745z00_187 = BgL_v1301z00_205; } 
{ /* Llib/uvtypes.scm 33 */
obj_t BgL_v1302z00_220;
BgL_v1302z00_220 = 
create_vector(((long)0)); 
BgL_arg1746z00_188 = BgL_v1302z00_220; } 
BGl_UvLoopz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)21)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)33046), BGl_proc2301z00zz__libuv_typesz00, BGl_proc2300z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2299z00zz__libuv_typesz00, BFALSE, BgL_arg1745z00_187, BgL_arg1746z00_188); } 
{ /* Llib/uvtypes.scm 36 */
obj_t BgL_arg1762z00_226;obj_t BgL_arg1763z00_227;
{ /* Llib/uvtypes.scm 36 */
obj_t BgL_v1303z00_233;
BgL_v1303z00_233 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 36 */
obj_t BgL_arg1767z00_234;
BgL_arg1767z00_234 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2303z00zz__libuv_typesz00, BGl_proc2302z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1303z00_233,((long)0),BgL_arg1767z00_234); } 
{ /* Llib/uvtypes.scm 36 */
obj_t BgL_arg1772z00_244;
BgL_arg1772z00_244 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2306z00zz__libuv_typesz00, BGl_proc2305z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2304z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1303z00_233,((long)1),BgL_arg1772z00_244); } 
BgL_arg1762z00_226 = BgL_v1303z00_233; } 
{ /* Llib/uvtypes.scm 36 */
obj_t BgL_v1304z00_257;
BgL_v1304z00_257 = 
create_vector(((long)0)); 
BgL_arg1763z00_227 = BgL_v1304z00_257; } 
BGl_UvWatcherz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)25)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)54967), BFALSE, BGl_proc2308z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2307z00zz__libuv_typesz00, BFALSE, BgL_arg1762z00_226, BgL_arg1763z00_227); } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1782z00_263;obj_t BgL_arg1783z00_264;
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_v1305z00_286;
BgL_v1305z00_286 = 
create_vector(((long)6)); 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1790z00_287;
BgL_arg1790z00_287 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2310z00zz__libuv_typesz00, BGl_proc2309z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1305z00_286,((long)0),BgL_arg1790z00_287); } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1795z00_297;
BgL_arg1795z00_297 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc2313z00zz__libuv_typesz00, BGl_proc2312z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2311z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)1),BgL_arg1795z00_297); } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1802z00_310;
BgL_arg1802z00_310 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2316z00zz__libuv_typesz00, BGl_proc2315z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2314z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)2),BgL_arg1802z00_310); } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1809z00_323;
BgL_arg1809z00_323 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2319z00zz__libuv_typesz00, BGl_proc2318z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2317z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)3),BgL_arg1809z00_323); } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1816z00_336;
BgL_arg1816z00_336 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2322z00zz__libuv_typesz00, BGl_proc2321z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2320z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)4),BgL_arg1816z00_336); } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_arg1823z00_349;
BgL_arg1823z00_349 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc2325z00zz__libuv_typesz00, BGl_proc2324z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2323z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1305z00_286,((long)5),BgL_arg1823z00_349); } 
BgL_arg1782z00_263 = BgL_v1305z00_286; } 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_v1306z00_362;
BgL_v1306z00_362 = 
create_vector(((long)0)); 
BgL_arg1783z00_264 = BgL_v1306z00_362; } 
BGl_UvStreamz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)11232), BGl_proc2328z00zz__libuv_typesz00, BGl_proc2327z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2326z00zz__libuv_typesz00, BFALSE, BgL_arg1782z00_263, BgL_arg1783z00_264); } 
{ /* Llib/uvtypes.scm 48 */
obj_t BgL_arg1833z00_369;obj_t BgL_arg1834z00_370;
{ /* Llib/uvtypes.scm 48 */
obj_t BgL_v1307z00_392;
BgL_v1307z00_392 = 
create_vector(((long)0)); 
BgL_arg1833z00_369 = BgL_v1307z00_392; } 
{ /* Llib/uvtypes.scm 48 */
obj_t BgL_v1308z00_393;
BgL_v1308z00_393 = 
create_vector(((long)0)); 
BgL_arg1834z00_370 = BgL_v1308z00_393; } 
BGl_UvTcpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)12982), BGl_proc2331z00zz__libuv_typesz00, BGl_proc2330z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2329z00zz__libuv_typesz00, BFALSE, BgL_arg1833z00_369, BgL_arg1834z00_370); } 
{ /* Llib/uvtypes.scm 50 */
obj_t BgL_arg1844z00_400;obj_t BgL_arg1845z00_401;
{ /* Llib/uvtypes.scm 50 */
obj_t BgL_v1309z00_424;
BgL_v1309z00_424 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 50 */
obj_t BgL_arg1852z00_425;
BgL_arg1852z00_425 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc2334z00zz__libuv_typesz00, BGl_proc2333z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2332z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1309z00_424,((long)0),BgL_arg1852z00_425); } 
BgL_arg1844z00_400 = BgL_v1309z00_424; } 
{ /* Llib/uvtypes.scm 50 */
obj_t BgL_v1310z00_438;
BgL_v1310z00_438 = 
create_vector(((long)0)); 
BgL_arg1845z00_401 = BgL_v1310z00_438; } 
BGl_UvUdpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)34)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)61053), BGl_proc2337z00zz__libuv_typesz00, BGl_proc2336z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2335z00zz__libuv_typesz00, BFALSE, BgL_arg1844z00_400, BgL_arg1845z00_401); } 
{ /* Llib/uvtypes.scm 53 */
obj_t BgL_arg1862z00_445;obj_t BgL_arg1863z00_446;
{ /* Llib/uvtypes.scm 53 */
obj_t BgL_v1311z00_469;
BgL_v1311z00_469 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 53 */
obj_t BgL_arg1870z00_470;
BgL_arg1870z00_470 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2339z00zz__libuv_typesz00, BGl_proc2338z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1311z00_469,((long)0),BgL_arg1870z00_470); } 
BgL_arg1862z00_445 = BgL_v1311z00_469; } 
{ /* Llib/uvtypes.scm 53 */
obj_t BgL_v1312z00_480;
BgL_v1312z00_480 = 
create_vector(((long)0)); 
BgL_arg1863z00_446 = BgL_v1312z00_480; } 
BGl_UvPipez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)36)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)59138), BGl_proc2342z00zz__libuv_typesz00, BGl_proc2341z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2340z00zz__libuv_typesz00, BFALSE, BgL_arg1862z00_445, BgL_arg1863z00_446); } 
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_arg1878z00_487;obj_t BgL_arg1879z00_488;
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_v1313z00_512;
BgL_v1313z00_512 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_arg1886z00_513;
BgL_arg1886z00_513 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2344z00zz__libuv_typesz00, BGl_proc2343z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1313z00_512,((long)0),BgL_arg1886z00_513); } 
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_arg1891z00_523;
BgL_arg1891z00_523 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)39)), BGl_proc2346z00zz__libuv_typesz00, BGl_proc2345z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1313z00_512,((long)1),BgL_arg1891z00_523); } 
BgL_arg1878z00_487 = BgL_v1313z00_512; } 
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_v1314z00_533;
BgL_v1314z00_533 = 
create_vector(((long)0)); 
BgL_arg1879z00_488 = BgL_v1314z00_533; } 
BGl_UvTtyz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)8)), BGl_UvStreamz00zz__libuv_typesz00, ((long)33681), BGl_proc2349z00zz__libuv_typesz00, BGl_proc2348z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2347z00zz__libuv_typesz00, BFALSE, BgL_arg1878z00_487, BgL_arg1879z00_488); } 
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_arg1899z00_540;obj_t BgL_arg1900z00_541;
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_v1315z00_561;
BgL_v1315z00_561 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_arg1907z00_562;
BgL_arg1907z00_562 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2352z00zz__libuv_typesz00, BGl_proc2351z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2350z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)42))); 
VECTOR_SET(BgL_v1315z00_561,((long)0),BgL_arg1907z00_562); } 
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_arg1914z00_575;
BgL_arg1914z00_575 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2355z00zz__libuv_typesz00, BGl_proc2354z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2353z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1315z00_561,((long)1),BgL_arg1914z00_575); } 
BgL_arg1899z00_540 = BgL_v1315z00_561; } 
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_v1316z00_588;
BgL_v1316z00_588 = 
create_vector(((long)0)); 
BgL_arg1900z00_541 = BgL_v1316z00_588; } 
BGl_UvTimerz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)44)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)48924), BGl_proc2358z00zz__libuv_typesz00, BGl_proc2357z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2356z00zz__libuv_typesz00, BFALSE, BgL_arg1899z00_540, BgL_arg1900z00_541); } 
{ /* Llib/uvtypes.scm 64 */
obj_t BgL_arg1924z00_595;obj_t BgL_arg1925z00_596;
{ /* Llib/uvtypes.scm 64 */
obj_t BgL_v1317z00_614;
BgL_v1317z00_614 = 
create_vector(((long)0)); 
BgL_arg1924z00_595 = BgL_v1317z00_614; } 
{ /* Llib/uvtypes.scm 64 */
obj_t BgL_v1318z00_615;
BgL_v1318z00_615 = 
create_vector(((long)0)); 
BgL_arg1925z00_596 = BgL_v1318z00_615; } 
BGl_UvIdlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)45)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)3465), BGl_proc2361z00zz__libuv_typesz00, BGl_proc2360z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2359z00zz__libuv_typesz00, BFALSE, BgL_arg1924z00_595, BgL_arg1925z00_596); } 
{ /* Llib/uvtypes.scm 66 */
obj_t BgL_arg1935z00_622;obj_t BgL_arg1936z00_623;
{ /* Llib/uvtypes.scm 66 */
obj_t BgL_v1319z00_641;
BgL_v1319z00_641 = 
create_vector(((long)0)); 
BgL_arg1935z00_622 = BgL_v1319z00_641; } 
{ /* Llib/uvtypes.scm 66 */
obj_t BgL_v1320z00_642;
BgL_v1320z00_642 = 
create_vector(((long)0)); 
BgL_arg1936z00_623 = BgL_v1320z00_642; } 
BGl_UvAsyncz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)46)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)42569), BGl_proc2364z00zz__libuv_typesz00, BGl_proc2363z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2362z00zz__libuv_typesz00, BFALSE, BgL_arg1935z00_622, BgL_arg1936z00_623); } 
{ /* Llib/uvtypes.scm 68 */
obj_t BgL_arg1946z00_649;obj_t BgL_arg1947z00_650;
{ /* Llib/uvtypes.scm 68 */
obj_t BgL_v1321z00_669;
BgL_v1321z00_669 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 68 */
obj_t BgL_arg1954z00_670;
BgL_arg1954z00_670 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2366z00zz__libuv_typesz00, BGl_proc2365z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1321z00_669,((long)0),BgL_arg1954z00_670); } 
BgL_arg1946z00_649 = BgL_v1321z00_669; } 
{ /* Llib/uvtypes.scm 68 */
obj_t BgL_v1322z00_680;
BgL_v1322z00_680 = 
create_vector(((long)0)); 
BgL_arg1947z00_650 = BgL_v1322z00_680; } 
BGl_UvPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)47)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)5968), BGl_proc2369z00zz__libuv_typesz00, BGl_proc2368z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2367z00zz__libuv_typesz00, BFALSE, BgL_arg1946z00_649, BgL_arg1947z00_650); } 
{ /* Llib/uvtypes.scm 71 */
obj_t BgL_arg1962z00_687;obj_t BgL_arg1963z00_688;
{ /* Llib/uvtypes.scm 71 */
obj_t BgL_v1323z00_700;
BgL_v1323z00_700 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 71 */
obj_t BgL_arg1969z00_701;
BgL_arg1969z00_701 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc2371z00zz__libuv_typesz00, BGl_proc2370z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1323z00_700,((long)0),BgL_arg1969z00_701); } 
{ /* Llib/uvtypes.scm 71 */
obj_t BgL_arg1974z00_711;
BgL_arg1974z00_711 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2373z00zz__libuv_typesz00, BGl_proc2372z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)49))); 
VECTOR_SET(BgL_v1323z00_700,((long)1),BgL_arg1974z00_711); } 
BgL_arg1962z00_687 = BgL_v1323z00_700; } 
{ /* Llib/uvtypes.scm 71 */
obj_t BgL_v1324z00_721;
BgL_v1324z00_721 = 
create_vector(((long)0)); 
BgL_arg1963z00_688 = BgL_v1324z00_721; } 
BGl_UvFilez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)50)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)50283), BGl_proc2376z00zz__libuv_typesz00, BGl_proc2375z00zz__libuv_typesz00, BFALSE, BGl_proc2374z00zz__libuv_typesz00, BFALSE, BgL_arg1962z00_687, BgL_arg1963z00_688); } 
{ /* Llib/uvtypes.scm 75 */
obj_t BgL_arg1982z00_728;obj_t BgL_arg1983z00_729;
{ /* Llib/uvtypes.scm 75 */
obj_t BgL_v1325z00_747;
BgL_v1325z00_747 = 
create_vector(((long)0)); 
BgL_arg1982z00_728 = BgL_v1325z00_747; } 
{ /* Llib/uvtypes.scm 75 */
obj_t BgL_v1326z00_748;
BgL_v1326z00_748 = 
create_vector(((long)0)); 
BgL_arg1983z00_729 = BgL_v1326z00_748; } 
BGl_UvFsEventz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)49452), BGl_proc2379z00zz__libuv_typesz00, BGl_proc2378z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2377z00zz__libuv_typesz00, BFALSE, BgL_arg1982z00_728, BgL_arg1983z00_729); } 
{ /* Llib/uvtypes.scm 77 */
obj_t BgL_arg1993z00_755;obj_t BgL_arg1994z00_756;
{ /* Llib/uvtypes.scm 77 */
obj_t BgL_v1327z00_774;
BgL_v1327z00_774 = 
create_vector(((long)0)); 
BgL_arg1993z00_755 = BgL_v1327z00_774; } 
{ /* Llib/uvtypes.scm 77 */
obj_t BgL_v1328z00_775;
BgL_v1328z00_775 = 
create_vector(((long)0)); 
BgL_arg1994z00_756 = BgL_v1328z00_775; } 
BGl_UvFsPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)52)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)33371), BGl_proc2382z00zz__libuv_typesz00, BGl_proc2381z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2380z00zz__libuv_typesz00, BFALSE, BgL_arg1993z00_755, BgL_arg1994z00_756); } 
{ /* Llib/uvtypes.scm 79 */
obj_t BgL_arg2004z00_782;obj_t BgL_arg2005z00_783;
{ /* Llib/uvtypes.scm 79 */
obj_t BgL_v1329z00_801;
BgL_v1329z00_801 = 
create_vector(((long)0)); 
BgL_arg2004z00_782 = BgL_v1329z00_801; } 
{ /* Llib/uvtypes.scm 79 */
obj_t BgL_v1330z00_802;
BgL_v1330z00_802 = 
create_vector(((long)0)); 
BgL_arg2005z00_783 = BgL_v1330z00_802; } 
BGl_UvCheckz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)8)), BGl_UvWatcherz00zz__libuv_typesz00, ((long)52457), BGl_proc2385z00zz__libuv_typesz00, BGl_proc2384z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2383z00zz__libuv_typesz00, BFALSE, BgL_arg2004z00_782, BgL_arg2005z00_783); } 
{ /* Llib/uvtypes.scm 81 */
obj_t BgL_arg2015z00_809;obj_t BgL_arg2016z00_810;
{ /* Llib/uvtypes.scm 81 */
obj_t BgL_v1331z00_827;
BgL_v1331z00_827 = 
create_vector(((long)2)); 
{ /* Llib/uvtypes.scm 81 */
obj_t BgL_arg2023z00_828;
BgL_arg2023z00_828 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc2388z00zz__libuv_typesz00, BGl_proc2387z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2386z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1331z00_827,((long)0),BgL_arg2023z00_828); } 
{ /* Llib/uvtypes.scm 81 */
obj_t BgL_arg2030z00_841;
BgL_arg2030z00_841 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2390z00zz__libuv_typesz00, BGl_proc2389z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)38))); 
VECTOR_SET(BgL_v1331z00_827,((long)1),BgL_arg2030z00_841); } 
BgL_arg2015z00_809 = BgL_v1331z00_827; } 
{ /* Llib/uvtypes.scm 81 */
obj_t BgL_v1332z00_851;
BgL_v1332z00_851 = 
create_vector(((long)1)); 
{ /* Llib/uvtypes.scm 85 */
obj_t BgL_arg2035z00_852;
{ /* Llib/uvtypes.scm 85 */
obj_t BgL_arg2036z00_853;
BgL_arg2036z00_853 = 
MAKE_YOUNG_PAIR(BGl_proc2391z00zz__libuv_typesz00, BFALSE); 
BgL_arg2035z00_852 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2036z00_853); } 
VECTOR_SET(BgL_v1332z00_851,((long)0),BgL_arg2035z00_852); } 
BgL_arg2016z00_810 = BgL_v1332z00_851; } 
BGl_UvProcessz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)56)), 
CNST_TABLE_REF(((long)8)), BGl_UvHandlez00zz__libuv_typesz00, ((long)11647), BGl_proc2394z00zz__libuv_typesz00, BGl_proc2393z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2392z00zz__libuv_typesz00, BFALSE, BgL_arg2015z00_809, BgL_arg2016z00_810); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2045z00_871;obj_t BgL_arg2046z00_872;
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_v1333z00_884;
BgL_v1333z00_884 = 
create_vector(((long)8)); 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2053z00_885;
BgL_arg2053z00_885 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2397z00zz__libuv_typesz00, BGl_proc2396z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2395z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1333z00_884,((long)0),BgL_arg2053z00_885); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2060z00_898;
BgL_arg2060z00_898 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2399z00zz__libuv_typesz00, BGl_proc2398z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)1),BgL_arg2060z00_898); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2065z00_908;
BgL_arg2065z00_908 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2401z00zz__libuv_typesz00, BGl_proc2400z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)2),BgL_arg2065z00_908); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2070z00_918;
BgL_arg2070z00_918 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2403z00zz__libuv_typesz00, BGl_proc2402z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)3),BgL_arg2070z00_918); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2075z00_928;
BgL_arg2075z00_928 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc2405z00zz__libuv_typesz00, BGl_proc2404z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)4),BgL_arg2075z00_928); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2080z00_938;
BgL_arg2080z00_938 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc2407z00zz__libuv_typesz00, BGl_proc2406z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)5),BgL_arg2080z00_938); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2085z00_948;
BgL_arg2085z00_948 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc2409z00zz__libuv_typesz00, BGl_proc2408z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)6),BgL_arg2085z00_948); } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_arg2090z00_958;
BgL_arg2090z00_958 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc2411z00zz__libuv_typesz00, BGl_proc2410z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1333z00_884,((long)7),BgL_arg2090z00_958); } 
BgL_arg2045z00_871 = BgL_v1333z00_884; } 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_v1334z00_968;
BgL_v1334z00_968 = 
create_vector(((long)7)); 
{ /* Llib/uvtypes.scm 94 */
obj_t BgL_arg2095z00_969;
{ /* Llib/uvtypes.scm 94 */
obj_t BgL_arg2096z00_970;
BgL_arg2096z00_970 = 
MAKE_YOUNG_PAIR(BGl_proc2412z00zz__libuv_typesz00, BGl_proc2413z00zz__libuv_typesz00); 
BgL_arg2095z00_969 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2096z00_970); } 
VECTOR_SET(BgL_v1334z00_968,((long)0),BgL_arg2095z00_969); } 
{ /* Llib/uvtypes.scm 102 */
obj_t BgL_arg2106z00_993;
{ /* Llib/uvtypes.scm 102 */
obj_t BgL_arg2107z00_994;
BgL_arg2107z00_994 = 
MAKE_YOUNG_PAIR(BGl_proc2414z00zz__libuv_typesz00, BGl_proc2415z00zz__libuv_typesz00); 
BgL_arg2106z00_993 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2107z00_994); } 
VECTOR_SET(BgL_v1334z00_968,((long)1),BgL_arg2106z00_993); } 
{ /* Llib/uvtypes.scm 110 */
obj_t BgL_arg2116z00_1017;
{ /* Llib/uvtypes.scm 110 */
obj_t BgL_arg2117z00_1018;
BgL_arg2117z00_1018 = 
MAKE_YOUNG_PAIR(BGl_proc2416z00zz__libuv_typesz00, BGl_proc2417z00zz__libuv_typesz00); 
BgL_arg2116z00_1017 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2117z00_1018); } 
VECTOR_SET(BgL_v1334z00_968,((long)2),BgL_arg2116z00_1017); } 
{ /* Llib/uvtypes.scm 118 */
obj_t BgL_arg2126z00_1041;
{ /* Llib/uvtypes.scm 118 */
obj_t BgL_arg2127z00_1042;
BgL_arg2127z00_1042 = 
MAKE_YOUNG_PAIR(BGl_proc2418z00zz__libuv_typesz00, BGl_proc2419z00zz__libuv_typesz00); 
BgL_arg2126z00_1041 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2127z00_1042); } 
VECTOR_SET(BgL_v1334z00_968,((long)3),BgL_arg2126z00_1041); } 
{ /* Llib/uvtypes.scm 126 */
obj_t BgL_arg2136z00_1065;
{ /* Llib/uvtypes.scm 126 */
obj_t BgL_arg2137z00_1066;
BgL_arg2137z00_1066 = 
MAKE_YOUNG_PAIR(BGl_proc2420z00zz__libuv_typesz00, BGl_proc2421z00zz__libuv_typesz00); 
BgL_arg2136z00_1065 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2137z00_1066); } 
VECTOR_SET(BgL_v1334z00_968,((long)4),BgL_arg2136z00_1065); } 
{ /* Llib/uvtypes.scm 134 */
obj_t BgL_arg2146z00_1089;
{ /* Llib/uvtypes.scm 134 */
obj_t BgL_arg2147z00_1090;
BgL_arg2147z00_1090 = 
MAKE_YOUNG_PAIR(BGl_proc2422z00zz__libuv_typesz00, BGl_proc2423z00zz__libuv_typesz00); 
BgL_arg2146z00_1089 = 
MAKE_YOUNG_PAIR(
BINT(((long)5)), BgL_arg2147z00_1090); } 
VECTOR_SET(BgL_v1334z00_968,((long)5),BgL_arg2146z00_1089); } 
{ /* Llib/uvtypes.scm 142 */
obj_t BgL_arg2156z00_1113;
{ /* Llib/uvtypes.scm 142 */
obj_t BgL_arg2157z00_1114;
BgL_arg2157z00_1114 = 
MAKE_YOUNG_PAIR(BGl_proc2424z00zz__libuv_typesz00, BGl_proc2425z00zz__libuv_typesz00); 
BgL_arg2156z00_1113 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg2157z00_1114); } 
VECTOR_SET(BgL_v1334z00_968,((long)6),BgL_arg2156z00_1113); } 
BgL_arg2046z00_872 = BgL_v1334z00_968; } 
BGl_UvProcessOptionsz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)65)), 
CNST_TABLE_REF(((long)8)), BGl_z52Uvz52zz__libuv_typesz00, ((long)34792), BGl_proc2428z00zz__libuv_typesz00, BGl_proc2427z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2426z00zz__libuv_typesz00, BFALSE, BgL_arg2045z00_871, BgL_arg2046z00_872); } 
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_arg2169z00_1143;obj_t BgL_arg2170z00_1144;
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_v1335z00_1158;
BgL_v1335z00_1158 = 
create_vector(((long)3)); 
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_arg2177z00_1159;
BgL_arg2177z00_1159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2431z00zz__libuv_typesz00, BGl_proc2430z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2429z00zz__libuv_typesz00, 
CNST_TABLE_REF(((long)66))); 
VECTOR_SET(BgL_v1335z00_1158,((long)0),BgL_arg2177z00_1159); } 
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_arg2184z00_1172;
BgL_arg2184z00_1172 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc2433z00zz__libuv_typesz00, BGl_proc2432z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1335z00_1158,((long)1),BgL_arg2184z00_1172); } 
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_arg2189z00_1182;
BgL_arg2189z00_1182 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2435z00zz__libuv_typesz00, BGl_proc2434z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1335z00_1158,((long)2),BgL_arg2189z00_1182); } 
BgL_arg2169z00_1143 = BgL_v1335z00_1158; } 
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_v1336z00_1192;
BgL_v1336z00_1192 = 
create_vector(((long)0)); 
BgL_arg2170z00_1144 = BgL_v1336z00_1192; } 
return ( 
BGl_UvWorkz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)69)), 
CNST_TABLE_REF(((long)8)), BGl_z52Uvz52zz__libuv_typesz00, ((long)37721), BGl_proc2438z00zz__libuv_typesz00, BGl_proc2437z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2436z00zz__libuv_typesz00, BFALSE, BgL_arg2169z00_1143, BgL_arg2170z00_1144), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2176> */
obj_t BGl_z62zc3anonymousza32176ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1893, obj_t BgL_new1239z00_1894)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
{ 
BgL_uvworkz00_bglt BgL_auxz00_3214;
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1239z00_1894)))->BgL_z42builtinz42)=((uv_work_t *)
0L),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1239z00_1894)))->BgL_z52workzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1239z00_1894)))->BgL_z52afterzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3214 = 
((BgL_uvworkz00_bglt)BgL_new1239z00_1894); 
return 
((obj_t)BgL_auxz00_3214);} } 
BGL_FUNCTION_END;
}



/* &lambda2174 */
BgL_uvworkz00_bglt BGl_z62lambda2174z62zz__libuv_typesz00(obj_t BgL_envz00_1895)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
{ /* Llib/uvtypes.scm 149 */
BgL_uvworkz00_bglt BgL_new1238z00_2371;
BgL_new1238z00_2371 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 149 */
long BgL_arg2175z00_2372;
{ /* Llib/uvtypes.scm 149 */
long BgL_res2256z00_2373;
BgL_res2256z00_2373 = 
BGL_CLASS_INDEX(BGl_UvWorkz00zz__libuv_typesz00); 
BgL_arg2175z00_2372 = BgL_res2256z00_2373; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_2371), BgL_arg2175z00_2372); } 
return BgL_new1238z00_2371;} } 
BGL_FUNCTION_END;
}



/* &lambda2171 */
BgL_uvworkz00_bglt BGl_z62lambda2171z62zz__libuv_typesz00(obj_t BgL_envz00_1896, obj_t BgL_z42builtin1235z42_1897, obj_t BgL_z52workzd2cb1236z80_1898, obj_t BgL_z52afterzd2cb1237z80_1899)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
{ /* Llib/uvtypes.scm 149 */
uv_work_t * BgL_z42builtin1235z42_2374;
BgL_z42builtin1235z42_2374 = 
FOREIGN_TO_COBJ(BgL_z42builtin1235z42_1897); 
{ /* Llib/uvtypes.scm 149 */
BgL_uvworkz00_bglt BgL_new1296z00_2377;
{ /* Llib/uvtypes.scm 149 */
BgL_uvworkz00_bglt BgL_new1295z00_2378;
BgL_new1295z00_2378 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 149 */
long BgL_arg2173z00_2379;
{ /* Llib/uvtypes.scm 149 */
long BgL_res2255z00_2380;
BgL_res2255z00_2380 = 
BGL_CLASS_INDEX(BGl_UvWorkz00zz__libuv_typesz00); 
BgL_arg2173z00_2379 = BgL_res2255z00_2380; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1295z00_2378), BgL_arg2173z00_2379); } 
BgL_new1296z00_2377 = BgL_new1295z00_2378; } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1296z00_2377))->BgL_z42builtinz42)=((uv_work_t *)BgL_z42builtin1235z42_2374),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1296z00_2377))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_z52workzd2cb1236z80_1898)),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1296z00_2377))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_z52afterzd2cb1237z80_1899)),BUNSPEC); 
{ /* Llib/uvtypes.scm 149 */
obj_t BgL_fun2172z00_2381;
BgL_fun2172z00_2381 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun2172z00_2381)(BgL_fun2172z00_2381, 
((obj_t)BgL_new1296z00_2377), BEOA); } 
return BgL_new1296z00_2377;} } } 
BGL_FUNCTION_END;
}



/* &lambda2193 */
obj_t BGl_z62lambda2193z62zz__libuv_typesz00(obj_t BgL_envz00_1900, obj_t BgL_oz00_1901, obj_t BgL_vz00_1902)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1901)))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1902)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__libuv_typesz00(obj_t BgL_envz00_1903, obj_t BgL_oz00_1904)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1904)))->BgL_z52afterzd2cbz80);} 
BGL_FUNCTION_END;
}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__libuv_typesz00(obj_t BgL_envz00_1905, obj_t BgL_oz00_1906, obj_t BgL_vz00_1907)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1906)))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1907)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2187 */
obj_t BGl_z62lambda2187z62zz__libuv_typesz00(obj_t BgL_envz00_1908, obj_t BgL_oz00_1909)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1909)))->BgL_z52workzd2cbz80);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2183> */
obj_t BGl_z62zc3anonymousza32183ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1910)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__libuv_typesz00(obj_t BgL_envz00_1911, obj_t BgL_oz00_1912, obj_t BgL_vz00_1913)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
{ /* Llib/uvtypes.scm 149 */
uv_work_t * BgL_vz00_2389;
BgL_vz00_2389 = 
FOREIGN_TO_COBJ(BgL_vz00_1913); 
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1912)))->BgL_z42builtinz42)=((uv_work_t *)BgL_vz00_2389),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__libuv_typesz00(obj_t BgL_envz00_1914, obj_t BgL_oz00_1915)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 149 */
return 
void_star_to_obj(
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1915)))->BgL_z42builtinz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2052> */
obj_t BGl_z62zc3anonymousza32052ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1916, obj_t BgL_new1233z00_1917)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
{ 
BgL_uvprocessoptionsz00_bglt BgL_auxz00_3261;
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_new1233z00_1917)))->BgL_z42builtinz42)=((uv_process_options_t *)
0L),BUNSPEC); 
BgL_auxz00_3261 = 
((BgL_uvprocessoptionsz00_bglt)BgL_new1233z00_1917); 
return 
((obj_t)BgL_auxz00_3261);} } 
BGL_FUNCTION_END;
}



/* &lambda2050 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2050z62zz__libuv_typesz00(obj_t BgL_envz00_1918)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
{ /* Llib/uvtypes.scm 89 */
BgL_uvprocessoptionsz00_bglt BgL_new1232z00_2392;
BgL_new1232z00_2392 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 89 */
long BgL_arg2051z00_2393;
{ /* Llib/uvtypes.scm 89 */
long BgL_res2254z00_2394;
BgL_res2254z00_2394 = 
BGL_CLASS_INDEX(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BgL_arg2051z00_2393 = BgL_res2254z00_2394; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_2392), BgL_arg2051z00_2393); } 
return BgL_new1232z00_2392;} } 
BGL_FUNCTION_END;
}



/* &lambda2047 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2047z62zz__libuv_typesz00(obj_t BgL_envz00_1919, obj_t BgL_z42builtin1231z42_1920)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
{ /* Llib/uvtypes.scm 89 */
uv_process_options_t * BgL_z42builtin1231z42_2395;
BgL_z42builtin1231z42_2395 = 
FOREIGN_TO_COBJ(BgL_z42builtin1231z42_1920); 
{ /* Llib/uvtypes.scm 89 */
BgL_uvprocessoptionsz00_bglt BgL_new1280z00_2396;
{ /* Llib/uvtypes.scm 89 */
BgL_uvprocessoptionsz00_bglt BgL_new1279z00_2397;
BgL_new1279z00_2397 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 89 */
long BgL_arg2049z00_2398;
{ /* Llib/uvtypes.scm 89 */
long BgL_res2253z00_2399;
BgL_res2253z00_2399 = 
BGL_CLASS_INDEX(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BgL_arg2049z00_2398 = BgL_res2253z00_2399; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1279z00_2397), BgL_arg2049z00_2398); } 
BgL_new1280z00_2396 = BgL_new1279z00_2397; } 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_new1280z00_2396))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_z42builtin1231z42_2395),BUNSPEC); 
{ /* Llib/uvtypes.scm 89 */
obj_t BgL_fun2048z00_2400;
BgL_fun2048z00_2400 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun2048z00_2400)(BgL_fun2048z00_2400, 
((obj_t)BgL_new1280z00_2396), BEOA); } 
return BgL_new1280z00_2396;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2163> */
obj_t BGl_z62zc3anonymousza32163ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1921, obj_t BgL_oz00_1922, obj_t BgL_vz00_1923)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 140 */
{ /* Llib/uvtypes.scm 146 */
uv_process_options_t * BgL_arg2164z00_2401;
BgL_arg2164z00_2401 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1922)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 146 */
int BgL_tmpz00_3285;
BgL_tmpz00_3285 = 
CINT(BgL_vz00_1923); 
BGL_UV_PROCESS_OPTIONS_GID_SET(BgL_arg2164z00_2401, BgL_tmpz00_3285); } BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2160> */
obj_t BGl_z62zc3anonymousza32160ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1924, obj_t BgL_oz00_1925)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 140 */
{ /* Llib/uvtypes.scm 142 */
int BgL_tmpz00_3288;
{ /* Llib/uvtypes.scm 143 */
uv_process_options_t * BgL_arg2161z00_2402;
BgL_arg2161z00_2402 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1925)))->BgL_z42builtinz42); 
BgL_tmpz00_3288 = 
BGL_UV_PROCESS_OPTIONS_GID_GET(BgL_arg2161z00_2402); } 
return 
BINT(BgL_tmpz00_3288);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2153> */
obj_t BGl_z62zc3anonymousza32153ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1926, obj_t BgL_oz00_1927, obj_t BgL_vz00_1928)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 132 */
{ /* Llib/uvtypes.scm 138 */
uv_process_options_t * BgL_arg2154z00_2403;
BgL_arg2154z00_2403 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1927)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 138 */
int BgL_tmpz00_3295;
BgL_tmpz00_3295 = 
CINT(BgL_vz00_1928); 
BGL_UV_PROCESS_OPTIONS_UID_SET(BgL_arg2154z00_2403, BgL_tmpz00_3295); } BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2150> */
obj_t BGl_z62zc3anonymousza32150ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1929, obj_t BgL_oz00_1930)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 132 */
{ /* Llib/uvtypes.scm 134 */
int BgL_tmpz00_3298;
{ /* Llib/uvtypes.scm 135 */
uv_process_options_t * BgL_arg2151z00_2404;
BgL_arg2151z00_2404 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1930)))->BgL_z42builtinz42); 
BgL_tmpz00_3298 = 
BGL_UV_PROCESS_OPTIONS_UID_GET(BgL_arg2151z00_2404); } 
return 
BINT(BgL_tmpz00_3298);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2143> */
obj_t BGl_z62zc3anonymousza32143ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1931, obj_t BgL_oz00_1932, obj_t BgL_vz00_1933)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 124 */
{ /* Llib/uvtypes.scm 130 */
uv_process_options_t * BgL_arg2144z00_2405;
BgL_arg2144z00_2405 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1932)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 130 */
int BgL_tmpz00_3305;
BgL_tmpz00_3305 = 
CINT(BgL_vz00_1933); 
BGL_UV_PROCESS_OPTIONS_FLAGS_SET(BgL_arg2144z00_2405, BgL_tmpz00_3305); } BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2140> */
obj_t BGl_z62zc3anonymousza32140ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1934, obj_t BgL_oz00_1935)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 124 */
{ /* Llib/uvtypes.scm 126 */
int BgL_tmpz00_3308;
{ /* Llib/uvtypes.scm 127 */
uv_process_options_t * BgL_arg2141z00_2406;
BgL_arg2141z00_2406 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1935)))->BgL_z42builtinz42); 
BgL_tmpz00_3308 = 
BGL_UV_PROCESS_OPTIONS_FLAGS_GET(BgL_arg2141z00_2406); } 
return 
BINT(BgL_tmpz00_3308);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2133> */
obj_t BGl_z62zc3anonymousza32133ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1936, obj_t BgL_oz00_1937, obj_t BgL_vz00_1938)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 116 */
{ /* Llib/uvtypes.scm 122 */
uv_process_options_t * BgL_arg2134z00_2407;
BgL_arg2134z00_2407 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1937)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 122 */
char * BgL_tmpz00_3315;
BgL_tmpz00_3315 = 
BSTRING_TO_STRING(BgL_vz00_1938); 
BGL_UV_PROCESS_OPTIONS_CWD_SET(BgL_arg2134z00_2407, BgL_tmpz00_3315); } BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2130> */
obj_t BGl_z62zc3anonymousza32130ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1939, obj_t BgL_oz00_1940)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 116 */
{ /* Llib/uvtypes.scm 118 */
char * BgL_tmpz00_3318;
{ /* Llib/uvtypes.scm 119 */
uv_process_options_t * BgL_arg2131z00_2408;
BgL_arg2131z00_2408 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1940)))->BgL_z42builtinz42); 
BgL_tmpz00_3318 = 
BGL_UV_PROCESS_OPTIONS_CWD_GET(BgL_arg2131z00_2408); } 
return 
string_to_bstring(BgL_tmpz00_3318);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2123> */
obj_t BGl_z62zc3anonymousza32123ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1941, obj_t BgL_oz00_1942, obj_t BgL_vz00_1943)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 108 */
{ /* Llib/uvtypes.scm 114 */
uv_process_options_t * BgL_arg2124z00_2409;
BgL_arg2124z00_2409 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1942)))->BgL_z42builtinz42); 
bgl_uv_process_options_env_set(BgL_arg2124z00_2409, BgL_vz00_1943); BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2120> */
obj_t BGl_z62zc3anonymousza32120ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1944, obj_t BgL_oz00_1945)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 108 */
{ /* Llib/uvtypes.scm 111 */
uv_process_options_t * BgL_arg2121z00_2410;
BgL_arg2121z00_2410 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1945)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_env_get(BgL_arg2121z00_2410);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2113> */
obj_t BGl_z62zc3anonymousza32113ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1946, obj_t BgL_oz00_1947, obj_t BgL_vz00_1948)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 100 */
{ /* Llib/uvtypes.scm 106 */
uv_process_options_t * BgL_arg2114z00_2411;
BgL_arg2114z00_2411 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1947)))->BgL_z42builtinz42); 
bgl_uv_process_options_args_set(BgL_arg2114z00_2411, BgL_vz00_1948); BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2110> */
obj_t BGl_z62zc3anonymousza32110ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1949, obj_t BgL_oz00_1950)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 100 */
{ /* Llib/uvtypes.scm 103 */
uv_process_options_t * BgL_arg2111z00_2412;
BgL_arg2111z00_2412 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1950)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_args_get(BgL_arg2111z00_2412);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2103> */
obj_t BGl_z62zc3anonymousza32103ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1951, obj_t BgL_oz00_1952, obj_t BgL_vz00_1953)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 92 */
{ /* Llib/uvtypes.scm 98 */
uv_process_options_t * BgL_arg2104z00_2413;
BgL_arg2104z00_2413 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1952)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 98 */
char * BgL_tmpz00_3337;
BgL_tmpz00_3337 = 
BSTRING_TO_STRING(BgL_vz00_1953); 
BGL_UV_PROCESS_OPTIONS_FILE_SET(BgL_arg2104z00_2413, BgL_tmpz00_3337); } BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:2100> */
obj_t BGl_z62zc3anonymousza32100ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1954, obj_t BgL_oz00_1955)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 92 */
{ /* Llib/uvtypes.scm 94 */
char * BgL_tmpz00_3340;
{ /* Llib/uvtypes.scm 95 */
uv_process_options_t * BgL_arg2101z00_2414;
BgL_arg2101z00_2414 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1955)))->BgL_z42builtinz42); 
BgL_tmpz00_3340 = 
BGL_UV_PROCESS_OPTIONS_FILE_GET(BgL_arg2101z00_2414); } 
return 
string_to_bstring(BgL_tmpz00_3340);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2094> */
obj_t BGl_z62zc3anonymousza32094ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1956, obj_t BgL_oz00_1957, obj_t BgL_vz00_1958)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1957), 
(int)(((long)6)), BgL_vz00_1958);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2093> */
obj_t BGl_z62zc3anonymousza32093ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1959, obj_t BgL_oz00_1960)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1960), 
(int)(((long)6)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2089> */
obj_t BGl_z62zc3anonymousza32089ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1961, obj_t BgL_oz00_1962, obj_t BgL_vz00_1963)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1962), 
(int)(((long)5)), BgL_vz00_1963);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2088> */
obj_t BGl_z62zc3anonymousza32088ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1964, obj_t BgL_oz00_1965)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1965), 
(int)(((long)5)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2084> */
obj_t BGl_z62zc3anonymousza32084ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1966, obj_t BgL_oz00_1967, obj_t BgL_vz00_1968)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1967), 
(int)(((long)4)), BgL_vz00_1968);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2083> */
obj_t BGl_z62zc3anonymousza32083ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1969, obj_t BgL_oz00_1970)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1970), 
(int)(((long)4)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2079> */
obj_t BGl_z62zc3anonymousza32079ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1971, obj_t BgL_oz00_1972, obj_t BgL_vz00_1973)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1972), 
(int)(((long)3)), BgL_vz00_1973);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2078> */
obj_t BGl_z62zc3anonymousza32078ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1974, obj_t BgL_oz00_1975)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1975), 
(int)(((long)3)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2074> */
obj_t BGl_z62zc3anonymousza32074ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1976, obj_t BgL_oz00_1977, obj_t BgL_vz00_1978)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1977), 
(int)(((long)2)), BgL_vz00_1978);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2073> */
obj_t BGl_z62zc3anonymousza32073ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1979, obj_t BgL_oz00_1980)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1980), 
(int)(((long)2)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2069> */
obj_t BGl_z62zc3anonymousza32069ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1981, obj_t BgL_oz00_1982, obj_t BgL_vz00_1983)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1982), 
(int)(((long)1)), BgL_vz00_1983);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2068> */
obj_t BGl_z62zc3anonymousza32068ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1984, obj_t BgL_oz00_1985)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1985), 
(int)(((long)1)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2064> */
obj_t BGl_z62zc3anonymousza32064ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1986, obj_t BgL_oz00_1987, obj_t BgL_vz00_1988)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1987), 
(int)(((long)0)), BgL_vz00_1988);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2063> */
obj_t BGl_z62zc3anonymousza32063ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1989, obj_t BgL_oz00_1990)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1990), 
(int)(((long)0)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2059> */
obj_t BGl_z62zc3anonymousza32059ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1991)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
void_star_to_obj(
((uv_process_options_t *)GC_MALLOC( sizeof( uv_process_options_t ) )));} 
BGL_FUNCTION_END;
}



/* &lambda2058 */
obj_t BGl_z62lambda2058z62zz__libuv_typesz00(obj_t BgL_envz00_1992, obj_t BgL_oz00_1993, obj_t BgL_vz00_1994)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
{ /* Llib/uvtypes.scm 89 */
uv_process_options_t * BgL_vz00_2416;
BgL_vz00_2416 = 
FOREIGN_TO_COBJ(BgL_vz00_1994); 
return 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1993)))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_vz00_2416),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2057 */
obj_t BGl_z62lambda2057z62zz__libuv_typesz00(obj_t BgL_envz00_1995, obj_t BgL_oz00_1996)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 89 */
return 
void_star_to_obj(
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1996)))->BgL_z42builtinz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2022> */
obj_t BGl_z62zc3anonymousza32022ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_1997, obj_t BgL_new1229z00_1998)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
{ 
BgL_uvprocessz00_bglt BgL_auxz00_3395;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998)))->BgL_z42onexitz42)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3395 = 
((BgL_uvprocessz00_bglt)BgL_new1229z00_1998); 
return 
((obj_t)BgL_auxz00_3395);} } 
BGL_FUNCTION_END;
}



/* &lambda2020 */
BgL_uvprocessz00_bglt BGl_z62lambda2020z62zz__libuv_typesz00(obj_t BgL_envz00_1999)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
{ /* Llib/uvtypes.scm 81 */
BgL_uvprocessz00_bglt BgL_new1228z00_2419;
BgL_new1228z00_2419 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 81 */
long BgL_arg2021z00_2420;
{ /* Llib/uvtypes.scm 81 */
long BgL_res2252z00_2421;
BgL_res2252z00_2421 = 
BGL_CLASS_INDEX(BGl_UvProcessz00zz__libuv_typesz00); 
BgL_arg2021z00_2420 = BgL_res2252z00_2421; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_2419), BgL_arg2021z00_2420); } 
return BgL_new1228z00_2419;} } 
BGL_FUNCTION_END;
}



/* &lambda2017 */
BgL_uvprocessz00_bglt BGl_z62lambda2017z62zz__libuv_typesz00(obj_t BgL_envz00_2000, obj_t BgL_z42builtin1222z42_2001, obj_t BgL_z52onclose1223z52_2002, obj_t BgL_z52gcmarkshead1224z52_2003, obj_t BgL_z52gcmarkstail1225z52_2004, obj_t BgL_closed1226z00_2005, obj_t BgL_z42onexit1227z42_2006)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
{ /* Llib/uvtypes.scm 81 */
uv_handle_t * BgL_z42builtin1222z42_2422;bool_t BgL_closed1226z00_2425;
BgL_z42builtin1222z42_2422 = 
FOREIGN_TO_COBJ(BgL_z42builtin1222z42_2001); 
BgL_closed1226z00_2425 = 
CBOOL(BgL_closed1226z00_2005); 
{ /* Llib/uvtypes.scm 81 */
BgL_uvprocessz00_bglt BgL_new1277z00_2426;
{ /* Llib/uvtypes.scm 81 */
BgL_uvprocessz00_bglt BgL_new1276z00_2427;
BgL_new1276z00_2427 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 81 */
long BgL_arg2019z00_2428;
{ /* Llib/uvtypes.scm 81 */
long BgL_res2251z00_2429;
BgL_res2251z00_2429 = 
BGL_CLASS_INDEX(BGl_UvProcessz00zz__libuv_typesz00); 
BgL_arg2019z00_2428 = BgL_res2251z00_2429; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1276z00_2427), BgL_arg2019z00_2428); } 
BgL_new1277z00_2426 = BgL_new1276z00_2427; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2426)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1222z42_2422),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2426)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1223z52_2002),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2426)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1224z52_2003)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2426)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1225z52_2004)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1277z00_2426)))->BgL_closedz00)=((bool_t)BgL_closed1226z00_2425),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(BgL_new1277z00_2426))->BgL_z42onexitz42)=((obj_t)BgL_z42onexit1227z42_2006),BUNSPEC); 
{ /* Llib/uvtypes.scm 81 */
obj_t BgL_fun2018z00_2430;
BgL_fun2018z00_2430 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun2018z00_2430)(BgL_fun2018z00_2430, 
((obj_t)BgL_new1277z00_2426), BEOA); } 
return BgL_new1277z00_2426;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2038> */
obj_t BGl_z62zc3anonymousza32038ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2007, obj_t BgL_oz00_2008)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 83 */
{ /* Llib/uvtypes.scm 85 */
int BgL_tmpz00_3445;
{ /* Llib/uvtypes.scm 86 */
uv_process_t * BgL_arg2039z00_2431;
{ /* Llib/uvtypes.scm 86 */
uv_handle_t * BgL_arg2040z00_2432;
BgL_arg2040z00_2432 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_oz00_2008))))->BgL_z42builtinz42); 
BgL_arg2039z00_2431 = 
(uv_process_t *)(BgL_arg2040z00_2432); } 
BgL_tmpz00_3445 = 
(BgL_arg2039z00_2431->pid); } 
return 
BINT(BgL_tmpz00_3445);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2034> */
obj_t BGl_z62zc3anonymousza32034ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2009, obj_t BgL_oz00_2010, obj_t BgL_vz00_2011)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2010), 
(int)(((long)0)), BgL_vz00_2011);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2033> */
obj_t BGl_z62zc3anonymousza32033ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2012, obj_t BgL_oz00_2013)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2013), 
(int)(((long)0)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2029> */
obj_t BGl_z62zc3anonymousza32029ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2014)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__libuv_typesz00(obj_t BgL_envz00_2015, obj_t BgL_oz00_2016, obj_t BgL_vz00_2017)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
return 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_2016)))->BgL_z42onexitz42)=((obj_t)BgL_vz00_2017),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2027 */
obj_t BGl_z62lambda2027z62zz__libuv_typesz00(obj_t BgL_envz00_2018, obj_t BgL_oz00_2019)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 81 */
return 
(((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_2019)))->BgL_z42onexitz42);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2011> */
obj_t BGl_z62zc3anonymousza32011ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2020, obj_t BgL_new1220z00_2021)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 79 */
{ 
BgL_uvcheckz00_bglt BgL_auxz00_3462;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3479;
{ /* Llib/uvtypes.scm 79 */
obj_t BgL_classz00_2436;
BgL_classz00_2436 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 79 */
obj_t BgL__ortest_1106z00_2437;
BgL__ortest_1106z00_2437 = 
BGL_CLASS_NIL(BgL_classz00_2436); 
if(
CBOOL(BgL__ortest_1106z00_2437))
{ /* Llib/uvtypes.scm 79 */
BgL_auxz00_3479 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2437)
; }  else 
{ /* Llib/uvtypes.scm 79 */
BgL_auxz00_3479 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2436))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3479),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3462 = 
((BgL_uvcheckz00_bglt)BgL_new1220z00_2021); 
return 
((obj_t)BgL_auxz00_3462);} } 
BGL_FUNCTION_END;
}



/* &lambda2009 */
BgL_uvcheckz00_bglt BGl_z62lambda2009z62zz__libuv_typesz00(obj_t BgL_envz00_2022)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
BgL_uvcheckz00_bglt BgL_new1219z00_2438;
BgL_new1219z00_2438 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
long BgL_arg2010z00_2439;
{ /* Llib/uvtypes.scm 79 */
long BgL_res2250z00_2440;
BgL_res2250z00_2440 = 
BGL_CLASS_INDEX(BGl_UvCheckz00zz__libuv_typesz00); 
BgL_arg2010z00_2439 = BgL_res2250z00_2440; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_2438), BgL_arg2010z00_2439); } 
return BgL_new1219z00_2438;} } 
BGL_FUNCTION_END;
}



/* &lambda2006 */
BgL_uvcheckz00_bglt BGl_z62lambda2006z62zz__libuv_typesz00(obj_t BgL_envz00_2023, obj_t BgL_z42builtin1212z42_2024, obj_t BgL_z52onclose1213z52_2025, obj_t BgL_z52gcmarkshead1214z52_2026, obj_t BgL_z52gcmarkstail1215z52_2027, obj_t BgL_closed1216z00_2028, obj_t BgL_loop1217z00_2029, obj_t BgL_cb1218z00_2030)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
uv_handle_t * BgL_z42builtin1212z42_2441;bool_t BgL_closed1216z00_2444;
BgL_z42builtin1212z42_2441 = 
FOREIGN_TO_COBJ(BgL_z42builtin1212z42_2024); 
BgL_closed1216z00_2444 = 
CBOOL(BgL_closed1216z00_2028); 
{ /* Llib/uvtypes.scm 79 */
BgL_uvcheckz00_bglt BgL_new1275z00_2447;
{ /* Llib/uvtypes.scm 79 */
BgL_uvcheckz00_bglt BgL_new1274z00_2448;
BgL_new1274z00_2448 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
long BgL_arg2008z00_2449;
{ /* Llib/uvtypes.scm 79 */
long BgL_res2249z00_2450;
BgL_res2249z00_2450 = 
BGL_CLASS_INDEX(BGl_UvCheckz00zz__libuv_typesz00); 
BgL_arg2008z00_2449 = BgL_res2249z00_2450; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1274z00_2448), BgL_arg2008z00_2449); } 
BgL_new1275z00_2447 = BgL_new1274z00_2448; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2447)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1212z42_2441),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2447)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1213z52_2025),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2447)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1214z52_2026)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2447)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1215z52_2027)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1275z00_2447)))->BgL_closedz00)=((bool_t)BgL_closed1216z00_2444),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1275z00_2447)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1217z00_2029)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1275z00_2447)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1218z00_2030)),BUNSPEC); 
{ /* Llib/uvtypes.scm 79 */
obj_t BgL_fun2007z00_2451;
BgL_fun2007z00_2451 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvCheckz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun2007z00_2451)(BgL_fun2007z00_2451, 
((obj_t)BgL_new1275z00_2447), BEOA); } 
return BgL_new1275z00_2447;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2000> */
obj_t BGl_z62zc3anonymousza32000ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2031, obj_t BgL_new1210z00_2032)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 77 */
{ 
BgL_uvfspollz00_bglt BgL_auxz00_3528;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3545;
{ /* Llib/uvtypes.scm 77 */
obj_t BgL_classz00_2453;
BgL_classz00_2453 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 77 */
obj_t BgL__ortest_1106z00_2454;
BgL__ortest_1106z00_2454 = 
BGL_CLASS_NIL(BgL_classz00_2453); 
if(
CBOOL(BgL__ortest_1106z00_2454))
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3545 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2454)
; }  else 
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3545 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2453))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3545),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3528 = 
((BgL_uvfspollz00_bglt)BgL_new1210z00_2032); 
return 
((obj_t)BgL_auxz00_3528);} } 
BGL_FUNCTION_END;
}



/* &lambda1998 */
BgL_uvfspollz00_bglt BGl_z62lambda1998z62zz__libuv_typesz00(obj_t BgL_envz00_2033)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
BgL_uvfspollz00_bglt BgL_new1209z00_2455;
BgL_new1209z00_2455 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
long BgL_arg1999z00_2456;
{ /* Llib/uvtypes.scm 77 */
long BgL_res2248z00_2457;
BgL_res2248z00_2457 = 
BGL_CLASS_INDEX(BGl_UvFsPollz00zz__libuv_typesz00); 
BgL_arg1999z00_2456 = BgL_res2248z00_2457; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_2455), BgL_arg1999z00_2456); } 
return BgL_new1209z00_2455;} } 
BGL_FUNCTION_END;
}



/* &lambda1995 */
BgL_uvfspollz00_bglt BGl_z62lambda1995z62zz__libuv_typesz00(obj_t BgL_envz00_2034, obj_t BgL_z42builtin1202z42_2035, obj_t BgL_z52onclose1203z52_2036, obj_t BgL_z52gcmarkshead1204z52_2037, obj_t BgL_z52gcmarkstail1205z52_2038, obj_t BgL_closed1206z00_2039, obj_t BgL_loop1207z00_2040, obj_t BgL_cb1208z00_2041)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
uv_handle_t * BgL_z42builtin1202z42_2458;bool_t BgL_closed1206z00_2461;
BgL_z42builtin1202z42_2458 = 
FOREIGN_TO_COBJ(BgL_z42builtin1202z42_2035); 
BgL_closed1206z00_2461 = 
CBOOL(BgL_closed1206z00_2039); 
{ /* Llib/uvtypes.scm 77 */
BgL_uvfspollz00_bglt BgL_new1273z00_2464;
{ /* Llib/uvtypes.scm 77 */
BgL_uvfspollz00_bglt BgL_new1272z00_2465;
BgL_new1272z00_2465 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
long BgL_arg1997z00_2466;
{ /* Llib/uvtypes.scm 77 */
long BgL_res2247z00_2467;
BgL_res2247z00_2467 = 
BGL_CLASS_INDEX(BGl_UvFsPollz00zz__libuv_typesz00); 
BgL_arg1997z00_2466 = BgL_res2247z00_2467; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1272z00_2465), BgL_arg1997z00_2466); } 
BgL_new1273z00_2464 = BgL_new1272z00_2465; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2464)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1202z42_2458),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2464)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1203z52_2036),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2464)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1204z52_2037)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2464)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1205z52_2038)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1273z00_2464)))->BgL_closedz00)=((bool_t)BgL_closed1206z00_2461),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1273z00_2464)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1207z00_2040)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1273z00_2464)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1208z00_2041)),BUNSPEC); 
{ /* Llib/uvtypes.scm 77 */
obj_t BgL_fun1996z00_2468;
BgL_fun1996z00_2468 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsPollz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1996z00_2468)(BgL_fun1996z00_2468, 
((obj_t)BgL_new1273z00_2464), BEOA); } 
return BgL_new1273z00_2464;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1989> */
obj_t BGl_z62zc3anonymousza31989ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2042, obj_t BgL_new1200z00_2043)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 75 */
{ 
BgL_uvfseventz00_bglt BgL_auxz00_3594;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3611;
{ /* Llib/uvtypes.scm 75 */
obj_t BgL_classz00_2470;
BgL_classz00_2470 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 75 */
obj_t BgL__ortest_1106z00_2471;
BgL__ortest_1106z00_2471 = 
BGL_CLASS_NIL(BgL_classz00_2470); 
if(
CBOOL(BgL__ortest_1106z00_2471))
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3611 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2471)
; }  else 
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3611 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2470))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3611),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3594 = 
((BgL_uvfseventz00_bglt)BgL_new1200z00_2043); 
return 
((obj_t)BgL_auxz00_3594);} } 
BGL_FUNCTION_END;
}



/* &lambda1987 */
BgL_uvfseventz00_bglt BGl_z62lambda1987z62zz__libuv_typesz00(obj_t BgL_envz00_2044)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
BgL_uvfseventz00_bglt BgL_new1199z00_2472;
BgL_new1199z00_2472 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
long BgL_arg1988z00_2473;
{ /* Llib/uvtypes.scm 75 */
long BgL_res2246z00_2474;
BgL_res2246z00_2474 = 
BGL_CLASS_INDEX(BGl_UvFsEventz00zz__libuv_typesz00); 
BgL_arg1988z00_2473 = BgL_res2246z00_2474; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_2472), BgL_arg1988z00_2473); } 
return BgL_new1199z00_2472;} } 
BGL_FUNCTION_END;
}



/* &lambda1984 */
BgL_uvfseventz00_bglt BGl_z62lambda1984z62zz__libuv_typesz00(obj_t BgL_envz00_2045, obj_t BgL_z42builtin1192z42_2046, obj_t BgL_z52onclose1193z52_2047, obj_t BgL_z52gcmarkshead1194z52_2048, obj_t BgL_z52gcmarkstail1195z52_2049, obj_t BgL_closed1196z00_2050, obj_t BgL_loop1197z00_2051, obj_t BgL_cb1198z00_2052)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
uv_handle_t * BgL_z42builtin1192z42_2475;bool_t BgL_closed1196z00_2478;
BgL_z42builtin1192z42_2475 = 
FOREIGN_TO_COBJ(BgL_z42builtin1192z42_2046); 
BgL_closed1196z00_2478 = 
CBOOL(BgL_closed1196z00_2050); 
{ /* Llib/uvtypes.scm 75 */
BgL_uvfseventz00_bglt BgL_new1271z00_2481;
{ /* Llib/uvtypes.scm 75 */
BgL_uvfseventz00_bglt BgL_new1270z00_2482;
BgL_new1270z00_2482 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
long BgL_arg1986z00_2483;
{ /* Llib/uvtypes.scm 75 */
long BgL_res2245z00_2484;
BgL_res2245z00_2484 = 
BGL_CLASS_INDEX(BGl_UvFsEventz00zz__libuv_typesz00); 
BgL_arg1986z00_2483 = BgL_res2245z00_2484; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1270z00_2482), BgL_arg1986z00_2483); } 
BgL_new1271z00_2481 = BgL_new1270z00_2482; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2481)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1192z42_2475),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2481)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1193z52_2047),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2481)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1194z52_2048)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2481)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1195z52_2049)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1271z00_2481)))->BgL_closedz00)=((bool_t)BgL_closed1196z00_2478),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1271z00_2481)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1197z00_2051)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1271z00_2481)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1198z00_2052)),BUNSPEC); 
{ /* Llib/uvtypes.scm 75 */
obj_t BgL_fun1985z00_2485;
BgL_fun1985z00_2485 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsEventz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1985z00_2485)(BgL_fun1985z00_2485, 
((obj_t)BgL_new1271z00_2481), BEOA); } 
return BgL_new1271z00_2481;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1968> */
obj_t BGl_z62zc3anonymousza31968ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2053, obj_t BgL_new1190z00_2054)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
{ 
BgL_uvfilez00_bglt BgL_auxz00_3660;
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1190z00_2054)))->BgL_fdz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1190z00_2054)))->BgL_pathz00)=((obj_t)BGl_string2275z00zz__libuv_typesz00),BUNSPEC); 
BgL_auxz00_3660 = 
((BgL_uvfilez00_bglt)BgL_new1190z00_2054); 
return 
((obj_t)BgL_auxz00_3660);} } 
BGL_FUNCTION_END;
}



/* &lambda1966 */
BgL_uvfilez00_bglt BGl_z62lambda1966z62zz__libuv_typesz00(obj_t BgL_envz00_2055)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
{ /* Llib/uvtypes.scm 71 */
BgL_uvfilez00_bglt BgL_new1189z00_2487;
BgL_new1189z00_2487 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 71 */
long BgL_arg1967z00_2488;
{ /* Llib/uvtypes.scm 71 */
long BgL_res2244z00_2489;
BgL_res2244z00_2489 = 
BGL_CLASS_INDEX(BGl_UvFilez00zz__libuv_typesz00); 
BgL_arg1967z00_2488 = BgL_res2244z00_2489; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_2487), BgL_arg1967z00_2488); } 
return BgL_new1189z00_2487;} } 
BGL_FUNCTION_END;
}



/* &lambda1964 */
BgL_uvfilez00_bglt BGl_z62lambda1964z62zz__libuv_typesz00(obj_t BgL_envz00_2056, obj_t BgL_fd1187z00_2057, obj_t BgL_path1188z00_2058)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
{ /* Llib/uvtypes.scm 71 */
int BgL_fd1187z00_2490;
BgL_fd1187z00_2490 = 
CINT(BgL_fd1187z00_2057); 
{ /* Llib/uvtypes.scm 71 */
BgL_uvfilez00_bglt BgL_new1269z00_2492;
{ /* Llib/uvtypes.scm 71 */
BgL_uvfilez00_bglt BgL_new1268z00_2493;
BgL_new1268z00_2493 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 71 */
long BgL_arg1965z00_2494;
{ /* Llib/uvtypes.scm 71 */
long BgL_res2243z00_2495;
BgL_res2243z00_2495 = 
BGL_CLASS_INDEX(BGl_UvFilez00zz__libuv_typesz00); 
BgL_arg1965z00_2494 = BgL_res2243z00_2495; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1268z00_2493), BgL_arg1965z00_2494); } 
BgL_new1269z00_2492 = BgL_new1268z00_2493; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1269z00_2492))->BgL_fdz00)=((int)BgL_fd1187z00_2490),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1269z00_2492))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1188z00_2058)),BUNSPEC); 
return BgL_new1269z00_2492;} } } 
BGL_FUNCTION_END;
}



/* &lambda1978 */
obj_t BGl_z62lambda1978z62zz__libuv_typesz00(obj_t BgL_envz00_2059, obj_t BgL_oz00_2060, obj_t BgL_vz00_2061)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2060)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_2061)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1977 */
obj_t BGl_z62lambda1977z62zz__libuv_typesz00(obj_t BgL_envz00_2062, obj_t BgL_oz00_2063)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
return 
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2063)))->BgL_pathz00);} 
BGL_FUNCTION_END;
}



/* &lambda1973 */
obj_t BGl_z62lambda1973z62zz__libuv_typesz00(obj_t BgL_envz00_2064, obj_t BgL_oz00_2065, obj_t BgL_vz00_2066)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
{ /* Llib/uvtypes.scm 71 */
int BgL_vz00_2500;
BgL_vz00_2500 = 
CINT(BgL_vz00_2066); 
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2065)))->BgL_fdz00)=((int)BgL_vz00_2500),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__libuv_typesz00(obj_t BgL_envz00_2067, obj_t BgL_oz00_2068)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 71 */
return 
BINT(
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_2068)))->BgL_fdz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1953> */
obj_t BGl_z62zc3anonymousza31953ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2069, obj_t BgL_new1185z00_2070)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 68 */
{ 
BgL_uvpollz00_bglt BgL_auxz00_3691;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3708;
{ /* Llib/uvtypes.scm 68 */
obj_t BgL_classz00_2503;
BgL_classz00_2503 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 68 */
obj_t BgL__ortest_1106z00_2504;
BgL__ortest_1106z00_2504 = 
BGL_CLASS_NIL(BgL_classz00_2503); 
if(
CBOOL(BgL__ortest_1106z00_2504))
{ /* Llib/uvtypes.scm 68 */
BgL_auxz00_3708 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2504)
; }  else 
{ /* Llib/uvtypes.scm 68 */
BgL_auxz00_3708 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2503))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3708),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1185z00_2070))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_new1185z00_2070)))->BgL_fdz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_3691 = 
((BgL_uvpollz00_bglt)BgL_new1185z00_2070); 
return 
((obj_t)BgL_auxz00_3691);} } 
BGL_FUNCTION_END;
}



/* &lambda1951 */
BgL_uvpollz00_bglt BGl_z62lambda1951z62zz__libuv_typesz00(obj_t BgL_envz00_2071)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 68 */
{ /* Llib/uvtypes.scm 68 */
BgL_uvpollz00_bglt BgL_new1184z00_2505;
BgL_new1184z00_2505 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 68 */
long BgL_arg1952z00_2506;
{ /* Llib/uvtypes.scm 68 */
long BgL_res2242z00_2507;
BgL_res2242z00_2507 = 
BGL_CLASS_INDEX(BGl_UvPollz00zz__libuv_typesz00); 
BgL_arg1952z00_2506 = BgL_res2242z00_2507; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1184z00_2505), BgL_arg1952z00_2506); } 
return BgL_new1184z00_2505;} } 
BGL_FUNCTION_END;
}



/* &lambda1948 */
BgL_uvpollz00_bglt BGl_z62lambda1948z62zz__libuv_typesz00(obj_t BgL_envz00_2072, obj_t BgL_z42builtin1176z42_2073, obj_t BgL_z52onclose1177z52_2074, obj_t BgL_z52gcmarkshead1178z52_2075, obj_t BgL_z52gcmarkstail1179z52_2076, obj_t BgL_closed1180z00_2077, obj_t BgL_loop1181z00_2078, obj_t BgL_cb1182z00_2079, obj_t BgL_fd1183z00_2080)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 68 */
{ /* Llib/uvtypes.scm 68 */
uv_handle_t * BgL_z42builtin1176z42_2508;bool_t BgL_closed1180z00_2511;int BgL_fd1183z00_2514;
BgL_z42builtin1176z42_2508 = 
FOREIGN_TO_COBJ(BgL_z42builtin1176z42_2073); 
BgL_closed1180z00_2511 = 
CBOOL(BgL_closed1180z00_2077); 
BgL_fd1183z00_2514 = 
CINT(BgL_fd1183z00_2080); 
{ /* Llib/uvtypes.scm 68 */
BgL_uvpollz00_bglt BgL_new1267z00_2515;
{ /* Llib/uvtypes.scm 68 */
BgL_uvpollz00_bglt BgL_new1266z00_2516;
BgL_new1266z00_2516 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 68 */
long BgL_arg1950z00_2517;
{ /* Llib/uvtypes.scm 68 */
long BgL_res2241z00_2518;
BgL_res2241z00_2518 = 
BGL_CLASS_INDEX(BGl_UvPollz00zz__libuv_typesz00); 
BgL_arg1950z00_2517 = BgL_res2241z00_2518; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1266z00_2516), BgL_arg1950z00_2517); } 
BgL_new1267z00_2515 = BgL_new1266z00_2516; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2515)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1176z42_2508),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2515)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1177z52_2074),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2515)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1178z52_2075)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2515)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1179z52_2076)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1267z00_2515)))->BgL_closedz00)=((bool_t)BgL_closed1180z00_2511),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1267z00_2515)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1181z00_2078)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1267z00_2515)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1182z00_2079)),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(BgL_new1267z00_2515))->BgL_fdz00)=((int)BgL_fd1183z00_2514),BUNSPEC); 
{ /* Llib/uvtypes.scm 68 */
obj_t BgL_fun1949z00_2519;
BgL_fun1949z00_2519 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPollz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1949z00_2519)(BgL_fun1949z00_2519, 
((obj_t)BgL_new1267z00_2515), BEOA); } 
return BgL_new1267z00_2515;} } } 
BGL_FUNCTION_END;
}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__libuv_typesz00(obj_t BgL_envz00_2081, obj_t BgL_oz00_2082, obj_t BgL_vz00_2083)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 68 */
{ /* Llib/uvtypes.scm 68 */
int BgL_vz00_2521;
BgL_vz00_2521 = 
CINT(BgL_vz00_2083); 
return 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2082)))->BgL_fdz00)=((int)BgL_vz00_2521),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__libuv_typesz00(obj_t BgL_envz00_2084, obj_t BgL_oz00_2085)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 68 */
return 
BINT(
(((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2085)))->BgL_fdz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1942> */
obj_t BGl_z62zc3anonymousza31942ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2086, obj_t BgL_new1174z00_2087)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 66 */
{ 
BgL_uvasyncz00_bglt BgL_auxz00_3768;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3785;
{ /* Llib/uvtypes.scm 66 */
obj_t BgL_classz00_2524;
BgL_classz00_2524 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 66 */
obj_t BgL__ortest_1106z00_2525;
BgL__ortest_1106z00_2525 = 
BGL_CLASS_NIL(BgL_classz00_2524); 
if(
CBOOL(BgL__ortest_1106z00_2525))
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3785 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2525)
; }  else 
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3785 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2524))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3785),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3768 = 
((BgL_uvasyncz00_bglt)BgL_new1174z00_2087); 
return 
((obj_t)BgL_auxz00_3768);} } 
BGL_FUNCTION_END;
}



/* &lambda1940 */
BgL_uvasyncz00_bglt BGl_z62lambda1940z62zz__libuv_typesz00(obj_t BgL_envz00_2088)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
BgL_uvasyncz00_bglt BgL_new1173z00_2526;
BgL_new1173z00_2526 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
long BgL_arg1941z00_2527;
{ /* Llib/uvtypes.scm 66 */
long BgL_res2240z00_2528;
BgL_res2240z00_2528 = 
BGL_CLASS_INDEX(BGl_UvAsyncz00zz__libuv_typesz00); 
BgL_arg1941z00_2527 = BgL_res2240z00_2528; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_2526), BgL_arg1941z00_2527); } 
return BgL_new1173z00_2526;} } 
BGL_FUNCTION_END;
}



/* &lambda1937 */
BgL_uvasyncz00_bglt BGl_z62lambda1937z62zz__libuv_typesz00(obj_t BgL_envz00_2089, obj_t BgL_z42builtin1166z42_2090, obj_t BgL_z52onclose1167z52_2091, obj_t BgL_z52gcmarkshead1168z52_2092, obj_t BgL_z52gcmarkstail1169z52_2093, obj_t BgL_closed1170z00_2094, obj_t BgL_loop1171z00_2095, obj_t BgL_cb1172z00_2096)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
uv_handle_t * BgL_z42builtin1166z42_2529;bool_t BgL_closed1170z00_2532;
BgL_z42builtin1166z42_2529 = 
FOREIGN_TO_COBJ(BgL_z42builtin1166z42_2090); 
BgL_closed1170z00_2532 = 
CBOOL(BgL_closed1170z00_2094); 
{ /* Llib/uvtypes.scm 66 */
BgL_uvasyncz00_bglt BgL_new1265z00_2535;
{ /* Llib/uvtypes.scm 66 */
BgL_uvasyncz00_bglt BgL_new1264z00_2536;
BgL_new1264z00_2536 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
long BgL_arg1939z00_2537;
{ /* Llib/uvtypes.scm 66 */
long BgL_res2239z00_2538;
BgL_res2239z00_2538 = 
BGL_CLASS_INDEX(BGl_UvAsyncz00zz__libuv_typesz00); 
BgL_arg1939z00_2537 = BgL_res2239z00_2538; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1264z00_2536), BgL_arg1939z00_2537); } 
BgL_new1265z00_2535 = BgL_new1264z00_2536; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2535)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1166z42_2529),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2535)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1167z52_2091),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2535)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1168z52_2092)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2535)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1169z52_2093)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1265z00_2535)))->BgL_closedz00)=((bool_t)BgL_closed1170z00_2532),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1265z00_2535)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1171z00_2095)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1265z00_2535)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1172z00_2096)),BUNSPEC); 
{ /* Llib/uvtypes.scm 66 */
obj_t BgL_fun1938z00_2539;
BgL_fun1938z00_2539 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvAsyncz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1938z00_2539)(BgL_fun1938z00_2539, 
((obj_t)BgL_new1265z00_2535), BEOA); } 
return BgL_new1265z00_2535;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1931> */
obj_t BGl_z62zc3anonymousza31931ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2097, obj_t BgL_new1164z00_2098)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 64 */
{ 
BgL_uvidlez00_bglt BgL_auxz00_3834;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3851;
{ /* Llib/uvtypes.scm 64 */
obj_t BgL_classz00_2541;
BgL_classz00_2541 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 64 */
obj_t BgL__ortest_1106z00_2542;
BgL__ortest_1106z00_2542 = 
BGL_CLASS_NIL(BgL_classz00_2541); 
if(
CBOOL(BgL__ortest_1106z00_2542))
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3851 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2542)
; }  else 
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3851 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2541))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3851),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1164z00_2098))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3834 = 
((BgL_uvidlez00_bglt)BgL_new1164z00_2098); 
return 
((obj_t)BgL_auxz00_3834);} } 
BGL_FUNCTION_END;
}



/* &lambda1929 */
BgL_uvidlez00_bglt BGl_z62lambda1929z62zz__libuv_typesz00(obj_t BgL_envz00_2099)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
BgL_uvidlez00_bglt BgL_new1163z00_2543;
BgL_new1163z00_2543 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
long BgL_arg1930z00_2544;
{ /* Llib/uvtypes.scm 64 */
long BgL_res2238z00_2545;
BgL_res2238z00_2545 = 
BGL_CLASS_INDEX(BGl_UvIdlez00zz__libuv_typesz00); 
BgL_arg1930z00_2544 = BgL_res2238z00_2545; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_2543), BgL_arg1930z00_2544); } 
return BgL_new1163z00_2543;} } 
BGL_FUNCTION_END;
}



/* &lambda1926 */
BgL_uvidlez00_bglt BGl_z62lambda1926z62zz__libuv_typesz00(obj_t BgL_envz00_2100, obj_t BgL_z42builtin1156z42_2101, obj_t BgL_z52onclose1157z52_2102, obj_t BgL_z52gcmarkshead1158z52_2103, obj_t BgL_z52gcmarkstail1159z52_2104, obj_t BgL_closed1160z00_2105, obj_t BgL_loop1161z00_2106, obj_t BgL_cb1162z00_2107)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
uv_handle_t * BgL_z42builtin1156z42_2546;bool_t BgL_closed1160z00_2549;
BgL_z42builtin1156z42_2546 = 
FOREIGN_TO_COBJ(BgL_z42builtin1156z42_2101); 
BgL_closed1160z00_2549 = 
CBOOL(BgL_closed1160z00_2105); 
{ /* Llib/uvtypes.scm 64 */
BgL_uvidlez00_bglt BgL_new1263z00_2552;
{ /* Llib/uvtypes.scm 64 */
BgL_uvidlez00_bglt BgL_new1262z00_2553;
BgL_new1262z00_2553 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
long BgL_arg1928z00_2554;
{ /* Llib/uvtypes.scm 64 */
long BgL_res2237z00_2555;
BgL_res2237z00_2555 = 
BGL_CLASS_INDEX(BGl_UvIdlez00zz__libuv_typesz00); 
BgL_arg1928z00_2554 = BgL_res2237z00_2555; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1262z00_2553), BgL_arg1928z00_2554); } 
BgL_new1263z00_2552 = BgL_new1262z00_2553; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2552)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1156z42_2546),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2552)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1157z52_2102),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2552)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1158z52_2103)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2552)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1159z52_2104)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1263z00_2552)))->BgL_closedz00)=((bool_t)BgL_closed1160z00_2549),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1263z00_2552)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1161z00_2106)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1263z00_2552)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1162z00_2107)),BUNSPEC); 
{ /* Llib/uvtypes.scm 64 */
obj_t BgL_fun1927z00_2556;
BgL_fun1927z00_2556 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvIdlez00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1927z00_2556)(BgL_fun1927z00_2556, 
((obj_t)BgL_new1263z00_2552), BEOA); } 
return BgL_new1263z00_2552;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1906> */
obj_t BGl_z62zc3anonymousza31906ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2108, obj_t BgL_new1154z00_2109)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
{ 
BgL_uvtimerz00_bglt BgL_auxz00_3900;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_3917;
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_classz00_2558;
BgL_classz00_2558 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 60 */
obj_t BgL__ortest_1106z00_2559;
BgL__ortest_1106z00_2559 = 
BGL_CLASS_NIL(BgL_classz00_2558); 
if(
CBOOL(BgL__ortest_1106z00_2559))
{ /* Llib/uvtypes.scm 60 */
BgL_auxz00_3917 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2559)
; }  else 
{ /* Llib/uvtypes.scm 60 */
BgL_auxz00_3917 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2558))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3917),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109)))->BgL_repeatz00)=((uint64_t)
0L),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109)))->BgL_refz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3900 = 
((BgL_uvtimerz00_bglt)BgL_new1154z00_2109); 
return 
((obj_t)BgL_auxz00_3900);} } 
BGL_FUNCTION_END;
}



/* &lambda1904 */
BgL_uvtimerz00_bglt BGl_z62lambda1904z62zz__libuv_typesz00(obj_t BgL_envz00_2110)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
BgL_uvtimerz00_bglt BgL_new1153z00_2560;
BgL_new1153z00_2560 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 60 */
long BgL_arg1905z00_2561;
{ /* Llib/uvtypes.scm 60 */
long BgL_res2236z00_2562;
BgL_res2236z00_2562 = 
BGL_CLASS_INDEX(BGl_UvTimerz00zz__libuv_typesz00); 
BgL_arg1905z00_2561 = BgL_res2236z00_2562; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_2560), BgL_arg1905z00_2561); } 
return BgL_new1153z00_2560;} } 
BGL_FUNCTION_END;
}



/* &lambda1901 */
BgL_uvtimerz00_bglt BGl_z62lambda1901z62zz__libuv_typesz00(obj_t BgL_envz00_2111, obj_t BgL_z42builtin1144z42_2112, obj_t BgL_z52onclose1145z52_2113, obj_t BgL_z52gcmarkshead1146z52_2114, obj_t BgL_z52gcmarkstail1147z52_2115, obj_t BgL_closed1148z00_2116, obj_t BgL_loop1149z00_2117, obj_t BgL_cb1150z00_2118, obj_t BgL_repeat1151z00_2119, obj_t BgL_ref1152z00_2120)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
uv_handle_t * BgL_z42builtin1144z42_2563;bool_t BgL_closed1148z00_2566;uint64_t BgL_repeat1151z00_2569;bool_t BgL_ref1152z00_2570;
BgL_z42builtin1144z42_2563 = 
FOREIGN_TO_COBJ(BgL_z42builtin1144z42_2112); 
BgL_closed1148z00_2566 = 
CBOOL(BgL_closed1148z00_2116); 
BgL_repeat1151z00_2569 = 
BGL_BINT64_TO_INT64(BgL_repeat1151z00_2119); 
BgL_ref1152z00_2570 = 
CBOOL(BgL_ref1152z00_2120); 
{ /* Llib/uvtypes.scm 60 */
BgL_uvtimerz00_bglt BgL_new1261z00_2571;
{ /* Llib/uvtypes.scm 60 */
BgL_uvtimerz00_bglt BgL_new1260z00_2572;
BgL_new1260z00_2572 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 60 */
long BgL_arg1903z00_2573;
{ /* Llib/uvtypes.scm 60 */
long BgL_res2235z00_2574;
BgL_res2235z00_2574 = 
BGL_CLASS_INDEX(BGl_UvTimerz00zz__libuv_typesz00); 
BgL_arg1903z00_2573 = BgL_res2235z00_2574; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1260z00_2572), BgL_arg1903z00_2573); } 
BgL_new1261z00_2571 = BgL_new1260z00_2572; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2571)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1144z42_2563),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2571)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1145z52_2113),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2571)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1146z52_2114)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2571)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1147z52_2115)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1261z00_2571)))->BgL_closedz00)=((bool_t)BgL_closed1148z00_2566),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1261z00_2571)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1149z00_2117)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1261z00_2571)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1150z00_2118)),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1261z00_2571))->BgL_repeatz00)=((uint64_t)BgL_repeat1151z00_2569),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1261z00_2571))->BgL_refz00)=((bool_t)BgL_ref1152z00_2570),BUNSPEC); 
{ /* Llib/uvtypes.scm 60 */
obj_t BgL_fun1902z00_2575;
BgL_fun1902z00_2575 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTimerz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1902z00_2575)(BgL_fun1902z00_2575, 
((obj_t)BgL_new1261z00_2571), BEOA); } 
return BgL_new1261z00_2571;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1920> */
obj_t BGl_z62zc3anonymousza31920ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2121)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
return 
BBOOL(((bool_t)1));} 
BGL_FUNCTION_END;
}



/* &lambda1919 */
obj_t BGl_z62lambda1919z62zz__libuv_typesz00(obj_t BgL_envz00_2122, obj_t BgL_oz00_2123, obj_t BgL_vz00_2124)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
bool_t BgL_vz00_2577;
BgL_vz00_2577 = 
CBOOL(BgL_vz00_2124); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2123)))->BgL_refz00)=((bool_t)BgL_vz00_2577),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__libuv_typesz00(obj_t BgL_envz00_2125, obj_t BgL_oz00_2126)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
return 
BBOOL(
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2126)))->BgL_refz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1913> */
obj_t BGl_z62zc3anonymousza31913ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2127)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
return 
BGL_UINT64_TO_BUINT64((uint64_t)(0));} 
BGL_FUNCTION_END;
}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__libuv_typesz00(obj_t BgL_envz00_2128, obj_t BgL_oz00_2129, obj_t BgL_vz00_2130)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
uint64_t BgL_vz00_2580;
BgL_vz00_2580 = 
BGL_BINT64_TO_INT64(BgL_vz00_2130); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2129)))->BgL_repeatz00)=((uint64_t)BgL_vz00_2580),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__libuv_typesz00(obj_t BgL_envz00_2131, obj_t BgL_oz00_2132)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 60 */
{ /* Llib/uvtypes.scm 60 */
uint64_t BgL_tmpz00_3986;
BgL_tmpz00_3986 = 
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2132)))->BgL_repeatz00); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_3986);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1885> */
obj_t BGl_z62zc3anonymousza31885ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2133, obj_t BgL_new1142z00_2134)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
{ 
BgL_uvttyz00_bglt BgL_auxz00_3990;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_4007;
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_classz00_2583;
BgL_classz00_2583 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 56 */
obj_t BgL__ortest_1106z00_2584;
BgL__ortest_1106z00_2584 = 
BGL_CLASS_NIL(BgL_classz00_2583); 
if(
CBOOL(BgL__ortest_1106z00_2584))
{ /* Llib/uvtypes.scm 56 */
BgL_auxz00_4007 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2584)
; }  else 
{ /* Llib/uvtypes.scm 56 */
BgL_auxz00_4007 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2583))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4007),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1142z00_2134))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1142z00_2134)))->BgL_fdz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1142z00_2134)))->BgL_readablez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3990 = 
((BgL_uvttyz00_bglt)BgL_new1142z00_2134); 
return 
((obj_t)BgL_auxz00_3990);} } 
BGL_FUNCTION_END;
}



/* &lambda1883 */
BgL_uvttyz00_bglt BGl_z62lambda1883z62zz__libuv_typesz00(obj_t BgL_envz00_2135)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
BgL_uvttyz00_bglt BgL_new1141z00_2585;
BgL_new1141z00_2585 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 56 */
long BgL_arg1884z00_2586;
{ /* Llib/uvtypes.scm 56 */
long BgL_res2234z00_2587;
BgL_res2234z00_2587 = 
BGL_CLASS_INDEX(BGl_UvTtyz00zz__libuv_typesz00); 
BgL_arg1884z00_2586 = BgL_res2234z00_2587; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2585), BgL_arg1884z00_2586); } 
return BgL_new1141z00_2585;} } 
BGL_FUNCTION_END;
}



/* &lambda1880 */
BgL_uvttyz00_bglt BGl_z62lambda1880z62zz__libuv_typesz00(obj_t BgL_envz00_2136, obj_t BgL_z42builtin1128z42_2137, obj_t BgL_z52onclose1129z52_2138, obj_t BgL_z52gcmarkshead1130z52_2139, obj_t BgL_z52gcmarkstail1131z52_2140, obj_t BgL_closed1132z00_2141, obj_t BgL_loop1133z00_2142, obj_t BgL_z52alloc1134z52_2143, obj_t BgL_z52offset1135z52_2144, obj_t BgL_z52proca1136z52_2145, obj_t BgL_z52procc1137z52_2146, obj_t BgL_z52callback1138z52_2147, obj_t BgL_fd1139z00_2148, obj_t BgL_readable1140z00_2149)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
uv_handle_t * BgL_z42builtin1128z42_2588;bool_t BgL_closed1132z00_2591;int BgL_fd1139z00_2593;bool_t BgL_readable1140z00_2594;
BgL_z42builtin1128z42_2588 = 
FOREIGN_TO_COBJ(BgL_z42builtin1128z42_2137); 
BgL_closed1132z00_2591 = 
CBOOL(BgL_closed1132z00_2141); 
BgL_fd1139z00_2593 = 
CINT(BgL_fd1139z00_2148); 
BgL_readable1140z00_2594 = 
CBOOL(BgL_readable1140z00_2149); 
{ /* Llib/uvtypes.scm 56 */
BgL_uvttyz00_bglt BgL_new1259z00_2595;
{ /* Llib/uvtypes.scm 56 */
BgL_uvttyz00_bglt BgL_new1258z00_2596;
BgL_new1258z00_2596 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 56 */
long BgL_arg1882z00_2597;
{ /* Llib/uvtypes.scm 56 */
long BgL_res2233z00_2598;
BgL_res2233z00_2598 = 
BGL_CLASS_INDEX(BGl_UvTtyz00zz__libuv_typesz00); 
BgL_arg1882z00_2597 = BgL_res2233z00_2598; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1258z00_2596), BgL_arg1882z00_2597); } 
BgL_new1259z00_2595 = BgL_new1258z00_2596; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2595)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1128z42_2588),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2595)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1129z52_2138),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2595)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1130z52_2139)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2595)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1131z52_2140)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1259z00_2595)))->BgL_closedz00)=((bool_t)BgL_closed1132z00_2591),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2595)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1133z00_2142)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2595)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1134z52_2143),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2595)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1135z52_2144),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2595)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1136z52_2145),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2595)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1137z52_2146),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1259z00_2595)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1138z52_2147),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1259z00_2595))->BgL_fdz00)=((int)BgL_fd1139z00_2593),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1259z00_2595))->BgL_readablez00)=((bool_t)BgL_readable1140z00_2594),BUNSPEC); 
{ /* Llib/uvtypes.scm 56 */
obj_t BgL_fun1881z00_2599;
BgL_fun1881z00_2599 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTtyz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1881z00_2599)(BgL_fun1881z00_2599, 
((obj_t)BgL_new1259z00_2595), BEOA); } 
return BgL_new1259z00_2595;} } } 
BGL_FUNCTION_END;
}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zz__libuv_typesz00(obj_t BgL_envz00_2150, obj_t BgL_oz00_2151, obj_t BgL_vz00_2152)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
bool_t BgL_vz00_2601;
BgL_vz00_2601 = 
CBOOL(BgL_vz00_2152); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2151)))->BgL_readablez00)=((bool_t)BgL_vz00_2601),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1894 */
obj_t BGl_z62lambda1894z62zz__libuv_typesz00(obj_t BgL_envz00_2153, obj_t BgL_oz00_2154)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
return 
BBOOL(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2154)))->BgL_readablez00));} 
BGL_FUNCTION_END;
}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__libuv_typesz00(obj_t BgL_envz00_2155, obj_t BgL_oz00_2156, obj_t BgL_vz00_2157)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
{ /* Llib/uvtypes.scm 56 */
int BgL_vz00_2604;
BgL_vz00_2604 = 
CINT(BgL_vz00_2157); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2156)))->BgL_fdz00)=((int)BgL_vz00_2604),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1889 */
obj_t BGl_z62lambda1889z62zz__libuv_typesz00(obj_t BgL_envz00_2158, obj_t BgL_oz00_2159)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 56 */
return 
BINT(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2159)))->BgL_fdz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1869> */
obj_t BGl_z62zc3anonymousza31869ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2160, obj_t BgL_new1126z00_2161)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 53 */
{ 
BgL_uvpipez00_bglt BgL_auxz00_4096;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_4113;
{ /* Llib/uvtypes.scm 53 */
obj_t BgL_classz00_2607;
BgL_classz00_2607 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 53 */
obj_t BgL__ortest_1106z00_2608;
BgL__ortest_1106z00_2608 = 
BGL_CLASS_NIL(BgL_classz00_2607); 
if(
CBOOL(BgL__ortest_1106z00_2608))
{ /* Llib/uvtypes.scm 53 */
BgL_auxz00_4113 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2608)
; }  else 
{ /* Llib/uvtypes.scm 53 */
BgL_auxz00_4113 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2607))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4113),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1126z00_2161))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_new1126z00_2161)))->BgL_ipcz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4096 = 
((BgL_uvpipez00_bglt)BgL_new1126z00_2161); 
return 
((obj_t)BgL_auxz00_4096);} } 
BGL_FUNCTION_END;
}



/* &lambda1867 */
BgL_uvpipez00_bglt BGl_z62lambda1867z62zz__libuv_typesz00(obj_t BgL_envz00_2162)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 53 */
{ /* Llib/uvtypes.scm 53 */
BgL_uvpipez00_bglt BgL_new1125z00_2609;
BgL_new1125z00_2609 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 53 */
long BgL_arg1868z00_2610;
{ /* Llib/uvtypes.scm 53 */
long BgL_res2232z00_2611;
BgL_res2232z00_2611 = 
BGL_CLASS_INDEX(BGl_UvPipez00zz__libuv_typesz00); 
BgL_arg1868z00_2610 = BgL_res2232z00_2611; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2609), BgL_arg1868z00_2610); } 
return BgL_new1125z00_2609;} } 
BGL_FUNCTION_END;
}



/* &lambda1864 */
BgL_uvpipez00_bglt BGl_z62lambda1864z62zz__libuv_typesz00(obj_t BgL_envz00_2163, obj_t BgL_z42builtin1113z42_2164, obj_t BgL_z52onclose1114z52_2165, obj_t BgL_z52gcmarkshead1115z52_2166, obj_t BgL_z52gcmarkstail1116z52_2167, obj_t BgL_closed1117z00_2168, obj_t BgL_loop1118z00_2169, obj_t BgL_z52alloc1119z52_2170, obj_t BgL_z52offset1120z52_2171, obj_t BgL_z52proca1121z52_2172, obj_t BgL_z52procc1122z52_2173, obj_t BgL_z52callback1123z52_2174, obj_t BgL_ipc1124z00_2175)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 53 */
{ /* Llib/uvtypes.scm 53 */
uv_handle_t * BgL_z42builtin1113z42_2612;bool_t BgL_closed1117z00_2615;bool_t BgL_ipc1124z00_2617;
BgL_z42builtin1113z42_2612 = 
FOREIGN_TO_COBJ(BgL_z42builtin1113z42_2164); 
BgL_closed1117z00_2615 = 
CBOOL(BgL_closed1117z00_2168); 
BgL_ipc1124z00_2617 = 
CBOOL(BgL_ipc1124z00_2175); 
{ /* Llib/uvtypes.scm 53 */
BgL_uvpipez00_bglt BgL_new1257z00_2618;
{ /* Llib/uvtypes.scm 53 */
BgL_uvpipez00_bglt BgL_new1256z00_2619;
BgL_new1256z00_2619 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 53 */
long BgL_arg1866z00_2620;
{ /* Llib/uvtypes.scm 53 */
long BgL_res2231z00_2621;
BgL_res2231z00_2621 = 
BGL_CLASS_INDEX(BGl_UvPipez00zz__libuv_typesz00); 
BgL_arg1866z00_2620 = BgL_res2231z00_2621; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1256z00_2619), BgL_arg1866z00_2620); } 
BgL_new1257z00_2618 = BgL_new1256z00_2619; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2618)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1113z42_2612),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2618)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1114z52_2165),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2618)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1115z52_2166)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2618)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1116z52_2167)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1257z00_2618)))->BgL_closedz00)=((bool_t)BgL_closed1117z00_2615),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2618)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1118z00_2169)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2618)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1119z52_2170),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2618)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1120z52_2171),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2618)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1121z52_2172),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2618)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1122z52_2173),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1257z00_2618)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1123z52_2174),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(BgL_new1257z00_2618))->BgL_ipcz00)=((bool_t)BgL_ipc1124z00_2617),BUNSPEC); 
{ /* Llib/uvtypes.scm 53 */
obj_t BgL_fun1865z00_2622;
BgL_fun1865z00_2622 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPipez00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1865z00_2622)(BgL_fun1865z00_2622, 
((obj_t)BgL_new1257z00_2618), BEOA); } 
return BgL_new1257z00_2618;} } } 
BGL_FUNCTION_END;
}



/* &lambda1874 */
obj_t BGl_z62lambda1874z62zz__libuv_typesz00(obj_t BgL_envz00_2176, obj_t BgL_oz00_2177, obj_t BgL_vz00_2178)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 53 */
{ /* Llib/uvtypes.scm 53 */
bool_t BgL_vz00_2624;
BgL_vz00_2624 = 
CBOOL(BgL_vz00_2178); 
return 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2177)))->BgL_ipcz00)=((bool_t)BgL_vz00_2624),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__libuv_typesz00(obj_t BgL_envz00_2179, obj_t BgL_oz00_2180)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 53 */
return 
BBOOL(
(((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2180)))->BgL_ipcz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1851> */
obj_t BGl_z62zc3anonymousza31851ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2181, obj_t BgL_new1111z00_2182)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 50 */
{ 
BgL_uvudpz00_bglt BgL_auxz00_4191;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_4208;
{ /* Llib/uvtypes.scm 50 */
obj_t BgL_classz00_2627;
BgL_classz00_2627 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 50 */
obj_t BgL__ortest_1106z00_2628;
BgL__ortest_1106z00_2628 = 
BGL_CLASS_NIL(BgL_classz00_2627); 
if(
CBOOL(BgL__ortest_1106z00_2628))
{ /* Llib/uvtypes.scm 50 */
BgL_auxz00_4208 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2628)
; }  else 
{ /* Llib/uvtypes.scm 50 */
BgL_auxz00_4208 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2627))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4208),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1111z00_2182))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_new1111z00_2182)))->BgL_z52procmz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4191 = 
((BgL_uvudpz00_bglt)BgL_new1111z00_2182); 
return 
((obj_t)BgL_auxz00_4191);} } 
BGL_FUNCTION_END;
}



/* &lambda1849 */
BgL_uvudpz00_bglt BGl_z62lambda1849z62zz__libuv_typesz00(obj_t BgL_envz00_2183)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 50 */
{ /* Llib/uvtypes.scm 50 */
BgL_uvudpz00_bglt BgL_new1110z00_2629;
BgL_new1110z00_2629 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 50 */
long BgL_arg1850z00_2630;
{ /* Llib/uvtypes.scm 50 */
long BgL_res2230z00_2631;
BgL_res2230z00_2631 = 
BGL_CLASS_INDEX(BGl_UvUdpz00zz__libuv_typesz00); 
BgL_arg1850z00_2630 = BgL_res2230z00_2631; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2629), BgL_arg1850z00_2630); } 
return BgL_new1110z00_2629;} } 
BGL_FUNCTION_END;
}



/* &lambda1846 */
BgL_uvudpz00_bglt BGl_z62lambda1846z62zz__libuv_typesz00(obj_t BgL_envz00_2184, obj_t BgL_z42builtin1098z42_2185, obj_t BgL_z52onclose1099z52_2186, obj_t BgL_z52gcmarkshead1100z52_2187, obj_t BgL_z52gcmarkstail1101z52_2188, obj_t BgL_closed1102z00_2189, obj_t BgL_loop1103z00_2190, obj_t BgL_z52alloc1104z52_2191, obj_t BgL_z52offset1105z52_2192, obj_t BgL_z52proca1106z52_2193, obj_t BgL_z52procc1107z52_2194, obj_t BgL_z52callback1108z52_2195, obj_t BgL_z52procm1109z52_2196)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 50 */
{ /* Llib/uvtypes.scm 50 */
uv_handle_t * BgL_z42builtin1098z42_2632;bool_t BgL_closed1102z00_2635;
BgL_z42builtin1098z42_2632 = 
FOREIGN_TO_COBJ(BgL_z42builtin1098z42_2185); 
BgL_closed1102z00_2635 = 
CBOOL(BgL_closed1102z00_2189); 
{ /* Llib/uvtypes.scm 50 */
BgL_uvudpz00_bglt BgL_new1255z00_2638;
{ /* Llib/uvtypes.scm 50 */
BgL_uvudpz00_bglt BgL_new1254z00_2639;
BgL_new1254z00_2639 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 50 */
long BgL_arg1848z00_2640;
{ /* Llib/uvtypes.scm 50 */
long BgL_res2229z00_2641;
BgL_res2229z00_2641 = 
BGL_CLASS_INDEX(BGl_UvUdpz00zz__libuv_typesz00); 
BgL_arg1848z00_2640 = BgL_res2229z00_2641; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1254z00_2639), BgL_arg1848z00_2640); } 
BgL_new1255z00_2638 = BgL_new1254z00_2639; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2638)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1098z42_2632),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2638)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1099z52_2186),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2638)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1100z52_2187)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2638)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1101z52_2188)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1255z00_2638)))->BgL_closedz00)=((bool_t)BgL_closed1102z00_2635),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2638)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1103z00_2190)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2638)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1104z52_2191),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2638)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1105z52_2192),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2638)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1106z52_2193),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2638)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1107z52_2194),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1255z00_2638)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1108z52_2195),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(BgL_new1255z00_2638))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_z52procm1109z52_2196)),BUNSPEC); 
{ /* Llib/uvtypes.scm 50 */
obj_t BgL_fun1847z00_2642;
BgL_fun1847z00_2642 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvUdpz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1847z00_2642)(BgL_fun1847z00_2642, 
((obj_t)BgL_new1255z00_2638), BEOA); } 
return BgL_new1255z00_2638;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1858> */
obj_t BGl_z62zc3anonymousza31858ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2197)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 50 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__libuv_typesz00(obj_t BgL_envz00_2198, obj_t BgL_oz00_2199, obj_t BgL_vz00_2200)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 50 */
return 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2199)))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_vz00_2200)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__libuv_typesz00(obj_t BgL_envz00_2201, obj_t BgL_oz00_2202)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 50 */
return 
(((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2202)))->BgL_z52procmz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1840> */
obj_t BGl_z62zc3anonymousza31840ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2203, obj_t BgL_new1096z00_2204)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 48 */
{ 
BgL_uvtcpz00_bglt BgL_auxz00_4285;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_4302;
{ /* Llib/uvtypes.scm 48 */
obj_t BgL_classz00_2647;
BgL_classz00_2647 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 48 */
obj_t BgL__ortest_1106z00_2648;
BgL__ortest_1106z00_2648 = 
BGL_CLASS_NIL(BgL_classz00_2647); 
if(
CBOOL(BgL__ortest_1106z00_2648))
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4302 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2648)
; }  else 
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4302 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2647))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4302),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204))))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4285 = 
((BgL_uvtcpz00_bglt)BgL_new1096z00_2204); 
return 
((obj_t)BgL_auxz00_4285);} } 
BGL_FUNCTION_END;
}



/* &lambda1838 */
BgL_uvtcpz00_bglt BGl_z62lambda1838z62zz__libuv_typesz00(obj_t BgL_envz00_2205)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
BgL_uvtcpz00_bglt BgL_new1095z00_2649;
BgL_new1095z00_2649 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
long BgL_arg1839z00_2650;
{ /* Llib/uvtypes.scm 48 */
long BgL_res2228z00_2651;
BgL_res2228z00_2651 = 
BGL_CLASS_INDEX(BGl_UvTcpz00zz__libuv_typesz00); 
BgL_arg1839z00_2650 = BgL_res2228z00_2651; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1095z00_2649), BgL_arg1839z00_2650); } 
return BgL_new1095z00_2649;} } 
BGL_FUNCTION_END;
}



/* &lambda1835 */
BgL_uvtcpz00_bglt BGl_z62lambda1835z62zz__libuv_typesz00(obj_t BgL_envz00_2206, obj_t BgL_z42builtin1084z42_2207, obj_t BgL_z52onclose1085z52_2208, obj_t BgL_z52gcmarkshead1086z52_2209, obj_t BgL_z52gcmarkstail1087z52_2210, obj_t BgL_closed1088z00_2211, obj_t BgL_loop1089z00_2212, obj_t BgL_z52alloc1090z52_2213, obj_t BgL_z52offset1091z52_2214, obj_t BgL_z52proca1092z52_2215, obj_t BgL_z52procc1093z52_2216, obj_t BgL_z52callback1094z52_2217)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
uv_handle_t * BgL_z42builtin1084z42_2652;bool_t BgL_closed1088z00_2655;
BgL_z42builtin1084z42_2652 = 
FOREIGN_TO_COBJ(BgL_z42builtin1084z42_2207); 
BgL_closed1088z00_2655 = 
CBOOL(BgL_closed1088z00_2211); 
{ /* Llib/uvtypes.scm 48 */
BgL_uvtcpz00_bglt BgL_new1253z00_2657;
{ /* Llib/uvtypes.scm 48 */
BgL_uvtcpz00_bglt BgL_new1252z00_2658;
BgL_new1252z00_2658 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
long BgL_arg1837z00_2659;
{ /* Llib/uvtypes.scm 48 */
long BgL_res2227z00_2660;
BgL_res2227z00_2660 = 
BGL_CLASS_INDEX(BGl_UvTcpz00zz__libuv_typesz00); 
BgL_arg1837z00_2659 = BgL_res2227z00_2660; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1252z00_2658), BgL_arg1837z00_2659); } 
BgL_new1253z00_2657 = BgL_new1252z00_2658; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2657)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1084z42_2652),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2657)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1085z52_2208),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2657)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1086z52_2209)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2657)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1087z52_2210)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1253z00_2657)))->BgL_closedz00)=((bool_t)BgL_closed1088z00_2655),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2657)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1089z00_2212)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2657)))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1090z52_2213),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2657)))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1091z52_2214),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2657)))->BgL_z52procaz52)=((obj_t)BgL_z52proca1092z52_2215),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2657)))->BgL_z52proccz52)=((obj_t)BgL_z52procc1093z52_2216),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1253z00_2657)))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1094z52_2217),BUNSPEC); 
{ /* Llib/uvtypes.scm 48 */
obj_t BgL_fun1836z00_2661;
BgL_fun1836z00_2661 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTcpz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1836z00_2661)(BgL_fun1836z00_2661, 
((obj_t)BgL_new1253z00_2657), BEOA); } 
return BgL_new1253z00_2657;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1789> */
obj_t BGl_z62zc3anonymousza31789ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2218, obj_t BgL_new1082z00_2219)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
{ 
BgL_uvstreamz00_bglt BgL_auxz00_4370;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_4387;
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_classz00_2663;
BgL_classz00_2663 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL__ortest_1106z00_2664;
BgL__ortest_1106z00_2664 = 
BGL_CLASS_NIL(BgL_classz00_2663); 
if(
CBOOL(BgL__ortest_1106z00_2664))
{ /* Llib/uvtypes.scm 40 */
BgL_auxz00_4387 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2664)
; }  else 
{ /* Llib/uvtypes.scm 40 */
BgL_auxz00_4387 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2663))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4387),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219)))->BgL_z52allocz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219)))->BgL_z52offsetz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219)))->BgL_z52procaz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219)))->BgL_z52proccz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219)))->BgL_z52callbackz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4370 = 
((BgL_uvstreamz00_bglt)BgL_new1082z00_2219); 
return 
((obj_t)BgL_auxz00_4370);} } 
BGL_FUNCTION_END;
}



/* &lambda1787 */
BgL_uvstreamz00_bglt BGl_z62lambda1787z62zz__libuv_typesz00(obj_t BgL_envz00_2220)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
{ /* Llib/uvtypes.scm 40 */
BgL_uvstreamz00_bglt BgL_new1081z00_2665;
BgL_new1081z00_2665 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 40 */
long BgL_arg1788z00_2666;
{ /* Llib/uvtypes.scm 40 */
long BgL_res2226z00_2667;
BgL_res2226z00_2667 = 
BGL_CLASS_INDEX(BGl_UvStreamz00zz__libuv_typesz00); 
BgL_arg1788z00_2666 = BgL_res2226z00_2667; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_2665), BgL_arg1788z00_2666); } 
return BgL_new1081z00_2665;} } 
BGL_FUNCTION_END;
}



/* &lambda1784 */
BgL_uvstreamz00_bglt BGl_z62lambda1784z62zz__libuv_typesz00(obj_t BgL_envz00_2221, obj_t BgL_z42builtin1070z42_2222, obj_t BgL_z52onclose1071z52_2223, obj_t BgL_z52gcmarkshead1072z52_2224, obj_t BgL_z52gcmarkstail1073z52_2225, obj_t BgL_closed1074z00_2226, obj_t BgL_loop1075z00_2227, obj_t BgL_z52alloc1076z52_2228, obj_t BgL_z52offset1077z52_2229, obj_t BgL_z52proca1078z52_2230, obj_t BgL_z52procc1079z52_2231, obj_t BgL_z52callback1080z52_2232)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
{ /* Llib/uvtypes.scm 40 */
uv_handle_t * BgL_z42builtin1070z42_2668;bool_t BgL_closed1074z00_2671;
BgL_z42builtin1070z42_2668 = 
FOREIGN_TO_COBJ(BgL_z42builtin1070z42_2222); 
BgL_closed1074z00_2671 = 
CBOOL(BgL_closed1074z00_2226); 
{ /* Llib/uvtypes.scm 40 */
BgL_uvstreamz00_bglt BgL_new1251z00_2673;
{ /* Llib/uvtypes.scm 40 */
BgL_uvstreamz00_bglt BgL_new1250z00_2674;
BgL_new1250z00_2674 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 40 */
long BgL_arg1786z00_2675;
{ /* Llib/uvtypes.scm 40 */
long BgL_res2225z00_2676;
BgL_res2225z00_2676 = 
BGL_CLASS_INDEX(BGl_UvStreamz00zz__libuv_typesz00); 
BgL_arg1786z00_2675 = BgL_res2225z00_2676; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1250z00_2674), BgL_arg1786z00_2675); } 
BgL_new1251z00_2673 = BgL_new1250z00_2674; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2673)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1070z42_2668),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2673)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1071z52_2223),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2673)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1072z52_2224)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2673)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1073z52_2225)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1251z00_2673)))->BgL_closedz00)=((bool_t)BgL_closed1074z00_2671),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2673))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1075z00_2227)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2673))->BgL_z52allocz52)=((obj_t)BgL_z52alloc1076z52_2228),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2673))->BgL_z52offsetz52)=((obj_t)BgL_z52offset1077z52_2229),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2673))->BgL_z52procaz52)=((obj_t)BgL_z52proca1078z52_2230),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2673))->BgL_z52proccz52)=((obj_t)BgL_z52procc1079z52_2231),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1251z00_2673))->BgL_z52callbackz52)=((obj_t)BgL_z52callback1080z52_2232),BUNSPEC); 
{ /* Llib/uvtypes.scm 40 */
obj_t BgL_fun1785z00_2677;
BgL_fun1785z00_2677 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvStreamz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1785z00_2677)(BgL_fun1785z00_2677, 
((obj_t)BgL_new1251z00_2673), BEOA); } 
return BgL_new1251z00_2673;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1829> */
obj_t BGl_z62zc3anonymousza31829ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2233)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1828 */
obj_t BGl_z62lambda1828z62zz__libuv_typesz00(obj_t BgL_envz00_2234, obj_t BgL_oz00_2235, obj_t BgL_vz00_2236)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2235)))->BgL_z52callbackz52)=((obj_t)BgL_vz00_2236),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__libuv_typesz00(obj_t BgL_envz00_2237, obj_t BgL_oz00_2238)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2238)))->BgL_z52callbackz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1822> */
obj_t BGl_z62zc3anonymousza31822ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2239)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1821 */
obj_t BGl_z62lambda1821z62zz__libuv_typesz00(obj_t BgL_envz00_2240, obj_t BgL_oz00_2241, obj_t BgL_vz00_2242)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2241)))->BgL_z52proccz52)=((obj_t)BgL_vz00_2242),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1820 */
obj_t BGl_z62lambda1820z62zz__libuv_typesz00(obj_t BgL_envz00_2243, obj_t BgL_oz00_2244)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2244)))->BgL_z52proccz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1815> */
obj_t BGl_z62zc3anonymousza31815ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2245)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1814 */
obj_t BGl_z62lambda1814z62zz__libuv_typesz00(obj_t BgL_envz00_2246, obj_t BgL_oz00_2247, obj_t BgL_vz00_2248)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2247)))->BgL_z52procaz52)=((obj_t)BgL_vz00_2248),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1813 */
obj_t BGl_z62lambda1813z62zz__libuv_typesz00(obj_t BgL_envz00_2249, obj_t BgL_oz00_2250)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2250)))->BgL_z52procaz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1808> */
obj_t BGl_z62zc3anonymousza31808ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2251)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda1807 */
obj_t BGl_z62lambda1807z62zz__libuv_typesz00(obj_t BgL_envz00_2252, obj_t BgL_oz00_2253, obj_t BgL_vz00_2254)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2253)))->BgL_z52offsetz52)=((obj_t)BgL_vz00_2254),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1806 */
obj_t BGl_z62lambda1806z62zz__libuv_typesz00(obj_t BgL_envz00_2255, obj_t BgL_oz00_2256)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2256)))->BgL_z52offsetz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1801> */
obj_t BGl_z62zc3anonymousza31801ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2257)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__libuv_typesz00(obj_t BgL_envz00_2258, obj_t BgL_oz00_2259, obj_t BgL_vz00_2260)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2259)))->BgL_z52allocz52)=((obj_t)BgL_vz00_2260),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1799 */
obj_t BGl_z62lambda1799z62zz__libuv_typesz00(obj_t BgL_envz00_2261, obj_t BgL_oz00_2262)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2262)))->BgL_z52allocz52);} 
BGL_FUNCTION_END;
}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__libuv_typesz00(obj_t BgL_envz00_2263, obj_t BgL_oz00_2264, obj_t BgL_vz00_2265)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2264)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2265)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1793 */
BgL_uvloopz00_bglt BGl_z62lambda1793z62zz__libuv_typesz00(obj_t BgL_envz00_2266, obj_t BgL_oz00_2267)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 40 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2267)))->BgL_loopz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1766> */
obj_t BGl_z62zc3anonymousza31766ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2268, obj_t BgL_new1068z00_2269)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
{ 
BgL_uvwatcherz00_bglt BgL_auxz00_4473;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
BgL_uvloopz00_bglt BgL_auxz00_4490;
{ /* Llib/uvtypes.scm 36 */
obj_t BgL_classz00_2692;
BgL_classz00_2692 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 36 */
obj_t BgL__ortest_1106z00_2693;
BgL__ortest_1106z00_2693 = 
BGL_CLASS_NIL(BgL_classz00_2692); 
if(
CBOOL(BgL__ortest_1106z00_2693))
{ /* Llib/uvtypes.scm 36 */
BgL_auxz00_4490 = 
((BgL_uvloopz00_bglt)BgL__ortest_1106z00_2693)
; }  else 
{ /* Llib/uvtypes.scm 36 */
BgL_auxz00_4490 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2692))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4490),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269)))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_4473 = 
((BgL_uvwatcherz00_bglt)BgL_new1068z00_2269); 
return 
((obj_t)BgL_auxz00_4473);} } 
BGL_FUNCTION_END;
}



/* &lambda1764 */
BgL_uvwatcherz00_bglt BGl_z62lambda1764z62zz__libuv_typesz00(obj_t BgL_envz00_2270)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
{ /* Llib/uvtypes.scm 36 */
BgL_uvwatcherz00_bglt BgL_new1067z00_2694;
BgL_new1067z00_2694 = 
((BgL_uvwatcherz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvwatcherz00_bgl) ))); 
{ /* Llib/uvtypes.scm 36 */
long BgL_arg1765z00_2695;
{ /* Llib/uvtypes.scm 36 */
long BgL_res2224z00_2696;
BgL_res2224z00_2696 = 
BGL_CLASS_INDEX(BGl_UvWatcherz00zz__libuv_typesz00); 
BgL_arg1765z00_2695 = BgL_res2224z00_2696; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_2694), BgL_arg1765z00_2695); } 
return BgL_new1067z00_2694;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1778> */
obj_t BGl_z62zc3anonymousza31778ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2271)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 
BGL_FUNCTION_END;
}



/* &lambda1777 */
obj_t BGl_z62lambda1777z62zz__libuv_typesz00(obj_t BgL_envz00_2272, obj_t BgL_oz00_2273, obj_t BgL_vz00_2274)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2273)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_vz00_2274)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1776 */
obj_t BGl_z62lambda1776z62zz__libuv_typesz00(obj_t BgL_envz00_2275, obj_t BgL_oz00_2276)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2276)))->BgL_cbz00);} 
BGL_FUNCTION_END;
}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__libuv_typesz00(obj_t BgL_envz00_2277, obj_t BgL_oz00_2278, obj_t BgL_vz00_2279)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2278)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2279)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1770 */
BgL_uvloopz00_bglt BGl_z62lambda1770z62zz__libuv_typesz00(obj_t BgL_envz00_2280, obj_t BgL_oz00_2281)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 36 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2281)))->BgL_loopz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1752> */
obj_t BGl_z62zc3anonymousza31752ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2282, obj_t BgL_new1065z00_2283)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 33 */
{ 
BgL_uvloopz00_bglt BgL_auxz00_4517;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2283))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2283))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2283))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2283))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1065z00_2283))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_new1065z00_2283)))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
BgL_auxz00_4517 = 
((BgL_uvloopz00_bglt)BgL_new1065z00_2283); 
return 
((obj_t)BgL_auxz00_4517);} } 
BGL_FUNCTION_END;
}



/* &lambda1750 */
BgL_uvloopz00_bglt BGl_z62lambda1750z62zz__libuv_typesz00(obj_t BgL_envz00_2284)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 33 */
{ /* Llib/uvtypes.scm 33 */
BgL_uvloopz00_bglt BgL_new1064z00_2704;
BgL_new1064z00_2704 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 33 */
long BgL_arg1751z00_2705;
{ /* Llib/uvtypes.scm 33 */
long BgL_res2223z00_2706;
BgL_res2223z00_2706 = 
BGL_CLASS_INDEX(BGl_UvLoopz00zz__libuv_typesz00); 
BgL_arg1751z00_2705 = BgL_res2223z00_2706; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_2704), BgL_arg1751z00_2705); } 
return BgL_new1064z00_2704;} } 
BGL_FUNCTION_END;
}



/* &lambda1747 */
BgL_uvloopz00_bglt BGl_z62lambda1747z62zz__libuv_typesz00(obj_t BgL_envz00_2285, obj_t BgL_z42builtin1058z42_2286, obj_t BgL_z52onclose1059z52_2287, obj_t BgL_z52gcmarkshead1060z52_2288, obj_t BgL_z52gcmarkstail1061z52_2289, obj_t BgL_closed1062z00_2290, obj_t BgL_z52mutex1063z52_2291)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 33 */
{ /* Llib/uvtypes.scm 33 */
uv_handle_t * BgL_z42builtin1058z42_2707;bool_t BgL_closed1062z00_2710;
BgL_z42builtin1058z42_2707 = 
FOREIGN_TO_COBJ(BgL_z42builtin1058z42_2286); 
BgL_closed1062z00_2710 = 
CBOOL(BgL_closed1062z00_2290); 
{ /* Llib/uvtypes.scm 33 */
BgL_uvloopz00_bglt BgL_new1249z00_2712;
{ /* Llib/uvtypes.scm 33 */
BgL_uvloopz00_bglt BgL_new1248z00_2713;
BgL_new1248z00_2713 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 33 */
long BgL_arg1749z00_2714;
{ /* Llib/uvtypes.scm 33 */
long BgL_res2222z00_2715;
BgL_res2222z00_2715 = 
BGL_CLASS_INDEX(BGl_UvLoopz00zz__libuv_typesz00); 
BgL_arg1749z00_2714 = BgL_res2222z00_2715; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1248z00_2713), BgL_arg1749z00_2714); } 
BgL_new1249z00_2712 = BgL_new1248z00_2713; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2712)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1058z42_2707),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2712)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1059z52_2287),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2712)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1060z52_2288)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2712)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1061z52_2289)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1249z00_2712)))->BgL_closedz00)=((bool_t)BgL_closed1062z00_2710),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1249z00_2712))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1063z52_2291)),BUNSPEC); 
{ /* Llib/uvtypes.scm 33 */
obj_t BgL_fun1748z00_2716;
BgL_fun1748z00_2716 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1748z00_2716)(BgL_fun1748z00_2716, 
((obj_t)BgL_new1249z00_2712), BEOA); } 
return BgL_new1249z00_2712;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1759> */
obj_t BGl_z62zc3anonymousza31759ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2292)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 33 */
{ /* Llib/uvtypes.scm 34 */

{ /* Llib/uvtypes.scm 34 */
obj_t BgL_namez00_2717;
BgL_namez00_2717 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)20))); 
{ /* Llib/uvtypes.scm 34 */

{ /* Llib/uvtypes.scm 34 */
obj_t BgL_res2221z00_2718;
BgL_res2221z00_2718 = 
bgl_make_mutex(BgL_namez00_2717); 
return BgL_res2221z00_2718;} } } } } 
BGL_FUNCTION_END;
}



/* &lambda1758 */
obj_t BGl_z62lambda1758z62zz__libuv_typesz00(obj_t BgL_envz00_2293, obj_t BgL_oz00_2294, obj_t BgL_vz00_2295)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 33 */
return 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2294)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_vz00_2295)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1757 */
obj_t BGl_z62lambda1757z62zz__libuv_typesz00(obj_t BgL_envz00_2296, obj_t BgL_oz00_2297)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 33 */
return 
(((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2297)))->BgL_z52mutexz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1665> */
obj_t BGl_z62zc3anonymousza31665ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2298, obj_t BgL_new1056z00_2299)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
{ 
BgL_uvhandlez00_bglt BgL_auxz00_4577;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2299)))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2299)))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2299)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2299)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1056z00_2299)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4577 = 
((BgL_uvhandlez00_bglt)BgL_new1056z00_2299); 
return 
((obj_t)BgL_auxz00_4577);} } 
BGL_FUNCTION_END;
}



/* &lambda1663 */
BgL_uvhandlez00_bglt BGl_z62lambda1663z62zz__libuv_typesz00(obj_t BgL_envz00_2300)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
BgL_uvhandlez00_bglt BgL_new1055z00_2723;
BgL_new1055z00_2723 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
long BgL_arg1664z00_2724;
{ /* Llib/uvtypes.scm 26 */
long BgL_res2220z00_2725;
BgL_res2220z00_2725 = 
BGL_CLASS_INDEX(BGl_UvHandlez00zz__libuv_typesz00); 
BgL_arg1664z00_2724 = BgL_res2220z00_2725; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_2723), BgL_arg1664z00_2724); } 
return BgL_new1055z00_2723;} } 
BGL_FUNCTION_END;
}



/* &lambda1660 */
BgL_uvhandlez00_bglt BGl_z62lambda1660z62zz__libuv_typesz00(obj_t BgL_envz00_2301, obj_t BgL_z42builtin1050z42_2302, obj_t BgL_z52onclose1051z52_2303, obj_t BgL_z52gcmarkshead1052z52_2304, obj_t BgL_z52gcmarkstail1053z52_2305, obj_t BgL_closed1054z00_2306)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
uv_handle_t * BgL_z42builtin1050z42_2726;bool_t BgL_closed1054z00_2729;
BgL_z42builtin1050z42_2726 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_2302); 
BgL_closed1054z00_2729 = 
CBOOL(BgL_closed1054z00_2306); 
{ /* Llib/uvtypes.scm 26 */
BgL_uvhandlez00_bglt BgL_new1247z00_2730;
{ /* Llib/uvtypes.scm 26 */
BgL_uvhandlez00_bglt BgL_new1246z00_2731;
BgL_new1246z00_2731 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
long BgL_arg1662z00_2732;
{ /* Llib/uvtypes.scm 26 */
long BgL_res2219z00_2733;
BgL_res2219z00_2733 = 
BGL_CLASS_INDEX(BGl_UvHandlez00zz__libuv_typesz00); 
BgL_arg1662z00_2732 = BgL_res2219z00_2733; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1246z00_2731), BgL_arg1662z00_2732); } 
BgL_new1247z00_2730 = BgL_new1246z00_2731; } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2730))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1050z42_2726),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2730))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1051z52_2303),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2730))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1052z52_2304)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2730))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1053z52_2305)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1247z00_2730))->BgL_closedz00)=((bool_t)BgL_closed1054z00_2729),BUNSPEC); 
{ /* Llib/uvtypes.scm 26 */
obj_t BgL_fun1661z00_2734;
BgL_fun1661z00_2734 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvHandlez00zz__libuv_typesz00); 
PROCEDURE_ENTRY(BgL_fun1661z00_2734)(BgL_fun1661z00_2734, 
((obj_t)BgL_new1247z00_2730), BEOA); } 
return BgL_new1247z00_2730;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1735> */
obj_t BGl_z62zc3anonymousza31735ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2307)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1734 */
obj_t BGl_z62lambda1734z62zz__libuv_typesz00(obj_t BgL_envz00_2308, obj_t BgL_oz00_2309, obj_t BgL_vz00_2310)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
bool_t BgL_vz00_2736;
BgL_vz00_2736 = 
CBOOL(BgL_vz00_2310); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2309)))->BgL_closedz00)=((bool_t)BgL_vz00_2736),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1733 */
obj_t BGl_z62lambda1733z62zz__libuv_typesz00(obj_t BgL_envz00_2311, obj_t BgL_oz00_2312)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2312)))->BgL_closedz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1710> */
obj_t BGl_z62zc3anonymousza31710ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2313)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1709 */
obj_t BGl_z62lambda1709z62zz__libuv_typesz00(obj_t BgL_envz00_2314, obj_t BgL_oz00_2315, obj_t BgL_vz00_2316)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2315)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_vz00_2316)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1708 */
obj_t BGl_z62lambda1708z62zz__libuv_typesz00(obj_t BgL_envz00_2317, obj_t BgL_oz00_2318)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2318)))->BgL_z52gcmarkstailz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1694> */
obj_t BGl_z62zc3anonymousza31694ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2319)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1693 */
obj_t BGl_z62lambda1693z62zz__libuv_typesz00(obj_t BgL_envz00_2320, obj_t BgL_oz00_2321, obj_t BgL_vz00_2322)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2321)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_vz00_2322)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1692 */
obj_t BGl_z62lambda1692z62zz__libuv_typesz00(obj_t BgL_envz00_2323, obj_t BgL_oz00_2324)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2324)))->BgL_z52gcmarksheadz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1687> */
obj_t BGl_z62zc3anonymousza31687ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2325)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1686 */
obj_t BGl_z62lambda1686z62zz__libuv_typesz00(obj_t BgL_envz00_2326, obj_t BgL_oz00_2327, obj_t BgL_vz00_2328)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2327)))->BgL_z52onclosez52)=((obj_t)BgL_vz00_2328),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1685 */
obj_t BGl_z62lambda1685z62zz__libuv_typesz00(obj_t BgL_envz00_2329, obj_t BgL_oz00_2330)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2330)))->BgL_z52onclosez52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1675> */
obj_t BGl_z62zc3anonymousza31675ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2331)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1674 */
obj_t BGl_z62lambda1674z62zz__libuv_typesz00(obj_t BgL_envz00_2332, obj_t BgL_oz00_2333, obj_t BgL_vz00_2334)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
uv_handle_t * BgL_vz00_2747;
BgL_vz00_2747 = 
FOREIGN_TO_COBJ(BgL_vz00_2334); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2333)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_vz00_2747),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1673 */
obj_t BGl_z62lambda1673z62zz__libuv_typesz00(obj_t BgL_envz00_2335, obj_t BgL_oz00_2336)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2336)))->BgL_z42builtinz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1644> */
obj_t BGl_z62zc3anonymousza31644ze3ze1zz__libuv_typesz00(obj_t BgL_envz00_2337, obj_t BgL_new1048z00_2338)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 23 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_new1048z00_2338));} 
BGL_FUNCTION_END;
}



/* &lambda1632 */
BgL_z52uvz52_bglt BGl_z62lambda1632z62zz__libuv_typesz00(obj_t BgL_envz00_2339)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 23 */
{ /* Llib/uvtypes.scm 23 */
BgL_z52uvz52_bglt BgL_new1047z00_2750;
BgL_new1047z00_2750 = 
((BgL_z52uvz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52uvz52_bgl) ))); 
{ /* Llib/uvtypes.scm 23 */
long BgL_arg1643z00_2751;
{ /* Llib/uvtypes.scm 23 */
long BgL_res2218z00_2752;
BgL_res2218z00_2752 = 
BGL_CLASS_INDEX(BGl_z52Uvz52zz__libuv_typesz00); 
BgL_arg1643z00_2751 = BgL_res2218z00_2752; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_2750), BgL_arg1643z00_2751); } 
return BgL_new1047z00_2750;} } 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2439z00zz__libuv_typesz00, BGl_z52Uvz52zz__libuv_typesz00, BGl_string2440z00zz__libuv_typesz00);} 
BGL_FUNCTION_END;
}



/* &%uv-init1337 */
obj_t BGl_z62z52uvzd2init1337ze2zz__libuv_typesz00(obj_t BgL_envz00_2343, obj_t BgL_oz00_2344)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 187 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_oz00_2344));} 
BGL_FUNCTION_END;
}



/* %uv-init */
BGL_EXPORTED_DEF obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt BgL_oz00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 187 */
{ /* Llib/uvtypes.scm 187 */
obj_t BgL_method1338z00_1200;
{ /* Llib/uvtypes.scm 187 */
obj_t BgL_res2263z00_1656;
{ /* Llib/uvtypes.scm 187 */
long BgL_objzd2classzd2numz00_1629;
{ /* Llib/uvtypes.scm 187 */
long BgL_res2257z00_1632;
BgL_res2257z00_1632 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_4)); 
BgL_objzd2classzd2numz00_1629 = BgL_res2257z00_1632; } 
{ /* Llib/uvtypes.scm 187 */
obj_t BgL_arg1737z00_1630;
BgL_arg1737z00_1630 = 
PROCEDURE_REF(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, 
(int)(((long)1))); 
{ /* Llib/uvtypes.scm 187 */
int BgL_offsetz00_1634;
BgL_offsetz00_1634 = 
(int)(BgL_objzd2classzd2numz00_1629); 
{ /* Llib/uvtypes.scm 187 */
long BgL_offsetz00_1635;
BgL_offsetz00_1635 = 
(
(long)(BgL_offsetz00_1634)-OBJECT_TYPE); 
{ /* Llib/uvtypes.scm 187 */
long BgL_modz00_1636;
{ /* Llib/uvtypes.scm 187 */
int BgL_arg1739z00_1637;
BgL_arg1739z00_1637 = 
(int)(((long)16)); 
{ /* Llib/uvtypes.scm 187 */
long BgL_res2260z00_1647;
{ /* Llib/uvtypes.scm 187 */
long BgL_tmpz00_4660;
BgL_tmpz00_4660 = 
(long)(BgL_arg1739z00_1637); 
BgL_res2260z00_1647 = 
(BgL_offsetz00_1635/BgL_tmpz00_4660); } 
BgL_modz00_1636 = BgL_res2260z00_1647; } } 
{ /* Llib/uvtypes.scm 187 */
long BgL_restz00_1638;
{ /* Llib/uvtypes.scm 187 */
int BgL_arg1738z00_1639;
BgL_arg1738z00_1639 = 
(int)(((long)16)); 
{ /* Llib/uvtypes.scm 187 */
long BgL_res2262z00_1651;
{ /* Llib/uvtypes.scm 187 */
long BgL_tmpz00_4664;
BgL_tmpz00_4664 = 
(long)(BgL_arg1738z00_1639); 
BgL_res2262z00_1651 = 
(BgL_offsetz00_1635%BgL_tmpz00_4664); } 
BgL_restz00_1638 = BgL_res2262z00_1651; } } 
{ /* Llib/uvtypes.scm 187 */

{ /* Llib/uvtypes.scm 187 */
obj_t BgL_bucketz00_1640;
BgL_bucketz00_1640 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_1630),BgL_modz00_1636); 
BgL_res2263z00_1656 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1640),BgL_restz00_1638); } } } } } } } } 
BgL_method1338z00_1200 = BgL_res2263z00_1656; } 
return 
PROCEDURE_ENTRY(BgL_method1338z00_1200)(BgL_method1338z00_1200, 
((obj_t)BgL_oz00_4), BEOA);} } 
BGL_FUNCTION_END;
}



/* &%uv-init */
obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t BgL_envz00_2340, obj_t BgL_oz00_2341)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 187 */
return 
BGl_z52uvzd2initz80zz__libuv_typesz00(
((BgL_z52uvz52_bglt)BgL_oz00_2341));} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_UvHandlez00zz__libuv_typesz00, BGl_proc2441z00zz__libuv_typesz00, BGl_string2442z00zz__libuv_typesz00);} 
BGL_FUNCTION_END;
}



/* &object-print-UvHandl1340 */
obj_t BGl_z62objectzd2printzd2UvHandl1340z62zz__libuv_typesz00(obj_t BgL_envz00_2346, obj_t BgL_objz00_2347, obj_t BgL_portz00_2348, obj_t BgL_printzd2slotzd2_2349)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/uvtypes.scm 193 */
{ 
obj_t BgL_fieldz00_2757;
{ /* Llib/uvtypes.scm 207 */
obj_t BgL_classz00_2763;
{ /* Llib/uvtypes.scm 207 */
long BgL_arg1740z00_2764;
{ /* Llib/uvtypes.scm 207 */
long BgL_arg1741z00_2765;
{ /* Llib/uvtypes.scm 207 */
long BgL_res2266z00_2766;
BgL_res2266z00_2766 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2347))); 
BgL_arg1741z00_2765 = BgL_res2266z00_2766; } 
BgL_arg1740z00_2764 = 
(BgL_arg1741z00_2765-OBJECT_TYPE); } 
BgL_classz00_2763 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1740z00_2764); } 
{ /* Llib/uvtypes.scm 207 */
obj_t BgL_classzd2namezd2_2767;
BgL_classzd2namezd2_2767 = 
BGl_classzd2namezd2zz__objectz00(BgL_classz00_2763); 
{ /* Llib/uvtypes.scm 208 */
obj_t BgL_fieldsz00_2768;
{ /* Llib/uvtypes.scm 209 */
obj_t BgL_res2268z00_2769;
{ /* Llib/uvtypes.scm 209 */
obj_t BgL_tmpz00_4685;
BgL_tmpz00_4685 = 
((obj_t)BgL_classz00_2763); 
BgL_res2268z00_2769 = 
BGL_CLASS_ALL_FIELDS(BgL_tmpz00_4685); } 
BgL_fieldsz00_2768 = BgL_res2268z00_2769; } 
{ /* Llib/uvtypes.scm 210 */

{ /* Llib/uvtypes.scm 211 */
obj_t BgL_tmpz00_4688;
BgL_tmpz00_4688 = 
((obj_t)BgL_portz00_2348); 
bgl_display_string(BGl_string2444z00zz__libuv_typesz00, BgL_tmpz00_4688); } 
bgl_display_obj(BgL_classzd2namezd2_2767, BgL_portz00_2348); 
{ /* Llib/uvtypes.scm 213 */
obj_t BgL_tmpz00_4692;
BgL_tmpz00_4692 = 
((obj_t)BgL_portz00_2348); 
bgl_display_string(BGl_string2445z00zz__libuv_typesz00, BgL_tmpz00_4692); } 
{ /* Llib/uvtypes.scm 214 */
obj_t BgL_arg2195z00_2770;
{ /* Llib/uvtypes.scm 214 */
int BgL_arg2196z00_2771;
{ /* Llib/uvtypes.scm 214 */
int BgL_res2269z00_2772;
{ /* Llib/uvtypes.scm 182 */
uv_handle_t * BgL_arg1408z00_2773;
BgL_arg1408z00_2773 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_objz00_2347)))->BgL_z42builtinz42); 
BgL_res2269z00_2772 = 
(int)(
(long)(BgL_arg1408z00_2773)); } 
BgL_arg2196z00_2771 = BgL_res2269z00_2772; } 
BgL_arg2195z00_2770 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2196z00_2771), ((long)16)); } 
bgl_display_obj(BgL_arg2195z00_2770, BgL_portz00_2348); } 
{ /* Llib/uvtypes.scm 215 */
obj_t BgL_tmpz00_4702;
BgL_tmpz00_4702 = 
((obj_t)BgL_portz00_2348); 
bgl_display_string(BGl_string2446z00zz__libuv_typesz00, BgL_tmpz00_4702); } 
if(
BGl_nilzf3zf3zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2347))))
{ /* Llib/uvtypes.scm 217 */
obj_t BgL_tmpz00_4709;
BgL_tmpz00_4709 = 
((obj_t)BgL_portz00_2348); 
return 
bgl_display_string(BGl_string2447z00zz__libuv_typesz00, BgL_tmpz00_4709);}  else 
{ 
long BgL_iz00_2775;
BgL_iz00_2775 = ((long)0); 
BgL_loopz00_2774:
if(
(BgL_iz00_2775==
VECTOR_LENGTH(BgL_fieldsz00_2768)))
{ /* Llib/uvtypes.scm 220 */
obj_t BgL_tmpz00_4715;
BgL_tmpz00_4715 = 
((obj_t)BgL_portz00_2348); 
return 
bgl_display_char(((unsigned char)'|'), BgL_tmpz00_4715);}  else 
{ /* Llib/uvtypes.scm 219 */
BgL_fieldz00_2757 = 
VECTOR_REF(BgL_fieldsz00_2768,BgL_iz00_2775); 
{ /* Llib/uvtypes.scm 196 */
obj_t BgL_namez00_2758;
BgL_namez00_2758 = 
BGl_classzd2fieldzd2namez00zz__objectz00(BgL_fieldz00_2757); 
{ /* Llib/uvtypes.scm 196 */
obj_t BgL_getzd2valuezd2_2759;
BgL_getzd2valuezd2_2759 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_2757); 
{ /* Llib/uvtypes.scm 197 */
obj_t BgL_sz00_2760;
{ /* Llib/uvtypes.scm 198 */
obj_t BgL_res2264z00_2761;
BgL_res2264z00_2761 = 
SYMBOL_TO_STRING(BgL_namez00_2758); 
BgL_sz00_2760 = BgL_res2264z00_2761; } 
{ /* Llib/uvtypes.scm 198 */

if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(
STRING_REF(BgL_sz00_2760, ((long)0))), 
CNST_TABLE_REF(((long)70)))))
{ /* Llib/uvtypes.scm 199 */BFALSE; }  else 
{ /* Llib/uvtypes.scm 199 */
{ /* Llib/uvtypes.scm 200 */
obj_t BgL_tmpz00_4727;
BgL_tmpz00_4727 = 
((obj_t)BgL_portz00_2348); 
bgl_display_string(BGl_string2443z00zz__libuv_typesz00, BgL_tmpz00_4727); } 
bgl_display_obj(BgL_namez00_2758, BgL_portz00_2348); 
{ /* Llib/uvtypes.scm 202 */
obj_t BgL_tmpz00_4731;
BgL_tmpz00_4731 = 
((obj_t)BgL_portz00_2348); 
bgl_display_char(((unsigned char)':'), BgL_tmpz00_4731); } 
{ /* Llib/uvtypes.scm 203 */
obj_t BgL_tmpz00_4734;
BgL_tmpz00_4734 = 
((obj_t)BgL_portz00_2348); 
bgl_display_char(((unsigned char)' '), BgL_tmpz00_4734); } 
{ /* Llib/uvtypes.scm 204 */
obj_t BgL_arg2205z00_2762;
BgL_arg2205z00_2762 = 
PROCEDURE_ENTRY(BgL_getzd2valuezd2_2759)(BgL_getzd2valuezd2_2759, 
((obj_t)
((BgL_uvhandlez00_bglt)BgL_objz00_2347)), BEOA); 
{ /* Llib/uvtypes.scm 204 */
obj_t BgL_tmpz00_4748;
BgL_tmpz00_4748 = 
((obj_t)BgL_printzd2slotzd2_2349); 
PROCEDURE_ENTRY(BgL_tmpz00_4748)(
((obj_t)BgL_printzd2slotzd2_2349), BgL_arg2205z00_2762, BgL_portz00_2348, BEOA); } } 
{ /* Llib/uvtypes.scm 205 */
obj_t BgL_tmpz00_4750;
BgL_tmpz00_4750 = 
((obj_t)BgL_portz00_2348); 
bgl_display_char(((unsigned char)']'), BgL_tmpz00_4750); } } } } } } 
{ 
long BgL_iz00_4754;
BgL_iz00_4754 = 
(BgL_iz00_2775+((long)1)); 
BgL_iz00_2775 = BgL_iz00_4754; 
goto BgL_loopz00_2774;} } } } } } } } } 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
