/*===========================================================================*/
/*   (Llib/midi.scm)                                                         */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -unsafe -safee -copt -fPIC -copt -IUnix Llib/midi.scm -o objs/midi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_midiscorez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_formatz00;
   long BgL_tempoz00;
   long BgL_ppqz00;
   obj_t BgL_tracksz00;
} *BgL_midiscorez00_bglt;

typedef struct BgL_miditrackz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z52streamz52;
   struct BgL_midireaderz00_bgl * BgL_z52readerz52;
   obj_t BgL_z52closez52;
   bool_t BgL_z52eotz52;
   uint32_t BgL_z52wtickz52;
   long BgL_z52statusz52;
   int32_t BgL_lenz00;
   long BgL_tempoz00;
   obj_t BgL_ipz00;
   long BgL_startz00;
   long BgL_datastartz00;
   uint32_t BgL_wtickz00;
   long BgL_statusz00;
   bool_t BgL_eotz00;
} *BgL_miditrackz00_bglt;

typedef struct BgL_midireaderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_peekzd2bytezd2;
   obj_t BgL_readzd2bytezd2;
   obj_t BgL_readzd2int16zd2;
   obj_t BgL_readzd2int32zd2;
   obj_t BgL_readzd2intzd2;
   obj_t BgL_readzd2vlqzd2;
   obj_t BgL_readzd2charszd2;
} *BgL_midireaderz00_bglt;

typedef struct BgL_midiplayerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_errz00;
   obj_t BgL_cdelayz00;
   obj_t BgL_noteoffz00;
   obj_t BgL_noteonz00;
   obj_t BgL_aftertouchz00;
   obj_t BgL_ctrlchangez00;
   obj_t BgL_prgmchangez00;
   obj_t BgL_afterzd2touchzd2;
   obj_t BgL_pitchz00;
   obj_t BgL_sysexz00;
   obj_t BgL_metazd2seqnumzd2;
   obj_t BgL_metazd2textzd2;
   obj_t BgL_metazd2copyrightzd2;
   obj_t BgL_metazd2trackzd2;
   obj_t BgL_metazd2instrumentzd2;
   obj_t BgL_metazd2lyriczd2;
   obj_t BgL_metazd2markerzd2;
   obj_t BgL_metazd2cuezd2;
   obj_t BgL_metazd2prgmnamezd2;
   obj_t BgL_metazd2devnamezd2;
   obj_t BgL_metazd2channprefzd2;
   obj_t BgL_metazd2midiportzd2;
   obj_t BgL_metazd2eotzd2;
   obj_t BgL_metazd2tempozd2;
   obj_t BgL_metazd2smtpezd2;
   obj_t BgL_metazd2timesigzd2;
   obj_t BgL_metazd2keysigzd2;
   obj_t BgL_metazd2seqspeczd2;
} *BgL_midiplayerz00_bglt;

typedef struct BgL_midisinkz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_streamz00;
   obj_t BgL_usleepz00;
   obj_t BgL_writezd2bytezd2;
   obj_t BgL_writezd2stringzd2;
   obj_t BgL_flushz00;
} *BgL_midisinkz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32108ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static long BGl_readzd2intzd2zz__multimediazd2midizd2(long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza32303ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3anonymousza32232ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32127ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_midiscorez00zz__multimediazd2midizd2 = BUNSPEC;
static BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(obj_t, long);
static obj_t BGl_z62zc3anonymousza32250ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31270ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32145ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32218ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62zc3anonymousza32324ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31271ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2();
static int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_midireaderz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32415ze3ze1zz__multimediazd2midizd2(obj_t);
static int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long);
static obj_t BGl_z62zc3anonymousza32505ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62midireaderzd2init1233zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31526ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32239ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2();
static obj_t BGl_z62zc3anonymousza32450ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32183ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32345ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31527ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_midisinkz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31561ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32436ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32169ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
static obj_t BGl_z62zc3anonymousza32380ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32542ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31562ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32526ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31563ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32527ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2103z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_midiscorez00_bglt BGl_z62lambda2106z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32471ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31564ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2init1229zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32366ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2init1235zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2112z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2113z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32472ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2118z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2119z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt);
static obj_t BGl_z62lambda2125z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2126z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32457ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2132z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2133z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32296ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2301z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2140z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2302z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62lambda2143z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2308z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2309z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_z62lambda2150z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2151z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2315z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2316z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2156z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2157z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32387ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2();
static obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2323z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2162z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31675ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2167z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2329z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2168z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2330z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2174z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2336z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2175z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32494ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31676ze3ze1zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2500z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_midisinkz00_bglt BGl_z62lambda2503z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2181z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2343z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2182z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2344z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32479ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2188z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2510z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2511z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2350z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2351z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2517z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2518z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2195z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2357z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2196z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2358z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static BgL_midireaderz00_bglt BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2;
static obj_t BGl_z62lambda2524z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2525z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2364z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2365z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_z62lambda2532z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2371z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2533z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2372z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2378z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2379z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62lambda2540z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2541z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2385z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2386z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2392z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2393z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2399z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32204ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long);
static obj_t BGl_z62zc3anonymousza32310ze3ze1zz__multimediazd2midizd2(obj_t);
static BgL_midisinkz00_bglt BGl_midisinkzd2nullzd2zz__multimediazd2midizd2;
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, BgL_miditrackz00_bglt, long, long, long);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32401ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32134ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2();
static obj_t BGl_z62zc3anonymousza32152ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32225ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_midiplayerz00zz__multimediazd2midizd2 = BUNSPEC;
static obj_t BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32331ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2();
BGL_EXPORTED_DECL obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31263ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32422ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32317ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31264ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, BGL_LONGLONG_T);
static obj_t BGl_z62zc3anonymousza32512ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31265ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32408ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31266ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_miditrackz00zz__multimediazd2midizd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32190ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32352ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza31267ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3anonymousza31268ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32443ze3ze1zz__multimediazd2midizd2(obj_t);
static bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62zc3anonymousza32176ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32338ze3ze1zz__multimediazd2midizd2(obj_t);
static bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt, BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt);
static obj_t BGl_z62zc3anonymousza31269ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t, long, long);
static obj_t BGl_z62zc3anonymousza32534ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32429ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32373ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32535ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32519ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds();
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt);
static BgL_midiplayerz00_bglt BGl_midiplayerzd2readzd2zz__multimediazd2midizd2;
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza32480ze3ze1zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32464ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32197ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62zc3anonymousza32359ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2202z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2203z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, long, long, long);
static obj_t BGl_z62lambda2209z62zz__multimediazd2midizd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2210z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2216z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2217z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t, long);
static obj_t BGl_z62lambda2223z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2224z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32394ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62midisinkzd2init1237zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2230z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2231z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2237z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2238z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2();
static obj_t BGl_z62lambda2400z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2406z62zz__multimediazd2midizd2(obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2245z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2407z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midireaderz00_bglt BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2413z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2414z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2259z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62miditrackzd2init1231zb0zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2420z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2421z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2260z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2264z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2265z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2427z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2428z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32487ze3ze1zz__multimediazd2midizd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda2270z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2434z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2435z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2274z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2275z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2279z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2441z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2280z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2442z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2284z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2285z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2448z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2449z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt);
BGL_IMPORT obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2291z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2455z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2456z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static BgL_midiplayerz00_bglt BGl_z62lambda2294z62zz__multimediazd2midizd2(obj_t);
static BgL_midireaderz00_bglt BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2;
static obj_t BGl_z62zc3anonymousza32120ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2462z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2463z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2469z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2470z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt);
static obj_t BGl_z62lambda2477z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2478z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt, BgL_midisinkz00_bglt, long, obj_t);
static obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32211ze3ze1zz__multimediazd2midizd2(obj_t);
static obj_t BGl_z62lambda2485z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2492z62zz__multimediazd2midizd2(obj_t, obj_t);
static obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 76 ] ;


BGL_IMPORT obj_t BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_EXPORT_BGL_GENERIC( BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3283z00, BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3026z00zz__multimediazd2midizd2, BgL_bgl_string3026za700za7za7_3284za7, "midiscore-file", 14 );
DEFINE_STRING( BGl_string3027z00zz__multimediazd2midizd2, BgL_bgl_string3027za700za7za7_3285za7, "format not supported", 20 );
DEFINE_STRING( BGl_string3028z00zz__multimediazd2midizd2, BgL_bgl_string3028za700za7za7_3286za7, "midiplayer-file", 15 );
DEFINE_STRING( BGl_string3029z00zz__multimediazd2midizd2, BgL_bgl_string3029za700za7za7_3287za7, "bad midi format", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2161za7623288z00, BGl_z62lambda2161z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3101z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73289za7, BGl_z62zc3anonymousza32169ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2168za7623290z00, BGl_z62lambda2168z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3103z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2167za7623291z00, BGl_z62lambda2167z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73292za7, BGl_z62zc3anonymousza32176ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3105z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2175za7623293z00, BGl_z62lambda2175z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3030z00zz__multimediazd2midizd2, BgL_bgl_string3030za700za7za7_3294za7, "/builddir/build/BUILD/bigloo4.3f/api/multimedia/src/Llib/midi.scm", 65 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2174za7623295z00, BGl_z62lambda2174z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3031z00zz__multimediazd2midizd2, BgL_bgl_string3031za700za7za7_3296za7, "&midiscore-file", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3107z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73297za7, BGl_z62zc3anonymousza32183ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3032z00zz__multimediazd2midizd2, BgL_bgl_string3032za700za7za7_3298za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2182za7623299z00, BGl_z62lambda2182z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3033z00zz__multimediazd2midizd2, BgL_bgl_string3033za700za7za7_3300za7, "&miditrack-input-port", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3109z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2181za7623301z00, BGl_z62lambda2181z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3034z00zz__multimediazd2midizd2, BgL_bgl_string3034za700za7za7_3302za7, "input-port", 10 );
DEFINE_STRING( BGl_string3035z00zz__multimediazd2midizd2, BgL_bgl_string3035za700za7za7_3303za7, "bint", 4 );
DEFINE_STRING( BGl_string3036z00zz__multimediazd2midizd2, BgL_bgl_string3036za700za7za7_3304za7, "&miditrack-file", 15 );
DEFINE_STRING( BGl_string3038z00zz__multimediazd2midizd2, BgL_bgl_string3038za700za7za7_3305za7, "&miditrack-string", 17 );
DEFINE_STRING( BGl_string3039z00zz__multimediazd2midizd2, BgL_bgl_string3039za700za7za7_3306za7, "midiscore-play", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73307za7, BGl_z62zc3anonymousza32190ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3111z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2189za7623308z00, BGl_z62lambda2189z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2188za7623309z00, BGl_z62lambda2188z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3113z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73310za7, BGl_z62zc3anonymousza32197ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2196za7623311z00, BGl_z62lambda2196z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3115z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2195za7623312z00, BGl_z62lambda2195z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3040z00zz__multimediazd2midizd2, BgL_bgl_string3040za700za7za7_3313za7, "&midiscore-play", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73314za7, BGl_z62zc3anonymousza32204ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3041z00zz__multimediazd2midizd2, BgL_bgl_string3041za700za7za7_3315za7, "midiscore", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3117z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2203za7623316z00, BGl_z62lambda2203z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3042z00zz__multimediazd2midizd2, BgL_bgl_string3042za700za7za7_3317za7, "midiplayer", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3118z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2202za7623318z00, BGl_z62lambda2202z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3043z00zz__multimediazd2midizd2, BgL_bgl_string3043za700za7za7_3319za7, "midisink", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3119z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73320za7, BGl_z62zc3anonymousza32211ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3044z00zz__multimediazd2midizd2, BgL_bgl_string3044za700za7za7_3321za7, "~x:~x", 5 );
DEFINE_STRING( BGl_string3045z00zz__multimediazd2midizd2, BgL_bgl_string3045za700za7za7_3322za7, "midiplay", 8 );
DEFINE_STRING( BGl_string3046z00zz__multimediazd2midizd2, BgL_bgl_string3046za700za7za7_3323za7, "illegal meta-event", 18 );
DEFINE_STRING( BGl_string3047z00zz__multimediazd2midizd2, BgL_bgl_string3047za700za7za7_3324za7, "illegal event", 13 );
DEFINE_STRING( BGl_string3048z00zz__multimediazd2midizd2, BgL_bgl_string3048za700za7za7_3325za7, "MThd", 4 );
DEFINE_STRING( BGl_string3049z00zz__multimediazd2midizd2, BgL_bgl_string3049za700za7za7_3326za7, "read-midi-mthd", 14 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3327z00, BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3120z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2210za7623328z00, BGl_z62lambda2210z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2209za7623329z00, BGl_z62lambda2209z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73330za7, BGl_z62zc3anonymousza32218ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2217za7623331z00, BGl_z62lambda2217z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2216za7623332z00, BGl_z62lambda2216z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73333za7, BGl_z62zc3anonymousza32225ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3050z00zz__multimediazd2midizd2, BgL_bgl_string3050za700za7za7_3334za7, "invalid number of SMPTE frames per second", 41 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2224za7623335z00, BGl_z62lambda2224z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3051z00zz__multimediazd2midizd2, BgL_bgl_string3051za700za7za7_3336za7, "Bad header", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2223za7623337z00, BGl_z62lambda2223z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3052z00zz__multimediazd2midizd2, BgL_bgl_string3052za700za7za7_3338za7, "MTrk", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73339za7, BGl_z62zc3anonymousza32232ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3053z00zz__multimediazd2midizd2, BgL_bgl_string3053za700za7za7_3340za7, "read-midi-mtrk", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2231za7623341z00, BGl_z62lambda2231z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3054z00zz__multimediazd2midizd2, BgL_bgl_string3054za700za7za7_3342za7, "&read-int", 9 );
DEFINE_STRING( BGl_string3055z00zz__multimediazd2midizd2, BgL_bgl_string3055za700za7za7_3343za7, "&string-stream-peek-byte", 24 );
DEFINE_STRING( BGl_string3056z00zz__multimediazd2midizd2, BgL_bgl_string3056za700za7za7_3344za7, "struct", 6 );
DEFINE_STRING( BGl_string3057z00zz__multimediazd2midizd2, BgL_bgl_string3057za700za7za7_3345za7, "&string-stream-read-byte", 24 );
DEFINE_STRING( BGl_string3058z00zz__multimediazd2midizd2, BgL_bgl_string3058za700za7za7_3346za7, "&string-stream-read-int16", 25 );
DEFINE_STRING( BGl_string3059z00zz__multimediazd2midizd2, BgL_bgl_string3059za700za7za7_3347za7, "&string-stream-read-int32", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23348z00, BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2230za7623349z00, BGl_z62lambda2230z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73350za7, BGl_z62zc3anonymousza32239ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2238za7623351z00, BGl_z62lambda2238z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2237za7623352z00, BGl_z62lambda2237z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73353za7, BGl_z62zc3anonymousza32145ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2143za7623354z00, BGl_z62lambda2143z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3060z00zz__multimediazd2midizd2, BgL_bgl_string3060za700za7za7_3355za7, "&string-stream-read-int", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2140za7623356z00, BGl_z62lambda2140z62zz__multimediazd2midizd2, 0L, BUNSPEC, 14 );
DEFINE_STRING( BGl_string3061z00zz__multimediazd2midizd2, BgL_bgl_string3061za700za7za7_3357za7, "&string-stream-read-chars", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2255za7623358z00, BGl_z62lambda2255z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3062z00zz__multimediazd2midizd2, BgL_bgl_string3062za700za7za7_3359za7, "&midiplayer-cdelay", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2254za7623360z00, BGl_z62lambda2254z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3063z00zz__multimediazd2midizd2, BgL_bgl_string3063za700za7za7_3361za7, "miditrack", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2260za7623362z00, BGl_z62lambda2260z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3064z00zz__multimediazd2midizd2, BgL_bgl_string3064za700za7za7_3363za7, "&midiplayer-ignore", 18 );
DEFINE_STRING( BGl_string3065z00zz__multimediazd2midizd2, BgL_bgl_string3065za700za7za7_3364za7, "&midiplayer-noteoff", 19 );
DEFINE_STRING( BGl_string3066z00zz__multimediazd2midizd2, BgL_bgl_string3066za700za7za7_3365za7, "&midiplayer-noteon", 18 );
DEFINE_STRING( BGl_string3067z00zz__multimediazd2midizd2, BgL_bgl_string3067za700za7za7_3366za7, "&midiplayer-aftertouch", 22 );
DEFINE_STRING( BGl_string3068z00zz__multimediazd2midizd2, BgL_bgl_string3068za700za7za7_3367za7, "&midiplayer-ctrlchange", 22 );
DEFINE_STRING( BGl_string3069z00zz__multimediazd2midizd2, BgL_bgl_string3069za700za7za7_3368za7, "&midiplayer-prgmchange", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2259za7623369z00, BGl_z62lambda2259z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3141z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2265za7623370z00, BGl_z62lambda2265z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3142z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2264za7623371z00, BGl_z62lambda2264z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2270za7623372z00, BGl_z62lambda2270z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3144z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2269za7623373z00, BGl_z62lambda2269z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2275za7623374z00, BGl_z62lambda2275z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3070z00zz__multimediazd2midizd2, BgL_bgl_string3070za700za7za7_3375za7, "&midiplayer-after-touch", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3146z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2274za7623376z00, BGl_z62lambda2274z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3071z00zz__multimediazd2midizd2, BgL_bgl_string3071za700za7za7_3377za7, "&midiplayer-pitch", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2280za7623378z00, BGl_z62lambda2280z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3072z00zz__multimediazd2midizd2, BgL_bgl_string3072za700za7za7_3379za7, "&midiplayer-sysex", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3148z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2279za7623380z00, BGl_z62lambda2279z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3073z00zz__multimediazd2midizd2, BgL_bgl_string3073za700za7za7_3381za7, "~a[~a]", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2285za7623382z00, BGl_z62lambda2285z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3074z00zz__multimediazd2midizd2, BgL_bgl_string3074za700za7za7_3383za7, "&midi-note-name", 15 );
DEFINE_STRING( BGl_string3075z00zz__multimediazd2midizd2, BgL_bgl_string3075za700za7za7_3384za7, "unknown controller", 18 );
DEFINE_STRING( BGl_string3076z00zz__multimediazd2midizd2, BgL_bgl_string3076za700za7za7_3385za7, "&midi-controller-name", 21 );
DEFINE_STRING( BGl_string3077z00zz__multimediazd2midizd2, BgL_bgl_string3077za700za7za7_3386za7, "unknown program", 15 );
DEFINE_STRING( BGl_string3078z00zz__multimediazd2midizd2, BgL_bgl_string3078za700za7za7_3387za7, "&midi-program-name", 18 );
DEFINE_STRING( BGl_string3079z00zz__multimediazd2midizd2, BgL_bgl_string3079za700za7za7_3388za7, "&midi-program-index", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3150z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2284za7623389z00, BGl_z62lambda2284z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73390za7, BGl_z62zc3anonymousza32250ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3152z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2248za7623391z00, BGl_z62lambda2248z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2245za7623392z00, BGl_z62lambda2245z62zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3154z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73393za7, BGl_z62zc3anonymousza32303ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2302za7623394z00, BGl_z62lambda2302z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3156z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2301za7623395z00, BGl_z62lambda2301z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73396za7, BGl_z62zc3anonymousza32310ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3158z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2309za7623397z00, BGl_z62lambda2309z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2308za7623398z00, BGl_z62lambda2308z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2vlqza7b03399za7, BGl_z62readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3160z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73400za7, BGl_z62zc3anonymousza32317ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2316za7623401z00, BGl_z62lambda2316z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3162z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2315za7623402z00, BGl_z62lambda2315z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73403za7, BGl_z62zc3anonymousza32324ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3164z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2323za7623404z00, BGl_z62lambda2323z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2322za7623405z00, BGl_z62lambda2322z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3166z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73406za7, BGl_z62zc3anonymousza32331ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2330za7623407z00, BGl_z62lambda2330z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3168z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2329za7623408z00, BGl_z62lambda2329z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73409za7, BGl_z62zc3anonymousza32338ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3170z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2337za7623410z00, BGl_z62lambda2337z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2336za7623411z00, BGl_z62lambda2336z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3172z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73412za7, BGl_z62zc3anonymousza32345ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2344za7623413z00, BGl_z62lambda2344z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3174z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2343za7623414z00, BGl_z62lambda2343z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73415za7, BGl_z62zc3anonymousza32352ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3176z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2351za7623416z00, BGl_z62lambda2351z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3264z00zz__multimediazd2midizd2, BgL_bgl_string3264za700za7za7_3417za7, "midiscore-init1229", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2350za7623418z00, BGl_z62lambda2350z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3178z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73419za7, BGl_z62zc3anonymousza32359ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3266z00zz__multimediazd2midizd2, BgL_bgl_string3266za700za7za7_3420za7, "miditrack-init1231", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2358za7623421z00, BGl_z62lambda2358z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3268z00zz__multimediazd2midizd2, BgL_bgl_string3268za700za7za7_3422za7, "midireader-init1233", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3423z00, BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3180z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2357za7623424z00, BGl_z62lambda2357z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73425za7, BGl_z62zc3anonymousza32366ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3182z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2365za7623426z00, BGl_z62lambda2365z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3270z00zz__multimediazd2midizd2, BgL_bgl_string3270za700za7za7_3427za7, "midiplayer-init1235", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2364za7623428z00, BGl_z62lambda2364z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3184z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73429za7, BGl_z62zc3anonymousza32373ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3272z00zz__multimediazd2midizd2, BgL_bgl_string3272za700za7za7_3430za7, "midisink-init1237", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2372za7623431z00, BGl_z62lambda2372z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3273z00zz__multimediazd2midizd2, BgL_bgl_string3273za700za7za7_3432za7, "&midiscore-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3186z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2371za7623433z00, BGl_z62lambda2371z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3274z00zz__multimediazd2midizd2, BgL_bgl_string3274za700za7za7_3434za7, "&miditrack-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73435za7, BGl_z62zc3anonymousza32380ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3275z00zz__multimediazd2midizd2, BgL_bgl_string3275za700za7za7_3436za7, "&midireader-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3188z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2379za7623437z00, BGl_z62lambda2379z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3276z00zz__multimediazd2midizd2, BgL_bgl_string3276za700za7za7_3438za7, "midireader", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2378za7623439z00, BGl_z62lambda2378z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3277z00zz__multimediazd2midizd2, BgL_bgl_string3277za700za7za7_3440za7, "&midiplayer-init", 16 );
DEFINE_STRING( BGl_string3278z00zz__multimediazd2midizd2, BgL_bgl_string3278za700za7za7_3441za7, "&midisink-init", 14 );
DEFINE_STRING( BGl_string3279z00zz__multimediazd2midizd2, BgL_bgl_string3279za700za7za7_3442za7, "#() midisink flush write-string write-byte usleep stream midiplayer meta-seqspec meta-keysig meta-timesig meta-smtpe meta-tempo meta-eot meta-midiport meta-channpref meta-devname meta-prgmname meta-cue meta-marker meta-lyric meta-instrument meta-track meta-copyright meta-text meta-seqnum sysex pitch after-touch prgmchange ctrlchange aftertouch noteon noteoff cdelay err midireader read-chars read-vlq read-int read-int32 read-int16 read-byte peek-byte miditrack eot status wtick datastart start ip int32 len %status uint32 %wtick bool %eot procedure %close %reader obj %stream __multimedia-midi midiscore vector tracks ppq tempo long format string-stream #(\"C\" \"C#\" \"D\" \"D#\" \"E\" \"F\" \"F#\" \"G\" \"G#\" \"A\" \"A#\" \"B\") #(\"\" \"Acoustic Grand Piano\" \"Bright Acoustic Piano\" \"Electric Grand Piano\" \"Honky-tonk Piano\" \"Electric Piano 1\" \"Electric Piano 2\" \"Harpsichord\" \"Clavinet\" \"Celesta\" \"Glockenspiel\" \"Music Box\" \"Vibraphone\" \"Marimba\" \"Xylophone\" \"Tubular Bells\" \"Dulcimer"
"\" \"Drawbar Organ\" \"Percussive Organ\" \"Rock Organ\" \"Church Organ\" \"Reed Organ\" \"Accordion\" \"Harmonica\" \"Tango Accordion\" \"Acoustic Guitar (nylon)\" \"Acoustic Guitar (steel)\" \"Electric Guitar (jazz)\" \"Electric Guitar (clean)\" \"Electric Guitar (muted)\" \"Overdriven Guitar\" \"Distortion Guitar\" \"Guitar harmonics\" \"Acoustic Bass\" \"Electric Bass (finger)\" \"Electric Bass (pick)\" \"Fretless Bass\" \"Slap Bass 1\" \"Slap Bass 2\" \"Synth Bass 1\" \"Synth Bass 2\" \"Violin\" \"Viola\" \"Cello\" \"Contrabass\" \"Tremolo Strings\" \"Pizzicato Strings\" \"Orchestral Harp\" \"Timpani\" \"String Ensemble 1\" \"String Ensemble 2\" \"Synth Strings 1\" \"Synth Strings 2\" \"Choir Aahs\" \"Voice Oohs\" \"Synth Voice\" \"Orchestra Hit\" \"Trumpet\" \"Trombone\" \"Tuba\" \"Muted Trumpet\" \"French Horn\" \"Brass Section\" \"Synth Brass 1\" \"Synth Brass 2\" \"Soprano Sax\" \"Alto Sax\" \"Tenor Sax\" \"Baritone Sax\" \"Oboe\" \"English Horn\" \"Bassoon\" \"Clarinet\" \"Piccolo\" \"Flute\" \"Reco"
"rder\" \"Pan Flute\" \"Blown Bottle\" \"Shakuhachi\" \"Whistle\" \"Ocarina\" \"Lead 1 (square)\" \"Lead 2 (sawtooth)\" \"Lead 3 (calliope)\" \"Lead 4 (chiff)\" \"Lead 5 (charang)\" \"Lead 6 (voice)\" \"Lead 7 (fifths)\" \"Lead 8 (bass + lead)\" \"Pad 1 (new age)\" \"Pad 2 (warm)\" \"Pad 3 (polysynth)\" \"Pad 4 (choir)\" \"Pad 5 (bowed)\" \"Pad 6 (metallic)\" \"Pad 7 (halo)\" \"Pad 8 (sweep)\" \"FX 1 (rain)\" \"FX 2 (soundtrack)\" \"FX 3 (crystal)\" \"FX 4 (atmosphere)\" \"FX 5 (brightness)\" \"FX 6 (goblins)\" \"FX 7 (echoes)\" \"FX 8 (sci-fi)\" \"Sitar\" \"Banjo\" \"Shamisen\" \"Koto\" \"Kalimba\" \"Bag pipe\" \"Fiddle\" \"Shanai\" \"Tinkle Bell\" \"Agogo\" \"Steel Drums\" \"Woodblock\" \"Taiko Drum\" \"Melodic Tom\" \"Synth Drum\" \"Reverse Cymbal\" \"Guitar Fret Noise\" \"Breath Noise\" \"Seashore\" \"Bird Tweet\" \"Telephone Ring\" \"Helicopter\" \"Applause\" \"Gunshot\") #(\"Bank Select\" \"Modulation Wheel or Lever\" \"Breath Controller\" \"Undefined\" \"Foot Controller\" \"Portamento Time\" \"Data Entr"
"y MSB\" \"Channel Volume\" \"Balance\" \"Undefined\" \"Pan\" \"Expression Controller\" \"Effect Control 1\" \"Effect Control 2\" \"Undefined\" \"Undefined\" \"General Purpose Controller 1\" \"General Purpose Controller 2\" \"General Purpose Controller 3\" \"General Purpose Controller 4\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"LSB for Control 0\" \"LSB for Control 1\" \"LSB for Control 2\" \"LSB for Control 3\" \"LSB for Control 4\" \"LSB for Control 5\" \"LSB for Control 6\" \"LSB for Control 7\" \"LSB for Control 8\" \"LSB for Control 9\" \"LSB for Control 10\" \"LSB for Control 11\" \"LSB for Control 12\" \"LSB for Control 13\" \"LSB for Control 14\" \"LSB for Control 15\" \"LSB for Control 16\" \"LSB for Control 17\" \"LSB for Control 18\" \"LSB for Control 19\" \"LSB for Control 20\" \"LSB for Control 21\" \"LSB for Control 22\" \"LSB for Control 23\" \"LSB for Control 24\" \""
"LSB for Control 25\" \"LSB for Control 26\" \"LSB for Control 27\" \"LSB for Control 28\" \"LSB for Control 29\" \"LSB for Control 30\" \"LSB for Control 31\" \"Damper Pedal on/off (Sustain)\" \"Portamento On/Off\" \"Sostenuto On/Off\" \"Soft Pedal On/Off\" \"Legato Footswitch\" \"Hold 2\" \"Sound Controller 1 (default: Sound Variation)\" \"Sound Controller 2 (default: Timbre/Harmonic Intens.)\" \"Sound Controller 3 (default: Release Time)\" \"Sound Controller 4 (default: Attack Time)\" \"Sound Controller 5 (default: Brightness)\" \"Sound Controller 6 (default: Decay Time - see MMA RP-021)\" \"Sound Controller 7 (default: Vibrato Rate - see MMA RP-021)\" \"Sound Controller 8 (default: Vibrato Depth - see MMA RP-021)\" \"Sound Controller 9 (default: Vibrato Delay - see MMA RP-021)\" \"Sound Controller 10 (default undefined - see MMA RP-021)\" \"General Purpose Controller 5\" \"General Purpose Controller 6\" \"General Purpose Controller 7\" \"General Purpose Controller 8\" \"Portamento Control\" \"Undefined\" "
"\"Undefined\" \"Undefined\" \"High Resolution Velocity Prefix\" \"Undefined\" \"Undefined\" \"Effects 1 Depth\" \"Effects 2 Depth\" \"Effects 3 Depth\" \"Effects 4 Depth\" \"Effects 5 Depth\" \"Data Increment\" \"Data Decrement\" \"Non-Registered Parameter Number (NRPN)\" \"Non-Registered Parameter Number (NRPN)\" \"Registered Parameter Number (RPN)\" \"Registered Parameter Number (RPN)\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"Undefined\" \"[Channel Mode Message] All Sound Off\" \"[Channel Mode Message] Reset All Controllers\" \"[Channel Mode Message] Local Control On/Off\" \"[Channel Mode Message] All Notes Off\" \"[Channel Mode Message] Omni Mode Off (+ all notes off)\" \"[Channel Mode Message] Omni Mode On (+ all notes off)\" \"[Channel Mode Message] Mono Mode On (+ poly off, + all notes off)\" \"[Channel Mod"
"e Message] Poly Mode On (+ mono off, +all notes off)\") #(\"\" \"text\" \"copyright\" \"track\" \"instrument\" \"lyric\" \"marker\" \"cue\") ", 5730 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2playzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2p3443z00, BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3190z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73444za7, BGl_z62zc3anonymousza32387ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2386za7623445z00, BGl_z62lambda2386z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3192z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2385za7623446z00, BGl_z62lambda2385z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73447za7, BGl_z62zc3anonymousza32394ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3194z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2393za7623448z00, BGl_z62lambda2393z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2392za7623449z00, BGl_z62lambda2392z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3196z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73450za7, BGl_z62zc3anonymousza32401ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2400za7623451z00, BGl_z62lambda2400z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3198z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2399za7623452z00, BGl_z62lambda2399z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73453za7, BGl_z62zc3anonymousza32408ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int32za73454za7, BGl_z62readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23455z00, BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2stringzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2s3456z00, BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2notezd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2noteza7d3457za7, BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23458z00, BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23459z00, BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2int16za73460za7, BGl_z62readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23461z00, BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23462z00, BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_GENERIC( BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3463z00, BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2f3464z00, BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23465z00, BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3011z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73466za7, BGl_z62zc3anonymousza31263ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3012z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73467za7, BGl_z62zc3anonymousza31264ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3013z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73468za7, BGl_z62zc3anonymousza31265ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3014z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73469za7, BGl_z62zc3anonymousza31266ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3015z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73470za7, BGl_z62zc3anonymousza31267ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3016z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73471za7, BGl_z62zc3anonymousza31268ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3017z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73472za7, BGl_z62zc3anonymousza31269ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3018z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73473za7, BGl_z62zc3anonymousza31270ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3019z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73474za7, BGl_z62zc3anonymousza31271ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
BGL_IMPORT obj_t BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3020z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73475za7, BGl_z62zc3anonymousza31526ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73476za7, BGl_z62zc3anonymousza31527ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3022z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73477za7, BGl_z62zc3anonymousza31561ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3023z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73478za7, BGl_z62zc3anonymousza31562ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3024z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73479za7, BGl_z62zc3anonymousza31563ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3025z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73480za7, BGl_z62zc3anonymousza31564ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3037z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73481za7, BGl_z62zc3anonymousza31676ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3200z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2407za7623482z00, BGl_z62lambda2407z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2406za7623483z00, BGl_z62lambda2406z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3202z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73484za7, BGl_z62zc3anonymousza32415ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2414za7623485z00, BGl_z62lambda2414z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3204z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2413za7623486z00, BGl_z62lambda2413z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73487za7, BGl_z62zc3anonymousza32422ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3206z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2421za7623488z00, BGl_z62lambda2421z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2420za7623489z00, BGl_z62lambda2420z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3208z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73490za7, BGl_z62zc3anonymousza32429ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2428za7623491z00, BGl_z62lambda2428z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3210z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2427za7623492z00, BGl_z62lambda2427z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73493za7, BGl_z62zc3anonymousza32436ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3212z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2435za7623494z00, BGl_z62lambda2435z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2434za7623495z00, BGl_z62lambda2434z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3214z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73496za7, BGl_z62zc3anonymousza32443ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2442za7623497z00, BGl_z62lambda2442z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3216z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2441za7623498z00, BGl_z62lambda2441z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73499za7, BGl_z62zc3anonymousza32450ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3218z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2449za7623500z00, BGl_z62lambda2449z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2448za7623501z00, BGl_z62lambda2448z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3220z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73502za7, BGl_z62zc3anonymousza32457ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2456za7623503z00, BGl_z62lambda2456z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3222z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2455za7623504z00, BGl_z62lambda2455z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3223z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73505za7, BGl_z62zc3anonymousza32464ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3224z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2463za7623506z00, BGl_z62lambda2463z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3225z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2462za7623507z00, BGl_z62lambda2462z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3226z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73508za7, BGl_z62zc3anonymousza32471ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3227z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2470za7623509z00, BGl_z62lambda2470z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3228z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2469za7623510z00, BGl_z62lambda2469z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3229z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73511za7, BGl_z62zc3anonymousza32479ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23512z00, BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2controllerzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2contro3513z00, BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3230z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2478za7623514z00, BGl_z62lambda2478z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3231z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2477za7623515z00, BGl_z62lambda2477z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3232z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73516za7, BGl_z62zc3anonymousza32487ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3233z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2486za7623517z00, BGl_z62lambda2486z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3234z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2485za7623518z00, BGl_z62lambda2485z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3235z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73519za7, BGl_z62zc3anonymousza32494ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3236z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2493za7623520z00, BGl_z62lambda2493z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3237z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2492za7623521z00, BGl_z62lambda2492z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3238z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73522za7, BGl_z62zc3anonymousza32296ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3239z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2294za7623523z00, BGl_z62lambda2294z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3524z00, BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3240z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2291za7623525z00, BGl_z62lambda2291z62zz__multimediazd2midizd2, 0L, BUNSPEC, 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3241z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73526za7, BGl_z62zc3anonymousza32512ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3242z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2511za7623527z00, BGl_z62lambda2511z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2113za7623528z00, BGl_z62lambda2113z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3243z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2510za7623529z00, BGl_z62lambda2510z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3081z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2112za7623530z00, BGl_z62lambda2112z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3244z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73531za7, BGl_z62zc3anonymousza32519ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73532za7, BGl_z62zc3anonymousza32120ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3245z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2518za7623533z00, BGl_z62lambda2518z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3083z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2119za7623534z00, BGl_z62lambda2119z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3246z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2517za7623535z00, BGl_z62lambda2517z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2118za7623536z00, BGl_z62lambda2118z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3247z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73537za7, BGl_z62zc3anonymousza32526ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3085z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73538za7, BGl_z62zc3anonymousza32127ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3248z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2525za7623539z00, BGl_z62lambda2525z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2126za7623540z00, BGl_z62lambda2126z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3249z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2524za7623541z00, BGl_z62lambda2524z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3087z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2125za7623542z00, BGl_z62lambda2125z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73543za7, BGl_z62zc3anonymousza32134ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3089z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2133za7623544z00, BGl_z62lambda2133z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23545z00, BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3250z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73546za7, BGl_z62zc3anonymousza32534ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3251z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2533za7623547z00, BGl_z62lambda2533z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3252z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2532za7623548z00, BGl_z62lambda2532z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2132za7623549z00, BGl_z62lambda2132z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3253z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73550za7, BGl_z62zc3anonymousza32542ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3091z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73551za7, BGl_z62zc3anonymousza32108ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3254z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2541za7623552z00, BGl_z62lambda2541z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2106za7623553z00, BGl_z62lambda2106z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3255z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2540za7623554z00, BGl_z62lambda2540z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3093z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2103za7623555z00, BGl_z62lambda2103z62zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3256z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73556za7, BGl_z62zc3anonymousza32505ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73557za7, BGl_z62zc3anonymousza32152ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3257z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2503za7623558z00, BGl_z62lambda2503z62zz__multimediazd2midizd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3095z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2151za7623559z00, BGl_z62lambda2151z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3258z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2500za7623560z00, BGl_z62lambda2500z62zz__multimediazd2midizd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2150za7623561z00, BGl_z62lambda2150z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3259z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73562za7, BGl_z62zc3anonymousza32535ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3097z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2157za7623563z00, BGl_z62lambda2157z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2156za7623564z00, BGl_z62lambda2156z62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3099z00zz__multimediazd2midizd2, BgL_bgl_za762lambda2162za7623565z00, BGl_z62lambda2162z62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3260z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73566za7, BGl_z62zc3anonymousza32527ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3261z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73567za7, BGl_z62zc3anonymousza32480ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3262z00zz__multimediazd2midizd2, BgL_bgl_za762za7c3anonymousza73568za7, BGl_z62zc3anonymousza32472ze3ze1zz__multimediazd2midizd2, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3263z00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2i3569z00, BGl_z62midiscorezd2init1229zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3265z00zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3570z00, BGl_z62miditrackzd2init1231zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3267z00zz__multimediazd2midizd2, BgL_bgl_za762midireaderza7d23571z00, BGl_z62midireaderzd2init1233zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3269z00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23572z00, BGl_z62midiplayerzd2init1235zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3271z00zz__multimediazd2midizd2, BgL_bgl_za762midisinkza7d2in3573z00, BGl_z62midisinkzd2init1237zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3574z00, BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_miditrackzd2inputzd2portzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762miditrackza7d2i3575z00, BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762readza7d2intza7b03576za7, BGl_z62readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3577z00, BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3578z00, BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_sleepzd2envzd2zz__osz00;
BGL_IMPORT obj_t BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiscorezd2filezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiscoreza7d2f3579z00, BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2indexzd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3580z00, BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23581z00, BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23582z00, BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midizd2programzd2namezd2envzd2zz__multimediazd2midizd2, BgL_bgl_za762midiza7d2progra3583z00, BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3584z00, BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2, BgL_bgl_za762midiplayerza7d23585z00, BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2, BgL_bgl_za762stringza7d2stre3586z00, BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_midiscorez00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midisinkz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2textzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2notezd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midisinkzd2nullzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midizd2programzd2namesz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_miditrackz00zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midiplayerzd2readzd2zz__multimediazd2midizd2) );
ADD_ROOT( (void *)(&BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2midizd2(long BgL_checksumz00_4425, char * BgL_fromz00_4426)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2midizd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2midizd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2(); 
BGl_cnstzd2initzd2zz__multimediazd2midizd2(); 
BGl_objectzd2initzd2zz__multimediazd2midizd2(); 
BGl_genericzd2initzd2zz__multimediazd2midizd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2midizd2();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__multimedia-midi"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__multimedia-midi"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
obj_t BgL_cportz00_4058;
{ /* Llib/midi.scm 15 */
obj_t BgL_stringz00_4066;
BgL_stringz00_4066 = BGl_string3279z00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 15 */
obj_t BgL_startz00_4067;
BgL_startz00_4067 = 
BINT(((long)0)); 
{ /* Llib/midi.scm 15 */
obj_t BgL_endz00_4068;
BgL_endz00_4068 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_4066))); 
{ /* Llib/midi.scm 15 */

BgL_cportz00_4058 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_4066, BgL_startz00_4067, BgL_endz00_4068); } } } } 
{ 
long BgL_iz00_4059;
BgL_iz00_4059 = ((long)75); 
BgL_loopz00_4060:
if(
(BgL_iz00_4059==((long)-1)))
{ /* Llib/midi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 15 */
obj_t BgL_arg3281z00_4062;
{ /* Llib/midi.scm 15 */

{ /* Llib/midi.scm 15 */
obj_t BgL_locationz00_4064;
BgL_locationz00_4064 = 
BBOOL(((bool_t)0)); 
{ /* Llib/midi.scm 15 */

BgL_arg3281z00_4062 = 
BGl_readz00zz__readerz00(BgL_cportz00_4058, BgL_locationz00_4064); } } } 
{ /* Llib/midi.scm 15 */
int BgL_tmpz00_4463;
BgL_tmpz00_4463 = 
(int)(BgL_iz00_4059); 
CNST_TABLE_SET(BgL_tmpz00_4463, BgL_arg3281z00_4062); } } 
{ /* Llib/midi.scm 15 */
int BgL_auxz00_4065;
BgL_auxz00_4065 = 
(int)(
(BgL_iz00_4059-((long)1))); 
{ 
long BgL_iz00_4468;
BgL_iz00_4468 = 
(long)(BgL_auxz00_4065); 
BgL_iz00_4059 = BgL_iz00_4468; 
goto BgL_loopz00_4060;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 133 */
BgL_midireaderz00_bglt BgL_new1120z00_143;
{ /* Llib/midi.scm 134 */
BgL_midireaderz00_bglt BgL_new1119z00_145;
BgL_new1119z00_145 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 134 */
long BgL_arg1256z00_146;
{ /* Llib/midi.scm 134 */
long BgL_res2549z00_1862;
BgL_res2549z00_1862 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BgL_arg1256z00_146 = BgL_res2549z00_1862; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_145), BgL_arg1256z00_146); } 
BgL_new1120z00_143 = BgL_new1119z00_145; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_peekzd2bytezd2)=((obj_t)BGl_peekzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2bytezd2)=((obj_t)BGl_readzd2bytezd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2int16zd2)=((obj_t)BGl_readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2int32zd2)=((obj_t)BGl_readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2intzd2)=((obj_t)BGl_readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2vlqzd2)=((obj_t)BGl_readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1120z00_143))->BgL_readzd2charszd2)=((obj_t)BGl_readzd2charszd2envz00zz__r4_input_6_10_2z00),BUNSPEC); 
{ /* Llib/midi.scm 133 */
obj_t BgL_fun1239z00_144;
BgL_fun1239z00_144 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1239z00_144)(BgL_fun1239z00_144, 
((obj_t)BgL_new1120z00_143), BEOA); } 
BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2 = BgL_new1120z00_143; } 
{ /* Llib/midi.scm 146 */
BgL_midireaderz00_bglt BgL_new1122z00_147;
{ /* Llib/midi.scm 147 */
BgL_midireaderz00_bglt BgL_new1121z00_149;
BgL_new1121z00_149 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 147 */
long BgL_arg1258z00_150;
{ /* Llib/midi.scm 147 */
long BgL_res2550z00_1866;
BgL_res2550z00_1866 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BgL_arg1258z00_150 = BgL_res2550z00_1866; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_149), BgL_arg1258z00_150); } 
BgL_new1122z00_147 = BgL_new1121z00_149; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_peekzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2peekzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2bytezd2)=((obj_t)BGl_stringzd2streamzd2readzd2bytezd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2int16zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int16zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2int32zd2)=((obj_t)BGl_stringzd2streamzd2readzd2int32zd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2intzd2)=((obj_t)BGl_stringzd2streamzd2readzd2intzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2vlqzd2)=((obj_t)BGl_stringzd2streamzd2readzd2vlqzd2envz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1122z00_147))->BgL_readzd2charszd2)=((obj_t)BGl_stringzd2streamzd2readzd2charszd2envz00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 146 */
obj_t BgL_fun1257z00_148;
BgL_fun1257z00_148 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1257z00_148)(BgL_fun1257z00_148, 
((obj_t)BgL_new1122z00_147), BEOA); } 
BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2 = BgL_new1122z00_147; } 
{ /* Llib/midi.scm 159 */
BgL_midiplayerz00_bglt BgL_new1124z00_151;
{ /* Llib/midi.scm 159 */
BgL_midiplayerz00_bglt BgL_new1123z00_264;
BgL_new1123z00_264 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 159 */
long BgL_arg1560z00_265;
{ /* Llib/midi.scm 159 */
long BgL_res2551z00_1870;
BgL_res2551z00_1870 = 
BGL_CLASS_INDEX(BGl_midiplayerz00zz__multimediazd2midizd2); 
BgL_arg1560z00_265 = BgL_res2551z00_1870; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_264), BgL_arg1560z00_265); } 
BgL_new1124z00_151 = BgL_new1123z00_264; } 
{ 
obj_t BgL_auxz00_4509;
{ /* Llib/midi.scm 159 */
obj_t BgL_arg1261z00_152;
{ /* Llib/midi.scm 159 */
obj_t BgL_arg1262z00_153;
{ /* Llib/midi.scm 159 */
obj_t BgL_res2552z00_1874;
{ /* Llib/midi.scm 159 */
obj_t BgL_classz00_1873;
BgL_classz00_1873 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2552z00_1874 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1873); } 
BgL_arg1262z00_153 = BgL_res2552z00_1874; } 
BgL_arg1261z00_152 = 
VECTOR_REF(BgL_arg1262z00_153,((long)0)); } 
BgL_auxz00_4509 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1261z00_152); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_errz00)=((obj_t)BgL_auxz00_4509),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_cdelayz00)=((obj_t)BGl_proc3011z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_noteoffz00)=((obj_t)BGl_proc3012z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_noteonz00)=((obj_t)BGl_proc3013z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_aftertouchz00)=((obj_t)BGl_proc3014z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_ctrlchangez00)=((obj_t)BGl_proc3015z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_prgmchangez00)=((obj_t)BGl_proc3016z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_afterzd2touchzd2)=((obj_t)BGl_proc3017z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_pitchz00)=((obj_t)BGl_proc3018z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_sysexz00)=((obj_t)BGl_proc3019z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
obj_t BgL_auxz00_4523;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1278z00_214;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1279z00_215;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2553z00_1877;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1876;
BgL_classz00_1876 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2553z00_1877 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1876); } 
BgL_arg1279z00_215 = BgL_res2553z00_1877; } 
BgL_arg1278z00_214 = 
VECTOR_REF(BgL_arg1279z00_215,((long)10)); } 
BgL_auxz00_4523 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1278z00_214); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2seqnumzd2)=((obj_t)BgL_auxz00_4523),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4528;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1284z00_216;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1285z00_217;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2554z00_1880;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1879;
BgL_classz00_1879 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2554z00_1880 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1879); } 
BgL_arg1285z00_217 = BgL_res2554z00_1880; } 
BgL_arg1284z00_216 = 
VECTOR_REF(BgL_arg1285z00_217,((long)11)); } 
BgL_auxz00_4528 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1284z00_216); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2textzd2)=((obj_t)BgL_auxz00_4528),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4533;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1290z00_218;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1329z00_219;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2555z00_1883;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1882;
BgL_classz00_1882 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2555z00_1883 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1882); } 
BgL_arg1329z00_219 = BgL_res2555z00_1883; } 
BgL_arg1290z00_218 = 
VECTOR_REF(BgL_arg1329z00_219,((long)12)); } 
BgL_auxz00_4533 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1290z00_218); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2copyrightzd2)=((obj_t)BgL_auxz00_4533),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4538;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1330z00_220;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1331z00_221;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2556z00_1886;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1885;
BgL_classz00_1885 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2556z00_1886 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1885); } 
BgL_arg1331z00_221 = BgL_res2556z00_1886; } 
BgL_arg1330z00_220 = 
VECTOR_REF(BgL_arg1331z00_221,((long)13)); } 
BgL_auxz00_4538 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1330z00_220); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2trackzd2)=((obj_t)BgL_auxz00_4538),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4543;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1332z00_222;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1333z00_223;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2557z00_1889;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1888;
BgL_classz00_1888 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2557z00_1889 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1888); } 
BgL_arg1333z00_223 = BgL_res2557z00_1889; } 
BgL_arg1332z00_222 = 
VECTOR_REF(BgL_arg1333z00_223,((long)14)); } 
BgL_auxz00_4543 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1332z00_222); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2instrumentzd2)=((obj_t)BgL_auxz00_4543),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4548;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1334z00_224;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1335z00_225;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2558z00_1892;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1891;
BgL_classz00_1891 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2558z00_1892 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1891); } 
BgL_arg1335z00_225 = BgL_res2558z00_1892; } 
BgL_arg1334z00_224 = 
VECTOR_REF(BgL_arg1335z00_225,((long)15)); } 
BgL_auxz00_4548 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1334z00_224); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2lyriczd2)=((obj_t)BgL_auxz00_4548),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4553;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1336z00_226;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1365z00_227;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2559z00_1895;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1894;
BgL_classz00_1894 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2559z00_1895 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1894); } 
BgL_arg1365z00_227 = BgL_res2559z00_1895; } 
BgL_arg1336z00_226 = 
VECTOR_REF(BgL_arg1365z00_227,((long)16)); } 
BgL_auxz00_4553 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1336z00_226); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2markerzd2)=((obj_t)BgL_auxz00_4553),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4558;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1366z00_228;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1408z00_229;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2560z00_1898;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1897;
BgL_classz00_1897 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2560z00_1898 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1897); } 
BgL_arg1408z00_229 = BgL_res2560z00_1898; } 
BgL_arg1366z00_228 = 
VECTOR_REF(BgL_arg1408z00_229,((long)17)); } 
BgL_auxz00_4558 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1366z00_228); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2cuezd2)=((obj_t)BgL_auxz00_4558),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4563;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1409z00_230;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1489z00_231;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2561z00_1901;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1900;
BgL_classz00_1900 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2561z00_1901 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1900); } 
BgL_arg1489z00_231 = BgL_res2561z00_1901; } 
BgL_arg1409z00_230 = 
VECTOR_REF(BgL_arg1489z00_231,((long)18)); } 
BgL_auxz00_4563 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1409z00_230); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2prgmnamezd2)=((obj_t)BgL_auxz00_4563),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4568;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1490z00_232;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1497z00_233;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2562z00_1904;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1903;
BgL_classz00_1903 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2562z00_1904 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1903); } 
BgL_arg1497z00_233 = BgL_res2562z00_1904; } 
BgL_arg1490z00_232 = 
VECTOR_REF(BgL_arg1497z00_233,((long)19)); } 
BgL_auxz00_4568 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1490z00_232); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2devnamezd2)=((obj_t)BgL_auxz00_4568),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4573;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1501z00_234;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1509z00_235;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2563z00_1907;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1906;
BgL_classz00_1906 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2563z00_1907 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1906); } 
BgL_arg1509z00_235 = BgL_res2563z00_1907; } 
BgL_arg1501z00_234 = 
VECTOR_REF(BgL_arg1509z00_235,((long)20)); } 
BgL_auxz00_4573 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1501z00_234); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2channprefzd2)=((obj_t)BgL_auxz00_4573),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4578;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1510z00_236;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1517z00_237;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2564z00_1910;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1909;
BgL_classz00_1909 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2564z00_1910 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1909); } 
BgL_arg1517z00_237 = BgL_res2564z00_1910; } 
BgL_arg1510z00_236 = 
VECTOR_REF(BgL_arg1517z00_237,((long)21)); } 
BgL_auxz00_4578 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1510z00_236); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2midiportzd2)=((obj_t)BgL_auxz00_4578),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4583;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1522z00_238;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1523z00_239;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2565z00_1913;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1912;
BgL_classz00_1912 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2565z00_1913 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1912); } 
BgL_arg1523z00_239 = BgL_res2565z00_1913; } 
BgL_arg1522z00_238 = 
VECTOR_REF(BgL_arg1523z00_239,((long)22)); } 
BgL_auxz00_4583 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1522z00_238); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2eotzd2)=((obj_t)BgL_auxz00_4583),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4588;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1524z00_240;
{ /* Llib/midi.scm 168 */
obj_t BgL_arg1525z00_241;
{ /* Llib/midi.scm 168 */
obj_t BgL_res2566z00_1916;
{ /* Llib/midi.scm 168 */
obj_t BgL_classz00_1915;
BgL_classz00_1915 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2566z00_1916 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1915); } 
BgL_arg1525z00_241 = BgL_res2566z00_1916; } 
BgL_arg1524z00_240 = 
VECTOR_REF(BgL_arg1525z00_241,((long)23)); } 
BgL_auxz00_4588 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1524z00_240); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2tempozd2)=((obj_t)BgL_auxz00_4588),BUNSPEC); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2smtpezd2)=((obj_t)BGl_proc3020z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2timesigzd2)=((obj_t)BGl_proc3021z00zz__multimediazd2midizd2),BUNSPEC); 
{ 
obj_t BgL_auxz00_4595;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1542z00_259;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1543z00_260;
{ /* Llib/midi.scm 83 */
obj_t BgL_res2567z00_1919;
{ /* Llib/midi.scm 83 */
obj_t BgL_classz00_1918;
BgL_classz00_1918 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2567z00_1919 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1918); } 
BgL_arg1543z00_260 = BgL_res2567z00_1919; } 
BgL_arg1542z00_259 = 
VECTOR_REF(BgL_arg1543z00_260,((long)26)); } 
BgL_auxz00_4595 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1542z00_259); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2keysigzd2)=((obj_t)BgL_auxz00_4595),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4600;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1544z00_261;
{ /* Llib/midi.scm 83 */
obj_t BgL_arg1545z00_262;
{ /* Llib/midi.scm 83 */
obj_t BgL_res2568z00_1922;
{ /* Llib/midi.scm 83 */
obj_t BgL_classz00_1921;
BgL_classz00_1921 = BGl_midiplayerz00zz__multimediazd2midizd2; 
BgL_res2568z00_1922 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1921); } 
BgL_arg1545z00_262 = BgL_res2568z00_1922; } 
BgL_arg1544z00_261 = 
VECTOR_REF(BgL_arg1545z00_262,((long)27)); } 
BgL_auxz00_4600 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1544z00_261); } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1124z00_151))->BgL_metazd2seqspeczd2)=((obj_t)BgL_auxz00_4600),BUNSPEC); } 
{ /* Llib/midi.scm 159 */
obj_t BgL_fun1546z00_263;
BgL_fun1546z00_263 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1546z00_263)(BgL_fun1546z00_263, 
((obj_t)BgL_new1124z00_151), BEOA); } 
BGl_midiplayerzd2readzd2zz__multimediazd2midizd2 = BgL_new1124z00_151; } 
{ /* Llib/midi.scm 174 */
BgL_midisinkz00_bglt BgL_new1126z00_266;
{ /* Llib/midi.scm 174 */
BgL_midisinkz00_bglt BgL_new1125z00_278;
BgL_new1125z00_278 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 174 */
long BgL_arg1574z00_279;
{ /* Llib/midi.scm 174 */
long BgL_res2569z00_1925;
BgL_res2569z00_1925 = 
BGL_CLASS_INDEX(BGl_midisinkz00zz__multimediazd2midizd2); 
BgL_arg1574z00_279 = BgL_res2569z00_1925; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_278), BgL_arg1574z00_279); } 
BgL_new1126z00_266 = BgL_new1125z00_278; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_usleepz00)=((obj_t)BGl_proc3022z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_writezd2bytezd2)=((obj_t)BGl_proc3023z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_writezd2stringzd2)=((obj_t)BGl_proc3024z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1126z00_266))->BgL_flushz00)=((obj_t)BGl_proc3025z00zz__multimediazd2midizd2),BUNSPEC); 
{ /* Llib/midi.scm 174 */
obj_t BgL_fun1565z00_277;
BgL_fun1565z00_277 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1565z00_277)(BgL_fun1565z00_277, 
((obj_t)BgL_new1126z00_266), BEOA); } 
BGl_midisinkzd2nullzd2zz__multimediazd2midizd2 = BgL_new1126z00_266; } 
BGl_midizd2textzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)0)); 
BGl_midizd2controllerzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)1)); 
BGl_midizd2programzd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)2)); 
BGl_midizd2notezd2namesz00zz__multimediazd2midizd2 = 
CNST_TABLE_REF(((long)3)); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:1564> */
obj_t BGl_z62zc3anonymousza31564ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2955, obj_t BgL_opz00_2956)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 178 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1563> */
obj_t BGl_z62zc3anonymousza31563ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2957, obj_t BgL_opz00_2958, obj_t BgL_bz00_2959)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 177 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1562> */
obj_t BGl_z62zc3anonymousza31562ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2960, obj_t BgL_opz00_2961, obj_t BgL_bz00_2962)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 176 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1561> */
obj_t BGl_z62zc3anonymousza31561ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2963, obj_t BgL_sz00_2964)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 175 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1527> */
obj_t BGl_z62zc3anonymousza31527ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2965, obj_t BgL_mpz00_2966, obj_t BgL_msz00_2967, obj_t BgL_tickz00_2968, obj_t BgL_nnz00_2969, obj_t BgL_ddz00_2970, obj_t BgL_ccz00_2971, obj_t BgL_bbz00_2972)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1526> */
obj_t BGl_z62zc3anonymousza31526ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2973, obj_t BgL_mpz00_2974, obj_t BgL_msz00_2975, obj_t BgL_tickz00_2976, obj_t BgL_hrz00_2977, obj_t BgL_mmz00_2978, obj_t BgL_sez00_2979, obj_t BgL_frz00_2980, obj_t BgL_ffz00_2981)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1271> */
obj_t BGl_z62zc3anonymousza31271ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2982, obj_t BgL_mpz00_2983, obj_t BgL_msz00_2984, obj_t BgL_tickz00_2985, obj_t BgL_sz00_2986)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 168 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1270> */
obj_t BGl_z62zc3anonymousza31270ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2987, obj_t BgL_mpz00_2988, obj_t BgL_msz00_2989, obj_t BgL_tickz00_2990, obj_t BgL_xz00_2991, obj_t BgL_yz00_2992, obj_t BgL_za7za7_2993)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 167 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1269> */
obj_t BGl_z62zc3anonymousza31269ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_2994, obj_t BgL_mpz00_2995, obj_t BgL_msz00_2996, obj_t BgL_tickz00_2997, obj_t BgL_xz00_2998, obj_t BgL_yz00_2999)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 166 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1268> */
obj_t BGl_z62zc3anonymousza31268ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3000, obj_t BgL_mpz00_3001, obj_t BgL_msz00_3002, obj_t BgL_tickz00_3003, obj_t BgL_xz00_3004, obj_t BgL_yz00_3005)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 165 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1267> */
obj_t BGl_z62zc3anonymousza31267ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3006, obj_t BgL_mpz00_3007, obj_t BgL_msz00_3008, obj_t BgL_tickz00_3009, obj_t BgL_xz00_3010, obj_t BgL_yz00_3011, obj_t BgL_za7za7_3012)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 164 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1266> */
obj_t BGl_z62zc3anonymousza31266ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3013, obj_t BgL_mpz00_3014, obj_t BgL_msz00_3015, obj_t BgL_tickz00_3016, obj_t BgL_xz00_3017, obj_t BgL_yz00_3018, obj_t BgL_za7za7_3019)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 163 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1265> */
obj_t BGl_z62zc3anonymousza31265ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3020, obj_t BgL_mpz00_3021, obj_t BgL_msz00_3022, obj_t BgL_tickz00_3023, obj_t BgL_xz00_3024, obj_t BgL_yz00_3025, obj_t BgL_za7za7_3026)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 162 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1264> */
obj_t BGl_z62zc3anonymousza31264ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3027, obj_t BgL_mpz00_3028, obj_t BgL_msz00_3029, obj_t BgL_tickz00_3030, obj_t BgL_xz00_3031, obj_t BgL_yz00_3032, obj_t BgL_za7za7_3033)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 161 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1263> */
obj_t BGl_z62zc3anonymousza31263ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3034, obj_t BgL_mpz00_3035, obj_t BgL_msz00_3036, obj_t BgL_tickz00_3037, obj_t BgL_trackz00_3038, obj_t BgL_ppqz00_3039, obj_t BgL_dtz00_3040, obj_t BgL_usz00_3041)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 160 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* midiscore-file */
BGL_EXPORTED_DEF BgL_midiscorez00_bglt BGl_midiscorezd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_13)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
obj_t BgL_ipz00_296;
{ /* Llib/midi.scm 184 */

BgL_ipz00_296 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_13, BTRUE, 
BINT(((long)5000000))); } 
{ /* Llib/midi.scm 185 */
obj_t BgL_sza7za7_297;
BgL_sza7za7_297 = 
BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(BgL_ipz00_296); 
{ /* Llib/midi.scm 186 */
obj_t BgL_fmtz00_298;obj_t BgL_tckz00_299;obj_t BgL_tempoz00_300;obj_t BgL_ppqz00_301;
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4648;
BgL_tmpz00_4648 = 
(int)(((long)1)); 
BgL_fmtz00_298 = 
BGL_MVALUES_VAL(BgL_tmpz00_4648); } 
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4651;
BgL_tmpz00_4651 = 
(int)(((long)2)); 
BgL_tckz00_299 = 
BGL_MVALUES_VAL(BgL_tmpz00_4651); } 
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4654;
BgL_tmpz00_4654 = 
(int)(((long)3)); 
BgL_tempoz00_300 = 
BGL_MVALUES_VAL(BgL_tmpz00_4654); } 
{ /* Llib/midi.scm 187 */
int BgL_tmpz00_4657;
BgL_tmpz00_4657 = 
(int)(((long)4)); 
BgL_ppqz00_301 = 
BGL_MVALUES_VAL(BgL_tmpz00_4657); } 
{ /* Llib/midi.scm 187 */
obj_t BgL_tracksz00_302;
if(
INTEGERP(BgL_fmtz00_298))
{ /* Llib/midi.scm 187 */
switch( 
(long)CINT(BgL_fmtz00_298)) { case ((long)0) : 

{ /* Llib/midi.scm 188 */
obj_t BgL_v1185z00_310;
BgL_v1185z00_310 = 
create_vector(((long)1)); 
{ /* Llib/midi.scm 188 */
BgL_miditrackz00_bglt BgL_arg1626z00_311;
BgL_arg1626z00_311 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_296, 
(long)CINT(BgL_tempoz00_300)); 
VECTOR_SET(BgL_v1185z00_310,((long)0),
((obj_t)BgL_arg1626z00_311)); } 
BgL_tracksz00_302 = BgL_v1185z00_310; } break;case ((long)1) : 

BgL_tracksz00_302 = 
BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_296, 
(long)CINT(BgL_tempoz00_300), BgL_tckz00_299); break;case ((long)2) : 

BgL_tracksz00_302 = 
BGl_errorz00zz__errorz00(BGl_string3026z00zz__multimediazd2midizd2, BGl_string3027z00zz__multimediazd2midizd2, BgL_fmtz00_298); break;
default: 
BgL_tracksz00_302 = 
BGl_errorz00zz__errorz00(BGl_string3028z00zz__multimediazd2midizd2, BGl_string3029z00zz__multimediazd2midizd2, BgL_fmtz00_298); } }  else 
{ /* Llib/midi.scm 187 */
BgL_tracksz00_302 = 
BGl_errorz00zz__errorz00(BGl_string3028z00zz__multimediazd2midizd2, BGl_string3029z00zz__multimediazd2midizd2, BgL_fmtz00_298); } 
{ /* Llib/midi.scm 192 */
BgL_midiscorez00_bglt BgL_new1130z00_303;
{ /* Llib/midi.scm 193 */
BgL_midiscorez00_bglt BgL_new1129z00_305;
BgL_new1129z00_305 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 193 */
long BgL_arg1618z00_306;
{ /* Llib/midi.scm 193 */
long BgL_res2570z00_1937;
BgL_res2570z00_1937 = 
BGL_CLASS_INDEX(BGl_midiscorez00zz__multimediazd2midizd2); 
BgL_arg1618z00_306 = BgL_res2570z00_1937; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_305), BgL_arg1618z00_306); } 
BgL_new1130z00_303 = BgL_new1129z00_305; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_303))->BgL_formatz00)=((long)
(long)CINT(BgL_fmtz00_298)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_303))->BgL_tempoz00)=((long)
(long)CINT(BgL_tempoz00_300)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_303))->BgL_ppqz00)=((long)
(long)CINT(BgL_ppqz00_301)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1130z00_303))->BgL_tracksz00)=((obj_t)BgL_tracksz00_302),BUNSPEC); 
{ /* Llib/midi.scm 192 */
obj_t BgL_fun1613z00_304;
BgL_fun1613z00_304 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1613z00_304)(BgL_fun1613z00_304, 
((obj_t)BgL_new1130z00_303), BEOA); } 
return BgL_new1130z00_303;} } } } } } 
BGL_FUNCTION_END;
}



/* &midiscore-file */
BgL_midiscorez00_bglt BGl_z62midiscorezd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3074, obj_t BgL_filenamez00_3075)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 183 */
{ /* Llib/midi.scm 184 */
obj_t BgL_auxz00_4691;
if(
STRINGP(BgL_filenamez00_3075))
{ /* Llib/midi.scm 184 */
BgL_auxz00_4691 = BgL_filenamez00_3075
; }  else 
{ 
obj_t BgL_auxz00_4694;
BgL_auxz00_4694 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)8489)), BGl_string3031z00zz__multimediazd2midizd2, BGl_string3032z00zz__multimediazd2midizd2, BgL_filenamez00_3075); 
FAILURE(BgL_auxz00_4694,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2filezd2zz__multimediazd2midizd2(BgL_auxz00_4691);} } 
BGL_FUNCTION_END;
}



/* miditrack-input-port */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_15, long BgL_tempoz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
BgL_miditrackz00_bglt BgL_new1134z00_328;
{ /* Llib/midi.scm 213 */
BgL_miditrackz00_bglt BgL_new1133z00_330;
BgL_new1133z00_330 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 213 */
long BgL_arg1647z00_331;
{ /* Llib/midi.scm 213 */
long BgL_res2571z00_1941;
BgL_res2571z00_1941 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BgL_arg1647z00_331 = BgL_res2571z00_1941; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_330), BgL_arg1647z00_331); } 
BgL_new1134z00_328 = BgL_new1133z00_330; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_z52streamz52)=((obj_t)BgL_ipz00_15),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2inputzd2portz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_z52closez52)=((obj_t)BGl_closezd2inputzd2portzd2envzd2zz__r4_ports_6_10_1z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
int32_t BgL_auxz00_4709;
{ /* Llib/midi.scm 216 */
obj_t BgL_tmpz00_4710;
BgL_tmpz00_4710 = 
BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(BgL_ipz00_15); 
BgL_auxz00_4709 = 
BGL_BINT32_TO_INT32(BgL_tmpz00_4710); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_lenz00)=((int32_t)BgL_auxz00_4709),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_tempoz00)=((long)BgL_tempoz00_16),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1134z00_328))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 212 */
obj_t BgL_fun1644z00_329;
BgL_fun1644z00_329 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1644z00_329)(BgL_fun1644z00_329, 
((obj_t)BgL_new1134z00_328), BEOA); } 
return BgL_new1134z00_328;} } 
BGL_FUNCTION_END;
}



/* &miditrack-input-port */
BgL_miditrackz00_bglt BGl_z62miditrackzd2inputzd2portz62zz__multimediazd2midizd2(obj_t BgL_envz00_3076, obj_t BgL_ipz00_3077, obj_t BgL_tempoz00_3078)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 211 */
{ /* Llib/midi.scm 212 */
long BgL_auxz00_4734;obj_t BgL_auxz00_4727;
{ /* Llib/midi.scm 212 */
obj_t BgL_tmpz00_4735;
if(
INTEGERP(BgL_tempoz00_3078))
{ /* Llib/midi.scm 212 */
BgL_tmpz00_4735 = BgL_tempoz00_3078
; }  else 
{ 
obj_t BgL_auxz00_4738;
BgL_auxz00_4738 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string3033z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tempoz00_3078); 
FAILURE(BgL_auxz00_4738,BFALSE,BFALSE);} 
BgL_auxz00_4734 = 
(long)CINT(BgL_tmpz00_4735); } 
if(
INPUT_PORTP(BgL_ipz00_3077))
{ /* Llib/midi.scm 212 */
BgL_auxz00_4727 = BgL_ipz00_3077
; }  else 
{ 
obj_t BgL_auxz00_4730;
BgL_auxz00_4730 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)9695)), BGl_string3033z00zz__multimediazd2midizd2, BGl_string3034z00zz__multimediazd2midizd2, BgL_ipz00_3077); 
FAILURE(BgL_auxz00_4730,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_auxz00_4727, BgL_auxz00_4734);} } 
BGL_FUNCTION_END;
}



/* miditracks-input-port */
obj_t BGl_miditrackszd2inputzd2portz00zz__multimediazd2midizd2(obj_t BgL_ipz00_17, long BgL_tempoz00_18, obj_t BgL_tnumz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 222 */
{ 
obj_t BgL_ipz00_358;long BgL_tempoz00_359;
{ /* Llib/midi.scm 241 */
BgL_miditrackz00_bglt BgL_t0z00_334;
BgL_ipz00_358 = BgL_ipz00_17; 
BgL_tempoz00_359 = BgL_tempoz00_18; 
{ /* Llib/midi.scm 225 */
BgL_miditrackz00_bglt BgL_trackz00_361;
BgL_trackz00_361 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_358, BgL_tempoz00_359); 
{ /* Llib/midi.scm 227 */
BgL_midireaderz00_bglt BgL_i1136z00_363;
BgL_i1136z00_363 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_361))->BgL_z52readerz52); 
{ 

BgL_zc3anonymousza31667ze3z83_365:
{ /* Llib/midi.scm 229 */
obj_t BgL_fun1671z00_366;
BgL_fun1671z00_366 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1136z00_363))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 229 */
obj_t BgL_arg1670z00_367;
BgL_arg1670z00_367 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_361))->BgL_z52streamz52); 
PROCEDURE_ENTRY(BgL_fun1671z00_366)(BgL_fun1671z00_366, BgL_arg1670z00_367, BEOA); } } 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_361, BGl_midiplayerzd2readzd2zz__multimediazd2midizd2, BGl_midisinkzd2nullzd2zz__multimediazd2midizd2, ((long)0), ((long)0), ((long)0), 
LONG_TO_LLONG(((long)0))); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_361))->BgL_z52eotz52))
{ /* Llib/midi.scm 232 */
BgL_t0z00_334 = BgL_trackz00_361; }  else 
{ /* Llib/midi.scm 232 */
goto BgL_zc3anonymousza31667ze3z83_365;} } } } 
{ /* Llib/midi.scm 243 */
obj_t BgL_filez00_336;
{ /* Llib/midi.scm 243 */
obj_t BgL_res2572z00_1949;
BgL_res2572z00_1949 = 
INPUT_PORT_NAME(BgL_ipz00_17); 
BgL_filez00_336 = BgL_res2572z00_1949; } 
{ /* Llib/midi.scm 244 */
long BgL_g1138z00_337;
{ /* Llib/midi.scm 245 */
long BgL_res2573z00_1951;
BgL_res2573z00_1951 = 
INPUT_PORT_FILEPOS(BgL_ipz00_17); 
BgL_g1138z00_337 = BgL_res2573z00_1951; } 
{ 
long BgL_iz00_340;long BgL_posz00_341;obj_t BgL_tksz00_342;
BgL_iz00_340 = ((long)1); 
BgL_posz00_341 = BgL_g1138z00_337; 
BgL_tksz00_342 = BNIL; 
BgL_zc3anonymousza31648ze3z83_343:
if(
(BgL_iz00_340==
(long)CINT(BgL_tnumz00_19)))
{ /* Llib/midi.scm 248 */
obj_t BgL_arg1650z00_345;
{ /* Llib/midi.scm 248 */
obj_t BgL_arg1651z00_346;
BgL_arg1651z00_346 = 
bgl_reverse_bang(BgL_tksz00_342); 
BgL_arg1650z00_345 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_t0z00_334), BgL_arg1651z00_346); } 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1650z00_345);}  else 
{ /* Llib/midi.scm 249 */
obj_t BgL_ipz00_347;
{ /* Llib/midi.scm 237 */
obj_t BgL_portz00_1955;
{ /* Llib/midi.scm 237 */

BgL_portz00_1955 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_336, BTRUE, 
BINT(((long)5000000))); } 
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_portz00_1955, BgL_posz00_341); 
BgL_ipz00_347 = BgL_portz00_1955; } 
{ /* Llib/midi.scm 249 */
BgL_miditrackz00_bglt BgL_tz00_348;
BgL_tz00_348 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_347, 
(((BgL_miditrackz00_bglt)COBJECT(BgL_t0z00_334))->BgL_tempoz00)); 
{ /* Llib/midi.scm 250 */

{ /* Llib/midi.scm 252 */
long BgL_arg1658z00_350;long BgL_arg1659z00_351;obj_t BgL_arg1660z00_352;
BgL_arg1658z00_350 = 
(BgL_iz00_340+((long)1)); 
{ /* Llib/midi.scm 253 */
long BgL_arg1661z00_353;long BgL_arg1662z00_354;
{ /* Llib/midi.scm 253 */
long BgL_res2576z00_1962;
{ /* Llib/midi.scm 253 */
obj_t BgL_tmpz00_4771;
BgL_tmpz00_4771 = 
((obj_t)BgL_ipz00_347); 
BgL_res2576z00_1962 = 
INPUT_PORT_FILEPOS(BgL_tmpz00_4771); } 
BgL_arg1661z00_353 = BgL_res2576z00_1962; } 
{ /* Llib/midi.scm 253 */
int32_t BgL_arg1664z00_355;
BgL_arg1664z00_355 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_tz00_348))->BgL_lenz00); 
{ /* Llib/midi.scm 253 */
long BgL_res2578z00_1967;
{ /* Llib/midi.scm 253 */
long BgL_arg1402z00_1964;
BgL_arg1402z00_1964 = 
(long)(BgL_arg1664z00_355); 
{ /* Llib/midi.scm 253 */
long BgL_res2577z00_1966;
BgL_res2577z00_1966 = 
(long)(BgL_arg1402z00_1964); 
BgL_res2578z00_1967 = BgL_res2577z00_1966; } } 
BgL_arg1662z00_354 = BgL_res2578z00_1967; } } 
BgL_arg1659z00_351 = 
(BgL_arg1661z00_353+BgL_arg1662z00_354); } 
BgL_arg1660z00_352 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_348), BgL_tksz00_342); 
{ 
obj_t BgL_tksz00_4782;long BgL_posz00_4781;long BgL_iz00_4780;
BgL_iz00_4780 = BgL_arg1658z00_350; 
BgL_posz00_4781 = BgL_arg1659z00_351; 
BgL_tksz00_4782 = BgL_arg1660z00_352; 
BgL_tksz00_342 = BgL_tksz00_4782; 
BgL_posz00_341 = BgL_posz00_4781; 
BgL_iz00_340 = BgL_iz00_4780; 
goto BgL_zc3anonymousza31648ze3z83_343;} } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* miditrack-file */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2filezd2zz__multimediazd2midizd2(obj_t BgL_filenamez00_20, long BgL_offsetz00_21, long BgL_tempoz00_22)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
obj_t BgL_zc3anonymousza31675ze3z83_3081;
BgL_zc3anonymousza31675ze3z83_3081 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31675ze3ze1zz__multimediazd2midizd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31675ze3z83_3081, 
(int)(((long)0)), 
BINT(BgL_offsetz00_21)); 
PROCEDURE_SET(BgL_zc3anonymousza31675ze3z83_3081, 
(int)(((long)1)), 
BINT(BgL_tempoz00_22)); 
return 
((BgL_miditrackz00_bglt)
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filenamez00_20, BgL_zc3anonymousza31675ze3z83_3081));} } 
BGL_FUNCTION_END;
}



/* &miditrack-file */
BgL_miditrackz00_bglt BGl_z62miditrackzd2filezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3082, obj_t BgL_filenamez00_3083, obj_t BgL_offsetz00_3084, obj_t BgL_tempoz00_3085)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 259 */
{ /* Llib/midi.scm 262 */
long BgL_auxz00_4810;long BgL_auxz00_4801;obj_t BgL_auxz00_4794;
{ /* Llib/midi.scm 262 */
obj_t BgL_tmpz00_4811;
if(
INTEGERP(BgL_tempoz00_3085))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_4811 = BgL_tempoz00_3085
; }  else 
{ 
obj_t BgL_auxz00_4814;
BgL_auxz00_4814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string3036z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tempoz00_3085); 
FAILURE(BgL_auxz00_4814,BFALSE,BFALSE);} 
BgL_auxz00_4810 = 
(long)CINT(BgL_tmpz00_4811); } 
{ /* Llib/midi.scm 262 */
obj_t BgL_tmpz00_4802;
if(
INTEGERP(BgL_offsetz00_3084))
{ /* Llib/midi.scm 262 */
BgL_tmpz00_4802 = BgL_offsetz00_3084
; }  else 
{ 
obj_t BgL_auxz00_4805;
BgL_auxz00_4805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string3036z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_offsetz00_3084); 
FAILURE(BgL_auxz00_4805,BFALSE,BFALSE);} 
BgL_auxz00_4801 = 
(long)CINT(BgL_tmpz00_4802); } 
if(
STRINGP(BgL_filenamez00_3083))
{ /* Llib/midi.scm 262 */
BgL_auxz00_4794 = BgL_filenamez00_3083
; }  else 
{ 
obj_t BgL_auxz00_4797;
BgL_auxz00_4797 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)11501)), BGl_string3036z00zz__multimediazd2midizd2, BGl_string3032z00zz__multimediazd2midizd2, BgL_filenamez00_3083); 
FAILURE(BgL_auxz00_4797,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2filezd2zz__multimediazd2midizd2(BgL_auxz00_4794, BgL_auxz00_4801, BgL_auxz00_4810);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1675> */
obj_t BGl_z62zc3anonymousza31675ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3086, obj_t BgL_ipz00_3089)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 261 */
{ /* Llib/midi.scm 262 */
long BgL_offsetz00_3087;long BgL_tempoz00_3088;
BgL_offsetz00_3087 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_3086, 
(int)(((long)0)))); 
BgL_tempoz00_3088 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_3086, 
(int)(((long)1)))); 
{ 
BgL_miditrackz00_bglt BgL_auxz00_4826;
BGl_setzd2inputzd2portzd2positionz12zc0zz__r4_ports_6_10_1z00(BgL_ipz00_3089, BgL_offsetz00_3087); 
BgL_auxz00_4826 = 
BGl_miditrackzd2inputzd2portz00zz__multimediazd2midizd2(BgL_ipz00_3089, BgL_tempoz00_3088); 
return 
((obj_t)BgL_auxz00_4826);} } } 
BGL_FUNCTION_END;
}



/* miditrack-string */
BGL_EXPORTED_DEF BgL_miditrackz00_bglt BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(obj_t BgL_stringz00_23, long BgL_tempoz00_24)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
BgL_miditrackz00_bglt BgL_new1142z00_383;
{ /* Llib/midi.scm 270 */
BgL_miditrackz00_bglt BgL_new1141z00_387;
BgL_new1141z00_387 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 270 */
long BgL_arg1678z00_388;
{ /* Llib/midi.scm 270 */
long BgL_res2580z00_1974;
BgL_res2580z00_1974 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BgL_arg1678z00_388 = BgL_res2580z00_1974; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_387), BgL_arg1678z00_388); } 
BgL_new1142z00_383 = BgL_new1141z00_387; } 
{ 
obj_t BgL_auxz00_4834;
{ /* Llib/midi.scm 127 */
obj_t BgL_newz00_1977;
BgL_newz00_1977 = 
create_struct(
CNST_TABLE_REF(((long)4)), 
(int)(((long)2))); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_4840;int BgL_tmpz00_4838;
BgL_auxz00_4840 = 
BINT(((long)0)); 
BgL_tmpz00_4838 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1977, BgL_tmpz00_4838, BgL_auxz00_4840); } 
{ /* Llib/midi.scm 127 */
int BgL_tmpz00_4843;
BgL_tmpz00_4843 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1977, BgL_tmpz00_4843, BgL_stringz00_23); } 
BgL_auxz00_4834 = BgL_newz00_1977; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_z52streamz52)=((obj_t)BgL_auxz00_4834),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BGl_midireaderzd2stringzd2streamz00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_z52closez52)=((obj_t)BGl_proc3037z00zz__multimediazd2midizd2),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_z52wtickz52)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
{ 
int32_t BgL_auxz00_4852;
{ /* Llib/midi.scm 273 */
long BgL_tmpz00_4853;
BgL_tmpz00_4853 = 
STRING_LENGTH(BgL_stringz00_23); 
BgL_auxz00_4852 = 
(int32_t)(BgL_tmpz00_4853); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_lenz00)=((int32_t)BgL_auxz00_4852),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_tempoz00)=((long)BgL_tempoz00_24),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_ipz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_wtickz00)=((uint32_t)(uint32_t)(0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_statusz00)=((long)((long)-1)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1142z00_383))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/midi.scm 269 */
obj_t BgL_fun1677z00_386;
BgL_fun1677z00_386 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun1677z00_386)(BgL_fun1677z00_386, 
((obj_t)BgL_new1142z00_383), BEOA); } 
return BgL_new1142z00_383;} } 
BGL_FUNCTION_END;
}



/* &miditrack-string */
BgL_miditrackz00_bglt BGl_z62miditrackzd2stringzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3091, obj_t BgL_stringz00_3092, obj_t BgL_tempoz00_3093)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 268 */
{ /* Llib/midi.scm 269 */
long BgL_auxz00_4877;obj_t BgL_auxz00_4870;
{ /* Llib/midi.scm 269 */
obj_t BgL_tmpz00_4878;
if(
INTEGERP(BgL_tempoz00_3093))
{ /* Llib/midi.scm 269 */
BgL_tmpz00_4878 = BgL_tempoz00_3093
; }  else 
{ 
obj_t BgL_auxz00_4881;
BgL_auxz00_4881 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string3038z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tempoz00_3093); 
FAILURE(BgL_auxz00_4881,BFALSE,BFALSE);} 
BgL_auxz00_4877 = 
(long)CINT(BgL_tmpz00_4878); } 
if(
STRINGP(BgL_stringz00_3092))
{ /* Llib/midi.scm 269 */
BgL_auxz00_4870 = BgL_stringz00_3092
; }  else 
{ 
obj_t BgL_auxz00_4873;
BgL_auxz00_4873 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)11847)), BGl_string3038z00zz__multimediazd2midizd2, BGl_string3032z00zz__multimediazd2midizd2, BgL_stringz00_3092); 
FAILURE(BgL_auxz00_4873,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2stringzd2zz__multimediazd2midizd2(BgL_auxz00_4870, BgL_auxz00_4877);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1676> */
obj_t BGl_z62zc3anonymousza31676ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3094, obj_t BgL_sz00_3095)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 272 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* midiscore-play */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_25, BgL_midiplayerz00_bglt BgL_mplayerz00_26, BgL_midisinkz00_bglt BgL_msinkz00_27)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 279 */
{ 

{ /* Llib/midi.scm 281 */
long BgL_aux1145z00_391;
BgL_aux1145z00_391 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
switch( BgL_aux1145z00_391) { case ((long)0) : 

return 
BBOOL(
BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;case ((long)1) : 

return 
BBOOL(
BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_mscorez00_25, BgL_mplayerz00_26, BgL_msinkz00_27));break;
default: 
{ /* Llib/midi.scm 284 */
long BgL_arg1684z00_393;
BgL_arg1684z00_393 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_25))->BgL_formatz00); 
return 
BGl_errorz00zz__errorz00(BGl_string3039z00zz__multimediazd2midizd2, BGl_string3029z00zz__multimediazd2midizd2, 
BINT(BgL_arg1684z00_393));} } } } } 
BGL_FUNCTION_END;
}



/* &midiscore-play */
obj_t BGl_z62midiscorezd2playzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3096, obj_t BgL_mscorez00_3097, obj_t BgL_mplayerz00_3098, obj_t BgL_msinkz00_3099)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 279 */
{ /* Llib/midi.scm 280 */
BgL_midisinkz00_bglt BgL_auxz00_4913;BgL_midiplayerz00_bglt BgL_auxz00_4905;BgL_midiscorez00_bglt BgL_auxz00_4897;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_3099, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_4913 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_3099)
; }  else 
{ 
obj_t BgL_auxz00_4917;
BgL_auxz00_4917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string3040z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msinkz00_3099); 
FAILURE(BgL_auxz00_4917,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_3098, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_4905 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3098)
; }  else 
{ 
obj_t BgL_auxz00_4909;
BgL_auxz00_4909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string3040z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mplayerz00_3098); 
FAILURE(BgL_auxz00_4909,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_3097, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 280 */
BgL_auxz00_4897 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_3097)
; }  else 
{ 
obj_t BgL_auxz00_4901;
BgL_auxz00_4901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)12346)), BGl_string3040z00zz__multimediazd2midizd2, BGl_string3041z00zz__multimediazd2midizd2, BgL_mscorez00_3097); 
FAILURE(BgL_auxz00_4901,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2playzd2zz__multimediazd2midizd2(BgL_auxz00_4897, BgL_auxz00_4905, BgL_auxz00_4913);} } 
BGL_FUNCTION_END;
}



/* midiscore-play0 */
bool_t BGl_midiscorezd2play0zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_28, BgL_midiplayerz00_bglt BgL_mplayerz00_29, BgL_midisinkz00_bglt BgL_msinkz00_30)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 289 */
{ /* Llib/midi.scm 291 */
obj_t BgL_trackz00_395;
BgL_trackz00_395 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_tracksz00),((long)0)); 
{ /* Llib/midi.scm 293 */
BgL_midireaderz00_bglt BgL_i1148z00_397;
BgL_i1148z00_397 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_395)))->BgL_z52readerz52); 
{ 
uint32_t BgL_tickz00_399;
BgL_tickz00_399 = (uint32_t)(0); 
BgL_zc3anonymousza31685ze3z83_400:
{ /* Llib/midi.scm 295 */
BGL_LONGLONG_T BgL_t0z00_401;
BgL_t0z00_401 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 295 */
obj_t BgL_dtz00_402;
{ /* Llib/midi.scm 296 */
obj_t BgL_fun1691z00_407;
BgL_fun1691z00_407 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1148z00_397))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 296 */
obj_t BgL_arg1690z00_408;
BgL_arg1690z00_408 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_395)))->BgL_z52streamz52); 
BgL_dtz00_402 = 
PROCEDURE_ENTRY(BgL_fun1691z00_407)(BgL_fun1691z00_407, BgL_arg1690z00_408, BEOA); } } 
{ /* Llib/midi.scm 296 */

{ /* Llib/midi.scm 298 */
long BgL_arg1686z00_403;long BgL_arg1687z00_404;
{ /* Llib/midi.scm 298 */
long BgL_res2583z00_1985;
BgL_res2583z00_1985 = 
(long)(BgL_tickz00_399); 
BgL_arg1686z00_403 = BgL_res2583z00_1985; } 
BgL_arg1687z00_404 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_28))->BgL_ppqz00); 
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_395), BgL_mplayerz00_29, BgL_msinkz00_30, BgL_arg1686z00_403, BgL_arg1687z00_404, 
(long)CINT(BgL_dtz00_402), BgL_t0z00_401); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_395)))->BgL_z52eotz52))
{ /* Llib/midi.scm 299 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 300 */
uint32_t BgL_arg1689z00_406;
BgL_arg1689z00_406 = 
(BgL_tickz00_399+
(uint32_t)(((long)1))); 
{ 
uint32_t BgL_tickz00_4944;
BgL_tickz00_4944 = BgL_arg1689z00_406; 
BgL_tickz00_399 = BgL_tickz00_4944; 
goto BgL_zc3anonymousza31685ze3z83_400;} } } } } } } } } 
BGL_FUNCTION_END;
}



/* midiscore-play1 */
bool_t BGl_midiscorezd2play1zd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_31, BgL_midiplayerz00_bglt BgL_mplayerz00_32, BgL_midisinkz00_bglt BgL_msinkz00_33)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 305 */
{ /* Llib/midi.scm 307 */
obj_t BgL_v1191z00_412;
BgL_v1191z00_412 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
{ /* Llib/midi.scm 307 */

{ 
long BgL_i1190z00_415;
BgL_i1190z00_415 = ((long)0); 
BgL_zc3anonymousza31693ze3z83_416:
if(
(BgL_i1190z00_415<
VECTOR_LENGTH(BgL_v1191z00_412)))
{ /* Llib/midi.scm 307 */
{ /* Llib/midi.scm 308 */
obj_t BgL_trackz00_418;
BgL_trackz00_418 = 
VECTOR_REF(BgL_v1191z00_412,BgL_i1190z00_415); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_418)))->BgL_z52eotz52))
{ /* Llib/midi.scm 309 */BFALSE; }  else 
{ /* Llib/midi.scm 310 */
BgL_midireaderz00_bglt BgL_i1151z00_421;
BgL_i1151z00_421 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_418)))->BgL_z52readerz52); 
{ /* Llib/midi.scm 311 */
obj_t BgL_dtz00_422;
{ /* Llib/midi.scm 311 */
obj_t BgL_fun1700z00_423;
BgL_fun1700z00_423 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1151z00_421))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 311 */
obj_t BgL_arg1699z00_424;
BgL_arg1699z00_424 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_418)))->BgL_z52streamz52); 
BgL_dtz00_422 = 
PROCEDURE_ENTRY(BgL_fun1700z00_423)(BgL_fun1700z00_423, BgL_arg1699z00_424, BEOA); } } 
{ 
uint32_t BgL_auxz00_4962;
{ /* Llib/midi.scm 312 */
int32_t BgL_res2586z00_1996;
{ /* Llib/midi.scm 312 */
long BgL_xz00_1995;
BgL_xz00_1995 = 
(long)CINT(BgL_dtz00_422); 
BgL_res2586z00_1996 = 
(int32_t)(BgL_xz00_1995); } 
BgL_auxz00_4962 = 
(uint32_t)(BgL_res2586z00_1996); } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_418)))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_4962),BUNSPEC); } } } } 
{ 
long BgL_i1190z00_4968;
BgL_i1190z00_4968 = 
(BgL_i1190z00_415+((long)1)); 
BgL_i1190z00_415 = BgL_i1190z00_4968; 
goto BgL_zc3anonymousza31693ze3z83_416;} }  else 
{ /* Llib/midi.scm 307 */((bool_t)0); } } } } 
{ /* Llib/midi.scm 314 */
long BgL_resz00_427;
{ /* Llib/midi.scm 314 */
BgL_miditrackz00_bglt BgL_i1152z00_456;
{ /* Llib/midi.scm 314 */
obj_t BgL_arg1747z00_459;
BgL_arg1747z00_459 = 
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00); 
BgL_i1152z00_456 = 
((BgL_miditrackz00_bglt)
VECTOR_REF(BgL_arg1747z00_459,((long)0))); } 
BgL_resz00_427 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_i1152z00_456))->BgL_tempoz00)/
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_ppqz00)); } 
{ 
uint32_t BgL_tickz00_429;
BgL_tickz00_429 = (uint32_t)(0); 
BgL_zc3anonymousza31704ze3z83_430:
{ /* Llib/midi.scm 317 */
BGL_LONGLONG_T BgL_t0z00_431;
BgL_t0z00_431 = 
bgl_current_microseconds(); 
{ /* Llib/midi.scm 317 */
bool_t BgL_eosz00_432;
BgL_eosz00_432 = ((bool_t)1); 
{ /* Llib/midi.scm 318 */

{ /* Llib/midi.scm 319 */
long BgL_g1153z00_433;
{ /* Llib/midi.scm 319 */
long BgL_arg1732z00_446;
BgL_arg1732z00_446 = 
VECTOR_LENGTH(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00)); 
BgL_g1153z00_433 = 
(BgL_arg1732z00_446-((long)1)); } 
{ 
long BgL_iz00_435;
BgL_iz00_435 = BgL_g1153z00_433; 
BgL_zc3anonymousza31705ze3z83_436:
if(
(BgL_iz00_435>((long)0)))
{ /* Llib/midi.scm 320 */
{ /* Llib/midi.scm 321 */
obj_t BgL_trackz00_438;
BgL_trackz00_438 = 
VECTOR_REF(
(((BgL_midiscorez00_bglt)COBJECT(BgL_mscorez00_31))->BgL_tracksz00),BgL_iz00_435); 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_438)))->BgL_z52eotz52))
{ /* Llib/midi.scm 323 */BFALSE; }  else 
{ /* Llib/midi.scm 323 */
{ /* Llib/midi.scm 325 */
long BgL_arg1710z00_441;
{ /* Llib/midi.scm 325 */
long BgL_res2592z00_2012;
BgL_res2592z00_2012 = 
(long)(BgL_tickz00_429); 
BgL_arg1710z00_441 = BgL_res2592z00_2012; } 
BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(
((BgL_miditrackz00_bglt)BgL_trackz00_438), BgL_mplayerz00_32, BgL_msinkz00_33, BgL_arg1710z00_441); } 
if(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_trackz00_438)))->BgL_z52eotz52))
{ /* Llib/midi.scm 326 */BFALSE; }  else 
{ /* Llib/midi.scm 326 */
BgL_eosz00_432 = ((bool_t)0); } } } 
{ 
long BgL_iz00_4993;
BgL_iz00_4993 = 
(BgL_iz00_435-((long)1)); 
BgL_iz00_435 = BgL_iz00_4993; 
goto BgL_zc3anonymousza31705ze3z83_436;} }  else 
{ /* Llib/midi.scm 320 */((bool_t)0); } } } 
if(BgL_eosz00_432)
{ /* Llib/midi.scm 328 */
return ((bool_t)0);}  else 
{ /* Llib/midi.scm 329 */
long BgL_usz00_448;
{ /* Llib/midi.scm 329 */
BGL_LONGLONG_T BgL_arg1743z00_453;
BgL_arg1743z00_453 = 
(
bgl_current_microseconds()-BgL_t0z00_431); 
{ /* Llib/midi.scm 329 */
long BgL_res2596z00_2020;
BgL_res2596z00_2020 = 
LLONG_TO_LONG(BgL_arg1743z00_453); 
BgL_usz00_448 = BgL_res2596z00_2020; } } 
{ /* Llib/midi.scm 331 */
obj_t BgL_fun1736z00_450;
BgL_fun1736z00_450 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_33))->BgL_usleepz00); 
{ /* Llib/midi.scm 331 */
long BgL_arg1735z00_451;
BgL_arg1735z00_451 = 
(BgL_resz00_427-BgL_usz00_448); 
PROCEDURE_ENTRY(BgL_fun1736z00_450)(BgL_fun1736z00_450, 
BINT(BgL_arg1735z00_451), BEOA); } } 
{ 
uint32_t BgL_tickz00_5006;
BgL_tickz00_5006 = 
(BgL_tickz00_429+(uint32_t)(1)); 
BgL_tickz00_429 = BgL_tickz00_5006; 
goto BgL_zc3anonymousza31704ze3z83_430;} } } } } } } } 
BGL_FUNCTION_END;
}



/* miditrack-wait-event */
obj_t BGl_miditrackzd2waitzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_34, BgL_midiplayerz00_bglt BgL_mplayerz00_35, BgL_midisinkz00_bglt BgL_msinkz00_36, long BgL_tickz00_37)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 337 */
{ /* Llib/midi.scm 340 */
BgL_midireaderz00_bglt BgL_i1157z00_461;
BgL_i1157z00_461 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52readerz52); 
{ /* Llib/midi.scm 341 */
bool_t BgL_testz00_5009;
{ /* Llib/midi.scm 341 */
uint32_t BgL_n2z00_2028;
BgL_n2z00_2028 = 
(uint32_t)(BgL_tickz00_37); 
BgL_testz00_5009 = 
(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)<=BgL_n2z00_2028); } 
if(BgL_testz00_5009)
{ 

BgL_zc3anonymousza31750ze3z83_465:
BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_trackz00_34, BgL_mplayerz00_35, BgL_msinkz00_36, BgL_tickz00_37, ((long)0), ((long)0), ((BGL_LONGLONG_T)0)); 
if(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52eotz52))
{ /* Llib/midi.scm 344 */
return BFALSE;}  else 
{ /* Llib/midi.scm 345 */
obj_t BgL_dtz00_467;
{ /* Llib/midi.scm 345 */
obj_t BgL_fun1755z00_470;
BgL_fun1755z00_470 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1157z00_461))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 345 */
obj_t BgL_arg1754z00_471;
BgL_arg1754z00_471 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52streamz52); 
BgL_dtz00_467 = 
PROCEDURE_ENTRY(BgL_fun1755z00_470)(BgL_fun1755z00_470, BgL_arg1754z00_471, BEOA); } } 
if(
(
(long)CINT(BgL_dtz00_467)==((long)0)))
{ /* Llib/midi.scm 346 */
goto BgL_zc3anonymousza31750ze3z83_465;}  else 
{ 
uint32_t BgL_auxz00_5025;
{ /* Llib/midi.scm 348 */
int32_t BgL_arg1753z00_469;
{ /* Llib/midi.scm 348 */
int32_t BgL_res2601z00_2033;
{ /* Llib/midi.scm 348 */
long BgL_xz00_2032;
BgL_xz00_2032 = 
(long)CINT(BgL_dtz00_467); 
BgL_res2601z00_2033 = 
(int32_t)(BgL_xz00_2032); } 
BgL_arg1753z00_469 = BgL_res2601z00_2033; } 
{ /* Llib/midi.scm 348 */
uint32_t BgL_za71za7_2034;uint32_t BgL_za72za7_2035;
BgL_za71za7_2034 = 
(uint32_t)(BgL_tickz00_37); 
BgL_za72za7_2035 = 
(uint32_t)(BgL_arg1753z00_469); 
BgL_auxz00_5025 = 
(BgL_za71za7_2034+BgL_za72za7_2035); } } 
return 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_34))->BgL_z52wtickz52)=((uint32_t)BgL_auxz00_5025),BUNSPEC);} } }  else 
{ /* Llib/midi.scm 341 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* miditrack-play-event */
obj_t BGl_miditrackzd2playzd2eventz00zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_trackz00_38, BgL_midiplayerz00_bglt BgL_mplayerz00_39, BgL_midisinkz00_bglt BgL_msinkz00_40, long BgL_tickz00_41, long BgL_ppqz00_42, long BgL_dtz00_43, BGL_LONGLONG_T BgL_t0z00_44)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 353 */
{ /* Llib/midi.scm 357 */
BgL_midireaderz00_bglt BgL_i1159z00_475;
BgL_i1159z00_475 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52readerz52); 
{ /* Llib/midi.scm 372 */
obj_t BgL_statusz00_477;
{ /* Llib/midi.scm 372 */
bool_t BgL_testz00_5033;
{ /* Llib/midi.scm 372 */
obj_t BgL_arg1962z00_711;
{ /* Llib/midi.scm 372 */
obj_t BgL_fun1964z00_712;
BgL_fun1964z00_712 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_peekzd2bytezd2); 
{ /* Llib/midi.scm 372 */
obj_t BgL_arg1963z00_713;
BgL_arg1963z00_713 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1962z00_711 = 
PROCEDURE_ENTRY(BgL_fun1964z00_712)(BgL_fun1964z00_712, BgL_arg1963z00_713, BEOA); } } 
BgL_testz00_5033 = 
(
(long)CINT(BgL_arg1962z00_711)<((long)128)); } 
if(BgL_testz00_5033)
{ /* Llib/midi.scm 372 */
BgL_statusz00_477 = 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)); }  else 
{ /* Llib/midi.scm 374 */
obj_t BgL_sz00_708;
{ /* Llib/midi.scm 374 */
obj_t BgL_fun1961z00_709;
BgL_fun1961z00_709 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 374 */
obj_t BgL_arg1960z00_710;
BgL_arg1960z00_710 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sz00_708 = 
PROCEDURE_ENTRY(BgL_fun1961z00_709)(BgL_fun1961z00_709, BgL_arg1960z00_710, BEOA); } } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52statusz52)=((long)
(long)CINT(BgL_sz00_708)),BUNSPEC); 
BgL_statusz00_477 = BgL_sz00_708; } } 
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)8)))
{ /* Llib/midi.scm 380 */
long BgL_kkz00_480;
{ /* Llib/midi.scm 380 */
obj_t BgL_arg1768z00_491;
{ /* Llib/midi.scm 380 */
obj_t BgL_fun1770z00_492;
BgL_fun1770z00_492 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 380 */
obj_t BgL_arg1769z00_493;
BgL_arg1769z00_493 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1768z00_491 = 
PROCEDURE_ENTRY(BgL_fun1770z00_492)(BgL_fun1770z00_492, BgL_arg1769z00_493, BEOA); } } 
BgL_kkz00_480 = 
(((long)127) & 
(long)CINT(BgL_arg1768z00_491)); } 
{ /* Llib/midi.scm 380 */
long BgL_vvz00_481;
{ /* Llib/midi.scm 381 */
obj_t BgL_arg1765z00_488;
{ /* Llib/midi.scm 381 */
obj_t BgL_fun1767z00_489;
BgL_fun1767z00_489 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 381 */
obj_t BgL_arg1766z00_490;
BgL_arg1766z00_490 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1765z00_488 = 
PROCEDURE_ENTRY(BgL_fun1767z00_489)(BgL_fun1767z00_489, BgL_arg1766z00_490, BEOA); } } 
BgL_vvz00_481 = 
(((long)127) & 
(long)CINT(BgL_arg1765z00_488)); } 
{ /* Llib/midi.scm 381 */

{ /* Llib/midi.scm 382 */
obj_t BgL_fun1760z00_482;
BgL_fun1760z00_482 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 383 */
long BgL_arg1759z00_483;
{ /* Llib/midi.scm 383 */
BGL_LONGLONG_T BgL_arg1761z00_484;
BgL_arg1761z00_484 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 383 */
long BgL_res2610z00_2054;
BgL_res2610z00_2054 = 
LLONG_TO_LONG(BgL_arg1761z00_484); 
BgL_arg1759z00_483 = BgL_res2610z00_2054; } } 
PROCEDURE_ENTRY(BgL_fun1760z00_482)(BgL_fun1760z00_482, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1759z00_483), BEOA); } } 
{ /* Llib/midi.scm 384 */
obj_t BgL_fun1764z00_486;
BgL_fun1764z00_486 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteoffz00); 
{ /* Llib/midi.scm 384 */
long BgL_arg1763z00_487;
BgL_arg1763z00_487 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1764z00_486)(BgL_fun1764z00_486, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1763z00_487), 
BINT(BgL_kkz00_480), 
BINT(BgL_vvz00_481), BEOA); } } } } }  else 
{ /* Llib/midi.scm 378 */
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)9)))
{ /* Llib/midi.scm 387 */
long BgL_kkz00_496;
{ /* Llib/midi.scm 387 */
obj_t BgL_arg1782z00_507;
{ /* Llib/midi.scm 387 */
obj_t BgL_fun1784z00_508;
BgL_fun1784z00_508 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 387 */
obj_t BgL_arg1783z00_509;
BgL_arg1783z00_509 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1782z00_507 = 
PROCEDURE_ENTRY(BgL_fun1784z00_508)(BgL_fun1784z00_508, BgL_arg1783z00_509, BEOA); } } 
BgL_kkz00_496 = 
(((long)127) & 
(long)CINT(BgL_arg1782z00_507)); } 
{ /* Llib/midi.scm 387 */
long BgL_vvz00_497;
{ /* Llib/midi.scm 388 */
obj_t BgL_arg1779z00_504;
{ /* Llib/midi.scm 388 */
obj_t BgL_fun1781z00_505;
BgL_fun1781z00_505 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 388 */
obj_t BgL_arg1780z00_506;
BgL_arg1780z00_506 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1779z00_504 = 
PROCEDURE_ENTRY(BgL_fun1781z00_505)(BgL_fun1781z00_505, BgL_arg1780z00_506, BEOA); } } 
BgL_vvz00_497 = 
(((long)127) & 
(long)CINT(BgL_arg1779z00_504)); } 
{ /* Llib/midi.scm 388 */

{ /* Llib/midi.scm 389 */
obj_t BgL_fun1774z00_498;
BgL_fun1774z00_498 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 390 */
long BgL_arg1773z00_499;
{ /* Llib/midi.scm 390 */
BGL_LONGLONG_T BgL_arg1775z00_500;
BgL_arg1775z00_500 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 390 */
long BgL_res2618z00_2072;
BgL_res2618z00_2072 = 
LLONG_TO_LONG(BgL_arg1775z00_500); 
BgL_arg1773z00_499 = BgL_res2618z00_2072; } } 
PROCEDURE_ENTRY(BgL_fun1774z00_498)(BgL_fun1774z00_498, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1773z00_499), BEOA); } } 
{ /* Llib/midi.scm 391 */
obj_t BgL_fun1778z00_502;
BgL_fun1778z00_502 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_noteonz00); 
{ /* Llib/midi.scm 391 */
long BgL_arg1777z00_503;
BgL_arg1777z00_503 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1778z00_502)(BgL_fun1778z00_502, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1777z00_503), 
BINT(BgL_kkz00_496), 
BINT(BgL_vvz00_497), BEOA); } } } } }  else 
{ /* Llib/midi.scm 385 */
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)10)))
{ /* Llib/midi.scm 394 */
long BgL_ccz00_512;
{ /* Llib/midi.scm 394 */
obj_t BgL_arg1796z00_523;
{ /* Llib/midi.scm 394 */
obj_t BgL_fun1798z00_524;
BgL_fun1798z00_524 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 394 */
obj_t BgL_arg1797z00_525;
BgL_arg1797z00_525 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1796z00_523 = 
PROCEDURE_ENTRY(BgL_fun1798z00_524)(BgL_fun1798z00_524, BgL_arg1797z00_525, BEOA); } } 
BgL_ccz00_512 = 
(((long)127) & 
(long)CINT(BgL_arg1796z00_523)); } 
{ /* Llib/midi.scm 394 */
long BgL_vvz00_513;
{ /* Llib/midi.scm 395 */
obj_t BgL_arg1793z00_520;
{ /* Llib/midi.scm 395 */
obj_t BgL_fun1795z00_521;
BgL_fun1795z00_521 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 395 */
obj_t BgL_arg1794z00_522;
BgL_arg1794z00_522 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1793z00_520 = 
PROCEDURE_ENTRY(BgL_fun1795z00_521)(BgL_fun1795z00_521, BgL_arg1794z00_522, BEOA); } } 
BgL_vvz00_513 = 
(((long)127) & 
(long)CINT(BgL_arg1793z00_520)); } 
{ /* Llib/midi.scm 395 */

{ /* Llib/midi.scm 396 */
obj_t BgL_fun1788z00_514;
BgL_fun1788z00_514 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 397 */
long BgL_arg1787z00_515;
{ /* Llib/midi.scm 397 */
BGL_LONGLONG_T BgL_arg1789z00_516;
BgL_arg1789z00_516 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 397 */
long BgL_res2626z00_2090;
BgL_res2626z00_2090 = 
LLONG_TO_LONG(BgL_arg1789z00_516); 
BgL_arg1787z00_515 = BgL_res2626z00_2090; } } 
PROCEDURE_ENTRY(BgL_fun1788z00_514)(BgL_fun1788z00_514, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1787z00_515), BEOA); } } 
{ /* Llib/midi.scm 398 */
obj_t BgL_fun1792z00_518;
BgL_fun1792z00_518 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_aftertouchz00); 
{ /* Llib/midi.scm 398 */
long BgL_arg1791z00_519;
BgL_arg1791z00_519 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1792z00_518)(BgL_fun1792z00_518, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1791z00_519), 
BINT(BgL_ccz00_512), 
BINT(BgL_vvz00_513), BEOA); } } } } }  else 
{ /* Llib/midi.scm 392 */
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)11)))
{ /* Llib/midi.scm 401 */
long BgL_ccz00_528;
{ /* Llib/midi.scm 401 */
obj_t BgL_arg1810z00_539;
{ /* Llib/midi.scm 401 */
obj_t BgL_fun1812z00_540;
BgL_fun1812z00_540 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 401 */
obj_t BgL_arg1811z00_541;
BgL_arg1811z00_541 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1810z00_539 = 
PROCEDURE_ENTRY(BgL_fun1812z00_540)(BgL_fun1812z00_540, BgL_arg1811z00_541, BEOA); } } 
BgL_ccz00_528 = 
(((long)127) & 
(long)CINT(BgL_arg1810z00_539)); } 
{ /* Llib/midi.scm 401 */
long BgL_nnz00_529;
{ /* Llib/midi.scm 402 */
obj_t BgL_arg1807z00_536;
{ /* Llib/midi.scm 402 */
obj_t BgL_fun1809z00_537;
BgL_fun1809z00_537 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 402 */
obj_t BgL_arg1808z00_538;
BgL_arg1808z00_538 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1807z00_536 = 
PROCEDURE_ENTRY(BgL_fun1809z00_537)(BgL_fun1809z00_537, BgL_arg1808z00_538, BEOA); } } 
BgL_nnz00_529 = 
(((long)127) & 
(long)CINT(BgL_arg1807z00_536)); } 
{ /* Llib/midi.scm 402 */

{ /* Llib/midi.scm 403 */
obj_t BgL_fun1802z00_530;
BgL_fun1802z00_530 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 404 */
long BgL_arg1801z00_531;
{ /* Llib/midi.scm 404 */
BGL_LONGLONG_T BgL_arg1803z00_532;
BgL_arg1803z00_532 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 404 */
long BgL_res2634z00_2108;
BgL_res2634z00_2108 = 
LLONG_TO_LONG(BgL_arg1803z00_532); 
BgL_arg1801z00_531 = BgL_res2634z00_2108; } } 
PROCEDURE_ENTRY(BgL_fun1802z00_530)(BgL_fun1802z00_530, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1801z00_531), BEOA); } } 
{ /* Llib/midi.scm 405 */
obj_t BgL_fun1806z00_534;
BgL_fun1806z00_534 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_ctrlchangez00); 
{ /* Llib/midi.scm 405 */
long BgL_arg1805z00_535;
BgL_arg1805z00_535 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1806z00_534)(BgL_fun1806z00_534, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1805z00_535), 
BINT(BgL_ccz00_528), 
BINT(BgL_nnz00_529), BEOA); } } } } }  else 
{ /* Llib/midi.scm 399 */
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)12)))
{ /* Llib/midi.scm 408 */
long BgL_ppz00_544;
{ /* Llib/midi.scm 408 */
obj_t BgL_arg1821z00_551;
{ /* Llib/midi.scm 408 */
obj_t BgL_fun1823z00_552;
BgL_fun1823z00_552 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 408 */
obj_t BgL_arg1822z00_553;
BgL_arg1822z00_553 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1821z00_551 = 
PROCEDURE_ENTRY(BgL_fun1823z00_552)(BgL_fun1823z00_552, BgL_arg1822z00_553, BEOA); } } 
BgL_ppz00_544 = 
(((long)127) & 
(long)CINT(BgL_arg1821z00_551)); } 
{ /* Llib/midi.scm 409 */
obj_t BgL_fun1816z00_545;
BgL_fun1816z00_545 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 410 */
long BgL_arg1815z00_546;
{ /* Llib/midi.scm 410 */
BGL_LONGLONG_T BgL_arg1817z00_547;
BgL_arg1817z00_547 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 410 */
long BgL_res2641z00_2123;
BgL_res2641z00_2123 = 
LLONG_TO_LONG(BgL_arg1817z00_547); 
BgL_arg1815z00_546 = BgL_res2641z00_2123; } } 
PROCEDURE_ENTRY(BgL_fun1816z00_545)(BgL_fun1816z00_545, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1815z00_546), BEOA); } } 
{ /* Llib/midi.scm 411 */
obj_t BgL_fun1820z00_549;
BgL_fun1820z00_549 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_prgmchangez00); 
{ /* Llib/midi.scm 411 */
long BgL_arg1819z00_550;
BgL_arg1819z00_550 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1820z00_549)(BgL_fun1820z00_549, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1819z00_550), 
BINT(BgL_ppz00_544), BEOA); } } }  else 
{ /* Llib/midi.scm 406 */
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)13)))
{ /* Llib/midi.scm 414 */
long BgL_ppz00_556;
{ /* Llib/midi.scm 414 */
obj_t BgL_arg1832z00_563;
{ /* Llib/midi.scm 414 */
obj_t BgL_fun1834z00_564;
BgL_fun1834z00_564 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 414 */
obj_t BgL_arg1833z00_565;
BgL_arg1833z00_565 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1832z00_563 = 
PROCEDURE_ENTRY(BgL_fun1834z00_564)(BgL_fun1834z00_564, BgL_arg1833z00_565, BEOA); } } 
BgL_ppz00_556 = 
(((long)127) & 
(long)CINT(BgL_arg1832z00_563)); } 
{ /* Llib/midi.scm 415 */
obj_t BgL_fun1827z00_557;
BgL_fun1827z00_557 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 416 */
long BgL_arg1826z00_558;
{ /* Llib/midi.scm 416 */
BGL_LONGLONG_T BgL_arg1828z00_559;
BgL_arg1828z00_559 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 416 */
long BgL_res2648z00_2138;
BgL_res2648z00_2138 = 
LLONG_TO_LONG(BgL_arg1828z00_559); 
BgL_arg1826z00_558 = BgL_res2648z00_2138; } } 
PROCEDURE_ENTRY(BgL_fun1827z00_557)(BgL_fun1827z00_557, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1826z00_558), BEOA); } } 
{ /* Llib/midi.scm 417 */
obj_t BgL_fun1831z00_561;
BgL_fun1831z00_561 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_afterzd2touchzd2); 
{ /* Llib/midi.scm 417 */
long BgL_arg1830z00_562;
BgL_arg1830z00_562 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1831z00_561)(BgL_fun1831z00_561, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1830z00_562), 
BINT(BgL_ppz00_556), BEOA); } } }  else 
{ /* Llib/midi.scm 412 */
if(
(
(
(long)CINT(BgL_statusz00_477) >> 
(int)(((long)4)))==((long)14)))
{ /* Llib/midi.scm 420 */
long BgL_ccz00_568;
{ /* Llib/midi.scm 420 */
obj_t BgL_arg1846z00_579;
{ /* Llib/midi.scm 420 */
obj_t BgL_fun1848z00_580;
BgL_fun1848z00_580 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 420 */
obj_t BgL_arg1847z00_581;
BgL_arg1847z00_581 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1846z00_579 = 
PROCEDURE_ENTRY(BgL_fun1848z00_580)(BgL_fun1848z00_580, BgL_arg1847z00_581, BEOA); } } 
BgL_ccz00_568 = 
(((long)127) & 
(long)CINT(BgL_arg1846z00_579)); } 
{ /* Llib/midi.scm 420 */
long BgL_vvz00_569;
{ /* Llib/midi.scm 421 */
obj_t BgL_arg1843z00_576;
{ /* Llib/midi.scm 421 */
obj_t BgL_fun1845z00_577;
BgL_fun1845z00_577 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 421 */
obj_t BgL_arg1844z00_578;
BgL_arg1844z00_578 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1843z00_576 = 
PROCEDURE_ENTRY(BgL_fun1845z00_577)(BgL_fun1845z00_577, BgL_arg1844z00_578, BEOA); } } 
BgL_vvz00_569 = 
(((long)127) & 
(long)CINT(BgL_arg1843z00_576)); } 
{ /* Llib/midi.scm 421 */

{ /* Llib/midi.scm 422 */
obj_t BgL_fun1838z00_570;
BgL_fun1838z00_570 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 423 */
long BgL_arg1837z00_571;
{ /* Llib/midi.scm 423 */
BGL_LONGLONG_T BgL_arg1839z00_572;
BgL_arg1839z00_572 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 423 */
long BgL_res2656z00_2156;
BgL_res2656z00_2156 = 
LLONG_TO_LONG(BgL_arg1839z00_572); 
BgL_arg1837z00_571 = BgL_res2656z00_2156; } } 
PROCEDURE_ENTRY(BgL_fun1838z00_570)(BgL_fun1838z00_570, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_ppqz00_42), 
BINT(BgL_dtz00_43), 
BINT(BgL_arg1837z00_571), BEOA); } } 
{ /* Llib/midi.scm 424 */
obj_t BgL_fun1842z00_574;
BgL_fun1842z00_574 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_pitchz00); 
{ /* Llib/midi.scm 424 */
long BgL_arg1841z00_575;
BgL_arg1841z00_575 = 
(
(long)CINT(BgL_statusz00_477) & ((long)15)); 
PROCEDURE_ENTRY(BgL_fun1842z00_574)(BgL_fun1842z00_574, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1841z00_575), 
BINT(BgL_ccz00_568), 
BINT(BgL_vvz00_569), BEOA); } } } } }  else 
{ /* Llib/midi.scm 418 */
if(
(
(long)CINT(BgL_statusz00_477)==((long)255)))
{ /* Llib/midi.scm 427 */
obj_t BgL_cz00_583;
{ /* Llib/midi.scm 427 */
obj_t BgL_fun1935z00_680;
BgL_fun1935z00_680 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 427 */
obj_t BgL_arg1934z00_681;
BgL_arg1934z00_681 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_cz00_583 = 
PROCEDURE_ENTRY(BgL_fun1935z00_680)(BgL_fun1935z00_680, BgL_arg1934z00_681, BEOA); } } 
{ /* Llib/midi.scm 427 */
obj_t BgL_lz00_584;
{ /* Llib/midi.scm 428 */
obj_t BgL_fun1933z00_678;
BgL_fun1933z00_678 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 428 */
obj_t BgL_arg1932z00_679;
BgL_arg1932z00_679 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_lz00_584 = 
PROCEDURE_ENTRY(BgL_fun1933z00_678)(BgL_fun1933z00_678, BgL_arg1932z00_679, BEOA); } } 
{ /* Llib/midi.scm 428 */

{ 

if(
INTEGERP(BgL_cz00_583))
{ /* Llib/midi.scm 429 */
switch( 
(long)CINT(BgL_cz00_583)) { case ((long)0) : 

{ /* Llib/midi.scm 432 */
obj_t BgL_fun1852z00_588;
BgL_fun1852z00_588 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqnumzd2); 
{ /* Llib/midi.scm 432 */
int32_t BgL_arg1851z00_589;
BgL_arg1851z00_589 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1852z00_588)(BgL_fun1852z00_588, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BGL_INT32_TO_BINT32(BgL_arg1851z00_589), BEOA); } } break;case ((long)1) : 

{ /* Llib/midi.scm 435 */
obj_t BgL_fun1855z00_591;
BgL_fun1855z00_591 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2textzd2); 
{ /* Llib/midi.scm 435 */
obj_t BgL_arg1854z00_592;
{ /* Llib/midi.scm 435 */
obj_t BgL_fun1857z00_593;
BgL_fun1857z00_593 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 435 */
obj_t BgL_arg1856z00_594;
BgL_arg1856z00_594 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1854z00_592 = 
PROCEDURE_ENTRY(BgL_fun1857z00_593)(BgL_fun1857z00_593, BgL_lz00_584, BgL_arg1856z00_594, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1855z00_591)(BgL_fun1855z00_591, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1854z00_592, BEOA); } } break;case ((long)2) : 

{ /* Llib/midi.scm 438 */
obj_t BgL_fun1859z00_595;
BgL_fun1859z00_595 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2copyrightzd2); 
{ /* Llib/midi.scm 438 */
obj_t BgL_arg1858z00_596;
{ /* Llib/midi.scm 438 */
obj_t BgL_fun1861z00_597;
BgL_fun1861z00_597 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 438 */
obj_t BgL_arg1860z00_598;
BgL_arg1860z00_598 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1858z00_596 = 
PROCEDURE_ENTRY(BgL_fun1861z00_597)(BgL_fun1861z00_597, BgL_lz00_584, BgL_arg1860z00_598, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1859z00_595)(BgL_fun1859z00_595, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1858z00_596, BEOA); } } break;case ((long)3) : 

{ /* Llib/midi.scm 441 */
obj_t BgL_fun1863z00_599;
BgL_fun1863z00_599 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2trackzd2); 
{ /* Llib/midi.scm 441 */
obj_t BgL_arg1862z00_600;
{ /* Llib/midi.scm 441 */
obj_t BgL_fun1865z00_601;
BgL_fun1865z00_601 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 441 */
obj_t BgL_arg1864z00_602;
BgL_arg1864z00_602 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1862z00_600 = 
PROCEDURE_ENTRY(BgL_fun1865z00_601)(BgL_fun1865z00_601, BgL_lz00_584, BgL_arg1864z00_602, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1863z00_599)(BgL_fun1863z00_599, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1862z00_600, BEOA); } } break;case ((long)4) : 

{ /* Llib/midi.scm 444 */
obj_t BgL_fun1867z00_603;
BgL_fun1867z00_603 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2instrumentzd2); 
{ /* Llib/midi.scm 444 */
obj_t BgL_arg1866z00_604;
{ /* Llib/midi.scm 444 */
obj_t BgL_fun1869z00_605;
BgL_fun1869z00_605 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 444 */
obj_t BgL_arg1868z00_606;
BgL_arg1868z00_606 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1866z00_604 = 
PROCEDURE_ENTRY(BgL_fun1869z00_605)(BgL_fun1869z00_605, BgL_lz00_584, BgL_arg1868z00_606, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1867z00_603)(BgL_fun1867z00_603, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1866z00_604, BEOA); } } break;case ((long)5) : 

{ /* Llib/midi.scm 447 */
obj_t BgL_fun1871z00_607;
BgL_fun1871z00_607 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2lyriczd2); 
{ /* Llib/midi.scm 447 */
obj_t BgL_arg1870z00_608;
{ /* Llib/midi.scm 447 */
obj_t BgL_fun1873z00_609;
BgL_fun1873z00_609 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 447 */
obj_t BgL_arg1872z00_610;
BgL_arg1872z00_610 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1870z00_608 = 
PROCEDURE_ENTRY(BgL_fun1873z00_609)(BgL_fun1873z00_609, BgL_lz00_584, BgL_arg1872z00_610, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1871z00_607)(BgL_fun1871z00_607, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1870z00_608, BEOA); } } break;case ((long)6) : 

{ /* Llib/midi.scm 450 */
obj_t BgL_fun1875z00_611;
BgL_fun1875z00_611 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2markerzd2); 
{ /* Llib/midi.scm 450 */
obj_t BgL_arg1874z00_612;
{ /* Llib/midi.scm 450 */
obj_t BgL_fun1877z00_613;
BgL_fun1877z00_613 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 450 */
obj_t BgL_arg1876z00_614;
BgL_arg1876z00_614 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1874z00_612 = 
PROCEDURE_ENTRY(BgL_fun1877z00_613)(BgL_fun1877z00_613, BgL_lz00_584, BgL_arg1876z00_614, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1875z00_611)(BgL_fun1875z00_611, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1874z00_612, BEOA); } } break;case ((long)7) : 

{ /* Llib/midi.scm 453 */
obj_t BgL_fun1879z00_615;
BgL_fun1879z00_615 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2cuezd2); 
{ /* Llib/midi.scm 453 */
obj_t BgL_arg1878z00_616;
{ /* Llib/midi.scm 453 */
obj_t BgL_fun1881z00_617;
BgL_fun1881z00_617 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 453 */
obj_t BgL_arg1880z00_618;
BgL_arg1880z00_618 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1878z00_616 = 
PROCEDURE_ENTRY(BgL_fun1881z00_617)(BgL_fun1881z00_617, BgL_lz00_584, BgL_arg1880z00_618, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1879z00_615)(BgL_fun1879z00_615, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1878z00_616, BEOA); } } break;case ((long)8) : 

{ /* Llib/midi.scm 456 */
obj_t BgL_fun1883z00_619;
BgL_fun1883z00_619 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2prgmnamezd2); 
{ /* Llib/midi.scm 456 */
obj_t BgL_arg1882z00_620;
{ /* Llib/midi.scm 456 */
obj_t BgL_fun1885z00_621;
BgL_fun1885z00_621 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 456 */
obj_t BgL_arg1884z00_622;
BgL_arg1884z00_622 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1882z00_620 = 
PROCEDURE_ENTRY(BgL_fun1885z00_621)(BgL_fun1885z00_621, BgL_lz00_584, BgL_arg1884z00_622, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1883z00_619)(BgL_fun1883z00_619, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1882z00_620, BEOA); } } break;case ((long)9) : 

{ /* Llib/midi.scm 459 */
obj_t BgL_fun1887z00_623;
BgL_fun1887z00_623 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2devnamezd2); 
{ /* Llib/midi.scm 459 */
obj_t BgL_arg1886z00_624;
{ /* Llib/midi.scm 459 */
obj_t BgL_fun1889z00_625;
BgL_fun1889z00_625 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 459 */
obj_t BgL_arg1888z00_626;
BgL_arg1888z00_626 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1886z00_624 = 
PROCEDURE_ENTRY(BgL_fun1889z00_625)(BgL_fun1889z00_625, BgL_lz00_584, BgL_arg1888z00_626, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1887z00_623)(BgL_fun1887z00_623, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1886z00_624, BEOA); } } break;case ((long)32) : 

{ /* Llib/midi.scm 462 */
obj_t BgL_fun1891z00_627;
BgL_fun1891z00_627 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 462 */
obj_t BgL_arg1890z00_628;
{ /* Llib/midi.scm 462 */
obj_t BgL_fun1893z00_629;
BgL_fun1893z00_629 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 462 */
obj_t BgL_arg1892z00_630;
BgL_arg1892z00_630 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1890z00_628 = 
PROCEDURE_ENTRY(BgL_fun1893z00_629)(BgL_fun1893z00_629, BgL_arg1892z00_630, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1891z00_627)(BgL_fun1891z00_627, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1890z00_628, BEOA); } } break;case ((long)33) : 

{ /* Llib/midi.scm 465 */
obj_t BgL_fun1895z00_631;
BgL_fun1895z00_631 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2channprefzd2); 
{ /* Llib/midi.scm 465 */
long BgL_arg1894z00_632;
BgL_arg1894z00_632 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_584), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1895z00_631)(BgL_fun1895z00_631, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1894z00_632), BEOA); } } break;case ((long)47) : 

((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52eotz52)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/midi.scm 469 */
obj_t BgL_fun1897z00_634;
BgL_fun1897z00_634 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2eotzd2); 
PROCEDURE_ENTRY(BgL_fun1897z00_634)(BgL_fun1897z00_634, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BUNSPEC, BEOA); } break;case ((long)81) : 

{ 
long BgL_auxz00_5689;
{ /* Llib/midi.scm 472 */
obj_t BgL_arg1898z00_635;
BgL_arg1898z00_635 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_auxz00_5689 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_584), BgL_arg1898z00_635); } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00)=((long)BgL_auxz00_5689),BUNSPEC); } 
{ /* Llib/midi.scm 473 */
obj_t BgL_fun1900z00_636;
BgL_fun1900z00_636 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2tempozd2); 
{ /* Llib/midi.scm 473 */
long BgL_arg1899z00_637;
BgL_arg1899z00_637 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_tempoz00); 
PROCEDURE_ENTRY(BgL_fun1900z00_636)(BgL_fun1900z00_636, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1899z00_637), BEOA); } } break;case ((long)84) : 

{ /* Llib/midi.scm 476 */
obj_t BgL_hrz00_638;
{ /* Llib/midi.scm 476 */
obj_t BgL_fun1911z00_652;
BgL_fun1911z00_652 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 476 */
obj_t BgL_arg1910z00_653;
BgL_arg1910z00_653 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_hrz00_638 = 
PROCEDURE_ENTRY(BgL_fun1911z00_652)(BgL_fun1911z00_652, BgL_arg1910z00_653, BEOA); } } 
{ /* Llib/midi.scm 476 */
obj_t BgL_mmz00_639;
{ /* Llib/midi.scm 477 */
obj_t BgL_fun1909z00_650;
BgL_fun1909z00_650 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 477 */
obj_t BgL_arg1908z00_651;
BgL_arg1908z00_651 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_mmz00_639 = 
PROCEDURE_ENTRY(BgL_fun1909z00_650)(BgL_fun1909z00_650, BgL_arg1908z00_651, BEOA); } } 
{ /* Llib/midi.scm 477 */
obj_t BgL_sez00_640;
{ /* Llib/midi.scm 478 */
obj_t BgL_fun1907z00_648;
BgL_fun1907z00_648 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 478 */
obj_t BgL_arg1906z00_649;
BgL_arg1906z00_649 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_sez00_640 = 
PROCEDURE_ENTRY(BgL_fun1907z00_648)(BgL_fun1907z00_648, BgL_arg1906z00_649, BEOA); } } 
{ /* Llib/midi.scm 478 */
obj_t BgL_frz00_641;
{ /* Llib/midi.scm 479 */
obj_t BgL_fun1905z00_646;
BgL_fun1905z00_646 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 479 */
obj_t BgL_arg1904z00_647;
BgL_arg1904z00_647 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_frz00_641 = 
PROCEDURE_ENTRY(BgL_fun1905z00_646)(BgL_fun1905z00_646, BgL_arg1904z00_647, BEOA); } } 
{ /* Llib/midi.scm 479 */
obj_t BgL_ffz00_642;
{ /* Llib/midi.scm 480 */
obj_t BgL_fun1903z00_644;
BgL_fun1903z00_644 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 480 */
obj_t BgL_arg1902z00_645;
BgL_arg1902z00_645 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ffz00_642 = 
PROCEDURE_ENTRY(BgL_fun1903z00_644)(BgL_fun1903z00_644, BgL_arg1902z00_645, BEOA); } } 
{ /* Llib/midi.scm 480 */

{ /* Llib/midi.scm 481 */
obj_t BgL_fun1901z00_643;
BgL_fun1901z00_643 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2smtpezd2); 
PROCEDURE_ENTRY(BgL_fun1901z00_643)(BgL_fun1901z00_643, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_hrz00_638, BgL_mmz00_639, BgL_sez00_640, BgL_frz00_641, BgL_ffz00_642, BEOA); } } } } } } } break;case ((long)88) : 

{ /* Llib/midi.scm 484 */
obj_t BgL_nnz00_654;
{ /* Llib/midi.scm 484 */
obj_t BgL_fun1920z00_665;
BgL_fun1920z00_665 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 484 */
obj_t BgL_arg1919z00_666;
BgL_arg1919z00_666 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_nnz00_654 = 
PROCEDURE_ENTRY(BgL_fun1920z00_665)(BgL_fun1920z00_665, BgL_arg1919z00_666, BEOA); } } 
{ /* Llib/midi.scm 484 */
obj_t BgL_ddz00_655;
{ /* Llib/midi.scm 485 */
obj_t BgL_fun1918z00_663;
BgL_fun1918z00_663 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 485 */
obj_t BgL_arg1917z00_664;
BgL_arg1917z00_664 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ddz00_655 = 
PROCEDURE_ENTRY(BgL_fun1918z00_663)(BgL_fun1918z00_663, BgL_arg1917z00_664, BEOA); } } 
{ /* Llib/midi.scm 485 */
obj_t BgL_ccz00_656;
{ /* Llib/midi.scm 486 */
obj_t BgL_fun1916z00_661;
BgL_fun1916z00_661 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 486 */
obj_t BgL_arg1915z00_662;
BgL_arg1915z00_662 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_ccz00_656 = 
PROCEDURE_ENTRY(BgL_fun1916z00_661)(BgL_fun1916z00_661, BgL_arg1915z00_662, BEOA); } } 
{ /* Llib/midi.scm 486 */
obj_t BgL_bbz00_657;
{ /* Llib/midi.scm 487 */
obj_t BgL_fun1914z00_659;
BgL_fun1914z00_659 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2bytezd2); 
{ /* Llib/midi.scm 487 */
obj_t BgL_arg1913z00_660;
BgL_arg1913z00_660 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_bbz00_657 = 
PROCEDURE_ENTRY(BgL_fun1914z00_659)(BgL_fun1914z00_659, BgL_arg1913z00_660, BEOA); } } 
{ /* Llib/midi.scm 487 */

{ /* Llib/midi.scm 488 */
obj_t BgL_fun1912z00_658;
BgL_fun1912z00_658 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2timesigzd2); 
PROCEDURE_ENTRY(BgL_fun1912z00_658)(BgL_fun1912z00_658, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_nnz00_654, BgL_ddz00_655, BgL_ccz00_656, BgL_bbz00_657, BEOA); } } } } } } break;case ((long)89) : 

{ /* Llib/midi.scm 491 */
obj_t BgL_fun1922z00_667;
BgL_fun1922z00_667 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2keysigzd2); 
{ /* Llib/midi.scm 491 */
long BgL_arg1921z00_668;
BgL_arg1921z00_668 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(
(long)CINT(BgL_lz00_584), 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52)); 
PROCEDURE_ENTRY(BgL_fun1922z00_667)(BgL_fun1922z00_667, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
BINT(BgL_arg1921z00_668), BEOA); } } break;case ((long)127) : 

{ /* Llib/midi.scm 494 */
obj_t BgL_fun1925z00_670;
BgL_fun1925z00_670 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_metazd2seqspeczd2); 
{ /* Llib/midi.scm 494 */
obj_t BgL_arg1924z00_671;
{ /* Llib/midi.scm 494 */
obj_t BgL_fun1927z00_672;
BgL_fun1927z00_672 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 494 */
obj_t BgL_arg1926z00_673;
BgL_arg1926z00_673 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1924z00_671 = 
PROCEDURE_ENTRY(BgL_fun1927z00_672)(BgL_fun1927z00_672, BgL_lz00_584, BgL_arg1926z00_673, BEOA); } } 
PROCEDURE_ENTRY(BgL_fun1925z00_670)(BgL_fun1925z00_670, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_arg1924z00_671, BEOA); } } break;
default: 
BgL_case_else1161z00_585:
{ /* Llib/midi.scm 496 */
obj_t BgL_fun1929z00_674;
BgL_fun1929z00_674 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
{ /* Llib/midi.scm 497 */
obj_t BgL_arg1928z00_675;
{ /* Llib/midi.scm 497 */
obj_t BgL_list1930z00_676;
{ /* Llib/midi.scm 497 */
obj_t BgL_arg1931z00_677;
BgL_arg1931z00_677 = 
MAKE_YOUNG_PAIR(BgL_cz00_583, BNIL); 
BgL_list1930z00_676 = 
MAKE_YOUNG_PAIR(BgL_statusz00_477, BgL_arg1931z00_677); } 
BgL_arg1928z00_675 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3044z00zz__multimediazd2midizd2, BgL_list1930z00_676); } 
PROCEDURE_ENTRY(BgL_fun1929z00_674)(BgL_fun1929z00_674, BGl_string3045z00zz__multimediazd2midizd2, BGl_string3046z00zz__multimediazd2midizd2, BgL_arg1928z00_675, BEOA); } } } }  else 
{ /* Llib/midi.scm 429 */
goto BgL_case_else1161z00_585;} } } } }  else 
{ /* Llib/midi.scm 498 */
bool_t BgL_testz00_5835;
if(
(
(long)CINT(BgL_statusz00_477)==((long)240)))
{ /* Llib/midi.scm 498 */
BgL_testz00_5835 = ((bool_t)1)
; }  else 
{ /* Llib/midi.scm 498 */
BgL_testz00_5835 = 
(
(long)CINT(BgL_statusz00_477)==((long)247))
; } 
if(BgL_testz00_5835)
{ /* Llib/midi.scm 500 */
obj_t BgL_strz00_684;
{ /* Llib/midi.scm 500 */
obj_t BgL_fun1945z00_690;
BgL_fun1945z00_690 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2charszd2); 
{ /* Llib/midi.scm 500 */
obj_t BgL_arg1943z00_691;obj_t BgL_arg1944z00_692;
{ /* Llib/midi.scm 500 */
obj_t BgL_fun1947z00_693;
BgL_fun1947z00_693 = 
(((BgL_midireaderz00_bglt)COBJECT(BgL_i1159z00_475))->BgL_readzd2vlqzd2); 
{ /* Llib/midi.scm 500 */
obj_t BgL_arg1946z00_694;
BgL_arg1946z00_694 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_arg1943z00_691 = 
PROCEDURE_ENTRY(BgL_fun1947z00_693)(BgL_fun1947z00_693, BgL_arg1946z00_694, BEOA); } } 
BgL_arg1944z00_692 = 
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_38))->BgL_z52streamz52); 
BgL_strz00_684 = 
PROCEDURE_ENTRY(BgL_fun1945z00_690)(BgL_fun1945z00_690, BgL_arg1943z00_691, BgL_arg1944z00_692, BEOA); } } 
{ /* Llib/midi.scm 501 */
obj_t BgL_fun1939z00_685;
BgL_fun1939z00_685 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_cdelayz00); 
{ /* Llib/midi.scm 502 */
long BgL_arg1938z00_686;
{ /* Llib/midi.scm 502 */
BGL_LONGLONG_T BgL_arg1940z00_687;
BgL_arg1940z00_687 = 
(
bgl_current_microseconds()-BgL_t0z00_44); 
{ /* Llib/midi.scm 502 */
long BgL_res2663z00_2170;
BgL_res2663z00_2170 = 
LLONG_TO_LONG(BgL_arg1940z00_687); 
BgL_arg1938z00_686 = BgL_res2663z00_2170; } } 
PROCEDURE_ENTRY(BgL_fun1939z00_685)(BgL_fun1939z00_685, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), 
((obj_t)BgL_trackz00_38), 
BINT(BgL_dtz00_43), 
BINT(BgL_ppqz00_42), 
BINT(BgL_arg1938z00_686), BEOA); } } 
{ /* Llib/midi.scm 503 */
obj_t BgL_fun1942z00_689;
BgL_fun1942z00_689 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_sysexz00); 
PROCEDURE_ENTRY(BgL_fun1942z00_689)(BgL_fun1942z00_689, 
((obj_t)BgL_mplayerz00_39), 
((obj_t)BgL_msinkz00_40), 
BINT(BgL_tickz00_41), BgL_strz00_684, BEOA); } }  else 
{ /* Llib/midi.scm 505 */
obj_t BgL_fun1948z00_695;
BgL_fun1948z00_695 = 
(((BgL_midiplayerz00_bglt)COBJECT(BgL_mplayerz00_39))->BgL_errz00); 
PROCEDURE_ENTRY(BgL_fun1948z00_695)(BgL_fun1948z00_695, BGl_string3045z00zz__multimediazd2midizd2, BGl_string3047z00zz__multimediazd2midizd2, BgL_statusz00_477, BEOA); } } } } } } } } } } 
{ /* Llib/midi.scm 507 */
obj_t BgL_fun1966z00_715;
BgL_fun1966z00_715 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_flushz00); 
{ /* Llib/midi.scm 507 */
obj_t BgL_arg1965z00_716;
BgL_arg1965z00_716 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msinkz00_40))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun1966z00_715)(BgL_fun1966z00_715, BgL_arg1965z00_716, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* midi-read-mthd */
obj_t BGl_midizd2readzd2mthdz00zz__multimediazd2midizd2(obj_t BgL_ipz00_45)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 512 */
{ /* Llib/midi.scm 513 */
obj_t BgL_tyz00_717;
BgL_tyz00_717 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_45); 
if(
bigloo_strcmp(
((obj_t)BgL_tyz00_717), BGl_string3048z00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 516 */
int32_t BgL_sza7za7_719;
BgL_sza7za7_719 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 516 */
long BgL_fmtz00_720;
{ /* Llib/midi.scm 517 */
int32_t BgL_arg1983z00_765;
BgL_arg1983z00_765 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 517 */
long BgL_res2666z00_2178;
{ /* Llib/midi.scm 517 */
long BgL_arg1402z00_2175;
BgL_arg1402z00_2175 = 
(long)(BgL_arg1983z00_765); 
{ /* Llib/midi.scm 517 */
long BgL_res2665z00_2177;
BgL_res2665z00_2177 = 
(long)(BgL_arg1402z00_2175); 
BgL_res2666z00_2178 = BgL_res2665z00_2177; } } 
BgL_fmtz00_720 = BgL_res2666z00_2178; } } 
{ /* Llib/midi.scm 517 */
long BgL_tckz00_721;
{ /* Llib/midi.scm 518 */
int32_t BgL_arg1982z00_764;
BgL_arg1982z00_764 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 518 */
long BgL_res2668z00_2183;
{ /* Llib/midi.scm 518 */
long BgL_arg1402z00_2180;
BgL_arg1402z00_2180 = 
(long)(BgL_arg1982z00_764); 
{ /* Llib/midi.scm 518 */
long BgL_res2667z00_2182;
BgL_res2667z00_2182 = 
(long)(BgL_arg1402z00_2180); 
BgL_res2668z00_2183 = BgL_res2667z00_2182; } } 
BgL_tckz00_721 = BgL_res2668z00_2183; } } 
{ /* Llib/midi.scm 518 */
long BgL_divz00_722;
{ /* Llib/midi.scm 519 */
int32_t BgL_arg1981z00_763;
BgL_arg1981z00_763 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_45); 
{ /* Llib/midi.scm 519 */
long BgL_res2670z00_2188;
{ /* Llib/midi.scm 519 */
long BgL_arg1402z00_2185;
BgL_arg1402z00_2185 = 
(long)(BgL_arg1981z00_763); 
{ /* Llib/midi.scm 519 */
long BgL_res2669z00_2187;
BgL_res2669z00_2187 = 
(long)(BgL_arg1402z00_2185); 
BgL_res2670z00_2188 = BgL_res2669z00_2187; } } 
BgL_divz00_722 = BgL_res2670z00_2188; } } 
{ /* Llib/midi.scm 519 */

if(
(
(BgL_divz00_722 >> 
(int)(((long)15)))==((long)0)))
{ /* Llib/midi.scm 521 */
long BgL_val4_1198z00_729;
BgL_val4_1198z00_729 = 
(BgL_divz00_722 & ((long)32767)); 
{ /* Llib/midi.scm 521 */
int BgL_res2674z00_2195;
{ /* Llib/midi.scm 521 */
int BgL_tmpz00_5919;
BgL_tmpz00_5919 = 
(int)(((long)5)); 
BgL_res2674z00_2195 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5919); } BgL_res2674z00_2195; } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5924;int BgL_tmpz00_5922;
BgL_auxz00_5924 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_5922 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5922, BgL_auxz00_5924); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5929;int BgL_tmpz00_5927;
BgL_auxz00_5929 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_5927 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5927, BgL_auxz00_5929); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5934;int BgL_tmpz00_5932;
BgL_auxz00_5934 = 
BINT(((long)500000)); 
BgL_tmpz00_5932 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5932, BgL_auxz00_5934); } 
{ /* Llib/midi.scm 521 */
obj_t BgL_auxz00_5939;int BgL_tmpz00_5937;
BgL_auxz00_5939 = 
BINT(BgL_val4_1198z00_729); 
BgL_tmpz00_5937 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5937, BgL_auxz00_5939); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);}  else 
{ 

{ /* Llib/midi.scm 522 */
long BgL_aux1165z00_731;
BgL_aux1165z00_731 = 
(((long)128)-
(
(BgL_divz00_722 >> 
(int)(((long)8))) & ((long)127))); 
switch( BgL_aux1165z00_731) { case ((long)24) : 

{ /* Llib/midi.scm 524 */
long BgL_val4_1203z00_737;
BgL_val4_1203z00_737 = 
(((long)12)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 524 */
int BgL_res2683z00_2212;
{ /* Llib/midi.scm 524 */
int BgL_tmpz00_5949;
BgL_tmpz00_5949 = 
(int)(((long)5)); 
BgL_res2683z00_2212 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5949); } BgL_res2683z00_2212; } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5954;int BgL_tmpz00_5952;
BgL_auxz00_5954 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_5952 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5952, BgL_auxz00_5954); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5959;int BgL_tmpz00_5957;
BgL_auxz00_5959 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_5957 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5957, BgL_auxz00_5959); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5964;int BgL_tmpz00_5962;
BgL_auxz00_5964 = 
BINT(((long)500000)); 
BgL_tmpz00_5962 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5962, BgL_auxz00_5964); } 
{ /* Llib/midi.scm 524 */
obj_t BgL_auxz00_5969;int BgL_tmpz00_5967;
BgL_auxz00_5969 = 
BINT(BgL_val4_1203z00_737); 
BgL_tmpz00_5967 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5967, BgL_auxz00_5969); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;case ((long)25) : 

{ /* Llib/midi.scm 526 */
long BgL_val4_1208z00_743;
BgL_val4_1208z00_743 = 
(((long)10)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 526 */
int BgL_res2686z00_2217;
{ /* Llib/midi.scm 526 */
int BgL_tmpz00_5975;
BgL_tmpz00_5975 = 
(int)(((long)5)); 
BgL_res2686z00_2217 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5975); } BgL_res2686z00_2217; } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5980;int BgL_tmpz00_5978;
BgL_auxz00_5980 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_5978 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5978, BgL_auxz00_5980); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5985;int BgL_tmpz00_5983;
BgL_auxz00_5985 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_5983 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5983, BgL_auxz00_5985); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5990;int BgL_tmpz00_5988;
BgL_auxz00_5990 = 
BINT(((long)400000)); 
BgL_tmpz00_5988 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5988, BgL_auxz00_5990); } 
{ /* Llib/midi.scm 526 */
obj_t BgL_auxz00_5995;int BgL_tmpz00_5993;
BgL_auxz00_5995 = 
BINT(BgL_val4_1208z00_743); 
BgL_tmpz00_5993 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_5993, BgL_auxz00_5995); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;case ((long)29) : 

{ /* Llib/midi.scm 528 */
long BgL_val4_1213z00_749;
BgL_val4_1213z00_749 = 
(((long)2997)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 528 */
int BgL_res2689z00_2222;
{ /* Llib/midi.scm 528 */
int BgL_tmpz00_6001;
BgL_tmpz00_6001 = 
(int)(((long)5)); 
BgL_res2689z00_2222 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6001); } BgL_res2689z00_2222; } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_6006;int BgL_tmpz00_6004;
BgL_auxz00_6006 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6004 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6004, BgL_auxz00_6006); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_6011;int BgL_tmpz00_6009;
BgL_auxz00_6011 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6009 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6009, BgL_auxz00_6011); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_6016;int BgL_tmpz00_6014;
BgL_auxz00_6016 = 
BINT(((long)100000000)); 
BgL_tmpz00_6014 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6014, BgL_auxz00_6016); } 
{ /* Llib/midi.scm 528 */
obj_t BgL_auxz00_6021;int BgL_tmpz00_6019;
BgL_auxz00_6021 = 
BINT(BgL_val4_1213z00_749); 
BgL_tmpz00_6019 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6019, BgL_auxz00_6021); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;case ((long)30) : 

{ /* Llib/midi.scm 530 */
long BgL_val4_1218z00_755;
BgL_val4_1218z00_755 = 
(((long)15)*
(BgL_divz00_722 & ((long)255))); 
{ /* Llib/midi.scm 530 */
int BgL_res2692z00_2227;
{ /* Llib/midi.scm 530 */
int BgL_tmpz00_6027;
BgL_tmpz00_6027 = 
(int)(((long)5)); 
BgL_res2692z00_2227 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6027); } BgL_res2692z00_2227; } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_6032;int BgL_tmpz00_6030;
BgL_auxz00_6032 = 
BINT(BgL_fmtz00_720); 
BgL_tmpz00_6030 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6030, BgL_auxz00_6032); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_6037;int BgL_tmpz00_6035;
BgL_auxz00_6037 = 
BINT(BgL_tckz00_721); 
BgL_tmpz00_6035 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6035, BgL_auxz00_6037); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_6042;int BgL_tmpz00_6040;
BgL_auxz00_6042 = 
BINT(((long)500000)); 
BgL_tmpz00_6040 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6040, BgL_auxz00_6042); } 
{ /* Llib/midi.scm 530 */
obj_t BgL_auxz00_6047;int BgL_tmpz00_6045;
BgL_auxz00_6047 = 
BINT(BgL_val4_1218z00_755); 
BgL_tmpz00_6045 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6045, BgL_auxz00_6047); } 
return 
BGL_INT32_TO_BINT32(BgL_sza7za7_719);} break;
default: 
{ /* Llib/midi.scm 534 */
long BgL_arg1977z00_759;
BgL_arg1977z00_759 = 
(((long)128)-
(
(BgL_divz00_722 >> 
(int)(((long)8))) & ((long)127))); 
return 
BGl_errorz00zz__errorz00(BGl_string3049z00zz__multimediazd2midizd2, BGl_string3050z00zz__multimediazd2midizd2, 
BINT(BgL_arg1977z00_759));} } } } } } } } }  else 
{ /* Llib/midi.scm 514 */
return 
BGl_errorz00zz__errorz00(BGl_string3049z00zz__multimediazd2midizd2, BGl_string3051z00zz__multimediazd2midizd2, BgL_tyz00_717);} } } 
BGL_FUNCTION_END;
}



/* midi-read-mtrk */
obj_t BGl_midizd2readzd2mtrkz00zz__multimediazd2midizd2(obj_t BgL_ipz00_46)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 539 */
{ /* Llib/midi.scm 540 */
obj_t BgL_tyz00_766;
BgL_tyz00_766 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)4)), BgL_ipz00_46); 
if(
bigloo_strcmp(
((obj_t)BgL_tyz00_766), BGl_string3052z00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 543 */
int32_t BgL_tmpz00_6064;
BgL_tmpz00_6064 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_46); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6064);}  else 
{ /* Llib/midi.scm 541 */
return 
BGl_errorz00zz__errorz00(BGl_string3053z00zz__multimediazd2midizd2, BGl_string3051z00zz__multimediazd2midizd2, BgL_tyz00_766);} } } 
BGL_FUNCTION_END;
}



/* read-int16 */
int32_t BGl_readzd2int16zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_49)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
obj_t BgL_b1z00_769;
BgL_b1z00_769 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 561 */
obj_t BgL_b0z00_770;
BgL_b0z00_770 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_49); 
{ /* Llib/midi.scm 562 */

{ /* Llib/midi.scm 563 */
int32_t BgL_arg1986z00_771;int32_t BgL_arg1987z00_772;
{ /* Llib/midi.scm 563 */
int32_t BgL_arg1988z00_773;
{ /* Llib/midi.scm 555 */
long BgL_arg1985z00_2238;
BgL_arg1985z00_2238 = 
(
CCHAR(BgL_b1z00_769)); 
{ /* Llib/midi.scm 555 */
int32_t BgL_res2698z00_2242;
BgL_res2698z00_2242 = 
(int32_t)(BgL_arg1985z00_2238); 
BgL_arg1988z00_773 = BgL_res2698z00_2242; } } 
BgL_arg1986z00_771 = 
(BgL_arg1988z00_773 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
long BgL_arg1985z00_2245;
BgL_arg1985z00_2245 = 
(
CCHAR(BgL_b0z00_770)); 
{ /* Llib/midi.scm 555 */
int32_t BgL_res2701z00_2249;
BgL_res2701z00_2249 = 
(int32_t)(BgL_arg1985z00_2245); 
BgL_arg1987z00_772 = BgL_res2701z00_2249; } } 
return 
(BgL_arg1986z00_771+BgL_arg1987z00_772);} } } } } 
BGL_FUNCTION_END;
}



/* &read-int16 */
obj_t BGl_z62readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3046, obj_t BgL_ipz00_3047)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 560 */
{ /* Llib/midi.scm 561 */
int32_t BgL_tmpz00_6079;
BgL_tmpz00_6079 = 
BGl_readzd2int16zd2zz__multimediazd2midizd2(BgL_ipz00_3047); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6079);} } 
BGL_FUNCTION_END;
}



/* read-int32 */
int32_t BGl_readzd2int32zd2zz__multimediazd2midizd2(obj_t BgL_ipz00_50)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
obj_t BgL_b3z00_774;
BgL_b3z00_774 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 570 */
obj_t BgL_b2z00_775;
BgL_b2z00_775 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 571 */
obj_t BgL_b1z00_776;
BgL_b1z00_776 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 572 */
obj_t BgL_b0z00_777;
BgL_b0z00_777 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_50); 
{ /* Llib/midi.scm 573 */

{ /* Llib/midi.scm 574 */
int32_t BgL_arg1989z00_778;int32_t BgL_arg1990z00_779;
{ /* Llib/midi.scm 574 */
int32_t BgL_arg1991z00_780;
{ /* Llib/midi.scm 555 */
long BgL_arg1985z00_2253;
BgL_arg1985z00_2253 = 
(
CCHAR(BgL_b3z00_774)); 
{ /* Llib/midi.scm 555 */
int32_t BgL_res2704z00_2257;
BgL_res2704z00_2257 = 
(int32_t)(BgL_arg1985z00_2253); 
BgL_arg1991z00_780 = BgL_res2704z00_2257; } } 
BgL_arg1989z00_778 = 
(BgL_arg1991z00_780 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 575 */
int32_t BgL_arg1992z00_781;int32_t BgL_arg1993z00_782;
{ /* Llib/midi.scm 575 */
int32_t BgL_arg1994z00_783;
{ /* Llib/midi.scm 555 */
long BgL_arg1985z00_2260;
BgL_arg1985z00_2260 = 
(
CCHAR(BgL_b2z00_775)); 
{ /* Llib/midi.scm 555 */
int32_t BgL_res2707z00_2264;
BgL_res2707z00_2264 = 
(int32_t)(BgL_arg1985z00_2260); 
BgL_arg1994z00_783 = BgL_res2707z00_2264; } } 
BgL_arg1992z00_781 = 
(BgL_arg1994z00_783 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 576 */
int32_t BgL_arg1995z00_784;int32_t BgL_arg1996z00_785;
{ /* Llib/midi.scm 576 */
int32_t BgL_arg1997z00_786;
{ /* Llib/midi.scm 555 */
long BgL_arg1985z00_2267;
BgL_arg1985z00_2267 = 
(
CCHAR(BgL_b1z00_776)); 
{ /* Llib/midi.scm 555 */
int32_t BgL_res2710z00_2271;
BgL_res2710z00_2271 = 
(int32_t)(BgL_arg1985z00_2267); 
BgL_arg1997z00_786 = BgL_res2710z00_2271; } } 
BgL_arg1995z00_784 = 
(BgL_arg1997z00_786 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 555 */
long BgL_arg1985z00_2274;
BgL_arg1985z00_2274 = 
(
CCHAR(BgL_b0z00_777)); 
{ /* Llib/midi.scm 555 */
int32_t BgL_res2713z00_2278;
BgL_res2713z00_2278 = 
(int32_t)(BgL_arg1985z00_2274); 
BgL_arg1996z00_785 = BgL_res2713z00_2278; } } 
BgL_arg1993z00_782 = 
(BgL_arg1995z00_784+BgL_arg1996z00_785); } 
BgL_arg1990z00_779 = 
(BgL_arg1992z00_781+BgL_arg1993z00_782); } 
return 
(BgL_arg1989z00_778+BgL_arg1990z00_779);} } } } } } } 
BGL_FUNCTION_END;
}



/* &read-int32 */
obj_t BGl_z62readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3048, obj_t BgL_ipz00_3049)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 569 */
{ /* Llib/midi.scm 570 */
int32_t BgL_tmpz00_6107;
BgL_tmpz00_6107 = 
BGl_readzd2int32zd2zz__multimediazd2midizd2(BgL_ipz00_3049); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6107);} } 
BGL_FUNCTION_END;
}



/* read-int */
long BGl_readzd2intzd2zz__multimediazd2midizd2(long BgL_lenz00_51, obj_t BgL_ipz00_52)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
long BgL_g1166z00_787;
{ /* Llib/midi.scm 583 */
obj_t BgL_arg2005z00_799;
BgL_arg2005z00_799 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_g1166z00_787 = 
(
CCHAR(BgL_arg2005z00_799)); } 
{ 
long BgL_valz00_789;long BgL_lenz00_790;
BgL_valz00_789 = BgL_g1166z00_787; 
BgL_lenz00_790 = BgL_lenz00_51; 
BgL_zc3anonymousza31998ze3z83_791:
if(
(BgL_lenz00_790==((long)1)))
{ /* Llib/midi.scm 585 */
return BgL_valz00_789;}  else 
{ /* Llib/midi.scm 587 */
long BgL_arg2000z00_793;long BgL_arg2001z00_794;
{ /* Llib/midi.scm 587 */
long BgL_arg2002z00_795;long BgL_arg2003z00_796;
BgL_arg2002z00_795 = 
(BgL_valz00_789 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 587 */
obj_t BgL_arg2004z00_797;
BgL_arg2004z00_797 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_52); 
BgL_arg2003z00_796 = 
(
CCHAR(BgL_arg2004z00_797)); } 
BgL_arg2000z00_793 = 
(BgL_arg2002z00_795+BgL_arg2003z00_796); } 
BgL_arg2001z00_794 = 
(BgL_lenz00_790-((long)1)); 
{ 
long BgL_lenz00_6123;long BgL_valz00_6122;
BgL_valz00_6122 = BgL_arg2000z00_793; 
BgL_lenz00_6123 = BgL_arg2001z00_794; 
BgL_lenz00_790 = BgL_lenz00_6123; 
BgL_valz00_789 = BgL_valz00_6122; 
goto BgL_zc3anonymousza31998ze3z83_791;} } } } } 
BGL_FUNCTION_END;
}



/* &read-int */
obj_t BGl_z62readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3050, obj_t BgL_lenz00_3051, obj_t BgL_ipz00_3052)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 582 */
{ /* Llib/midi.scm 583 */
long BgL_tmpz00_6124;
{ /* Llib/midi.scm 583 */
obj_t BgL_auxz00_6134;long BgL_auxz00_6125;
if(
INPUT_PORTP(BgL_ipz00_3052))
{ /* Llib/midi.scm 583 */
BgL_auxz00_6134 = BgL_ipz00_3052
; }  else 
{ 
obj_t BgL_auxz00_6137;
BgL_auxz00_6137 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string3054z00zz__multimediazd2midizd2, BGl_string3034z00zz__multimediazd2midizd2, BgL_ipz00_3052); 
FAILURE(BgL_auxz00_6137,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 583 */
obj_t BgL_tmpz00_6126;
if(
INTEGERP(BgL_lenz00_3051))
{ /* Llib/midi.scm 583 */
BgL_tmpz00_6126 = BgL_lenz00_3051
; }  else 
{ 
obj_t BgL_auxz00_6129;
BgL_auxz00_6129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)24391)), BGl_string3054z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_lenz00_3051); 
FAILURE(BgL_auxz00_6129,BFALSE,BFALSE);} 
BgL_auxz00_6125 = 
(long)CINT(BgL_tmpz00_6126); } 
BgL_tmpz00_6124 = 
BGl_readzd2intzd2zz__multimediazd2midizd2(BgL_auxz00_6125, BgL_auxz00_6134); } 
return 
BINT(BgL_tmpz00_6124);} } 
BGL_FUNCTION_END;
}



/* &read-vlq */
obj_t BGl_z62readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3053, obj_t BgL_ipz00_3054)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 593 */
{ /* Llib/midi.scm 595 */
long BgL_tmpz00_6143;
{ 
long BgL_accz00_4072;
BgL_accz00_4072 = ((long)0); 
BgL_loopz00_4071:
{ /* Llib/midi.scm 595 */
long BgL_cz00_4073;
{ /* Llib/midi.scm 595 */
obj_t BgL_arg2011z00_4074;
BgL_arg2011z00_4074 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_ipz00_3054); 
BgL_cz00_4073 = 
(
CCHAR(BgL_arg2011z00_4074)); } 
if(
(BgL_cz00_4073<=((long)127)))
{ /* Llib/midi.scm 596 */
BgL_tmpz00_6143 = 
(BgL_cz00_4073+BgL_accz00_4072)
; }  else 
{ 
long BgL_accz00_6150;
BgL_accz00_6150 = 
(
(BgL_accz00_4072+
(BgL_cz00_4073 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_4072 = BgL_accz00_6150; 
goto BgL_loopz00_4071;} } } 
return 
BINT(BgL_tmpz00_6143);} } 
BGL_FUNCTION_END;
}



/* string-stream-peek-byte */
long BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(obj_t BgL_ipz00_54)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 603 */
return 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_54, 
(int)(((long)1))))));} 
BGL_FUNCTION_END;
}



/* &string-stream-peek-byte */
obj_t BGl_z62stringzd2streamzd2peekzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3058, obj_t BgL_ipz00_3059)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 603 */
{ /* Llib/midi.scm 605 */
long BgL_tmpz00_6163;
{ /* Llib/midi.scm 605 */
obj_t BgL_auxz00_6164;
if(
STRUCTP(BgL_ipz00_3059))
{ /* Llib/midi.scm 605 */
BgL_auxz00_6164 = BgL_ipz00_3059
; }  else 
{ 
obj_t BgL_auxz00_6167;
BgL_auxz00_6167 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)25285)), BGl_string3055z00zz__multimediazd2midizd2, BGl_string3056z00zz__multimediazd2midizd2, BgL_ipz00_3059); 
FAILURE(BgL_auxz00_6167,BFALSE,BFALSE);} 
BgL_tmpz00_6163 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_auxz00_6164); } 
return 
BINT(BgL_tmpz00_6163);} } 
BGL_FUNCTION_END;
}



/* &string-stream-read-byte */
obj_t BGl_z62stringzd2streamzd2readzd2bytezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3060, obj_t BgL_ipz00_3061)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 610 */
{ /* Llib/midi.scm 611 */
long BgL_tmpz00_6173;
{ /* Llib/midi.scm 611 */
obj_t BgL_ipz00_4075;
if(
STRUCTP(BgL_ipz00_3061))
{ /* Llib/midi.scm 611 */
BgL_ipz00_4075 = BgL_ipz00_3061; }  else 
{ 
obj_t BgL_auxz00_6176;
BgL_auxz00_6176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)25610)), BGl_string3057z00zz__multimediazd2midizd2, BGl_string3056z00zz__multimediazd2midizd2, BgL_ipz00_3061); 
FAILURE(BgL_auxz00_6176,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 611 */
long BgL_bz00_4076;
BgL_bz00_4076 = 
(
STRING_REF(
STRUCT_REF(BgL_ipz00_4075, 
(int)(((long)0))), 
(long)CINT(
STRUCT_REF(BgL_ipz00_4075, 
(int)(((long)1)))))); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4077;
BgL_arg2015z00_4077 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4075, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6193;int BgL_tmpz00_6191;
BgL_auxz00_6193 = 
BINT(BgL_arg2015z00_4077); 
BgL_tmpz00_6191 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4075, BgL_tmpz00_6191, BgL_auxz00_6193); } } 
BgL_tmpz00_6173 = BgL_bz00_4076; } } 
return 
BINT(BgL_tmpz00_6173);} } 
BGL_FUNCTION_END;
}



/* &string-stream-read-int16 */
obj_t BGl_z62stringzd2streamzd2readzd2int16zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3062, obj_t BgL_ipz00_3063)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 618 */
{ /* Llib/midi.scm 619 */
int32_t BgL_tmpz00_6197;
{ /* Llib/midi.scm 619 */
obj_t BgL_ipz00_4078;
if(
STRUCTP(BgL_ipz00_3063))
{ /* Llib/midi.scm 619 */
BgL_ipz00_4078 = BgL_ipz00_3063; }  else 
{ 
obj_t BgL_auxz00_6200;
BgL_auxz00_6200 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)26001)), BGl_string3058z00zz__multimediazd2midizd2, BGl_string3056z00zz__multimediazd2midizd2, BgL_ipz00_3063); 
FAILURE(BgL_auxz00_6200,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 619 */
long BgL_b1z00_4079;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4080;
BgL_bz00_4080 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4078); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4081;
BgL_arg2015z00_4081 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4078, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6211;int BgL_tmpz00_6209;
BgL_auxz00_6211 = 
BINT(BgL_arg2015z00_4081); 
BgL_tmpz00_6209 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4078, BgL_tmpz00_6209, BgL_auxz00_6211); } } 
BgL_b1z00_4079 = BgL_bz00_4080; } 
{ /* Llib/midi.scm 619 */
long BgL_b0z00_4082;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4083;
BgL_bz00_4083 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4078); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4084;
BgL_arg2015z00_4084 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4078, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6221;int BgL_tmpz00_6219;
BgL_auxz00_6221 = 
BINT(BgL_arg2015z00_4084); 
BgL_tmpz00_6219 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4078, BgL_tmpz00_6219, BgL_auxz00_6221); } } 
BgL_b0z00_4082 = BgL_bz00_4083; } 
{ /* Llib/midi.scm 620 */

{ /* Llib/midi.scm 621 */
int32_t BgL_arg2017z00_4085;int32_t BgL_arg2018z00_4086;
{ /* Llib/midi.scm 621 */
int32_t BgL_arg2019z00_4087;
{ /* Llib/midi.scm 621 */
int32_t BgL_res2736z00_4088;
BgL_res2736z00_4088 = 
(int32_t)(BgL_b1z00_4079); 
BgL_arg2019z00_4087 = BgL_res2736z00_4088; } 
BgL_arg2017z00_4085 = 
(BgL_arg2019z00_4087 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 621 */
int32_t BgL_res2738z00_4089;
BgL_res2738z00_4089 = 
(int32_t)(BgL_b0z00_4082); 
BgL_arg2018z00_4086 = BgL_res2738z00_4089; } 
BgL_tmpz00_6197 = 
(BgL_arg2017z00_4085+BgL_arg2018z00_4086); } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6197);} } 
BGL_FUNCTION_END;
}



/* &string-stream-read-int32 */
obj_t BGl_z62stringzd2streamzd2readzd2int32zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3064, obj_t BgL_ipz00_3065)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 626 */
{ /* Llib/midi.scm 627 */
int32_t BgL_tmpz00_6230;
{ /* Llib/midi.scm 627 */
obj_t BgL_ipz00_4090;
if(
STRUCTP(BgL_ipz00_3065))
{ /* Llib/midi.scm 627 */
BgL_ipz00_4090 = BgL_ipz00_3065; }  else 
{ 
obj_t BgL_auxz00_6233;
BgL_auxz00_6233 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)26420)), BGl_string3059z00zz__multimediazd2midizd2, BGl_string3056z00zz__multimediazd2midizd2, BgL_ipz00_3065); 
FAILURE(BgL_auxz00_6233,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 627 */
long BgL_b3z00_4091;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4092;
BgL_bz00_4092 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4090); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4093;
BgL_arg2015z00_4093 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4090, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6244;int BgL_tmpz00_6242;
BgL_auxz00_6244 = 
BINT(BgL_arg2015z00_4093); 
BgL_tmpz00_6242 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4090, BgL_tmpz00_6242, BgL_auxz00_6244); } } 
BgL_b3z00_4091 = BgL_bz00_4092; } 
{ /* Llib/midi.scm 627 */
long BgL_b2z00_4094;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4095;
BgL_bz00_4095 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4090); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4096;
BgL_arg2015z00_4096 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4090, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6254;int BgL_tmpz00_6252;
BgL_auxz00_6254 = 
BINT(BgL_arg2015z00_4096); 
BgL_tmpz00_6252 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4090, BgL_tmpz00_6252, BgL_auxz00_6254); } } 
BgL_b2z00_4094 = BgL_bz00_4095; } 
{ /* Llib/midi.scm 628 */
long BgL_b1z00_4097;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4098;
BgL_bz00_4098 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4090); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4099;
BgL_arg2015z00_4099 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4090, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6264;int BgL_tmpz00_6262;
BgL_auxz00_6264 = 
BINT(BgL_arg2015z00_4099); 
BgL_tmpz00_6262 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4090, BgL_tmpz00_6262, BgL_auxz00_6264); } } 
BgL_b1z00_4097 = BgL_bz00_4098; } 
{ /* Llib/midi.scm 629 */
long BgL_b0z00_4100;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4101;
BgL_bz00_4101 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4090); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4102;
BgL_arg2015z00_4102 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4090, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6274;int BgL_tmpz00_6272;
BgL_auxz00_6274 = 
BINT(BgL_arg2015z00_4102); 
BgL_tmpz00_6272 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4090, BgL_tmpz00_6272, BgL_auxz00_6274); } } 
BgL_b0z00_4100 = BgL_bz00_4101; } 
{ /* Llib/midi.scm 630 */

{ /* Llib/midi.scm 631 */
int32_t BgL_arg2020z00_4103;int32_t BgL_arg2021z00_4104;
{ /* Llib/midi.scm 631 */
int32_t BgL_arg2022z00_4105;
{ /* Llib/midi.scm 631 */
int32_t BgL_res2744z00_4106;
BgL_res2744z00_4106 = 
(int32_t)(BgL_b3z00_4091); 
BgL_arg2022z00_4105 = BgL_res2744z00_4106; } 
BgL_arg2020z00_4103 = 
(BgL_arg2022z00_4105 << 
(int)(((long)24))); } 
{ /* Llib/midi.scm 632 */
int32_t BgL_arg2023z00_4107;int32_t BgL_arg2024z00_4108;
{ /* Llib/midi.scm 632 */
int32_t BgL_arg2025z00_4109;
{ /* Llib/midi.scm 632 */
int32_t BgL_res2746z00_4110;
BgL_res2746z00_4110 = 
(int32_t)(BgL_b2z00_4094); 
BgL_arg2025z00_4109 = BgL_res2746z00_4110; } 
BgL_arg2023z00_4107 = 
(BgL_arg2025z00_4109 << 
(int)(((long)16))); } 
{ /* Llib/midi.scm 633 */
int32_t BgL_arg2026z00_4111;int32_t BgL_arg2027z00_4112;
{ /* Llib/midi.scm 633 */
int32_t BgL_arg2028z00_4113;
{ /* Llib/midi.scm 633 */
int32_t BgL_res2748z00_4114;
BgL_res2748z00_4114 = 
(int32_t)(BgL_b1z00_4097); 
BgL_arg2028z00_4113 = BgL_res2748z00_4114; } 
BgL_arg2026z00_4111 = 
(BgL_arg2028z00_4113 << 
(int)(((long)8))); } 
{ /* Llib/midi.scm 634 */
int32_t BgL_res2750z00_4115;
BgL_res2750z00_4115 = 
(int32_t)(BgL_b0z00_4100); 
BgL_arg2027z00_4112 = BgL_res2750z00_4115; } 
BgL_arg2024z00_4108 = 
(BgL_arg2026z00_4111+BgL_arg2027z00_4112); } 
BgL_arg2021z00_4104 = 
(BgL_arg2023z00_4107+BgL_arg2024z00_4108); } 
BgL_tmpz00_6230 = 
(BgL_arg2020z00_4103+BgL_arg2021z00_4104); } } } } } } } 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_6230);} } 
BGL_FUNCTION_END;
}



/* &string-stream-read-int */
obj_t BGl_z62stringzd2streamzd2readzd2intzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3066, obj_t BgL_lenz00_3067, obj_t BgL_ipz00_3068)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 639 */
{ /* Llib/midi.scm 640 */
long BgL_tmpz00_6291;
{ /* Llib/midi.scm 640 */
long BgL_lenz00_4116;obj_t BgL_ipz00_4117;
{ /* Llib/midi.scm 640 */
obj_t BgL_tmpz00_6292;
if(
INTEGERP(BgL_lenz00_3067))
{ /* Llib/midi.scm 640 */
BgL_tmpz00_6292 = BgL_lenz00_3067
; }  else 
{ 
obj_t BgL_auxz00_6295;
BgL_auxz00_6295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string3060z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_lenz00_3067); 
FAILURE(BgL_auxz00_6295,BFALSE,BFALSE);} 
BgL_lenz00_4116 = 
(long)CINT(BgL_tmpz00_6292); } 
if(
STRUCTP(BgL_ipz00_3068))
{ /* Llib/midi.scm 640 */
BgL_ipz00_4117 = BgL_ipz00_3068; }  else 
{ 
obj_t BgL_auxz00_6302;
BgL_auxz00_6302 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)27020)), BGl_string3060z00zz__multimediazd2midizd2, BGl_string3056z00zz__multimediazd2midizd2, BgL_ipz00_3068); 
FAILURE(BgL_auxz00_6302,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 640 */
long BgL_g1168z00_4118;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4119;
BgL_bz00_4119 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4117); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4120;
BgL_arg2015z00_4120 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4117, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6313;int BgL_tmpz00_6311;
BgL_auxz00_6313 = 
BINT(BgL_arg2015z00_4120); 
BgL_tmpz00_6311 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4117, BgL_tmpz00_6311, BgL_auxz00_6313); } } 
BgL_g1168z00_4118 = BgL_bz00_4119; } 
{ 
long BgL_valz00_4122;long BgL_lenz00_4123;
BgL_valz00_4122 = BgL_g1168z00_4118; 
BgL_lenz00_4123 = BgL_lenz00_4116; 
BgL_loopz00_4121:
if(
(BgL_lenz00_4123==((long)1)))
{ /* Llib/midi.scm 642 */
BgL_tmpz00_6291 = BgL_valz00_4122
; }  else 
{ /* Llib/midi.scm 644 */
long BgL_arg2031z00_4124;long BgL_arg2032z00_4125;
{ /* Llib/midi.scm 644 */
long BgL_arg2033z00_4126;long BgL_arg2034z00_4127;
BgL_arg2033z00_4126 = 
(BgL_valz00_4122 << 
(int)(((long)8))); 
{ /* Llib/midi.scm 611 */
long BgL_bz00_4128;
BgL_bz00_4128 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(BgL_ipz00_4117); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4129;
BgL_arg2015z00_4129 = 
(
(long)CINT(
STRUCT_REF(BgL_ipz00_4117, 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6327;int BgL_tmpz00_6325;
BgL_auxz00_6327 = 
BINT(BgL_arg2015z00_4129); 
BgL_tmpz00_6325 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4117, BgL_tmpz00_6325, BgL_auxz00_6327); } } 
BgL_arg2034z00_4127 = BgL_bz00_4128; } 
BgL_arg2031z00_4124 = 
(BgL_arg2033z00_4126+BgL_arg2034z00_4127); } 
BgL_arg2032z00_4125 = 
(BgL_lenz00_4123-((long)1)); 
{ 
long BgL_lenz00_6333;long BgL_valz00_6332;
BgL_valz00_6332 = BgL_arg2031z00_4124; 
BgL_lenz00_6333 = BgL_arg2032z00_4125; 
BgL_lenz00_4123 = BgL_lenz00_6333; 
BgL_valz00_4122 = BgL_valz00_6332; 
goto BgL_loopz00_4121;} } } } } 
return 
BINT(BgL_tmpz00_6291);} } 
BGL_FUNCTION_END;
}



/* &string-stream-read-vlq */
obj_t BGl_z62stringzd2streamzd2readzd2vlqzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3069, obj_t BgL_ipz00_3070)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 650 */
{ /* Llib/midi.scm 652 */
long BgL_tmpz00_6335;
{ 
long BgL_accz00_4131;
BgL_accz00_4131 = ((long)0); 
BgL_loopz00_4130:
{ /* Llib/midi.scm 652 */
long BgL_cz00_4132;
{ /* Llib/midi.scm 611 */
long BgL_bz00_4133;
BgL_bz00_4133 = 
BGl_stringzd2streamzd2peekzd2bytezd2zz__multimediazd2midizd2(
((obj_t)BgL_ipz00_3070)); 
{ /* Llib/midi.scm 612 */
long BgL_arg2015z00_4134;
BgL_arg2015z00_4134 = 
(
(long)CINT(
STRUCT_REF(
((obj_t)BgL_ipz00_3070), 
(int)(((long)1))))+((long)1)); 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6347;int BgL_auxz00_6345;obj_t BgL_tmpz00_6343;
BgL_auxz00_6347 = 
BINT(BgL_arg2015z00_4134); 
BgL_auxz00_6345 = 
(int)(((long)1)); 
BgL_tmpz00_6343 = 
((obj_t)BgL_ipz00_3070); 
STRUCT_SET(BgL_tmpz00_6343, BgL_auxz00_6345, BgL_auxz00_6347); } } 
BgL_cz00_4132 = BgL_bz00_4133; } 
if(
(BgL_cz00_4132<=((long)127)))
{ /* Llib/midi.scm 653 */
BgL_tmpz00_6335 = 
(BgL_cz00_4132+BgL_accz00_4131)
; }  else 
{ 
long BgL_accz00_6353;
BgL_accz00_6353 = 
(
(BgL_accz00_4131+
(BgL_cz00_4132 & ((long)127))) << 
(int)(((long)7))); 
BgL_accz00_4131 = BgL_accz00_6353; 
goto BgL_loopz00_4130;} } } 
return 
BINT(BgL_tmpz00_6335);} } 
BGL_FUNCTION_END;
}



/* &string-stream-read-chars */
obj_t BGl_z62stringzd2streamzd2readzd2charszb0zz__multimediazd2midizd2(obj_t BgL_envz00_3071, obj_t BgL_lenz00_3072, obj_t BgL_ipz00_3073)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 660 */
{ /* Llib/midi.scm 661 */
obj_t BgL_ipz00_4135;
if(
STRUCTP(BgL_ipz00_3073))
{ /* Llib/midi.scm 661 */
BgL_ipz00_4135 = BgL_ipz00_3073; }  else 
{ 
obj_t BgL_auxz00_6361;
BgL_auxz00_6361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)27894)), BGl_string3061z00zz__multimediazd2midizd2, BGl_string3056z00zz__multimediazd2midizd2, BgL_ipz00_3073); 
FAILURE(BgL_auxz00_6361,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 661 */
obj_t BgL_sz00_4136;
{ /* Llib/midi.scm 661 */
obj_t BgL_arg2042z00_4137;obj_t BgL_arg2043z00_4138;obj_t BgL_arg2044z00_4139;
BgL_arg2042z00_4137 = 
STRUCT_REF(BgL_ipz00_4135, 
(int)(((long)0))); 
BgL_arg2043z00_4138 = 
STRUCT_REF(BgL_ipz00_4135, 
(int)(((long)1))); 
BgL_arg2044z00_4139 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_4135, 
(int)(((long)1))), BgL_lenz00_3072); 
{ /* Llib/midi.scm 661 */
obj_t BgL_res2766z00_4140;
{ /* Llib/midi.scm 661 */
long BgL_startz00_4141;long BgL_endz00_4142;
BgL_startz00_4141 = 
(long)CINT(BgL_arg2043z00_4138); 
BgL_endz00_4142 = 
(long)CINT(BgL_arg2044z00_4139); 
BgL_res2766z00_4140 = 
c_substring(
((obj_t)BgL_arg2042z00_4137), BgL_startz00_4141, BgL_endz00_4142); } 
BgL_sz00_4136 = BgL_res2766z00_4140; } } 
{ /* Llib/midi.scm 127 */
obj_t BgL_auxz00_6378;int BgL_tmpz00_6376;
BgL_auxz00_6378 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
STRUCT_REF(BgL_ipz00_4135, 
(int)(((long)1))), BgL_lenz00_3072); 
BgL_tmpz00_6376 = 
(int)(((long)1)); 
STRUCT_SET(BgL_ipz00_4135, BgL_tmpz00_6376, BgL_auxz00_6378); } 
return BgL_sz00_4136;} } } 
BGL_FUNCTION_END;
}



/* midiplayer-cdelay */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_68, BgL_midisinkz00_bglt BgL_msz00_69, long BgL_tickz00_70, BgL_miditrackz00_bglt BgL_trackz00_71, long BgL_ppqz00_72, long BgL_dtz00_73, long BgL_usz00_74)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 993 */
if(
(BgL_dtz00_73>((long)0)))
{ /* Llib/midi.scm 998 */
obj_t BgL_fun2048z00_2480;
BgL_fun2048z00_2480 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_69))->BgL_usleepz00); 
{ /* Llib/midi.scm 998 */
long BgL_arg2047z00_2481;
BgL_arg2047z00_2481 = 
(
(
(BgL_dtz00_73*
(((BgL_miditrackz00_bglt)COBJECT(BgL_trackz00_71))->BgL_tempoz00))/BgL_ppqz00_72)-BgL_usz00_74); 
return 
PROCEDURE_ENTRY(BgL_fun2048z00_2480)(BgL_fun2048z00_2480, 
BINT(BgL_arg2047z00_2481), BEOA);} }  else 
{ /* Llib/midi.scm 997 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* &midiplayer-cdelay */
obj_t BGl_z62midiplayerzd2cdelayzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3100, obj_t BgL_mpz00_3101, obj_t BgL_msz00_3102, obj_t BgL_tickz00_3103, obj_t BgL_trackz00_3104, obj_t BgL_ppqz00_3105, obj_t BgL_dtz00_3106, obj_t BgL_usz00_3107)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 993 */
{ /* Llib/midi.scm 995 */
long BgL_auxz00_6446;long BgL_auxz00_6437;long BgL_auxz00_6428;BgL_miditrackz00_bglt BgL_auxz00_6420;long BgL_auxz00_6411;BgL_midisinkz00_bglt BgL_auxz00_6403;BgL_midiplayerz00_bglt BgL_auxz00_6395;
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6447;
if(
INTEGERP(BgL_usz00_3107))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6447 = BgL_usz00_3107
; }  else 
{ 
obj_t BgL_auxz00_6450;
BgL_auxz00_6450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_usz00_3107); 
FAILURE(BgL_auxz00_6450,BFALSE,BFALSE);} 
BgL_auxz00_6446 = 
(long)CINT(BgL_tmpz00_6447); } 
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6438;
if(
INTEGERP(BgL_dtz00_3106))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6438 = BgL_dtz00_3106
; }  else 
{ 
obj_t BgL_auxz00_6441;
BgL_auxz00_6441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_dtz00_3106); 
FAILURE(BgL_auxz00_6441,BFALSE,BFALSE);} 
BgL_auxz00_6437 = 
(long)CINT(BgL_tmpz00_6438); } 
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6429;
if(
INTEGERP(BgL_ppqz00_3105))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6429 = BgL_ppqz00_3105
; }  else 
{ 
obj_t BgL_auxz00_6432;
BgL_auxz00_6432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_ppqz00_3105); 
FAILURE(BgL_auxz00_6432,BFALSE,BFALSE);} 
BgL_auxz00_6428 = 
(long)CINT(BgL_tmpz00_6429); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_trackz00_3104, BGl_miditrackz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 995 */
BgL_auxz00_6420 = 
((BgL_miditrackz00_bglt)BgL_trackz00_3104)
; }  else 
{ 
obj_t BgL_auxz00_6424;
BgL_auxz00_6424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3063z00zz__multimediazd2midizd2, BgL_trackz00_3104); 
FAILURE(BgL_auxz00_6424,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 995 */
obj_t BgL_tmpz00_6412;
if(
INTEGERP(BgL_tickz00_3103))
{ /* Llib/midi.scm 995 */
BgL_tmpz00_6412 = BgL_tickz00_3103
; }  else 
{ 
obj_t BgL_auxz00_6415;
BgL_auxz00_6415 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3103); 
FAILURE(BgL_auxz00_6415,BFALSE,BFALSE);} 
BgL_auxz00_6411 = 
(long)CINT(BgL_tmpz00_6412); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3102, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 995 */
BgL_auxz00_6403 = 
((BgL_midisinkz00_bglt)BgL_msz00_3102)
; }  else 
{ 
obj_t BgL_auxz00_6407;
BgL_auxz00_6407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3102); 
FAILURE(BgL_auxz00_6407,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3101, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 995 */
BgL_auxz00_6395 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3101)
; }  else 
{ 
obj_t BgL_auxz00_6399;
BgL_auxz00_6399 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37739)), BGl_string3062z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3101); 
FAILURE(BgL_auxz00_6399,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2cdelayzd2zz__multimediazd2midizd2(BgL_auxz00_6395, BgL_auxz00_6403, BgL_auxz00_6411, BgL_auxz00_6420, BgL_auxz00_6428, BgL_auxz00_6437, BgL_auxz00_6446);} } 
BGL_FUNCTION_END;
}



/* midiplayer-ignore */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ignorezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_75, BgL_midisinkz00_bglt BgL_msz00_76, long BgL_tickz00_77, obj_t BgL_objz00_78)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1003 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &midiplayer-ignore */
obj_t BGl_z62midiplayerzd2ignorezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3108, obj_t BgL_mpz00_3109, obj_t BgL_msz00_3110, obj_t BgL_tickz00_3111, obj_t BgL_objz00_3112)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1003 */
{ /* Llib/midi.scm 1003 */
BgL_midiplayerz00_bglt BgL_mpz00_4143;BgL_midisinkz00_bglt BgL_msz00_4144;long BgL_tickz00_4145;
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3109, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1003 */
BgL_mpz00_4143 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3109); }  else 
{ 
obj_t BgL_auxz00_6459;
BgL_auxz00_6459 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string3064z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3109); 
FAILURE(BgL_auxz00_6459,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3110, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1003 */
BgL_msz00_4144 = 
((BgL_midisinkz00_bglt)BgL_msz00_3110); }  else 
{ 
obj_t BgL_auxz00_6466;
BgL_auxz00_6466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string3064z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3110); 
FAILURE(BgL_auxz00_6466,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1003 */
obj_t BgL_tmpz00_6470;
if(
INTEGERP(BgL_tickz00_3111))
{ /* Llib/midi.scm 1003 */
BgL_tmpz00_6470 = BgL_tickz00_3111
; }  else 
{ 
obj_t BgL_auxz00_6473;
BgL_auxz00_6473 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)38117)), BGl_string3064z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3111); 
FAILURE(BgL_auxz00_6473,BFALSE,BFALSE);} 
BgL_tickz00_4145 = 
(long)CINT(BgL_tmpz00_6470); } 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* midiplayer-noteoff */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_88, BgL_midisinkz00_bglt BgL_msz00_89, long BgL_tickz00_90, long BgL_nnz00_91, long BgL_kkz00_92, long BgL_vvz00_93)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2058z00_2521;
BgL_fun2058z00_2521 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2056z00_2522;long BgL_arg2057z00_2523;
BgL_arg2056z00_2522 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
BgL_arg2057z00_2523 = 
(((long)128) | BgL_nnz00_91); 
PROCEDURE_ENTRY(BgL_fun2058z00_2521)(BgL_fun2058z00_2521, BgL_arg2056z00_2522, 
BINT(BgL_arg2057z00_2523), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2060z00_2524;
BgL_fun2060z00_2524 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2059z00_2525;
BgL_arg2059z00_2525 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2060z00_2524)(BgL_fun2060z00_2524, BgL_arg2059z00_2525, 
BINT(BgL_kkz00_92), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2062z00_2526;
BgL_fun2062z00_2526 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2061z00_2527;
BgL_arg2061z00_2527 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_89))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2062z00_2526)(BgL_fun2062z00_2526, BgL_arg2061z00_2527, 
BINT(BgL_vvz00_93), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-noteoff */
obj_t BGl_z62midiplayerzd2noteoffzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3113, obj_t BgL_mpz00_3114, obj_t BgL_msz00_3115, obj_t BgL_tickz00_3116, obj_t BgL_nnz00_3117, obj_t BgL_kkz00_3118, obj_t BgL_vvz00_3119)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1026 */
{ /* Llib/midi.scm 1028 */
long BgL_auxz00_6546;long BgL_auxz00_6537;long BgL_auxz00_6528;long BgL_auxz00_6519;BgL_midisinkz00_bglt BgL_auxz00_6511;BgL_midiplayerz00_bglt BgL_auxz00_6503;
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6547;
if(
INTEGERP(BgL_vvz00_3119))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6547 = BgL_vvz00_3119
; }  else 
{ 
obj_t BgL_auxz00_6550;
BgL_auxz00_6550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_vvz00_3119); 
FAILURE(BgL_auxz00_6550,BFALSE,BFALSE);} 
BgL_auxz00_6546 = 
(long)CINT(BgL_tmpz00_6547); } 
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6538;
if(
INTEGERP(BgL_kkz00_3118))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6538 = BgL_kkz00_3118
; }  else 
{ 
obj_t BgL_auxz00_6541;
BgL_auxz00_6541 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_kkz00_3118); 
FAILURE(BgL_auxz00_6541,BFALSE,BFALSE);} 
BgL_auxz00_6537 = 
(long)CINT(BgL_tmpz00_6538); } 
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6529;
if(
INTEGERP(BgL_nnz00_3117))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6529 = BgL_nnz00_3117
; }  else 
{ 
obj_t BgL_auxz00_6532;
BgL_auxz00_6532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3117); 
FAILURE(BgL_auxz00_6532,BFALSE,BFALSE);} 
BgL_auxz00_6528 = 
(long)CINT(BgL_tmpz00_6529); } 
{ /* Llib/midi.scm 1028 */
obj_t BgL_tmpz00_6520;
if(
INTEGERP(BgL_tickz00_3116))
{ /* Llib/midi.scm 1028 */
BgL_tmpz00_6520 = BgL_tickz00_3116
; }  else 
{ 
obj_t BgL_auxz00_6523;
BgL_auxz00_6523 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3116); 
FAILURE(BgL_auxz00_6523,BFALSE,BFALSE);} 
BgL_auxz00_6519 = 
(long)CINT(BgL_tmpz00_6520); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3115, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1028 */
BgL_auxz00_6511 = 
((BgL_midisinkz00_bglt)BgL_msz00_3115)
; }  else 
{ 
obj_t BgL_auxz00_6515;
BgL_auxz00_6515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3115); 
FAILURE(BgL_auxz00_6515,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3114, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1028 */
BgL_auxz00_6503 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3114)
; }  else 
{ 
obj_t BgL_auxz00_6507;
BgL_auxz00_6507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39392)), BGl_string3065z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3114); 
FAILURE(BgL_auxz00_6507,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2noteoffzd2zz__multimediazd2midizd2(BgL_auxz00_6503, BgL_auxz00_6511, BgL_auxz00_6519, BgL_auxz00_6528, BgL_auxz00_6537, BgL_auxz00_6546);} } 
BGL_FUNCTION_END;
}



/* midiplayer-noteon */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_94, BgL_midisinkz00_bglt BgL_msz00_95, long BgL_tickz00_96, long BgL_nnz00_97, long BgL_kkz00_98, long BgL_vvz00_99)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2058z00_2535;
BgL_fun2058z00_2535 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2056z00_2536;long BgL_arg2057z00_2537;
BgL_arg2056z00_2536 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
BgL_arg2057z00_2537 = 
(((long)144) | BgL_nnz00_97); 
PROCEDURE_ENTRY(BgL_fun2058z00_2535)(BgL_fun2058z00_2535, BgL_arg2056z00_2536, 
BINT(BgL_arg2057z00_2537), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2060z00_2538;
BgL_fun2060z00_2538 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2059z00_2539;
BgL_arg2059z00_2539 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2060z00_2538)(BgL_fun2060z00_2538, BgL_arg2059z00_2539, 
BINT(BgL_kkz00_98), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2062z00_2540;
BgL_fun2062z00_2540 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2061z00_2541;
BgL_arg2061z00_2541 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_95))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2062z00_2540)(BgL_fun2062z00_2540, BgL_arg2061z00_2541, 
BINT(BgL_vvz00_99), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-noteon */
obj_t BGl_z62midiplayerzd2noteonzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3120, obj_t BgL_mpz00_3121, obj_t BgL_msz00_3122, obj_t BgL_tickz00_3123, obj_t BgL_nnz00_3124, obj_t BgL_kkz00_3125, obj_t BgL_vvz00_3126)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1033 */
{ /* Llib/midi.scm 1035 */
long BgL_auxz00_6624;long BgL_auxz00_6615;long BgL_auxz00_6606;long BgL_auxz00_6597;BgL_midisinkz00_bglt BgL_auxz00_6589;BgL_midiplayerz00_bglt BgL_auxz00_6581;
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6625;
if(
INTEGERP(BgL_vvz00_3126))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6625 = BgL_vvz00_3126
; }  else 
{ 
obj_t BgL_auxz00_6628;
BgL_auxz00_6628 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_vvz00_3126); 
FAILURE(BgL_auxz00_6628,BFALSE,BFALSE);} 
BgL_auxz00_6624 = 
(long)CINT(BgL_tmpz00_6625); } 
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6616;
if(
INTEGERP(BgL_kkz00_3125))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6616 = BgL_kkz00_3125
; }  else 
{ 
obj_t BgL_auxz00_6619;
BgL_auxz00_6619 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_kkz00_3125); 
FAILURE(BgL_auxz00_6619,BFALSE,BFALSE);} 
BgL_auxz00_6615 = 
(long)CINT(BgL_tmpz00_6616); } 
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6607;
if(
INTEGERP(BgL_nnz00_3124))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6607 = BgL_nnz00_3124
; }  else 
{ 
obj_t BgL_auxz00_6610;
BgL_auxz00_6610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3124); 
FAILURE(BgL_auxz00_6610,BFALSE,BFALSE);} 
BgL_auxz00_6606 = 
(long)CINT(BgL_tmpz00_6607); } 
{ /* Llib/midi.scm 1035 */
obj_t BgL_tmpz00_6598;
if(
INTEGERP(BgL_tickz00_3123))
{ /* Llib/midi.scm 1035 */
BgL_tmpz00_6598 = BgL_tickz00_3123
; }  else 
{ 
obj_t BgL_auxz00_6601;
BgL_auxz00_6601 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3123); 
FAILURE(BgL_auxz00_6601,BFALSE,BFALSE);} 
BgL_auxz00_6597 = 
(long)CINT(BgL_tmpz00_6598); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3122, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1035 */
BgL_auxz00_6589 = 
((BgL_midisinkz00_bglt)BgL_msz00_3122)
; }  else 
{ 
obj_t BgL_auxz00_6593;
BgL_auxz00_6593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3122); 
FAILURE(BgL_auxz00_6593,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3121, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1035 */
BgL_auxz00_6581 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3121)
; }  else 
{ 
obj_t BgL_auxz00_6585;
BgL_auxz00_6585 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)39752)), BGl_string3066z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3121); 
FAILURE(BgL_auxz00_6585,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2noteonzd2zz__multimediazd2midizd2(BgL_auxz00_6581, BgL_auxz00_6589, BgL_auxz00_6597, BgL_auxz00_6606, BgL_auxz00_6615, BgL_auxz00_6624);} } 
BGL_FUNCTION_END;
}



/* midiplayer-aftertouch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_100, BgL_midisinkz00_bglt BgL_msz00_101, long BgL_tickz00_102, long BgL_nnz00_103, long BgL_kkz00_104, long BgL_vvz00_105)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2058z00_2549;
BgL_fun2058z00_2549 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2056z00_2550;long BgL_arg2057z00_2551;
BgL_arg2056z00_2550 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
BgL_arg2057z00_2551 = 
(((long)160) | BgL_nnz00_103); 
PROCEDURE_ENTRY(BgL_fun2058z00_2549)(BgL_fun2058z00_2549, BgL_arg2056z00_2550, 
BINT(BgL_arg2057z00_2551), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2060z00_2552;
BgL_fun2060z00_2552 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2059z00_2553;
BgL_arg2059z00_2553 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2060z00_2552)(BgL_fun2060z00_2552, BgL_arg2059z00_2553, 
BINT(BgL_kkz00_104), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2062z00_2554;
BgL_fun2062z00_2554 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2061z00_2555;
BgL_arg2061z00_2555 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_101))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2062z00_2554)(BgL_fun2062z00_2554, BgL_arg2061z00_2555, 
BINT(BgL_vvz00_105), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-aftertouch */
obj_t BGl_z62midiplayerzd2aftertouchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3127, obj_t BgL_mpz00_3128, obj_t BgL_msz00_3129, obj_t BgL_tickz00_3130, obj_t BgL_nnz00_3131, obj_t BgL_kkz00_3132, obj_t BgL_vvz00_3133)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1040 */
{ /* Llib/midi.scm 1042 */
long BgL_auxz00_6702;long BgL_auxz00_6693;long BgL_auxz00_6684;long BgL_auxz00_6675;BgL_midisinkz00_bglt BgL_auxz00_6667;BgL_midiplayerz00_bglt BgL_auxz00_6659;
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6703;
if(
INTEGERP(BgL_vvz00_3133))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6703 = BgL_vvz00_3133
; }  else 
{ 
obj_t BgL_auxz00_6706;
BgL_auxz00_6706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string3067z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_vvz00_3133); 
FAILURE(BgL_auxz00_6706,BFALSE,BFALSE);} 
BgL_auxz00_6702 = 
(long)CINT(BgL_tmpz00_6703); } 
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6694;
if(
INTEGERP(BgL_kkz00_3132))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6694 = BgL_kkz00_3132
; }  else 
{ 
obj_t BgL_auxz00_6697;
BgL_auxz00_6697 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string3067z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_kkz00_3132); 
FAILURE(BgL_auxz00_6697,BFALSE,BFALSE);} 
BgL_auxz00_6693 = 
(long)CINT(BgL_tmpz00_6694); } 
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6685;
if(
INTEGERP(BgL_nnz00_3131))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6685 = BgL_nnz00_3131
; }  else 
{ 
obj_t BgL_auxz00_6688;
BgL_auxz00_6688 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string3067z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3131); 
FAILURE(BgL_auxz00_6688,BFALSE,BFALSE);} 
BgL_auxz00_6684 = 
(long)CINT(BgL_tmpz00_6685); } 
{ /* Llib/midi.scm 1042 */
obj_t BgL_tmpz00_6676;
if(
INTEGERP(BgL_tickz00_3130))
{ /* Llib/midi.scm 1042 */
BgL_tmpz00_6676 = BgL_tickz00_3130
; }  else 
{ 
obj_t BgL_auxz00_6679;
BgL_auxz00_6679 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string3067z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3130); 
FAILURE(BgL_auxz00_6679,BFALSE,BFALSE);} 
BgL_auxz00_6675 = 
(long)CINT(BgL_tmpz00_6676); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3129, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1042 */
BgL_auxz00_6667 = 
((BgL_midisinkz00_bglt)BgL_msz00_3129)
; }  else 
{ 
obj_t BgL_auxz00_6671;
BgL_auxz00_6671 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string3067z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3129); 
FAILURE(BgL_auxz00_6671,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3128, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1042 */
BgL_auxz00_6659 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3128)
; }  else 
{ 
obj_t BgL_auxz00_6663;
BgL_auxz00_6663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40116)), BGl_string3067z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3128); 
FAILURE(BgL_auxz00_6663,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2aftertouchzd2zz__multimediazd2midizd2(BgL_auxz00_6659, BgL_auxz00_6667, BgL_auxz00_6675, BgL_auxz00_6684, BgL_auxz00_6693, BgL_auxz00_6702);} } 
BGL_FUNCTION_END;
}



/* midiplayer-ctrlchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_106, BgL_midisinkz00_bglt BgL_msz00_107, long BgL_tickz00_108, long BgL_nnz00_109, long BgL_kkz00_110, long BgL_vvz00_111)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2058z00_2563;
BgL_fun2058z00_2563 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2056z00_2564;long BgL_arg2057z00_2565;
BgL_arg2056z00_2564 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
BgL_arg2057z00_2565 = 
(((long)176) | BgL_nnz00_109); 
PROCEDURE_ENTRY(BgL_fun2058z00_2563)(BgL_fun2058z00_2563, BgL_arg2056z00_2564, 
BINT(BgL_arg2057z00_2565), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2060z00_2566;
BgL_fun2060z00_2566 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2059z00_2567;
BgL_arg2059z00_2567 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2060z00_2566)(BgL_fun2060z00_2566, BgL_arg2059z00_2567, 
BINT(BgL_kkz00_110), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2062z00_2568;
BgL_fun2062z00_2568 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2061z00_2569;
BgL_arg2061z00_2569 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_107))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2062z00_2568)(BgL_fun2062z00_2568, BgL_arg2061z00_2569, 
BINT(BgL_vvz00_111), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-ctrlchange */
obj_t BGl_z62midiplayerzd2ctrlchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3134, obj_t BgL_mpz00_3135, obj_t BgL_msz00_3136, obj_t BgL_tickz00_3137, obj_t BgL_nnz00_3138, obj_t BgL_kkz00_3139, obj_t BgL_vvz00_3140)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1047 */
{ /* Llib/midi.scm 1049 */
long BgL_auxz00_6780;long BgL_auxz00_6771;long BgL_auxz00_6762;long BgL_auxz00_6753;BgL_midisinkz00_bglt BgL_auxz00_6745;BgL_midiplayerz00_bglt BgL_auxz00_6737;
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6781;
if(
INTEGERP(BgL_vvz00_3140))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6781 = BgL_vvz00_3140
; }  else 
{ 
obj_t BgL_auxz00_6784;
BgL_auxz00_6784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_vvz00_3140); 
FAILURE(BgL_auxz00_6784,BFALSE,BFALSE);} 
BgL_auxz00_6780 = 
(long)CINT(BgL_tmpz00_6781); } 
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6772;
if(
INTEGERP(BgL_kkz00_3139))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6772 = BgL_kkz00_3139
; }  else 
{ 
obj_t BgL_auxz00_6775;
BgL_auxz00_6775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_kkz00_3139); 
FAILURE(BgL_auxz00_6775,BFALSE,BFALSE);} 
BgL_auxz00_6771 = 
(long)CINT(BgL_tmpz00_6772); } 
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6763;
if(
INTEGERP(BgL_nnz00_3138))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6763 = BgL_nnz00_3138
; }  else 
{ 
obj_t BgL_auxz00_6766;
BgL_auxz00_6766 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3138); 
FAILURE(BgL_auxz00_6766,BFALSE,BFALSE);} 
BgL_auxz00_6762 = 
(long)CINT(BgL_tmpz00_6763); } 
{ /* Llib/midi.scm 1049 */
obj_t BgL_tmpz00_6754;
if(
INTEGERP(BgL_tickz00_3137))
{ /* Llib/midi.scm 1049 */
BgL_tmpz00_6754 = BgL_tickz00_3137
; }  else 
{ 
obj_t BgL_auxz00_6757;
BgL_auxz00_6757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3137); 
FAILURE(BgL_auxz00_6757,BFALSE,BFALSE);} 
BgL_auxz00_6753 = 
(long)CINT(BgL_tmpz00_6754); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3136, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1049 */
BgL_auxz00_6745 = 
((BgL_midisinkz00_bglt)BgL_msz00_3136)
; }  else 
{ 
obj_t BgL_auxz00_6749;
BgL_auxz00_6749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3136); 
FAILURE(BgL_auxz00_6749,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3135, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1049 */
BgL_auxz00_6737 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3135)
; }  else 
{ 
obj_t BgL_auxz00_6741;
BgL_auxz00_6741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40480)), BGl_string3068z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3135); 
FAILURE(BgL_auxz00_6741,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2ctrlchangezd2zz__multimediazd2midizd2(BgL_auxz00_6737, BgL_auxz00_6745, BgL_auxz00_6753, BgL_auxz00_6762, BgL_auxz00_6771, BgL_auxz00_6780);} } 
BGL_FUNCTION_END;
}



/* midiplayer-prgmchange */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_112, BgL_midisinkz00_bglt BgL_msz00_113, long BgL_tickz00_114, long BgL_nnz00_115, long BgL_ppz00_116)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1011 */
obj_t BgL_fun2053z00_2576;
BgL_fun2053z00_2576 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
obj_t BgL_arg2051z00_2577;long BgL_arg2052z00_2578;
BgL_arg2051z00_2577 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
BgL_arg2052z00_2578 = 
(((long)192) | BgL_nnz00_115); 
PROCEDURE_ENTRY(BgL_fun2053z00_2576)(BgL_fun2053z00_2576, BgL_arg2051z00_2577, 
BINT(BgL_arg2052z00_2578), BEOA); } } 
{ /* Llib/midi.scm 1012 */
obj_t BgL_fun2055z00_2579;
BgL_fun2055z00_2579 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
obj_t BgL_arg2054z00_2580;
BgL_arg2054z00_2580 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_113))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2055z00_2579)(BgL_fun2055z00_2579, BgL_arg2054z00_2580, 
BINT(BgL_ppz00_116), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-prgmchange */
obj_t BGl_z62midiplayerzd2prgmchangezb0zz__multimediazd2midizd2(obj_t BgL_envz00_3141, obj_t BgL_mpz00_3142, obj_t BgL_msz00_3143, obj_t BgL_tickz00_3144, obj_t BgL_nnz00_3145, obj_t BgL_ppz00_3146)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1054 */
{ /* Llib/midi.scm 1056 */
long BgL_auxz00_6841;long BgL_auxz00_6832;long BgL_auxz00_6823;BgL_midisinkz00_bglt BgL_auxz00_6815;BgL_midiplayerz00_bglt BgL_auxz00_6807;
{ /* Llib/midi.scm 1056 */
obj_t BgL_tmpz00_6842;
if(
INTEGERP(BgL_ppz00_3146))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_6842 = BgL_ppz00_3146
; }  else 
{ 
obj_t BgL_auxz00_6845;
BgL_auxz00_6845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string3069z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_ppz00_3146); 
FAILURE(BgL_auxz00_6845,BFALSE,BFALSE);} 
BgL_auxz00_6841 = 
(long)CINT(BgL_tmpz00_6842); } 
{ /* Llib/midi.scm 1056 */
obj_t BgL_tmpz00_6833;
if(
INTEGERP(BgL_nnz00_3145))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_6833 = BgL_nnz00_3145
; }  else 
{ 
obj_t BgL_auxz00_6836;
BgL_auxz00_6836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string3069z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3145); 
FAILURE(BgL_auxz00_6836,BFALSE,BFALSE);} 
BgL_auxz00_6832 = 
(long)CINT(BgL_tmpz00_6833); } 
{ /* Llib/midi.scm 1056 */
obj_t BgL_tmpz00_6824;
if(
INTEGERP(BgL_tickz00_3144))
{ /* Llib/midi.scm 1056 */
BgL_tmpz00_6824 = BgL_tickz00_3144
; }  else 
{ 
obj_t BgL_auxz00_6827;
BgL_auxz00_6827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string3069z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3144); 
FAILURE(BgL_auxz00_6827,BFALSE,BFALSE);} 
BgL_auxz00_6823 = 
(long)CINT(BgL_tmpz00_6824); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3143, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1056 */
BgL_auxz00_6815 = 
((BgL_midisinkz00_bglt)BgL_msz00_3143)
; }  else 
{ 
obj_t BgL_auxz00_6819;
BgL_auxz00_6819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string3069z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3143); 
FAILURE(BgL_auxz00_6819,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3142, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1056 */
BgL_auxz00_6807 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3142)
; }  else 
{ 
obj_t BgL_auxz00_6811;
BgL_auxz00_6811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)40835)), BGl_string3069z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3142); 
FAILURE(BgL_auxz00_6811,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2prgmchangezd2zz__multimediazd2midizd2(BgL_auxz00_6807, BgL_auxz00_6815, BgL_auxz00_6823, BgL_auxz00_6832, BgL_auxz00_6841);} } 
BGL_FUNCTION_END;
}



/* midiplayer-after-touch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_117, BgL_midisinkz00_bglt BgL_msz00_118, long BgL_tickz00_119, long BgL_nnz00_120, long BgL_ppz00_121)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1011 */
obj_t BgL_fun2053z00_2587;
BgL_fun2053z00_2587 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1011 */
obj_t BgL_arg2051z00_2588;long BgL_arg2052z00_2589;
BgL_arg2051z00_2588 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
BgL_arg2052z00_2589 = 
(((long)208) | BgL_nnz00_120); 
PROCEDURE_ENTRY(BgL_fun2053z00_2587)(BgL_fun2053z00_2587, BgL_arg2051z00_2588, 
BINT(BgL_arg2052z00_2589), BEOA); } } 
{ /* Llib/midi.scm 1012 */
obj_t BgL_fun2055z00_2590;
BgL_fun2055z00_2590 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1012 */
obj_t BgL_arg2054z00_2591;
BgL_arg2054z00_2591 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_118))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2055z00_2590)(BgL_fun2055z00_2590, BgL_arg2054z00_2591, 
BINT(BgL_ppz00_121), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-after-touch */
obj_t BGl_z62midiplayerzd2afterzd2touchz62zz__multimediazd2midizd2(obj_t BgL_envz00_3147, obj_t BgL_mpz00_3148, obj_t BgL_msz00_3149, obj_t BgL_tickz00_3150, obj_t BgL_nnz00_3151, obj_t BgL_ppz00_3152)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1061 */
{ /* Llib/midi.scm 1063 */
long BgL_auxz00_6902;long BgL_auxz00_6893;long BgL_auxz00_6884;BgL_midisinkz00_bglt BgL_auxz00_6876;BgL_midiplayerz00_bglt BgL_auxz00_6868;
{ /* Llib/midi.scm 1063 */
obj_t BgL_tmpz00_6903;
if(
INTEGERP(BgL_ppz00_3152))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_6903 = BgL_ppz00_3152
; }  else 
{ 
obj_t BgL_auxz00_6906;
BgL_auxz00_6906 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string3070z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_ppz00_3152); 
FAILURE(BgL_auxz00_6906,BFALSE,BFALSE);} 
BgL_auxz00_6902 = 
(long)CINT(BgL_tmpz00_6903); } 
{ /* Llib/midi.scm 1063 */
obj_t BgL_tmpz00_6894;
if(
INTEGERP(BgL_nnz00_3151))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_6894 = BgL_nnz00_3151
; }  else 
{ 
obj_t BgL_auxz00_6897;
BgL_auxz00_6897 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string3070z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3151); 
FAILURE(BgL_auxz00_6897,BFALSE,BFALSE);} 
BgL_auxz00_6893 = 
(long)CINT(BgL_tmpz00_6894); } 
{ /* Llib/midi.scm 1063 */
obj_t BgL_tmpz00_6885;
if(
INTEGERP(BgL_tickz00_3150))
{ /* Llib/midi.scm 1063 */
BgL_tmpz00_6885 = BgL_tickz00_3150
; }  else 
{ 
obj_t BgL_auxz00_6888;
BgL_auxz00_6888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string3070z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3150); 
FAILURE(BgL_auxz00_6888,BFALSE,BFALSE);} 
BgL_auxz00_6884 = 
(long)CINT(BgL_tmpz00_6885); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3149, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1063 */
BgL_auxz00_6876 = 
((BgL_midisinkz00_bglt)BgL_msz00_3149)
; }  else 
{ 
obj_t BgL_auxz00_6880;
BgL_auxz00_6880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string3070z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3149); 
FAILURE(BgL_auxz00_6880,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3148, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1063 */
BgL_auxz00_6868 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3148)
; }  else 
{ 
obj_t BgL_auxz00_6872;
BgL_auxz00_6872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41188)), BGl_string3070z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3148); 
FAILURE(BgL_auxz00_6872,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2afterzd2touchz00zz__multimediazd2midizd2(BgL_auxz00_6868, BgL_auxz00_6876, BgL_auxz00_6884, BgL_auxz00_6893, BgL_auxz00_6902);} } 
BGL_FUNCTION_END;
}



/* midiplayer-pitch */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_122, BgL_midisinkz00_bglt BgL_msz00_123, long BgL_tickz00_124, long BgL_nnz00_125, long BgL_ccz00_126, long BgL_vvz00_127)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1019 */
obj_t BgL_fun2058z00_2599;
BgL_fun2058z00_2599 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1019 */
obj_t BgL_arg2056z00_2600;long BgL_arg2057z00_2601;
BgL_arg2056z00_2600 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
BgL_arg2057z00_2601 = 
(((long)224) | BgL_nnz00_125); 
PROCEDURE_ENTRY(BgL_fun2058z00_2599)(BgL_fun2058z00_2599, BgL_arg2056z00_2600, 
BINT(BgL_arg2057z00_2601), BEOA); } } 
{ /* Llib/midi.scm 1020 */
obj_t BgL_fun2060z00_2602;
BgL_fun2060z00_2602 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1020 */
obj_t BgL_arg2059z00_2603;
BgL_arg2059z00_2603 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
PROCEDURE_ENTRY(BgL_fun2060z00_2602)(BgL_fun2060z00_2602, BgL_arg2059z00_2603, 
BINT(BgL_ccz00_126), BEOA); } } 
{ /* Llib/midi.scm 1021 */
obj_t BgL_fun2062z00_2604;
BgL_fun2062z00_2604 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_writezd2bytezd2); 
{ /* Llib/midi.scm 1021 */
obj_t BgL_arg2061z00_2605;
BgL_arg2061z00_2605 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_123))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2062z00_2604)(BgL_fun2062z00_2604, BgL_arg2061z00_2605, 
BINT(BgL_vvz00_127), BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-pitch */
obj_t BGl_z62midiplayerzd2pitchzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3153, obj_t BgL_mpz00_3154, obj_t BgL_msz00_3155, obj_t BgL_tickz00_3156, obj_t BgL_nnz00_3157, obj_t BgL_ccz00_3158, obj_t BgL_vvz00_3159)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1068 */
{ /* Llib/midi.scm 1070 */
long BgL_auxz00_6980;long BgL_auxz00_6971;long BgL_auxz00_6962;long BgL_auxz00_6953;BgL_midisinkz00_bglt BgL_auxz00_6945;BgL_midiplayerz00_bglt BgL_auxz00_6937;
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6981;
if(
INTEGERP(BgL_vvz00_3159))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6981 = BgL_vvz00_3159
; }  else 
{ 
obj_t BgL_auxz00_6984;
BgL_auxz00_6984 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string3071z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_vvz00_3159); 
FAILURE(BgL_auxz00_6984,BFALSE,BFALSE);} 
BgL_auxz00_6980 = 
(long)CINT(BgL_tmpz00_6981); } 
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6972;
if(
INTEGERP(BgL_ccz00_3158))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6972 = BgL_ccz00_3158
; }  else 
{ 
obj_t BgL_auxz00_6975;
BgL_auxz00_6975 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string3071z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_ccz00_3158); 
FAILURE(BgL_auxz00_6975,BFALSE,BFALSE);} 
BgL_auxz00_6971 = 
(long)CINT(BgL_tmpz00_6972); } 
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6963;
if(
INTEGERP(BgL_nnz00_3157))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6963 = BgL_nnz00_3157
; }  else 
{ 
obj_t BgL_auxz00_6966;
BgL_auxz00_6966 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string3071z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_nnz00_3157); 
FAILURE(BgL_auxz00_6966,BFALSE,BFALSE);} 
BgL_auxz00_6962 = 
(long)CINT(BgL_tmpz00_6963); } 
{ /* Llib/midi.scm 1070 */
obj_t BgL_tmpz00_6954;
if(
INTEGERP(BgL_tickz00_3156))
{ /* Llib/midi.scm 1070 */
BgL_tmpz00_6954 = BgL_tickz00_3156
; }  else 
{ 
obj_t BgL_auxz00_6957;
BgL_auxz00_6957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string3071z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3156); 
FAILURE(BgL_auxz00_6957,BFALSE,BFALSE);} 
BgL_auxz00_6953 = 
(long)CINT(BgL_tmpz00_6954); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3155, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1070 */
BgL_auxz00_6945 = 
((BgL_midisinkz00_bglt)BgL_msz00_3155)
; }  else 
{ 
obj_t BgL_auxz00_6949;
BgL_auxz00_6949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string3071z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3155); 
FAILURE(BgL_auxz00_6949,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3154, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1070 */
BgL_auxz00_6937 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3154)
; }  else 
{ 
obj_t BgL_auxz00_6941;
BgL_auxz00_6941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41544)), BGl_string3071z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3154); 
FAILURE(BgL_auxz00_6941,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2pitchzd2zz__multimediazd2midizd2(BgL_auxz00_6937, BgL_auxz00_6945, BgL_auxz00_6953, BgL_auxz00_6962, BgL_auxz00_6971, BgL_auxz00_6980);} } 
BGL_FUNCTION_END;
}



/* midiplayer-sysex */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mpz00_128, BgL_midisinkz00_bglt BgL_msz00_129, long BgL_tickz00_130, obj_t BgL_dataz00_131)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1077 */
obj_t BgL_fun2064z00_2609;
BgL_fun2064z00_2609 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_writezd2stringzd2); 
{ /* Llib/midi.scm 1077 */
obj_t BgL_arg2063z00_2610;
BgL_arg2063z00_2610 = 
(((BgL_midisinkz00_bglt)COBJECT(BgL_msz00_129))->BgL_streamz00); 
return 
PROCEDURE_ENTRY(BgL_fun2064z00_2609)(BgL_fun2064z00_2609, BgL_arg2063z00_2610, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &midiplayer-sysex */
obj_t BGl_z62midiplayerzd2sysexzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3160, obj_t BgL_mpz00_3161, obj_t BgL_msz00_3162, obj_t BgL_tickz00_3163, obj_t BgL_dataz00_3164)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1075 */
{ /* Llib/midi.scm 1076 */
obj_t BgL_auxz00_7021;long BgL_auxz00_7012;BgL_midisinkz00_bglt BgL_auxz00_7004;BgL_midiplayerz00_bglt BgL_auxz00_6996;
if(
STRINGP(BgL_dataz00_3164))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_7021 = BgL_dataz00_3164
; }  else 
{ 
obj_t BgL_auxz00_7024;
BgL_auxz00_7024 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string3072z00zz__multimediazd2midizd2, BGl_string3032z00zz__multimediazd2midizd2, BgL_dataz00_3164); 
FAILURE(BgL_auxz00_7024,BFALSE,BFALSE);} 
{ /* Llib/midi.scm 1076 */
obj_t BgL_tmpz00_7013;
if(
INTEGERP(BgL_tickz00_3163))
{ /* Llib/midi.scm 1076 */
BgL_tmpz00_7013 = BgL_tickz00_3163
; }  else 
{ 
obj_t BgL_auxz00_7016;
BgL_auxz00_7016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string3072z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_tickz00_3163); 
FAILURE(BgL_auxz00_7016,BFALSE,BFALSE);} 
BgL_auxz00_7012 = 
(long)CINT(BgL_tmpz00_7013); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_msz00_3162, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_7004 = 
((BgL_midisinkz00_bglt)BgL_msz00_3162)
; }  else 
{ 
obj_t BgL_auxz00_7008;
BgL_auxz00_7008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string3072z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msz00_3162); 
FAILURE(BgL_auxz00_7008,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mpz00_3161, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 1076 */
BgL_auxz00_6996 = 
((BgL_midiplayerz00_bglt)BgL_mpz00_3161)
; }  else 
{ 
obj_t BgL_auxz00_7000;
BgL_auxz00_7000 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)41881)), BGl_string3072z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mpz00_3161); 
FAILURE(BgL_auxz00_7000,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2sysexzd2zz__multimediazd2midizd2(BgL_auxz00_6996, BgL_auxz00_7004, BgL_auxz00_7012, BgL_auxz00_7021);} } 
BGL_FUNCTION_END;
}



/* midi-note-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2notezd2namez00zz__multimediazd2midizd2(long BgL_kkz00_132)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
long BgL_notez00_885;long BgL_octavez00_886;
{ /* Llib/midi.scm 1083 */
long BgL_arg2068z00_890;
{ /* Llib/midi.scm 1083 */
obj_t BgL_vectorz00_2611;
BgL_vectorz00_2611 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2068z00_890 = 
VECTOR_LENGTH(BgL_vectorz00_2611); } 
{ /* Llib/midi.scm 1083 */
long BgL_res2780z00_2614;
BgL_res2780z00_2614 = 
(BgL_kkz00_132%BgL_arg2068z00_890); 
BgL_notez00_885 = BgL_res2780z00_2614; } } 
{ /* Llib/midi.scm 1084 */
long BgL_arg2069z00_891;
{ /* Llib/midi.scm 1084 */
obj_t BgL_vectorz00_2615;
BgL_vectorz00_2615 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2069z00_891 = 
VECTOR_LENGTH(BgL_vectorz00_2615); } 
BgL_octavez00_886 = 
(BgL_kkz00_132/BgL_arg2069z00_891); } 
{ /* Llib/midi.scm 1085 */
obj_t BgL_arg2065z00_887;
{ /* Llib/midi.scm 1085 */
obj_t BgL_vectorz00_2619;
BgL_vectorz00_2619 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2065z00_887 = 
VECTOR_REF(BgL_vectorz00_2619,BgL_notez00_885); } 
{ /* Llib/midi.scm 1085 */
obj_t BgL_list2066z00_888;
{ /* Llib/midi.scm 1085 */
obj_t BgL_arg2067z00_889;
BgL_arg2067z00_889 = 
MAKE_YOUNG_PAIR(
BINT(BgL_octavez00_886), BNIL); 
BgL_list2066z00_888 = 
MAKE_YOUNG_PAIR(BgL_arg2065z00_887, BgL_arg2067z00_889); } 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3073z00zz__multimediazd2midizd2, BgL_list2066z00_888);} } } } 
BGL_FUNCTION_END;
}



/* &midi-note-name */
obj_t BGl_z62midizd2notezd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_3165, obj_t BgL_kkz00_3166)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1082 */
{ /* Llib/midi.scm 1083 */
long BgL_auxz00_7041;
{ /* Llib/midi.scm 1083 */
obj_t BgL_tmpz00_7042;
if(
INTEGERP(BgL_kkz00_3166))
{ /* Llib/midi.scm 1083 */
BgL_tmpz00_7042 = BgL_kkz00_3166
; }  else 
{ 
obj_t BgL_auxz00_7045;
BgL_auxz00_7045 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)42219)), BGl_string3074z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_kkz00_3166); 
FAILURE(BgL_auxz00_7045,BFALSE,BFALSE);} 
BgL_auxz00_7041 = 
(long)CINT(BgL_tmpz00_7042); } 
return 
BGl_midizd2notezd2namez00zz__multimediazd2midizd2(BgL_auxz00_7041);} } 
BGL_FUNCTION_END;
}



/* midi-controller-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(long BgL_ccz00_133)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
bool_t BgL_testz00_7051;
{ /* Llib/midi.scm 1091 */
long BgL_arg2072z00_2622;
{ /* Llib/midi.scm 1091 */
obj_t BgL_vectorz00_2623;
BgL_vectorz00_2623 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2072z00_2622 = 
VECTOR_LENGTH(BgL_vectorz00_2623); } 
BgL_testz00_7051 = 
(BgL_ccz00_133<BgL_arg2072z00_2622); } 
if(BgL_testz00_7051)
{ /* Llib/midi.scm 1092 */
obj_t BgL_vectorz00_2627;
BgL_vectorz00_2627 = 
CNST_TABLE_REF(((long)1)); 
return 
VECTOR_REF(BgL_vectorz00_2627,BgL_ccz00_133);}  else 
{ /* Llib/midi.scm 1091 */
return BGl_string3075z00zz__multimediazd2midizd2;} } } 
BGL_FUNCTION_END;
}



/* &midi-controller-name */
obj_t BGl_z62midizd2controllerzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_3167, obj_t BgL_ccz00_3168)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1090 */
{ /* Llib/midi.scm 1091 */
long BgL_auxz00_7057;
{ /* Llib/midi.scm 1091 */
obj_t BgL_tmpz00_7058;
if(
INTEGERP(BgL_ccz00_3168))
{ /* Llib/midi.scm 1091 */
BgL_tmpz00_7058 = BgL_ccz00_3168
; }  else 
{ 
obj_t BgL_auxz00_7061;
BgL_auxz00_7061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)42667)), BGl_string3076z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_ccz00_3168); 
FAILURE(BgL_auxz00_7061,BFALSE,BFALSE);} 
BgL_auxz00_7057 = 
(long)CINT(BgL_tmpz00_7058); } 
return 
BGl_midizd2controllerzd2namez00zz__multimediazd2midizd2(BgL_auxz00_7057);} } 
BGL_FUNCTION_END;
}



/* midi-program-name */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2namez00zz__multimediazd2midizd2(long BgL_ppz00_134)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
bool_t BgL_testz00_7067;
{ /* Llib/midi.scm 1099 */
long BgL_arg2075z00_2630;
{ /* Llib/midi.scm 1099 */
obj_t BgL_vectorz00_2631;
BgL_vectorz00_2631 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2075z00_2630 = 
VECTOR_LENGTH(BgL_vectorz00_2631); } 
BgL_testz00_7067 = 
(BgL_ppz00_134<BgL_arg2075z00_2630); } 
if(BgL_testz00_7067)
{ /* Llib/midi.scm 1100 */
obj_t BgL_vectorz00_2635;
BgL_vectorz00_2635 = 
CNST_TABLE_REF(((long)2)); 
return 
VECTOR_REF(BgL_vectorz00_2635,BgL_ppz00_134);}  else 
{ /* Llib/midi.scm 1099 */
return BGl_string3077z00zz__multimediazd2midizd2;} } } 
BGL_FUNCTION_END;
}



/* &midi-program-name */
obj_t BGl_z62midizd2programzd2namez62zz__multimediazd2midizd2(obj_t BgL_envz00_3169, obj_t BgL_ppz00_3170)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1098 */
{ /* Llib/midi.scm 1099 */
long BgL_auxz00_7073;
{ /* Llib/midi.scm 1099 */
obj_t BgL_tmpz00_7074;
if(
INTEGERP(BgL_ppz00_3170))
{ /* Llib/midi.scm 1099 */
BgL_tmpz00_7074 = BgL_ppz00_3170
; }  else 
{ 
obj_t BgL_auxz00_7077;
BgL_auxz00_7077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)43056)), BGl_string3078z00zz__multimediazd2midizd2, BGl_string3035z00zz__multimediazd2midizd2, BgL_ppz00_3170); 
FAILURE(BgL_auxz00_7077,BFALSE,BFALSE);} 
BgL_auxz00_7073 = 
(long)CINT(BgL_tmpz00_7074); } 
return 
BGl_midizd2programzd2namez00zz__multimediazd2midizd2(BgL_auxz00_7073);} } 
BGL_FUNCTION_END;
}



/* midi-program-index */
BGL_EXPORTED_DEF obj_t BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(obj_t BgL_prgmz00_135)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
long BgL_g1174z00_898;
{ /* Llib/midi.scm 1107 */
long BgL_arg2082z00_908;
{ /* Llib/midi.scm 1107 */
obj_t BgL_vectorz00_2637;
BgL_vectorz00_2637 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2082z00_908 = 
VECTOR_LENGTH(BgL_vectorz00_2637); } 
BgL_g1174z00_898 = 
(BgL_arg2082z00_908-((long)1)); } 
{ 
long BgL_iz00_900;
BgL_iz00_900 = BgL_g1174z00_898; 
BgL_zc3anonymousza32076ze3z83_901:
if(
(BgL_iz00_900>=((long)0)))
{ /* Llib/midi.scm 1109 */
bool_t BgL_testz00_7088;
{ /* Llib/midi.scm 1109 */
obj_t BgL_arg2081z00_906;
{ /* Llib/midi.scm 1109 */
obj_t BgL_vectorz00_2642;
BgL_vectorz00_2642 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2081z00_906 = 
VECTOR_REF(BgL_vectorz00_2642,BgL_iz00_900); } 
BgL_testz00_7088 = 
bigloo_strcicmp(BgL_arg2081z00_906, BgL_prgmz00_135); } 
if(BgL_testz00_7088)
{ /* Llib/midi.scm 1109 */
return 
BINT(BgL_iz00_900);}  else 
{ 
long BgL_iz00_7093;
BgL_iz00_7093 = 
(BgL_iz00_900-((long)1)); 
BgL_iz00_900 = BgL_iz00_7093; 
goto BgL_zc3anonymousza32076ze3z83_901;} }  else 
{ /* Llib/midi.scm 1108 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* &midi-program-index */
obj_t BGl_z62midizd2programzd2indexz62zz__multimediazd2midizd2(obj_t BgL_envz00_3171, obj_t BgL_prgmz00_3172)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 1106 */
{ /* Llib/midi.scm 1107 */
obj_t BgL_auxz00_7095;
if(
STRINGP(BgL_prgmz00_3172))
{ /* Llib/midi.scm 1107 */
BgL_auxz00_7095 = BgL_prgmz00_3172
; }  else 
{ 
obj_t BgL_auxz00_7098;
BgL_auxz00_7098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)43433)), BGl_string3079z00zz__multimediazd2midizd2, BGl_string3032z00zz__multimediazd2midizd2, BgL_prgmz00_3172); 
FAILURE(BgL_auxz00_7098,BFALSE,BFALSE);} 
return 
BGl_midizd2programzd2indexz00zz__multimediazd2midizd2(BgL_auxz00_7095);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2101z00_933;obj_t BgL_arg2102z00_934;
{ /* Llib/midi.scm 17 */
obj_t BgL_v1219z00_949;
BgL_v1219z00_949 = 
create_vector(((long)4)); 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2109z00_950;
BgL_arg2109z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc3081z00zz__multimediazd2midizd2, BGl_proc3080z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1219z00_949,((long)0),BgL_arg2109z00_950); } 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2114z00_960;
BgL_arg2114z00_960 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc3084z00zz__multimediazd2midizd2, BGl_proc3083z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3082z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1219z00_949,((long)1),BgL_arg2114z00_960); } 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2121z00_973;
BgL_arg2121z00_973 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc3087z00zz__multimediazd2midizd2, BGl_proc3086z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3085z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1219z00_949,((long)2),BgL_arg2121z00_973); } 
{ /* Llib/midi.scm 17 */
obj_t BgL_arg2128z00_986;
BgL_arg2128z00_986 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc3090z00zz__multimediazd2midizd2, BGl_proc3089z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3088z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1219z00_949,((long)3),BgL_arg2128z00_986); } 
BgL_arg2101z00_933 = BgL_v1219z00_949; } 
{ /* Llib/midi.scm 17 */
obj_t BgL_v1220z00_999;
BgL_v1220z00_999 = 
create_vector(((long)0)); 
BgL_arg2102z00_934 = BgL_v1220z00_999; } 
BGl_midiscorez00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)5450), BGl_proc3093z00zz__multimediazd2midizd2, BGl_proc3092z00zz__multimediazd2midizd2, BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3091z00zz__multimediazd2midizd2, BFALSE, BgL_arg2101z00_933, BgL_arg2102z00_934); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2138z00_1006;obj_t BgL_arg2139z00_1007;
{ /* Llib/midi.scm 24 */
obj_t BgL_v1221z00_1032;
BgL_v1221z00_1032 = 
create_vector(((long)14)); 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2146z00_1033;
BgL_arg2146z00_1033 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc3096z00zz__multimediazd2midizd2, BGl_proc3095z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3094z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1221z00_1032,((long)0),BgL_arg2146z00_1033); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2153z00_1046;
BgL_arg2153z00_1046 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc3098z00zz__multimediazd2midizd2, BGl_proc3097z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_midireaderz00zz__multimediazd2midizd2); 
VECTOR_SET(BgL_v1221z00_1032,((long)1),BgL_arg2153z00_1046); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2158z00_1056;
BgL_arg2158z00_1056 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc3100z00zz__multimediazd2midizd2, BGl_proc3099z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1221z00_1032,((long)2),BgL_arg2158z00_1056); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2163z00_1066;
BgL_arg2163z00_1066 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc3103z00zz__multimediazd2midizd2, BGl_proc3102z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3101z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1221z00_1032,((long)3),BgL_arg2163z00_1066); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2170z00_1079;
BgL_arg2170z00_1079 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc3106z00zz__multimediazd2midizd2, BGl_proc3105z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3104z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1221z00_1032,((long)4),BgL_arg2170z00_1079); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2177z00_1092;
BgL_arg2177z00_1092 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc3109z00zz__multimediazd2midizd2, BGl_proc3108z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3107z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_1032,((long)5),BgL_arg2177z00_1092); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2184z00_1105;
BgL_arg2184z00_1105 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc3112z00zz__multimediazd2midizd2, BGl_proc3111z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3110z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1221z00_1032,((long)6),BgL_arg2184z00_1105); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2191z00_1118;
BgL_arg2191z00_1118 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc3115z00zz__multimediazd2midizd2, BGl_proc3114z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3113z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_1032,((long)7),BgL_arg2191z00_1118); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2198z00_1131;
BgL_arg2198z00_1131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc3118z00zz__multimediazd2midizd2, BGl_proc3117z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3116z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1221z00_1032,((long)8),BgL_arg2198z00_1131); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2205z00_1144;
BgL_arg2205z00_1144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc3121z00zz__multimediazd2midizd2, BGl_proc3120z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3119z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_1032,((long)9),BgL_arg2205z00_1144); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2212z00_1157;
BgL_arg2212z00_1157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc3124z00zz__multimediazd2midizd2, BGl_proc3123z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3122z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_1032,((long)10),BgL_arg2212z00_1157); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2219z00_1170;
BgL_arg2219z00_1170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc3127z00zz__multimediazd2midizd2, BGl_proc3126z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3125z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1221z00_1032,((long)11),BgL_arg2219z00_1170); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2226z00_1183;
BgL_arg2226z00_1183 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc3130z00zz__multimediazd2midizd2, BGl_proc3129z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3128z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1221z00_1032,((long)12),BgL_arg2226z00_1183); } 
{ /* Llib/midi.scm 24 */
obj_t BgL_arg2233z00_1196;
BgL_arg2233z00_1196 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc3133z00zz__multimediazd2midizd2, BGl_proc3132z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3131z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)19))); 
VECTOR_SET(BgL_v1221z00_1032,((long)13),BgL_arg2233z00_1196); } 
BgL_arg2138z00_1006 = BgL_v1221z00_1032; } 
{ /* Llib/midi.scm 24 */
obj_t BgL_v1222z00_1209;
BgL_v1222z00_1209 = 
create_vector(((long)0)); 
BgL_arg2139z00_1007 = BgL_v1222z00_1209; } 
BGl_miditrackz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)26896), BGl_proc3136z00zz__multimediazd2midizd2, BGl_proc3135z00zz__multimediazd2midizd2, BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3134z00zz__multimediazd2midizd2, BFALSE, BgL_arg2138z00_1006, BgL_arg2139z00_1007); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2243z00_1216;obj_t BgL_arg2244z00_1217;
{ /* Llib/midi.scm 42 */
obj_t BgL_v1223z00_1235;
BgL_v1223z00_1235 = 
create_vector(((long)7)); 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2251z00_1236;
BgL_arg2251z00_1236 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc3138z00zz__multimediazd2midizd2, BGl_proc3137z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)0),BgL_arg2251z00_1236); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2256z00_1246;
BgL_arg2256z00_1246 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)33)), BGl_proc3140z00zz__multimediazd2midizd2, BGl_proc3139z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)1),BgL_arg2256z00_1246); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2261z00_1256;
BgL_arg2261z00_1256 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc3142z00zz__multimediazd2midizd2, BGl_proc3141z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)2),BgL_arg2261z00_1256); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2266z00_1266;
BgL_arg2266z00_1266 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc3144z00zz__multimediazd2midizd2, BGl_proc3143z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)3),BgL_arg2266z00_1266); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2271z00_1276;
BgL_arg2271z00_1276 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc3146z00zz__multimediazd2midizd2, BGl_proc3145z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)4),BgL_arg2271z00_1276); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2276z00_1286;
BgL_arg2276z00_1286 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)37)), BGl_proc3148z00zz__multimediazd2midizd2, BGl_proc3147z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)5),BgL_arg2276z00_1286); } 
{ /* Llib/midi.scm 42 */
obj_t BgL_arg2281z00_1296;
BgL_arg2281z00_1296 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)38)), BGl_proc3150z00zz__multimediazd2midizd2, BGl_proc3149z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1223z00_1235,((long)6),BgL_arg2281z00_1296); } 
BgL_arg2243z00_1216 = BgL_v1223z00_1235; } 
{ /* Llib/midi.scm 42 */
obj_t BgL_v1224z00_1306;
BgL_v1224z00_1306 = 
create_vector(((long)0)); 
BgL_arg2244z00_1217 = BgL_v1224z00_1306; } 
BGl_midireaderz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)53877), BGl_proc3153z00zz__multimediazd2midizd2, BGl_proc3152z00zz__multimediazd2midizd2, BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3151z00zz__multimediazd2midizd2, BFALSE, BgL_arg2243z00_1216, BgL_arg2244z00_1217); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2289z00_1313;obj_t BgL_arg2290z00_1314;
{ /* Llib/midi.scm 52 */
obj_t BgL_v1225z00_1353;
BgL_v1225z00_1353 = 
create_vector(((long)28)); 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2297z00_1354;
BgL_arg2297z00_1354 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3156z00zz__multimediazd2midizd2, BGl_proc3155z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3154z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)0),BgL_arg2297z00_1354); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2304z00_1367;
BgL_arg2304z00_1367 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc3159z00zz__multimediazd2midizd2, BGl_proc3158z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3157z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)1),BgL_arg2304z00_1367); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2311z00_1380;
BgL_arg2311z00_1380 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc3162z00zz__multimediazd2midizd2, BGl_proc3161z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3160z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)2),BgL_arg2311z00_1380); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2318z00_1393;
BgL_arg2318z00_1393 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3165z00zz__multimediazd2midizd2, BGl_proc3164z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3163z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)3),BgL_arg2318z00_1393); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2325z00_1406;
BgL_arg2325z00_1406 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)44)), BGl_proc3168z00zz__multimediazd2midizd2, BGl_proc3167z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3166z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)4),BgL_arg2325z00_1406); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2332z00_1419;
BgL_arg2332z00_1419 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc3171z00zz__multimediazd2midizd2, BGl_proc3170z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3169z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)5),BgL_arg2332z00_1419); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2339z00_1432;
BgL_arg2339z00_1432 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3174z00zz__multimediazd2midizd2, BGl_proc3173z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3172z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)6),BgL_arg2339z00_1432); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2346z00_1445;
BgL_arg2346z00_1445 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3177z00zz__multimediazd2midizd2, BGl_proc3176z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3175z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)7),BgL_arg2346z00_1445); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2353z00_1458;
BgL_arg2353z00_1458 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc3180z00zz__multimediazd2midizd2, BGl_proc3179z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3178z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)8),BgL_arg2353z00_1458); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2360z00_1471;
BgL_arg2360z00_1471 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3183z00zz__multimediazd2midizd2, BGl_proc3182z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3181z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)9),BgL_arg2360z00_1471); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2367z00_1484;
BgL_arg2367z00_1484 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3186z00zz__multimediazd2midizd2, BGl_proc3185z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3184z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)10),BgL_arg2367z00_1484); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2374z00_1497;
BgL_arg2374z00_1497 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc3189z00zz__multimediazd2midizd2, BGl_proc3188z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3187z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)11),BgL_arg2374z00_1497); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2381z00_1510;
BgL_arg2381z00_1510 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3192z00zz__multimediazd2midizd2, BGl_proc3191z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3190z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)12),BgL_arg2381z00_1510); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2388z00_1523;
BgL_arg2388z00_1523 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3195z00zz__multimediazd2midizd2, BGl_proc3194z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3193z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)13),BgL_arg2388z00_1523); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2395z00_1536;
BgL_arg2395z00_1536 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3198z00zz__multimediazd2midizd2, BGl_proc3197z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3196z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)14),BgL_arg2395z00_1536); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2402z00_1549;
BgL_arg2402z00_1549 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc3201z00zz__multimediazd2midizd2, BGl_proc3200z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3199z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)15),BgL_arg2402z00_1549); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2409z00_1562;
BgL_arg2409z00_1562 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3204z00zz__multimediazd2midizd2, BGl_proc3203z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3202z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)16),BgL_arg2409z00_1562); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2416z00_1575;
BgL_arg2416z00_1575 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3207z00zz__multimediazd2midizd2, BGl_proc3206z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3205z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)17),BgL_arg2416z00_1575); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2423z00_1588;
BgL_arg2423z00_1588 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3210z00zz__multimediazd2midizd2, BGl_proc3209z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3208z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)18),BgL_arg2423z00_1588); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2430z00_1601;
BgL_arg2430z00_1601 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc3213z00zz__multimediazd2midizd2, BGl_proc3212z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3211z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)19),BgL_arg2430z00_1601); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2437z00_1614;
BgL_arg2437z00_1614 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc3216z00zz__multimediazd2midizd2, BGl_proc3215z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3214z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)20),BgL_arg2437z00_1614); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2444z00_1627;
BgL_arg2444z00_1627 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)61)), BGl_proc3219z00zz__multimediazd2midizd2, BGl_proc3218z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3217z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)21),BgL_arg2444z00_1627); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2451z00_1640;
BgL_arg2451z00_1640 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)62)), BGl_proc3222z00zz__multimediazd2midizd2, BGl_proc3221z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3220z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)22),BgL_arg2451z00_1640); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2458z00_1653;
BgL_arg2458z00_1653 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3225z00zz__multimediazd2midizd2, BGl_proc3224z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3223z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)23),BgL_arg2458z00_1653); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2465z00_1666;
BgL_arg2465z00_1666 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3228z00zz__multimediazd2midizd2, BGl_proc3227z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3226z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)24),BgL_arg2465z00_1666); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2473z00_1688;
BgL_arg2473z00_1688 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc3231z00zz__multimediazd2midizd2, BGl_proc3230z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3229z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)25),BgL_arg2473z00_1688); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2481z00_1709;
BgL_arg2481z00_1709 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3234z00zz__multimediazd2midizd2, BGl_proc3233z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3232z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)26),BgL_arg2481z00_1709); } 
{ /* Llib/midi.scm 52 */
obj_t BgL_arg2488z00_1722;
BgL_arg2488z00_1722 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3237z00zz__multimediazd2midizd2, BGl_proc3236z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3235z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1225z00_1353,((long)27),BgL_arg2488z00_1722); } 
BgL_arg2289z00_1313 = BgL_v1225z00_1353; } 
{ /* Llib/midi.scm 52 */
obj_t BgL_v1226z00_1735;
BgL_v1226z00_1735 = 
create_vector(((long)0)); 
BgL_arg2290z00_1314 = BgL_v1226z00_1735; } 
BGl_midiplayerz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)52705), BGl_proc3240z00zz__multimediazd2midizd2, BGl_proc3239z00zz__multimediazd2midizd2, BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3238z00zz__multimediazd2midizd2, BFALSE, BgL_arg2289z00_1313, BgL_arg2290z00_1314); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2498z00_1742;obj_t BgL_arg2499z00_1743;
{ /* Llib/midi.scm 87 */
obj_t BgL_v1227z00_1759;
BgL_v1227z00_1759 = 
create_vector(((long)5)); 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2506z00_1760;
BgL_arg2506z00_1760 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3243z00zz__multimediazd2midizd2, BGl_proc3242z00zz__multimediazd2midizd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3241z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1227z00_1759,((long)0),BgL_arg2506z00_1760); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2513z00_1773;
BgL_arg2513z00_1773 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3246z00zz__multimediazd2midizd2, BGl_proc3245z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3244z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1759,((long)1),BgL_arg2513z00_1773); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2520z00_1786;
BgL_arg2520z00_1786 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3249z00zz__multimediazd2midizd2, BGl_proc3248z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3247z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1759,((long)2),BgL_arg2520z00_1786); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2528z00_1802;
BgL_arg2528z00_1802 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3252z00zz__multimediazd2midizd2, BGl_proc3251z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3250z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1759,((long)3),BgL_arg2528z00_1802); } 
{ /* Llib/midi.scm 87 */
obj_t BgL_arg2536z00_1818;
BgL_arg2536z00_1818 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3255z00zz__multimediazd2midizd2, BGl_proc3254z00zz__multimediazd2midizd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3253z00zz__multimediazd2midizd2, 
CNST_TABLE_REF(((long)17))); 
VECTOR_SET(BgL_v1227z00_1759,((long)4),BgL_arg2536z00_1818); } 
BgL_arg2498z00_1742 = BgL_v1227z00_1759; } 
{ /* Llib/midi.scm 87 */
obj_t BgL_v1228z00_1831;
BgL_v1228z00_1831 = 
create_vector(((long)0)); 
BgL_arg2499z00_1743 = BgL_v1228z00_1831; } 
return ( 
BGl_midisinkz00zz__multimediazd2midizd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)12)), BGl_objectz00zz__objectz00, ((long)13783), BGl_proc3258z00zz__multimediazd2midizd2, BGl_proc3257z00zz__multimediazd2midizd2, BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3256z00zz__multimediazd2midizd2, BFALSE, BgL_arg2498z00_1742, BgL_arg2499z00_1743), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2505> */
obj_t BGl_z62zc3anonymousza32505ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3367, obj_t BgL_new1118z00_3368)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
{ 
BgL_midisinkz00_bglt BgL_auxz00_7359;
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3368)))->BgL_streamz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3368)))->BgL_usleepz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3368)))->BgL_writezd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3368)))->BgL_writezd2stringzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_new1118z00_3368)))->BgL_flushz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_7359 = 
((BgL_midisinkz00_bglt)BgL_new1118z00_3368); 
return 
((obj_t)BgL_auxz00_7359);} } 
BGL_FUNCTION_END;
}



/* &lambda2503 */
BgL_midisinkz00_bglt BGl_z62lambda2503z62zz__multimediazd2midizd2(obj_t BgL_envz00_3369)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
BgL_midisinkz00_bglt BgL_new1117z00_4147;
BgL_new1117z00_4147 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
long BgL_arg2504z00_4148;
{ /* Llib/midi.scm 87 */
long BgL_res2799z00_4149;
BgL_res2799z00_4149 = 
BGL_CLASS_INDEX(BGl_midisinkz00zz__multimediazd2midizd2); 
BgL_arg2504z00_4148 = BgL_res2799z00_4149; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_4147), BgL_arg2504z00_4148); } 
return BgL_new1117z00_4147;} } 
BGL_FUNCTION_END;
}



/* &lambda2500 */
BgL_midisinkz00_bglt BGl_z62lambda2500z62zz__multimediazd2midizd2(obj_t BgL_envz00_3370, obj_t BgL_stream1112z00_3371, obj_t BgL_usleep1113z00_3372, obj_t BgL_writezd2byte1114zd2_3373, obj_t BgL_writezd2string1115zd2_3374, obj_t BgL_flush1116z00_3375)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
{ /* Llib/midi.scm 87 */
BgL_midisinkz00_bglt BgL_new1184z00_4154;
{ /* Llib/midi.scm 87 */
BgL_midisinkz00_bglt BgL_new1183z00_4155;
BgL_new1183z00_4155 = 
((BgL_midisinkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midisinkz00_bgl) ))); 
{ /* Llib/midi.scm 87 */
long BgL_arg2502z00_4156;
{ /* Llib/midi.scm 87 */
long BgL_res2798z00_4157;
BgL_res2798z00_4157 = 
BGL_CLASS_INDEX(BGl_midisinkz00zz__multimediazd2midizd2); 
BgL_arg2502z00_4156 = BgL_res2798z00_4157; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_4155), BgL_arg2502z00_4156); } 
BgL_new1184z00_4154 = BgL_new1183z00_4155; } 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4154))->BgL_streamz00)=((obj_t)BgL_stream1112z00_3371),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4154))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_usleep1113z00_3372)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4154))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_writezd2byte1114zd2_3373)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4154))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_writezd2string1115zd2_3374)),BUNSPEC); 
((((BgL_midisinkz00_bglt)COBJECT(BgL_new1184z00_4154))->BgL_flushz00)=((obj_t)
((obj_t)BgL_flush1116z00_3375)),BUNSPEC); 
{ /* Llib/midi.scm 87 */
obj_t BgL_fun2501z00_4158;
BgL_fun2501z00_4158 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midisinkz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2501z00_4158)(BgL_fun2501z00_4158, 
((obj_t)BgL_new1184z00_4154), BEOA); } 
return BgL_new1184z00_4154;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2542> */
obj_t BGl_z62zc3anonymousza32542ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3376)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return BGl_flushzd2outputzd2portzd2envzd2zz__r4_ports_6_10_1z00;} 
BGL_FUNCTION_END;
}



/* &lambda2541 */
obj_t BGl_z62lambda2541z62zz__multimediazd2midizd2(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3378)))->BgL_flushz00)=((obj_t)
((obj_t)BgL_vz00_3379)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2540 */
obj_t BGl_z62lambda2540z62zz__multimediazd2midizd2(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3381)))->BgL_flushz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2534> */
obj_t BGl_z62zc3anonymousza32534ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3382)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return BGl_proc3259z00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2533 */
obj_t BGl_z62lambda2533z62zz__multimediazd2midizd2(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3384)))->BgL_writezd2stringzd2)=((obj_t)
((obj_t)BgL_vz00_3385)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2532 */
obj_t BGl_z62lambda2532z62zz__multimediazd2midizd2(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3387)))->BgL_writezd2stringzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2535> */
obj_t BGl_z62zc3anonymousza32535ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3388, obj_t BgL_opz00_3389, obj_t BgL_sz00_3390)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 92 */
return 
BGl_writezd2stringzd2zz__r4_output_6_10_3z00(BgL_sz00_3390, BgL_opz00_3389);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2526> */
obj_t BGl_z62zc3anonymousza32526ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3391)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return BGl_proc3260z00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2525 */
obj_t BGl_z62lambda2525z62zz__multimediazd2midizd2(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3393)))->BgL_writezd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3394)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2524 */
obj_t BGl_z62lambda2524z62zz__multimediazd2midizd2(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3396)))->BgL_writezd2bytezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2527> */
obj_t BGl_z62zc3anonymousza32527ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3397, obj_t BgL_opz00_3398, obj_t BgL_bz00_3399)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 91 */
{ /* Llib/midi.scm 91 */
unsigned char BgL_bytez00_4168;
BgL_bytez00_4168 = 
(unsigned char)CINT(BgL_bz00_3399); 
{ /* Llib/midi.scm 91 */
obj_t BgL_tmpz00_7412;
BgL_tmpz00_7412 = 
((obj_t)BgL_opz00_3398); 
return 
bgl_display_char(BgL_bytez00_4168, BgL_tmpz00_7412);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2519> */
obj_t BGl_z62zc3anonymousza32519ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3400)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return BGl_sleepzd2envzd2zz__osz00;} 
BGL_FUNCTION_END;
}



/* &lambda2518 */
obj_t BGl_z62lambda2518z62zz__multimediazd2midizd2(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3402)))->BgL_usleepz00)=((obj_t)
((obj_t)BgL_vz00_3403)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2517 */
obj_t BGl_z62lambda2517z62zz__multimediazd2midizd2(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3405)))->BgL_usleepz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2512> */
obj_t BGl_z62zc3anonymousza32512ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3406)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda2511 */
obj_t BGl_z62lambda2511z62zz__multimediazd2midizd2(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408, obj_t BgL_vz00_3409)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
((((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3408)))->BgL_streamz00)=((obj_t)BgL_vz00_3409),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2510 */
obj_t BGl_z62lambda2510z62zz__multimediazd2midizd2(obj_t BgL_envz00_3410, obj_t BgL_oz00_3411)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 87 */
return 
(((BgL_midisinkz00_bglt)COBJECT(
((BgL_midisinkz00_bglt)BgL_oz00_3411)))->BgL_streamz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2296> */
obj_t BGl_z62zc3anonymousza32296ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3412, obj_t BgL_new1110z00_3413)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
{ 
BgL_midiplayerz00_bglt BgL_auxz00_7425;
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_errz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_cdelayz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_noteoffz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_noteonz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_aftertouchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_ctrlchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_prgmchangez00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_afterzd2touchzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_pitchz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_sysexz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2seqnumzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2textzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2copyrightzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2trackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2instrumentzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2lyriczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2markerzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2cuezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2prgmnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2devnamezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2channprefzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2midiportzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2eotzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2tempozd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2smtpezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2timesigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2keysigzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413)))->BgL_metazd2seqspeczd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_7425 = 
((BgL_midiplayerz00_bglt)BgL_new1110z00_3413); 
return 
((obj_t)BgL_auxz00_7425);} } 
BGL_FUNCTION_END;
}



/* &lambda2294 */
BgL_midiplayerz00_bglt BGl_z62lambda2294z62zz__multimediazd2midizd2(obj_t BgL_envz00_3414)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
BgL_midiplayerz00_bglt BgL_new1109z00_4175;
BgL_new1109z00_4175 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
long BgL_arg2295z00_4176;
{ /* Llib/midi.scm 52 */
long BgL_res2797z00_4177;
BgL_res2797z00_4177 = 
BGL_CLASS_INDEX(BGl_midiplayerz00zz__multimediazd2midizd2); 
BgL_arg2295z00_4176 = BgL_res2797z00_4177; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_4175), BgL_arg2295z00_4176); } 
return BgL_new1109z00_4175;} } 
BGL_FUNCTION_END;
}



/* &lambda2291 */
BgL_midiplayerz00_bglt BGl_z62lambda2291z62zz__multimediazd2midizd2(obj_t BgL_envz00_3415, obj_t BgL_err1081z00_3416, obj_t BgL_cdelay1082z00_3417, obj_t BgL_noteoff1083z00_3418, obj_t BgL_noteon1084z00_3419, obj_t BgL_aftertouch1085z00_3420, obj_t BgL_ctrlchange1086z00_3421, obj_t BgL_prgmchange1087z00_3422, obj_t BgL_afterzd2touch1088zd2_3423, obj_t BgL_pitch1089z00_3424, obj_t BgL_sysex1090z00_3425, obj_t BgL_metazd2seqnum1091zd2_3426, obj_t BgL_metazd2text1092zd2_3427, obj_t BgL_metazd2copyright1093zd2_3428, obj_t BgL_metazd2track1094zd2_3429, obj_t BgL_metazd2instrument1095zd2_3430, obj_t BgL_metazd2lyric1096zd2_3431, obj_t BgL_metazd2marker1097zd2_3432, obj_t BgL_metazd2cue1098zd2_3433, obj_t BgL_metazd2prgmname1099zd2_3434, obj_t BgL_metazd2devname1100zd2_3435, obj_t BgL_metazd2channpref1101zd2_3436, obj_t BgL_metazd2midiport1102zd2_3437, obj_t BgL_metazd2eot1103zd2_3438, obj_t BgL_metazd2tempo1104zd2_3439, obj_t BgL_metazd2smtpe1105zd2_3440, obj_t BgL_metazd2timesig1106zd2_3441, obj_t BgL_metazd2keysig1107zd2_3442, obj_t BgL_metazd2seqspec1108zd2_3443)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
{ /* Llib/midi.scm 52 */
BgL_midiplayerz00_bglt BgL_new1182z00_4206;
{ /* Llib/midi.scm 52 */
BgL_midiplayerz00_bglt BgL_new1181z00_4207;
BgL_new1181z00_4207 = 
((BgL_midiplayerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiplayerz00_bgl) ))); 
{ /* Llib/midi.scm 52 */
long BgL_arg2293z00_4208;
{ /* Llib/midi.scm 52 */
long BgL_res2796z00_4209;
BgL_res2796z00_4209 = 
BGL_CLASS_INDEX(BGl_midiplayerz00zz__multimediazd2midizd2); 
BgL_arg2293z00_4208 = BgL_res2796z00_4209; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_4207), BgL_arg2293z00_4208); } 
BgL_new1182z00_4206 = BgL_new1181z00_4207; } 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_errz00)=((obj_t)
((obj_t)BgL_err1081z00_3416)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_cdelay1082z00_3417)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_noteoff1083z00_3418)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_noteon1084z00_3419)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_aftertouch1085z00_3420)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_ctrlchange1086z00_3421)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_prgmchange1087z00_3422)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_afterzd2touch1088zd2_3423)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_pitch1089z00_3424)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_sysex1090z00_3425)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_metazd2seqnum1091zd2_3426)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_metazd2text1092zd2_3427)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_metazd2copyright1093zd2_3428)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_metazd2track1094zd2_3429)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_metazd2instrument1095zd2_3430)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_metazd2lyric1096zd2_3431)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_metazd2marker1097zd2_3432)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_metazd2cue1098zd2_3433)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_metazd2prgmname1099zd2_3434)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_metazd2devname1100zd2_3435)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_metazd2channpref1101zd2_3436)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_metazd2midiport1102zd2_3437)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_metazd2eot1103zd2_3438)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_metazd2tempo1104zd2_3439)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_metazd2smtpe1105zd2_3440)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_metazd2timesig1106zd2_3441)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_metazd2keysig1107zd2_3442)),BUNSPEC); 
((((BgL_midiplayerz00_bglt)COBJECT(BgL_new1182z00_4206))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_metazd2seqspec1108zd2_3443)),BUNSPEC); 
{ /* Llib/midi.scm 52 */
obj_t BgL_fun2292z00_4210;
BgL_fun2292z00_4210 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiplayerz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2292z00_4210)(BgL_fun2292z00_4210, 
((obj_t)BgL_new1182z00_4206), BEOA); } 
return BgL_new1182z00_4206;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2494> */
obj_t BGl_z62zc3anonymousza32494ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3444)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2493 */
obj_t BGl_z62lambda2493z62zz__multimediazd2midizd2(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3446)))->BgL_metazd2seqspeczd2)=((obj_t)
((obj_t)BgL_vz00_3447)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2492 */
obj_t BGl_z62lambda2492z62zz__multimediazd2midizd2(obj_t BgL_envz00_3448, obj_t BgL_oz00_3449)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3449)))->BgL_metazd2seqspeczd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2487> */
obj_t BGl_z62zc3anonymousza32487ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3450)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__multimediazd2midizd2(obj_t BgL_envz00_3451, obj_t BgL_oz00_3452, obj_t BgL_vz00_3453)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3452)))->BgL_metazd2keysigzd2)=((obj_t)
((obj_t)BgL_vz00_3453)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2485 */
obj_t BGl_z62lambda2485z62zz__multimediazd2midizd2(obj_t BgL_envz00_3454, obj_t BgL_oz00_3455)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3455)))->BgL_metazd2keysigzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2479> */
obj_t BGl_z62zc3anonymousza32479ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3456)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_proc3261z00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2478 */
obj_t BGl_z62lambda2478z62zz__multimediazd2midizd2(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458, obj_t BgL_vz00_3459)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3458)))->BgL_metazd2timesigzd2)=((obj_t)
((obj_t)BgL_vz00_3459)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2477 */
obj_t BGl_z62lambda2477z62zz__multimediazd2midizd2(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3461)))->BgL_metazd2timesigzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2480> */
obj_t BGl_z62zc3anonymousza32480ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3462, obj_t BgL_mpz00_3463, obj_t BgL_msz00_3464, obj_t BgL_tickz00_3465, obj_t BgL_nnz00_3466, obj_t BgL_ddz00_3467, obj_t BgL_ccz00_3468, obj_t BgL_bbz00_3469)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 83 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2471> */
obj_t BGl_z62zc3anonymousza32471ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3470)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_proc3262z00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2470 */
obj_t BGl_z62lambda2470z62zz__multimediazd2midizd2(obj_t BgL_envz00_3471, obj_t BgL_oz00_3472, obj_t BgL_vz00_3473)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3472)))->BgL_metazd2smtpezd2)=((obj_t)
((obj_t)BgL_vz00_3473)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2469 */
obj_t BGl_z62lambda2469z62zz__multimediazd2midizd2(obj_t BgL_envz00_3474, obj_t BgL_oz00_3475)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3475)))->BgL_metazd2smtpezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2472> */
obj_t BGl_z62zc3anonymousza32472ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3476, obj_t BgL_mpz00_3477, obj_t BgL_msz00_3478, obj_t BgL_tickz00_3479, obj_t BgL_hrz00_3480, obj_t BgL_mmz00_3481, obj_t BgL_sez00_3482, obj_t BgL_frz00_3483, obj_t BgL_ffz00_3484)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 82 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2464> */
obj_t BGl_z62zc3anonymousza32464ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3485)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2463 */
obj_t BGl_z62lambda2463z62zz__multimediazd2midizd2(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487, obj_t BgL_vz00_3488)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3487)))->BgL_metazd2tempozd2)=((obj_t)
((obj_t)BgL_vz00_3488)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2462 */
obj_t BGl_z62lambda2462z62zz__multimediazd2midizd2(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3490)))->BgL_metazd2tempozd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2457> */
obj_t BGl_z62zc3anonymousza32457ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3491)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2456 */
obj_t BGl_z62lambda2456z62zz__multimediazd2midizd2(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3493)))->BgL_metazd2eotzd2)=((obj_t)
((obj_t)BgL_vz00_3494)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2455 */
obj_t BGl_z62lambda2455z62zz__multimediazd2midizd2(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3496)))->BgL_metazd2eotzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2450> */
obj_t BGl_z62zc3anonymousza32450ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3497)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2449 */
obj_t BGl_z62lambda2449z62zz__multimediazd2midizd2(obj_t BgL_envz00_3498, obj_t BgL_oz00_3499, obj_t BgL_vz00_3500)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3499)))->BgL_metazd2midiportzd2)=((obj_t)
((obj_t)BgL_vz00_3500)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2448 */
obj_t BGl_z62lambda2448z62zz__multimediazd2midizd2(obj_t BgL_envz00_3501, obj_t BgL_oz00_3502)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3502)))->BgL_metazd2midiportzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2443> */
obj_t BGl_z62zc3anonymousza32443ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3503)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2442 */
obj_t BGl_z62lambda2442z62zz__multimediazd2midizd2(obj_t BgL_envz00_3504, obj_t BgL_oz00_3505, obj_t BgL_vz00_3506)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3505)))->BgL_metazd2channprefzd2)=((obj_t)
((obj_t)BgL_vz00_3506)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2441 */
obj_t BGl_z62lambda2441z62zz__multimediazd2midizd2(obj_t BgL_envz00_3507, obj_t BgL_oz00_3508)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3508)))->BgL_metazd2channprefzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2436> */
obj_t BGl_z62zc3anonymousza32436ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3509)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2435 */
obj_t BGl_z62lambda2435z62zz__multimediazd2midizd2(obj_t BgL_envz00_3510, obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3511)))->BgL_metazd2devnamezd2)=((obj_t)
((obj_t)BgL_vz00_3512)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2434 */
obj_t BGl_z62lambda2434z62zz__multimediazd2midizd2(obj_t BgL_envz00_3513, obj_t BgL_oz00_3514)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3514)))->BgL_metazd2devnamezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2429> */
obj_t BGl_z62zc3anonymousza32429ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3515)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2428 */
obj_t BGl_z62lambda2428z62zz__multimediazd2midizd2(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517, obj_t BgL_vz00_3518)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3517)))->BgL_metazd2prgmnamezd2)=((obj_t)
((obj_t)BgL_vz00_3518)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2427 */
obj_t BGl_z62lambda2427z62zz__multimediazd2midizd2(obj_t BgL_envz00_3519, obj_t BgL_oz00_3520)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3520)))->BgL_metazd2prgmnamezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2422> */
obj_t BGl_z62zc3anonymousza32422ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3521)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2421 */
obj_t BGl_z62lambda2421z62zz__multimediazd2midizd2(obj_t BgL_envz00_3522, obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3523)))->BgL_metazd2cuezd2)=((obj_t)
((obj_t)BgL_vz00_3524)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2420 */
obj_t BGl_z62lambda2420z62zz__multimediazd2midizd2(obj_t BgL_envz00_3525, obj_t BgL_oz00_3526)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3526)))->BgL_metazd2cuezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2415> */
obj_t BGl_z62zc3anonymousza32415ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3527)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2414 */
obj_t BGl_z62lambda2414z62zz__multimediazd2midizd2(obj_t BgL_envz00_3528, obj_t BgL_oz00_3529, obj_t BgL_vz00_3530)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3529)))->BgL_metazd2markerzd2)=((obj_t)
((obj_t)BgL_vz00_3530)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2413 */
obj_t BGl_z62lambda2413z62zz__multimediazd2midizd2(obj_t BgL_envz00_3531, obj_t BgL_oz00_3532)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3532)))->BgL_metazd2markerzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2408> */
obj_t BGl_z62zc3anonymousza32408ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3533)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2407 */
obj_t BGl_z62lambda2407z62zz__multimediazd2midizd2(obj_t BgL_envz00_3534, obj_t BgL_oz00_3535, obj_t BgL_vz00_3536)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3535)))->BgL_metazd2lyriczd2)=((obj_t)
((obj_t)BgL_vz00_3536)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2406 */
obj_t BGl_z62lambda2406z62zz__multimediazd2midizd2(obj_t BgL_envz00_3537, obj_t BgL_oz00_3538)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3538)))->BgL_metazd2lyriczd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2401> */
obj_t BGl_z62zc3anonymousza32401ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3539)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2400 */
obj_t BGl_z62lambda2400z62zz__multimediazd2midizd2(obj_t BgL_envz00_3540, obj_t BgL_oz00_3541, obj_t BgL_vz00_3542)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3541)))->BgL_metazd2instrumentzd2)=((obj_t)
((obj_t)BgL_vz00_3542)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2399 */
obj_t BGl_z62lambda2399z62zz__multimediazd2midizd2(obj_t BgL_envz00_3543, obj_t BgL_oz00_3544)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3544)))->BgL_metazd2instrumentzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2394> */
obj_t BGl_z62zc3anonymousza32394ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3545)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2393 */
obj_t BGl_z62lambda2393z62zz__multimediazd2midizd2(obj_t BgL_envz00_3546, obj_t BgL_oz00_3547, obj_t BgL_vz00_3548)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3547)))->BgL_metazd2trackzd2)=((obj_t)
((obj_t)BgL_vz00_3548)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2392 */
obj_t BGl_z62lambda2392z62zz__multimediazd2midizd2(obj_t BgL_envz00_3549, obj_t BgL_oz00_3550)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3550)))->BgL_metazd2trackzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2387> */
obj_t BGl_z62zc3anonymousza32387ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3551)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2386 */
obj_t BGl_z62lambda2386z62zz__multimediazd2midizd2(obj_t BgL_envz00_3552, obj_t BgL_oz00_3553, obj_t BgL_vz00_3554)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3553)))->BgL_metazd2copyrightzd2)=((obj_t)
((obj_t)BgL_vz00_3554)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2385 */
obj_t BGl_z62lambda2385z62zz__multimediazd2midizd2(obj_t BgL_envz00_3555, obj_t BgL_oz00_3556)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3556)))->BgL_metazd2copyrightzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2380> */
obj_t BGl_z62zc3anonymousza32380ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3557)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2379 */
obj_t BGl_z62lambda2379z62zz__multimediazd2midizd2(obj_t BgL_envz00_3558, obj_t BgL_oz00_3559, obj_t BgL_vz00_3560)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3559)))->BgL_metazd2textzd2)=((obj_t)
((obj_t)BgL_vz00_3560)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2378 */
obj_t BGl_z62lambda2378z62zz__multimediazd2midizd2(obj_t BgL_envz00_3561, obj_t BgL_oz00_3562)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3562)))->BgL_metazd2textzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2373> */
obj_t BGl_z62zc3anonymousza32373ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3563)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ignorezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2372 */
obj_t BGl_z62lambda2372z62zz__multimediazd2midizd2(obj_t BgL_envz00_3564, obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3565)))->BgL_metazd2seqnumzd2)=((obj_t)
((obj_t)BgL_vz00_3566)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2371 */
obj_t BGl_z62lambda2371z62zz__multimediazd2midizd2(obj_t BgL_envz00_3567, obj_t BgL_oz00_3568)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3568)))->BgL_metazd2seqnumzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2366> */
obj_t BGl_z62zc3anonymousza32366ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3569)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2sysexzd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2365 */
obj_t BGl_z62lambda2365z62zz__multimediazd2midizd2(obj_t BgL_envz00_3570, obj_t BgL_oz00_3571, obj_t BgL_vz00_3572)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3571)))->BgL_sysexz00)=((obj_t)
((obj_t)BgL_vz00_3572)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2364 */
obj_t BGl_z62lambda2364z62zz__multimediazd2midizd2(obj_t BgL_envz00_3573, obj_t BgL_oz00_3574)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3574)))->BgL_sysexz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2359> */
obj_t BGl_z62zc3anonymousza32359ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3575)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2pitchzd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2358 */
obj_t BGl_z62lambda2358z62zz__multimediazd2midizd2(obj_t BgL_envz00_3576, obj_t BgL_oz00_3577, obj_t BgL_vz00_3578)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3577)))->BgL_pitchz00)=((obj_t)
((obj_t)BgL_vz00_3578)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2357 */
obj_t BGl_z62lambda2357z62zz__multimediazd2midizd2(obj_t BgL_envz00_3579, obj_t BgL_oz00_3580)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3580)))->BgL_pitchz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2352> */
obj_t BGl_z62zc3anonymousza32352ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3581)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2afterzd2touchzd2envzd2zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2351 */
obj_t BGl_z62lambda2351z62zz__multimediazd2midizd2(obj_t BgL_envz00_3582, obj_t BgL_oz00_3583, obj_t BgL_vz00_3584)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3583)))->BgL_afterzd2touchzd2)=((obj_t)
((obj_t)BgL_vz00_3584)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2350 */
obj_t BGl_z62lambda2350z62zz__multimediazd2midizd2(obj_t BgL_envz00_3585, obj_t BgL_oz00_3586)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3586)))->BgL_afterzd2touchzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2345> */
obj_t BGl_z62zc3anonymousza32345ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3587)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2prgmchangezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2344 */
obj_t BGl_z62lambda2344z62zz__multimediazd2midizd2(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589, obj_t BgL_vz00_3590)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3589)))->BgL_prgmchangez00)=((obj_t)
((obj_t)BgL_vz00_3590)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2343 */
obj_t BGl_z62lambda2343z62zz__multimediazd2midizd2(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3592)))->BgL_prgmchangez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2338> */
obj_t BGl_z62zc3anonymousza32338ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3593)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2ctrlchangezd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2337 */
obj_t BGl_z62lambda2337z62zz__multimediazd2midizd2(obj_t BgL_envz00_3594, obj_t BgL_oz00_3595, obj_t BgL_vz00_3596)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3595)))->BgL_ctrlchangez00)=((obj_t)
((obj_t)BgL_vz00_3596)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2336 */
obj_t BGl_z62lambda2336z62zz__multimediazd2midizd2(obj_t BgL_envz00_3597, obj_t BgL_oz00_3598)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3598)))->BgL_ctrlchangez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2331> */
obj_t BGl_z62zc3anonymousza32331ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3599)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2aftertouchzd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2330 */
obj_t BGl_z62lambda2330z62zz__multimediazd2midizd2(obj_t BgL_envz00_3600, obj_t BgL_oz00_3601, obj_t BgL_vz00_3602)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3601)))->BgL_aftertouchz00)=((obj_t)
((obj_t)BgL_vz00_3602)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2329 */
obj_t BGl_z62lambda2329z62zz__multimediazd2midizd2(obj_t BgL_envz00_3603, obj_t BgL_oz00_3604)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3604)))->BgL_aftertouchz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2324> */
obj_t BGl_z62zc3anonymousza32324ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3605)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteonzd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2323 */
obj_t BGl_z62lambda2323z62zz__multimediazd2midizd2(obj_t BgL_envz00_3606, obj_t BgL_oz00_3607, obj_t BgL_vz00_3608)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3607)))->BgL_noteonz00)=((obj_t)
((obj_t)BgL_vz00_3608)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__multimediazd2midizd2(obj_t BgL_envz00_3609, obj_t BgL_oz00_3610)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3610)))->BgL_noteonz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2317> */
obj_t BGl_z62zc3anonymousza32317ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3611)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2noteoffzd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2316 */
obj_t BGl_z62lambda2316z62zz__multimediazd2midizd2(obj_t BgL_envz00_3612, obj_t BgL_oz00_3613, obj_t BgL_vz00_3614)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3613)))->BgL_noteoffz00)=((obj_t)
((obj_t)BgL_vz00_3614)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2315 */
obj_t BGl_z62lambda2315z62zz__multimediazd2midizd2(obj_t BgL_envz00_3615, obj_t BgL_oz00_3616)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3616)))->BgL_noteoffz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2310> */
obj_t BGl_z62zc3anonymousza32310ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3617)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_midiplayerzd2cdelayzd2envz00zz__multimediazd2midizd2;} 
BGL_FUNCTION_END;
}



/* &lambda2309 */
obj_t BGl_z62lambda2309z62zz__multimediazd2midizd2(obj_t BgL_envz00_3618, obj_t BgL_oz00_3619, obj_t BgL_vz00_3620)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3619)))->BgL_cdelayz00)=((obj_t)
((obj_t)BgL_vz00_3620)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2308 */
obj_t BGl_z62lambda2308z62zz__multimediazd2midizd2(obj_t BgL_envz00_3621, obj_t BgL_oz00_3622)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3622)))->BgL_cdelayz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2303> */
obj_t BGl_z62zc3anonymousza32303ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3623)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return BGl_errorzd2envzd2zz__errorz00;} 
BGL_FUNCTION_END;
}



/* &lambda2302 */
obj_t BGl_z62lambda2302z62zz__multimediazd2midizd2(obj_t BgL_envz00_3624, obj_t BgL_oz00_3625, obj_t BgL_vz00_3626)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
((((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3625)))->BgL_errz00)=((obj_t)
((obj_t)BgL_vz00_3626)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2301 */
obj_t BGl_z62lambda2301z62zz__multimediazd2midizd2(obj_t BgL_envz00_3627, obj_t BgL_oz00_3628)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 52 */
return 
(((BgL_midiplayerz00_bglt)COBJECT(
((BgL_midiplayerz00_bglt)BgL_oz00_3628)))->BgL_errz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2250> */
obj_t BGl_z62zc3anonymousza32250ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3629, obj_t BgL_new1079z00_3630)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
{ 
BgL_midireaderz00_bglt BgL_auxz00_7696;
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_peekzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_readzd2bytezd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_readzd2int16zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_readzd2int32zd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_readzd2intzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_readzd2vlqzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_new1079z00_3630)))->BgL_readzd2charszd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_7696 = 
((BgL_midireaderz00_bglt)BgL_new1079z00_3630); 
return 
((obj_t)BgL_auxz00_7696);} } 
BGL_FUNCTION_END;
}



/* &lambda2248 */
BgL_midireaderz00_bglt BGl_z62lambda2248z62zz__multimediazd2midizd2(obj_t BgL_envz00_3631)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
BgL_midireaderz00_bglt BgL_new1078z00_4296;
BgL_new1078z00_4296 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
long BgL_arg2249z00_4297;
{ /* Llib/midi.scm 42 */
long BgL_res2795z00_4298;
BgL_res2795z00_4298 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BgL_arg2249z00_4297 = BgL_res2795z00_4298; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4296), BgL_arg2249z00_4297); } 
return BgL_new1078z00_4296;} } 
BGL_FUNCTION_END;
}



/* &lambda2245 */
BgL_midireaderz00_bglt BGl_z62lambda2245z62zz__multimediazd2midizd2(obj_t BgL_envz00_3632, obj_t BgL_peekzd2byte1071zd2_3633, obj_t BgL_readzd2byte1072zd2_3634, obj_t BgL_readzd2int161073zd2_3635, obj_t BgL_readzd2int321074zd2_3636, obj_t BgL_readzd2int1075zd2_3637, obj_t BgL_readzd2vlq1076zd2_3638, obj_t BgL_readzd2chars1077zd2_3639)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
{ /* Llib/midi.scm 42 */
BgL_midireaderz00_bglt BgL_new1180z00_4306;
{ /* Llib/midi.scm 42 */
BgL_midireaderz00_bglt BgL_new1179z00_4307;
BgL_new1179z00_4307 = 
((BgL_midireaderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midireaderz00_bgl) ))); 
{ /* Llib/midi.scm 42 */
long BgL_arg2247z00_4308;
{ /* Llib/midi.scm 42 */
long BgL_res2794z00_4309;
BgL_res2794z00_4309 = 
BGL_CLASS_INDEX(BGl_midireaderz00zz__multimediazd2midizd2); 
BgL_arg2247z00_4308 = BgL_res2794z00_4309; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_4307), BgL_arg2247z00_4308); } 
BgL_new1180z00_4306 = BgL_new1179z00_4307; } 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_peekzd2byte1071zd2_3633)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_readzd2byte1072zd2_3634)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_readzd2int161073zd2_3635)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_readzd2int321074zd2_3636)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_readzd2int1075zd2_3637)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_readzd2vlq1076zd2_3638)),BUNSPEC); 
((((BgL_midireaderz00_bglt)COBJECT(BgL_new1180z00_4306))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_readzd2chars1077zd2_3639)),BUNSPEC); 
{ /* Llib/midi.scm 42 */
obj_t BgL_fun2246z00_4310;
BgL_fun2246z00_4310 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midireaderz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2246z00_4310)(BgL_fun2246z00_4310, 
((obj_t)BgL_new1180z00_4306), BEOA); } 
return BgL_new1180z00_4306;} } 
BGL_FUNCTION_END;
}



/* &lambda2285 */
obj_t BGl_z62lambda2285z62zz__multimediazd2midizd2(obj_t BgL_envz00_3640, obj_t BgL_oz00_3641, obj_t BgL_vz00_3642)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3641)))->BgL_readzd2charszd2)=((obj_t)
((obj_t)BgL_vz00_3642)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2284 */
obj_t BGl_z62lambda2284z62zz__multimediazd2midizd2(obj_t BgL_envz00_3643, obj_t BgL_oz00_3644)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3644)))->BgL_readzd2charszd2);} 
BGL_FUNCTION_END;
}



/* &lambda2280 */
obj_t BGl_z62lambda2280z62zz__multimediazd2midizd2(obj_t BgL_envz00_3645, obj_t BgL_oz00_3646, obj_t BgL_vz00_3647)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3646)))->BgL_readzd2vlqzd2)=((obj_t)
((obj_t)BgL_vz00_3647)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2279 */
obj_t BGl_z62lambda2279z62zz__multimediazd2midizd2(obj_t BgL_envz00_3648, obj_t BgL_oz00_3649)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3649)))->BgL_readzd2vlqzd2);} 
BGL_FUNCTION_END;
}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__multimediazd2midizd2(obj_t BgL_envz00_3650, obj_t BgL_oz00_3651, obj_t BgL_vz00_3652)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3651)))->BgL_readzd2intzd2)=((obj_t)
((obj_t)BgL_vz00_3652)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2274 */
obj_t BGl_z62lambda2274z62zz__multimediazd2midizd2(obj_t BgL_envz00_3653, obj_t BgL_oz00_3654)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3654)))->BgL_readzd2intzd2);} 
BGL_FUNCTION_END;
}



/* &lambda2270 */
obj_t BGl_z62lambda2270z62zz__multimediazd2midizd2(obj_t BgL_envz00_3655, obj_t BgL_oz00_3656, obj_t BgL_vz00_3657)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3656)))->BgL_readzd2int32zd2)=((obj_t)
((obj_t)BgL_vz00_3657)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2269 */
obj_t BGl_z62lambda2269z62zz__multimediazd2midizd2(obj_t BgL_envz00_3658, obj_t BgL_oz00_3659)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3659)))->BgL_readzd2int32zd2);} 
BGL_FUNCTION_END;
}



/* &lambda2265 */
obj_t BGl_z62lambda2265z62zz__multimediazd2midizd2(obj_t BgL_envz00_3660, obj_t BgL_oz00_3661, obj_t BgL_vz00_3662)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3661)))->BgL_readzd2int16zd2)=((obj_t)
((obj_t)BgL_vz00_3662)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2264 */
obj_t BGl_z62lambda2264z62zz__multimediazd2midizd2(obj_t BgL_envz00_3663, obj_t BgL_oz00_3664)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3664)))->BgL_readzd2int16zd2);} 
BGL_FUNCTION_END;
}



/* &lambda2260 */
obj_t BGl_z62lambda2260z62zz__multimediazd2midizd2(obj_t BgL_envz00_3665, obj_t BgL_oz00_3666, obj_t BgL_vz00_3667)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3666)))->BgL_readzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3667)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2259 */
obj_t BGl_z62lambda2259z62zz__multimediazd2midizd2(obj_t BgL_envz00_3668, obj_t BgL_oz00_3669)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3669)))->BgL_readzd2bytezd2);} 
BGL_FUNCTION_END;
}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__multimediazd2midizd2(obj_t BgL_envz00_3670, obj_t BgL_oz00_3671, obj_t BgL_vz00_3672)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
((((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3671)))->BgL_peekzd2bytezd2)=((obj_t)
((obj_t)BgL_vz00_3672)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__multimediazd2midizd2(obj_t BgL_envz00_3673, obj_t BgL_oz00_3674)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 42 */
return 
(((BgL_midireaderz00_bglt)COBJECT(
((BgL_midireaderz00_bglt)BgL_oz00_3674)))->BgL_peekzd2bytezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2145> */
obj_t BGl_z62zc3anonymousza32145ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3675, obj_t BgL_new1069z00_3676)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ 
BgL_miditrackz00_bglt BgL_auxz00_7776;
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_z52streamz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_midireaderz00_bglt BgL_auxz00_7779;
{ /* Llib/midi.scm 24 */
obj_t BgL_classz00_4333;
BgL_classz00_4333 = BGl_midireaderz00zz__multimediazd2midizd2; 
{ /* Llib/midi.scm 24 */
obj_t BgL__ortest_1106z00_4334;
BgL__ortest_1106z00_4334 = 
BGL_CLASS_NIL(BgL_classz00_4333); 
if(
CBOOL(BgL__ortest_1106z00_4334))
{ /* Llib/midi.scm 24 */
BgL_auxz00_7779 = 
((BgL_midireaderz00_bglt)BgL__ortest_1106z00_4334)
; }  else 
{ /* Llib/midi.scm 24 */
BgL_auxz00_7779 = 
((BgL_midireaderz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4333))
; } } } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)BgL_auxz00_7779),BUNSPEC); } 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_z52closez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_z52eotz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_z52wtickz52)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_z52statusz52)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_lenz00)=((int32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_ipz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_startz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_datastartz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_wtickz00)=((uint32_t)
0L),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_statusz00)=((long)((long)0)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_new1069z00_3676)))->BgL_eotz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_7776 = 
((BgL_miditrackz00_bglt)BgL_new1069z00_3676); 
return 
((obj_t)BgL_auxz00_7776);} } 
BGL_FUNCTION_END;
}



/* &lambda2143 */
BgL_miditrackz00_bglt BGl_z62lambda2143z62zz__multimediazd2midizd2(obj_t BgL_envz00_3677)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
BgL_miditrackz00_bglt BgL_new1068z00_4335;
BgL_new1068z00_4335 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
long BgL_arg2144z00_4336;
{ /* Llib/midi.scm 24 */
long BgL_res2793z00_4337;
BgL_res2793z00_4337 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BgL_arg2144z00_4336 = BgL_res2793z00_4337; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_4335), BgL_arg2144z00_4336); } 
return BgL_new1068z00_4335;} } 
BGL_FUNCTION_END;
}



/* &lambda2140 */
BgL_miditrackz00_bglt BGl_z62lambda2140z62zz__multimediazd2midizd2(obj_t BgL_envz00_3678, obj_t BgL_z52stream1054z52_3679, obj_t BgL_z52reader1055z52_3680, obj_t BgL_z52close1056z52_3681, obj_t BgL_z52eot1057z52_3682, obj_t BgL_z52wtick1058z52_3683, obj_t BgL_z52status1059z52_3684, obj_t BgL_len1060z00_3685, obj_t BgL_tempo1061z00_3686, obj_t BgL_ip1062z00_3687, obj_t BgL_start1063z00_3688, obj_t BgL_datastart1064z00_3689, obj_t BgL_wtick1065z00_3690, obj_t BgL_status1066z00_3691, obj_t BgL_eot1067z00_3692)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
bool_t BgL_z52eot1057z52_4340;uint32_t BgL_z52wtick1058z52_4341;long BgL_z52status1059z52_4342;int32_t BgL_len1060z00_4343;long BgL_tempo1061z00_4344;long BgL_start1063z00_4345;long BgL_datastart1064z00_4346;uint32_t BgL_wtick1065z00_4347;long BgL_status1066z00_4348;bool_t BgL_eot1067z00_4349;
BgL_z52eot1057z52_4340 = 
CBOOL(BgL_z52eot1057z52_3682); 
BgL_z52wtick1058z52_4341 = 
BGL_BUINT32_TO_UINT32(BgL_z52wtick1058z52_3683); 
BgL_z52status1059z52_4342 = 
(long)CINT(BgL_z52status1059z52_3684); 
BgL_len1060z00_4343 = 
BGL_BINT32_TO_INT32(BgL_len1060z00_3685); 
BgL_tempo1061z00_4344 = 
(long)CINT(BgL_tempo1061z00_3686); 
BgL_start1063z00_4345 = 
(long)CINT(BgL_start1063z00_3688); 
BgL_datastart1064z00_4346 = 
(long)CINT(BgL_datastart1064z00_3689); 
BgL_wtick1065z00_4347 = 
BGL_BUINT32_TO_UINT32(BgL_wtick1065z00_3690); 
BgL_status1066z00_4348 = 
(long)CINT(BgL_status1066z00_3691); 
BgL_eot1067z00_4349 = 
CBOOL(BgL_eot1067z00_3692); 
{ /* Llib/midi.scm 24 */
BgL_miditrackz00_bglt BgL_new1178z00_4350;
{ /* Llib/midi.scm 24 */
BgL_miditrackz00_bglt BgL_new1177z00_4351;
BgL_new1177z00_4351 = 
((BgL_miditrackz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_miditrackz00_bgl) ))); 
{ /* Llib/midi.scm 24 */
long BgL_arg2142z00_4352;
{ /* Llib/midi.scm 24 */
long BgL_res2792z00_4353;
BgL_res2792z00_4353 = 
BGL_CLASS_INDEX(BGl_miditrackz00zz__multimediazd2midizd2); 
BgL_arg2142z00_4352 = BgL_res2792z00_4353; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_4351), BgL_arg2142z00_4352); } 
BgL_new1178z00_4350 = BgL_new1177z00_4351; } 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_z52streamz52)=((obj_t)BgL_z52stream1054z52_3679),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_z52reader1055z52_3680)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_z52close1056z52_3681)),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_z52eotz52)=((bool_t)BgL_z52eot1057z52_4340),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_z52wtickz52)=((uint32_t)BgL_z52wtick1058z52_4341),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_z52statusz52)=((long)BgL_z52status1059z52_4342),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_lenz00)=((int32_t)BgL_len1060z00_4343),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_tempoz00)=((long)BgL_tempo1061z00_4344),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_ipz00)=((obj_t)BgL_ip1062z00_3687),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_startz00)=((long)BgL_start1063z00_4345),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_datastartz00)=((long)BgL_datastart1064z00_4346),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_wtickz00)=((uint32_t)BgL_wtick1065z00_4347),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_statusz00)=((long)BgL_status1066z00_4348),BUNSPEC); 
((((BgL_miditrackz00_bglt)COBJECT(BgL_new1178z00_4350))->BgL_eotz00)=((bool_t)BgL_eot1067z00_4349),BUNSPEC); 
{ /* Llib/midi.scm 24 */
obj_t BgL_fun2141z00_4354;
BgL_fun2141z00_4354 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_miditrackz00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2141z00_4354)(BgL_fun2141z00_4354, 
((obj_t)BgL_new1178z00_4350), BEOA); } 
return BgL_new1178z00_4350;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2239> */
obj_t BGl_z62zc3anonymousza32239ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3693)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda2238 */
obj_t BGl_z62lambda2238z62zz__multimediazd2midizd2(obj_t BgL_envz00_3694, obj_t BgL_oz00_3695, obj_t BgL_vz00_3696)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
bool_t BgL_vz00_4356;
BgL_vz00_4356 = 
CBOOL(BgL_vz00_3696); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3695)))->BgL_eotz00)=((bool_t)BgL_vz00_4356),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2237 */
obj_t BGl_z62lambda2237z62zz__multimediazd2midizd2(obj_t BgL_envz00_3697, obj_t BgL_oz00_3698)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3698)))->BgL_eotz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2232> */
obj_t BGl_z62zc3anonymousza32232ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3699)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(((long)-1));} 
BGL_FUNCTION_END;
}



/* &lambda2231 */
obj_t BGl_z62lambda2231z62zz__multimediazd2midizd2(obj_t BgL_envz00_3700, obj_t BgL_oz00_3701, obj_t BgL_vz00_3702)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4359;
BgL_vz00_4359 = 
(long)CINT(BgL_vz00_3702); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3701)))->BgL_statusz00)=((long)BgL_vz00_4359),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2230 */
obj_t BGl_z62lambda2230z62zz__multimediazd2midizd2(obj_t BgL_envz00_3703, obj_t BgL_oz00_3704)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3704)))->BgL_statusz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2225> */
obj_t BGl_z62zc3anonymousza32225ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3705)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 
BGL_FUNCTION_END;
}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__multimediazd2midizd2(obj_t BgL_envz00_3706, obj_t BgL_oz00_3707, obj_t BgL_vz00_3708)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_vz00_4362;
BgL_vz00_4362 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3708); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3707)))->BgL_wtickz00)=((uint32_t)BgL_vz00_4362),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2223 */
obj_t BGl_z62lambda2223z62zz__multimediazd2midizd2(obj_t BgL_envz00_3709, obj_t BgL_oz00_3710)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_tmpz00_7875;
BgL_tmpz00_7875 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3710)))->BgL_wtickz00); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_7875);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2218> */
obj_t BGl_z62zc3anonymousza32218ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3711)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__multimediazd2midizd2(obj_t BgL_envz00_3712, obj_t BgL_oz00_3713, obj_t BgL_vz00_3714)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4365;
BgL_vz00_4365 = 
(long)CINT(BgL_vz00_3714); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3713)))->BgL_datastartz00)=((long)BgL_vz00_4365),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2216 */
obj_t BGl_z62lambda2216z62zz__multimediazd2midizd2(obj_t BgL_envz00_3715, obj_t BgL_oz00_3716)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3716)))->BgL_datastartz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2211> */
obj_t BGl_z62zc3anonymousza32211ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3717)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2210 */
obj_t BGl_z62lambda2210z62zz__multimediazd2midizd2(obj_t BgL_envz00_3718, obj_t BgL_oz00_3719, obj_t BgL_vz00_3720)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4368;
BgL_vz00_4368 = 
(long)CINT(BgL_vz00_3720); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3719)))->BgL_startz00)=((long)BgL_vz00_4368),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__multimediazd2midizd2(obj_t BgL_envz00_3721, obj_t BgL_oz00_3722)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3722)))->BgL_startz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2204> */
obj_t BGl_z62zc3anonymousza32204ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3723)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda2203 */
obj_t BGl_z62lambda2203z62zz__multimediazd2midizd2(obj_t BgL_envz00_3724, obj_t BgL_oz00_3725, obj_t BgL_vz00_3726)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3725)))->BgL_ipz00)=((obj_t)BgL_vz00_3726),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2202 */
obj_t BGl_z62lambda2202z62zz__multimediazd2midizd2(obj_t BgL_envz00_3727, obj_t BgL_oz00_3728)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3728)))->BgL_ipz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2197> */
obj_t BGl_z62zc3anonymousza32197ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3729)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(((long)500000));} 
BGL_FUNCTION_END;
}



/* &lambda2196 */
obj_t BGl_z62lambda2196z62zz__multimediazd2midizd2(obj_t BgL_envz00_3730, obj_t BgL_oz00_3731, obj_t BgL_vz00_3732)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4373;
BgL_vz00_4373 = 
(long)CINT(BgL_vz00_3732); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3731)))->BgL_tempoz00)=((long)BgL_vz00_4373),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2195 */
obj_t BGl_z62lambda2195z62zz__multimediazd2midizd2(obj_t BgL_envz00_3733, obj_t BgL_oz00_3734)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3734)))->BgL_tempoz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2190> */
obj_t BGl_z62zc3anonymousza32190ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3735)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__multimediazd2midizd2(obj_t BgL_envz00_3736, obj_t BgL_oz00_3737, obj_t BgL_vz00_3738)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
int32_t BgL_vz00_4376;
BgL_vz00_4376 = 
BGL_BINT32_TO_INT32(BgL_vz00_3738); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3737)))->BgL_lenz00)=((int32_t)BgL_vz00_4376),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__multimediazd2midizd2(obj_t BgL_envz00_3739, obj_t BgL_oz00_3740)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
int32_t BgL_tmpz00_7909;
BgL_tmpz00_7909 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3740)))->BgL_lenz00); 
return 
BGL_INT32_TO_BINT32(BgL_tmpz00_7909);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2183> */
obj_t BGl_z62zc3anonymousza32183ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3741)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2182 */
obj_t BGl_z62lambda2182z62zz__multimediazd2midizd2(obj_t BgL_envz00_3742, obj_t BgL_oz00_3743, obj_t BgL_vz00_3744)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
long BgL_vz00_4379;
BgL_vz00_4379 = 
(long)CINT(BgL_vz00_3744); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3743)))->BgL_z52statusz52)=((long)BgL_vz00_4379),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2181 */
obj_t BGl_z62lambda2181z62zz__multimediazd2midizd2(obj_t BgL_envz00_3745, obj_t BgL_oz00_3746)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BINT(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3746)))->BgL_z52statusz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2176> */
obj_t BGl_z62zc3anonymousza32176ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3747)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BGL_UINT32_TO_BUINT32((uint32_t)(0));} 
BGL_FUNCTION_END;
}



/* &lambda2175 */
obj_t BGl_z62lambda2175z62zz__multimediazd2midizd2(obj_t BgL_envz00_3748, obj_t BgL_oz00_3749, obj_t BgL_vz00_3750)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_vz00_4382;
BgL_vz00_4382 = 
BGL_BUINT32_TO_UINT32(BgL_vz00_3750); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3749)))->BgL_z52wtickz52)=((uint32_t)BgL_vz00_4382),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2174 */
obj_t BGl_z62lambda2174z62zz__multimediazd2midizd2(obj_t BgL_envz00_3751, obj_t BgL_oz00_3752)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
uint32_t BgL_tmpz00_7924;
BgL_tmpz00_7924 = 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3752)))->BgL_z52wtickz52); 
return 
BGL_UINT32_TO_BUINT32(BgL_tmpz00_7924);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2169> */
obj_t BGl_z62zc3anonymousza32169ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3753)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda2168 */
obj_t BGl_z62lambda2168z62zz__multimediazd2midizd2(obj_t BgL_envz00_3754, obj_t BgL_oz00_3755, obj_t BgL_vz00_3756)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
{ /* Llib/midi.scm 24 */
bool_t BgL_vz00_4385;
BgL_vz00_4385 = 
CBOOL(BgL_vz00_3756); 
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3755)))->BgL_z52eotz52)=((bool_t)BgL_vz00_4385),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2167 */
obj_t BGl_z62lambda2167z62zz__multimediazd2midizd2(obj_t BgL_envz00_3757, obj_t BgL_oz00_3758)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BBOOL(
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3758)))->BgL_z52eotz52));} 
BGL_FUNCTION_END;
}



/* &lambda2162 */
obj_t BGl_z62lambda2162z62zz__multimediazd2midizd2(obj_t BgL_envz00_3759, obj_t BgL_oz00_3760, obj_t BgL_vz00_3761)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3760)))->BgL_z52closez52)=((obj_t)
((obj_t)BgL_vz00_3761)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__multimediazd2midizd2(obj_t BgL_envz00_3762, obj_t BgL_oz00_3763)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3763)))->BgL_z52closez52);} 
BGL_FUNCTION_END;
}



/* &lambda2157 */
obj_t BGl_z62lambda2157z62zz__multimediazd2midizd2(obj_t BgL_envz00_3764, obj_t BgL_oz00_3765, obj_t BgL_vz00_3766)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3765)))->BgL_z52readerz52)=((BgL_midireaderz00_bglt)
((BgL_midireaderz00_bglt)BgL_vz00_3766)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2156 */
BgL_midireaderz00_bglt BGl_z62lambda2156z62zz__multimediazd2midizd2(obj_t BgL_envz00_3767, obj_t BgL_oz00_3768)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3768)))->BgL_z52readerz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2152> */
obj_t BGl_z62zc3anonymousza32152ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3769)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda2151 */
obj_t BGl_z62lambda2151z62zz__multimediazd2midizd2(obj_t BgL_envz00_3770, obj_t BgL_oz00_3771, obj_t BgL_vz00_3772)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
((((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3771)))->BgL_z52streamz52)=((obj_t)BgL_vz00_3772),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2150 */
obj_t BGl_z62lambda2150z62zz__multimediazd2midizd2(obj_t BgL_envz00_3773, obj_t BgL_oz00_3774)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 24 */
return 
(((BgL_miditrackz00_bglt)COBJECT(
((BgL_miditrackz00_bglt)BgL_oz00_3774)))->BgL_z52streamz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2108> */
obj_t BGl_z62zc3anonymousza32108ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3775, obj_t BgL_new1052z00_3776)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
{ 
BgL_midiscorez00_bglt BgL_auxz00_7950;
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3776)))->BgL_formatz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3776)))->BgL_tempoz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3776)))->BgL_ppqz00)=((long)((long)0)),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_new1052z00_3776)))->BgL_tracksz00)=((obj_t)
CNST_TABLE_REF(((long)75))),BUNSPEC); 
BgL_auxz00_7950 = 
((BgL_midiscorez00_bglt)BgL_new1052z00_3776); 
return 
((obj_t)BgL_auxz00_7950);} } 
BGL_FUNCTION_END;
}



/* &lambda2106 */
BgL_midiscorez00_bglt BGl_z62lambda2106z62zz__multimediazd2midizd2(obj_t BgL_envz00_3777)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
BgL_midiscorez00_bglt BgL_new1051z00_4396;
BgL_new1051z00_4396 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
long BgL_arg2107z00_4397;
{ /* Llib/midi.scm 17 */
long BgL_res2791z00_4398;
BgL_res2791z00_4398 = 
BGL_CLASS_INDEX(BGl_midiscorez00zz__multimediazd2midizd2); 
BgL_arg2107z00_4397 = BgL_res2791z00_4398; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4396), BgL_arg2107z00_4397); } 
return BgL_new1051z00_4396;} } 
BGL_FUNCTION_END;
}



/* &lambda2103 */
BgL_midiscorez00_bglt BGl_z62lambda2103z62zz__multimediazd2midizd2(obj_t BgL_envz00_3778, obj_t BgL_format1047z00_3779, obj_t BgL_tempo1048z00_3780, obj_t BgL_ppq1049z00_3781, obj_t BgL_tracks1050z00_3782)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_format1047z00_4399;long BgL_tempo1048z00_4400;long BgL_ppq1049z00_4401;
BgL_format1047z00_4399 = 
(long)CINT(BgL_format1047z00_3779); 
BgL_tempo1048z00_4400 = 
(long)CINT(BgL_tempo1048z00_3780); 
BgL_ppq1049z00_4401 = 
(long)CINT(BgL_ppq1049z00_3781); 
{ /* Llib/midi.scm 17 */
BgL_midiscorez00_bglt BgL_new1176z00_4403;
{ /* Llib/midi.scm 17 */
BgL_midiscorez00_bglt BgL_new1175z00_4404;
BgL_new1175z00_4404 = 
((BgL_midiscorez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_midiscorez00_bgl) ))); 
{ /* Llib/midi.scm 17 */
long BgL_arg2105z00_4405;
{ /* Llib/midi.scm 17 */
long BgL_res2790z00_4406;
BgL_res2790z00_4406 = 
BGL_CLASS_INDEX(BGl_midiscorez00zz__multimediazd2midizd2); 
BgL_arg2105z00_4405 = BgL_res2790z00_4406; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_4404), BgL_arg2105z00_4405); } 
BgL_new1176z00_4403 = BgL_new1175z00_4404; } 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4403))->BgL_formatz00)=((long)BgL_format1047z00_4399),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4403))->BgL_tempoz00)=((long)BgL_tempo1048z00_4400),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4403))->BgL_ppqz00)=((long)BgL_ppq1049z00_4401),BUNSPEC); 
((((BgL_midiscorez00_bglt)COBJECT(BgL_new1176z00_4403))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_tracks1050z00_3782)),BUNSPEC); 
{ /* Llib/midi.scm 17 */
obj_t BgL_fun2104z00_4407;
BgL_fun2104z00_4407 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_midiscorez00zz__multimediazd2midizd2); 
PROCEDURE_ENTRY(BgL_fun2104z00_4407)(BgL_fun2104z00_4407, 
((obj_t)BgL_new1176z00_4403), BEOA); } 
return BgL_new1176z00_4403;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2134> */
obj_t BGl_z62zc3anonymousza32134ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3783)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
CNST_TABLE_REF(((long)75));} 
BGL_FUNCTION_END;
}



/* &lambda2133 */
obj_t BGl_z62lambda2133z62zz__multimediazd2midizd2(obj_t BgL_envz00_3784, obj_t BgL_oz00_3785, obj_t BgL_vz00_3786)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3785)))->BgL_tracksz00)=((obj_t)
((obj_t)BgL_vz00_3786)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2132 */
obj_t BGl_z62lambda2132z62zz__multimediazd2midizd2(obj_t BgL_envz00_3787, obj_t BgL_oz00_3788)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3788)))->BgL_tracksz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2127> */
obj_t BGl_z62zc3anonymousza32127ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3789)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
BINT(((long)96));} 
BGL_FUNCTION_END;
}



/* &lambda2126 */
obj_t BGl_z62lambda2126z62zz__multimediazd2midizd2(obj_t BgL_envz00_3790, obj_t BgL_oz00_3791, obj_t BgL_vz00_3792)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_vz00_4412;
BgL_vz00_4412 = 
(long)CINT(BgL_vz00_3792); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3791)))->BgL_ppqz00)=((long)BgL_vz00_4412),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2125 */
obj_t BGl_z62lambda2125z62zz__multimediazd2midizd2(obj_t BgL_envz00_3793, obj_t BgL_oz00_3794)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3794)))->BgL_ppqz00));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2120> */
obj_t BGl_z62zc3anonymousza32120ze3ze1zz__multimediazd2midizd2(obj_t BgL_envz00_3795)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
BINT(((long)500000));} 
BGL_FUNCTION_END;
}



/* &lambda2119 */
obj_t BGl_z62lambda2119z62zz__multimediazd2midizd2(obj_t BgL_envz00_3796, obj_t BgL_oz00_3797, obj_t BgL_vz00_3798)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_vz00_4415;
BgL_vz00_4415 = 
(long)CINT(BgL_vz00_3798); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3797)))->BgL_tempoz00)=((long)BgL_vz00_4415),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2118 */
obj_t BGl_z62lambda2118z62zz__multimediazd2midizd2(obj_t BgL_envz00_3799, obj_t BgL_oz00_3800)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3800)))->BgL_tempoz00));} 
BGL_FUNCTION_END;
}



/* &lambda2113 */
obj_t BGl_z62lambda2113z62zz__multimediazd2midizd2(obj_t BgL_envz00_3801, obj_t BgL_oz00_3802, obj_t BgL_vz00_3803)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
{ /* Llib/midi.scm 17 */
long BgL_vz00_4418;
BgL_vz00_4418 = 
(long)CINT(BgL_vz00_3803); 
return 
((((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3802)))->BgL_formatz00)=((long)BgL_vz00_4418),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2112 */
obj_t BGl_z62lambda2112z62zz__multimediazd2midizd2(obj_t BgL_envz00_3804, obj_t BgL_oz00_3805)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 17 */
return 
BINT(
(((BgL_midiscorez00_bglt)COBJECT(
((BgL_midiscorez00_bglt)BgL_oz00_3805)))->BgL_formatz00));} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3263z00zz__multimediazd2midizd2, BGl_midiscorez00zz__multimediazd2midizd2, BGl_string3264z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3265z00zz__multimediazd2midizd2, BGl_miditrackz00zz__multimediazd2midizd2, BGl_string3266z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3267z00zz__multimediazd2midizd2, BGl_midireaderz00zz__multimediazd2midizd2, BGl_string3268z00zz__multimediazd2midizd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3269z00zz__multimediazd2midizd2, BGl_midiplayerz00zz__multimediazd2midizd2, BGl_string3270z00zz__multimediazd2midizd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, BGl_proc3271z00zz__multimediazd2midizd2, BGl_midisinkz00zz__multimediazd2midizd2, BGl_string3272z00zz__multimediazd2midizd2);} 
BGL_FUNCTION_END;
}



/* &midisink-init1237 */
obj_t BGl_z62midisinkzd2init1237zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3821, obj_t BgL_msinkz00_3822)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 987 */
return 
((obj_t)
((BgL_midisinkz00_bglt)BgL_msinkz00_3822));} 
BGL_FUNCTION_END;
}



/* &midiplayer-init1235 */
obj_t BGl_z62midiplayerzd2init1235zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3823, obj_t BgL_mplayerz00_3824)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 981 */
return 
((obj_t)
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3824));} 
BGL_FUNCTION_END;
}



/* &midireader-init1233 */
obj_t BGl_z62midireaderzd2init1233zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3825, obj_t BgL_mreaderz00_3826)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 975 */
return 
((obj_t)
((BgL_midireaderz00_bglt)BgL_mreaderz00_3826));} 
BGL_FUNCTION_END;
}



/* &miditrack-init1231 */
obj_t BGl_z62miditrackzd2init1231zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3827, obj_t BgL_mtrackz00_3828)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 969 */
return 
((obj_t)
((BgL_miditrackz00_bglt)BgL_mtrackz00_3828));} 
BGL_FUNCTION_END;
}



/* &midiscore-init1229 */
obj_t BGl_z62midiscorezd2init1229zb0zz__multimediazd2midizd2(obj_t BgL_envz00_3829, obj_t BgL_mscorez00_3830)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 963 */
return 
((obj_t)
((BgL_midiscorez00_bglt)BgL_mscorez00_3830));} 
BGL_FUNCTION_END;
}



/* midiscore-init */
BGL_EXPORTED_DEF obj_t BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_midiscorez00_bglt BgL_mscorez00_63)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
obj_t BgL_method1230z00_1855;
{ /* Llib/midi.scm 963 */
obj_t BgL_res2806z00_2823;
{ /* Llib/midi.scm 963 */
long BgL_objzd2classzd2numz00_2796;
{ /* Llib/midi.scm 963 */
long BgL_res2800z00_2799;
BgL_res2800z00_2799 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mscorez00_63)); 
BgL_objzd2classzd2numz00_2796 = BgL_res2800z00_2799; } 
{ /* Llib/midi.scm 963 */
obj_t BgL_arg1737z00_2797;
BgL_arg1737z00_2797 = 
PROCEDURE_REF(BGl_midiscorezd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 963 */
int BgL_offsetz00_2801;
BgL_offsetz00_2801 = 
(int)(BgL_objzd2classzd2numz00_2796); 
{ /* Llib/midi.scm 963 */
long BgL_offsetz00_2802;
BgL_offsetz00_2802 = 
(
(long)(BgL_offsetz00_2801)-OBJECT_TYPE); 
{ /* Llib/midi.scm 963 */
long BgL_modz00_2803;
{ /* Llib/midi.scm 963 */
int BgL_arg1739z00_2804;
BgL_arg1739z00_2804 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 963 */
long BgL_res2803z00_2814;
{ /* Llib/midi.scm 963 */
long BgL_tmpz00_8033;
BgL_tmpz00_8033 = 
(long)(BgL_arg1739z00_2804); 
BgL_res2803z00_2814 = 
(BgL_offsetz00_2802/BgL_tmpz00_8033); } 
BgL_modz00_2803 = BgL_res2803z00_2814; } } 
{ /* Llib/midi.scm 963 */
long BgL_restz00_2805;
{ /* Llib/midi.scm 963 */
int BgL_arg1738z00_2806;
BgL_arg1738z00_2806 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 963 */
long BgL_res2805z00_2818;
{ /* Llib/midi.scm 963 */
long BgL_tmpz00_8037;
BgL_tmpz00_8037 = 
(long)(BgL_arg1738z00_2806); 
BgL_res2805z00_2818 = 
(BgL_offsetz00_2802%BgL_tmpz00_8037); } 
BgL_restz00_2805 = BgL_res2805z00_2818; } } 
{ /* Llib/midi.scm 963 */

{ /* Llib/midi.scm 963 */
obj_t BgL_bucketz00_2807;
BgL_bucketz00_2807 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2797),BgL_modz00_2803); 
BgL_res2806z00_2823 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2807),BgL_restz00_2805); } } } } } } } } 
BgL_method1230z00_1855 = BgL_res2806z00_2823; } 
return 
PROCEDURE_ENTRY(BgL_method1230z00_1855)(BgL_method1230z00_1855, 
((obj_t)BgL_mscorez00_63), BEOA);} } 
BGL_FUNCTION_END;
}



/* &midiscore-init */
obj_t BGl_z62midiscorezd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3806, obj_t BgL_mscorez00_3807)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 963 */
{ /* Llib/midi.scm 963 */
BgL_midiscorez00_bglt BgL_auxz00_8049;
if(
BGl_isazf3zf3zz__objectz00(BgL_mscorez00_3807, BGl_midiscorez00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 963 */
BgL_auxz00_8049 = 
((BgL_midiscorez00_bglt)BgL_mscorez00_3807)
; }  else 
{ 
obj_t BgL_auxz00_8053;
BgL_auxz00_8053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)36209)), BGl_string3273z00zz__multimediazd2midizd2, BGl_string3041z00zz__multimediazd2midizd2, BgL_mscorez00_3807); 
FAILURE(BgL_auxz00_8053,BFALSE,BFALSE);} 
return 
BGl_midiscorezd2initzd2zz__multimediazd2midizd2(BgL_auxz00_8049);} } 
BGL_FUNCTION_END;
}



/* miditrack-init */
BGL_EXPORTED_DEF obj_t BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_miditrackz00_bglt BgL_mtrackz00_64)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
obj_t BgL_method1232z00_1856;
{ /* Llib/midi.scm 969 */
obj_t BgL_res2813z00_2852;
{ /* Llib/midi.scm 969 */
long BgL_objzd2classzd2numz00_2825;
{ /* Llib/midi.scm 969 */
long BgL_res2807z00_2828;
BgL_res2807z00_2828 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mtrackz00_64)); 
BgL_objzd2classzd2numz00_2825 = BgL_res2807z00_2828; } 
{ /* Llib/midi.scm 969 */
obj_t BgL_arg1737z00_2826;
BgL_arg1737z00_2826 = 
PROCEDURE_REF(BGl_miditrackzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 969 */
int BgL_offsetz00_2830;
BgL_offsetz00_2830 = 
(int)(BgL_objzd2classzd2numz00_2825); 
{ /* Llib/midi.scm 969 */
long BgL_offsetz00_2831;
BgL_offsetz00_2831 = 
(
(long)(BgL_offsetz00_2830)-OBJECT_TYPE); 
{ /* Llib/midi.scm 969 */
long BgL_modz00_2832;
{ /* Llib/midi.scm 969 */
int BgL_arg1739z00_2833;
BgL_arg1739z00_2833 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 969 */
long BgL_res2810z00_2843;
{ /* Llib/midi.scm 969 */
long BgL_tmpz00_8066;
BgL_tmpz00_8066 = 
(long)(BgL_arg1739z00_2833); 
BgL_res2810z00_2843 = 
(BgL_offsetz00_2831/BgL_tmpz00_8066); } 
BgL_modz00_2832 = BgL_res2810z00_2843; } } 
{ /* Llib/midi.scm 969 */
long BgL_restz00_2834;
{ /* Llib/midi.scm 969 */
int BgL_arg1738z00_2835;
BgL_arg1738z00_2835 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 969 */
long BgL_res2812z00_2847;
{ /* Llib/midi.scm 969 */
long BgL_tmpz00_8070;
BgL_tmpz00_8070 = 
(long)(BgL_arg1738z00_2835); 
BgL_res2812z00_2847 = 
(BgL_offsetz00_2831%BgL_tmpz00_8070); } 
BgL_restz00_2834 = BgL_res2812z00_2847; } } 
{ /* Llib/midi.scm 969 */

{ /* Llib/midi.scm 969 */
obj_t BgL_bucketz00_2836;
BgL_bucketz00_2836 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2826),BgL_modz00_2832); 
BgL_res2813z00_2852 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2836),BgL_restz00_2834); } } } } } } } } 
BgL_method1232z00_1856 = BgL_res2813z00_2852; } 
return 
PROCEDURE_ENTRY(BgL_method1232z00_1856)(BgL_method1232z00_1856, 
((obj_t)BgL_mtrackz00_64), BEOA);} } 
BGL_FUNCTION_END;
}



/* &miditrack-init */
obj_t BGl_z62miditrackzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3808, obj_t BgL_mtrackz00_3809)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 969 */
{ /* Llib/midi.scm 969 */
BgL_miditrackz00_bglt BgL_auxz00_8082;
if(
BGl_isazf3zf3zz__objectz00(BgL_mtrackz00_3809, BGl_miditrackz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 969 */
BgL_auxz00_8082 = 
((BgL_miditrackz00_bglt)BgL_mtrackz00_3809)
; }  else 
{ 
obj_t BgL_auxz00_8086;
BgL_auxz00_8086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)36494)), BGl_string3274z00zz__multimediazd2midizd2, BGl_string3063z00zz__multimediazd2midizd2, BgL_mtrackz00_3809); 
FAILURE(BgL_auxz00_8086,BFALSE,BFALSE);} 
return 
BGl_miditrackzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_8082);} } 
BGL_FUNCTION_END;
}



/* midireader-init */
BGL_EXPORTED_DEF obj_t BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_midireaderz00_bglt BgL_mreaderz00_65)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
obj_t BgL_method1234z00_1857;
{ /* Llib/midi.scm 975 */
obj_t BgL_res2820z00_2881;
{ /* Llib/midi.scm 975 */
long BgL_objzd2classzd2numz00_2854;
{ /* Llib/midi.scm 975 */
long BgL_res2814z00_2857;
BgL_res2814z00_2857 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mreaderz00_65)); 
BgL_objzd2classzd2numz00_2854 = BgL_res2814z00_2857; } 
{ /* Llib/midi.scm 975 */
obj_t BgL_arg1737z00_2855;
BgL_arg1737z00_2855 = 
PROCEDURE_REF(BGl_midireaderzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 975 */
int BgL_offsetz00_2859;
BgL_offsetz00_2859 = 
(int)(BgL_objzd2classzd2numz00_2854); 
{ /* Llib/midi.scm 975 */
long BgL_offsetz00_2860;
BgL_offsetz00_2860 = 
(
(long)(BgL_offsetz00_2859)-OBJECT_TYPE); 
{ /* Llib/midi.scm 975 */
long BgL_modz00_2861;
{ /* Llib/midi.scm 975 */
int BgL_arg1739z00_2862;
BgL_arg1739z00_2862 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 975 */
long BgL_res2817z00_2872;
{ /* Llib/midi.scm 975 */
long BgL_tmpz00_8099;
BgL_tmpz00_8099 = 
(long)(BgL_arg1739z00_2862); 
BgL_res2817z00_2872 = 
(BgL_offsetz00_2860/BgL_tmpz00_8099); } 
BgL_modz00_2861 = BgL_res2817z00_2872; } } 
{ /* Llib/midi.scm 975 */
long BgL_restz00_2863;
{ /* Llib/midi.scm 975 */
int BgL_arg1738z00_2864;
BgL_arg1738z00_2864 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 975 */
long BgL_res2819z00_2876;
{ /* Llib/midi.scm 975 */
long BgL_tmpz00_8103;
BgL_tmpz00_8103 = 
(long)(BgL_arg1738z00_2864); 
BgL_res2819z00_2876 = 
(BgL_offsetz00_2860%BgL_tmpz00_8103); } 
BgL_restz00_2863 = BgL_res2819z00_2876; } } 
{ /* Llib/midi.scm 975 */

{ /* Llib/midi.scm 975 */
obj_t BgL_bucketz00_2865;
BgL_bucketz00_2865 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2855),BgL_modz00_2861); 
BgL_res2820z00_2881 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2865),BgL_restz00_2863); } } } } } } } } 
BgL_method1234z00_1857 = BgL_res2820z00_2881; } 
return 
PROCEDURE_ENTRY(BgL_method1234z00_1857)(BgL_method1234z00_1857, 
((obj_t)BgL_mreaderz00_65), BEOA);} } 
BGL_FUNCTION_END;
}



/* &midireader-init */
obj_t BGl_z62midireaderzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3810, obj_t BgL_mreaderz00_3811)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 975 */
{ /* Llib/midi.scm 975 */
BgL_midireaderz00_bglt BgL_auxz00_8115;
if(
BGl_isazf3zf3zz__objectz00(BgL_mreaderz00_3811, BGl_midireaderz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 975 */
BgL_auxz00_8115 = 
((BgL_midireaderz00_bglt)BgL_mreaderz00_3811)
; }  else 
{ 
obj_t BgL_auxz00_8119;
BgL_auxz00_8119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)36779)), BGl_string3275z00zz__multimediazd2midizd2, BGl_string3276z00zz__multimediazd2midizd2, BgL_mreaderz00_3811); 
FAILURE(BgL_auxz00_8119,BFALSE,BFALSE);} 
return 
BGl_midireaderzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_8115);} } 
BGL_FUNCTION_END;
}



/* midiplayer-init */
BGL_EXPORTED_DEF obj_t BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_midiplayerz00_bglt BgL_mplayerz00_66)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
obj_t BgL_method1236z00_1858;
{ /* Llib/midi.scm 981 */
obj_t BgL_res2827z00_2910;
{ /* Llib/midi.scm 981 */
long BgL_objzd2classzd2numz00_2883;
{ /* Llib/midi.scm 981 */
long BgL_res2821z00_2886;
BgL_res2821z00_2886 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mplayerz00_66)); 
BgL_objzd2classzd2numz00_2883 = BgL_res2821z00_2886; } 
{ /* Llib/midi.scm 981 */
obj_t BgL_arg1737z00_2884;
BgL_arg1737z00_2884 = 
PROCEDURE_REF(BGl_midiplayerzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 981 */
int BgL_offsetz00_2888;
BgL_offsetz00_2888 = 
(int)(BgL_objzd2classzd2numz00_2883); 
{ /* Llib/midi.scm 981 */
long BgL_offsetz00_2889;
BgL_offsetz00_2889 = 
(
(long)(BgL_offsetz00_2888)-OBJECT_TYPE); 
{ /* Llib/midi.scm 981 */
long BgL_modz00_2890;
{ /* Llib/midi.scm 981 */
int BgL_arg1739z00_2891;
BgL_arg1739z00_2891 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 981 */
long BgL_res2824z00_2901;
{ /* Llib/midi.scm 981 */
long BgL_tmpz00_8132;
BgL_tmpz00_8132 = 
(long)(BgL_arg1739z00_2891); 
BgL_res2824z00_2901 = 
(BgL_offsetz00_2889/BgL_tmpz00_8132); } 
BgL_modz00_2890 = BgL_res2824z00_2901; } } 
{ /* Llib/midi.scm 981 */
long BgL_restz00_2892;
{ /* Llib/midi.scm 981 */
int BgL_arg1738z00_2893;
BgL_arg1738z00_2893 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 981 */
long BgL_res2826z00_2905;
{ /* Llib/midi.scm 981 */
long BgL_tmpz00_8136;
BgL_tmpz00_8136 = 
(long)(BgL_arg1738z00_2893); 
BgL_res2826z00_2905 = 
(BgL_offsetz00_2889%BgL_tmpz00_8136); } 
BgL_restz00_2892 = BgL_res2826z00_2905; } } 
{ /* Llib/midi.scm 981 */

{ /* Llib/midi.scm 981 */
obj_t BgL_bucketz00_2894;
BgL_bucketz00_2894 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2884),BgL_modz00_2890); 
BgL_res2827z00_2910 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2894),BgL_restz00_2892); } } } } } } } } 
BgL_method1236z00_1858 = BgL_res2827z00_2910; } 
return 
PROCEDURE_ENTRY(BgL_method1236z00_1858)(BgL_method1236z00_1858, 
((obj_t)BgL_mplayerz00_66), BEOA);} } 
BGL_FUNCTION_END;
}



/* &midiplayer-init */
obj_t BGl_z62midiplayerzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3812, obj_t BgL_mplayerz00_3813)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 981 */
{ /* Llib/midi.scm 981 */
BgL_midiplayerz00_bglt BgL_auxz00_8148;
if(
BGl_isazf3zf3zz__objectz00(BgL_mplayerz00_3813, BGl_midiplayerz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 981 */
BgL_auxz00_8148 = 
((BgL_midiplayerz00_bglt)BgL_mplayerz00_3813)
; }  else 
{ 
obj_t BgL_auxz00_8152;
BgL_auxz00_8152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37068)), BGl_string3277z00zz__multimediazd2midizd2, BGl_string3042z00zz__multimediazd2midizd2, BgL_mplayerz00_3813); 
FAILURE(BgL_auxz00_8152,BFALSE,BFALSE);} 
return 
BGl_midiplayerzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_8148);} } 
BGL_FUNCTION_END;
}



/* midisink-init */
BGL_EXPORTED_DEF obj_t BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_midisinkz00_bglt BgL_msinkz00_67)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
obj_t BgL_method1238z00_1859;
{ /* Llib/midi.scm 987 */
obj_t BgL_res2834z00_2939;
{ /* Llib/midi.scm 987 */
long BgL_objzd2classzd2numz00_2912;
{ /* Llib/midi.scm 987 */
long BgL_res2828z00_2915;
BgL_res2828z00_2915 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_msinkz00_67)); 
BgL_objzd2classzd2numz00_2912 = BgL_res2828z00_2915; } 
{ /* Llib/midi.scm 987 */
obj_t BgL_arg1737z00_2913;
BgL_arg1737z00_2913 = 
PROCEDURE_REF(BGl_midisinkzd2initzd2envz00zz__multimediazd2midizd2, 
(int)(((long)1))); 
{ /* Llib/midi.scm 987 */
int BgL_offsetz00_2917;
BgL_offsetz00_2917 = 
(int)(BgL_objzd2classzd2numz00_2912); 
{ /* Llib/midi.scm 987 */
long BgL_offsetz00_2918;
BgL_offsetz00_2918 = 
(
(long)(BgL_offsetz00_2917)-OBJECT_TYPE); 
{ /* Llib/midi.scm 987 */
long BgL_modz00_2919;
{ /* Llib/midi.scm 987 */
int BgL_arg1739z00_2920;
BgL_arg1739z00_2920 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 987 */
long BgL_res2831z00_2930;
{ /* Llib/midi.scm 987 */
long BgL_tmpz00_8165;
BgL_tmpz00_8165 = 
(long)(BgL_arg1739z00_2920); 
BgL_res2831z00_2930 = 
(BgL_offsetz00_2918/BgL_tmpz00_8165); } 
BgL_modz00_2919 = BgL_res2831z00_2930; } } 
{ /* Llib/midi.scm 987 */
long BgL_restz00_2921;
{ /* Llib/midi.scm 987 */
int BgL_arg1738z00_2922;
BgL_arg1738z00_2922 = 
(int)(((long)16)); 
{ /* Llib/midi.scm 987 */
long BgL_res2833z00_2934;
{ /* Llib/midi.scm 987 */
long BgL_tmpz00_8169;
BgL_tmpz00_8169 = 
(long)(BgL_arg1738z00_2922); 
BgL_res2833z00_2934 = 
(BgL_offsetz00_2918%BgL_tmpz00_8169); } 
BgL_restz00_2921 = BgL_res2833z00_2934; } } 
{ /* Llib/midi.scm 987 */

{ /* Llib/midi.scm 987 */
obj_t BgL_bucketz00_2923;
BgL_bucketz00_2923 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2913),BgL_modz00_2919); 
BgL_res2834z00_2939 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2923),BgL_restz00_2921); } } } } } } } } 
BgL_method1238z00_1859 = BgL_res2834z00_2939; } 
return 
PROCEDURE_ENTRY(BgL_method1238z00_1859)(BgL_method1238z00_1859, 
((obj_t)BgL_msinkz00_67), BEOA);} } 
BGL_FUNCTION_END;
}



/* &midisink-init */
obj_t BGl_z62midisinkzd2initzb0zz__multimediazd2midizd2(obj_t BgL_envz00_3814, obj_t BgL_msinkz00_3815)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 987 */
{ /* Llib/midi.scm 987 */
BgL_midisinkz00_bglt BgL_auxz00_8181;
if(
BGl_isazf3zf3zz__objectz00(BgL_msinkz00_3815, BGl_midisinkz00zz__multimediazd2midizd2))
{ /* Llib/midi.scm 987 */
BgL_auxz00_8181 = 
((BgL_midisinkz00_bglt)BgL_msinkz00_3815)
; }  else 
{ 
obj_t BgL_auxz00_8185;
BgL_auxz00_8185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3030z00zz__multimediazd2midizd2, 
BINT(((long)37357)), BGl_string3278z00zz__multimediazd2midizd2, BGl_string3043z00zz__multimediazd2midizd2, BgL_msinkz00_3815); 
FAILURE(BgL_auxz00_8185,BFALSE,BFALSE);} 
return 
BGl_midisinkzd2initzd2zz__multimediazd2midizd2(BgL_auxz00_8181);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2midizd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/midi.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
