/*===========================================================================*/
/*   (Llib/mpd.scm)                                                          */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -unsafe -safee -copt -fPIC -copt -IUnix Llib/mpd.scm -o objs/mpd.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musictagz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_titlez00;
   obj_t BgL_artistz00;
   obj_t BgL_interpretz00;
   obj_t BgL_albumz00;
   int BgL_trackz00;
   int BgL_yearz00;
   obj_t BgL_genrez00;
   obj_t BgL_commentz00;
   obj_t BgL_ufidz00;
   obj_t BgL_copyrightz00;
   obj_t BgL_picturez00;
} *BgL_musictagz00_bglt;

typedef struct BgL_musicinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
} *BgL_musicinfoz00_bglt;

typedef struct BgL_mpdzd2databasezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_directoriesz00;
   obj_t BgL_suffixesz00;
   obj_t BgL_z52basez52;
   obj_t BgL_z52artistsz52;
   obj_t BgL_z52albumsz52;
   obj_t BgL_z52genresz52;
   obj_t BgL_z52nartistsz52;
   int BgL_z52nalbumsz52;
   int BgL_z52nsongsz52;
   obj_t BgL_z52uptimez52;
   obj_t BgL_z52dbzd2updatez80;
} *BgL_mpdzd2databasezd2_bglt;


static obj_t BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32140ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_directory_to_list(char *);
extern obj_t BGl_musiczd2nextzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, int, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3anonymousza31977ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcicmp(obj_t, obj_t);
static obj_t BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32321ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1357z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1359z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgen1361z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62zc3anonymousza32307ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3anonymousza32145ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mpdzd2();
BGL_IMPORT obj_t BGl_stringzd2skipzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32342ze3ze1zz__multimediazd2mpdzd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2 = BUNSPEC;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ti1375zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32328ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdz00zz__multimediazd2mpdzd2(BgL_musicz00_bglt, obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2pausezd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32078ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2databasezd2getarti1382z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62mpdzd2databasezd2getarti1387z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32363ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenr1379z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ar1369zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenr1384z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BUNSPEC;
static bool_t BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32349ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, BgL_musicz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32293ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
extern BgL_musicstatusz00_bglt BGl_musiczd2statuszd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listalb1353z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t BGl_filezd2namezd2ze3listze3zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_getinfofilez00zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t fexists(char *);
static obj_t BGl_z62lambda2305z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2306z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getzd2alb1391zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2312z62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2313z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62lambda2319z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32549ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2320z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2();
static obj_t BGl_z62lambda2326z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda2333z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2334z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_filezd2musictagzd2zz__multimediazd2id3zd2(obj_t);
static obj_t BGl_z62lambda2340z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2341z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2volumezd2getz00zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62lambda2347z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2348z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_musictagz00zz__multimediazd2id3zd2;
static obj_t BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2354z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2metazd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62lambda2355z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2searchzd21371zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2searchzd21373zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2361z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2362z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = BUNSPEC;
static obj_t BGl_z62lambda2368z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2369z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static bool_t BGl_loopze71ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static bool_t BGl_loopze72ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, bool_t, obj_t);
static bool_t BGl_loopze74ze7zz__multimediazd2mpdzd2(obj_t, BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_loopze75ze7zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(obj_t, long);
extern obj_t BGl_musiczd2seekzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
extern obj_t BGl_musiczd2playzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2clearz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3exitza32024ze3ze70z64zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32027ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
static obj_t BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32028ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32150ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2initz121345z70zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_seconds_to_date(long);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_z62zc3anonymousza32314ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2stopzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__multimediazd2mpdzd2();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT obj_t BGl_hashtablezd2mapzd2zz__hashz00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(obj_t, long);
static obj_t BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32335ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3anonymousza32068ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, bool_t);
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2filezd2ze3p1347z53zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32280ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32370ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
static bool_t BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62zc3anonymousza32177ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2prevzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
BGL_IMPORT long bgl_current_seconds();
static obj_t BGl_z62zc3anonymousza32356ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, BgL_musicz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, int);
BGL_IMPORT obj_t BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62mpdzd2databasezd2lsinfo1365z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static obj_t BGl__mpdz00zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static long BGl_cmdnz00zz__multimediazd2mpdzd2;
BGL_IMPORT obj_t BGl_makezd2datezd2zz__datez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza32626ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpdzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3exitza32011ze3ze70z64zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static long BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2;
extern obj_t BGl_musicz00zz__multimediazd2musiczd2;
static obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mpdzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2();
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2al1367zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2();
static bool_t BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
extern obj_t BGl_musicinfoz00zz__multimediazd2id3zd2;
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
static bool_t BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT obj_t BGl_z62iozd2errorzb0zz__objectz00;
BGL_IMPORT obj_t BGl_makezd2filezd2pathz00zz__osz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62mpdzd2databasezd2stats1349z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2findzd2ge1377zb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listart1355z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t);
static bool_t BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(obj_t, obj_t);
BGL_IMPORT bool_t bgl_directoryp(char *);
extern int BGl_musiczd2songzd2zz__multimediazd2musiczd2(BgL_musicz00_bglt);
static obj_t BGl_z62mpdzd2databasezd2listart1363z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listall1351z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static BgL_mpdzd2databasezd2_bglt BGl_z62lambda2288z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32014ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t);
static BgL_mpdzd2databasezd2_bglt BGl_z62lambda2291z62zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT long bgl_last_modification_time(char *);
static obj_t BGl_z62lambda2298z62zz__multimediazd2mpdzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2299z62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_playlistinfoz00zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, int);
static obj_t BGl_z62zc3anonymousza32015ze3ze1zz__multimediazd2mpdzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt);
static obj_t BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32300ze3ze1zz__multimediazd2mpdzd2(obj_t);
static obj_t BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32106ze3ze1zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t);
static bool_t BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(obj_t, obj_t, BgL_mpdzd2databasezd2_bglt, obj_t);
static obj_t BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(obj_t);
BGL_IMPORT int BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt, obj_t, obj_t);
static obj_t __cnst[ 96 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3402z00, BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2seekidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2seekidza73403za7, BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playza7b03404za7, BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3216z00zz__multimediazd2mpdzd2, BgL_bgl_string3216za700za7za7_3405za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2rmzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2rmza7b0za7za73406za7, BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3217z00zz__multimediazd2mpdzd2, BgL_bgl_string3217za700za7za7_3407za7, "wrong number of arguments: [4..5] expected, provided", 52 );
DEFINE_STRING( BGl_string3218z00zz__multimediazd2mpdzd2, BgL_bgl_string3218za700za7za7_3408za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string3219z00zz__multimediazd2mpdzd2, BgL_bgl_string3219za700za7za7_3409za7, "/builddir/build/BUILD/bigloo4.3f/api/multimedia/src/Llib/mpd.scm", 64 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3410z00, BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3220z00zz__multimediazd2mpdzd2, BgL_bgl_string3220za700za7za7_3411za7, "_mpd", 4 );
DEFINE_STRING( BGl_string3221z00zz__multimediazd2mpdzd2, BgL_bgl_string3221za700za7za7_3412za7, "bint", 4 );
DEFINE_STRING( BGl_string3222z00zz__multimediazd2mpdzd2, BgL_bgl_string3222za700za7za7_3413za7, "music", 5 );
DEFINE_STRING( BGl_string3223z00zz__multimediazd2mpdzd2, BgL_bgl_string3223za700za7za7_3414za7, "input-port", 10 );
DEFINE_STRING( BGl_string3224z00zz__multimediazd2mpdzd2, BgL_bgl_string3224za700za7za7_3415za7, "output-port", 11 );
DEFINE_STRING( BGl_string3225z00zz__multimediazd2mpdzd2, BgL_bgl_string3225za700za7za7_3416za7, "mpd-database", 12 );
DEFINE_STRING( BGl_string3226z00zz__multimediazd2mpdzd2, BgL_bgl_string3226za700za7za7_3417za7, "OK MPD 0.16.0", 13 );
DEFINE_STRING( BGl_string3227z00zz__multimediazd2mpdzd2, BgL_bgl_string3227za700za7za7_3418za7, "OK\n", 3 );
DEFINE_STRING( BGl_string3228z00zz__multimediazd2mpdzd2, BgL_bgl_string3228za700za7za7_3419za7, "ACK [", 5 );
DEFINE_STRING( BGl_string3229z00zz__multimediazd2mpdzd2, BgL_bgl_string3229za700za7za7_3420za7, "5@0", 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3421z00, BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3300z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73422za7, BGl_z62zc3anonymousza32328ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3301z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2327za7623423z00, BGl_z62lambda2327z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3302z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2326za7623424z00, BGl_z62lambda2326z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3303z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73425za7, BGl_z62zc3anonymousza32335ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3304z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2334za7623426z00, BGl_z62lambda2334z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3305z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2333za7623427z00, BGl_z62lambda2333z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3230z00zz__multimediazd2mpdzd2, BgL_bgl_string3230za700za7za7_3428za7, "] {", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3306z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73429za7, BGl_z62zc3anonymousza32342ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3231z00zz__multimediazd2mpdzd2, BgL_bgl_string3231za700za7za7_3430za7, "} ", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3307z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2341za7623431z00, BGl_z62lambda2341z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3232z00zz__multimediazd2mpdzd2, BgL_bgl_string3232za700za7za7_3432za7, "\n", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3308z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2340za7623433z00, BGl_z62lambda2340z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3233z00zz__multimediazd2mpdzd2, BgL_bgl_string3233za700za7za7_3434za7, "unknown command \"~a\"", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3309z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73435za7, BGl_z62zc3anonymousza32349ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3234z00zz__multimediazd2mpdzd2, BgL_bgl_string3234za700za7za7_3436za7, "list_OK\n", 8 );
DEFINE_STRING( BGl_string3235z00zz__multimediazd2mpdzd2, BgL_bgl_string3235za700za7za7_3437za7, "handler: ", 9 );
DEFINE_STRING( BGl_string3236z00zz__multimediazd2mpdzd2, BgL_bgl_string3236za700za7za7_3438za7, "tagtype: ", 9 );
DEFINE_STRING( BGl_string3237z00zz__multimediazd2mpdzd2, BgL_bgl_string3237za700za7za7_3439za7, "volume: ", 8 );
DEFINE_STRING( BGl_string3238z00zz__multimediazd2mpdzd2, BgL_bgl_string3238za700za7za7_3440za7, "state: ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2updatezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2updateza73441za7, BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3239z00zz__multimediazd2mpdzd2, BgL_bgl_string3239za700za7za7_3442za7, "playlist: ", 10 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3443z00, BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3310z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2348za7623444z00, BGl_z62lambda2348z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3311z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2347za7623445z00, BGl_z62lambda2347z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3312z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73446za7, BGl_z62zc3anonymousza32356ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3313z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2355za7623447z00, BGl_z62lambda2355z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3314z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2354za7623448z00, BGl_z62lambda2354z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3315z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73449za7, BGl_z62zc3anonymousza32363ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3240z00zz__multimediazd2mpdzd2, BgL_bgl_string3240za700za7za7_3450za7, "playlistlength: ", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3316z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2362za7623451z00, BGl_z62lambda2362z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3241z00zz__multimediazd2mpdzd2, BgL_bgl_string3241za700za7za7_3452za7, "song: ", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3317z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2361za7623453z00, BGl_z62lambda2361z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3242z00zz__multimediazd2mpdzd2, BgL_bgl_string3242za700za7za7_3454za7, "songid: ", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3318z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73455za7, BGl_z62zc3anonymousza32370ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3243z00zz__multimediazd2mpdzd2, BgL_bgl_string3243za700za7za7_3456za7, "bitrate: ", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3319z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2369za7623457z00, BGl_z62lambda2369z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3244z00zz__multimediazd2mpdzd2, BgL_bgl_string3244za700za7za7_3458za7, "audio: ", 7 );
DEFINE_STRING( BGl_string3245z00zz__multimediazd2mpdzd2, BgL_bgl_string3245za700za7za7_3459za7, ":16:2\n", 6 );
DEFINE_STRING( BGl_string3246z00zz__multimediazd2mpdzd2, BgL_bgl_string3246za700za7za7_3460za7, "time: ", 6 );
DEFINE_STRING( BGl_string3247z00zz__multimediazd2mpdzd2, BgL_bgl_string3247za700za7za7_3461za7, ":", 1 );
DEFINE_STRING( BGl_string3248z00zz__multimediazd2mpdzd2, BgL_bgl_string3248za700za7za7_3462za7, "repeat: 1\n", 10 );
DEFINE_STRING( BGl_string3249z00zz__multimediazd2mpdzd2, BgL_bgl_string3249za700za7za7_3463za7, "repeat: 0\n", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3320z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2368za7623464z00, BGl_z62lambda2368z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3321z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73465za7, BGl_z62zc3anonymousza32293ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3322z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2291za7623466z00, BGl_z62lambda2291z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3323z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2288za7623467z00, BGl_z62lambda2288z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3324z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3468z00, BGl_z62mpdzd2databasezd2initz121345z70zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3250z00zz__multimediazd2mpdzd2, BgL_bgl_string3250za700za7za7_3469za7, "random: 1\n", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3326z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3470z00, BGl_z62mpdzd2databasezd2filezd2ze3p1347z53zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3251z00zz__multimediazd2mpdzd2, BgL_bgl_string3251za700za7za7_3471za7, "random: 0\n", 10 );
DEFINE_STRING( BGl_string3252z00zz__multimediazd2mpdzd2, BgL_bgl_string3252za700za7za7_3472za7, "xfade: ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3328z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3473z00, BGl_z62mpdzd2databasezd2stats1349z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3253z00zz__multimediazd2mpdzd2, BgL_bgl_string3253za700za7za7_3474za7, ": ", 2 );
DEFINE_STRING( BGl_string3254z00zz__multimediazd2mpdzd2, BgL_bgl_string3254za700za7za7_3475za7, "http://", 7 );
DEFINE_STRING( BGl_string3255z00zz__multimediazd2mpdzd2, BgL_bgl_string3255za700za7za7_3476za7, "add", 3 );
DEFINE_STRING( BGl_string3256z00zz__multimediazd2mpdzd2, BgL_bgl_string3256za700za7za7_3477za7, "illegal uri \"~a\"", 16 );
DEFINE_STRING( BGl_string3257z00zz__multimediazd2mpdzd2, BgL_bgl_string3257za700za7za7_3478za7, "file: ", 6 );
DEFINE_STRING( BGl_string3258z00zz__multimediazd2mpdzd2, BgL_bgl_string3258za700za7za7_3479za7, "Pos: ", 5 );
DEFINE_STRING( BGl_string3259z00zz__multimediazd2mpdzd2, BgL_bgl_string3259za700za7za7_3480za7, "Id: ", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3330z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3481z00, BGl_z62mpdzd2databasezd2listall1351z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3332z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3482z00, BGl_z62mpdzd2databasezd2listalb1353z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3334z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3483z00, BGl_z62mpdzd2databasezd2listart1355z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3260z00zz__multimediazd2mpdzd2, BgL_bgl_string3260za700za7za7_3484za7, "Artist: ", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3336z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3485z00, BGl_z62mpdzd2databasezd2listgen1357z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3261z00zz__multimediazd2mpdzd2, BgL_bgl_string3261za700za7za7_3486za7, "Title: ", 7 );
DEFINE_STRING( BGl_string3262z00zz__multimediazd2mpdzd2, BgL_bgl_string3262za700za7za7_3487za7, "Album: ", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3338z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3488z00, BGl_z62mpdzd2databasezd2listgen1359z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3263z00zz__multimediazd2mpdzd2, BgL_bgl_string3263za700za7za7_3489za7, "50@0", 4 );
DEFINE_STRING( BGl_string3264z00zz__multimediazd2mpdzd2, BgL_bgl_string3264za700za7za7_3490za7, "next", 4 );
DEFINE_STRING( BGl_string3265z00zz__multimediazd2mpdzd2, BgL_bgl_string3265za700za7za7_3491za7, "No more song", 12 );
DEFINE_STRING( BGl_string3266z00zz__multimediazd2mpdzd2, BgL_bgl_string3266za700za7za7_3492za7, "previous", 8 );
DEFINE_STRING( BGl_string3267z00zz__multimediazd2mpdzd2, BgL_bgl_string3267za700za7za7_3493za7, "No previous song", 16 );
DEFINE_STRING( BGl_string3268z00zz__multimediazd2mpdzd2, BgL_bgl_string3268za700za7za7_3494za7, "artist", 6 );
DEFINE_STRING( BGl_string3269z00zz__multimediazd2mpdzd2, BgL_bgl_string3269za700za7za7_3495za7, "genre", 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3496z00, BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3340z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3497z00, BGl_z62mpdzd2databasezd2listgen1361z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3342z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3498z00, BGl_z62mpdzd2databasezd2listart1363z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3344z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3499z00, BGl_z62mpdzd2databasezd2lsinfo1365z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3270z00zz__multimediazd2mpdzd2, BgL_bgl_string3270za700za7za7_3500za7, "unknown list type \"~a\"", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3346z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3501z00, BGl_z62mpdzd2databasezd2findzd2al1367zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3271z00zz__multimediazd2mpdzd2, BgL_bgl_string3271za700za7za7_3502za7, "ACK [2@0] {list} too few arguments for \"list\"", 45 );
DEFINE_STRING( BGl_string3272z00zz__multimediazd2mpdzd2, BgL_bgl_string3272za700za7za7_3503za7, "cpos: ", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3348z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3504z00, BGl_z62mpdzd2databasezd2findzd2ar1369zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3273z00zz__multimediazd2mpdzd2, BgL_bgl_string3273za700za7za7_3505za7, "unknown find type \"~a\"", 22 );
DEFINE_STRING( BGl_string3274z00zz__multimediazd2mpdzd2, BgL_bgl_string3274za700za7za7_3506za7, "unknown search type \"~a\"", 24 );
DEFINE_STRING( BGl_string3276z00zz__multimediazd2mpdzd2, BgL_bgl_string3276za700za7za7_3507za7, "command: ", 9 );
DEFINE_STRING( BGl_string3279z00zz__multimediazd2mpdzd2, BgL_bgl_string3279za700za7za7_3508za7, "No such file", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2seekzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2seekza7b03509za7, BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2pingzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2pingza7b03510za7, BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3350z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3511z00, BGl_z62mpdzd2databasezd2searchzd21371zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3352z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3512z00, BGl_z62mpdzd2databasezd2searchzd21373zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3354z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3513z00, BGl_z62mpdzd2databasezd2findzd2ti1375zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2nextzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2nextza7b03514za7, BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3356z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3515z00, BGl_z62mpdzd2databasezd2findzd2ge1377zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3358z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3516z00, BGl_z62mpdzd2databasezd2getgenr1379z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3284z00zz__multimediazd2mpdzd2, BgL_bgl_string3284za700za7za7_3517za7, "~a-~2,0d-~2,0dT~2,0d:~2,0d:~2,0dZ", 33 );
DEFINE_STRING( BGl_string3285z00zz__multimediazd2mpdzd2, BgL_bgl_string3285za700za7za7_3518za7, "unknown", 7 );
DEFINE_STRING( BGl_string3286z00zz__multimediazd2mpdzd2, BgL_bgl_string3286za700za7za7_3519za7, "Unknown Disc", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2stopzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2stopza7b03520za7, BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3360z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3521z00, BGl_z62mpdzd2databasezd2getarti1382z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2previouszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2previou3522z00, BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3362z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3523z00, BGl_z62mpdzd2databasezd2getgenr1384z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3364z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3524z00, BGl_z62mpdzd2databasezd2getarti1387z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3366z00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3525z00, BGl_z62mpdzd2databasezd2getzd2alb1391zb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3368z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73526za7, BGl_z62zc3anonymousza32549ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3527z00, BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3528z00, BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3529z00, BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2moveidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2moveidza73530za7, BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2killzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2killza7b03531za7, BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2shufflezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2shuffle3532z00, BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2closezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2closeza7b3533za7, BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2deleteidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2deletei3534z00, BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2volumezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2volumeza73535za7, BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2addzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2addza7b0za73536z00, BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3537z00, BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3538z00, BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2urlhandlerszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2urlhand3539z00, BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playidza73540za7, BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2movezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2moveza7b03541za7, BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3542z00, BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2repeatzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2repeatza73543za7, BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listallinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listall3544z00, BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2lsinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2lsinfoza73545za7, BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2searchzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2searchza73546za7, BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2deletezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2deleteza73547za7, BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listallzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listall3548z00, BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2notcommandszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2notcomm3549z00, BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3325z00zz__multimediazd2mpdzd2, BgL_bgl_string3325za700za7za7_3550za7, "mpd-database-init!1345", 22 );
DEFINE_STRING( BGl_string3327z00zz__multimediazd2mpdzd2, BgL_bgl_string3327za700za7za7_3551za7, "mpd-database-file->p1347", 24 );
DEFINE_STRING( BGl_string3329z00zz__multimediazd2mpdzd2, BgL_bgl_string3329za700za7za7_3552za7, "mpd-database-stats1349", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2clearerrorzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2clearer3553z00, BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3331z00zz__multimediazd2mpdzd2, BgL_bgl_string3331za700za7za7_3554za7, "mpd-database-listall1351", 24 );
DEFINE_STRING( BGl_string3333z00zz__multimediazd2mpdzd2, BgL_bgl_string3333za700za7za7_3555za7, "mpd-database-listalb1353", 24 );
DEFINE_STRING( BGl_string3335z00zz__multimediazd2mpdzd2, BgL_bgl_string3335za700za7za7_3556za7, "mpd-database-listart1355", 24 );
DEFINE_STRING( BGl_string3337z00zz__multimediazd2mpdzd2, BgL_bgl_string3337za700za7za7_3557za7, "mpd-database-listgen1357", 24 );
DEFINE_STRING( BGl_string3339z00zz__multimediazd2mpdzd2, BgL_bgl_string3339za700za7za7_3558za7, "mpd-database-listgen1359", 24 );
DEFINE_STRING( BGl_string3341z00zz__multimediazd2mpdzd2, BgL_bgl_string3341za700za7za7_3559za7, "mpd-database-listgen1361", 24 );
DEFINE_STRING( BGl_string3343z00zz__multimediazd2mpdzd2, BgL_bgl_string3343za700za7za7_3560za7, "mpd-database-listart1363", 24 );
DEFINE_STRING( BGl_string3345z00zz__multimediazd2mpdzd2, BgL_bgl_string3345za700za7za7_3561za7, "mpd-database-lsinfo1365", 23 );
DEFINE_STRING( BGl_string3347z00zz__multimediazd2mpdzd2, BgL_bgl_string3347za700za7za7_3562za7, "mpd-database-find-al1367", 24 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3349z00zz__multimediazd2mpdzd2, BgL_bgl_string3349za700za7za7_3563za7, "mpd-database-find-ar1369", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2currentsongzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2current3564z00, BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3351z00zz__multimediazd2mpdzd2, BgL_bgl_string3351za700za7za7_3565za7, "mpd-database-search-1371", 24 );
DEFINE_STRING( BGl_string3353z00zz__multimediazd2mpdzd2, BgL_bgl_string3353za700za7za7_3566za7, "mpd-database-search-1373", 24 );
DEFINE_STRING( BGl_string3355z00zz__multimediazd2mpdzd2, BgL_bgl_string3355za700za7za7_3567za7, "mpd-database-find-ti1375", 24 );
DEFINE_STRING( BGl_string3357z00zz__multimediazd2mpdzd2, BgL_bgl_string3357za700za7za7_3568za7, "mpd-database-find-ge1377", 24 );
DEFINE_STRING( BGl_string3359z00zz__multimediazd2mpdzd2, BgL_bgl_string3359za700za7za7_3569za7, "mpd-database-getgenr1379", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2commandszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2command3570z00, BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3361z00zz__multimediazd2mpdzd2, BgL_bgl_string3361za700za7za7_3571za7, "mpd-database-getarti1382", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3275z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73572za7, BGl_z62zc3anonymousza32068ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3363z00zz__multimediazd2mpdzd2, BgL_bgl_string3363za700za7za7_3573za7, "mpd-database-getgenr1384", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3277z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73574za7, BGl_z62zc3anonymousza32078ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3365z00zz__multimediazd2mpdzd2, BgL_bgl_string3365za700za7za7_3575za7, "mpd-database-getarti1387", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3278z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73576za7, BGl_z62zc3anonymousza32106ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3367z00zz__multimediazd2mpdzd2, BgL_bgl_string3367za700za7za7_3577za7, "mpd-database-get-alb1391", 24 );
DEFINE_STRING( BGl_string3369z00zz__multimediazd2mpdzd2, BgL_bgl_string3369za700za7za7_3578za7, "directory: ", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3280z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73579za7, BGl_z62zc3anonymousza32140ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3281z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73580za7, BGl_z62zc3anonymousza32145ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3282z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73581za7, BGl_z62zc3anonymousza32150ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3370z00zz__multimediazd2mpdzd2, BgL_bgl_string3370za700za7za7_3582za7, "lsinfo", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3283z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73583za7, BGl_z62zc3anonymousza32177ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3371z00zz__multimediazd2mpdzd2, BgL_bgl_string3371za700za7za7_3584za7, "Genre: ", 7 );
DEFINE_STRING( BGl_string3372z00zz__multimediazd2mpdzd2, BgL_bgl_string3372za700za7za7_3585za7, "artists: ~a\nalbums: ~a\nsongs: ~a\nuptime: ~a\nplaytime: ~a\ndb_playtime: 10000000\ndb_update: ~a\n", 93 );
DEFINE_STRING( BGl_string3374z00zz__multimediazd2mpdzd2, BgL_bgl_string3374za700za7za7_3586za7, "&mpd-database-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3287z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73587za7, BGl_z62zc3anonymousza32280ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3375z00zz__multimediazd2mpdzd2, BgL_bgl_string3375za700za7za7_3588za7, "&mpd-database-file->path", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3288z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73589za7, BGl_z62zc3anonymousza32300ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3376z00zz__multimediazd2mpdzd2, BgL_bgl_string3376za700za7za7_3590za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3289z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2299za7623591z00, BGl_z62lambda2299z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3377z00zz__multimediazd2mpdzd2, BgL_bgl_string3377za700za7za7_3592za7, "&mpd-database-stats", 19 );
DEFINE_STRING( BGl_string3378z00zz__multimediazd2mpdzd2, BgL_bgl_string3378za700za7za7_3593za7, "&mpd-database-listall", 21 );
DEFINE_STRING( BGl_string3379z00zz__multimediazd2mpdzd2, BgL_bgl_string3379za700za7za7_3594za7, "&mpd-database-listalbum", 23 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3595z00, BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2crossfadezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2crossfa3596z00, BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3290z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2298za7623597z00, BGl_z62lambda2298z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3291z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73598za7, BGl_z62zc3anonymousza32307ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3292z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2306za7623599z00, BGl_z62lambda2306z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3380z00zz__multimediazd2mpdzd2, BgL_bgl_string3380za700za7za7_3600za7, "&mpd-database-listartistalbum", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3293z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2305za7623601z00, BGl_z62lambda2305z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3381z00zz__multimediazd2mpdzd2, BgL_bgl_string3381za700za7za7_3602za7, "&mpd-database-listgenrealbum", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3294z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73603za7, BGl_z62zc3anonymousza32314ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3382z00zz__multimediazd2mpdzd2, BgL_bgl_string3382za700za7za7_3604za7, "&mpd-database-listgenreartist", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3295z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2313za7623605z00, BGl_z62lambda2313z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3383z00zz__multimediazd2mpdzd2, BgL_bgl_string3383za700za7za7_3606za7, "&mpd-database-listgenre", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3296z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2312za7623607z00, BGl_z62lambda2312z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3384z00zz__multimediazd2mpdzd2, BgL_bgl_string3384za700za7za7_3608za7, "&mpd-database-listartist", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3297z00zz__multimediazd2mpdzd2, BgL_bgl_za762za7c3anonymousza73609za7, BGl_z62zc3anonymousza32321ze3ze1zz__multimediazd2mpdzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3385z00zz__multimediazd2mpdzd2, BgL_bgl_string3385za700za7za7_3610za7, "&mpd-database-lsinfo", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3298z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2320za7623611z00, BGl_z62lambda2320z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3386z00zz__multimediazd2mpdzd2, BgL_bgl_string3386za700za7za7_3612za7, "&mpd-database-find-album", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3299z00zz__multimediazd2mpdzd2, BgL_bgl_za762lambda2319za7623613z00, BGl_z62lambda2319z62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3387z00zz__multimediazd2mpdzd2, BgL_bgl_string3387za700za7za7_3614za7, "&mpd-database-find-artist", 25 );
DEFINE_STRING( BGl_string3388z00zz__multimediazd2mpdzd2, BgL_bgl_string3388za700za7za7_3615za7, "&mpd-database-search-artist-album", 33 );
DEFINE_STRING( BGl_string3389z00zz__multimediazd2mpdzd2, BgL_bgl_string3389za700za7za7_3616za7, "&mpd-database-search-artist-title", 33 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpdzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl__mpdza700za7za7__multi3617za7, opt_generic_entry, BGl__mpdz00zz__multimediazd2mpdzd2, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2setvolzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2setvolza73618za7, BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3619z00, BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3390z00zz__multimediazd2mpdzd2, BgL_bgl_string3390za700za7za7_3620za7, "&mpd-database-find-title", 24 );
DEFINE_STRING( BGl_string3391z00zz__multimediazd2mpdzd2, BgL_bgl_string3391za700za7za7_3621za7, "&mpd-database-find-genre", 24 );
DEFINE_STRING( BGl_string3392z00zz__multimediazd2mpdzd2, BgL_bgl_string3392za700za7za7_3622za7, "&mpd-database-getgenre", 22 );
DEFINE_STRING( BGl_string3393z00zz__multimediazd2mpdzd2, BgL_bgl_string3393za700za7za7_3623za7, "&mpd-database-getartist", 23 );
DEFINE_STRING( BGl_string3394z00zz__multimediazd2mpdzd2, BgL_bgl_string3394za700za7za7_3624za7, "&mpd-database-getgenreartist", 28 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3625z00, BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3395z00zz__multimediazd2mpdzd2, BgL_bgl_string3395za700za7za7_3626za7, "&mpd-database-getartistalbum", 28 );
DEFINE_STRING( BGl_string3396z00zz__multimediazd2mpdzd2, BgL_bgl_string3396za700za7za7_3627za7, "&mpd-database-get-album", 23 );
DEFINE_STRING( BGl_string3397z00zz__multimediazd2mpdzd2, BgL_bgl_string3397za700za7za7_3628za7, "__multimedia-mpd", 16 );
DEFINE_STRING( BGl_string3398z00zz__multimediazd2mpdzd2, BgL_bgl_string3398za700za7za7_3629za7, ":album (\"mp3\" \"flac\" \"ogg\" \"wav\") __multimedia-mpd mpd-database %db-update %uptime %nsongs int %nalbums obj %nartists %genres %albums %artists bstring %base suffixes pair-nil directories :Image :Time :Last-Modified :file :Genre :Date :Track :Album :Title :Artist (\"jpg\" \"JPG\" \"png\" \"gif\" \"GIF\") any genre disc album title artist (\"Artist\" \"Album\" \"Title\" \"Track\" \"Name\" \"Genre\" \"Date\" \"Composer\" \"Performer\" \"Disc\") (\"http://\" \"file://\") command_list_end command_list_ok_begin command_list_begin blank ok :log (:log) mpd outputs update swapid swap shuffle save rm repeat random password moveid move crossfade addid notcommands commands search find kill plconangesposid lsinfo listallinfo list listall stats close clearerror setvol volume previous next pause stop seekid seek playid play currentsong clear deleteid delete add plchanges playlistid playlistinfo playlist status tagtypes urlhandlers ping ", 901 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2statuszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2statusza73630za7, BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2clearzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2clearza7b3631za7, BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3632z00, BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2savezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2saveza7b03633za7, BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3634z00, BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2plconangesposidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2plconan3635z00, BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3636z00, BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2addidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2addidza7b3637za7, BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3638z00, BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2pausezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2pauseza7b3639za7, BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2randomzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2randomza73640za7, BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_LLONG( BGl_llong3373z00zz__multimediazd2mpdzd2, BgL_bgl_llong3373za700za7za7__3641za7, ((BGL_LONGLONG_T)0) );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2statszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2statsza7b3642za7, BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3643z00, BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2plchangeszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2plchang3644z00, BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2tagtypeszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2tagtype3645z00, BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2swapidzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2swapidza73646za7, BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2swapzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2swapza7b03647za7, BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3648z00, BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2findzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2findza7b03649za7, BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2outputszd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2outputs3650z00, BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3651z00, BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3652z00, BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3653z00, BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2databas3654z00, BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2listzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2listza7b03655za7, BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2playlistinfozd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2playlis3656z00, BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_mpdzd2passwordzd2envz00zz__multimediazd2mpdzd2, BgL_bgl_za762mpdza7d2passwor3657z00, BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2, 0L, BUNSPEC, 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mpdzd2(long BgL_checksumz00_5688, char * BgL_fromz00_5689)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mpdzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mpdzd2(); 
BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2(); 
BGl_objectzd2initzd2zz__multimediazd2mpdzd2(); 
BGl_genericzd2initzd2zz__multimediazd2mpdzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-mpd"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__multimedia-mpd"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 15 */
obj_t BgL_cportz00_5200;
{ /* Llib/mpd.scm 15 */
obj_t BgL_stringz00_5208;
BgL_stringz00_5208 = BGl_string3398z00zz__multimediazd2mpdzd2; 
{ /* Llib/mpd.scm 15 */
obj_t BgL_startz00_5209;
BgL_startz00_5209 = 
BINT(((long)0)); 
{ /* Llib/mpd.scm 15 */
obj_t BgL_endz00_5210;
BgL_endz00_5210 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5208))); 
{ /* Llib/mpd.scm 15 */

BgL_cportz00_5200 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5208, BgL_startz00_5209, BgL_endz00_5210); } } } } 
{ 
long BgL_iz00_5201;
BgL_iz00_5201 = ((long)95); 
BgL_loopz00_5202:
if(
(BgL_iz00_5201==((long)-1)))
{ /* Llib/mpd.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 15 */
obj_t BgL_arg3400z00_5204;
{ /* Llib/mpd.scm 15 */

{ /* Llib/mpd.scm 15 */
obj_t BgL_locationz00_5206;
BgL_locationz00_5206 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpd.scm 15 */

BgL_arg3400z00_5204 = 
BGl_readz00zz__readerz00(BgL_cportz00_5200, BgL_locationz00_5206); } } } 
{ /* Llib/mpd.scm 15 */
int BgL_tmpz00_5729;
BgL_tmpz00_5729 = 
(int)(BgL_iz00_5201); 
CNST_TABLE_SET(BgL_tmpz00_5729, BgL_arg3400z00_5204); } } 
{ /* Llib/mpd.scm 15 */
int BgL_auxz00_5207;
BgL_auxz00_5207 = 
(int)(
(BgL_iz00_5201-((long)1))); 
{ 
long BgL_iz00_5734;
BgL_iz00_5734 = 
(long)(BgL_auxz00_5207); 
BgL_iz00_5201 = BgL_iz00_5734; 
goto BgL_loopz00_5202;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = BNIL; 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = BNIL; 
BGl_cmdnz00zz__multimediazd2mpdzd2 = ((long)0); 
{ /* Llib/mpd.scm 338 */
obj_t BgL_arg1408z00_419;
{ /* Llib/mpd.scm 338 */
obj_t BgL_arg1409z00_420;
BgL_arg1409z00_420 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)0)), BGl_mpdzd2pingzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 338 */
obj_t BgL_list1410z00_421;
BgL_list1410z00_421 = 
MAKE_YOUNG_PAIR(BgL_arg1409z00_420, BNIL); 
BgL_arg1408z00_419 = BgL_list1410z00_421; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1408z00_419); } 
{ /* Llib/mpd.scm 344 */
obj_t BgL_arg1489z00_422;
{ /* Llib/mpd.scm 344 */
obj_t BgL_arg1490z00_423;
BgL_arg1490z00_423 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)1)), BGl_mpdzd2urlhandlerszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 344 */
obj_t BgL_list1491z00_424;
BgL_list1491z00_424 = 
MAKE_YOUNG_PAIR(BgL_arg1490z00_423, BNIL); 
BgL_arg1489z00_422 = BgL_list1491z00_424; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1489z00_422); } 
{ /* Llib/mpd.scm 354 */
obj_t BgL_arg1497z00_425;
{ /* Llib/mpd.scm 354 */
obj_t BgL_arg1501z00_426;
BgL_arg1501z00_426 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)2)), BGl_mpdzd2tagtypeszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 354 */
obj_t BgL_list1502z00_427;
BgL_list1502z00_427 = 
MAKE_YOUNG_PAIR(BgL_arg1501z00_426, BNIL); 
BgL_arg1497z00_425 = BgL_list1502z00_427; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1497z00_425); } 
{ /* Llib/mpd.scm 371 */
obj_t BgL_arg1509z00_428;
{ /* Llib/mpd.scm 371 */
obj_t BgL_arg1510z00_429;
BgL_arg1510z00_429 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)3)), BGl_mpdzd2statuszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 371 */
obj_t BgL_list1511z00_430;
BgL_list1511z00_430 = 
MAKE_YOUNG_PAIR(BgL_arg1510z00_429, BNIL); 
BgL_arg1509z00_428 = BgL_list1511z00_430; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1509z00_428); } 
{ /* Llib/mpd.scm 406 */
obj_t BgL_arg1517z00_431;
{ /* Llib/mpd.scm 406 */
obj_t BgL_arg1522z00_432;
BgL_arg1522z00_432 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)4)), BGl_mpdzd2playlistzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 406 */
obj_t BgL_list1523z00_433;
BgL_list1523z00_433 = 
MAKE_YOUNG_PAIR(BgL_arg1522z00_432, BNIL); 
BgL_arg1517z00_431 = BgL_list1523z00_433; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1517z00_431); } 
{ /* Llib/mpd.scm 447 */
obj_t BgL_arg1524z00_434;
{ /* Llib/mpd.scm 447 */
obj_t BgL_arg1525z00_435;
BgL_arg1525z00_435 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)5)), BGl_mpdzd2playlistinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 447 */
obj_t BgL_list1526z00_436;
BgL_list1526z00_436 = 
MAKE_YOUNG_PAIR(BgL_arg1525z00_435, BNIL); 
BgL_arg1524z00_434 = BgL_list1526z00_436; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1524z00_434); } 
{ /* Llib/mpd.scm 453 */
obj_t BgL_arg1542z00_437;
{ /* Llib/mpd.scm 453 */
obj_t BgL_arg1543z00_438;
BgL_arg1543z00_438 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BGl_mpdzd2playlistidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 453 */
obj_t BgL_list1544z00_439;
BgL_list1544z00_439 = 
MAKE_YOUNG_PAIR(BgL_arg1543z00_438, BNIL); 
BgL_arg1542z00_437 = BgL_list1544z00_439; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1542z00_437); } 
{ /* Llib/mpd.scm 459 */
obj_t BgL_arg1545z00_440;
{ /* Llib/mpd.scm 459 */
obj_t BgL_arg1546z00_441;
BgL_arg1546z00_441 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)7)), BGl_mpdzd2plchangeszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 459 */
obj_t BgL_list1547z00_442;
BgL_list1547z00_442 = 
MAKE_YOUNG_PAIR(BgL_arg1546z00_441, BNIL); 
BgL_arg1545z00_440 = BgL_list1547z00_442; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1545z00_440); } 
{ /* Llib/mpd.scm 477 */
obj_t BgL_arg1560z00_443;
{ /* Llib/mpd.scm 477 */
obj_t BgL_arg1561z00_444;
BgL_arg1561z00_444 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)8)), BGl_mpdzd2addzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 477 */
obj_t BgL_list1562z00_445;
BgL_list1562z00_445 = 
MAKE_YOUNG_PAIR(BgL_arg1561z00_444, BNIL); 
BgL_arg1560z00_443 = BgL_list1562z00_445; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1560z00_443); } 
{ /* Llib/mpd.scm 493 */
obj_t BgL_arg1563z00_446;
{ /* Llib/mpd.scm 493 */
obj_t BgL_arg1574z00_447;
BgL_arg1574z00_447 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BGl_mpdzd2deletezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 493 */
obj_t BgL_list1575z00_448;
BgL_list1575z00_448 = 
MAKE_YOUNG_PAIR(BgL_arg1574z00_447, BNIL); 
BgL_arg1563z00_446 = BgL_list1575z00_448; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1563z00_446); } 
{ /* Llib/mpd.scm 500 */
obj_t BgL_arg1576z00_449;
{ /* Llib/mpd.scm 500 */
obj_t BgL_arg1596z00_450;
BgL_arg1596z00_450 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BGl_mpdzd2deleteidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 500 */
obj_t BgL_list1597z00_451;
BgL_list1597z00_451 = 
MAKE_YOUNG_PAIR(BgL_arg1596z00_450, BNIL); 
BgL_arg1576z00_449 = BgL_list1597z00_451; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1576z00_449); } 
{ /* Llib/mpd.scm 507 */
obj_t BgL_arg1600z00_452;
{ /* Llib/mpd.scm 507 */
obj_t BgL_arg1605z00_453;
BgL_arg1605z00_453 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BGl_mpdzd2clearzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 507 */
obj_t BgL_list1606z00_454;
BgL_list1606z00_454 = 
MAKE_YOUNG_PAIR(BgL_arg1605z00_453, BNIL); 
BgL_arg1600z00_452 = BgL_list1606z00_454; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1600z00_452); } 
BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BFALSE; 
BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2 = ((long)-1); 
BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BGl_string3216z00zz__multimediazd2mpdzd2; 
{ /* Llib/mpd.scm 579 */
obj_t BgL_arg1607z00_455;
{ /* Llib/mpd.scm 579 */
obj_t BgL_arg1608z00_456;
BgL_arg1608z00_456 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BGl_mpdzd2currentsongzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 579 */
obj_t BgL_list1609z00_457;
BgL_list1609z00_457 = 
MAKE_YOUNG_PAIR(BgL_arg1608z00_456, BNIL); 
BgL_arg1607z00_455 = BgL_list1609z00_457; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1607z00_455); } 
{ /* Llib/mpd.scm 589 */
obj_t BgL_arg1612z00_458;
{ /* Llib/mpd.scm 589 */
obj_t BgL_arg1618z00_459;
BgL_arg1618z00_459 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BGl_mpdzd2playzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 589 */
obj_t BgL_list1619z00_460;
BgL_list1619z00_460 = 
MAKE_YOUNG_PAIR(BgL_arg1618z00_459, BNIL); 
BgL_arg1612z00_458 = BgL_list1619z00_460; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1612z00_458); } 
{ /* Llib/mpd.scm 598 */
obj_t BgL_arg1626z00_461;
{ /* Llib/mpd.scm 598 */
obj_t BgL_arg1627z00_462;
BgL_arg1627z00_462 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BGl_mpdzd2playidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 598 */
obj_t BgL_list1628z00_463;
BgL_list1628z00_463 = 
MAKE_YOUNG_PAIR(BgL_arg1627z00_462, BNIL); 
BgL_arg1626z00_461 = BgL_list1628z00_463; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1626z00_461); } 
{ /* Llib/mpd.scm 607 */
obj_t BgL_arg1631z00_464;
{ /* Llib/mpd.scm 607 */
obj_t BgL_arg1643z00_465;
BgL_arg1643z00_465 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)15)), BGl_mpdzd2seekzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 607 */
obj_t BgL_list1644z00_466;
BgL_list1644z00_466 = 
MAKE_YOUNG_PAIR(BgL_arg1643z00_465, BNIL); 
BgL_arg1631z00_464 = BgL_list1644z00_466; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1631z00_464); } 
{ /* Llib/mpd.scm 614 */
obj_t BgL_arg1647z00_467;
{ /* Llib/mpd.scm 614 */
obj_t BgL_arg1650z00_468;
BgL_arg1650z00_468 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)16)), BGl_mpdzd2seekidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 614 */
obj_t BgL_list1651z00_469;
BgL_list1651z00_469 = 
MAKE_YOUNG_PAIR(BgL_arg1650z00_468, BNIL); 
BgL_arg1647z00_467 = BgL_list1651z00_469; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1647z00_467); } 
{ /* Llib/mpd.scm 621 */
obj_t BgL_arg1658z00_470;
{ /* Llib/mpd.scm 621 */
obj_t BgL_arg1659z00_471;
BgL_arg1659z00_471 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BGl_mpdzd2stopzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 621 */
obj_t BgL_list1660z00_472;
BgL_list1660z00_472 = 
MAKE_YOUNG_PAIR(BgL_arg1659z00_471, BNIL); 
BgL_arg1658z00_470 = BgL_list1660z00_472; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1658z00_470); } 
{ /* Llib/mpd.scm 628 */
obj_t BgL_arg1661z00_473;
{ /* Llib/mpd.scm 628 */
obj_t BgL_arg1662z00_474;
BgL_arg1662z00_474 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BGl_mpdzd2pausezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 628 */
obj_t BgL_list1663z00_475;
BgL_list1663z00_475 = 
MAKE_YOUNG_PAIR(BgL_arg1662z00_474, BNIL); 
BgL_arg1661z00_473 = BgL_list1663z00_475; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1661z00_473); } 
{ /* Llib/mpd.scm 635 */
obj_t BgL_arg1664z00_476;
{ /* Llib/mpd.scm 635 */
obj_t BgL_arg1665z00_477;
BgL_arg1665z00_477 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BGl_mpdzd2nextzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 635 */
obj_t BgL_list1666z00_478;
BgL_list1666z00_478 = 
MAKE_YOUNG_PAIR(BgL_arg1665z00_477, BNIL); 
BgL_arg1664z00_476 = BgL_list1666z00_478; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1664z00_476); } 
{ /* Llib/mpd.scm 648 */
obj_t BgL_arg1667z00_479;
{ /* Llib/mpd.scm 648 */
obj_t BgL_arg1670z00_480;
BgL_arg1670z00_480 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BGl_mpdzd2previouszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 648 */
obj_t BgL_list1671z00_481;
BgL_list1671z00_481 = 
MAKE_YOUNG_PAIR(BgL_arg1670z00_480, BNIL); 
BgL_arg1667z00_479 = BgL_list1671z00_481; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1667z00_479); } 
{ /* Llib/mpd.scm 661 */
obj_t BgL_arg1672z00_482;
{ /* Llib/mpd.scm 661 */
obj_t BgL_arg1673z00_483;
BgL_arg1673z00_483 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BGl_mpdzd2volumezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 661 */
obj_t BgL_list1674z00_484;
BgL_list1674z00_484 = 
MAKE_YOUNG_PAIR(BgL_arg1673z00_483, BNIL); 
BgL_arg1672z00_482 = BgL_list1674z00_484; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1672z00_482); } 
{ /* Llib/mpd.scm 684 */
obj_t BgL_arg1675z00_485;
{ /* Llib/mpd.scm 684 */
obj_t BgL_arg1676z00_486;
BgL_arg1676z00_486 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)22)), BGl_mpdzd2setvolzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 684 */
obj_t BgL_list1677z00_487;
BgL_list1677z00_487 = 
MAKE_YOUNG_PAIR(BgL_arg1676z00_486, BNIL); 
BgL_arg1675z00_485 = BgL_list1677z00_487; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1675z00_485); } 
{ /* Llib/mpd.scm 690 */
obj_t BgL_arg1678z00_488;
{ /* Llib/mpd.scm 690 */
obj_t BgL_arg1684z00_489;
BgL_arg1684z00_489 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)23)), BGl_mpdzd2clearerrorzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 690 */
obj_t BgL_list1685z00_490;
BgL_list1685z00_490 = 
MAKE_YOUNG_PAIR(BgL_arg1684z00_489, BNIL); 
BgL_arg1678z00_488 = BgL_list1685z00_490; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1678z00_488); } 
{ /* Llib/mpd.scm 696 */
obj_t BgL_arg1686z00_491;
{ /* Llib/mpd.scm 696 */
obj_t BgL_arg1687z00_492;
BgL_arg1687z00_492 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)24)), BGl_mpdzd2closezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 696 */
obj_t BgL_list1688z00_493;
BgL_list1688z00_493 = 
MAKE_YOUNG_PAIR(BgL_arg1687z00_492, BNIL); 
BgL_arg1686z00_491 = BgL_list1688z00_493; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1686z00_491); } 
{ /* Llib/mpd.scm 702 */
obj_t BgL_arg1689z00_494;
{ /* Llib/mpd.scm 702 */
obj_t BgL_arg1690z00_495;
BgL_arg1690z00_495 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)25)), BGl_mpdzd2statszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 702 */
obj_t BgL_list1691z00_496;
BgL_list1691z00_496 = 
MAKE_YOUNG_PAIR(BgL_arg1690z00_495, BNIL); 
BgL_arg1689z00_494 = BgL_list1691z00_496; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1689z00_494); } 
{ /* Llib/mpd.scm 709 */
obj_t BgL_arg1692z00_497;
{ /* Llib/mpd.scm 709 */
obj_t BgL_arg1699z00_498;
BgL_arg1699z00_498 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)26)), BGl_mpdzd2listallzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 709 */
obj_t BgL_list1700z00_499;
BgL_list1700z00_499 = 
MAKE_YOUNG_PAIR(BgL_arg1699z00_498, BNIL); 
BgL_arg1692z00_497 = BgL_list1700z00_499; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1692z00_497); } 
{ /* Llib/mpd.scm 716 */
obj_t BgL_arg1703z00_500;
{ /* Llib/mpd.scm 716 */
obj_t BgL_arg1707z00_501;
BgL_arg1707z00_501 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)27)), BGl_mpdzd2listzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 716 */
obj_t BgL_list1708z00_502;
BgL_list1708z00_502 = 
MAKE_YOUNG_PAIR(BgL_arg1707z00_501, BNIL); 
BgL_arg1703z00_500 = BgL_list1708z00_502; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1703z00_500); } 
{ /* Llib/mpd.scm 745 */
obj_t BgL_arg1710z00_503;
{ /* Llib/mpd.scm 745 */
obj_t BgL_arg1711z00_504;
BgL_arg1711z00_504 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)28)), BGl_mpdzd2listallinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 745 */
obj_t BgL_list1712z00_505;
BgL_list1712z00_505 = 
MAKE_YOUNG_PAIR(BgL_arg1711z00_504, BNIL); 
BgL_arg1710z00_503 = BgL_list1712z00_505; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1710z00_503); } 
{ /* Llib/mpd.scm 752 */
obj_t BgL_arg1714z00_506;
{ /* Llib/mpd.scm 752 */
obj_t BgL_arg1720z00_507;
BgL_arg1720z00_507 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)29)), BGl_mpdzd2lsinfozd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 752 */
obj_t BgL_list1721z00_508;
BgL_list1721z00_508 = 
MAKE_YOUNG_PAIR(BgL_arg1720z00_507, BNIL); 
BgL_arg1714z00_506 = BgL_list1721z00_508; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1714z00_506); } 
{ /* Llib/mpd.scm 759 */
obj_t BgL_arg1732z00_509;
{ /* Llib/mpd.scm 759 */
obj_t BgL_arg1733z00_510;
BgL_arg1733z00_510 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)30)), BGl_mpdzd2plconangesposidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 759 */
obj_t BgL_list1734z00_511;
BgL_list1734z00_511 = 
MAKE_YOUNG_PAIR(BgL_arg1733z00_510, BNIL); 
BgL_arg1732z00_509 = BgL_list1734z00_511; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1732z00_509); } 
{ /* Llib/mpd.scm 771 */
obj_t BgL_arg1735z00_512;
{ /* Llib/mpd.scm 771 */
obj_t BgL_arg1742z00_513;
BgL_arg1742z00_513 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BGl_mpdzd2killzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 771 */
obj_t BgL_list1743z00_514;
BgL_list1743z00_514 = 
MAKE_YOUNG_PAIR(BgL_arg1742z00_513, BNIL); 
BgL_arg1735z00_512 = BgL_list1743z00_514; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1735z00_512); } 
{ /* Llib/mpd.scm 777 */
obj_t BgL_arg1744z00_515;
{ /* Llib/mpd.scm 777 */
obj_t BgL_arg1745z00_516;
BgL_arg1745z00_516 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)32)), BGl_mpdzd2findzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 777 */
obj_t BgL_list1746z00_517;
BgL_list1746z00_517 = 
MAKE_YOUNG_PAIR(BgL_arg1745z00_516, BNIL); 
BgL_arg1744z00_515 = BgL_list1746z00_517; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1744z00_515); } 
{ /* Llib/mpd.scm 797 */
obj_t BgL_arg1747z00_518;
{ /* Llib/mpd.scm 797 */
obj_t BgL_arg1748z00_519;
BgL_arg1748z00_519 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)33)), BGl_mpdzd2searchzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 797 */
obj_t BgL_list1749z00_520;
BgL_list1749z00_520 = 
MAKE_YOUNG_PAIR(BgL_arg1748z00_519, BNIL); 
BgL_arg1747z00_518 = BgL_list1749z00_520; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1747z00_518); } 
{ /* Llib/mpd.scm 825 */
obj_t BgL_arg1750z00_521;
{ /* Llib/mpd.scm 825 */
obj_t BgL_arg1751z00_522;
BgL_arg1751z00_522 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)34)), BGl_mpdzd2commandszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 825 */
obj_t BgL_list1752z00_523;
BgL_list1752z00_523 = 
MAKE_YOUNG_PAIR(BgL_arg1751z00_522, BNIL); 
BgL_arg1750z00_521 = BgL_list1752z00_523; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1750z00_521); } 
{ /* Llib/mpd.scm 839 */
obj_t BgL_arg1753z00_524;
{ /* Llib/mpd.scm 839 */
obj_t BgL_arg1754z00_525;
BgL_arg1754z00_525 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)35)), BGl_mpdzd2notcommandszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 839 */
obj_t BgL_list1755z00_526;
BgL_list1755z00_526 = 
MAKE_YOUNG_PAIR(BgL_arg1754z00_525, BNIL); 
BgL_arg1753z00_524 = BgL_list1755z00_526; } } 
BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1753z00_524); } 
{ /* Llib/mpd.scm 853 */
obj_t BgL_arg1756z00_527;
{ /* Llib/mpd.scm 853 */
obj_t BgL_arg1757z00_528;
BgL_arg1757z00_528 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)36)), BGl_mpdzd2addidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 853 */
obj_t BgL_list1758z00_529;
BgL_list1758z00_529 = 
MAKE_YOUNG_PAIR(BgL_arg1757z00_528, BNIL); 
BgL_arg1756z00_527 = BgL_list1758z00_529; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1756z00_527); } 
{ /* Llib/mpd.scm 858 */
obj_t BgL_arg1759z00_530;
{ /* Llib/mpd.scm 858 */
obj_t BgL_arg1760z00_531;
BgL_arg1760z00_531 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)37)), BGl_mpdzd2crossfadezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 858 */
obj_t BgL_list1761z00_532;
BgL_list1761z00_532 = 
MAKE_YOUNG_PAIR(BgL_arg1760z00_531, BNIL); 
BgL_arg1759z00_530 = BgL_list1761z00_532; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1759z00_530); } 
{ /* Llib/mpd.scm 863 */
obj_t BgL_arg1762z00_533;
{ /* Llib/mpd.scm 863 */
obj_t BgL_arg1763z00_534;
BgL_arg1763z00_534 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)38)), BGl_mpdzd2movezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 863 */
obj_t BgL_list1764z00_535;
BgL_list1764z00_535 = 
MAKE_YOUNG_PAIR(BgL_arg1763z00_534, BNIL); 
BgL_arg1762z00_533 = BgL_list1764z00_535; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1762z00_533); } 
{ /* Llib/mpd.scm 868 */
obj_t BgL_arg1765z00_536;
{ /* Llib/mpd.scm 868 */
obj_t BgL_arg1766z00_537;
BgL_arg1766z00_537 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)39)), BGl_mpdzd2moveidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 868 */
obj_t BgL_list1767z00_538;
BgL_list1767z00_538 = 
MAKE_YOUNG_PAIR(BgL_arg1766z00_537, BNIL); 
BgL_arg1765z00_536 = BgL_list1767z00_538; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1765z00_536); } 
{ /* Llib/mpd.scm 873 */
obj_t BgL_arg1768z00_539;
{ /* Llib/mpd.scm 873 */
obj_t BgL_arg1769z00_540;
BgL_arg1769z00_540 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)40)), BGl_mpdzd2passwordzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 873 */
obj_t BgL_list1770z00_541;
BgL_list1770z00_541 = 
MAKE_YOUNG_PAIR(BgL_arg1769z00_540, BNIL); 
BgL_arg1768z00_539 = BgL_list1770z00_541; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1768z00_539); } 
{ /* Llib/mpd.scm 878 */
obj_t BgL_arg1771z00_542;
{ /* Llib/mpd.scm 878 */
obj_t BgL_arg1772z00_543;
BgL_arg1772z00_543 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)41)), BGl_mpdzd2randomzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 878 */
obj_t BgL_list1773z00_544;
BgL_list1773z00_544 = 
MAKE_YOUNG_PAIR(BgL_arg1772z00_543, BNIL); 
BgL_arg1771z00_542 = BgL_list1773z00_544; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1771z00_542); } 
{ /* Llib/mpd.scm 883 */
obj_t BgL_arg1774z00_545;
{ /* Llib/mpd.scm 883 */
obj_t BgL_arg1775z00_546;
BgL_arg1775z00_546 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)42)), BGl_mpdzd2repeatzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 883 */
obj_t BgL_list1776z00_547;
BgL_list1776z00_547 = 
MAKE_YOUNG_PAIR(BgL_arg1775z00_546, BNIL); 
BgL_arg1774z00_545 = BgL_list1776z00_547; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1774z00_545); } 
{ /* Llib/mpd.scm 888 */
obj_t BgL_arg1777z00_548;
{ /* Llib/mpd.scm 888 */
obj_t BgL_arg1778z00_549;
BgL_arg1778z00_549 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)43)), BGl_mpdzd2rmzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 888 */
obj_t BgL_list1779z00_550;
BgL_list1779z00_550 = 
MAKE_YOUNG_PAIR(BgL_arg1778z00_549, BNIL); 
BgL_arg1777z00_548 = BgL_list1779z00_550; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1777z00_548); } 
{ /* Llib/mpd.scm 893 */
obj_t BgL_arg1780z00_551;
{ /* Llib/mpd.scm 893 */
obj_t BgL_arg1781z00_552;
BgL_arg1781z00_552 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)44)), BGl_mpdzd2savezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 893 */
obj_t BgL_list1782z00_553;
BgL_list1782z00_553 = 
MAKE_YOUNG_PAIR(BgL_arg1781z00_552, BNIL); 
BgL_arg1780z00_551 = BgL_list1782z00_553; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1780z00_551); } 
{ /* Llib/mpd.scm 898 */
obj_t BgL_arg1783z00_554;
{ /* Llib/mpd.scm 898 */
obj_t BgL_arg1784z00_555;
BgL_arg1784z00_555 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)45)), BGl_mpdzd2shufflezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 898 */
obj_t BgL_list1785z00_556;
BgL_list1785z00_556 = 
MAKE_YOUNG_PAIR(BgL_arg1784z00_555, BNIL); 
BgL_arg1783z00_554 = BgL_list1785z00_556; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1783z00_554); } 
{ /* Llib/mpd.scm 903 */
obj_t BgL_arg1786z00_557;
{ /* Llib/mpd.scm 903 */
obj_t BgL_arg1787z00_558;
BgL_arg1787z00_558 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)46)), BGl_mpdzd2swapzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 903 */
obj_t BgL_list1788z00_559;
BgL_list1788z00_559 = 
MAKE_YOUNG_PAIR(BgL_arg1787z00_558, BNIL); 
BgL_arg1786z00_557 = BgL_list1788z00_559; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1786z00_557); } 
{ /* Llib/mpd.scm 908 */
obj_t BgL_arg1789z00_560;
{ /* Llib/mpd.scm 908 */
obj_t BgL_arg1790z00_561;
BgL_arg1790z00_561 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)47)), BGl_mpdzd2swapidzd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 908 */
obj_t BgL_list1791z00_562;
BgL_list1791z00_562 = 
MAKE_YOUNG_PAIR(BgL_arg1790z00_561, BNIL); 
BgL_arg1789z00_560 = BgL_list1791z00_562; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1789z00_560); } 
{ /* Llib/mpd.scm 913 */
obj_t BgL_arg1792z00_563;
{ /* Llib/mpd.scm 913 */
obj_t BgL_arg1793z00_564;
BgL_arg1793z00_564 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)48)), BGl_mpdzd2updatezd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 913 */
obj_t BgL_list1794z00_565;
BgL_list1794z00_565 = 
MAKE_YOUNG_PAIR(BgL_arg1793z00_564, BNIL); 
BgL_arg1792z00_563 = BgL_list1794z00_565; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1792z00_563); } 
{ /* Llib/mpd.scm 918 */
obj_t BgL_arg1795z00_566;
{ /* Llib/mpd.scm 918 */
obj_t BgL_arg1796z00_567;
BgL_arg1796z00_567 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)49)), BGl_mpdzd2outputszd2envz00zz__multimediazd2mpdzd2); 
{ /* Llib/mpd.scm 918 */
obj_t BgL_list1797z00_568;
BgL_list1797z00_568 = 
MAKE_YOUNG_PAIR(BgL_arg1796z00_567, BNIL); 
BgL_arg1795z00_566 = BgL_list1797z00_568; } } 
BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2, BgL_arg1795z00_566); } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* get-line-command */
obj_t BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 161 */
{ /* Llib/mpd.scm 162 */
obj_t BgL_iz00_579;
BgL_iz00_579 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_6, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_iz00_579))
{ /* Llib/mpd.scm 164 */
obj_t BgL_arg1801z00_580;
{ /* Llib/mpd.scm 164 */
obj_t BgL_res2695z00_2458;
{ /* Llib/mpd.scm 164 */
long BgL_endz00_2457;
BgL_endz00_2457 = 
(long)CINT(BgL_iz00_579); 
BgL_res2695z00_2458 = 
c_substring(
((obj_t)BgL_linez00_6), ((long)0), BgL_endz00_2457); } 
BgL_arg1801z00_580 = BgL_res2695z00_2458; } 
return 
bstring_to_symbol(BgL_arg1801z00_580);}  else 
{ /* Llib/mpd.scm 165 */
obj_t BgL_res2697z00_2462;
BgL_res2697z00_2462 = 
bstring_to_symbol(
((obj_t)BgL_linez00_6)); 
return BgL_res2697z00_2462;} } } 
BGL_FUNCTION_END;
}



/* get-line-arg-string-nth */
obj_t BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_7, long BgL_numz00_8)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 170 */
{ 
obj_t BgL_iz00_594;long BgL_lenz00_595;
{ /* Llib/mpd.scm 182 */
obj_t BgL_i0z00_582;long BgL_lenz00_583;
{ /* Llib/mpd.scm 155 */
obj_t BgL_jz00_2494;
BgL_jz00_2494 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_jz00_2494))
{ /* Llib/mpd.scm 156 */
obj_t BgL__ortest_1078z00_2495;
BgL__ortest_1078z00_2495 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_jz00_2494); 
if(
CBOOL(BgL__ortest_1078z00_2495))
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BgL__ortest_1078z00_2495; }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BgL_jz00_2494; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_582 = BFALSE; } } 
BgL_lenz00_583 = 
STRING_LENGTH(
((obj_t)BgL_linez00_7)); 
if(
CBOOL(BgL_i0z00_582))
{ /* Llib/mpd.scm 185 */
long BgL_g1084z00_584;
BgL_g1084z00_584 = 
(BgL_numz00_8-((long)1)); 
{ 
long BgL_nz00_586;obj_t BgL_iz00_587;
BgL_nz00_586 = BgL_g1084z00_584; 
BgL_iz00_587 = BgL_i0z00_582; 
BgL_zc3anonymousza31802ze3z83_588:
if(
CBOOL(BgL_iz00_587))
{ /* Llib/mpd.scm 188 */
if(
(BgL_nz00_586==((long)0)))
{ /* Llib/mpd.scm 190 */
if(
CBOOL(BgL_iz00_587))
{ /* Llib/mpd.scm 191 */
BgL_iz00_594 = BgL_iz00_587; 
BgL_lenz00_595 = BgL_lenz00_583; 
if(
(
(long)CINT(BgL_iz00_594)<BgL_lenz00_595))
{ /* Llib/mpd.scm 172 */
if(
(((unsigned char)'"')==
STRING_REF(
((obj_t)BgL_linez00_7), 
(long)CINT(BgL_iz00_594))))
{ /* Llib/mpd.scm 174 */
obj_t BgL_jz00_600;
{ /* Llib/mpd.scm 174 */
long BgL_arg1813z00_603;
BgL_arg1813z00_603 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
BgL_jz00_600 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)'"')), 
BINT(BgL_arg1813z00_603)); } 
if(
CBOOL(BgL_jz00_600))
{ /* Llib/mpd.scm 176 */
long BgL_arg1811z00_601;
BgL_arg1811z00_601 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
{ /* Llib/mpd.scm 176 */
obj_t BgL_res2703z00_2479;
{ /* Llib/mpd.scm 176 */
long BgL_endz00_2478;
BgL_endz00_2478 = 
(long)CINT(BgL_jz00_600); 
BgL_res2703z00_2479 = 
c_substring(
((obj_t)BgL_linez00_7), BgL_arg1811z00_601, BgL_endz00_2478); } 
return BgL_res2703z00_2479;} }  else 
{ /* Llib/mpd.scm 177 */
long BgL_arg1812z00_602;
BgL_arg1812z00_602 = 
(
(long)CINT(BgL_iz00_594)+((long)1)); 
{ /* Llib/mpd.scm 177 */
obj_t BgL_res2705z00_2485;
BgL_res2705z00_2485 = 
c_substring(
((obj_t)BgL_linez00_7), BgL_arg1812z00_602, BgL_lenz00_595); 
return BgL_res2705z00_2485;} } }  else 
{ /* Llib/mpd.scm 178 */
obj_t BgL_jz00_604;
BgL_jz00_604 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_iz00_594); 
if(
CBOOL(BgL_jz00_604))
{ /* Llib/mpd.scm 180 */
obj_t BgL_res2706z00_2489;
{ /* Llib/mpd.scm 180 */
long BgL_startz00_2487;long BgL_endz00_2488;
BgL_startz00_2487 = 
(long)CINT(BgL_iz00_594); 
BgL_endz00_2488 = 
(long)CINT(BgL_jz00_604); 
BgL_res2706z00_2489 = 
c_substring(
((obj_t)BgL_linez00_7), BgL_startz00_2487, BgL_endz00_2488); } 
return BgL_res2706z00_2489;}  else 
{ /* Llib/mpd.scm 181 */
obj_t BgL_res2707z00_2493;
{ /* Llib/mpd.scm 181 */
long BgL_startz00_2491;
BgL_startz00_2491 = 
(long)CINT(BgL_iz00_594); 
BgL_res2707z00_2493 = 
c_substring(
((obj_t)BgL_linez00_7), BgL_startz00_2491, BgL_lenz00_595); } 
return BgL_res2707z00_2493;} } }  else 
{ /* Llib/mpd.scm 172 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 191 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 190 */
if(
(
(long)CINT(BgL_iz00_587)<BgL_lenz00_583))
{ /* Llib/mpd.scm 193 */
long BgL_arg1805z00_591;obj_t BgL_arg1806z00_592;
BgL_arg1805z00_591 = 
(BgL_nz00_586-((long)1)); 
{ /* Llib/mpd.scm 155 */
obj_t BgL_jz00_2507;
BgL_jz00_2507 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_iz00_587); 
if(
CBOOL(BgL_jz00_2507))
{ /* Llib/mpd.scm 156 */
obj_t BgL__ortest_1078z00_2508;
BgL__ortest_1078z00_2508 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_7, 
BCHAR(((unsigned char)' ')), BgL_jz00_2507); 
if(
CBOOL(BgL__ortest_1078z00_2508))
{ /* Llib/mpd.scm 156 */
BgL_arg1806z00_592 = BgL__ortest_1078z00_2508; }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1806z00_592 = BgL_jz00_2507; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1806z00_592 = BFALSE; } } 
{ 
obj_t BgL_iz00_6016;long BgL_nz00_6015;
BgL_nz00_6015 = BgL_arg1805z00_591; 
BgL_iz00_6016 = BgL_arg1806z00_592; 
BgL_iz00_587 = BgL_iz00_6016; 
BgL_nz00_586 = BgL_nz00_6015; 
goto BgL_zc3anonymousza31802ze3z83_588;} }  else 
{ /* Llib/mpd.scm 192 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 188 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 184 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* get-line-arg-symbol-nth */
obj_t BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(obj_t BgL_linez00_9, long BgL_numz00_10)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 198 */
{ 
obj_t BgL_iz00_620;long BgL_lenz00_621;
{ /* Llib/mpd.scm 205 */
obj_t BgL_i0z00_608;long BgL_lenz00_609;
{ /* Llib/mpd.scm 155 */
obj_t BgL_jz00_2524;
BgL_jz00_2524 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), 
BINT(((long)0))); 
if(
CBOOL(BgL_jz00_2524))
{ /* Llib/mpd.scm 156 */
obj_t BgL__ortest_1078z00_2525;
BgL__ortest_1078z00_2525 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_jz00_2524); 
if(
CBOOL(BgL__ortest_1078z00_2525))
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BgL__ortest_1078z00_2525; }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BgL_jz00_2524; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_i0z00_608 = BFALSE; } } 
BgL_lenz00_609 = 
STRING_LENGTH(
((obj_t)BgL_linez00_9)); 
if(
CBOOL(BgL_i0z00_608))
{ /* Llib/mpd.scm 208 */
long BgL_g1085z00_610;
BgL_g1085z00_610 = 
(BgL_numz00_10-((long)1)); 
{ 
long BgL_nz00_612;obj_t BgL_iz00_613;
BgL_nz00_612 = BgL_g1085z00_610; 
BgL_iz00_613 = BgL_i0z00_608; 
BgL_zc3anonymousza31815ze3z83_614:
if(
CBOOL(BgL_iz00_613))
{ /* Llib/mpd.scm 211 */
if(
(BgL_nz00_612==((long)0)))
{ /* Llib/mpd.scm 213 */
BgL_iz00_620 = BgL_iz00_613; 
BgL_lenz00_621 = BgL_lenz00_609; 
if(
(
(long)CINT(BgL_iz00_620)<BgL_lenz00_621))
{ /* Llib/mpd.scm 201 */
obj_t BgL_jz00_624;
BgL_jz00_624 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_iz00_620); 
if(
CBOOL(BgL_jz00_624))
{ /* Llib/mpd.scm 203 */
obj_t BgL_arg1822z00_625;
{ /* Llib/mpd.scm 203 */
obj_t BgL_arg1823z00_626;
{ /* Llib/mpd.scm 203 */
obj_t BgL_res2714z00_2515;
{ /* Llib/mpd.scm 203 */
long BgL_startz00_2513;long BgL_endz00_2514;
BgL_startz00_2513 = 
(long)CINT(BgL_iz00_620); 
BgL_endz00_2514 = 
(long)CINT(BgL_jz00_624); 
BgL_res2714z00_2515 = 
c_substring(
((obj_t)BgL_linez00_9), BgL_startz00_2513, BgL_endz00_2514); } 
BgL_arg1823z00_626 = BgL_res2714z00_2515; } 
BgL_arg1822z00_625 = 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1823z00_626); } 
return 
bstring_to_symbol(BgL_arg1822z00_625);}  else 
{ /* Llib/mpd.scm 204 */
obj_t BgL_arg1824z00_627;
{ /* Llib/mpd.scm 204 */
obj_t BgL_arg1825z00_628;
{ /* Llib/mpd.scm 204 */
obj_t BgL_res2716z00_2521;
{ /* Llib/mpd.scm 204 */
long BgL_startz00_2519;
BgL_startz00_2519 = 
(long)CINT(BgL_iz00_620); 
BgL_res2716z00_2521 = 
c_substring(
((obj_t)BgL_linez00_9), BgL_startz00_2519, BgL_lenz00_621); } 
BgL_arg1825z00_628 = BgL_res2716z00_2521; } 
BgL_arg1824z00_627 = 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_arg1825z00_628); } 
return 
bstring_to_symbol(BgL_arg1824z00_627);} }  else 
{ /* Llib/mpd.scm 200 */
return BFALSE;} }  else 
{ /* Llib/mpd.scm 213 */
if(
(
(long)CINT(BgL_iz00_613)<BgL_lenz00_609))
{ /* Llib/mpd.scm 216 */
long BgL_arg1818z00_617;obj_t BgL_arg1819z00_618;
BgL_arg1818z00_617 = 
(BgL_nz00_612-((long)1)); 
{ /* Llib/mpd.scm 155 */
obj_t BgL_jz00_2537;
BgL_jz00_2537 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_iz00_613); 
if(
CBOOL(BgL_jz00_2537))
{ /* Llib/mpd.scm 156 */
obj_t BgL__ortest_1078z00_2538;
BgL__ortest_1078z00_2538 = 
BGl_stringzd2skipzd2zz__r4_strings_6_7z00(BgL_linez00_9, 
BCHAR(((unsigned char)' ')), BgL_jz00_2537); 
if(
CBOOL(BgL__ortest_1078z00_2538))
{ /* Llib/mpd.scm 156 */
BgL_arg1819z00_618 = BgL__ortest_1078z00_2538; }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1819z00_618 = BgL_jz00_2537; } }  else 
{ /* Llib/mpd.scm 156 */
BgL_arg1819z00_618 = BFALSE; } } 
{ 
obj_t BgL_iz00_6066;long BgL_nz00_6065;
BgL_nz00_6065 = BgL_arg1818z00_617; 
BgL_iz00_6066 = BgL_arg1819z00_618; 
BgL_iz00_613 = BgL_iz00_6066; 
BgL_nz00_612 = BgL_nz00_6065; 
goto BgL_zc3anonymousza31815ze3z83_614;} }  else 
{ /* Llib/mpd.scm 215 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 211 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 207 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* _mpd */
obj_t BGl__mpdz00zz__multimediazd2mpdzd2(obj_t BgL_envz00_19, obj_t BgL_opt1320z00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 230 */
{ 
obj_t BgL_k1z00_633;long BgL_iz00_634;
{ /* Llib/mpd.scm 230 */
obj_t BgL_g1326z00_636;obj_t BgL_g1327z00_637;obj_t BgL_g1328z00_638;obj_t BgL_g1329z00_639;
BgL_g1326z00_636 = 
VECTOR_REF(BgL_opt1320z00_18,((long)0)); 
BgL_g1327z00_637 = 
VECTOR_REF(BgL_opt1320z00_18,((long)1)); 
BgL_g1328z00_638 = 
VECTOR_REF(BgL_opt1320z00_18,((long)2)); 
BgL_g1329z00_639 = 
VECTOR_REF(BgL_opt1320z00_18,((long)3)); 
{ /* Llib/mpd.scm 230 */
obj_t BgL_logz00_640;
BgL_logz00_640 = BFALSE; 
{ /* Llib/mpd.scm 230 */

{ 
long BgL_iz00_641;
BgL_iz00_641 = ((long)4); 
BgL_check1323z00_642:
if(
(BgL_iz00_641==
VECTOR_LENGTH(BgL_opt1320z00_18)))
{ /* Llib/mpd.scm 230 */BNIL; }  else 
{ /* Llib/mpd.scm 230 */
bool_t BgL_testz00_6074;
{ /* Llib/mpd.scm 230 */
obj_t BgL_arg1832z00_648;
BgL_arg1832z00_648 = 
VECTOR_REF(BgL_opt1320z00_18,BgL_iz00_641); 
BgL_testz00_6074 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1832z00_648, 
CNST_TABLE_REF(((long)51)))); } 
if(BgL_testz00_6074)
{ 
long BgL_iz00_6079;
BgL_iz00_6079 = 
(BgL_iz00_641+((long)2)); 
BgL_iz00_641 = BgL_iz00_6079; 
goto BgL_check1323z00_642;}  else 
{ /* Llib/mpd.scm 230 */
obj_t BgL_arg1831z00_647;
BgL_arg1831z00_647 = 
VECTOR_REF(BgL_opt1320z00_18,BgL_iz00_641); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)50)), BGl_string3218z00zz__multimediazd2mpdzd2, BgL_arg1831z00_647); } } } 
{ /* Llib/mpd.scm 230 */
obj_t BgL_index1325z00_649;
BgL_k1z00_633 = 
CNST_TABLE_REF(((long)52)); 
BgL_iz00_634 = ((long)4); 
BgL_search1322z00_635:
if(
(BgL_iz00_634==
VECTOR_LENGTH(BgL_opt1320z00_18)))
{ /* Llib/mpd.scm 230 */
BgL_index1325z00_649 = 
BINT(((long)-1)); }  else 
{ /* Llib/mpd.scm 230 */
if(
(BgL_iz00_634==
(
VECTOR_LENGTH(BgL_opt1320z00_18)-((long)1))))
{ /* Llib/mpd.scm 230 */
BgL_index1325z00_649 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)50)), BGl_string3217z00zz__multimediazd2mpdzd2, 
BINT(
VECTOR_LENGTH(BgL_opt1320z00_18))); }  else 
{ /* Llib/mpd.scm 230 */
obj_t BgL_vz00_660;
BgL_vz00_660 = 
VECTOR_REF(BgL_opt1320z00_18,BgL_iz00_634); 
if(
(BgL_vz00_660==BgL_k1z00_633))
{ /* Llib/mpd.scm 230 */
BgL_index1325z00_649 = 
BINT(
(BgL_iz00_634+((long)1))); }  else 
{ 
long BgL_iz00_6101;
BgL_iz00_6101 = 
(BgL_iz00_634+((long)2)); 
BgL_iz00_634 = BgL_iz00_6101; 
goto BgL_search1322z00_635;} } } 
{ /* Llib/mpd.scm 230 */
bool_t BgL_testz00_6104;
{ /* Llib/mpd.scm 230 */
long BgL_n1z00_2564;
{ /* Llib/mpd.scm 230 */
obj_t BgL_tmpz00_6105;
if(
INTEGERP(BgL_index1325z00_649))
{ /* Llib/mpd.scm 230 */
BgL_tmpz00_6105 = BgL_index1325z00_649
; }  else 
{ 
obj_t BgL_auxz00_6108;
BgL_auxz00_6108 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string3220z00zz__multimediazd2mpdzd2, BGl_string3221z00zz__multimediazd2mpdzd2, BgL_index1325z00_649); 
FAILURE(BgL_auxz00_6108,BFALSE,BFALSE);} 
BgL_n1z00_2564 = 
(long)CINT(BgL_tmpz00_6105); } 
BgL_testz00_6104 = 
(BgL_n1z00_2564>=((long)0)); } 
if(BgL_testz00_6104)
{ 
long BgL_auxz00_6114;
{ /* Llib/mpd.scm 230 */
obj_t BgL_tmpz00_6115;
if(
INTEGERP(BgL_index1325z00_649))
{ /* Llib/mpd.scm 230 */
BgL_tmpz00_6115 = BgL_index1325z00_649
; }  else 
{ 
obj_t BgL_auxz00_6118;
BgL_auxz00_6118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string3220z00zz__multimediazd2mpdzd2, BGl_string3221z00zz__multimediazd2mpdzd2, BgL_index1325z00_649); 
FAILURE(BgL_auxz00_6118,BFALSE,BFALSE);} 
BgL_auxz00_6114 = 
(long)CINT(BgL_tmpz00_6115); } 
BgL_logz00_640 = 
VECTOR_REF(BgL_opt1320z00_18,BgL_auxz00_6114); }  else 
{ /* Llib/mpd.scm 230 */BFALSE; } } } 
{ /* Llib/mpd.scm 230 */
obj_t BgL_arg1834z00_651;obj_t BgL_arg1835z00_652;obj_t BgL_arg1836z00_653;obj_t BgL_arg1837z00_654;
BgL_arg1834z00_651 = 
VECTOR_REF(BgL_opt1320z00_18,((long)0)); 
BgL_arg1835z00_652 = 
VECTOR_REF(BgL_opt1320z00_18,((long)1)); 
BgL_arg1836z00_653 = 
VECTOR_REF(BgL_opt1320z00_18,((long)2)); 
BgL_arg1837z00_654 = 
VECTOR_REF(BgL_opt1320z00_18,((long)3)); 
{ /* Llib/mpd.scm 230 */
obj_t BgL_logz00_655;
BgL_logz00_655 = BgL_logz00_640; 
{ /* Llib/mpd.scm 230 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_6150;obj_t BgL_auxz00_6143;obj_t BgL_auxz00_6136;BgL_musicz00_bglt BgL_auxz00_6128;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1837z00_654, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6150 = 
((BgL_mpdzd2databasezd2_bglt)BgL_arg1837z00_654)
; }  else 
{ 
obj_t BgL_auxz00_6154;
BgL_auxz00_6154 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string3220z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_arg1837z00_654); 
FAILURE(BgL_auxz00_6154,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg1836z00_653))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6143 = BgL_arg1836z00_653
; }  else 
{ 
obj_t BgL_auxz00_6146;
BgL_auxz00_6146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string3220z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_arg1836z00_653); 
FAILURE(BgL_auxz00_6146,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg1835z00_652))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6136 = BgL_arg1835z00_652
; }  else 
{ 
obj_t BgL_auxz00_6139;
BgL_auxz00_6139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string3220z00zz__multimediazd2mpdzd2, BGl_string3223z00zz__multimediazd2mpdzd2, BgL_arg1835z00_652); 
FAILURE(BgL_auxz00_6139,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1834z00_651, BGl_musicz00zz__multimediazd2musiczd2))
{ /* Llib/mpd.scm 230 */
BgL_auxz00_6128 = 
((BgL_musicz00_bglt)BgL_arg1834z00_651)
; }  else 
{ 
obj_t BgL_auxz00_6132;
BgL_auxz00_6132 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)9602)), BGl_string3220z00zz__multimediazd2mpdzd2, BGl_string3222z00zz__multimediazd2mpdzd2, BgL_arg1834z00_651); 
FAILURE(BgL_auxz00_6132,BFALSE,BFALSE);} 
return 
BGl_mpdz00zz__multimediazd2mpdzd2(BgL_auxz00_6128, BgL_auxz00_6136, BgL_auxz00_6143, BgL_auxz00_6150, BgL_logz00_655);} } } } } } } } 
BGL_FUNCTION_END;
}



/* mpd */
BGL_EXPORTED_DEF obj_t BGl_mpdz00zz__multimediazd2mpdzd2(BgL_musicz00_bglt BgL_backendz00_13, obj_t BgL_ipz00_14, obj_t BgL_opz00_15, BgL_mpdzd2databasezd2_bglt BgL_dbz00_16, obj_t BgL_logz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 230 */
bgl_display_obj(BGl_string3226z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_char(((unsigned char)10), BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
{ 

BgL_zc3anonymousza31846ze3z83_666:
if(
BGl_musiczd2closedzf3z21zz__multimediazd2musiczd2(BgL_backendz00_13))
{ /* Llib/mpd.scm 237 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 238 */
obj_t BgL_linez00_668;
BgL_linez00_668 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_14); 
BGl_cmdnz00zz__multimediazd2mpdzd2 = 
(((long)1)+BGl_cmdnz00zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_logz00_17))
{ /* Llib/mpd.scm 240 */
PROCEDURE_ENTRY(BgL_logz00_17)(BgL_logz00_17, BgL_linez00_668, BEOA); }  else 
{ /* Llib/mpd.scm 240 */BFALSE; } 
{ /* Llib/mpd.scm 241 */
bool_t BgL_testz00_6172;
{ /* Llib/mpd.scm 241 */
bool_t BgL_res2733z00_2570;
BgL_res2733z00_2570 = 
EOF_OBJECTP(BgL_linez00_668); 
BgL_testz00_6172 = BgL_res2733z00_2570; } 
if(BgL_testz00_6172)
{ /* Llib/mpd.scm 241 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 242 */
obj_t BgL_vz00_670;
BgL_vz00_670 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_16, BgL_backendz00_13, BgL_ipz00_14, BgL_opz00_15, BgL_linez00_668); 
if(
(BgL_vz00_670==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 243 */
bgl_display_string(BGl_string3227z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
goto BgL_zc3anonymousza31846ze3z83_666;}  else 
{ /* Llib/mpd.scm 243 */
bool_t BgL_testz00_6181;
{ /* Llib/mpd.scm 243 */
bool_t BgL__ortest_1087z00_678;
BgL__ortest_1087z00_678 = 
(BgL_vz00_670==
CNST_TABLE_REF(((long)24))); 
if(BgL__ortest_1087z00_678)
{ /* Llib/mpd.scm 243 */
BgL_testz00_6181 = BgL__ortest_1087z00_678
; }  else 
{ /* Llib/mpd.scm 243 */
BgL_testz00_6181 = 
(BgL_vz00_670==
CNST_TABLE_REF(((long)31)))
; } } 
if(BgL_testz00_6181)
{ /* Llib/mpd.scm 243 */
return 
bgl_flush_output_port(BgL_opz00_15);}  else 
{ /* Llib/mpd.scm 243 */
if(
(BgL_vz00_670==
CNST_TABLE_REF(((long)54))))
{ /* Llib/mpd.scm 243 */
goto BgL_zc3anonymousza31846ze3z83_666;}  else 
{ /* Llib/mpd.scm 243 */
bgl_display_string(BGl_string3228z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BGl_string3229z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_string(BGl_string3230z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BGl_string3216z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_string(BGl_string3231z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_display_obj(BgL_vz00_670, BgL_opz00_15); 
bgl_display_string(BGl_string3232z00zz__multimediazd2mpdzd2, BgL_opz00_15); 
bgl_flush_output_port(BgL_opz00_15); 
CNST_TABLE_REF(((long)54)); 
goto BgL_zc3anonymousza31846ze3z83_666;} } } } } } } } 
BGL_FUNCTION_END;
}



/* execute-command */
obj_t BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_20, BgL_musicz00_bglt BgL_backendz00_21, obj_t BgL_ipz00_22, obj_t BgL_opz00_23, obj_t BgL_linez00_24)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 259 */
{ /* Llib/mpd.scm 260 */
obj_t BgL_cmdz00_680;
BgL_cmdz00_680 = 
BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(BgL_linez00_24); 
{ /* Llib/mpd.scm 262 */
bool_t BgL_testz00_6201;
if(
(BgL_cmdz00_680==
CNST_TABLE_REF(((long)55))))
{ /* Llib/mpd.scm 262 */
BgL_testz00_6201 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 262 */
BgL_testz00_6201 = 
(BgL_cmdz00_680==
CNST_TABLE_REF(((long)56)))
; } 
if(BgL_testz00_6201)
{ /* Llib/mpd.scm 262 */
return 
BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_dbz00_20, BgL_backendz00_21, BgL_ipz00_22, BgL_opz00_23, BgL_cmdz00_680);}  else 
{ /* Llib/mpd.scm 265 */
obj_t BgL_g1088z00_683;
BgL_g1088z00_683 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cmdz00_680, BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_g1088z00_683))
{ /* Llib/mpd.scm 267 */
obj_t BgL_fun1854z00_686;
BgL_fun1854z00_686 = 
CDR(
((obj_t)BgL_g1088z00_683)); 
return 
PROCEDURE_ENTRY(BgL_fun1854z00_686)(BgL_fun1854z00_686, 
((obj_t)BgL_dbz00_20), 
((obj_t)BgL_backendz00_21), BgL_linez00_24, BgL_ipz00_22, BgL_opz00_23, BEOA);}  else 
{ /* Llib/mpd.scm 268 */
obj_t BgL_g1091z00_687;
BgL_g1091z00_687 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cmdz00_680, BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2); 
if(
CBOOL(BgL_g1091z00_687))
{ /* Llib/mpd.scm 270 */
obj_t BgL_fun1855z00_690;
BgL_fun1855z00_690 = 
CDR(
((obj_t)BgL_g1091z00_687)); 
return 
PROCEDURE_ENTRY(BgL_fun1855z00_690)(BgL_fun1855z00_690, 
((obj_t)BgL_dbz00_20), 
((obj_t)BgL_backendz00_21), BgL_linez00_24, BgL_ipz00_22, BgL_opz00_23, BEOA);}  else 
{ /* Llib/mpd.scm 268 */
if(
(
STRING_LENGTH(BgL_linez00_24)>((long)0)))
{ /* Llib/mpd.scm 273 */
obj_t BgL_list1858z00_693;
BgL_list1858z00_693 = 
MAKE_YOUNG_PAIR(BgL_linez00_24, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3233z00zz__multimediazd2mpdzd2, BgL_list1858z00_693);}  else 
{ /* Llib/mpd.scm 272 */
return 
CNST_TABLE_REF(((long)54));} } } } } } } 
BGL_FUNCTION_END;
}



/* mpd-list-begin */
obj_t BGl_mpdzd2listzd2beginz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_25, BgL_musicz00_bglt BgL_backendz00_26, obj_t BgL_ipz00_27, obj_t BgL_opz00_28, obj_t BgL_cmdz00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 279 */
{ 
obj_t BgL_linesz00_698;
BgL_linesz00_698 = BNIL; 
BgL_zc3anonymousza31860ze3z83_699:
{ /* Llib/mpd.scm 281 */
obj_t BgL_linez00_700;
BgL_linez00_700 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_27); 
{ /* Llib/mpd.scm 282 */
bool_t BgL_testz00_6245;
{ /* Llib/mpd.scm 282 */
bool_t BgL_res2738z00_2595;
BgL_res2738z00_2595 = 
EOF_OBJECTP(BgL_linez00_700); 
BgL_testz00_6245 = BgL_res2738z00_2595; } 
if(BgL_testz00_6245)
{ /* Llib/mpd.scm 282 */
return BFALSE;}  else 
{ /* Llib/mpd.scm 283 */
obj_t BgL_cz00_702;
BgL_cz00_702 = 
BGl_getzd2linezd2commandz00zz__multimediazd2mpdzd2(BgL_linez00_700); 
if(
(BgL_cz00_702==
CNST_TABLE_REF(((long)57))))
{ /* Llib/mpd.scm 284 */
if(
(BgL_cmdz00_29==
CNST_TABLE_REF(((long)55))))
{ /* Llib/mpd.scm 287 */
obj_t BgL_g1094z00_705;
BgL_g1094z00_705 = 
bgl_reverse_bang(BgL_linesz00_698); 
{ 
obj_t BgL_lsz00_707;
BgL_lsz00_707 = BgL_g1094z00_705; 
BgL_zc3anonymousza31864ze3z83_708:
if(
NULLP(BgL_lsz00_707))
{ /* Llib/mpd.scm 288 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 290 */
obj_t BgL_lz00_710;
BgL_lz00_710 = 
CAR(
((obj_t)BgL_lsz00_707)); 
{ /* Llib/mpd.scm 290 */
obj_t BgL_vz00_711;
BgL_vz00_711 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_25, BgL_backendz00_26, BgL_ipz00_27, BgL_opz00_28, BgL_lz00_710); 
{ /* Llib/mpd.scm 291 */

if(
(BgL_vz00_711==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 293 */
obj_t BgL_arg1867z00_713;
BgL_arg1867z00_713 = 
CDR(
((obj_t)BgL_lsz00_707)); 
{ 
obj_t BgL_lsz00_6266;
BgL_lsz00_6266 = BgL_arg1867z00_713; 
BgL_lsz00_707 = BgL_lsz00_6266; 
goto BgL_zc3anonymousza31864ze3z83_708;} }  else 
{ /* Llib/mpd.scm 292 */
return BgL_vz00_711;} } } } } }  else 
{ /* Llib/mpd.scm 286 */
if(
(BgL_cmdz00_29==
CNST_TABLE_REF(((long)56))))
{ /* Llib/mpd.scm 296 */
obj_t BgL_g1095z00_716;
BgL_g1095z00_716 = 
bgl_reverse_bang(BgL_linesz00_698); 
{ 
obj_t BgL_lsz00_718;
BgL_lsz00_718 = BgL_g1095z00_716; 
BgL_zc3anonymousza31869ze3z83_719:
if(
NULLP(BgL_lsz00_718))
{ /* Llib/mpd.scm 297 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 299 */
obj_t BgL_lz00_721;
BgL_lz00_721 = 
CAR(
((obj_t)BgL_lsz00_718)); 
{ /* Llib/mpd.scm 299 */
obj_t BgL_vz00_722;
BgL_vz00_722 = 
BGl_executezd2commandzd2zz__multimediazd2mpdzd2(BgL_dbz00_25, BgL_backendz00_26, BgL_ipz00_27, BgL_opz00_28, BgL_lz00_721); 
{ /* Llib/mpd.scm 300 */

if(
(BgL_vz00_722==
CNST_TABLE_REF(((long)53))))
{ /* Llib/mpd.scm 301 */
bgl_display_string(BGl_string3234z00zz__multimediazd2mpdzd2, BgL_opz00_28); 
{ /* Llib/mpd.scm 304 */
obj_t BgL_arg1872z00_724;
BgL_arg1872z00_724 = 
CDR(
((obj_t)BgL_lsz00_718)); 
{ 
obj_t BgL_lsz00_6283;
BgL_lsz00_6283 = BgL_arg1872z00_724; 
BgL_lsz00_718 = BgL_lsz00_6283; 
goto BgL_zc3anonymousza31869ze3z83_719;} } }  else 
{ /* Llib/mpd.scm 301 */
return BgL_vz00_722;} } } } } }  else 
{ /* Llib/mpd.scm 295 */
return BFALSE;} } }  else 
{ /* Llib/mpd.scm 306 */
obj_t BgL_arg1873z00_726;
BgL_arg1873z00_726 = 
MAKE_YOUNG_PAIR(BgL_linez00_700, BgL_linesz00_698); 
{ 
obj_t BgL_linesz00_6285;
BgL_linesz00_6285 = BgL_arg1873z00_726; 
BgL_linesz00_698 = BgL_linesz00_6285; 
goto BgL_zc3anonymousza31860ze3z83_699;} } } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-ping */
obj_t BGl_z62mpdzd2pingzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4357, obj_t BgL_dbz00_4358, obj_t BgL_backendz00_4359, obj_t BgL_linez00_4360, obj_t BgL_ipz00_4361, obj_t BgL_opz00_4362)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 338 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-urlhandlers */
obj_t BGl_z62mpdzd2urlhandlerszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4363, obj_t BgL_dbz00_4364, obj_t BgL_backendz00_4365, obj_t BgL_linez00_4366, obj_t BgL_ipz00_4367, obj_t BgL_opz00_4368)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 344 */
{ /* Llib/mpd.scm 345 */
bool_t BgL_tmpz00_6287;
{ /* Llib/mpd.scm 345 */
obj_t BgL_g1180z00_5213;
BgL_g1180z00_5213 = 
CNST_TABLE_REF(((long)58)); 
{ 
obj_t BgL_l1178z00_5215;
BgL_l1178z00_5215 = BgL_g1180z00_5213; 
BgL_zc3anonymousza31891ze3z83_5214:
if(
PAIRP(BgL_l1178z00_5215))
{ /* Llib/mpd.scm 349 */
{ /* Llib/mpd.scm 346 */
obj_t BgL_handlerz00_5216;
BgL_handlerz00_5216 = 
CAR(BgL_l1178z00_5215); 
{ /* Llib/mpd.scm 346 */
obj_t BgL_tmpz00_6292;
BgL_tmpz00_6292 = 
((obj_t)BgL_opz00_4368); 
bgl_display_string(BGl_string3235z00zz__multimediazd2mpdzd2, BgL_tmpz00_6292); } 
bgl_display_obj(BgL_handlerz00_5216, BgL_opz00_4368); 
{ /* Llib/mpd.scm 348 */
obj_t BgL_tmpz00_6296;
BgL_tmpz00_6296 = 
((obj_t)BgL_opz00_4368); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6296); } } 
{ 
obj_t BgL_l1178z00_6299;
BgL_l1178z00_6299 = 
CDR(BgL_l1178z00_5215); 
BgL_l1178z00_5215 = BgL_l1178z00_6299; 
goto BgL_zc3anonymousza31891ze3z83_5214;} }  else 
{ /* Llib/mpd.scm 349 */
BgL_tmpz00_6287 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_6287);} } 
BGL_FUNCTION_END;
}



/* &mpd-tagtypes */
obj_t BGl_z62mpdzd2tagtypeszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4369, obj_t BgL_dbz00_4370, obj_t BgL_backendz00_4371, obj_t BgL_linez00_4372, obj_t BgL_ipz00_4373, obj_t BgL_opz00_4374)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 354 */
{ /* Llib/mpd.scm 355 */
bool_t BgL_tmpz00_6302;
{ /* Llib/mpd.scm 355 */
obj_t BgL_g1183z00_5217;
BgL_g1183z00_5217 = 
CNST_TABLE_REF(((long)59)); 
{ 
obj_t BgL_l1181z00_5219;
BgL_l1181z00_5219 = BgL_g1183z00_5217; 
BgL_zc3anonymousza31894ze3z83_5218:
if(
PAIRP(BgL_l1181z00_5219))
{ /* Llib/mpd.scm 359 */
{ /* Llib/mpd.scm 356 */
obj_t BgL_tagz00_5220;
BgL_tagz00_5220 = 
CAR(BgL_l1181z00_5219); 
{ /* Llib/mpd.scm 356 */
obj_t BgL_tmpz00_6307;
BgL_tmpz00_6307 = 
((obj_t)BgL_opz00_4374); 
bgl_display_string(BGl_string3236z00zz__multimediazd2mpdzd2, BgL_tmpz00_6307); } 
bgl_display_obj(BgL_tagz00_5220, BgL_opz00_4374); 
{ /* Llib/mpd.scm 358 */
obj_t BgL_tmpz00_6311;
BgL_tmpz00_6311 = 
((obj_t)BgL_opz00_4374); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6311); } } 
{ 
obj_t BgL_l1181z00_6314;
BgL_l1181z00_6314 = 
CDR(BgL_l1181z00_5219); 
BgL_l1181z00_5219 = BgL_l1181z00_6314; 
goto BgL_zc3anonymousza31894ze3z83_5218;} }  else 
{ /* Llib/mpd.scm 359 */
BgL_tmpz00_6302 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_6302);} } 
BGL_FUNCTION_END;
}



/* &mpd-status */
obj_t BGl_z62mpdzd2statuszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4375, obj_t BgL_dbz00_4376, obj_t BgL_backendz00_4377, obj_t BgL_linez00_4378, obj_t BgL_ipz00_4379, obj_t BgL_opz00_4380)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 371 */
{ /* Llib/mpd.scm 372 */
BgL_musicstatusz00_bglt BgL_statusz00_5221;
BgL_statusz00_5221 = 
BGl_musiczd2statuszd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4377)); 
{ /* Llib/mpd.scm 376 */
obj_t BgL_volz00_5222;
{ /* Llib/mpd.scm 376 */
bool_t BgL_testz00_6319;
{ /* Llib/mpd.scm 376 */
obj_t BgL_tmpz00_6320;
BgL_tmpz00_6320 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_volumez00); 
BgL_testz00_6319 = 
VECTORP(BgL_tmpz00_6320); } 
if(BgL_testz00_6319)
{ /* Llib/mpd.scm 376 */
obj_t BgL_arg1899z00_5223;
BgL_arg1899z00_5223 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_volumez00); 
BgL_volz00_5222 = 
VECTOR_REF(
((obj_t)BgL_arg1899z00_5223),((long)0)); }  else 
{ /* Llib/mpd.scm 376 */
BgL_volz00_5222 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_volumez00); } } 
{ /* Llib/mpd.scm 377 */
obj_t BgL_tmpz00_6327;
BgL_tmpz00_6327 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3237z00zz__multimediazd2mpdzd2, BgL_tmpz00_6327); } 
bgl_display_obj(BgL_volz00_5222, BgL_opz00_4380); 
{ /* Llib/mpd.scm 377 */
obj_t BgL_tmpz00_6331;
BgL_tmpz00_6331 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6331); } } 
{ /* Llib/mpd.scm 378 */
obj_t BgL_tmpz00_6334;
BgL_tmpz00_6334 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3238z00zz__multimediazd2mpdzd2, BgL_tmpz00_6334); } 
bgl_display_obj(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_statez00), BgL_opz00_4380); 
{ /* Llib/mpd.scm 378 */
obj_t BgL_tmpz00_6339;
BgL_tmpz00_6339 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6339); } 
{ /* Llib/mpd.scm 379 */
obj_t BgL_tmpz00_6342;
BgL_tmpz00_6342 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3239z00zz__multimediazd2mpdzd2, BgL_tmpz00_6342); } 
{ /* Llib/mpd.scm 379 */
int BgL_arg1902z00_5224;
BgL_arg1902z00_5224 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_playlistidz00); 
bgl_display_obj(
BINT(BgL_arg1902z00_5224), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 379 */
obj_t BgL_tmpz00_6348;
BgL_tmpz00_6348 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6348); } 
{ /* Llib/mpd.scm 380 */
obj_t BgL_tmpz00_6351;
BgL_tmpz00_6351 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3240z00zz__multimediazd2mpdzd2, BgL_tmpz00_6351); } 
{ /* Llib/mpd.scm 380 */
int BgL_arg1903z00_5225;
BgL_arg1903z00_5225 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_playlistlengthz00); 
bgl_display_obj(
BINT(BgL_arg1903z00_5225), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 380 */
obj_t BgL_tmpz00_6357;
BgL_tmpz00_6357 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6357); } 
if(
(
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_songz00))>=((long)0)))
{ /* Llib/mpd.scm 381 */
{ /* Llib/mpd.scm 382 */
obj_t BgL_tmpz00_6364;
BgL_tmpz00_6364 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3241z00zz__multimediazd2mpdzd2, BgL_tmpz00_6364); } 
{ /* Llib/mpd.scm 382 */
int BgL_arg1906z00_5226;
BgL_arg1906z00_5226 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_songz00); 
bgl_display_obj(
BINT(BgL_arg1906z00_5226), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 382 */
obj_t BgL_tmpz00_6370;
BgL_tmpz00_6370 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6370); } 
{ /* Llib/mpd.scm 383 */
obj_t BgL_tmpz00_6373;
BgL_tmpz00_6373 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3242z00zz__multimediazd2mpdzd2, BgL_tmpz00_6373); } 
{ /* Llib/mpd.scm 383 */
int BgL_arg1907z00_5227;
BgL_arg1907z00_5227 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_songidz00); 
bgl_display_obj(
BINT(BgL_arg1907z00_5227), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 383 */
obj_t BgL_tmpz00_6379;
BgL_tmpz00_6379 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6379); } 
{ /* Llib/mpd.scm 384 */
obj_t BgL_tmpz00_6382;
BgL_tmpz00_6382 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3243z00zz__multimediazd2mpdzd2, BgL_tmpz00_6382); } 
{ /* Llib/mpd.scm 384 */
int BgL_arg1908z00_5228;
BgL_arg1908z00_5228 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_bitratez00); 
bgl_display_obj(
BINT(BgL_arg1908z00_5228), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 384 */
obj_t BgL_tmpz00_6388;
BgL_tmpz00_6388 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6388); } 
{ /* Llib/mpd.scm 385 */
obj_t BgL_tmpz00_6391;
BgL_tmpz00_6391 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3244z00zz__multimediazd2mpdzd2, BgL_tmpz00_6391); } 
{ /* Llib/mpd.scm 386 */
int BgL_arg1909z00_5229;
BgL_arg1909z00_5229 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_khza7za7); 
bgl_display_obj(
BINT(BgL_arg1909z00_5229), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 387 */
obj_t BgL_tmpz00_6397;
BgL_tmpz00_6397 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3245z00zz__multimediazd2mpdzd2, BgL_tmpz00_6397); } }  else 
{ /* Llib/mpd.scm 381 */BFALSE; } 
{ /* Llib/mpd.scm 388 */
bool_t BgL_testz00_6400;
if(
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_statez00)==
CNST_TABLE_REF(((long)13))))
{ /* Llib/mpd.scm 388 */
BgL_testz00_6400 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 388 */
BgL_testz00_6400 = 
(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_statez00)==
CNST_TABLE_REF(((long)18)))
; } 
if(BgL_testz00_6400)
{ /* Llib/mpd.scm 388 */
{ /* Llib/mpd.scm 389 */
obj_t BgL_tmpz00_6408;
BgL_tmpz00_6408 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3246z00zz__multimediazd2mpdzd2, BgL_tmpz00_6408); } 
bgl_display_obj(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_songposz00), BgL_opz00_4380); 
{ /* Llib/mpd.scm 391 */
obj_t BgL_tmpz00_6413;
BgL_tmpz00_6413 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3247z00zz__multimediazd2mpdzd2, BgL_tmpz00_6413); } 
{ /* Llib/mpd.scm 392 */
int BgL_arg1917z00_5230;
BgL_arg1917z00_5230 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_songlengthz00); 
bgl_display_obj(
BINT(BgL_arg1917z00_5230), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 393 */
obj_t BgL_tmpz00_6419;
BgL_tmpz00_6419 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6419); } }  else 
{ /* Llib/mpd.scm 388 */BFALSE; } } 
if(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_repeatz00))
{ /* Llib/mpd.scm 395 */
obj_t BgL_tmpz00_6424;
BgL_tmpz00_6424 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3248z00zz__multimediazd2mpdzd2, BgL_tmpz00_6424); }  else 
{ /* Llib/mpd.scm 396 */
obj_t BgL_tmpz00_6427;
BgL_tmpz00_6427 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3249z00zz__multimediazd2mpdzd2, BgL_tmpz00_6427); } 
if(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_randomz00))
{ /* Llib/mpd.scm 398 */
obj_t BgL_tmpz00_6432;
BgL_tmpz00_6432 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3250z00zz__multimediazd2mpdzd2, BgL_tmpz00_6432); }  else 
{ /* Llib/mpd.scm 399 */
obj_t BgL_tmpz00_6435;
BgL_tmpz00_6435 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3251z00zz__multimediazd2mpdzd2, BgL_tmpz00_6435); } 
{ /* Llib/mpd.scm 400 */
obj_t BgL_tmpz00_6438;
BgL_tmpz00_6438 = 
((obj_t)BgL_opz00_4380); 
bgl_display_string(BGl_string3252z00zz__multimediazd2mpdzd2, BgL_tmpz00_6438); } 
{ /* Llib/mpd.scm 400 */
int BgL_arg1922z00_5231;
BgL_arg1922z00_5231 = 
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5221))->BgL_xfadez00); 
bgl_display_obj(
BINT(BgL_arg1922z00_5231), BgL_opz00_4380); } 
{ /* Llib/mpd.scm 400 */
obj_t BgL_tmpz00_6444;
BgL_tmpz00_6444 = 
((obj_t)BgL_opz00_4380); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6444); } } 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-playlist */
obj_t BGl_z62mpdzd2playlistzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4381, obj_t BgL_dbz00_4382, obj_t BgL_backendz00_4383, obj_t BgL_linez00_4384, obj_t BgL_ipz00_4385, obj_t BgL_opz00_4386)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 406 */
{ /* Llib/mpd.scm 407 */
obj_t BgL_g1101z00_5232;
BgL_g1101z00_5232 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4383)); 
{ 
obj_t BgL_plistz00_5234;long BgL_numz00_5235;
BgL_plistz00_5234 = BgL_g1101z00_5232; 
BgL_numz00_5235 = ((long)0); 
BgL_loopz00_5233:
if(
PAIRP(BgL_plistz00_5234))
{ /* Llib/mpd.scm 409 */
bgl_display_obj(
BINT(BgL_numz00_5235), BgL_opz00_4386); 
{ /* Llib/mpd.scm 411 */
obj_t BgL_tmpz00_6454;
BgL_tmpz00_6454 = 
((obj_t)BgL_opz00_4386); 
bgl_display_string(BGl_string3247z00zz__multimediazd2mpdzd2, BgL_tmpz00_6454); } 
bgl_display_obj(
CAR(BgL_plistz00_5234), BgL_opz00_4386); 
{ /* Llib/mpd.scm 413 */
obj_t BgL_tmpz00_6459;
BgL_tmpz00_6459 = 
((obj_t)BgL_opz00_4386); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6459); } 
{ 
long BgL_numz00_6464;obj_t BgL_plistz00_6462;
BgL_plistz00_6462 = 
CDR(BgL_plistz00_5234); 
BgL_numz00_6464 = 
(((long)1)+BgL_numz00_5235); 
BgL_numz00_5235 = BgL_numz00_6464; 
BgL_plistz00_5234 = BgL_plistz00_6462; 
goto BgL_loopz00_5233;} }  else 
{ /* Llib/mpd.scm 409 */((bool_t)0); } } } 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* playlistinfo */
obj_t BGl_playlistinfoz00zz__multimediazd2mpdzd2(obj_t BgL_dbz00_71, obj_t BgL_backendz00_72, obj_t BgL_linez00_73, obj_t BgL_ipz00_74, obj_t BgL_opz00_75, int BgL_numz00_76)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 432 */
{ /* Llib/mpd.scm 434 */
obj_t BgL_plistz00_867;
BgL_plistz00_867 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_72)); 
{ /* Llib/mpd.scm 435 */
bool_t BgL_testz00_6469;
if(
(
(long)(BgL_numz00_76)>=((long)0)))
{ /* Llib/mpd.scm 435 */
BgL_testz00_6469 = 
(
(long)(BgL_numz00_76)<
bgl_list_length(BgL_plistz00_867))
; }  else 
{ /* Llib/mpd.scm 435 */
BgL_testz00_6469 = ((bool_t)0)
; } 
if(BgL_testz00_6469)
{ /* Llib/mpd.scm 436 */
obj_t BgL_arg1956z00_871;
BgL_arg1956z00_871 = 
bgl_list_ref(BgL_plistz00_867, 
(long)(BgL_numz00_76)); 
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_2813;
BgL_g1187z00_2813 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_71, BgL_arg1956z00_871, BFALSE, BFALSE, BFALSE); 
{ 
obj_t BgL_l1185z00_2815;
BgL_l1185z00_2815 = BgL_g1187z00_2813; 
BgL_zc3anonymousza31947ze3z83_2814:
if(
PAIRP(BgL_l1185z00_2815))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_2817;
BgL_kz00_2817 = 
CAR(BgL_l1185z00_2815); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_2818;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_2819;
BgL_arg1950z00_2819 = 
CAR(
((obj_t)BgL_kz00_2817)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2773z00_2826;
BgL_res2773z00_2826 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_2819)); 
BgL_arg1949z00_2818 = BgL_res2773z00_2826; } } 
bgl_display_obj(BgL_arg1949z00_2818, BgL_opz00_75); } 
{ /* Llib/mpd.scm 424 */
obj_t BgL_tmpz00_6487;
BgL_tmpz00_6487 = 
((obj_t)BgL_opz00_75); 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_tmpz00_6487); } 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_2820;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_2832;
BgL_pairz00_2832 = 
CDR(
((obj_t)BgL_kz00_2817)); 
BgL_arg1951z00_2820 = 
CAR(BgL_pairz00_2832); } 
bgl_display_obj(BgL_arg1951z00_2820, BgL_opz00_75); } 
{ /* Llib/mpd.scm 426 */
obj_t BgL_tmpz00_6494;
BgL_tmpz00_6494 = 
((obj_t)BgL_opz00_75); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6494); } } 
{ 
obj_t BgL_l1185z00_6497;
BgL_l1185z00_6497 = 
CDR(BgL_l1185z00_2815); 
BgL_l1185z00_2815 = BgL_l1185z00_6497; 
goto BgL_zc3anonymousza31947ze3z83_2814;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } }  else 
{ 
obj_t BgL_plistz00_876;long BgL_numz00_877;
BgL_plistz00_876 = BgL_plistz00_867; 
BgL_numz00_877 = ((long)0); 
BgL_zc3anonymousza31957ze3z83_878:
if(
PAIRP(BgL_plistz00_876))
{ /* Llib/mpd.scm 439 */
{ /* Llib/mpd.scm 440 */
obj_t BgL_arg1959z00_880;
BgL_arg1959z00_880 = 
CAR(BgL_plistz00_876); 
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_2837;
BgL_g1187z00_2837 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_71, BgL_arg1959z00_880, BFALSE, BFALSE, BFALSE); 
{ 
obj_t BgL_l1185z00_2839;
BgL_l1185z00_2839 = BgL_g1187z00_2837; 
BgL_zc3anonymousza31947ze3z83_2838:
if(
PAIRP(BgL_l1185z00_2839))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_2841;
BgL_kz00_2841 = 
CAR(BgL_l1185z00_2839); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_2842;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_2843;
BgL_arg1950z00_2843 = 
CAR(
((obj_t)BgL_kz00_2841)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2776z00_2850;
BgL_res2776z00_2850 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_2843)); 
BgL_arg1949z00_2842 = BgL_res2776z00_2850; } } 
bgl_display_obj(BgL_arg1949z00_2842, BgL_opz00_75); } 
{ /* Llib/mpd.scm 424 */
obj_t BgL_tmpz00_6511;
BgL_tmpz00_6511 = 
((obj_t)BgL_opz00_75); 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_tmpz00_6511); } 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_2844;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_2856;
BgL_pairz00_2856 = 
CDR(
((obj_t)BgL_kz00_2841)); 
BgL_arg1951z00_2844 = 
CAR(BgL_pairz00_2856); } 
bgl_display_obj(BgL_arg1951z00_2844, BgL_opz00_75); } 
{ /* Llib/mpd.scm 426 */
obj_t BgL_tmpz00_6518;
BgL_tmpz00_6518 = 
((obj_t)BgL_opz00_75); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6518); } } 
{ 
obj_t BgL_l1185z00_6521;
BgL_l1185z00_6521 = 
CDR(BgL_l1185z00_2839); 
BgL_l1185z00_2839 = BgL_l1185z00_6521; 
goto BgL_zc3anonymousza31947ze3z83_2838;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } } 
{ 
long BgL_numz00_6525;obj_t BgL_plistz00_6523;
BgL_plistz00_6523 = 
CDR(BgL_plistz00_876); 
BgL_numz00_6525 = 
(((long)1)+BgL_numz00_877); 
BgL_numz00_877 = BgL_numz00_6525; 
BgL_plistz00_876 = BgL_plistz00_6523; 
goto BgL_zc3anonymousza31957ze3z83_878;} }  else 
{ /* Llib/mpd.scm 439 */((bool_t)0); } } } } 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-playlistinfo */
obj_t BGl_z62mpdzd2playlistinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4387, obj_t BgL_dbz00_4388, obj_t BgL_backendz00_4389, obj_t BgL_linez00_4390, obj_t BgL_ipz00_4391, obj_t BgL_opz00_4392)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 447 */
{ /* Llib/mpd.scm 447 */
obj_t BgL_numz00_5236;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5237;
BgL_strz00_5237 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4390, ((long)1)); 
if(
STRINGP(BgL_strz00_5237))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6531;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6532;
BgL_tmpz00_6532 = 
BSTRING_TO_STRING(BgL_strz00_5237); 
BgL_tmpz00_6531 = 
BGL_STRTOL(BgL_tmpz00_6532, ((long)0), ((long)10)); } 
BgL_numz00_5236 = 
BINT(BgL_tmpz00_6531); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5236 = BFALSE; } } 
{ /* Llib/mpd.scm 448 */
obj_t BgL_arg1963z00_5238;
if(
CBOOL(BgL_numz00_5236))
{ /* Llib/mpd.scm 448 */
BgL_arg1963z00_5238 = BgL_numz00_5236; }  else 
{ /* Llib/mpd.scm 448 */
BgL_arg1963z00_5238 = 
BINT(((long)0)); } 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4388, BgL_backendz00_4389, BgL_linez00_4390, BgL_ipz00_4391, BgL_opz00_4392, 
CINT(BgL_arg1963z00_5238));} } } 
BGL_FUNCTION_END;
}



/* &mpd-playlistid */
obj_t BGl_z62mpdzd2playlistidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4393, obj_t BgL_dbz00_4394, obj_t BgL_backendz00_4395, obj_t BgL_linez00_4396, obj_t BgL_ipz00_4397, obj_t BgL_opz00_4398)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 453 */
{ /* Llib/mpd.scm 453 */
obj_t BgL_numz00_5239;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5240;
BgL_strz00_5240 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4396, ((long)1)); 
if(
STRINGP(BgL_strz00_5240))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6544;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6545;
BgL_tmpz00_6545 = 
BSTRING_TO_STRING(BgL_strz00_5240); 
BgL_tmpz00_6544 = 
BGL_STRTOL(BgL_tmpz00_6545, ((long)0), ((long)10)); } 
BgL_numz00_5239 = 
BINT(BgL_tmpz00_6544); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5239 = BFALSE; } } 
{ /* Llib/mpd.scm 454 */
obj_t BgL_arg1964z00_5241;
if(
CBOOL(BgL_numz00_5239))
{ /* Llib/mpd.scm 454 */
BgL_arg1964z00_5241 = BgL_numz00_5239; }  else 
{ /* Llib/mpd.scm 454 */
BgL_arg1964z00_5241 = 
BINT(((long)0)); } 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4394, BgL_backendz00_4395, BgL_linez00_4396, BgL_ipz00_4397, BgL_opz00_4398, 
CINT(BgL_arg1964z00_5241));} } } 
BGL_FUNCTION_END;
}



/* &mpd-plchanges */
obj_t BGl_z62mpdzd2plchangeszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4399, obj_t BgL_dbz00_4400, obj_t BgL_backendz00_4401, obj_t BgL_linez00_4402, obj_t BgL_ipz00_4403, obj_t BgL_opz00_4404)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 459 */
{ /* Llib/mpd.scm 459 */
obj_t BgL_numz00_5242;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5243;
BgL_strz00_5243 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4402, ((long)1)); 
if(
STRINGP(BgL_strz00_5243))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6557;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6558;
BgL_tmpz00_6558 = 
BSTRING_TO_STRING(BgL_strz00_5243); 
BgL_tmpz00_6557 = 
BGL_STRTOL(BgL_tmpz00_6558, ((long)0), ((long)10)); } 
BgL_numz00_5242 = 
BINT(BgL_tmpz00_6557); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5242 = BFALSE; } } 
{ /* Llib/mpd.scm 460 */
BgL_musicstatusz00_bglt BgL_statusz00_5244;
BgL_statusz00_5244 = 
BGl_musiczd2statuszd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4401)); 
if(
(
(long)CINT(BgL_numz00_5242)<
(long)(
(((BgL_musicstatusz00_bglt)COBJECT(BgL_statusz00_5244))->BgL_playlistidz00))))
{ /* Llib/mpd.scm 462 */
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4400, BgL_backendz00_4401, BgL_linez00_4402, BgL_ipz00_4403, BgL_opz00_4404, 
(int)(((long)0)));}  else 
{ /* Llib/mpd.scm 462 */
return 
CNST_TABLE_REF(((long)53));} } } } 
BGL_FUNCTION_END;
}



/* &mpd-add */
obj_t BGl_z62mpdzd2addzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4405, obj_t BgL_dbz00_4406, obj_t BgL_backendz00_4407, obj_t BgL_linez00_4408, obj_t BgL_ipz00_4409, obj_t BgL_opz00_4410)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 477 */
{ /* Llib/mpd.scm 477 */
obj_t BgL_uriz00_5245;
BgL_uriz00_5245 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4408, ((long)1)); 
if(
CBOOL(BgL_uriz00_5245))
{ /* Llib/mpd.scm 479 */
obj_t BgL_pathz00_5246;
if(
bigloo_strcmp_at(BgL_uriz00_5245, BGl_string3254z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 470 */
BgL_pathz00_5246 = BgL_uriz00_5245; }  else 
{ /* Llib/mpd.scm 470 */
BgL_pathz00_5246 = 
BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(BgL_uriz00_5245, BgL_dbz00_4406, BgL_opz00_4410, BGl_string3255z00zz__multimediazd2mpdzd2); } 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_5246)))
{ /* Llib/mpd.scm 481 */
obj_t BgL_g1190z00_5247;
BgL_g1190z00_5247 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_5246); 
{ 
obj_t BgL_l1188z00_5249;
{ /* Llib/mpd.scm 485 */
bool_t BgL_tmpz00_6582;
BgL_l1188z00_5249 = BgL_g1190z00_5247; 
BgL_zc3anonymousza31970ze3z83_5248:
if(
PAIRP(BgL_l1188z00_5249))
{ /* Llib/mpd.scm 485 */
{ /* Llib/mpd.scm 482 */
obj_t BgL_fz00_5250;
BgL_fz00_5250 = 
CAR(BgL_l1188z00_5249); 
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_fz00_5250, BgL_dbz00_4406))
{ /* Llib/mpd.scm 484 */
obj_t BgL_arg1973z00_5251;
BgL_arg1973z00_5251 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5246, BgL_fz00_5250); 
BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4407), BgL_arg1973z00_5251); }  else 
{ /* Llib/mpd.scm 482 */BFALSE; } } 
{ 
obj_t BgL_l1188z00_6591;
BgL_l1188z00_6591 = 
CDR(BgL_l1188z00_5249); 
BgL_l1188z00_5249 = BgL_l1188z00_6591; 
goto BgL_zc3anonymousza31970ze3z83_5248;} }  else 
{ /* Llib/mpd.scm 485 */
BgL_tmpz00_6582 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_6582); } } }  else 
{ /* Llib/mpd.scm 480 */
BGl_musiczd2playlistzd2addz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4407), BgL_pathz00_5246); } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 488 */
obj_t BgL_list1975z00_5252;
BgL_list1975z00_5252 = 
MAKE_YOUNG_PAIR(BgL_uriz00_5245, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3256z00zz__multimediazd2mpdzd2, BgL_list1975z00_5252);} } } 
BGL_FUNCTION_END;
}



/* &mpd-delete */
obj_t BGl_z62mpdzd2deletezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4411, obj_t BgL_dbz00_4412, obj_t BgL_backendz00_4413, obj_t BgL_linez00_4414, obj_t BgL_ipz00_4415, obj_t BgL_opz00_4416)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 493 */
{ /* Llib/mpd.scm 493 */
obj_t BgL_numz00_5253;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5254;
BgL_strz00_5254 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4414, ((long)1)); 
if(
STRINGP(BgL_strz00_5254))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6602;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6603;
BgL_tmpz00_6603 = 
BSTRING_TO_STRING(BgL_strz00_5254); 
BgL_tmpz00_6602 = 
BGL_STRTOL(BgL_tmpz00_6603, ((long)0), ((long)10)); } 
BgL_numz00_5253 = 
BINT(BgL_tmpz00_6602); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5253 = BFALSE; } } 
BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4413), 
CINT(BgL_numz00_5253)); 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-deleteid */
obj_t BGl_z62mpdzd2deleteidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4417, obj_t BgL_dbz00_4418, obj_t BgL_backendz00_4419, obj_t BgL_linez00_4420, obj_t BgL_ipz00_4421, obj_t BgL_opz00_4422)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 500 */
{ /* Llib/mpd.scm 500 */
obj_t BgL_numz00_5255;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5256;
BgL_strz00_5256 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4420, ((long)1)); 
if(
STRINGP(BgL_strz00_5256))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6614;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6615;
BgL_tmpz00_6615 = 
BSTRING_TO_STRING(BgL_strz00_5256); 
BgL_tmpz00_6614 = 
BGL_STRTOL(BgL_tmpz00_6615, ((long)0), ((long)10)); } 
BgL_numz00_5255 = 
BINT(BgL_tmpz00_6614); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5255 = BFALSE; } } 
BGl_musiczd2playlistzd2deletez12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4419), 
CINT(BgL_numz00_5255)); 
{ /* Llib/mpd.scm 312 */
obj_t BgL_tmpz00_6622;
BgL_tmpz00_6622 = 
((obj_t)BgL_opz00_4422); 
bgl_display_string(BGl_string3227z00zz__multimediazd2mpdzd2, BgL_tmpz00_6622); } 
{ /* Llib/mpd.scm 313 */
obj_t BgL_tmpz00_6625;
BgL_tmpz00_6625 = 
((obj_t)BgL_opz00_4422); 
return 
bgl_flush_output_port(BgL_tmpz00_6625);} } } 
BGL_FUNCTION_END;
}



/* &mpd-clear */
obj_t BGl_z62mpdzd2clearzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4423, obj_t BgL_dbz00_4424, obj_t BgL_backendz00_4425, obj_t BgL_linez00_4426, obj_t BgL_ipz00_4427, obj_t BgL_opz00_4428)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 507 */
BGl_musiczd2playlistzd2clearz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4425)); 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* currentsong-info */
obj_t BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(obj_t BgL_dbz00_116, obj_t BgL_backendz00_117, obj_t BgL_plistz00_118, int BgL_numz00_119, obj_t BgL_linez00_120, obj_t BgL_ipz00_121)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 514 */
{ /* Llib/mpd.scm 549 */
obj_t BgL_filez00_919;
BgL_filez00_919 = 
bgl_list_ref(BgL_plistz00_118, 
(long)(BgL_numz00_119)); 
{ /* Llib/mpd.scm 549 */
obj_t BgL_pathz00_920;
if(
bigloo_strcmp_at(BgL_filez00_919, BGl_string3254z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_920 = BgL_filez00_919; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_920 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_919, BgL_dbz00_116); } 
{ /* Llib/mpd.scm 550 */

{ /* Llib/mpd.scm 553 */
obj_t BgL_zc3anonymousza31977ze3z83_4657;
BgL_zc3anonymousza31977ze3z83_4657 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31977ze3ze1zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31977ze3z83_4657, 
(int)(((long)0)), BgL_backendz00_117); 
PROCEDURE_SET(BgL_zc3anonymousza31977ze3z83_4657, 
(int)(((long)1)), BgL_dbz00_116); 
PROCEDURE_SET(BgL_zc3anonymousza31977ze3z83_4657, 
(int)(((long)2)), BgL_linez00_120); 
PROCEDURE_SET(BgL_zc3anonymousza31977ze3z83_4657, 
(int)(((long)3)), BgL_ipz00_121); 
PROCEDURE_SET(BgL_zc3anonymousza31977ze3z83_4657, 
(int)(((long)4)), BgL_filez00_919); 
PROCEDURE_SET(BgL_zc3anonymousza31977ze3z83_4657, 
(int)(((long)5)), BgL_pathz00_920); 
return 
BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3anonymousza31977ze3z83_4657);} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1977> */
obj_t BGl_z62zc3anonymousza31977ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4658, obj_t BgL_opz00_4665)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 552 */
{ /* Llib/mpd.scm 553 */
obj_t BgL_backendz00_4659;obj_t BgL_dbz00_4660;obj_t BgL_linez00_4661;obj_t BgL_ipz00_4662;obj_t BgL_filez00_4663;obj_t BgL_pathz00_4664;
BgL_backendz00_4659 = 
PROCEDURE_REF(BgL_envz00_4658, 
(int)(((long)0))); 
BgL_dbz00_4660 = 
PROCEDURE_REF(BgL_envz00_4658, 
(int)(((long)1))); 
BgL_linez00_4661 = 
PROCEDURE_REF(BgL_envz00_4658, 
(int)(((long)2))); 
BgL_ipz00_4662 = 
PROCEDURE_REF(BgL_envz00_4658, 
(int)(((long)3))); 
BgL_filez00_4663 = 
PROCEDURE_REF(BgL_envz00_4658, 
(int)(((long)4))); 
BgL_pathz00_4664 = 
PROCEDURE_REF(BgL_envz00_4658, 
(int)(((long)5))); 
{ 
obj_t BgL_opz00_5258;obj_t BgL_filez00_5259;obj_t BgL_pathz00_5260;
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_4663)))
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_5271;
BgL_g1187z00_5271 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(BgL_dbz00_4660, BgL_filez00_4663, BFALSE, BFALSE, BFALSE); 
{ 
obj_t BgL_l1185z00_5273;
{ /* Llib/mpd.scm 427 */
bool_t BgL_tmpz00_6668;
BgL_l1185z00_5273 = BgL_g1187z00_5271; 
BgL_zc3anonymousza31947ze3z83_5272:
if(
PAIRP(BgL_l1185z00_5273))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_5274;
BgL_kz00_5274 = 
CAR(BgL_l1185z00_5273); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_5275;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_5276;
BgL_arg1950z00_5276 = 
CAR(
((obj_t)BgL_kz00_5274)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2792z00_5277;
BgL_res2792z00_5277 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_5276)); 
BgL_arg1949z00_5275 = BgL_res2792z00_5277; } } 
bgl_display_obj(BgL_arg1949z00_5275, BgL_opz00_4665); } 
{ /* Llib/mpd.scm 424 */
obj_t BgL_tmpz00_6677;
BgL_tmpz00_6677 = 
((obj_t)BgL_opz00_4665); 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_tmpz00_6677); } 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_5278;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_5279;
BgL_pairz00_5279 = 
CDR(
((obj_t)BgL_kz00_5274)); 
BgL_arg1951z00_5278 = 
CAR(BgL_pairz00_5279); } 
bgl_display_obj(BgL_arg1951z00_5278, BgL_opz00_4665); } 
{ /* Llib/mpd.scm 426 */
obj_t BgL_tmpz00_6684;
BgL_tmpz00_6684 = 
((obj_t)BgL_opz00_4665); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6684); } } 
{ 
obj_t BgL_l1185z00_6687;
BgL_l1185z00_6687 = 
CDR(BgL_l1185z00_5273); 
BgL_l1185z00_5273 = BgL_l1185z00_6687; 
goto BgL_zc3anonymousza31947ze3z83_5272;} }  else 
{ /* Llib/mpd.scm 427 */
BgL_tmpz00_6668 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_6668);} } }  else 
{ /* Llib/mpd.scm 553 */
BgL_opz00_5258 = BgL_opz00_4665; 
BgL_filez00_5259 = BgL_filez00_4663; 
BgL_pathz00_5260 = BgL_pathz00_4664; 
{ /* Llib/mpd.scm 518 */
obj_t BgL_metaz00_5261;
BgL_metaz00_5261 = 
BGl_musiczd2metazd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4659)); 
if(
NULLP(BgL_metaz00_5261))
{ /* Llib/mpd.scm 520 */
int BgL_arg1981z00_5262;
BgL_arg1981z00_5262 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4659)); 
return 
BGl_playlistinfoz00zz__multimediazd2mpdzd2(BgL_dbz00_4660, BgL_backendz00_4659, BgL_linez00_4661, BgL_ipz00_4662, BgL_opz00_5258, BgL_arg1981z00_5262);}  else 
{ /* Llib/mpd.scm 521 */
int BgL_numz00_5263;obj_t BgL_dirz00_5264;
BgL_numz00_5263 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4659)); 
BgL_dirz00_5264 = 
BGl_dirnamez00zz__osz00(BgL_filez00_5259); 
{ /* Llib/mpd.scm 523 */
obj_t BgL_tmpz00_6700;
BgL_tmpz00_6700 = 
((obj_t)BgL_opz00_5258); 
bgl_display_string(BGl_string3257z00zz__multimediazd2mpdzd2, BgL_tmpz00_6700); } 
bgl_display_obj(BgL_pathz00_5260, BgL_opz00_5258); 
{ /* Llib/mpd.scm 525 */
obj_t BgL_tmpz00_6704;
BgL_tmpz00_6704 = 
((obj_t)BgL_opz00_5258); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6704); } 
{ /* Llib/mpd.scm 527 */
obj_t BgL_tmpz00_6707;
BgL_tmpz00_6707 = 
((obj_t)BgL_opz00_5258); 
bgl_display_string(BGl_string3258z00zz__multimediazd2mpdzd2, BgL_tmpz00_6707); } 
bgl_display_obj(
BINT(BgL_numz00_5263), BgL_opz00_5258); 
{ /* Llib/mpd.scm 529 */
obj_t BgL_tmpz00_6712;
BgL_tmpz00_6712 = 
((obj_t)BgL_opz00_5258); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6712); } 
{ /* Llib/mpd.scm 530 */
obj_t BgL_tmpz00_6715;
BgL_tmpz00_6715 = 
((obj_t)BgL_opz00_5258); 
bgl_display_string(BGl_string3259z00zz__multimediazd2mpdzd2, BgL_tmpz00_6715); } 
bgl_display_obj(
BINT(BgL_numz00_5263), BgL_opz00_5258); 
{ /* Llib/mpd.scm 532 */
obj_t BgL_tmpz00_6720;
BgL_tmpz00_6720 = 
((obj_t)BgL_opz00_5258); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6720); } 
{ /* Llib/mpd.scm 533 */
obj_t BgL_caz00_5265;
BgL_caz00_5265 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)60)), BgL_metaz00_5261); 
{ /* Llib/mpd.scm 533 */
obj_t BgL_ctz00_5266;
BgL_ctz00_5266 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)61)), BgL_metaz00_5261); 
{ /* Llib/mpd.scm 534 */
obj_t BgL_cbz00_5267;
BgL_cbz00_5267 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)62)), BgL_metaz00_5261); 
{ /* Llib/mpd.scm 535 */
obj_t BgL_az00_5268;
if(
PAIRP(BgL_caz00_5265))
{ /* Llib/mpd.scm 536 */
BgL_az00_5268 = 
CDR(BgL_caz00_5265); }  else 
{ /* Llib/mpd.scm 536 */
BgL_az00_5268 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5264))); } 
{ /* Llib/mpd.scm 536 */
obj_t BgL_tz00_5269;
if(
PAIRP(BgL_ctz00_5266))
{ /* Llib/mpd.scm 539 */
BgL_tz00_5269 = 
CDR(BgL_ctz00_5266); }  else 
{ /* Llib/mpd.scm 539 */
BgL_tz00_5269 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_filez00_5259)); } 
{ /* Llib/mpd.scm 539 */
obj_t BgL_bz00_5270;
if(
PAIRP(BgL_cbz00_5267))
{ /* Llib/mpd.scm 542 */
BgL_bz00_5270 = 
CDR(BgL_cbz00_5267); }  else 
{ /* Llib/mpd.scm 542 */
BgL_bz00_5270 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_5264)); } 
{ /* Llib/mpd.scm 542 */

{ /* Llib/mpd.scm 545 */
obj_t BgL_tmpz00_6745;
BgL_tmpz00_6745 = 
((obj_t)BgL_opz00_5258); 
bgl_display_string(BGl_string3260z00zz__multimediazd2mpdzd2, BgL_tmpz00_6745); } 
bgl_display_obj(BgL_az00_5268, BgL_opz00_5258); 
{ /* Llib/mpd.scm 545 */
obj_t BgL_tmpz00_6749;
BgL_tmpz00_6749 = 
((obj_t)BgL_opz00_5258); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6749); } 
{ /* Llib/mpd.scm 546 */
obj_t BgL_tmpz00_6752;
BgL_tmpz00_6752 = 
((obj_t)BgL_opz00_5258); 
bgl_display_string(BGl_string3261z00zz__multimediazd2mpdzd2, BgL_tmpz00_6752); } 
bgl_display_obj(BgL_tz00_5269, BgL_opz00_5258); 
{ /* Llib/mpd.scm 546 */
obj_t BgL_tmpz00_6756;
BgL_tmpz00_6756 = 
((obj_t)BgL_opz00_5258); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6756); } 
{ /* Llib/mpd.scm 547 */
obj_t BgL_tmpz00_6759;
BgL_tmpz00_6759 = 
((obj_t)BgL_opz00_5258); 
bgl_display_string(BGl_string3262z00zz__multimediazd2mpdzd2, BgL_tmpz00_6759); } 
bgl_display_obj(BgL_bz00_5270, BgL_opz00_5258); 
{ /* Llib/mpd.scm 547 */
obj_t BgL_tmpz00_6763;
BgL_tmpz00_6763 = 
((obj_t)BgL_opz00_5258); 
return 
bgl_display_char(((unsigned char)10), BgL_tmpz00_6763);} } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-currentsong */
obj_t BGl_z62mpdzd2currentsongzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4429, obj_t BgL_dbz00_4430, obj_t BgL_backendz00_4431, obj_t BgL_linez00_4432, obj_t BgL_ipz00_4433, obj_t BgL_opz00_4434)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 579 */
{ /* Llib/mpd.scm 580 */
obj_t BgL_plistz00_5280;int BgL_numz00_5281;
BgL_plistz00_5280 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4431)); 
BgL_numz00_5281 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4431)); 
{ /* Llib/mpd.scm 582 */
bool_t BgL_testz00_6770;
if(
(
(long)(BgL_numz00_5281)>=((long)0)))
{ /* Llib/mpd.scm 582 */
BgL_testz00_6770 = 
(
(long)(BgL_numz00_5281)<
bgl_list_length(BgL_plistz00_5280))
; }  else 
{ /* Llib/mpd.scm 582 */
BgL_testz00_6770 = ((bool_t)0)
; } 
if(BgL_testz00_6770)
{ /* Llib/mpd.scm 568 */
bool_t BgL_testz00_6777;
if(
(BgL_plistz00_5280==BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 568 */
BgL_testz00_6777 = 
(BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2==
(long)(BgL_numz00_5281))
; }  else 
{ /* Llib/mpd.scm 568 */
BgL_testz00_6777 = ((bool_t)0)
; } 
if(BgL_testz00_6777)
{ /* Llib/mpd.scm 568 */
bgl_display_obj(BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2, BgL_opz00_4434); }  else 
{ /* Llib/mpd.scm 570 */
obj_t BgL_infoz00_5282;
BgL_infoz00_5282 = 
BGl_currentsongzd2infozd2zz__multimediazd2mpdzd2(BgL_dbz00_4430, BgL_backendz00_4431, BgL_plistz00_5280, BgL_numz00_5281, BgL_linez00_4432, BgL_ipz00_4433); 
BGl_currentsongzd2cachezd2plistz00zz__multimediazd2mpdzd2 = BgL_plistz00_5280; 
BGl_currentsongzd2cachezd2numz00zz__multimediazd2mpdzd2 = 
(long)(BgL_numz00_5281); 
BGl_currentsongzd2cachezd2infoz00zz__multimediazd2mpdzd2 = BgL_infoz00_5282; 
bgl_display_obj(BgL_infoz00_5282, BgL_opz00_4434); } }  else 
{ /* Llib/mpd.scm 582 */BFALSE; } } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-play */
obj_t BGl_z62mpdzd2playzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4435, obj_t BgL_dbz00_4436, obj_t BgL_backendz00_4437, obj_t BgL_linez00_4438, obj_t BgL_ipz00_4439, obj_t BgL_opz00_4440)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 589 */
{ /* Llib/mpd.scm 589 */
obj_t BgL_numz00_5283;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5284;
BgL_strz00_5284 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4438, ((long)1)); 
if(
STRINGP(BgL_strz00_5284))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6790;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6791;
BgL_tmpz00_6791 = 
BSTRING_TO_STRING(BgL_strz00_5284); 
BgL_tmpz00_6790 = 
BGL_STRTOL(BgL_tmpz00_6791, ((long)0), ((long)10)); } 
BgL_numz00_5283 = 
BINT(BgL_tmpz00_6790); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5283 = BFALSE; } } 
{ /* Llib/mpd.scm 590 */
bool_t BgL_testz00_6795;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_numz00_5283))
{ /* Llib/mpd.scm 590 */
BgL_testz00_6795 = 
(
(long)CINT(BgL_numz00_5283)>=((long)0))
; }  else 
{ /* Llib/mpd.scm 590 */
BgL_testz00_6795 = ((bool_t)0)
; } 
if(BgL_testz00_6795)
{ /* Llib/mpd.scm 591 */
obj_t BgL_list1997z00_5285;
BgL_list1997z00_5285 = 
MAKE_YOUNG_PAIR(BgL_numz00_5283, BNIL); 
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4437), BgL_list1997z00_5285); }  else 
{ /* Llib/mpd.scm 590 */
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4437), BNIL); } } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-playid */
obj_t BGl_z62mpdzd2playidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4441, obj_t BgL_dbz00_4442, obj_t BgL_backendz00_4443, obj_t BgL_linez00_4444, obj_t BgL_ipz00_4445, obj_t BgL_opz00_4446)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 598 */
{ /* Llib/mpd.scm 598 */
obj_t BgL_numz00_5286;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5287;
BgL_strz00_5287 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4444, ((long)1)); 
if(
STRINGP(BgL_strz00_5287))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6809;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6810;
BgL_tmpz00_6810 = 
BSTRING_TO_STRING(BgL_strz00_5287); 
BgL_tmpz00_6809 = 
BGL_STRTOL(BgL_tmpz00_6810, ((long)0), ((long)10)); } 
BgL_numz00_5286 = 
BINT(BgL_tmpz00_6809); }  else 
{ /* Llib/mpd.scm 223 */
BgL_numz00_5286 = BFALSE; } } 
{ /* Llib/mpd.scm 599 */
bool_t BgL_testz00_6814;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_numz00_5286))
{ /* Llib/mpd.scm 599 */
BgL_testz00_6814 = 
(
(long)CINT(BgL_numz00_5286)>=((long)0))
; }  else 
{ /* Llib/mpd.scm 599 */
BgL_testz00_6814 = ((bool_t)0)
; } 
if(BgL_testz00_6814)
{ /* Llib/mpd.scm 600 */
obj_t BgL_list2001z00_5288;
BgL_list2001z00_5288 = 
MAKE_YOUNG_PAIR(BgL_numz00_5286, BNIL); 
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4443), BgL_list2001z00_5288); }  else 
{ /* Llib/mpd.scm 599 */
BGl_musiczd2playzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4443), BNIL); } } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-seek */
obj_t BGl_z62mpdzd2seekzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4447, obj_t BgL_dbz00_4448, obj_t BgL_backendz00_4449, obj_t BgL_linez00_4450, obj_t BgL_ipz00_4451, obj_t BgL_opz00_4452)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 607 */
{ /* Llib/mpd.scm 607 */
obj_t BgL_num1z00_5289;obj_t BgL_num2z00_5290;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5291;
BgL_strz00_5291 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4450, ((long)1)); 
if(
STRINGP(BgL_strz00_5291))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6828;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6829;
BgL_tmpz00_6829 = 
BSTRING_TO_STRING(BgL_strz00_5291); 
BgL_tmpz00_6828 = 
BGL_STRTOL(BgL_tmpz00_6829, ((long)0), ((long)10)); } 
BgL_num1z00_5289 = 
BINT(BgL_tmpz00_6828); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num1z00_5289 = BFALSE; } } 
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5292;
BgL_strz00_5292 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4450, ((long)2)); 
if(
STRINGP(BgL_strz00_5292))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6836;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6837;
BgL_tmpz00_6837 = 
BSTRING_TO_STRING(BgL_strz00_5292); 
BgL_tmpz00_6836 = 
BGL_STRTOL(BgL_tmpz00_6837, ((long)0), ((long)10)); } 
BgL_num2z00_5290 = 
BINT(BgL_tmpz00_6836); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num2z00_5290 = BFALSE; } } 
{ /* Llib/mpd.scm 608 */
obj_t BgL_list2003z00_5293;
BgL_list2003z00_5293 = 
MAKE_YOUNG_PAIR(BgL_num1z00_5289, BNIL); 
BGl_musiczd2seekzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4449), BgL_num2z00_5290, BgL_list2003z00_5293); } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-seekid */
obj_t BGl_z62mpdzd2seekidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4453, obj_t BgL_dbz00_4454, obj_t BgL_backendz00_4455, obj_t BgL_linez00_4456, obj_t BgL_ipz00_4457, obj_t BgL_opz00_4458)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 614 */
{ /* Llib/mpd.scm 614 */
obj_t BgL_num1z00_5294;obj_t BgL_num2z00_5295;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5296;
BgL_strz00_5296 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4456, ((long)1)); 
if(
STRINGP(BgL_strz00_5296))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6848;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6849;
BgL_tmpz00_6849 = 
BSTRING_TO_STRING(BgL_strz00_5296); 
BgL_tmpz00_6848 = 
BGL_STRTOL(BgL_tmpz00_6849, ((long)0), ((long)10)); } 
BgL_num1z00_5294 = 
BINT(BgL_tmpz00_6848); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num1z00_5294 = BFALSE; } } 
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5297;
BgL_strz00_5297 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4456, ((long)2)); 
if(
STRINGP(BgL_strz00_5297))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6856;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6857;
BgL_tmpz00_6857 = 
BSTRING_TO_STRING(BgL_strz00_5297); 
BgL_tmpz00_6856 = 
BGL_STRTOL(BgL_tmpz00_6857, ((long)0), ((long)10)); } 
BgL_num2z00_5295 = 
BINT(BgL_tmpz00_6856); }  else 
{ /* Llib/mpd.scm 223 */
BgL_num2z00_5295 = BFALSE; } } 
{ /* Llib/mpd.scm 615 */
obj_t BgL_list2004z00_5298;
BgL_list2004z00_5298 = 
MAKE_YOUNG_PAIR(BgL_num1z00_5294, BNIL); 
BGl_musiczd2seekzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4455), BgL_num2z00_5295, BgL_list2004z00_5298); } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-stop */
obj_t BGl_z62mpdzd2stopzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4459, obj_t BgL_dbz00_4460, obj_t BgL_backendz00_4461, obj_t BgL_linez00_4462, obj_t BgL_ipz00_4463, obj_t BgL_opz00_4464)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 621 */
BGl_musiczd2stopzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4461)); 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-pause */
obj_t BGl_z62mpdzd2pausezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4465, obj_t BgL_dbz00_4466, obj_t BgL_backendz00_4467, obj_t BgL_linez00_4468, obj_t BgL_ipz00_4469, obj_t BgL_opz00_4470)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 628 */
BGl_musiczd2pausezd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4467)); 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* <exit:2011>~0 */
obj_t BGl_zc3exitza32011ze3ze70z64zz__multimediazd2mpdzd2(obj_t BgL_backendz00_5062, obj_t BgL_res1111z00_5061)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 636 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1117z00_1005;
if( SET_EXIT(BgL_an_exit1117z00_1005) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1117z00_1005 = 
(void *)jmpbuf; 
{ /* Llib/mpd.scm 636 */

PUSH_EXIT(BgL_an_exit1117z00_1005, ((long)1)); 
{ /* Llib/mpd.scm 636 */
obj_t BgL_an_exitd1118z00_1006;
BgL_an_exitd1118z00_1006 = 
((obj_t)(&exitd)); 
{ /* Llib/mpd.scm 636 */
bool_t BgL_res1120z00_1009;
{ /* Llib/mpd.scm 636 */
obj_t BgL_ohs1109z00_1010;
BgL_ohs1109z00_1010 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/mpd.scm 636 */
obj_t BgL_exitd1114z00_1011;
BgL_exitd1114z00_1011 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3anonymousza32015ze3z83_4667;
BgL_zc3anonymousza32015ze3z83_4667 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32015ze3ze1zz__multimediazd2mpdzd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32015ze3z83_4667, 
(int)(((long)0)), BgL_ohs1109z00_1010); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1114z00_1011, BgL_zc3anonymousza32015ze3z83_4667); 
{ /* Llib/mpd.scm 636 */
bool_t BgL_tmp1116z00_1013;
{ /* Llib/mpd.scm 636 */
obj_t BgL_arg2012z00_1014;
{ /* Llib/mpd.scm 636 */
obj_t BgL_zc3anonymousza32014ze3z83_4666;
BgL_zc3anonymousza32014ze3z83_4666 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32014ze3ze1zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_4666, 
(int)(((long)0)), 
((obj_t)BgL_res1111z00_5061)); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_4666, 
(int)(((long)1)), BgL_an_exitd1118z00_1006); 
BgL_arg2012z00_1014 = 
MAKE_YOUNG_PAIR(BgL_zc3anonymousza32014ze3z83_4666, BgL_ohs1109z00_1010); } 
BGL_ERROR_HANDLER_SET(BgL_arg2012z00_1014); BUNSPEC; } 
{ /* Llib/mpd.scm 636 */
obj_t BgL_auxz00_4676;
BGl_musiczd2nextzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_5062)); 
BgL_auxz00_4676 = 
CNST_TABLE_REF(((long)53)); 
CELL_SET(BgL_res1111z00_5061, BgL_auxz00_4676); } 
BgL_tmp1116z00_1013 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1114z00_1011); 
BGL_ERROR_HANDLER_SET(BgL_ohs1109z00_1010); BUNSPEC; 
BgL_res1120z00_1009 = BgL_tmp1116z00_1013; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1120z00_1009);} } } 
} } 
BGL_FUNCTION_END;
}



/* &mpd-next */
obj_t BGl_z62mpdzd2nextzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4471, obj_t BgL_dbz00_4472, obj_t BgL_backendz00_4473, obj_t BgL_linez00_4474, obj_t BgL_ipz00_4475, obj_t BgL_opz00_4476)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 635 */
{ /* Llib/mpd.scm 636 */
obj_t BgL_res1111z00_5299;
BgL_res1111z00_5299 = 
MAKE_CELL(BUNSPEC); 
{ 
obj_t BgL_ez00_5301;
if(
CBOOL(
BGl_zc3exitza32011ze3ze70z64zz__multimediazd2mpdzd2(BgL_backendz00_4473, BgL_res1111z00_5299)))
{ /* Llib/mpd.scm 636 */
BgL_ez00_5301 = 
CELL_REF(BgL_res1111z00_5299); 
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_5301, BGl_z62iozd2errorzb0zz__objectz00))
{ /* Llib/mpd.scm 638 */
{ /* Llib/mpd.scm 325 */
obj_t BgL_tmpz00_6903;
BgL_tmpz00_6903 = 
((obj_t)BgL_opz00_4476); 
bgl_display_string(BGl_string3228z00zz__multimediazd2mpdzd2, BgL_tmpz00_6903); } 
bgl_display_obj(BGl_string3263z00zz__multimediazd2mpdzd2, BgL_opz00_4476); 
{ /* Llib/mpd.scm 327 */
obj_t BgL_tmpz00_6907;
BgL_tmpz00_6907 = 
((obj_t)BgL_opz00_4476); 
bgl_display_string(BGl_string3230z00zz__multimediazd2mpdzd2, BgL_tmpz00_6907); } 
bgl_display_obj(BGl_string3264z00zz__multimediazd2mpdzd2, BgL_opz00_4476); 
{ /* Llib/mpd.scm 329 */
obj_t BgL_tmpz00_6911;
BgL_tmpz00_6911 = 
((obj_t)BgL_opz00_4476); 
bgl_display_string(BGl_string3231z00zz__multimediazd2mpdzd2, BgL_tmpz00_6911); } 
bgl_display_obj(BGl_string3265z00zz__multimediazd2mpdzd2, BgL_opz00_4476); 
{ /* Llib/mpd.scm 331 */
obj_t BgL_tmpz00_6915;
BgL_tmpz00_6915 = 
((obj_t)BgL_opz00_4476); 
bgl_display_string(BGl_string3232z00zz__multimediazd2mpdzd2, BgL_tmpz00_6915); } 
{ /* Llib/mpd.scm 332 */
obj_t BgL_tmpz00_6918;
BgL_tmpz00_6918 = 
((obj_t)BgL_opz00_4476); 
bgl_flush_output_port(BgL_tmpz00_6918); } 
return 
CNST_TABLE_REF(((long)54));}  else 
{ /* Llib/mpd.scm 638 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_5301);} }  else 
{ /* Llib/mpd.scm 636 */
return 
CELL_REF(BgL_res1111z00_5299);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2014> */
obj_t BGl_z62zc3anonymousza32014ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4668, obj_t BgL_ez00_4671)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 636 */
{ /* Llib/mpd.scm 636 */
obj_t BgL_res1111z00_4669;obj_t BgL_an_exitd1118z00_4670;
BgL_res1111z00_4669 = 
PROCEDURE_REF(BgL_envz00_4668, 
(int)(((long)0))); 
BgL_an_exitd1118z00_4670 = 
PROCEDURE_REF(BgL_envz00_4668, 
(int)(((long)1))); 
CELL_SET(BgL_res1111z00_4669, BgL_ez00_4671); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1118z00_4670, BTRUE);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2015> */
obj_t BGl_z62zc3anonymousza32015ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4673)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 636 */
{ 
obj_t BgL_ohs1109z00_4674;
BgL_ohs1109z00_4674 = 
PROCEDURE_REF(BgL_envz00_4673, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1109z00_4674); 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* <exit:2024>~0 */
obj_t BGl_zc3exitza32024ze3ze70z64zz__multimediazd2mpdzd2(obj_t BgL_backendz00_5060, obj_t BgL_res1123z00_5059)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 649 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1129z00_1048;
if( SET_EXIT(BgL_an_exit1129z00_1048) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1129z00_1048 = 
(void *)jmpbuf; 
{ /* Llib/mpd.scm 649 */

PUSH_EXIT(BgL_an_exit1129z00_1048, ((long)1)); 
{ /* Llib/mpd.scm 649 */
obj_t BgL_an_exitd1130z00_1049;
BgL_an_exitd1130z00_1049 = 
((obj_t)(&exitd)); 
{ /* Llib/mpd.scm 649 */
bool_t BgL_res1132z00_1052;
{ /* Llib/mpd.scm 649 */
obj_t BgL_ohs1121z00_1053;
BgL_ohs1121z00_1053 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/mpd.scm 649 */
obj_t BgL_exitd1126z00_1054;
BgL_exitd1126z00_1054 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3anonymousza32028ze3z83_4679;
BgL_zc3anonymousza32028ze3z83_4679 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32028ze3ze1zz__multimediazd2mpdzd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32028ze3z83_4679, 
(int)(((long)0)), BgL_ohs1121z00_1053); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1126z00_1054, BgL_zc3anonymousza32028ze3z83_4679); 
{ /* Llib/mpd.scm 649 */
bool_t BgL_tmp1128z00_1056;
{ /* Llib/mpd.scm 649 */
obj_t BgL_arg2025z00_1057;
{ /* Llib/mpd.scm 649 */
obj_t BgL_zc3anonymousza32027ze3z83_4678;
BgL_zc3anonymousza32027ze3z83_4678 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32027ze3ze1zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32027ze3z83_4678, 
(int)(((long)0)), 
((obj_t)BgL_res1123z00_5059)); 
PROCEDURE_SET(BgL_zc3anonymousza32027ze3z83_4678, 
(int)(((long)1)), BgL_an_exitd1130z00_1049); 
BgL_arg2025z00_1057 = 
MAKE_YOUNG_PAIR(BgL_zc3anonymousza32027ze3z83_4678, BgL_ohs1121z00_1053); } 
BGL_ERROR_HANDLER_SET(BgL_arg2025z00_1057); BUNSPEC; } 
{ /* Llib/mpd.scm 649 */
obj_t BgL_auxz00_4688;
BGl_musiczd2prevzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_5060)); 
BgL_auxz00_4688 = 
CNST_TABLE_REF(((long)53)); 
CELL_SET(BgL_res1123z00_5059, BgL_auxz00_4688); } 
BgL_tmp1128z00_1056 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1126z00_1054); 
BGL_ERROR_HANDLER_SET(BgL_ohs1121z00_1053); BUNSPEC; 
BgL_res1132z00_1052 = BgL_tmp1128z00_1056; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1132z00_1052);} } } 
} } 
BGL_FUNCTION_END;
}



/* &mpd-previous */
obj_t BGl_z62mpdzd2previouszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4477, obj_t BgL_dbz00_4478, obj_t BgL_backendz00_4479, obj_t BgL_linez00_4480, obj_t BgL_ipz00_4481, obj_t BgL_opz00_4482)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 648 */
{ /* Llib/mpd.scm 649 */
obj_t BgL_res1123z00_5302;
BgL_res1123z00_5302 = 
MAKE_CELL(BUNSPEC); 
{ 
obj_t BgL_ez00_5304;
if(
CBOOL(
BGl_zc3exitza32024ze3ze70z64zz__multimediazd2mpdzd2(BgL_backendz00_4479, BgL_res1123z00_5302)))
{ /* Llib/mpd.scm 649 */
BgL_ez00_5304 = 
CELL_REF(BgL_res1123z00_5302); 
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_5304, BGl_z62iozd2errorzb0zz__objectz00))
{ /* Llib/mpd.scm 651 */
{ /* Llib/mpd.scm 325 */
obj_t BgL_tmpz00_6963;
BgL_tmpz00_6963 = 
((obj_t)BgL_opz00_4482); 
bgl_display_string(BGl_string3228z00zz__multimediazd2mpdzd2, BgL_tmpz00_6963); } 
bgl_display_obj(BGl_string3263z00zz__multimediazd2mpdzd2, BgL_opz00_4482); 
{ /* Llib/mpd.scm 327 */
obj_t BgL_tmpz00_6967;
BgL_tmpz00_6967 = 
((obj_t)BgL_opz00_4482); 
bgl_display_string(BGl_string3230z00zz__multimediazd2mpdzd2, BgL_tmpz00_6967); } 
bgl_display_obj(BGl_string3266z00zz__multimediazd2mpdzd2, BgL_opz00_4482); 
{ /* Llib/mpd.scm 329 */
obj_t BgL_tmpz00_6971;
BgL_tmpz00_6971 = 
((obj_t)BgL_opz00_4482); 
bgl_display_string(BGl_string3231z00zz__multimediazd2mpdzd2, BgL_tmpz00_6971); } 
bgl_display_obj(BGl_string3267z00zz__multimediazd2mpdzd2, BgL_opz00_4482); 
{ /* Llib/mpd.scm 331 */
obj_t BgL_tmpz00_6975;
BgL_tmpz00_6975 = 
((obj_t)BgL_opz00_4482); 
bgl_display_string(BGl_string3232z00zz__multimediazd2mpdzd2, BgL_tmpz00_6975); } 
{ /* Llib/mpd.scm 332 */
obj_t BgL_tmpz00_6978;
BgL_tmpz00_6978 = 
((obj_t)BgL_opz00_4482); 
bgl_flush_output_port(BgL_tmpz00_6978); } 
return 
CNST_TABLE_REF(((long)54));}  else 
{ /* Llib/mpd.scm 651 */
return 
BGl_raisez00zz__errorz00(BgL_ez00_5304);} }  else 
{ /* Llib/mpd.scm 649 */
return 
CELL_REF(BgL_res1123z00_5302);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2027> */
obj_t BGl_z62zc3anonymousza32027ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4680, obj_t BgL_ez00_4683)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 649 */
{ /* Llib/mpd.scm 649 */
obj_t BgL_res1123z00_4681;obj_t BgL_an_exitd1130z00_4682;
BgL_res1123z00_4681 = 
PROCEDURE_REF(BgL_envz00_4680, 
(int)(((long)0))); 
BgL_an_exitd1130z00_4682 = 
PROCEDURE_REF(BgL_envz00_4680, 
(int)(((long)1))); 
CELL_SET(BgL_res1123z00_4681, BgL_ez00_4683); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1130z00_4682, BTRUE);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2028> */
obj_t BGl_z62zc3anonymousza32028ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4685)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 649 */
{ 
obj_t BgL_ohs1121z00_4686;
BgL_ohs1121z00_4686 = 
PROCEDURE_REF(BgL_envz00_4685, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1121z00_4686); 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* &mpd-volume */
obj_t BGl_z62mpdzd2volumezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4483, obj_t BgL_dbz00_4484, obj_t BgL_backendz00_4485, obj_t BgL_linez00_4486, obj_t BgL_ipz00_4487, obj_t BgL_opz00_4488)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 661 */
{ /* Llib/mpd.scm 661 */
obj_t BgL_intz00_5305;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5306;
BgL_strz00_5306 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4486, ((long)1)); 
if(
STRINGP(BgL_strz00_5306))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_6994;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_6995;
BgL_tmpz00_6995 = 
BSTRING_TO_STRING(BgL_strz00_5306); 
BgL_tmpz00_6994 = 
BGL_STRTOL(BgL_tmpz00_6995, ((long)0), ((long)10)); } 
BgL_intz00_5305 = 
BINT(BgL_tmpz00_6994); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5305 = BFALSE; } } 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_intz00_5305))
{ /* Llib/mpd.scm 662 */
BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4485), BgL_intz00_5305); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 662 */
{ /* Llib/mpd.scm 670 */
obj_t BgL_arg2032z00_5307;
BgL_arg2032z00_5307 = 
BGl_musiczd2volumezd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4485)); 
bgl_display_obj(BgL_arg2032z00_5307, BgL_opz00_4488); } 
{ /* Llib/mpd.scm 671 */
obj_t BgL_tmpz00_7007;
BgL_tmpz00_7007 = 
((obj_t)BgL_opz00_4488); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7007); } 
return 
CNST_TABLE_REF(((long)53));} } } 
BGL_FUNCTION_END;
}



/* &mpd-setvol */
obj_t BGl_z62mpdzd2setvolzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4489, obj_t BgL_dbz00_4490, obj_t BgL_backendz00_4491, obj_t BgL_linez00_4492, obj_t BgL_ipz00_4493, obj_t BgL_opz00_4494)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 684 */
{ /* Llib/mpd.scm 684 */
obj_t BgL_intz00_5308;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5309;
BgL_strz00_5309 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4492, ((long)1)); 
if(
STRINGP(BgL_strz00_5309))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_7014;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_7015;
BgL_tmpz00_7015 = 
BSTRING_TO_STRING(BgL_strz00_5309); 
BgL_tmpz00_7014 = 
BGL_STRTOL(BgL_tmpz00_7015, ((long)0), ((long)10)); } 
BgL_intz00_5308 = 
BINT(BgL_tmpz00_7014); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5308 = BFALSE; } } 
BGl_musiczd2volumezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4491), BgL_intz00_5308); 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-clearerror */
obj_t BGl_z62mpdzd2clearerrorzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4495, obj_t BgL_dbz00_4496, obj_t BgL_backendz00_4497, obj_t BgL_linez00_4498, obj_t BgL_ipz00_4499, obj_t BgL_opz00_4500)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 690 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-close */
obj_t BGl_z62mpdzd2closezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4501, obj_t BgL_dbz00_4502, obj_t BgL_backendz00_4503, obj_t BgL_linez00_4504, obj_t BgL_ipz00_4505, obj_t BgL_opz00_4506)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 696 */
return 
CNST_TABLE_REF(((long)24));} 
BGL_FUNCTION_END;
}



/* &mpd-stats */
obj_t BGl_z62mpdzd2statszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4507, obj_t BgL_dbz00_4508, obj_t BgL_backendz00_4509, obj_t BgL_linez00_4510, obj_t BgL_ipz00_4511, obj_t BgL_opz00_4512)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 702 */
BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4508), BgL_backendz00_4509, BgL_opz00_4512); 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-listall */
obj_t BGl_z62mpdzd2listallzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4513, obj_t BgL_dbz00_4514, obj_t BgL_backendz00_4515, obj_t BgL_linez00_4516, obj_t BgL_ipz00_4517, obj_t BgL_opz00_4518)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 709 */
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4514), BgL_opz00_4518); 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-list */
obj_t BGl_z62mpdzd2listzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4519, obj_t BgL_dbz00_4520, obj_t BgL_backendz00_4521, obj_t BgL_linez00_4522, obj_t BgL_ipz00_4523, obj_t BgL_opz00_4524)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 716 */
{ /* Llib/mpd.scm 716 */
obj_t BgL_symz00_5310;obj_t BgL_string2z00_5311;obj_t BgL_string3z00_5312;
BgL_symz00_5310 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4522, ((long)1)); 
BgL_string2z00_5311 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4522, ((long)2)); 
BgL_string3z00_5312 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4522, ((long)3)); 
if(
(BgL_symz00_5310==
CNST_TABLE_REF(((long)62))))
{ /* Llib/mpd.scm 717 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5311, BGl_string3268z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 720 */
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4520), BgL_opz00_4524, BgL_string3z00_5312); }  else 
{ /* Llib/mpd.scm 720 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5311, BGl_string3269z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 722 */
BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4520), BgL_opz00_4524, BgL_string3z00_5312); }  else 
{ /* Llib/mpd.scm 722 */
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4520), BgL_opz00_4524, BgL_string2z00_5311); } } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5310==
CNST_TABLE_REF(((long)60))))
{ /* Llib/mpd.scm 717 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_string2z00_5311, BGl_string3269z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 728 */
BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4520), BgL_opz00_4524, BgL_string3z00_5312); }  else 
{ /* Llib/mpd.scm 728 */
BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4520), BgL_opz00_4524); } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5310==
CNST_TABLE_REF(((long)63))))
{ /* Llib/mpd.scm 717 */
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
(BgL_symz00_5310==
CNST_TABLE_REF(((long)64))))
{ /* Llib/mpd.scm 717 */
BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4520), BgL_opz00_4524); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 717 */
if(
CBOOL(BgL_symz00_5310))
{ /* Llib/mpd.scm 740 */
obj_t BgL_list2040z00_5313;
BgL_list2040z00_5313 = 
MAKE_YOUNG_PAIR(BgL_symz00_5310, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3270z00zz__multimediazd2mpdzd2, BgL_list2040z00_5313);}  else 
{ /* Llib/mpd.scm 738 */
return BGl_string3271z00zz__multimediazd2mpdzd2;} } } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-listallinfo */
obj_t BGl_z62mpdzd2listallinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4525, obj_t BgL_dbz00_4526, obj_t BgL_backendz00_4527, obj_t BgL_linez00_4528, obj_t BgL_ipz00_4529, obj_t BgL_opz00_4530)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 745 */
{ /* Llib/mpd.scm 745 */
obj_t BgL_dirz00_5314;
BgL_dirz00_5314 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4528, ((long)1)); 
{ /* Llib/mpd.scm 746 */
obj_t BgL_arg2041z00_5315;
if(
CBOOL(BgL_dirz00_5314))
{ /* Llib/mpd.scm 746 */
BgL_arg2041z00_5315 = BgL_dirz00_5314; }  else 
{ /* Llib/mpd.scm 746 */
obj_t BgL_list2043z00_5316;
BgL_list2043z00_5316 = 
MAKE_YOUNG_PAIR(
BCHAR(FILE_SEPARATOR), BNIL); 
BgL_arg2041z00_5315 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2043z00_5316); } 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4526), BgL_opz00_4530, BgL_arg2041z00_5315, ((bool_t)1)); } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-lsinfo */
obj_t BGl_z62mpdzd2lsinfozb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4531, obj_t BgL_dbz00_4532, obj_t BgL_backendz00_4533, obj_t BgL_linez00_4534, obj_t BgL_ipz00_4535, obj_t BgL_opz00_4536)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 752 */
{ /* Llib/mpd.scm 752 */
obj_t BgL_dirz00_5317;
BgL_dirz00_5317 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4534, ((long)1)); 
{ /* Llib/mpd.scm 753 */
obj_t BgL_arg2044z00_5318;
if(
CBOOL(BgL_dirz00_5317))
{ /* Llib/mpd.scm 753 */
BgL_arg2044z00_5318 = BgL_dirz00_5317; }  else 
{ /* Llib/mpd.scm 753 */
obj_t BgL_list2046z00_5319;
BgL_list2046z00_5319 = 
MAKE_YOUNG_PAIR(
BCHAR(FILE_SEPARATOR), BNIL); 
BgL_arg2044z00_5318 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list2046z00_5319); } 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4532), BgL_opz00_4536, BgL_arg2044z00_5318, ((bool_t)0)); } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-plconangesposid */
obj_t BGl_z62mpdzd2plconangesposidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4537, obj_t BgL_dbz00_4538, obj_t BgL_backendz00_4539, obj_t BgL_linez00_4540, obj_t BgL_ipz00_4541, obj_t BgL_opz00_4542)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 759 */
{ /* Llib/mpd.scm 759 */
obj_t BgL_intz00_5320;
{ /* Llib/mpd.scm 222 */
obj_t BgL_strz00_5321;
BgL_strz00_5321 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4540, ((long)1)); 
if(
STRINGP(BgL_strz00_5321))
{ /* Llib/mpd.scm 224 */
long BgL_tmpz00_7092;
{ /* Llib/mpd.scm 224 */
char * BgL_tmpz00_7093;
BgL_tmpz00_7093 = 
BSTRING_TO_STRING(BgL_strz00_5321); 
BgL_tmpz00_7092 = 
BGL_STRTOL(BgL_tmpz00_7093, ((long)0), ((long)10)); } 
BgL_intz00_5320 = 
BINT(BgL_tmpz00_7092); }  else 
{ /* Llib/mpd.scm 223 */
BgL_intz00_5320 = BFALSE; } } 
{ /* Llib/mpd.scm 760 */
long BgL_numz00_5322;
BgL_numz00_5322 = ((long)0); 
{ /* Llib/mpd.scm 761 */
obj_t BgL_g1198z00_5323;
BgL_g1198z00_5323 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4539)); 
{ 
obj_t BgL_l1196z00_5325;
BgL_l1196z00_5325 = BgL_g1198z00_5323; 
BgL_zc3anonymousza32047ze3z83_5324:
if(
PAIRP(BgL_l1196z00_5325))
{ /* Llib/mpd.scm 765 */
{ /* Llib/mpd.scm 762 */
obj_t BgL_tmpz00_7101;
BgL_tmpz00_7101 = 
((obj_t)BgL_opz00_4542); 
bgl_display_string(BGl_string3272z00zz__multimediazd2mpdzd2, BgL_tmpz00_7101); } 
bgl_display_obj(
BINT(BgL_numz00_5322), BgL_opz00_4542); 
{ /* Llib/mpd.scm 762 */
obj_t BgL_tmpz00_7106;
BgL_tmpz00_7106 = 
((obj_t)BgL_opz00_4542); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7106); } 
{ /* Llib/mpd.scm 763 */
obj_t BgL_tmpz00_7109;
BgL_tmpz00_7109 = 
((obj_t)BgL_opz00_4542); 
bgl_display_string(BGl_string3259z00zz__multimediazd2mpdzd2, BgL_tmpz00_7109); } 
bgl_display_obj(
BINT(BgL_numz00_5322), BgL_opz00_4542); 
{ /* Llib/mpd.scm 763 */
obj_t BgL_tmpz00_7114;
BgL_tmpz00_7114 = 
((obj_t)BgL_opz00_4542); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7114); } 
BgL_numz00_5322 = 
(BgL_numz00_5322+((long)1)); 
{ 
obj_t BgL_l1196z00_7118;
BgL_l1196z00_7118 = 
CDR(BgL_l1196z00_5325); 
BgL_l1196z00_5325 = BgL_l1196z00_7118; 
goto BgL_zc3anonymousza32047ze3z83_5324;} }  else 
{ /* Llib/mpd.scm 765 */((bool_t)1); } } } } 
return 
CNST_TABLE_REF(((long)53));} } 
BGL_FUNCTION_END;
}



/* &mpd-kill */
obj_t BGl_z62mpdzd2killzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4543, obj_t BgL_dbz00_4544, obj_t BgL_backendz00_4545, obj_t BgL_linez00_4546, obj_t BgL_ipz00_4547, obj_t BgL_opz00_4548)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 771 */
return 
CNST_TABLE_REF(((long)31));} 
BGL_FUNCTION_END;
}



/* &mpd-find */
obj_t BGl_z62mpdzd2findzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4549, obj_t BgL_dbz00_4550, obj_t BgL_backendz00_4551, obj_t BgL_linez00_4552, obj_t BgL_ipz00_4553, obj_t BgL_opz00_4554)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 777 */
{ /* Llib/mpd.scm 777 */
obj_t BgL_symbolz00_5326;obj_t BgL_string2z00_5327;
BgL_symbolz00_5326 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4552, ((long)1)); 
BgL_string2z00_5327 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4552, ((long)2)); 
if(
(BgL_symbolz00_5326==
CNST_TABLE_REF(((long)62))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4550), BgL_opz00_4554, BgL_string2z00_5327); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5326==
CNST_TABLE_REF(((long)60))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4550), BgL_opz00_4554, BgL_string2z00_5327); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5326==
CNST_TABLE_REF(((long)61))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4550), BgL_opz00_4554, BgL_string2z00_5327); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 778 */
if(
(BgL_symbolz00_5326==
CNST_TABLE_REF(((long)64))))
{ /* Llib/mpd.scm 778 */
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4550), BgL_opz00_4554, BgL_string2z00_5327); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 792 */
obj_t BgL_list2054z00_5328;
BgL_list2054z00_5328 = 
MAKE_YOUNG_PAIR(BgL_symbolz00_5326, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3273z00zz__multimediazd2mpdzd2, BgL_list2054z00_5328);} } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-search */
obj_t BGl_z62mpdzd2searchzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4555, obj_t BgL_dbz00_4556, obj_t BgL_backendz00_4557, obj_t BgL_linez00_4558, obj_t BgL_ipz00_4559, obj_t BgL_opz00_4560)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 797 */
{ /* Llib/mpd.scm 797 */
obj_t BgL_symbol1z00_5329;obj_t BgL_string2z00_5330;obj_t BgL_symbol3z00_5331;obj_t BgL_string4z00_5332;
BgL_symbol1z00_5329 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4558, ((long)1)); 
BgL_string2z00_5330 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4558, ((long)2)); 
BgL_symbol3z00_5331 = 
BGl_getzd2linezd2argzd2symbolzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4558, ((long)3)); 
BgL_string4z00_5332 = 
BGl_getzd2linezd2argzd2stringzd2nthz00zz__multimediazd2mpdzd2(BgL_linez00_4558, ((long)4)); 
if(
(BgL_symbol1z00_5329==
CNST_TABLE_REF(((long)62))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560, BgL_string2z00_5330); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5329==
CNST_TABLE_REF(((long)60))))
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol3z00_5331==
CNST_TABLE_REF(((long)62))))
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560, BgL_string2z00_5330, BgL_string4z00_5332); }  else 
{ /* Llib/mpd.scm 803 */
if(
(BgL_symbol3z00_5331==
CNST_TABLE_REF(((long)61))))
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560, BgL_string2z00_5330, BgL_string4z00_5332); }  else 
{ /* Llib/mpd.scm 803 */
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560, BgL_string2z00_5330); } } 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5329==
CNST_TABLE_REF(((long)61))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560, BgL_string2z00_5330); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5329==
CNST_TABLE_REF(((long)64))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560, BgL_string2z00_5330); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 798 */
if(
(BgL_symbol1z00_5329==
CNST_TABLE_REF(((long)65))))
{ /* Llib/mpd.scm 798 */
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_4556), BgL_opz00_4560); 
return 
CNST_TABLE_REF(((long)53));}  else 
{ /* Llib/mpd.scm 820 */
obj_t BgL_list2062z00_5333;
BgL_list2062z00_5333 = 
MAKE_YOUNG_PAIR(BgL_symbol1z00_5329, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3274z00zz__multimediazd2mpdzd2, BgL_list2062z00_5333);} } } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-commands */
obj_t BGl_z62mpdzd2commandszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4561, obj_t BgL_dbz00_4562, obj_t BgL_backendz00_4563, obj_t BgL_linez00_4564, obj_t BgL_ipz00_4565, obj_t BgL_opz00_4566)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 825 */
{ /* Llib/mpd.scm 826 */
obj_t BgL_g1201z00_5334;
BgL_g1201z00_5334 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3275z00zz__multimediazd2mpdzd2, BGl_za2mpdzd2commandsza2zd2zz__multimediazd2mpdzd2); 
{ 
obj_t BgL_l1199z00_5337;
BgL_l1199z00_5337 = BgL_g1201z00_5334; 
BgL_zc3anonymousza32063ze3z83_5336:
if(
PAIRP(BgL_l1199z00_5337))
{ /* Llib/mpd.scm 830 */
{ /* Llib/mpd.scm 827 */
obj_t BgL_cz00_5338;
BgL_cz00_5338 = 
CAR(BgL_l1199z00_5337); 
{ /* Llib/mpd.scm 827 */
obj_t BgL_tmpz00_7200;
BgL_tmpz00_7200 = 
((obj_t)BgL_opz00_4566); 
bgl_display_string(BGl_string3276z00zz__multimediazd2mpdzd2, BgL_tmpz00_7200); } 
{ /* Llib/mpd.scm 828 */
obj_t BgL_arg2065z00_5339;
BgL_arg2065z00_5339 = 
CAR(
((obj_t)BgL_cz00_5338)); 
bgl_display_obj(BgL_arg2065z00_5339, BgL_opz00_4566); } 
{ /* Llib/mpd.scm 829 */
obj_t BgL_tmpz00_7206;
BgL_tmpz00_7206 = 
((obj_t)BgL_opz00_4566); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7206); } } 
{ 
obj_t BgL_l1199z00_7209;
BgL_l1199z00_7209 = 
CDR(BgL_l1199z00_5337); 
BgL_l1199z00_5337 = BgL_l1199z00_7209; 
goto BgL_zc3anonymousza32063ze3z83_5336;} }  else 
{ /* Llib/mpd.scm 830 */((bool_t)1); } } } 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2068> */
obj_t BGl_z62zc3anonymousza32068ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4691, obj_t BgL_c1z00_4692, obj_t BgL_c2z00_4693)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 830 */
{ /* Llib/mpd.scm 831 */
bool_t BgL_tmpz00_7212;
{ /* Llib/mpd.scm 831 */
obj_t BgL_arg2069z00_5340;obj_t BgL_arg2070z00_5341;
{ /* Llib/mpd.scm 831 */
obj_t BgL_arg2071z00_5342;
BgL_arg2071z00_5342 = 
CAR(
((obj_t)BgL_c1z00_4692)); 
{ /* Llib/mpd.scm 831 */
obj_t BgL_res2827z00_5343;
{ /* Llib/mpd.scm 831 */
obj_t BgL_arg1410z00_5344;
BgL_arg1410z00_5344 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2071z00_5342)); 
BgL_res2827z00_5343 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1410z00_5344); } 
BgL_arg2069z00_5340 = BgL_res2827z00_5343; } } 
{ /* Llib/mpd.scm 832 */
obj_t BgL_arg2072z00_5345;
BgL_arg2072z00_5345 = 
CAR(
((obj_t)BgL_c2z00_4693)); 
{ /* Llib/mpd.scm 832 */
obj_t BgL_res2828z00_5346;
{ /* Llib/mpd.scm 832 */
obj_t BgL_arg1410z00_5347;
BgL_arg1410z00_5347 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2072z00_5345)); 
BgL_res2828z00_5346 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1410z00_5347); } 
BgL_arg2070z00_5341 = BgL_res2828z00_5346; } } 
BgL_tmpz00_7212 = 
bigloo_string_lt(BgL_arg2069z00_5340, BgL_arg2070z00_5341); } 
return 
BBOOL(BgL_tmpz00_7212);} } 
BGL_FUNCTION_END;
}



/* &mpd-notcommands */
obj_t BGl_z62mpdzd2notcommandszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4567, obj_t BgL_dbz00_4568, obj_t BgL_backendz00_4569, obj_t BgL_linez00_4570, obj_t BgL_ipz00_4571, obj_t BgL_opz00_4572)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 839 */
{ /* Llib/mpd.scm 840 */
obj_t BgL_g1204z00_5348;
BgL_g1204z00_5348 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3277z00zz__multimediazd2mpdzd2, BGl_za2mpdzd2notcommandsza2zd2zz__multimediazd2mpdzd2); 
{ 
obj_t BgL_l1202z00_5351;
BgL_l1202z00_5351 = BgL_g1204z00_5348; 
BgL_zc3anonymousza32073ze3z83_5350:
if(
PAIRP(BgL_l1202z00_5351))
{ /* Llib/mpd.scm 844 */
{ /* Llib/mpd.scm 841 */
obj_t BgL_cz00_5352;
BgL_cz00_5352 = 
CAR(BgL_l1202z00_5351); 
{ /* Llib/mpd.scm 841 */
obj_t BgL_tmpz00_7229;
BgL_tmpz00_7229 = 
((obj_t)BgL_opz00_4572); 
bgl_display_string(BGl_string3276z00zz__multimediazd2mpdzd2, BgL_tmpz00_7229); } 
{ /* Llib/mpd.scm 842 */
obj_t BgL_arg2075z00_5353;
BgL_arg2075z00_5353 = 
CAR(
((obj_t)BgL_cz00_5352)); 
bgl_display_obj(BgL_arg2075z00_5353, BgL_opz00_4572); } 
{ /* Llib/mpd.scm 843 */
obj_t BgL_tmpz00_7235;
BgL_tmpz00_7235 = 
((obj_t)BgL_opz00_4572); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_7235); } } 
{ 
obj_t BgL_l1202z00_7238;
BgL_l1202z00_7238 = 
CDR(BgL_l1202z00_5351); 
BgL_l1202z00_5351 = BgL_l1202z00_7238; 
goto BgL_zc3anonymousza32073ze3z83_5350;} }  else 
{ /* Llib/mpd.scm 844 */((bool_t)1); } } } 
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2078> */
obj_t BGl_z62zc3anonymousza32078ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4695, obj_t BgL_c1z00_4696, obj_t BgL_c2z00_4697)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 844 */
{ /* Llib/mpd.scm 845 */
bool_t BgL_tmpz00_7241;
{ /* Llib/mpd.scm 845 */
obj_t BgL_arg2079z00_5354;obj_t BgL_arg2080z00_5355;
{ /* Llib/mpd.scm 845 */
obj_t BgL_arg2081z00_5356;
BgL_arg2081z00_5356 = 
CAR(
((obj_t)BgL_c1z00_4696)); 
{ /* Llib/mpd.scm 845 */
obj_t BgL_res2831z00_5357;
{ /* Llib/mpd.scm 845 */
obj_t BgL_arg1410z00_5358;
BgL_arg1410z00_5358 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2081z00_5356)); 
BgL_res2831z00_5357 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1410z00_5358); } 
BgL_arg2079z00_5354 = BgL_res2831z00_5357; } } 
{ /* Llib/mpd.scm 846 */
obj_t BgL_arg2082z00_5359;
BgL_arg2082z00_5359 = 
CAR(
((obj_t)BgL_c2z00_4697)); 
{ /* Llib/mpd.scm 846 */
obj_t BgL_res2832z00_5360;
{ /* Llib/mpd.scm 846 */
obj_t BgL_arg1410z00_5361;
BgL_arg1410z00_5361 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg2082z00_5359)); 
BgL_res2832z00_5360 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1410z00_5361); } 
BgL_arg2080z00_5355 = BgL_res2832z00_5360; } } 
BgL_tmpz00_7241 = 
bigloo_string_lt(BgL_arg2079z00_5354, BgL_arg2080z00_5355); } 
return 
BBOOL(BgL_tmpz00_7241);} } 
BGL_FUNCTION_END;
}



/* &mpd-addid */
obj_t BGl_z62mpdzd2addidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4573, obj_t BgL_dbz00_4574, obj_t BgL_backendz00_4575, obj_t BgL_linez00_4576, obj_t BgL_ipz00_4577, obj_t BgL_opz00_4578)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 853 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-crossfade */
obj_t BGl_z62mpdzd2crossfadezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4579, obj_t BgL_dbz00_4580, obj_t BgL_backendz00_4581, obj_t BgL_linez00_4582, obj_t BgL_ipz00_4583, obj_t BgL_opz00_4584)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 858 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-move */
obj_t BGl_z62mpdzd2movezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4585, obj_t BgL_dbz00_4586, obj_t BgL_backendz00_4587, obj_t BgL_linez00_4588, obj_t BgL_ipz00_4589, obj_t BgL_opz00_4590)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 863 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-moveid */
obj_t BGl_z62mpdzd2moveidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4591, obj_t BgL_dbz00_4592, obj_t BgL_backendz00_4593, obj_t BgL_linez00_4594, obj_t BgL_ipz00_4595, obj_t BgL_opz00_4596)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 868 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-password */
obj_t BGl_z62mpdzd2passwordzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4597, obj_t BgL_dbz00_4598, obj_t BgL_backendz00_4599, obj_t BgL_linez00_4600, obj_t BgL_ipz00_4601, obj_t BgL_opz00_4602)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 873 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-random */
obj_t BGl_z62mpdzd2randomzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4603, obj_t BgL_dbz00_4604, obj_t BgL_backendz00_4605, obj_t BgL_linez00_4606, obj_t BgL_ipz00_4607, obj_t BgL_opz00_4608)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 878 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-repeat */
obj_t BGl_z62mpdzd2repeatzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4609, obj_t BgL_dbz00_4610, obj_t BgL_backendz00_4611, obj_t BgL_linez00_4612, obj_t BgL_ipz00_4613, obj_t BgL_opz00_4614)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 883 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-rm */
obj_t BGl_z62mpdzd2rmzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4615, obj_t BgL_dbz00_4616, obj_t BgL_backendz00_4617, obj_t BgL_linez00_4618, obj_t BgL_ipz00_4619, obj_t BgL_opz00_4620)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 888 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-save */
obj_t BGl_z62mpdzd2savezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4621, obj_t BgL_dbz00_4622, obj_t BgL_backendz00_4623, obj_t BgL_linez00_4624, obj_t BgL_ipz00_4625, obj_t BgL_opz00_4626)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 893 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-shuffle */
obj_t BGl_z62mpdzd2shufflezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4627, obj_t BgL_dbz00_4628, obj_t BgL_backendz00_4629, obj_t BgL_linez00_4630, obj_t BgL_ipz00_4631, obj_t BgL_opz00_4632)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 898 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-swap */
obj_t BGl_z62mpdzd2swapzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4633, obj_t BgL_dbz00_4634, obj_t BgL_backendz00_4635, obj_t BgL_linez00_4636, obj_t BgL_ipz00_4637, obj_t BgL_opz00_4638)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 903 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-swapid */
obj_t BGl_z62mpdzd2swapidzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4639, obj_t BgL_dbz00_4640, obj_t BgL_backendz00_4641, obj_t BgL_linez00_4642, obj_t BgL_ipz00_4643, obj_t BgL_opz00_4644)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 908 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-update */
obj_t BGl_z62mpdzd2updatezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4645, obj_t BgL_dbz00_4646, obj_t BgL_backendz00_4647, obj_t BgL_linez00_4648, obj_t BgL_ipz00_4649, obj_t BgL_opz00_4650)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 913 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* &mpd-outputs */
obj_t BGl_z62mpdzd2outputszb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4651, obj_t BgL_dbz00_4652, obj_t BgL_backendz00_4653, obj_t BgL_linez00_4654, obj_t BgL_ipz00_4655, obj_t BgL_opz00_4656)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 918 */
return 
CNST_TABLE_REF(((long)53));} 
BGL_FUNCTION_END;
}



/* loop~5 */
obj_t BGl_loopze75ze7zz__multimediazd2mpdzd2(obj_t BgL_l1z00_1167, obj_t BgL_l2z00_1168)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 924 */
{ /* Llib/mpd.scm 927 */
bool_t BgL_testz00_7268;
if(
NULLP(BgL_l1z00_1167))
{ /* Llib/mpd.scm 927 */
BgL_testz00_7268 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 927 */
BgL_testz00_7268 = 
NULLP(BgL_l2z00_1168)
; } 
if(BgL_testz00_7268)
{ /* Llib/mpd.scm 927 */
return BNIL;}  else 
{ /* Llib/mpd.scm 929 */
bool_t BgL_testz00_7272;
{ /* Llib/mpd.scm 929 */
obj_t BgL_string1z00_3148;obj_t BgL_string2z00_3149;
BgL_string1z00_3148 = 
CAR(
((obj_t)BgL_l1z00_1167)); 
BgL_string2z00_3149 = 
CAR(
((obj_t)BgL_l2z00_1168)); 
BgL_testz00_7272 = 
bigloo_strcmp(BgL_string1z00_3148, BgL_string2z00_3149); } 
if(BgL_testz00_7272)
{ /* Llib/mpd.scm 930 */
obj_t BgL_arg2089z00_1175;obj_t BgL_arg2090z00_1176;
BgL_arg2089z00_1175 = 
CAR(
((obj_t)BgL_l1z00_1167)); 
{ /* Llib/mpd.scm 930 */
obj_t BgL_arg2091z00_1177;obj_t BgL_arg2092z00_1178;
BgL_arg2091z00_1177 = 
CDR(
((obj_t)BgL_l1z00_1167)); 
BgL_arg2092z00_1178 = 
CDR(
((obj_t)BgL_l2z00_1168)); 
BgL_arg2090z00_1176 = 
BGl_loopze75ze7zz__multimediazd2mpdzd2(BgL_arg2091z00_1177, BgL_arg2092z00_1178); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2089z00_1175, BgL_arg2090z00_1176);}  else 
{ /* Llib/mpd.scm 929 */
return BNIL;} } } } 
BGL_FUNCTION_END;
}



/* file-system-root? */
bool_t BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(obj_t BgL_dirz00_330)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 949 */
if(
(
STRING_LENGTH(BgL_dirz00_330)==((long)1)))
{ /* Llib/mpd.scm 950 */
return 
(
STRING_REF(BgL_dirz00_330, ((long)0))==
(unsigned char)(FILE_SEPARATOR));}  else 
{ /* Llib/mpd.scm 950 */
return ((bool_t)0);} } 
BGL_FUNCTION_END;
}



/* directory->sort-list */
obj_t BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(obj_t BgL_dirz00_332)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 988 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3278z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_332)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2106> */
obj_t BGl_z62zc3anonymousza32106ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4699, obj_t BgL_s1z00_4700, obj_t BgL_s2z00_4701)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 989 */
{ /* Llib/mpd.scm 990 */
bool_t BgL_tmpz00_7295;
{ /* Llib/mpd.scm 990 */
int BgL_arg2107z00_5362;
{ /* Llib/mpd.scm 990 */

BgL_arg2107z00_5362 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4700, BgL_s2z00_4701, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_7295 = 
(
(long)(BgL_arg2107z00_5362)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_7295);} } 
BGL_FUNCTION_END;
}



/* mpd->file */
obj_t BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(obj_t BgL_filez00_333, obj_t BgL_dbz00_334, obj_t BgL_opz00_335, obj_t BgL_cmdz00_336)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 996 */
{ /* Llib/mpd.scm 998 */
obj_t BgL_fz00_1220;
{ /* Llib/mpd.scm 998 */
obj_t BgL_g1207z00_1224;
BgL_g1207z00_1224 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_334)))->BgL_directoriesz00); 
{ 
obj_t BgL_l1205z00_1226;
BgL_l1205z00_1226 = BgL_g1207z00_1224; 
BgL_zc3anonymousza32109ze3z83_1227:
if(
NULLP(BgL_l1205z00_1226))
{ /* Llib/mpd.scm 998 */
BgL_fz00_1220 = BFALSE; }  else 
{ /* Llib/mpd.scm 999 */
obj_t BgL__ortest_1208z00_1229;
{ /* Llib/mpd.scm 999 */
obj_t BgL_dirz00_1231;
BgL_dirz00_1231 = 
CAR(
((obj_t)BgL_l1205z00_1226)); 
{ /* Llib/mpd.scm 999 */
obj_t BgL_pz00_1232;
BgL_pz00_1232 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1231, BgL_filez00_333); 
if(
fexists(
BSTRING_TO_STRING(BgL_pz00_1232)))
{ /* Llib/mpd.scm 1000 */
BgL__ortest_1208z00_1229 = BgL_pz00_1232; }  else 
{ /* Llib/mpd.scm 1000 */
BgL__ortest_1208z00_1229 = BFALSE; } } } 
if(
CBOOL(BgL__ortest_1208z00_1229))
{ /* Llib/mpd.scm 998 */
BgL_fz00_1220 = BgL__ortest_1208z00_1229; }  else 
{ /* Llib/mpd.scm 998 */
obj_t BgL_arg2111z00_1230;
BgL_arg2111z00_1230 = 
CDR(
((obj_t)BgL_l1205z00_1226)); 
{ 
obj_t BgL_l1205z00_7316;
BgL_l1205z00_7316 = BgL_arg2111z00_1230; 
BgL_l1205z00_1226 = BgL_l1205z00_7316; 
goto BgL_zc3anonymousza32109ze3z83_1227;} } } } } 
if(
STRINGP(BgL_fz00_1220))
{ /* Llib/mpd.scm 1003 */
return BgL_fz00_1220;}  else 
{ /* Llib/mpd.scm 1003 */
{ /* Llib/mpd.scm 325 */
obj_t BgL_tmpz00_7319;
BgL_tmpz00_7319 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string3228z00zz__multimediazd2mpdzd2, BgL_tmpz00_7319); } 
bgl_display_obj(BGl_string3263z00zz__multimediazd2mpdzd2, BgL_opz00_335); 
{ /* Llib/mpd.scm 327 */
obj_t BgL_tmpz00_7323;
BgL_tmpz00_7323 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string3230z00zz__multimediazd2mpdzd2, BgL_tmpz00_7323); } 
bgl_display_obj(BgL_cmdz00_336, BgL_opz00_335); 
{ /* Llib/mpd.scm 329 */
obj_t BgL_tmpz00_7327;
BgL_tmpz00_7327 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string3231z00zz__multimediazd2mpdzd2, BgL_tmpz00_7327); } 
bgl_display_obj(BGl_string3279z00zz__multimediazd2mpdzd2, BgL_opz00_335); 
{ /* Llib/mpd.scm 331 */
obj_t BgL_tmpz00_7331;
BgL_tmpz00_7331 = 
((obj_t)BgL_opz00_335); 
bgl_display_string(BGl_string3232z00zz__multimediazd2mpdzd2, BgL_tmpz00_7331); } 
{ /* Llib/mpd.scm 332 */
obj_t BgL_tmpz00_7334;
BgL_tmpz00_7334 = 
((obj_t)BgL_opz00_335); 
bgl_flush_output_port(BgL_tmpz00_7334); } 
return 
CNST_TABLE_REF(((long)54));} } } 
BGL_FUNCTION_END;
}



/* file->mpd */
obj_t BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(obj_t BgL_filez00_337, obj_t BgL_dbz00_338)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1010 */
{ /* Llib/mpd.scm 1012 */
long BgL_blenz00_1236;
BgL_blenz00_1236 = 
STRING_LENGTH(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_338)))->BgL_z52basez52)); 
if(
(
STRING_LENGTH(
((obj_t)BgL_filez00_337))>BgL_blenz00_1236))
{ /* Llib/mpd.scm 1014 */
long BgL_arg2115z00_1239;
BgL_arg2115z00_1239 = 
(BgL_blenz00_1236+((long)1)); 
{ /* Llib/mpd.scm 1014 */
long BgL_endz00_1242;
BgL_endz00_1242 = 
STRING_LENGTH(
((obj_t)BgL_filez00_337)); 
{ /* Llib/mpd.scm 1014 */

return 
BGl_substringz00zz__r4_strings_6_7z00(BgL_filez00_337, BgL_arg2115z00_1239, BgL_endz00_1242);} } }  else 
{ /* Llib/mpd.scm 1013 */
return BGl_string3216z00zz__multimediazd2mpdzd2;} } } 
BGL_FUNCTION_END;
}



/* image-file? */
bool_t BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(obj_t BgL_fz00_341)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1028 */
{ 
obj_t BgL_l1209z00_1248;
BgL_l1209z00_1248 = 
CNST_TABLE_REF(((long)66)); 
BgL_zc3anonymousza32119ze3z83_1249:
if(
NULLP(BgL_l1209z00_1248))
{ /* Llib/mpd.scm 1029 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1029 */
bool_t BgL__ortest_1212z00_1251;
{ /* Llib/mpd.scm 1029 */

BgL__ortest_1212z00_1251 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_l1209z00_1248)), BgL_fz00_341, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL__ortest_1212z00_1251)
{ /* Llib/mpd.scm 1029 */
return BgL__ortest_1212z00_1251;}  else 
{ 
obj_t BgL_l1209z00_7355;
BgL_l1209z00_7355 = 
CDR(
((obj_t)BgL_l1209z00_1248)); 
BgL_l1209z00_1248 = BgL_l1209z00_7355; 
goto BgL_zc3anonymousza32119ze3z83_1249;} } } } 
BGL_FUNCTION_END;
}



/* directory-image */
obj_t BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(obj_t BgL_dirz00_342)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1034 */
{ /* Llib/mpd.scm 1035 */
obj_t BgL_fz00_1261;
{ /* Llib/mpd.scm 1035 */
obj_t BgL_g1215z00_1263;
BgL_g1215z00_1263 = 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_342)); 
{ 
obj_t BgL_list1214z00_1265;
BgL_list1214z00_1265 = BgL_g1215z00_1263; 
BgL_zc3anonymousza32123ze3z83_1266:
if(
PAIRP(BgL_list1214z00_1265))
{ /* Llib/mpd.scm 1035 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1214z00_1265)))
{ /* Llib/mpd.scm 1035 */
BgL_fz00_1261 = 
CAR(BgL_list1214z00_1265); }  else 
{ 
obj_t BgL_list1214z00_7367;
BgL_list1214z00_7367 = 
CDR(BgL_list1214z00_1265); 
BgL_list1214z00_1265 = BgL_list1214z00_7367; 
goto BgL_zc3anonymousza32123ze3z83_1266;} }  else 
{ /* Llib/mpd.scm 1035 */
BgL_fz00_1261 = BFALSE; } } } 
if(
STRINGP(BgL_fz00_1261))
{ /* Llib/mpd.scm 1036 */
return 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_342, BgL_fz00_1261);}  else 
{ /* Llib/mpd.scm 1036 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* music-file? */
bool_t BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(obj_t BgL_fz00_343, obj_t BgL_dbz00_344)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1042 */
{ 
obj_t BgL_l1216z00_1276;
BgL_l1216z00_1276 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_dbz00_344)))->BgL_suffixesz00); 
BgL_zc3anonymousza32129ze3z83_1277:
if(
NULLP(BgL_l1216z00_1276))
{ /* Llib/mpd.scm 1044 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1044 */
bool_t BgL__ortest_1219z00_1279;
{ /* Llib/mpd.scm 1044 */

BgL__ortest_1219z00_1279 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(
CAR(
((obj_t)BgL_l1216z00_1276)), BgL_fz00_343, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL__ortest_1219z00_1279)
{ /* Llib/mpd.scm 1044 */
return BgL__ortest_1219z00_1279;}  else 
{ 
obj_t BgL_l1216z00_7378;
BgL_l1216z00_7378 = 
CDR(
((obj_t)BgL_l1216z00_1276)); 
BgL_l1216z00_1276 = BgL_l1216z00_7378; 
goto BgL_zc3anonymousza32129ze3z83_1277;} } } } 
BGL_FUNCTION_END;
}



/* mpd-database-directories-scan */
obj_t BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_347, obj_t BgL_directoriesz00_348)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1055 */
{ /* Llib/mpd.scm 1055 */
obj_t BgL_nsongsz00_5057;
{ /* Llib/mpd.scm 1055 */
obj_t BgL_cellvalz00_7383;
BgL_cellvalz00_7383 = 
BINT(((long)0)); 
BgL_nsongsz00_5057 = 
MAKE_CELL(BgL_cellvalz00_7383); } 
{ /* Llib/mpd.scm 1057 */
obj_t BgL_artistsz00_1295;
BgL_artistsz00_1295 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/mpd.scm 1058 */
obj_t BgL_albumsz00_1296;
BgL_albumsz00_1296 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ /* Llib/mpd.scm 1059 */
obj_t BgL_genresz00_1297;
BgL_genresz00_1297 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
{ 
obj_t BgL_l1223z00_1300;
BgL_l1223z00_1300 = BgL_directoriesz00_348; 
BgL_zc3anonymousza32135ze3z83_1301:
if(
PAIRP(BgL_l1223z00_1300))
{ /* Llib/mpd.scm 1082 */
{ /* Llib/mpd.scm 1082 */
obj_t BgL_dz00_1303;
BgL_dz00_1303 = 
CAR(BgL_l1223z00_1300); 
BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_dbz00_347, BgL_genresz00_1297, BgL_albumsz00_1296, BgL_artistsz00_1295, BgL_nsongsz00_5057, BgL_dz00_1303, BgL_dz00_1303); } 
{ 
obj_t BgL_l1223z00_7392;
BgL_l1223z00_7392 = 
CDR(BgL_l1223z00_1300); 
BgL_l1223z00_1300 = BgL_l1223z00_7392; 
goto BgL_zc3anonymousza32135ze3z83_1301;} }  else 
{ /* Llib/mpd.scm 1082 */((bool_t)1); } } 
{ /* Llib/mpd.scm 1084 */
obj_t BgL_val0_1225z00_1306;obj_t BgL_val1_1226z00_1307;obj_t BgL_val2_1227z00_1308;long BgL_val3_1228z00_1309;
BgL_val0_1225z00_1306 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3280z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_artistsz00_1295, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val1_1226z00_1307 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3281z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_albumsz00_1296, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val2_1227z00_1308 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3282z00zz__multimediazd2mpdzd2, 
BGl_hashtablezd2mapzd2zz__hashz00(BgL_genresz00_1297, BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00)); 
BgL_val3_1228z00_1309 = 
(long)CINT(
CELL_REF(BgL_nsongsz00_5057)); 
{ /* Llib/mpd.scm 1084 */
int BgL_res2862z00_3241;
{ /* Llib/mpd.scm 1084 */
int BgL_tmpz00_7401;
BgL_tmpz00_7401 = 
(int)(((long)4)); 
BgL_res2862z00_3241 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7401); } BgL_res2862z00_3241; } 
{ /* Llib/mpd.scm 1084 */
int BgL_tmpz00_7404;
BgL_tmpz00_7404 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7404, BgL_val1_1226z00_1307); } 
{ /* Llib/mpd.scm 1084 */
int BgL_tmpz00_7407;
BgL_tmpz00_7407 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7407, BgL_val2_1227z00_1308); } 
{ /* Llib/mpd.scm 1084 */
obj_t BgL_auxz00_7412;int BgL_tmpz00_7410;
BgL_auxz00_7412 = 
BINT(BgL_val3_1228z00_1309); 
BgL_tmpz00_7410 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7410, BgL_auxz00_7412); } 
return BgL_val0_1225z00_1306;} } } } } } 
BGL_FUNCTION_END;
}



/* directory-scan~0 */
bool_t BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_5055, obj_t BgL_genresz00_5054, obj_t BgL_albumsz00_5053, obj_t BgL_artistsz00_5052, obj_t BgL_nsongsz00_5051, obj_t BgL_dirz00_1334, obj_t BgL_repoz00_1335)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1080 */
{ /* Llib/mpd.scm 1063 */
obj_t BgL_albumz00_1337;
BgL_albumz00_1337 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1334); 
{ /* Llib/mpd.scm 1063 */
obj_t BgL_dir2z00_1338;
BgL_dir2z00_1338 = 
BGl_dirnamez00zz__osz00(BgL_dirz00_1334); 
{ /* Llib/mpd.scm 1064 */
obj_t BgL_artistz00_1339;
BgL_artistz00_1339 = 
BGl_basenamez00zz__osz00(BgL_dir2z00_1338); 
{ /* Llib/mpd.scm 1065 */
obj_t BgL_dir3z00_1340;
BgL_dir3z00_1340 = 
BGl_dirnamez00zz__osz00(BgL_dir2z00_1338); 
{ /* Llib/mpd.scm 1066 */
obj_t BgL_genrez00_1341;
BgL_genrez00_1341 = 
BGl_basenamez00zz__osz00(BgL_dir3z00_1340); 
{ /* Llib/mpd.scm 1067 */
bool_t BgL_addz00_1342;
BgL_addz00_1342 = ((bool_t)0); 
{ /* Llib/mpd.scm 1068 */

{ /* Llib/mpd.scm 1069 */
obj_t BgL_g1222z00_1343;
BgL_g1222z00_1343 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_1334); 
{ 
obj_t BgL_l1220z00_1345;
BgL_l1220z00_1345 = BgL_g1222z00_1343; 
BgL_zc3anonymousza32154ze3z83_1346:
if(
PAIRP(BgL_l1220z00_1345))
{ /* Llib/mpd.scm 1080 */
{ /* Llib/mpd.scm 1071 */
obj_t BgL_pz00_1348;
BgL_pz00_1348 = 
CAR(BgL_l1220z00_1345); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1348)))
{ /* Llib/mpd.scm 1071 */
BBOOL(
BGl_directoryzd2scanze70z35zz__multimediazd2mpdzd2(BgL_dbz00_5055, BgL_genresz00_5054, BgL_albumsz00_5053, BgL_artistsz00_5052, BgL_nsongsz00_5051, BgL_pz00_1348, BgL_repoz00_1335)); }  else 
{ /* Llib/mpd.scm 1071 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1348, 
((obj_t)BgL_dbz00_5055)))
{ /* Llib/mpd.scm 1073 */
{ /* Llib/mpd.scm 1074 */
obj_t BgL_auxz00_5056;
BgL_auxz00_5056 = 
ADDFX(
CELL_REF(BgL_nsongsz00_5051), 
BINT(((long)1))); 
CELL_SET(BgL_nsongsz00_5051, BgL_auxz00_5056); } 
if(BgL_addz00_1342)
{ /* Llib/mpd.scm 1075 */BFALSE; }  else 
{ /* Llib/mpd.scm 1075 */
BgL_addz00_1342 = ((bool_t)1); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_artistsz00_5052, BgL_artistz00_1339, BgL_dir2z00_1338); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_albumsz00_5053, BgL_albumz00_1337, BgL_dirz00_1334); 
BGl_hashtablezd2putz12zc0zz__hashz00(BgL_genresz00_5054, BgL_genrez00_1341, BgL_dir3z00_1340); } }  else 
{ /* Llib/mpd.scm 1073 */BFALSE; } } } 
{ 
obj_t BgL_l1220z00_7438;
BgL_l1220z00_7438 = 
CDR(BgL_l1220z00_1345); 
BgL_l1220z00_1345 = BgL_l1220z00_7438; 
goto BgL_zc3anonymousza32154ze3z83_1346;} }  else 
{ /* Llib/mpd.scm 1080 */
return ((bool_t)1);} } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2150> */
obj_t BGl_z62zc3anonymousza32150ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4705, obj_t BgL_e1z00_4706, obj_t BgL_e2z00_4707)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1088 */
{ /* Llib/mpd.scm 1088 */
bool_t BgL_tmpz00_7440;
{ /* Llib/mpd.scm 1088 */
obj_t BgL_string1z00_5363;obj_t BgL_string2z00_5364;
BgL_string1z00_5363 = 
CAR(
((obj_t)BgL_e1z00_4706)); 
BgL_string2z00_5364 = 
CAR(
((obj_t)BgL_e2z00_4707)); 
BgL_tmpz00_7440 = 
bigloo_string_lt(BgL_string1z00_5363, BgL_string2z00_5364); } 
return 
BBOOL(BgL_tmpz00_7440);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2145> */
obj_t BGl_z62zc3anonymousza32145ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4708, obj_t BgL_e1z00_4709, obj_t BgL_e2z00_4710)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1086 */
{ /* Llib/mpd.scm 1086 */
bool_t BgL_tmpz00_7447;
{ /* Llib/mpd.scm 1086 */
obj_t BgL_string1z00_5365;obj_t BgL_string2z00_5366;
BgL_string1z00_5365 = 
CAR(
((obj_t)BgL_e1z00_4709)); 
BgL_string2z00_5366 = 
CAR(
((obj_t)BgL_e2z00_4710)); 
BgL_tmpz00_7447 = 
bigloo_string_lt(BgL_string1z00_5365, BgL_string2z00_5366); } 
return 
BBOOL(BgL_tmpz00_7447);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2140> */
obj_t BGl_z62zc3anonymousza32140ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4711, obj_t BgL_e1z00_4712, obj_t BgL_e2z00_4713)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1084 */
{ /* Llib/mpd.scm 1084 */
bool_t BgL_tmpz00_7454;
{ /* Llib/mpd.scm 1084 */
obj_t BgL_string1z00_5367;obj_t BgL_string2z00_5368;
BgL_string1z00_5367 = 
CAR(
((obj_t)BgL_e1z00_4712)); 
BgL_string2z00_5368 = 
CAR(
((obj_t)BgL_e2z00_4713)); 
BgL_tmpz00_7454 = 
bigloo_string_lt(BgL_string1z00_5367, BgL_string2z00_5368); } 
return 
BBOOL(BgL_tmpz00_7454);} } 
BGL_FUNCTION_END;
}



/* loop~4 */
bool_t BGl_loopze74ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_5050, BgL_mpdzd2databasezd2_bglt BgL_dbz00_5049, obj_t BgL_albumz00_5048, obj_t BgL_artistz00_5047, obj_t BgL_dirz00_1358)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1270 */
{ /* Llib/mpd.scm 1271 */
obj_t BgL_artistz00_1360;
if(
CBOOL(BgL_artistz00_5047))
{ /* Llib/mpd.scm 1271 */
BgL_artistz00_1360 = BgL_artistz00_5047; }  else 
{ /* Llib/mpd.scm 1271 */
BgL_artistz00_1360 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1358)); } 
{ /* Llib/mpd.scm 1271 */
obj_t BgL_albumz00_1361;
if(
CBOOL(BgL_albumz00_5048))
{ /* Llib/mpd.scm 1272 */
BgL_albumz00_1361 = BgL_albumz00_5048; }  else 
{ /* Llib/mpd.scm 1272 */
BgL_albumz00_1361 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1358); } 
{ /* Llib/mpd.scm 1272 */
obj_t BgL_filesz00_1362;
BgL_filesz00_1362 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3283z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_1358))); 
{ /* Llib/mpd.scm 1273 */
obj_t BgL_imgz00_1363;
{ /* Llib/mpd.scm 1276 */
obj_t BgL_fz00_1377;
{ 
obj_t BgL_list1271z00_1380;
BgL_list1271z00_1380 = BgL_filesz00_1362; 
BgL_zc3anonymousza32169ze3z83_1381:
if(
PAIRP(BgL_list1271z00_1380))
{ /* Llib/mpd.scm 1276 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1271z00_1380)))
{ /* Llib/mpd.scm 1276 */
BgL_fz00_1377 = 
CAR(BgL_list1271z00_1380); }  else 
{ 
obj_t BgL_list1271z00_7477;
BgL_list1271z00_7477 = 
CDR(BgL_list1271z00_1380); 
BgL_list1271z00_1380 = BgL_list1271z00_7477; 
goto BgL_zc3anonymousza32169ze3z83_1381;} }  else 
{ /* Llib/mpd.scm 1276 */
BgL_fz00_1377 = BFALSE; } } 
if(
STRINGP(BgL_fz00_1377))
{ /* Llib/mpd.scm 1277 */
BgL_imgz00_1363 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1358, BgL_fz00_1377); }  else 
{ /* Llib/mpd.scm 1277 */
BgL_imgz00_1363 = BFALSE; } } 
{ /* Llib/mpd.scm 1276 */

{ 
obj_t BgL_l1272z00_1365;
BgL_l1272z00_1365 = BgL_filesz00_1362; 
BgL_zc3anonymousza32163ze3z83_1366:
if(
PAIRP(BgL_l1272z00_1365))
{ /* Llib/mpd.scm 1279 */
{ /* Llib/mpd.scm 1280 */
obj_t BgL_fz00_1368;
BgL_fz00_1368 = 
CAR(BgL_l1272z00_1365); 
{ /* Llib/mpd.scm 1280 */
obj_t BgL_pz00_1369;
BgL_pz00_1369 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1358, BgL_fz00_1368); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1369)))
{ /* Llib/mpd.scm 1282 */
BGl_loopze74ze7zz__multimediazd2mpdzd2(BgL_opz00_5050, BgL_dbz00_5049, BgL_albumz00_5048, BgL_artistz00_5047, BgL_pz00_1369); }  else 
{ /* Llib/mpd.scm 1282 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1369, 
((obj_t)BgL_dbz00_5049)))
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_3259;
BgL_g1187z00_3259 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_5049), BgL_pz00_1369, BgL_artistz00_1360, BgL_albumz00_1361, BgL_imgz00_1363); 
{ 
obj_t BgL_l1185z00_3261;
BgL_l1185z00_3261 = BgL_g1187z00_3259; 
BgL_zc3anonymousza31947ze3z83_3260:
if(
PAIRP(BgL_l1185z00_3261))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_3263;
BgL_kz00_3263 = 
CAR(BgL_l1185z00_3261); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_3264;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_3265;
BgL_arg1950z00_3265 = 
CAR(
((obj_t)BgL_kz00_3263)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2869z00_3272;
BgL_res2869z00_3272 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_3265)); 
BgL_arg1949z00_3264 = BgL_res2869z00_3272; } } 
bgl_display_obj(BgL_arg1949z00_3264, BgL_opz00_5050); } 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_opz00_5050); 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_3266;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_3278;
BgL_pairz00_3278 = 
CDR(
((obj_t)BgL_kz00_3263)); 
BgL_arg1951z00_3266 = 
CAR(BgL_pairz00_3278); } 
bgl_display_obj(BgL_arg1951z00_3266, BgL_opz00_5050); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5050); } 
{ 
obj_t BgL_l1185z00_7509;
BgL_l1185z00_7509 = 
CDR(BgL_l1185z00_3261); 
BgL_l1185z00_3261 = BgL_l1185z00_7509; 
goto BgL_zc3anonymousza31947ze3z83_3260;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1284 */((bool_t)0); } } } } 
{ 
obj_t BgL_l1272z00_7511;
BgL_l1272z00_7511 = 
CDR(BgL_l1272z00_1365); 
BgL_l1272z00_1365 = BgL_l1272z00_7511; 
goto BgL_zc3anonymousza32163ze3z83_1366;} }  else 
{ /* Llib/mpd.scm 1279 */
return ((bool_t)1);} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2177> */
obj_t BGl_z62zc3anonymousza32177ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4718, obj_t BgL_s1z00_4719, obj_t BgL_s2z00_4720)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1273 */
{ /* Llib/mpd.scm 1274 */
bool_t BgL_tmpz00_7513;
{ /* Llib/mpd.scm 1274 */
int BgL_arg2178z00_5369;
{ /* Llib/mpd.scm 1274 */

BgL_arg2178z00_5369 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4719, BgL_s2z00_4720, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_7513 = 
(
(long)(BgL_arg2178z00_5369)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_7513);} } 
BGL_FUNCTION_END;
}



/* getinfofile */
obj_t BGl_getinfofilez00zz__multimediazd2mpdzd2(obj_t BgL_dbz00_406, obj_t BgL_filez00_407, obj_t BgL_artistz00_408, obj_t BgL_albumz00_409, obj_t BgL_imagez00_410)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1444 */
{ 
obj_t BgL_filez00_1492;BgL_musictagz00_bglt BgL_tagz00_1493;obj_t BgL_filez00_1472;obj_t BgL_dtz00_1458;
{ /* Llib/mpd.scm 1477 */
bool_t BgL_testz00_7520;
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_407)))
{ /* Llib/mpd.scm 1477 */
BgL_testz00_7520 = 
bgl_directoryp(
BSTRING_TO_STRING(BgL_filez00_407))
; }  else 
{ /* Llib/mpd.scm 1477 */
BgL_testz00_7520 = ((bool_t)1)
; } 
if(BgL_testz00_7520)
{ /* Llib/mpd.scm 1478 */
obj_t BgL_arg2183z00_1425;
{ /* Llib/mpd.scm 1478 */
obj_t BgL_arg2184z00_1426;
{ /* Llib/mpd.scm 1478 */
obj_t BgL_arg2185z00_1427;
if(
bigloo_strcmp_at(BgL_filez00_407, BGl_string3254z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_arg2185z00_1427 = BgL_filez00_407; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_arg2185z00_1427 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_407, BgL_dbz00_406); } 
BgL_arg2184z00_1426 = 
MAKE_YOUNG_PAIR(BgL_arg2185z00_1427, BNIL); } 
BgL_arg2183z00_1425 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BgL_arg2184z00_1426); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2183z00_1425, BNIL);}  else 
{ /* Llib/mpd.scm 1479 */
obj_t BgL_tagz00_1428;obj_t BgL_infoz00_1429;obj_t BgL_dtz00_1430;obj_t BgL_imgz00_1431;
BgL_tagz00_1428 = 
BGl_filezd2musictagzd2zz__multimediazd2id3zd2(BgL_filez00_407); 
BgL_infoz00_1429 = 
BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(BgL_filez00_407); 
BgL_dtz00_1430 = 
bgl_seconds_to_date(
bgl_last_modification_time(
BSTRING_TO_STRING(BgL_filez00_407))); 
if(
STRINGP(BgL_imagez00_410))
{ /* Llib/mpd.scm 1482 */
BgL_imgz00_1431 = 
BGl_directoryzd2imagezd2zz__multimediazd2mpdzd2(
BGl_dirnamez00zz__osz00(BgL_filez00_407)); }  else 
{ /* Llib/mpd.scm 1482 */
BgL_imgz00_1431 = BFALSE; } 
{ /* Llib/mpd.scm 1483 */
obj_t BgL_arg2186z00_1432;obj_t BgL_arg2187z00_1433;
{ /* Llib/mpd.scm 1483 */
obj_t BgL_arg2188z00_1434;
{ /* Llib/mpd.scm 1483 */
obj_t BgL_arg2189z00_1435;
if(
bigloo_strcmp_at(BgL_filez00_407, BGl_string3254z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_arg2189z00_1435 = BgL_filez00_407; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_arg2189z00_1435 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_407, BgL_dbz00_406); } 
BgL_arg2188z00_1434 = 
MAKE_YOUNG_PAIR(BgL_arg2189z00_1435, BNIL); } 
BgL_arg2186z00_1432 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BgL_arg2188z00_1434); } 
{ /* Llib/mpd.scm 1484 */
obj_t BgL_arg2190z00_1436;obj_t BgL_arg2191z00_1437;
{ /* Llib/mpd.scm 1484 */
obj_t BgL_arg2192z00_1438;
{ /* Llib/mpd.scm 1484 */
obj_t BgL_tmpz00_7548;
BgL_dtz00_1458 = BgL_dtz00_1430; 
{ /* Llib/mpd.scm 1448 */
int BgL_arg2211z00_1460;int BgL_arg2212z00_1461;int BgL_arg2213z00_1462;int BgL_arg2214z00_1463;int BgL_arg2215z00_1464;int BgL_arg2216z00_1465;
{ /* Llib/mpd.scm 1448 */
int BgL_res2870z00_3283;
BgL_res2870z00_3283 = 
BGL_DATE_YEAR(BgL_dtz00_1458); 
BgL_arg2211z00_1460 = BgL_res2870z00_3283; } 
{ /* Llib/mpd.scm 1448 */
int BgL_res2871z00_3285;
BgL_res2871z00_3285 = 
BGL_DATE_MONTH(BgL_dtz00_1458); 
BgL_arg2212z00_1461 = BgL_res2871z00_3285; } 
{ /* Llib/mpd.scm 1448 */
int BgL_res2872z00_3287;
BgL_res2872z00_3287 = 
BGL_DATE_DAY(BgL_dtz00_1458); 
BgL_arg2213z00_1462 = BgL_res2872z00_3287; } 
{ /* Llib/mpd.scm 1449 */
int BgL_res2873z00_3289;
BgL_res2873z00_3289 = 
BGL_DATE_HOUR(BgL_dtz00_1458); 
BgL_arg2214z00_1463 = BgL_res2873z00_3289; } 
{ /* Llib/mpd.scm 1449 */
int BgL_res2874z00_3291;
BgL_res2874z00_3291 = 
BGL_DATE_MINUTE(BgL_dtz00_1458); 
BgL_arg2215z00_1464 = BgL_res2874z00_3291; } 
{ /* Llib/mpd.scm 1449 */
int BgL_res2875z00_3293;
BgL_res2875z00_3293 = 
BGL_DATE_SECOND(BgL_dtz00_1458); 
BgL_arg2216z00_1465 = BgL_res2875z00_3293; } 
{ /* Llib/mpd.scm 1447 */
obj_t BgL_list2217z00_1466;
{ /* Llib/mpd.scm 1447 */
obj_t BgL_arg2218z00_1467;
{ /* Llib/mpd.scm 1447 */
obj_t BgL_arg2219z00_1468;
{ /* Llib/mpd.scm 1447 */
obj_t BgL_arg2220z00_1469;
{ /* Llib/mpd.scm 1447 */
obj_t BgL_arg2221z00_1470;
{ /* Llib/mpd.scm 1447 */
obj_t BgL_arg2222z00_1471;
BgL_arg2222z00_1471 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2216z00_1465), BNIL); 
BgL_arg2221z00_1470 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2215z00_1464), BgL_arg2222z00_1471); } 
BgL_arg2220z00_1469 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2214z00_1463), BgL_arg2221z00_1470); } 
BgL_arg2219z00_1468 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2213z00_1462), BgL_arg2220z00_1469); } 
BgL_arg2218z00_1467 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2212z00_1461), BgL_arg2219z00_1468); } 
BgL_list2217z00_1466 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2211z00_1460), BgL_arg2218z00_1467); } 
BgL_tmpz00_7548 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3284z00zz__multimediazd2mpdzd2, BgL_list2217z00_1466); } } 
BgL_arg2192z00_1438 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_7548, BNIL); } 
BgL_arg2190z00_1436 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)74)), BgL_arg2192z00_1438); } 
{ /* Llib/mpd.scm 1485 */
obj_t BgL_arg2194z00_1440;obj_t BgL_arg2195z00_1441;
if(
BGl_isazf3zf3zz__objectz00(BgL_infoz00_1429, BGl_musicinfoz00zz__multimediazd2id3zd2))
{ /* Llib/mpd.scm 1487 */
obj_t BgL_arg2197z00_1444;
{ /* Llib/mpd.scm 1487 */
obj_t BgL_arg2198z00_1445;
{ /* Llib/mpd.scm 1487 */
long BgL_arg2199z00_1446;
BgL_arg2199z00_1446 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_infoz00_1429)))->BgL_durationz00); 
BgL_arg2198z00_1445 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2199z00_1446), BNIL); } 
BgL_arg2197z00_1444 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)75)), BgL_arg2198z00_1445); } 
BgL_arg2194z00_1440 = 
MAKE_YOUNG_PAIR(BgL_arg2197z00_1444, BNIL); }  else 
{ /* Llib/mpd.scm 1485 */
BgL_arg2194z00_1440 = BNIL; } 
{ /* Llib/mpd.scm 1489 */
obj_t BgL_arg2200z00_1447;obj_t BgL_arg2201z00_1448;
if(
BGl_isazf3zf3zz__objectz00(BgL_tagz00_1428, BGl_musictagz00zz__multimediazd2id3zd2))
{ /* Llib/mpd.scm 1489 */
BgL_filez00_1492 = BgL_filez00_407; 
BgL_tagz00_1493 = 
((BgL_musictagz00_bglt)BgL_tagz00_1428); 
{ /* Llib/mpd.scm 1461 */
obj_t BgL_dirz00_1496;
BgL_dirz00_1496 = 
BGl_dirnamez00zz__osz00(BgL_filez00_1492); 
{ /* Llib/mpd.scm 1461 */
obj_t BgL_atz00_1497;
if(
CBOOL(BgL_artistz00_408))
{ /* Llib/mpd.scm 1462 */
BgL_atz00_1497 = BgL_artistz00_408; }  else 
{ /* Llib/mpd.scm 1462 */
if(
bigloo_strcicmp(
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_artistz00), BGl_string3285z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1463 */
BgL_atz00_1497 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1496))); }  else 
{ /* Llib/mpd.scm 1463 */
BgL_atz00_1497 = 
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_artistz00); } } 
{ /* Llib/mpd.scm 1462 */
obj_t BgL_alz00_1498;
if(
CBOOL(BgL_albumz00_409))
{ /* Llib/mpd.scm 1466 */
BgL_alz00_1498 = BgL_albumz00_409; }  else 
{ /* Llib/mpd.scm 1466 */
if(
bigloo_strcicmp(
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_albumz00), BGl_string3286z00zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1467 */
BgL_alz00_1498 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_1496)); }  else 
{ /* Llib/mpd.scm 1467 */
BgL_alz00_1498 = 
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_albumz00); } } 
{ /* Llib/mpd.scm 1466 */

{ /* Llib/mpd.scm 1470 */
obj_t BgL_arg2240z00_1499;obj_t BgL_arg2241z00_1500;
{ /* Llib/mpd.scm 1470 */
obj_t BgL_arg2242z00_1501;
BgL_arg2242z00_1501 = 
MAKE_YOUNG_PAIR(BgL_atz00_1497, BNIL); 
BgL_arg2240z00_1499 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)67)), BgL_arg2242z00_1501); } 
{ /* Llib/mpd.scm 1471 */
obj_t BgL_arg2243z00_1502;obj_t BgL_arg2244z00_1503;
{ /* Llib/mpd.scm 1471 */
obj_t BgL_arg2245z00_1504;
BgL_arg2245z00_1504 = 
MAKE_YOUNG_PAIR(
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_titlez00), BNIL); 
BgL_arg2243z00_1502 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)68)), BgL_arg2245z00_1504); } 
{ /* Llib/mpd.scm 1472 */
obj_t BgL_arg2247z00_1506;obj_t BgL_arg2248z00_1507;
{ /* Llib/mpd.scm 1472 */
obj_t BgL_arg2249z00_1508;
BgL_arg2249z00_1508 = 
MAKE_YOUNG_PAIR(BgL_alz00_1498, BNIL); 
BgL_arg2247z00_1506 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)69)), BgL_arg2249z00_1508); } 
{ /* Llib/mpd.scm 1473 */
obj_t BgL_arg2250z00_1509;obj_t BgL_arg2251z00_1510;
{ /* Llib/mpd.scm 1473 */
obj_t BgL_arg2252z00_1511;
{ /* Llib/mpd.scm 1473 */
int BgL_arg2253z00_1512;
BgL_arg2253z00_1512 = 
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_trackz00); 
BgL_arg2252z00_1511 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2253z00_1512), BNIL); } 
BgL_arg2250z00_1509 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)70)), BgL_arg2252z00_1511); } 
{ /* Llib/mpd.scm 1474 */
obj_t BgL_arg2254z00_1513;obj_t BgL_arg2255z00_1514;
{ /* Llib/mpd.scm 1474 */
obj_t BgL_arg2256z00_1515;
{ /* Llib/mpd.scm 1474 */
int BgL_arg2257z00_1516;
BgL_arg2257z00_1516 = 
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_yearz00); 
BgL_arg2256z00_1515 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2257z00_1516), BNIL); } 
BgL_arg2254z00_1513 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)71)), BgL_arg2256z00_1515); } 
{ /* Llib/mpd.scm 1475 */
obj_t BgL_arg2258z00_1517;
{ /* Llib/mpd.scm 1475 */
obj_t BgL_arg2259z00_1518;
BgL_arg2259z00_1518 = 
MAKE_YOUNG_PAIR(
(((BgL_musictagz00_bglt)COBJECT(BgL_tagz00_1493))->BgL_genrez00), BNIL); 
BgL_arg2258z00_1517 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)72)), BgL_arg2259z00_1518); } 
BgL_arg2255z00_1514 = 
MAKE_YOUNG_PAIR(BgL_arg2258z00_1517, BNIL); } 
BgL_arg2251z00_1510 = 
MAKE_YOUNG_PAIR(BgL_arg2254z00_1513, BgL_arg2255z00_1514); } 
BgL_arg2248z00_1507 = 
MAKE_YOUNG_PAIR(BgL_arg2250z00_1509, BgL_arg2251z00_1510); } 
BgL_arg2244z00_1503 = 
MAKE_YOUNG_PAIR(BgL_arg2247z00_1506, BgL_arg2248z00_1507); } 
BgL_arg2241z00_1500 = 
MAKE_YOUNG_PAIR(BgL_arg2243z00_1502, BgL_arg2244z00_1503); } 
BgL_arg2200z00_1447 = 
MAKE_YOUNG_PAIR(BgL_arg2240z00_1499, BgL_arg2241z00_1500); } } } } } }  else 
{ /* Llib/mpd.scm 1489 */
BgL_filez00_1472 = BgL_filez00_407; 
{ /* Llib/mpd.scm 1452 */
obj_t BgL_dirz00_1474;
BgL_dirz00_1474 = 
BGl_dirnamez00zz__osz00(BgL_filez00_1472); 
{ /* Llib/mpd.scm 1453 */
obj_t BgL_arg2224z00_1475;obj_t BgL_arg2225z00_1476;
{ /* Llib/mpd.scm 1453 */
obj_t BgL_arg2226z00_1477;
{ /* Llib/mpd.scm 1453 */
obj_t BgL_arg2227z00_1478;
if(
CBOOL(BgL_artistz00_408))
{ /* Llib/mpd.scm 1453 */
BgL_arg2227z00_1478 = BgL_artistz00_408; }  else 
{ /* Llib/mpd.scm 1453 */
BgL_arg2227z00_1478 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1474))); } 
BgL_arg2226z00_1477 = 
MAKE_YOUNG_PAIR(BgL_arg2227z00_1478, BNIL); } 
BgL_arg2224z00_1475 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)67)), BgL_arg2226z00_1477); } 
{ /* Llib/mpd.scm 1454 */
obj_t BgL_arg2230z00_1482;obj_t BgL_arg2231z00_1483;
{ /* Llib/mpd.scm 1454 */
obj_t BgL_arg2232z00_1484;
BgL_arg2232z00_1484 = 
MAKE_YOUNG_PAIR(
BGl_prefixz00zz__osz00(
BGl_basenamez00zz__osz00(BgL_filez00_1472)), BNIL); 
BgL_arg2230z00_1482 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)68)), BgL_arg2232z00_1484); } 
{ /* Llib/mpd.scm 1455 */
obj_t BgL_arg2235z00_1487;
{ /* Llib/mpd.scm 1455 */
obj_t BgL_arg2236z00_1488;
{ /* Llib/mpd.scm 1455 */
obj_t BgL_arg2237z00_1489;
if(
CBOOL(BgL_albumz00_409))
{ /* Llib/mpd.scm 1455 */
BgL_arg2237z00_1489 = BgL_albumz00_409; }  else 
{ /* Llib/mpd.scm 1455 */
BgL_arg2237z00_1489 = 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(
BGl_basenamez00zz__osz00(BgL_dirz00_1474)); } 
BgL_arg2236z00_1488 = 
MAKE_YOUNG_PAIR(BgL_arg2237z00_1489, BNIL); } 
BgL_arg2235z00_1487 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)69)), BgL_arg2236z00_1488); } 
BgL_arg2231z00_1483 = 
MAKE_YOUNG_PAIR(BgL_arg2235z00_1487, BNIL); } 
BgL_arg2225z00_1476 = 
MAKE_YOUNG_PAIR(BgL_arg2230z00_1482, BgL_arg2231z00_1483); } 
BgL_arg2200z00_1447 = 
MAKE_YOUNG_PAIR(BgL_arg2224z00_1475, BgL_arg2225z00_1476); } } } 
{ /* Llib/mpd.scm 1492 */
obj_t BgL_arg2203z00_1450;
if(
STRINGP(BgL_imgz00_1431))
{ /* Llib/mpd.scm 1493 */
obj_t BgL_arg2205z00_1452;
{ /* Llib/mpd.scm 1493 */
obj_t BgL_arg2206z00_1453;
BgL_arg2206z00_1453 = 
MAKE_YOUNG_PAIR(BgL_imgz00_1431, BNIL); 
BgL_arg2205z00_1452 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)76)), BgL_arg2206z00_1453); } 
BgL_arg2203z00_1450 = 
MAKE_YOUNG_PAIR(BgL_arg2205z00_1452, BNIL); }  else 
{ /* Llib/mpd.scm 1492 */
BgL_arg2203z00_1450 = BNIL; } 
BgL_arg2201z00_1448 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2203z00_1450, BNIL); } 
BgL_arg2195z00_1441 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2200z00_1447, BgL_arg2201z00_1448); } 
BgL_arg2191z00_1437 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2194z00_1440, BgL_arg2195z00_1441); } 
BgL_arg2187z00_1433 = 
MAKE_YOUNG_PAIR(BgL_arg2190z00_1436, BgL_arg2191z00_1437); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2186z00_1432, BgL_arg2187z00_1433);} } } } } 
BGL_FUNCTION_END;
}



/* loop~3 */
obj_t BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_dbz00_5046, obj_t BgL_albumz00_5045, bool_t BgL_artistz00_5044, obj_t BgL_dirz00_1535)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1500 */
{ /* Llib/mpd.scm 1501 */
obj_t BgL_artistz00_1537;obj_t BgL_albumz00_1538;
if(BgL_artistz00_5044)
{ /* Llib/mpd.scm 1501 */
BgL_artistz00_1537 = 
BBOOL(BgL_artistz00_5044); }  else 
{ /* Llib/mpd.scm 1501 */
BgL_artistz00_1537 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_1535)); } 
if(
CBOOL(BgL_albumz00_5045))
{ /* Llib/mpd.scm 1502 */
BgL_albumz00_1538 = BgL_albumz00_5045; }  else 
{ /* Llib/mpd.scm 1502 */
BgL_albumz00_1538 = 
BGl_basenamez00zz__osz00(BgL_dirz00_1535); } 
{ /* Llib/mpd.scm 1503 */
obj_t BgL_l1313z00_1539;
BgL_l1313z00_1539 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3287z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_1535))); 
if(
NULLP(BgL_l1313z00_1539))
{ /* Llib/mpd.scm 1503 */
return BNIL;}  else 
{ /* Llib/mpd.scm 1503 */
obj_t BgL_head1315z00_1541;
{ /* Llib/mpd.scm 1503 */
obj_t BgL_res2886z00_3321;
BgL_res2886z00_3321 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1315z00_1541 = BgL_res2886z00_3321; } 
{ 
obj_t BgL_l1313z00_1543;obj_t BgL_tail1316z00_1544;
BgL_l1313z00_1543 = BgL_l1313z00_1539; 
BgL_tail1316z00_1544 = BgL_head1315z00_1541; 
BgL_zc3anonymousza32272ze3z83_1545:
if(
NULLP(BgL_l1313z00_1543))
{ /* Llib/mpd.scm 1503 */
return 
CDR(BgL_head1315z00_1541);}  else 
{ /* Llib/mpd.scm 1503 */
obj_t BgL_newtail1317z00_1547;
{ /* Llib/mpd.scm 1503 */
obj_t BgL_arg2275z00_1549;
{ /* Llib/mpd.scm 1503 */
obj_t BgL_fz00_1550;
BgL_fz00_1550 = 
CAR(
((obj_t)BgL_l1313z00_1543)); 
{ /* Llib/mpd.scm 1504 */
obj_t BgL_pz00_1551;
BgL_pz00_1551 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_1535, BgL_fz00_1550); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_1551)))
{ /* Llib/mpd.scm 1506 */
BgL_arg2275z00_1549 = 
BGl_loopze73ze7zz__multimediazd2mpdzd2(BgL_dbz00_5046, BgL_albumz00_5045, BgL_artistz00_5044, BgL_pz00_1551); }  else 
{ /* Llib/mpd.scm 1506 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_1551, 
((obj_t)BgL_dbz00_5046)))
{ /* Llib/mpd.scm 1509 */

BgL_arg2275z00_1549 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_5046), BgL_pz00_1551, BgL_artistz00_1537, BgL_albumz00_1538, BFALSE); }  else 
{ /* Llib/mpd.scm 1508 */
BgL_arg2275z00_1549 = BFALSE; } } } } 
{ /* Llib/mpd.scm 1503 */
obj_t BgL_res2889z00_3327;
BgL_res2889z00_3327 = 
MAKE_YOUNG_PAIR(BgL_arg2275z00_1549, BNIL); 
BgL_newtail1317z00_1547 = BgL_res2889z00_3327; } } 
SET_CDR(BgL_tail1316z00_1544, BgL_newtail1317z00_1547); 
{ /* Llib/mpd.scm 1503 */
obj_t BgL_arg2274z00_1548;
BgL_arg2274z00_1548 = 
CDR(
((obj_t)BgL_l1313z00_1543)); 
{ 
obj_t BgL_tail1316z00_7699;obj_t BgL_l1313z00_7698;
BgL_l1313z00_7698 = BgL_arg2274z00_1548; 
BgL_tail1316z00_7699 = BgL_newtail1317z00_1547; 
BgL_tail1316z00_1544 = BgL_tail1316z00_7699; 
BgL_l1313z00_1543 = BgL_l1313z00_7698; 
goto BgL_zc3anonymousza32272ze3z83_1545;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2280> */
obj_t BGl_z62zc3anonymousza32280ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4722, obj_t BgL_s1z00_4723, obj_t BgL_s2z00_4724)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1510 */
{ /* Llib/mpd.scm 1511 */
bool_t BgL_tmpz00_7700;
{ /* Llib/mpd.scm 1511 */
int BgL_arg2281z00_5370;
{ /* Llib/mpd.scm 1511 */

BgL_arg2281z00_5370 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4723, BgL_s2z00_4724, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_7700 = 
(
(long)(BgL_arg2281z00_5370)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_7700);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2286z00_1578;obj_t BgL_arg2287z00_1579;
{ /* Llib/mpd.scm 20 */
obj_t BgL_v1318z00_1601;
BgL_v1318z00_1601 = 
create_vector(((long)11)); 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2294z00_1602;
BgL_arg2294z00_1602 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3290z00zz__multimediazd2mpdzd2, BGl_proc3289z00zz__multimediazd2mpdzd2, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3288z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1318z00_1601,((long)0),BgL_arg2294z00_1602); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2301z00_1615;
BgL_arg2301z00_1615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3293z00zz__multimediazd2mpdzd2, BGl_proc3292z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3291z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1318z00_1601,((long)1),BgL_arg2301z00_1615); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2308z00_1628;
BgL_arg2308z00_1628 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)80)), BGl_proc3296z00zz__multimediazd2mpdzd2, BGl_proc3295z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3294z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)81))); 
VECTOR_SET(BgL_v1318z00_1601,((long)2),BgL_arg2308z00_1628); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2315z00_1641;
BgL_arg2315z00_1641 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)82)), BGl_proc3299z00zz__multimediazd2mpdzd2, BGl_proc3298z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3297z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1318z00_1601,((long)3),BgL_arg2315z00_1641); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2322z00_1654;
BgL_arg2322z00_1654 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)83)), BGl_proc3302z00zz__multimediazd2mpdzd2, BGl_proc3301z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3300z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1318z00_1601,((long)4),BgL_arg2322z00_1654); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2329z00_1667;
BgL_arg2329z00_1667 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc3305z00zz__multimediazd2mpdzd2, BGl_proc3304z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3303z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1318z00_1601,((long)5),BgL_arg2329z00_1667); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2336z00_1680;
BgL_arg2336z00_1680 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc3308z00zz__multimediazd2mpdzd2, BGl_proc3307z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3306z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)86))); 
VECTOR_SET(BgL_v1318z00_1601,((long)6),BgL_arg2336z00_1680); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2343z00_1693;
BgL_arg2343z00_1693 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)87)), BGl_proc3311z00zz__multimediazd2mpdzd2, BGl_proc3310z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3309z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)88))); 
VECTOR_SET(BgL_v1318z00_1601,((long)7),BgL_arg2343z00_1693); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2350z00_1706;
BgL_arg2350z00_1706 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)89)), BGl_proc3314z00zz__multimediazd2mpdzd2, BGl_proc3313z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3312z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)88))); 
VECTOR_SET(BgL_v1318z00_1601,((long)8),BgL_arg2350z00_1706); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2357z00_1719;
BgL_arg2357z00_1719 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)90)), BGl_proc3317z00zz__multimediazd2mpdzd2, BGl_proc3316z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3315z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)86))); 
VECTOR_SET(BgL_v1318z00_1601,((long)9),BgL_arg2357z00_1719); } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_arg2364z00_1732;
BgL_arg2364z00_1732 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)91)), BGl_proc3320z00zz__multimediazd2mpdzd2, BGl_proc3319z00zz__multimediazd2mpdzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3318z00zz__multimediazd2mpdzd2, 
CNST_TABLE_REF(((long)86))); 
VECTOR_SET(BgL_v1318z00_1601,((long)10),BgL_arg2364z00_1732); } 
BgL_arg2286z00_1578 = BgL_v1318z00_1601; } 
{ /* Llib/mpd.scm 20 */
obj_t BgL_v1319z00_1745;
BgL_v1319z00_1745 = 
create_vector(((long)0)); 
BgL_arg2287z00_1579 = BgL_v1319z00_1745; } 
return ( 
BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)92)), 
CNST_TABLE_REF(((long)93)), BGl_objectz00zz__objectz00, ((long)35653), BGl_proc3323z00zz__multimediazd2mpdzd2, BGl_proc3322z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BGl_proc3321z00zz__multimediazd2mpdzd2, BFALSE, BgL_arg2286z00_1578, BgL_arg2287z00_1579), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2293> */
obj_t BGl_z62zc3anonymousza32293ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4761, obj_t BgL_new1065z00_4762)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
{ 
BgL_mpdzd2databasezd2_bglt BgL_auxz00_7756;
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_directoriesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_suffixesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52basez52)=((obj_t)BGl_string3216z00zz__multimediazd2mpdzd2),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52artistsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52albumsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52genresz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52nartistsz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52nalbumsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52nsongsz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52uptimez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762)))->BgL_z52dbzd2updatez80)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_7756 = 
((BgL_mpdzd2databasezd2_bglt)BgL_new1065z00_4762); 
return 
((obj_t)BgL_auxz00_7756);} } 
BGL_FUNCTION_END;
}



/* &lambda2291 */
BgL_mpdzd2databasezd2_bglt BGl_z62lambda2291z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4763)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
BgL_mpdzd2databasezd2_bglt BgL_new1064z00_5372;
BgL_new1064z00_5372 = 
((BgL_mpdzd2databasezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpdzd2databasezd2_bgl) ))); 
{ /* Llib/mpd.scm 20 */
long BgL_arg2292z00_5373;
{ /* Llib/mpd.scm 20 */
long BgL_res2891z00_5374;
BgL_res2891z00_5374 = 
BGL_CLASS_INDEX(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
BgL_arg2292z00_5373 = BgL_res2891z00_5374; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_5372), BgL_arg2292z00_5373); } 
return BgL_new1064z00_5372;} } 
BGL_FUNCTION_END;
}



/* &lambda2288 */
BgL_mpdzd2databasezd2_bglt BGl_z62lambda2288z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4764, obj_t BgL_directories1053z00_4765, obj_t BgL_suffixes1054z00_4766, obj_t BgL_z52base1055z52_4767, obj_t BgL_z52artists1056z52_4768, obj_t BgL_z52albums1057z52_4769, obj_t BgL_z52genres1058z52_4770, obj_t BgL_z52nartists1059z52_4771, obj_t BgL_z52nalbums1060z52_4772, obj_t BgL_z52nsongs1061z52_4773, obj_t BgL_z52uptime1062z52_4774, obj_t BgL_z52dbzd2update1063z80_4775)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
int BgL_z52nalbums1060z52_5381;int BgL_z52nsongs1061z52_5382;
BgL_z52nalbums1060z52_5381 = 
CINT(BgL_z52nalbums1060z52_4772); 
BgL_z52nsongs1061z52_5382 = 
CINT(BgL_z52nsongs1061z52_4773); 
{ /* Llib/mpd.scm 20 */
BgL_mpdzd2databasezd2_bglt BgL_new1175z00_5383;
{ /* Llib/mpd.scm 20 */
BgL_mpdzd2databasezd2_bglt BgL_new1174z00_5384;
BgL_new1174z00_5384 = 
((BgL_mpdzd2databasezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpdzd2databasezd2_bgl) ))); 
{ /* Llib/mpd.scm 20 */
long BgL_arg2290z00_5385;
{ /* Llib/mpd.scm 20 */
long BgL_res2890z00_5386;
BgL_res2890z00_5386 = 
BGL_CLASS_INDEX(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
BgL_arg2290z00_5385 = BgL_res2890z00_5386; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_5384), BgL_arg2290z00_5385); } 
BgL_new1175z00_5383 = BgL_new1174z00_5384; } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_directoriesz00)=((obj_t)
((obj_t)BgL_directories1053z00_4765)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_suffixesz00)=((obj_t)
((obj_t)BgL_suffixes1054z00_4766)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52basez52)=((obj_t)
((obj_t)BgL_z52base1055z52_4767)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52artistsz52)=((obj_t)
((obj_t)BgL_z52artists1056z52_4768)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52albumsz52)=((obj_t)
((obj_t)BgL_z52albums1057z52_4769)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52genresz52)=((obj_t)
((obj_t)BgL_z52genres1058z52_4770)),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52nartistsz52)=((obj_t)BgL_z52nartists1059z52_4771),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52nalbumsz52)=((int)BgL_z52nalbums1060z52_5381),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52nsongsz52)=((int)BgL_z52nsongs1061z52_5382),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52uptimez52)=((obj_t)BgL_z52uptime1062z52_4774),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(BgL_new1175z00_5383))->BgL_z52dbzd2updatez80)=((obj_t)BgL_z52dbzd2update1063z80_4775),BUNSPEC); 
{ /* Llib/mpd.scm 20 */
obj_t BgL_fun2289z00_5387;
BgL_fun2289z00_5387 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2); 
PROCEDURE_ENTRY(BgL_fun2289z00_5387)(BgL_fun2289z00_5387, 
((obj_t)BgL_new1175z00_5383), BEOA); } 
return BgL_new1175z00_5383;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2370> */
obj_t BGl_z62zc3anonymousza32370ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4776)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &lambda2369 */
obj_t BGl_z62lambda2369z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4777, obj_t BgL_oz00_4778, obj_t BgL_vz00_4779)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4778)))->BgL_z52dbzd2updatez80)=((obj_t)BgL_vz00_4779),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4780, obj_t BgL_oz00_4781)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4781)))->BgL_z52dbzd2updatez80);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2363> */
obj_t BGl_z62zc3anonymousza32363ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4782)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &lambda2362 */
obj_t BGl_z62lambda2362z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4783, obj_t BgL_oz00_4784, obj_t BgL_vz00_4785)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4784)))->BgL_z52uptimez52)=((obj_t)BgL_vz00_4785),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2361 */
obj_t BGl_z62lambda2361z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4786, obj_t BgL_oz00_4787)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4787)))->BgL_z52uptimez52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2356> */
obj_t BGl_z62zc3anonymousza32356ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4788)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2355 */
obj_t BGl_z62lambda2355z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4789, obj_t BgL_oz00_4790, obj_t BgL_vz00_4791)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
int BgL_vz00_5393;
BgL_vz00_5393 = 
CINT(BgL_vz00_4791); 
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4790)))->BgL_z52nsongsz52)=((int)BgL_vz00_5393),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2354 */
obj_t BGl_z62lambda2354z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4792, obj_t BgL_oz00_4793)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
BINT(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4793)))->BgL_z52nsongsz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2349> */
obj_t BGl_z62zc3anonymousza32349ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4794)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2348 */
obj_t BGl_z62lambda2348z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4795, obj_t BgL_oz00_4796, obj_t BgL_vz00_4797)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
{ /* Llib/mpd.scm 20 */
int BgL_vz00_5396;
BgL_vz00_5396 = 
CINT(BgL_vz00_4797); 
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4796)))->BgL_z52nalbumsz52)=((int)BgL_vz00_5396),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2347 */
obj_t BGl_z62lambda2347z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4798, obj_t BgL_oz00_4799)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
BINT(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4799)))->BgL_z52nalbumsz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2342> */
obj_t BGl_z62zc3anonymousza32342ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4800)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda2341 */
obj_t BGl_z62lambda2341z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4801, obj_t BgL_oz00_4802, obj_t BgL_vz00_4803)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4802)))->BgL_z52nartistsz52)=((obj_t)BgL_vz00_4803),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2340 */
obj_t BGl_z62lambda2340z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4804, obj_t BgL_oz00_4805)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4805)))->BgL_z52nartistsz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2335> */
obj_t BGl_z62zc3anonymousza32335ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4806)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda2334 */
obj_t BGl_z62lambda2334z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4807, obj_t BgL_oz00_4808, obj_t BgL_vz00_4809)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4808)))->BgL_z52genresz52)=((obj_t)
((obj_t)BgL_vz00_4809)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2333 */
obj_t BGl_z62lambda2333z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4810, obj_t BgL_oz00_4811)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4811)))->BgL_z52genresz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2328> */
obj_t BGl_z62zc3anonymousza32328ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4812)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4813, obj_t BgL_oz00_4814, obj_t BgL_vz00_4815)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4814)))->BgL_z52albumsz52)=((obj_t)
((obj_t)BgL_vz00_4815)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4816, obj_t BgL_oz00_4817)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4817)))->BgL_z52albumsz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2321> */
obj_t BGl_z62zc3anonymousza32321ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4818)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda2320 */
obj_t BGl_z62lambda2320z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4819, obj_t BgL_oz00_4820, obj_t BgL_vz00_4821)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4820)))->BgL_z52artistsz52)=((obj_t)
((obj_t)BgL_vz00_4821)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2319 */
obj_t BGl_z62lambda2319z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4822, obj_t BgL_oz00_4823)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4823)))->BgL_z52artistsz52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2314> */
obj_t BGl_z62zc3anonymousza32314ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4824)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BGl_string3222z00zz__multimediazd2mpdzd2;} 
BGL_FUNCTION_END;
}



/* &lambda2313 */
obj_t BGl_z62lambda2313z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4825, obj_t BgL_oz00_4826, obj_t BgL_vz00_4827)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4826)))->BgL_z52basez52)=((obj_t)
((obj_t)BgL_vz00_4827)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2312 */
obj_t BGl_z62lambda2312z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4828, obj_t BgL_oz00_4829)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4829)))->BgL_z52basez52);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2307> */
obj_t BGl_z62zc3anonymousza32307ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4830)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
CNST_TABLE_REF(((long)94));} 
BGL_FUNCTION_END;
}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4831, obj_t BgL_oz00_4832, obj_t BgL_vz00_4833)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4832)))->BgL_suffixesz00)=((obj_t)
((obj_t)BgL_vz00_4833)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2305 */
obj_t BGl_z62lambda2305z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4834, obj_t BgL_oz00_4835)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4835)))->BgL_suffixesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2300> */
obj_t BGl_z62zc3anonymousza32300ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4836)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda2299 */
obj_t BGl_z62lambda2299z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4837, obj_t BgL_oz00_4838, obj_t BgL_vz00_4839)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4838)))->BgL_directoriesz00)=((obj_t)
((obj_t)BgL_vz00_4839)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2298 */
obj_t BGl_z62lambda2298z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4840, obj_t BgL_oz00_4841)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 20 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4841)))->BgL_directoriesz00);} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, BGl_proc3324z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3325z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, BGl_proc3326z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3327z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, BGl_proc3328z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3329z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3330z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3331z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3332z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3333z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3334z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3335z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3336z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3337z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3338z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3339z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3340z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3341z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3342z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3343z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, BGl_proc3344z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3345z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, BGl_proc3346z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3347z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, BGl_proc3348z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3349z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3350z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3351z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3352z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3353z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, BGl_proc3354z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3355z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, BGl_proc3356z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3357z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, BGl_proc3358z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3359z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3360z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3361z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3362z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3363z00zz__multimediazd2mpdzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, BGl_proc3364z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3365z00zz__multimediazd2mpdzd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, BGl_proc3366z00zz__multimediazd2mpdzd2, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2, BGl_string3367z00zz__multimediazd2mpdzd2);} 
BGL_FUNCTION_END;
}



/* &mpd-database-get-alb1391 */
obj_t BGl_z62mpdzd2databasezd2getzd2alb1391zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4868, obj_t BgL_oz00_4869, obj_t BgL_albumz00_4870)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1519 */
obj_t BgL_cz00_5422;
BgL_cz00_5422 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_albumz00_4870, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4869)))->BgL_z52albumsz52)); 
if(
PAIRP(BgL_cz00_5422))
{ /* Llib/mpd.scm 1521 */
obj_t BgL_dirz00_5424;
BgL_dirz00_5424 = 
CDR(BgL_cz00_5422); 
return 
BGl_loopze73ze7zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4869), BgL_albumz00_4870, ((bool_t)0), BgL_dirz00_5424);}  else 
{ /* Llib/mpd.scm 1520 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* &mpd-database-getarti1387 */
obj_t BGl_z62mpdzd2databasezd2getarti1387z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4871, obj_t BgL_oz00_4872, obj_t BgL_artistz00_4873)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1431 */
if(
STRINGP(BgL_artistz00_4873))
{ /* Llib/mpd.scm 1434 */
obj_t BgL_arg2624z00_5427;
BgL_arg2624z00_5427 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4872)))->BgL_z52albumsz52); 
{ /* Llib/mpd.scm 1435 */
obj_t BgL_zc3anonymousza32626ze3z83_5428;
BgL_zc3anonymousza32626ze3z83_5428 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32626ze3ze1zz__multimediazd2mpdzd2, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32626ze3z83_5428, 
(int)(((long)0)), BgL_artistz00_4873); 
{ /* Llib/mpd.scm 1434 */
obj_t BgL_list2625z00_5429;
BgL_list2625z00_5429 = 
MAKE_YOUNG_PAIR(BgL_arg2624z00_5427, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32626ze3z83_5428, BgL_list2625z00_5429);} } }  else 
{ /* Llib/mpd.scm 1439 */
obj_t BgL_l1307z00_5430;
BgL_l1307z00_5430 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4872)))->BgL_z52albumsz52); 
if(
NULLP(BgL_l1307z00_5430))
{ /* Llib/mpd.scm 1439 */
return BNIL;}  else 
{ /* Llib/mpd.scm 1439 */
obj_t BgL_head1309z00_5431;
{ /* Llib/mpd.scm 1439 */
obj_t BgL_res2970z00_5432;
BgL_res2970z00_5432 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1309z00_5431 = BgL_res2970z00_5432; } 
{ 
obj_t BgL_l1307z00_5434;obj_t BgL_tail1310z00_5435;
BgL_l1307z00_5434 = BgL_l1307z00_5430; 
BgL_tail1310z00_5435 = BgL_head1309z00_5431; 
BgL_zc3anonymousza32635ze3z83_5433:
if(
NULLP(BgL_l1307z00_5434))
{ /* Llib/mpd.scm 1439 */
return 
CDR(BgL_head1309z00_5431);}  else 
{ /* Llib/mpd.scm 1439 */
obj_t BgL_newtail1311z00_5436;
{ /* Llib/mpd.scm 1439 */
obj_t BgL_arg2638z00_5437;
{ /* Llib/mpd.scm 1439 */
obj_t BgL_az00_5438;
BgL_az00_5438 = 
CAR(
((obj_t)BgL_l1307z00_5434)); 
{ /* Llib/mpd.scm 1439 */
obj_t BgL_arg2639z00_5439;
{ /* Llib/mpd.scm 1439 */
obj_t BgL_arg2640z00_5440;
BgL_arg2640z00_5440 = 
CAR(
((obj_t)BgL_az00_5438)); 
BgL_arg2639z00_5439 = 
MAKE_YOUNG_PAIR(BgL_arg2640z00_5440, BNIL); } 
BgL_arg2638z00_5437 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)95)), BgL_arg2639z00_5439); } } 
{ /* Llib/mpd.scm 1439 */
obj_t BgL_res2972z00_5441;
BgL_res2972z00_5441 = 
MAKE_YOUNG_PAIR(BgL_arg2638z00_5437, BNIL); 
BgL_newtail1311z00_5436 = BgL_res2972z00_5441; } } 
SET_CDR(BgL_tail1310z00_5435, BgL_newtail1311z00_5436); 
{ /* Llib/mpd.scm 1439 */
obj_t BgL_arg2637z00_5442;
BgL_arg2637z00_5442 = 
CDR(
((obj_t)BgL_l1307z00_5434)); 
{ 
obj_t BgL_tail1310z00_7935;obj_t BgL_l1307z00_7934;
BgL_l1307z00_7934 = BgL_arg2637z00_5442; 
BgL_tail1310z00_7935 = BgL_newtail1311z00_5436; 
BgL_tail1310z00_5435 = BgL_tail1310z00_7935; 
BgL_l1307z00_5434 = BgL_l1307z00_7934; 
goto BgL_zc3anonymousza32635ze3z83_5433;} } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2626> */
obj_t BGl_z62zc3anonymousza32626ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4874, obj_t BgL_cz00_4876)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1434 */
{ /* Llib/mpd.scm 1435 */
obj_t BgL_artistz00_4875;
BgL_artistz00_4875 = 
PROCEDURE_REF(BgL_envz00_4874, 
(int)(((long)0))); 
{ /* Llib/mpd.scm 1435 */
obj_t BgL_dirz00_5443;
BgL_dirz00_5443 = 
CDR(
((obj_t)BgL_cz00_4876)); 
{ /* Llib/mpd.scm 1436 */
bool_t BgL_testz00_7940;
{ /* Llib/mpd.scm 1436 */
obj_t BgL_arg2632z00_5444;
BgL_arg2632z00_5444 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5443)); 
BgL_testz00_7940 = 
bigloo_strcmp(BgL_arg2632z00_5444, 
((obj_t)BgL_artistz00_4875)); } 
if(BgL_testz00_7940)
{ /* Llib/mpd.scm 1437 */
obj_t BgL_arg2630z00_5445;
{ /* Llib/mpd.scm 1437 */
obj_t BgL_arg2631z00_5446;
BgL_arg2631z00_5446 = 
CAR(
((obj_t)BgL_cz00_4876)); 
BgL_arg2630z00_5445 = 
MAKE_YOUNG_PAIR(BgL_arg2631z00_5446, BNIL); } 
return 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)95)), BgL_arg2630z00_5445);}  else 
{ /* Llib/mpd.scm 1436 */
return BFALSE;} } } } } 
BGL_FUNCTION_END;
}



/* &mpd-database-getgenr1384 */
obj_t BGl_z62mpdzd2databasezd2getgenr1384z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4877, obj_t BgL_oz00_4878, obj_t BgL_genrez00_4879)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1423 */
obj_t BgL_hook1305z00_5448;
BgL_hook1305z00_5448 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/mpd.scm 1423 */
obj_t BgL_g1306z00_5449;
BgL_g1306z00_5449 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4878)))->BgL_z52artistsz52); 
{ 
obj_t BgL_l1302z00_5451;obj_t BgL_h1303z00_5452;
BgL_l1302z00_5451 = BgL_g1306z00_5449; 
BgL_h1303z00_5452 = BgL_hook1305z00_5448; 
BgL_zc3anonymousza32611ze3z83_5450:
if(
NULLP(BgL_l1302z00_5451))
{ /* Llib/mpd.scm 1423 */
return 
CDR(BgL_hook1305z00_5448);}  else 
{ /* Llib/mpd.scm 1423 */
bool_t BgL_testz00_7956;
{ /* Llib/mpd.scm 1424 */
obj_t BgL_cz00_5453;
BgL_cz00_5453 = 
CAR(
((obj_t)BgL_l1302z00_5451)); 
{ /* Llib/mpd.scm 1424 */
obj_t BgL_dirz00_5454;
BgL_dirz00_5454 = 
CDR(
((obj_t)BgL_cz00_5453)); 
{ /* Llib/mpd.scm 1425 */
obj_t BgL_arg2619z00_5455;
BgL_arg2619z00_5455 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5454)); 
BgL_testz00_7956 = 
bigloo_strcmp(BgL_arg2619z00_5455, 
((obj_t)BgL_genrez00_4879)); } } } 
if(BgL_testz00_7956)
{ /* Llib/mpd.scm 1423 */
obj_t BgL_nh1304z00_5456;
{ /* Llib/mpd.scm 1423 */
obj_t BgL_arg2617z00_5457;
BgL_arg2617z00_5457 = 
CAR(
((obj_t)BgL_l1302z00_5451)); 
{ /* Llib/mpd.scm 1423 */
obj_t BgL_res2966z00_5458;
BgL_res2966z00_5458 = 
MAKE_YOUNG_PAIR(BgL_arg2617z00_5457, BNIL); 
BgL_nh1304z00_5456 = BgL_res2966z00_5458; } } 
SET_CDR(BgL_h1303z00_5452, BgL_nh1304z00_5456); 
{ /* Llib/mpd.scm 1423 */
obj_t BgL_arg2616z00_5459;
BgL_arg2616z00_5459 = 
CDR(
((obj_t)BgL_l1302z00_5451)); 
{ 
obj_t BgL_h1303z00_7972;obj_t BgL_l1302z00_7971;
BgL_l1302z00_7971 = BgL_arg2616z00_5459; 
BgL_h1303z00_7972 = BgL_nh1304z00_5456; 
BgL_h1303z00_5452 = BgL_h1303z00_7972; 
BgL_l1302z00_5451 = BgL_l1302z00_7971; 
goto BgL_zc3anonymousza32611ze3z83_5450;} } }  else 
{ /* Llib/mpd.scm 1423 */
obj_t BgL_arg2618z00_5460;
BgL_arg2618z00_5460 = 
CDR(
((obj_t)BgL_l1302z00_5451)); 
{ 
obj_t BgL_l1302z00_7975;
BgL_l1302z00_7975 = BgL_arg2618z00_5460; 
BgL_l1302z00_5451 = BgL_l1302z00_7975; 
goto BgL_zc3anonymousza32611ze3z83_5450;} } } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-database-getarti1382 */
obj_t BGl_z62mpdzd2databasezd2getarti1382z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4880, obj_t BgL_oz00_4881)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1414 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4881)))->BgL_z52artistsz52);} 
BGL_FUNCTION_END;
}



/* &mpd-database-getgenr1379 */
obj_t BGl_z62mpdzd2databasezd2getgenr1379z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4882, obj_t BgL_oz00_4883)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1407 */
return 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4883)))->BgL_z52genresz52);} 
BGL_FUNCTION_END;
}



/* &mpd-database-find-ge1377 */
obj_t BGl_z62mpdzd2databasezd2findzd2ge1377zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4884, obj_t BgL_oz00_4885, obj_t BgL_opz00_4886, obj_t BgL_genrez00_4887)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1393 */
bool_t BgL_tmpz00_7980;
{ /* Llib/mpd.scm 1402 */
obj_t BgL_g1299z00_5465;
BgL_g1299z00_5465 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4885)))->BgL_directoriesz00); 
{ 
obj_t BgL_l1297z00_5467;
BgL_l1297z00_5467 = BgL_g1299z00_5465; 
BgL_zc3anonymousza32593ze3z83_5466:
if(
NULLP(BgL_l1297z00_5467))
{ /* Llib/mpd.scm 1402 */
BgL_tmpz00_7980 = ((bool_t)0)
; }  else 
{ /* Llib/mpd.scm 1402 */
bool_t BgL__ortest_1300z00_5468;
{ /* Llib/mpd.scm 1402 */
obj_t BgL_arg2596z00_5469;
BgL_arg2596z00_5469 = 
CAR(
((obj_t)BgL_l1297z00_5467)); 
BgL__ortest_1300z00_5468 = 
BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(BgL_genrez00_4887, 
((obj_t)BgL_opz00_4886), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4885), BgL_arg2596z00_5469); } 
if(BgL__ortest_1300z00_5468)
{ /* Llib/mpd.scm 1402 */
BgL_tmpz00_7980 = BgL__ortest_1300z00_5468
; }  else 
{ /* Llib/mpd.scm 1402 */
obj_t BgL_arg2595z00_5470;
BgL_arg2595z00_5470 = 
CDR(
((obj_t)BgL_l1297z00_5467)); 
{ 
obj_t BgL_l1297z00_7993;
BgL_l1297z00_7993 = BgL_arg2595z00_5470; 
BgL_l1297z00_5467 = BgL_l1297z00_7993; 
goto BgL_zc3anonymousza32593ze3z83_5466;} } } } } 
return 
BBOOL(BgL_tmpz00_7980);} } 
BGL_FUNCTION_END;
}



/* find-genre~0 */
bool_t BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(obj_t BgL_genrez00_5043, obj_t BgL_opz00_5042, BgL_mpdzd2databasezd2_bglt BgL_oz00_5041, obj_t BgL_dirz00_2277)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1399 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_dirz00_2277)))
{ /* Llib/mpd.scm 1394 */
obj_t BgL_g1295z00_2280;
BgL_g1295z00_2280 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2277); 
{ 
obj_t BgL_l1293z00_2282;
BgL_l1293z00_2282 = BgL_g1295z00_2280; 
BgL_zc3anonymousza32599ze3z83_2283:
if(
NULLP(BgL_l1293z00_2282))
{ /* Llib/mpd.scm 1394 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1394 */
bool_t BgL__ortest_1296z00_2285;
{ /* Llib/mpd.scm 1394 */
obj_t BgL_arg2602z00_2287;
BgL_arg2602z00_2287 = 
CAR(
((obj_t)BgL_l1293z00_2282)); 
BgL__ortest_1296z00_2285 = 
BGl_findzd2genreze70z35zz__multimediazd2mpdzd2(BgL_genrez00_5043, BgL_opz00_5042, BgL_oz00_5041, BgL_arg2602z00_2287); } 
if(BgL__ortest_1296z00_2285)
{ /* Llib/mpd.scm 1394 */
return BgL__ortest_1296z00_2285;}  else 
{ /* Llib/mpd.scm 1394 */
obj_t BgL_arg2601z00_2286;
BgL_arg2601z00_2286 = 
CDR(
((obj_t)BgL_l1293z00_2282)); 
{ 
obj_t BgL_l1293z00_8007;
BgL_l1293z00_8007 = BgL_arg2601z00_2286; 
BgL_l1293z00_2282 = BgL_l1293z00_8007; 
goto BgL_zc3anonymousza32599ze3z83_2283;} } } } }  else 
{ /* Llib/mpd.scm 1395 */
bool_t BgL_testz00_8008;
{ /* Llib/mpd.scm 1395 */
obj_t BgL_arg2606z00_2295;
BgL_arg2606z00_2295 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_2277)); 
BgL_testz00_8008 = 
bigloo_strcmp(BgL_arg2606z00_2295, 
((obj_t)BgL_genrez00_5043)); } 
if(BgL_testz00_8008)
{ /* Llib/mpd.scm 1395 */
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_3663;
BgL_g1187z00_3663 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_oz00_5041), BgL_dirz00_2277, BFALSE, BFALSE, BFALSE); 
{ 
obj_t BgL_l1185z00_3665;
BgL_l1185z00_3665 = BgL_g1187z00_3663; 
BgL_zc3anonymousza31947ze3z83_3664:
if(
PAIRP(BgL_l1185z00_3665))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_3667;
BgL_kz00_3667 = 
CAR(BgL_l1185z00_3665); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_3668;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_3669;
BgL_arg1950z00_3669 = 
CAR(
((obj_t)BgL_kz00_3667)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2962z00_3676;
BgL_res2962z00_3676 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_3669)); 
BgL_arg1949z00_3668 = BgL_res2962z00_3676; } } 
bgl_display_obj(BgL_arg1949z00_3668, BgL_opz00_5042); } 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_opz00_5042); 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_3670;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_3682;
BgL_pairz00_3682 = 
CDR(
((obj_t)BgL_kz00_3667)); 
BgL_arg1951z00_3670 = 
CAR(BgL_pairz00_3682); } 
bgl_display_obj(BgL_arg1951z00_3670, BgL_opz00_5042); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5042); } 
{ 
obj_t BgL_l1185z00_8029;
BgL_l1185z00_8029 = 
CDR(BgL_l1185z00_3665); 
BgL_l1185z00_3665 = BgL_l1185z00_8029; 
goto BgL_zc3anonymousza31947ze3z83_3664;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } 
return ((bool_t)1);}  else 
{ /* Llib/mpd.scm 1395 */
return ((bool_t)0);} } } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-ti1375 */
obj_t BGl_z62mpdzd2databasezd2findzd2ti1375zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4888, obj_t BgL_oz00_4889, obj_t BgL_opz00_4890, obj_t BgL_titlez00_4891)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1375 */
bool_t BgL_tmpz00_8031;
{ /* Llib/mpd.scm 1384 */
obj_t BgL_g1291z00_5473;
BgL_g1291z00_5473 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4889)))->BgL_directoriesz00); 
{ 
obj_t BgL_l1289z00_5475;
BgL_l1289z00_5475 = BgL_g1291z00_5473; 
BgL_zc3anonymousza32577ze3z83_5474:
if(
NULLP(BgL_l1289z00_5475))
{ /* Llib/mpd.scm 1384 */
BgL_tmpz00_8031 = ((bool_t)0)
; }  else 
{ /* Llib/mpd.scm 1384 */
bool_t BgL__ortest_1292z00_5476;
{ /* Llib/mpd.scm 1384 */
obj_t BgL_arg2580z00_5477;
BgL_arg2580z00_5477 = 
CAR(
((obj_t)BgL_l1289z00_5475)); 
BgL__ortest_1292z00_5476 = 
BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(BgL_titlez00_4891, 
((obj_t)BgL_opz00_4890), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4889), BgL_arg2580z00_5477); } 
if(BgL__ortest_1292z00_5476)
{ /* Llib/mpd.scm 1384 */
BgL_tmpz00_8031 = BgL__ortest_1292z00_5476
; }  else 
{ /* Llib/mpd.scm 1384 */
obj_t BgL_arg2579z00_5478;
BgL_arg2579z00_5478 = 
CDR(
((obj_t)BgL_l1289z00_5475)); 
{ 
obj_t BgL_l1289z00_8044;
BgL_l1289z00_8044 = BgL_arg2579z00_5478; 
BgL_l1289z00_5475 = BgL_l1289z00_8044; 
goto BgL_zc3anonymousza32577ze3z83_5474;} } } } } 
return 
BBOOL(BgL_tmpz00_8031);} } 
BGL_FUNCTION_END;
}



/* find-title~0 */
bool_t BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(obj_t BgL_titlez00_5040, obj_t BgL_opz00_5039, BgL_mpdzd2databasezd2_bglt BgL_oz00_5038, obj_t BgL_dirz00_2239)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1381 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_dirz00_2239)))
{ /* Llib/mpd.scm 1376 */
obj_t BgL_g1287z00_2242;
BgL_g1287z00_2242 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2239); 
{ 
obj_t BgL_l1285z00_2244;
BgL_l1285z00_2244 = BgL_g1287z00_2242; 
BgL_zc3anonymousza32583ze3z83_2245:
if(
NULLP(BgL_l1285z00_2244))
{ /* Llib/mpd.scm 1376 */
return ((bool_t)0);}  else 
{ /* Llib/mpd.scm 1376 */
bool_t BgL__ortest_1288z00_2247;
{ /* Llib/mpd.scm 1376 */
obj_t BgL_arg2586z00_2249;
BgL_arg2586z00_2249 = 
CAR(
((obj_t)BgL_l1285z00_2244)); 
BgL__ortest_1288z00_2247 = 
BGl_findzd2titleze70z35zz__multimediazd2mpdzd2(BgL_titlez00_5040, BgL_opz00_5039, BgL_oz00_5038, BgL_arg2586z00_2249); } 
if(BgL__ortest_1288z00_2247)
{ /* Llib/mpd.scm 1376 */
return BgL__ortest_1288z00_2247;}  else 
{ /* Llib/mpd.scm 1376 */
obj_t BgL_arg2585z00_2248;
BgL_arg2585z00_2248 = 
CDR(
((obj_t)BgL_l1285z00_2244)); 
{ 
obj_t BgL_l1285z00_8058;
BgL_l1285z00_8058 = BgL_arg2585z00_2248; 
BgL_l1285z00_2244 = BgL_l1285z00_8058; 
goto BgL_zc3anonymousza32583ze3z83_2245;} } } } }  else 
{ /* Llib/mpd.scm 1377 */
bool_t BgL_testz00_8059;
{ /* Llib/mpd.scm 1377 */
obj_t BgL_arg2590z00_2257;
BgL_arg2590z00_2257 = 
BGl_prefixz00zz__osz00(
BGl_basenamez00zz__osz00(BgL_dirz00_2239)); 
BgL_testz00_8059 = 
bigloo_strcmp(BgL_arg2590z00_2257, 
((obj_t)BgL_titlez00_5040)); } 
if(BgL_testz00_8059)
{ /* Llib/mpd.scm 1377 */
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_3630;
BgL_g1187z00_3630 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_oz00_5038), BgL_dirz00_2239, BFALSE, BFALSE, BFALSE); 
{ 
obj_t BgL_l1185z00_3632;
BgL_l1185z00_3632 = BgL_g1187z00_3630; 
BgL_zc3anonymousza31947ze3z83_3631:
if(
PAIRP(BgL_l1185z00_3632))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_3634;
BgL_kz00_3634 = 
CAR(BgL_l1185z00_3632); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_3635;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_3636;
BgL_arg1950z00_3636 = 
CAR(
((obj_t)BgL_kz00_3634)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2956z00_3643;
BgL_res2956z00_3643 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_3636)); 
BgL_arg1949z00_3635 = BgL_res2956z00_3643; } } 
bgl_display_obj(BgL_arg1949z00_3635, BgL_opz00_5039); } 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_opz00_5039); 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_3637;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_3649;
BgL_pairz00_3649 = 
CDR(
((obj_t)BgL_kz00_3634)); 
BgL_arg1951z00_3637 = 
CAR(BgL_pairz00_3649); } 
bgl_display_obj(BgL_arg1951z00_3637, BgL_opz00_5039); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5039); } 
{ 
obj_t BgL_l1185z00_8080;
BgL_l1185z00_8080 = 
CDR(BgL_l1185z00_3632); 
BgL_l1185z00_3632 = BgL_l1185z00_8080; 
goto BgL_zc3anonymousza31947ze3z83_3631;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } } 
return ((bool_t)1);}  else 
{ /* Llib/mpd.scm 1377 */
return ((bool_t)0);} } } 
BGL_FUNCTION_END;
}



/* &mpd-database-search-1373 */
obj_t BGl_z62mpdzd2databasezd2searchzd21373zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4892, obj_t BgL_oz00_4893, obj_t BgL_opz00_4894, obj_t BgL_artistz00_4895, obj_t BgL_titlez00_4896)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1349 */
bool_t BgL_tmpz00_8082;
{ 
BgL_mpdzd2databasezd2_bglt BgL_dbz00_5482;obj_t BgL_dirz00_5483;obj_t BgL_opz00_5484;
{ /* Llib/mpd.scm 1364 */
obj_t BgL_cz00_5485;
BgL_cz00_5485 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4895, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4893)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5485))
{ /* Llib/mpd.scm 1365 */
BgL_dbz00_5482 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4893); 
BgL_dirz00_5483 = 
CDR(BgL_cz00_5485); 
BgL_opz00_5484 = 
((obj_t)BgL_opz00_4894); 
BgL_tmpz00_8082 = 
BGl_loopze72ze7zz__multimediazd2mpdzd2(BgL_opz00_5484, BgL_dbz00_5482, BgL_artistz00_4895, BgL_titlez00_4896, BgL_dirz00_5483); }  else 
{ /* Llib/mpd.scm 1365 */
BgL_tmpz00_8082 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_8082);} } 
BGL_FUNCTION_END;
}



/* loop~2 */
bool_t BGl_loopze72ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_5037, BgL_mpdzd2databasezd2_bglt BgL_dbz00_5036, obj_t BgL_artistz00_5035, obj_t BgL_titlez00_5034, obj_t BgL_dirz00_2190)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1348 */
{ /* Llib/mpd.scm 1349 */
obj_t BgL_filesz00_2192;
BgL_filesz00_2192 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2190); 
{ /* Llib/mpd.scm 1349 */
obj_t BgL_imgz00_2193;
{ 
obj_t BgL_list1282z00_2212;
BgL_list1282z00_2212 = BgL_filesz00_2192; 
BgL_zc3anonymousza32570ze3z83_2213:
if(
PAIRP(BgL_list1282z00_2212))
{ /* Llib/mpd.scm 1350 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1282z00_2212)))
{ /* Llib/mpd.scm 1350 */
BgL_imgz00_2193 = 
CAR(BgL_list1282z00_2212); }  else 
{ 
obj_t BgL_list1282z00_8100;
BgL_list1282z00_8100 = 
CDR(BgL_list1282z00_2212); 
BgL_list1282z00_2212 = BgL_list1282z00_8100; 
goto BgL_zc3anonymousza32570ze3z83_2213;} }  else 
{ /* Llib/mpd.scm 1350 */
BgL_imgz00_2193 = BFALSE; } } 
{ /* Llib/mpd.scm 1350 */

{ 
obj_t BgL_l1283z00_2195;
BgL_l1283z00_2195 = BgL_filesz00_2192; 
BgL_zc3anonymousza32562ze3z83_2196:
if(
PAIRP(BgL_l1283z00_2195))
{ /* Llib/mpd.scm 1351 */
{ /* Llib/mpd.scm 1352 */
obj_t BgL_fz00_2198;
BgL_fz00_2198 = 
CAR(BgL_l1283z00_2195); 
{ /* Llib/mpd.scm 1352 */
obj_t BgL_pz00_2199;
BgL_pz00_2199 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2190, BgL_fz00_2198); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2199)))
{ /* Llib/mpd.scm 1354 */
BGl_loopze72ze7zz__multimediazd2mpdzd2(BgL_opz00_5037, BgL_dbz00_5036, BgL_artistz00_5035, BgL_titlez00_5034, BgL_pz00_2199); }  else 
{ /* Llib/mpd.scm 1356 */
bool_t BgL_testz00_8110;
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_2199, 
((obj_t)BgL_dbz00_5036)))
{ /* Llib/mpd.scm 1356 */
obj_t BgL_arg2568z00_2208;
BgL_arg2568z00_2208 = 
BGl_prefixz00zz__osz00(BgL_fz00_2198); 
BgL_testz00_8110 = 
bigloo_strcmp(
((obj_t)BgL_titlez00_5034), BgL_arg2568z00_2208); }  else 
{ /* Llib/mpd.scm 1356 */
BgL_testz00_8110 = ((bool_t)0)
; } 
if(BgL_testz00_8110)
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_3597;
BgL_g1187z00_3597 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_5036), BgL_pz00_2199, BgL_artistz00_5035, BgL_titlez00_5034, BgL_imgz00_2193); 
{ 
obj_t BgL_l1185z00_3599;
BgL_l1185z00_3599 = BgL_g1187z00_3597; 
BgL_zc3anonymousza31947ze3z83_3598:
if(
PAIRP(BgL_l1185z00_3599))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_3601;
BgL_kz00_3601 = 
CAR(BgL_l1185z00_3599); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_3602;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_3603;
BgL_arg1950z00_3603 = 
CAR(
((obj_t)BgL_kz00_3601)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2950z00_3610;
BgL_res2950z00_3610 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_3603)); 
BgL_arg1949z00_3602 = BgL_res2950z00_3610; } } 
bgl_display_obj(BgL_arg1949z00_3602, BgL_opz00_5037); } 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_opz00_5037); 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_3604;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_3616;
BgL_pairz00_3616 = 
CDR(
((obj_t)BgL_kz00_3601)); 
BgL_arg1951z00_3604 = 
CAR(BgL_pairz00_3616); } 
bgl_display_obj(BgL_arg1951z00_3604, BgL_opz00_5037); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5037); } 
{ 
obj_t BgL_l1185z00_8133;
BgL_l1185z00_8133 = 
CDR(BgL_l1185z00_3599); 
BgL_l1185z00_3599 = BgL_l1185z00_8133; 
goto BgL_zc3anonymousza31947ze3z83_3598;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1356 */((bool_t)0); } } } } 
{ 
obj_t BgL_l1283z00_8135;
BgL_l1283z00_8135 = 
CDR(BgL_l1283z00_2195); 
BgL_l1283z00_2195 = BgL_l1283z00_8135; 
goto BgL_zc3anonymousza32562ze3z83_2196;} }  else 
{ /* Llib/mpd.scm 1351 */
return ((bool_t)1);} } } } } } 
BGL_FUNCTION_END;
}



/* &mpd-database-search-1371 */
obj_t BGl_z62mpdzd2databasezd2searchzd21371zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4897, obj_t BgL_oz00_4898, obj_t BgL_opz00_4899, obj_t BgL_artistz00_4900, obj_t BgL_albumz00_4901)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1315 */
bool_t BgL_tmpz00_8137;
{ 
BgL_mpdzd2databasezd2_bglt BgL_dbz00_5489;obj_t BgL_dirz00_5490;obj_t BgL_opz00_5491;
{ /* Llib/mpd.scm 1338 */
obj_t BgL_cz00_5492;
BgL_cz00_5492 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4900, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4898)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5492))
{ /* Llib/mpd.scm 1339 */
BgL_dbz00_5489 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4898); 
BgL_dirz00_5490 = 
CDR(BgL_cz00_5492); 
BgL_opz00_5491 = 
((obj_t)BgL_opz00_4899); 
BgL_tmpz00_8137 = 
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_5491, BgL_dbz00_5489, BgL_artistz00_4900, BgL_albumz00_4901, BgL_dirz00_5490); }  else 
{ /* Llib/mpd.scm 1339 */
BgL_tmpz00_8137 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_tmpz00_8137);} } 
BGL_FUNCTION_END;
}



/* loop~1 */
bool_t BGl_loopze71ze7zz__multimediazd2mpdzd2(obj_t BgL_opz00_5033, BgL_mpdzd2databasezd2_bglt BgL_dbz00_5032, obj_t BgL_artistz00_5031, obj_t BgL_albumz00_5030, obj_t BgL_dirz00_2119)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1314 */
{ /* Llib/mpd.scm 1315 */
bool_t BgL_testz00_8148;
{ /* Llib/mpd.scm 1315 */
obj_t BgL_arg2555z00_2169;
BgL_arg2555z00_2169 = 
BGl_basenamez00zz__osz00(BgL_dirz00_2119); 
BgL_testz00_8148 = 
bigloo_strcmp(BgL_arg2555z00_2169, 
((obj_t)BgL_albumz00_5030)); } 
if(BgL_testz00_8148)
{ /* Llib/mpd.scm 1316 */
obj_t BgL_filesz00_2123;
BgL_filesz00_2123 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc3368z00zz__multimediazd2mpdzd2, 
bgl_directory_to_list(
BSTRING_TO_STRING(BgL_dirz00_2119))); 
{ /* Llib/mpd.scm 1316 */
obj_t BgL_imgz00_2124;
{ /* Llib/mpd.scm 1319 */
obj_t BgL_fz00_2138;
{ 
obj_t BgL_list1275z00_2141;
BgL_list1275z00_2141 = BgL_filesz00_2123; 
BgL_zc3anonymousza32541ze3z83_2142:
if(
PAIRP(BgL_list1275z00_2141))
{ /* Llib/mpd.scm 1319 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1275z00_2141)))
{ /* Llib/mpd.scm 1319 */
BgL_fz00_2138 = 
CAR(BgL_list1275z00_2141); }  else 
{ 
obj_t BgL_list1275z00_8161;
BgL_list1275z00_8161 = 
CDR(BgL_list1275z00_2141); 
BgL_list1275z00_2141 = BgL_list1275z00_8161; 
goto BgL_zc3anonymousza32541ze3z83_2142;} }  else 
{ /* Llib/mpd.scm 1319 */
BgL_fz00_2138 = BFALSE; } } 
if(
STRINGP(BgL_fz00_2138))
{ /* Llib/mpd.scm 1320 */
BgL_imgz00_2124 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2119, BgL_fz00_2138); }  else 
{ /* Llib/mpd.scm 1320 */
BgL_imgz00_2124 = BFALSE; } } 
{ /* Llib/mpd.scm 1319 */

{ 
obj_t BgL_l1276z00_2126;
BgL_l1276z00_2126 = BgL_filesz00_2123; 
BgL_zc3anonymousza32535ze3z83_2127:
if(
PAIRP(BgL_l1276z00_2126))
{ /* Llib/mpd.scm 1322 */
{ /* Llib/mpd.scm 1323 */
obj_t BgL_fz00_2129;
BgL_fz00_2129 = 
CAR(BgL_l1276z00_2126); 
{ /* Llib/mpd.scm 1323 */
obj_t BgL_pz00_2130;
BgL_pz00_2130 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_2119, BgL_fz00_2129); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2130)))
{ /* Llib/mpd.scm 1325 */
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_5033, BgL_dbz00_5032, BgL_artistz00_5031, BgL_albumz00_5030, BgL_pz00_2130); }  else 
{ /* Llib/mpd.scm 1325 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_pz00_2130, 
((obj_t)BgL_dbz00_5032)))
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_3556;
BgL_g1187z00_3556 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)BgL_dbz00_5032), BgL_pz00_2130, BgL_artistz00_5031, BgL_albumz00_5030, BgL_imgz00_2124); 
{ 
obj_t BgL_l1185z00_3558;
BgL_l1185z00_3558 = BgL_g1187z00_3556; 
BgL_zc3anonymousza31947ze3z83_3557:
if(
PAIRP(BgL_l1185z00_3558))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_3560;
BgL_kz00_3560 = 
CAR(BgL_l1185z00_3558); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_3561;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_3562;
BgL_arg1950z00_3562 = 
CAR(
((obj_t)BgL_kz00_3560)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2941z00_3569;
BgL_res2941z00_3569 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_3562)); 
BgL_arg1949z00_3561 = BgL_res2941z00_3569; } } 
bgl_display_obj(BgL_arg1949z00_3561, BgL_opz00_5033); } 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_opz00_5033); 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_3563;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_3575;
BgL_pairz00_3575 = 
CDR(
((obj_t)BgL_kz00_3560)); 
BgL_arg1951z00_3563 = 
CAR(BgL_pairz00_3575); } 
bgl_display_obj(BgL_arg1951z00_3563, BgL_opz00_5033); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5033); } 
{ 
obj_t BgL_l1185z00_8193;
BgL_l1185z00_8193 = 
CDR(BgL_l1185z00_3558); 
BgL_l1185z00_3558 = BgL_l1185z00_8193; 
goto BgL_zc3anonymousza31947ze3z83_3557;} }  else 
{ /* Llib/mpd.scm 427 */((bool_t)1); } } }  else 
{ /* Llib/mpd.scm 1327 */((bool_t)0); } } } } 
{ 
obj_t BgL_l1276z00_8195;
BgL_l1276z00_8195 = 
CDR(BgL_l1276z00_2126); 
BgL_l1276z00_2126 = BgL_l1276z00_8195; 
goto BgL_zc3anonymousza32535ze3z83_2127;} }  else 
{ /* Llib/mpd.scm 1322 */
return ((bool_t)1);} } } } }  else 
{ /* Llib/mpd.scm 1333 */
obj_t BgL_g1280z00_2160;
BgL_g1280z00_2160 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_2119); 
{ 
obj_t BgL_l1278z00_2162;
BgL_l1278z00_2162 = BgL_g1280z00_2160; 
BgL_zc3anonymousza32551ze3z83_2163:
if(
PAIRP(BgL_l1278z00_2162))
{ /* Llib/mpd.scm 1336 */
{ /* Llib/mpd.scm 1334 */
obj_t BgL_pz00_2165;
BgL_pz00_2165 = 
CAR(BgL_l1278z00_2162); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_2165)))
{ /* Llib/mpd.scm 1334 */
BGl_loopze71ze7zz__multimediazd2mpdzd2(BgL_opz00_5033, BgL_dbz00_5032, BgL_artistz00_5031, BgL_albumz00_5030, BgL_pz00_2165); }  else 
{ /* Llib/mpd.scm 1334 */((bool_t)0); } } 
{ 
obj_t BgL_l1278z00_8205;
BgL_l1278z00_8205 = 
CDR(BgL_l1278z00_2162); 
BgL_l1278z00_2162 = BgL_l1278z00_8205; 
goto BgL_zc3anonymousza32551ze3z83_2163;} }  else 
{ /* Llib/mpd.scm 1336 */
return ((bool_t)1);} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2549> */
obj_t BGl_z62zc3anonymousza32549ze3ze1zz__multimediazd2mpdzd2(obj_t BgL_envz00_4902, obj_t BgL_s1z00_4903, obj_t BgL_s2z00_4904)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1316 */
{ /* Llib/mpd.scm 1317 */
bool_t BgL_tmpz00_8207;
{ /* Llib/mpd.scm 1317 */
int BgL_arg2550z00_5493;
{ /* Llib/mpd.scm 1317 */

BgL_arg2550z00_5493 = 
BGl_stringzd2naturalzd2compare3z00zz__r4_strings_6_7z00(BgL_s1z00_4903, BgL_s2z00_4904, 
BINT(((long)0)), 
BINT(((long)0))); } 
BgL_tmpz00_8207 = 
(
(long)(BgL_arg2550z00_5493)<((long)0)); } 
return 
BBOOL(BgL_tmpz00_8207);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-ar1369 */
obj_t BGl_z62mpdzd2databasezd2findzd2ar1369zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4905, obj_t BgL_oz00_4906, obj_t BgL_opz00_4907, obj_t BgL_artistz00_4908)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1304 */
bool_t BgL_tmpz00_8214;
{ /* Llib/mpd.scm 1305 */
obj_t BgL_cz00_5499;
BgL_cz00_5499 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_artistz00_4908, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4906)))->BgL_z52artistsz52)); 
if(
PAIRP(BgL_cz00_5499))
{ /* Llib/mpd.scm 1307 */
obj_t BgL_dirz00_5501;
BgL_dirz00_5501 = 
CDR(BgL_cz00_5499); 
BgL_tmpz00_8214 = 
BGl_loopze74ze7zz__multimediazd2mpdzd2(
((obj_t)BgL_opz00_4907), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4906), BFALSE, BgL_artistz00_4908, BgL_dirz00_5501); }  else 
{ /* Llib/mpd.scm 1306 */
BgL_tmpz00_8214 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_8214);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-al1367 */
obj_t BGl_z62mpdzd2databasezd2findzd2al1367zb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4909, obj_t BgL_oz00_4910, obj_t BgL_opz00_4911, obj_t BgL_albumz00_4912)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1295 */
bool_t BgL_tmpz00_8225;
{ /* Llib/mpd.scm 1296 */
obj_t BgL_cz00_5508;
BgL_cz00_5508 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_albumz00_4912, 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4910)))->BgL_z52albumsz52)); 
if(
PAIRP(BgL_cz00_5508))
{ /* Llib/mpd.scm 1298 */
obj_t BgL_dirz00_5510;
BgL_dirz00_5510 = 
CDR(BgL_cz00_5508); 
BgL_tmpz00_8225 = 
BGl_loopze74ze7zz__multimediazd2mpdzd2(
((obj_t)BgL_opz00_4911), 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4910), BgL_albumz00_4912, BFALSE, BgL_dirz00_5510); }  else 
{ /* Llib/mpd.scm 1297 */
BgL_tmpz00_8225 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_8225);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-lsinfo1365 */
obj_t BGl_z62mpdzd2databasezd2lsinfo1365z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4913, obj_t BgL_oz00_4914, obj_t BgL_opz00_4915, obj_t BgL_dirz00_4916, obj_t BgL_recz00_4917)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1234 */
bool_t BgL_tmpz00_8236;
{ /* Llib/mpd.scm 1234 */
bool_t BgL_recz00_5515;
BgL_recz00_5515 = 
CBOOL(BgL_recz00_4917); 
{ /* Llib/mpd.scm 1235 */
bool_t BgL_testz00_8238;
if(
BGl_filezd2systemzd2rootzf3zf3zz__multimediazd2mpdzd2(
((obj_t)BgL_dirz00_4916)))
{ /* Llib/mpd.scm 1235 */
BgL_testz00_8238 = ((bool_t)1)
; }  else 
{ /* Llib/mpd.scm 1235 */
BgL_testz00_8238 = 
bigloo_strcmp(
((obj_t)BgL_dirz00_4916), 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914)))->BgL_z52basez52))
; } 
if(BgL_testz00_8238)
{ /* Llib/mpd.scm 1236 */
obj_t BgL_g1265z00_5516;
BgL_g1265z00_5516 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914)))->BgL_directoriesz00); 
{ 
obj_t BgL_l1263z00_5518;
BgL_l1263z00_5518 = BgL_g1265z00_5516; 
BgL_zc3anonymousza32499ze3z83_5517:
if(
PAIRP(BgL_l1263z00_5518))
{ /* Llib/mpd.scm 1236 */
{ /* Llib/mpd.scm 1237 */
obj_t BgL_dirz00_5519;
BgL_dirz00_5519 = 
CAR(BgL_l1263z00_5518); 
{ /* Llib/mpd.scm 1237 */
obj_t BgL_g1262z00_5520;
BgL_g1262z00_5520 = 
BGl_directoryzd2ze3pathzd2listze3zz__r4_ports_6_10_1z00(BgL_dirz00_5519); 
{ 
obj_t BgL_l1260z00_5522;
BgL_l1260z00_5522 = BgL_g1262z00_5520; 
BgL_zc3anonymousza32501ze3z83_5521:
if(
PAIRP(BgL_l1260z00_5522))
{ /* Llib/mpd.scm 1244 */
{ /* Llib/mpd.scm 1238 */
obj_t BgL_dirz00_5523;
BgL_dirz00_5523 = 
CAR(BgL_l1260z00_5522); 
{ /* Llib/mpd.scm 1238 */
obj_t BgL_mdz00_5524;
BgL_mdz00_5524 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_dirz00_5523, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914))); 
{ /* Llib/mpd.scm 1239 */
obj_t BgL_tmpz00_8258;
BgL_tmpz00_8258 = 
((obj_t)BgL_opz00_4915); 
bgl_display_string(BGl_string3369z00zz__multimediazd2mpdzd2, BgL_tmpz00_8258); } 
bgl_display_obj(BgL_mdz00_5524, 
((obj_t)BgL_opz00_4915)); 
{ /* Llib/mpd.scm 1241 */
obj_t BgL_tmpz00_8263;
BgL_tmpz00_8263 = 
((obj_t)BgL_opz00_4915); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8263); } 
if(BgL_recz00_5515)
{ /* Llib/mpd.scm 1242 */
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914), 
((obj_t)BgL_opz00_4915), BgL_mdz00_5524, BgL_recz00_5515); }  else 
{ /* Llib/mpd.scm 1242 */BFALSE; } } } 
{ 
obj_t BgL_l1260z00_8270;
BgL_l1260z00_8270 = 
CDR(BgL_l1260z00_5522); 
BgL_l1260z00_5522 = BgL_l1260z00_8270; 
goto BgL_zc3anonymousza32501ze3z83_5521;} }  else 
{ /* Llib/mpd.scm 1244 */((bool_t)1); } } } } 
{ 
obj_t BgL_l1263z00_8272;
BgL_l1263z00_8272 = 
CDR(BgL_l1263z00_5518); 
BgL_l1263z00_5518 = BgL_l1263z00_8272; 
goto BgL_zc3anonymousza32499ze3z83_5517;} }  else 
{ /* Llib/mpd.scm 1236 */
BgL_tmpz00_8236 = ((bool_t)1)
; } } }  else 
{ /* Llib/mpd.scm 1246 */
obj_t BgL_pathz00_5525;
BgL_pathz00_5525 = 
BGl_mpdzd2ze3filez31zz__multimediazd2mpdzd2(
((obj_t)BgL_dirz00_4916), 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914)), 
((obj_t)BgL_opz00_4915), BGl_string3370z00zz__multimediazd2mpdzd2); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_5525)))
{ /* Llib/mpd.scm 1248 */
obj_t BgL_filesz00_5526;
BgL_filesz00_5526 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_5525); 
{ /* Llib/mpd.scm 1248 */
obj_t BgL_imgz00_5527;
{ /* Llib/mpd.scm 1249 */
obj_t BgL_fz00_5528;
{ 
obj_t BgL_list1267z00_5530;
BgL_list1267z00_5530 = BgL_filesz00_5526; 
BgL_zc3anonymousza32512ze3z83_5529:
if(
PAIRP(BgL_list1267z00_5530))
{ /* Llib/mpd.scm 1249 */
if(
BGl_imagezd2filezf3z21zz__multimediazd2mpdzd2(
CAR(BgL_list1267z00_5530)))
{ /* Llib/mpd.scm 1249 */
BgL_fz00_5528 = 
CAR(BgL_list1267z00_5530); }  else 
{ 
obj_t BgL_list1267z00_8289;
BgL_list1267z00_8289 = 
CDR(BgL_list1267z00_5530); 
BgL_list1267z00_5530 = BgL_list1267z00_8289; 
goto BgL_zc3anonymousza32512ze3z83_5529;} }  else 
{ /* Llib/mpd.scm 1249 */
BgL_fz00_5528 = BFALSE; } } 
if(
STRINGP(BgL_fz00_5528))
{ /* Llib/mpd.scm 1250 */
BgL_imgz00_5527 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5525, BgL_fz00_5528); }  else 
{ /* Llib/mpd.scm 1250 */
BgL_imgz00_5527 = BFALSE; } } 
{ /* Llib/mpd.scm 1249 */

{ 
obj_t BgL_l1268z00_5532;
BgL_l1268z00_5532 = BgL_filesz00_5526; 
BgL_zc3anonymousza32506ze3z83_5531:
if(
PAIRP(BgL_l1268z00_5532))
{ /* Llib/mpd.scm 1252 */
{ /* Llib/mpd.scm 1253 */
obj_t BgL_fz00_5533;
BgL_fz00_5533 = 
CAR(BgL_l1268z00_5532); 
{ /* Llib/mpd.scm 1253 */
obj_t BgL_pz00_5534;
BgL_pz00_5534 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_5525, BgL_fz00_5533); 
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pz00_5534)))
{ /* Llib/mpd.scm 1256 */
obj_t BgL_mdz00_5535;
BgL_mdz00_5535 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pz00_5534, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914))); 
{ /* Llib/mpd.scm 1257 */
obj_t BgL_tmpz00_8304;
BgL_tmpz00_8304 = 
((obj_t)BgL_opz00_4915); 
bgl_display_string(BGl_string3369z00zz__multimediazd2mpdzd2, BgL_tmpz00_8304); } 
bgl_display_obj(BgL_mdz00_5535, 
((obj_t)BgL_opz00_4915)); 
{ /* Llib/mpd.scm 1259 */
obj_t BgL_tmpz00_8309;
BgL_tmpz00_8309 = 
((obj_t)BgL_opz00_4915); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8309); } 
if(BgL_recz00_5515)
{ /* Llib/mpd.scm 1260 */
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914), 
((obj_t)BgL_opz00_4915), BgL_mdz00_5535, BgL_recz00_5515); }  else 
{ /* Llib/mpd.scm 1260 */BFALSE; } }  else 
{ /* Llib/mpd.scm 1255 */
if(
BGl_musiczd2filezf3z21zz__multimediazd2mpdzd2(BgL_fz00_5533, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914))))
{ /* Llib/mpd.scm 422 */
obj_t BgL_g1187z00_5536;
BgL_g1187z00_5536 = 
BGl_getinfofilez00zz__multimediazd2mpdzd2(
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4914)), BgL_pz00_5534, BFALSE, BFALSE, BgL_imgz00_5527); 
{ 
obj_t BgL_l1185z00_5538;
{ /* Llib/mpd.scm 427 */
bool_t BgL_tmpz00_8323;
BgL_l1185z00_5538 = BgL_g1187z00_5536; 
BgL_zc3anonymousza31947ze3z83_5537:
if(
PAIRP(BgL_l1185z00_5538))
{ /* Llib/mpd.scm 427 */
{ /* Llib/mpd.scm 423 */
obj_t BgL_kz00_5539;
BgL_kz00_5539 = 
CAR(BgL_l1185z00_5538); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1949z00_5540;
{ /* Llib/mpd.scm 423 */
obj_t BgL_arg1950z00_5541;
BgL_arg1950z00_5541 = 
CAR(
((obj_t)BgL_kz00_5539)); 
{ /* Llib/mpd.scm 423 */
obj_t BgL_res2931z00_5542;
BgL_res2931z00_5542 = 
KEYWORD_TO_STRING(
((obj_t)BgL_arg1950z00_5541)); 
BgL_arg1949z00_5540 = BgL_res2931z00_5542; } } 
bgl_display_obj(BgL_arg1949z00_5540, 
((obj_t)BgL_opz00_4915)); } 
{ /* Llib/mpd.scm 424 */
obj_t BgL_tmpz00_8333;
BgL_tmpz00_8333 = 
((obj_t)BgL_opz00_4915); 
bgl_display_string(BGl_string3253z00zz__multimediazd2mpdzd2, BgL_tmpz00_8333); } 
{ /* Llib/mpd.scm 425 */
obj_t BgL_arg1951z00_5543;
{ /* Llib/mpd.scm 425 */
obj_t BgL_pairz00_5544;
BgL_pairz00_5544 = 
CDR(
((obj_t)BgL_kz00_5539)); 
BgL_arg1951z00_5543 = 
CAR(BgL_pairz00_5544); } 
bgl_display_obj(BgL_arg1951z00_5543, 
((obj_t)BgL_opz00_4915)); } 
{ /* Llib/mpd.scm 426 */
obj_t BgL_tmpz00_8341;
BgL_tmpz00_8341 = 
((obj_t)BgL_opz00_4915); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8341); } } 
{ 
obj_t BgL_l1185z00_8344;
BgL_l1185z00_8344 = 
CDR(BgL_l1185z00_5538); 
BgL_l1185z00_5538 = BgL_l1185z00_8344; 
goto BgL_zc3anonymousza31947ze3z83_5537;} }  else 
{ /* Llib/mpd.scm 427 */
BgL_tmpz00_8323 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_8323); } } }  else 
{ /* Llib/mpd.scm 1262 */BFALSE; } } } } 
{ 
obj_t BgL_l1268z00_8347;
BgL_l1268z00_8347 = 
CDR(BgL_l1268z00_5532); 
BgL_l1268z00_5532 = BgL_l1268z00_8347; 
goto BgL_zc3anonymousza32506ze3z83_5531;} }  else 
{ /* Llib/mpd.scm 1252 */
BgL_tmpz00_8236 = ((bool_t)1)
; } } } } }  else 
{ /* Llib/mpd.scm 1247 */
BgL_tmpz00_8236 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_8236);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listart1363 */
obj_t BGl_z62mpdzd2databasezd2listart1363z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4918, obj_t BgL_oz00_4919, obj_t BgL_opz00_4920)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1224 */
bool_t BgL_tmpz00_8350;
{ /* Llib/mpd.scm 1224 */
obj_t BgL_g1259z00_5547;
BgL_g1259z00_5547 = 
BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4919)); 
{ 
obj_t BgL_l1257z00_5549;
BgL_l1257z00_5549 = BgL_g1259z00_5547; 
BgL_zc3anonymousza32491ze3z83_5548:
if(
PAIRP(BgL_l1257z00_5549))
{ /* Llib/mpd.scm 1228 */
{ /* Llib/mpd.scm 1225 */
obj_t BgL_az00_5550;
BgL_az00_5550 = 
CAR(BgL_l1257z00_5549); 
{ /* Llib/mpd.scm 1225 */
obj_t BgL_tmpz00_8356;
BgL_tmpz00_8356 = 
((obj_t)BgL_opz00_4920); 
bgl_display_string(BGl_string3260z00zz__multimediazd2mpdzd2, BgL_tmpz00_8356); } 
{ /* Llib/mpd.scm 1226 */
obj_t BgL_arg2493z00_5551;
BgL_arg2493z00_5551 = 
CAR(
((obj_t)BgL_az00_5550)); 
bgl_display_obj(BgL_arg2493z00_5551, 
((obj_t)BgL_opz00_4920)); } 
{ /* Llib/mpd.scm 1227 */
obj_t BgL_tmpz00_8363;
BgL_tmpz00_8363 = 
((obj_t)BgL_opz00_4920); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8363); } } 
{ 
obj_t BgL_l1257z00_8366;
BgL_l1257z00_8366 = 
CDR(BgL_l1257z00_5549); 
BgL_l1257z00_5549 = BgL_l1257z00_8366; 
goto BgL_zc3anonymousza32491ze3z83_5548;} }  else 
{ /* Llib/mpd.scm 1228 */
BgL_tmpz00_8350 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8350);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listgen1361 */
obj_t BGl_z62mpdzd2databasezd2listgen1361z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4921, obj_t BgL_oz00_4922, obj_t BgL_opz00_4923)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1214 */
bool_t BgL_tmpz00_8369;
{ /* Llib/mpd.scm 1214 */
obj_t BgL_g1256z00_5554;
BgL_g1256z00_5554 = 
BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4922)); 
{ 
obj_t BgL_l1254z00_5556;
BgL_l1254z00_5556 = BgL_g1256z00_5554; 
BgL_zc3anonymousza32486ze3z83_5555:
if(
PAIRP(BgL_l1254z00_5556))
{ /* Llib/mpd.scm 1218 */
{ /* Llib/mpd.scm 1215 */
obj_t BgL_az00_5557;
BgL_az00_5557 = 
CAR(BgL_l1254z00_5556); 
{ /* Llib/mpd.scm 1215 */
obj_t BgL_tmpz00_8375;
BgL_tmpz00_8375 = 
((obj_t)BgL_opz00_4923); 
bgl_display_string(BGl_string3371z00zz__multimediazd2mpdzd2, BgL_tmpz00_8375); } 
{ /* Llib/mpd.scm 1216 */
obj_t BgL_arg2488z00_5558;
BgL_arg2488z00_5558 = 
CAR(
((obj_t)BgL_az00_5557)); 
bgl_display_obj(BgL_arg2488z00_5558, 
((obj_t)BgL_opz00_4923)); } 
{ /* Llib/mpd.scm 1217 */
obj_t BgL_tmpz00_8382;
BgL_tmpz00_8382 = 
((obj_t)BgL_opz00_4923); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8382); } } 
{ 
obj_t BgL_l1254z00_8385;
BgL_l1254z00_8385 = 
CDR(BgL_l1254z00_5556); 
BgL_l1254z00_5556 = BgL_l1254z00_8385; 
goto BgL_zc3anonymousza32486ze3z83_5555;} }  else 
{ /* Llib/mpd.scm 1218 */
BgL_tmpz00_8369 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8369);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listgen1359 */
obj_t BGl_z62mpdzd2databasezd2listgen1359z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4924, obj_t BgL_oz00_4925, obj_t BgL_opz00_4926, obj_t BgL_genrez00_4927)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1204 */
bool_t BgL_tmpz00_8388;
{ /* Llib/mpd.scm 1204 */
obj_t BgL_g1253z00_5561;
BgL_g1253z00_5561 = 
BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4925), BgL_genrez00_4927); 
{ 
obj_t BgL_l1251z00_5563;
BgL_l1251z00_5563 = BgL_g1253z00_5561; 
BgL_zc3anonymousza32481ze3z83_5562:
if(
PAIRP(BgL_l1251z00_5563))
{ /* Llib/mpd.scm 1208 */
{ /* Llib/mpd.scm 1205 */
obj_t BgL_az00_5564;
BgL_az00_5564 = 
CAR(BgL_l1251z00_5563); 
{ /* Llib/mpd.scm 1205 */
obj_t BgL_tmpz00_8394;
BgL_tmpz00_8394 = 
((obj_t)BgL_opz00_4926); 
bgl_display_string(BGl_string3260z00zz__multimediazd2mpdzd2, BgL_tmpz00_8394); } 
{ /* Llib/mpd.scm 1206 */
obj_t BgL_arg2483z00_5565;
BgL_arg2483z00_5565 = 
CAR(
((obj_t)BgL_az00_5564)); 
bgl_display_obj(BgL_arg2483z00_5565, 
((obj_t)BgL_opz00_4926)); } 
{ /* Llib/mpd.scm 1207 */
obj_t BgL_tmpz00_8401;
BgL_tmpz00_8401 = 
((obj_t)BgL_opz00_4926); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8401); } } 
{ 
obj_t BgL_l1251z00_8404;
BgL_l1251z00_8404 = 
CDR(BgL_l1251z00_5563); 
BgL_l1251z00_5563 = BgL_l1251z00_8404; 
goto BgL_zc3anonymousza32481ze3z83_5562;} }  else 
{ /* Llib/mpd.scm 1208 */
BgL_tmpz00_8388 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8388);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listgen1357 */
obj_t BGl_z62mpdzd2databasezd2listgen1357z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4928, obj_t BgL_oz00_4929, obj_t BgL_opz00_4930, obj_t BgL_genrez00_4931)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1190 */
bool_t BgL_tmpz00_8407;
{ /* Llib/mpd.scm 1190 */
obj_t BgL_g1250z00_5568;
{ /* Llib/mpd.scm 1194 */
obj_t BgL_hook1246z00_5569;
BgL_hook1246z00_5569 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/mpd.scm 1197 */
obj_t BgL_g1247z00_5570;
BgL_g1247z00_5570 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4929)))->BgL_z52albumsz52); 
{ 
obj_t BgL_l1243z00_5572;obj_t BgL_h1244z00_5573;
BgL_l1243z00_5572 = BgL_g1247z00_5570; 
BgL_h1244z00_5573 = BgL_hook1246z00_5569; 
BgL_zc3anonymousza32468ze3z83_5571:
if(
NULLP(BgL_l1243z00_5572))
{ /* Llib/mpd.scm 1197 */
BgL_g1250z00_5568 = 
CDR(BgL_hook1246z00_5569); }  else 
{ /* Llib/mpd.scm 1197 */
bool_t BgL_testz00_8414;
{ /* Llib/mpd.scm 1195 */
obj_t BgL_cz00_5574;
BgL_cz00_5574 = 
CAR(
((obj_t)BgL_l1243z00_5572)); 
{ /* Llib/mpd.scm 1195 */
obj_t BgL_dirz00_5575;
BgL_dirz00_5575 = 
CDR(
((obj_t)BgL_cz00_5574)); 
{ /* Llib/mpd.scm 1196 */
obj_t BgL_arg2477z00_5576;
BgL_arg2477z00_5576 = 
BGl_basenamez00zz__osz00(
BGl_dirnamez00zz__osz00(
BGl_dirnamez00zz__osz00(BgL_dirz00_5575))); 
BgL_testz00_8414 = 
bigloo_strcmp(BgL_arg2477z00_5576, 
((obj_t)BgL_genrez00_4931)); } } } 
if(BgL_testz00_8414)
{ /* Llib/mpd.scm 1197 */
obj_t BgL_nh1245z00_5577;
{ /* Llib/mpd.scm 1197 */
obj_t BgL_arg2475z00_5578;
BgL_arg2475z00_5578 = 
CAR(
((obj_t)BgL_l1243z00_5572)); 
{ /* Llib/mpd.scm 1197 */
obj_t BgL_res2917z00_5579;
BgL_res2917z00_5579 = 
MAKE_YOUNG_PAIR(BgL_arg2475z00_5578, BNIL); 
BgL_nh1245z00_5577 = BgL_res2917z00_5579; } } 
SET_CDR(BgL_h1244z00_5573, BgL_nh1245z00_5577); 
{ /* Llib/mpd.scm 1197 */
obj_t BgL_arg2474z00_5580;
BgL_arg2474z00_5580 = 
CDR(
((obj_t)BgL_l1243z00_5572)); 
{ 
obj_t BgL_h1244z00_8431;obj_t BgL_l1243z00_8430;
BgL_l1243z00_8430 = BgL_arg2474z00_5580; 
BgL_h1244z00_8431 = BgL_nh1245z00_5577; 
BgL_h1244z00_5573 = BgL_h1244z00_8431; 
BgL_l1243z00_5572 = BgL_l1243z00_8430; 
goto BgL_zc3anonymousza32468ze3z83_5571;} } }  else 
{ /* Llib/mpd.scm 1197 */
obj_t BgL_arg2476z00_5581;
BgL_arg2476z00_5581 = 
CDR(
((obj_t)BgL_l1243z00_5572)); 
{ 
obj_t BgL_l1243z00_8434;
BgL_l1243z00_8434 = BgL_arg2476z00_5581; 
BgL_l1243z00_5572 = BgL_l1243z00_8434; 
goto BgL_zc3anonymousza32468ze3z83_5571;} } } } } } 
{ 
obj_t BgL_l1248z00_5583;
BgL_l1248z00_5583 = BgL_g1250z00_5568; 
BgL_zc3anonymousza32464ze3z83_5582:
if(
PAIRP(BgL_l1248z00_5583))
{ /* Llib/mpd.scm 1194 */
{ /* Llib/mpd.scm 1191 */
obj_t BgL_az00_5584;
BgL_az00_5584 = 
CAR(BgL_l1248z00_5583); 
{ /* Llib/mpd.scm 1191 */
obj_t BgL_tmpz00_8438;
BgL_tmpz00_8438 = 
((obj_t)BgL_opz00_4930); 
bgl_display_string(BGl_string3262z00zz__multimediazd2mpdzd2, BgL_tmpz00_8438); } 
{ /* Llib/mpd.scm 1192 */
obj_t BgL_arg2466z00_5585;
BgL_arg2466z00_5585 = 
CAR(
((obj_t)BgL_az00_5584)); 
bgl_display_obj(BgL_arg2466z00_5585, 
((obj_t)BgL_opz00_4930)); } 
{ /* Llib/mpd.scm 1193 */
obj_t BgL_tmpz00_8445;
BgL_tmpz00_8445 = 
((obj_t)BgL_opz00_4930); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8445); } } 
{ 
obj_t BgL_l1248z00_8448;
BgL_l1248z00_8448 = 
CDR(BgL_l1248z00_5583); 
BgL_l1248z00_5583 = BgL_l1248z00_8448; 
goto BgL_zc3anonymousza32464ze3z83_5582;} }  else 
{ /* Llib/mpd.scm 1194 */
BgL_tmpz00_8407 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8407);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listart1355 */
obj_t BGl_z62mpdzd2databasezd2listart1355z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4932, obj_t BgL_oz00_4933, obj_t BgL_opz00_4934, obj_t BgL_artistz00_4935)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1180 */
bool_t BgL_tmpz00_8451;
{ /* Llib/mpd.scm 1180 */
obj_t BgL_g1241z00_5588;
BgL_g1241z00_5588 = 
BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4933), BgL_artistz00_4935); 
{ 
obj_t BgL_l1239z00_5590;
BgL_l1239z00_5590 = BgL_g1241z00_5588; 
BgL_zc3anonymousza32459ze3z83_5589:
if(
PAIRP(BgL_l1239z00_5590))
{ /* Llib/mpd.scm 1184 */
{ /* Llib/mpd.scm 1181 */
obj_t BgL_az00_5591;
BgL_az00_5591 = 
CAR(BgL_l1239z00_5590); 
{ /* Llib/mpd.scm 1181 */
obj_t BgL_tmpz00_8457;
BgL_tmpz00_8457 = 
((obj_t)BgL_opz00_4934); 
bgl_display_string(BGl_string3262z00zz__multimediazd2mpdzd2, BgL_tmpz00_8457); } 
{ /* Llib/mpd.scm 1182 */
obj_t BgL_arg2461z00_5592;
{ /* Llib/mpd.scm 1182 */
obj_t BgL_pairz00_5593;
BgL_pairz00_5593 = 
CDR(
((obj_t)BgL_az00_5591)); 
BgL_arg2461z00_5592 = 
CAR(BgL_pairz00_5593); } 
bgl_display_obj(BgL_arg2461z00_5592, 
((obj_t)BgL_opz00_4934)); } 
{ /* Llib/mpd.scm 1183 */
obj_t BgL_tmpz00_8465;
BgL_tmpz00_8465 = 
((obj_t)BgL_opz00_4934); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8465); } } 
{ 
obj_t BgL_l1239z00_8468;
BgL_l1239z00_8468 = 
CDR(BgL_l1239z00_5590); 
BgL_l1239z00_5590 = BgL_l1239z00_8468; 
goto BgL_zc3anonymousza32459ze3z83_5589;} }  else 
{ /* Llib/mpd.scm 1184 */
BgL_tmpz00_8451 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8451);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listalb1353 */
obj_t BGl_z62mpdzd2databasezd2listalb1353z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4936, obj_t BgL_oz00_4937, obj_t BgL_opz00_4938)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1169 */
bool_t BgL_tmpz00_8471;
{ /* Llib/mpd.scm 1169 */
obj_t BgL_g1238z00_5596;
BgL_g1238z00_5596 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4937)))->BgL_z52albumsz52); 
{ 
obj_t BgL_l1236z00_5598;
BgL_l1236z00_5598 = BgL_g1238z00_5596; 
BgL_zc3anonymousza32454ze3z83_5597:
if(
PAIRP(BgL_l1236z00_5598))
{ /* Llib/mpd.scm 1173 */
{ /* Llib/mpd.scm 1170 */
obj_t BgL_az00_5599;
BgL_az00_5599 = 
CAR(BgL_l1236z00_5598); 
{ /* Llib/mpd.scm 1170 */
obj_t BgL_tmpz00_8477;
BgL_tmpz00_8477 = 
((obj_t)BgL_opz00_4938); 
bgl_display_string(BGl_string3262z00zz__multimediazd2mpdzd2, BgL_tmpz00_8477); } 
{ /* Llib/mpd.scm 1171 */
obj_t BgL_arg2456z00_5600;
BgL_arg2456z00_5600 = 
CAR(
((obj_t)BgL_az00_5599)); 
bgl_display_obj(BgL_arg2456z00_5600, 
((obj_t)BgL_opz00_4938)); } 
{ /* Llib/mpd.scm 1172 */
obj_t BgL_tmpz00_8484;
BgL_tmpz00_8484 = 
((obj_t)BgL_opz00_4938); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8484); } } 
{ 
obj_t BgL_l1236z00_8487;
BgL_l1236z00_8487 = 
CDR(BgL_l1236z00_5598); 
BgL_l1236z00_5598 = BgL_l1236z00_8487; 
goto BgL_zc3anonymousza32454ze3z83_5597;} }  else 
{ /* Llib/mpd.scm 1173 */
BgL_tmpz00_8471 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8471);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listall1351 */
obj_t BGl_z62mpdzd2databasezd2listall1351z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4939, obj_t BgL_oz00_4940, obj_t BgL_opz00_4941)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1146 */
bool_t BgL_tmpz00_8490;
{ /* Llib/mpd.scm 1160 */
obj_t BgL_tmpz00_8491;
BgL_tmpz00_8491 = 
((obj_t)BgL_opz00_4941); 
bgl_display_string(BGl_string3369z00zz__multimediazd2mpdzd2, BgL_tmpz00_8491); } 
bgl_display_obj(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4940)))->BgL_z52basez52), 
((obj_t)BgL_opz00_4941)); 
{ /* Llib/mpd.scm 1162 */
obj_t BgL_tmpz00_8498;
BgL_tmpz00_8498 = 
((obj_t)BgL_opz00_4941); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_8498); } 
{ /* Llib/mpd.scm 1163 */
obj_t BgL_g1235z00_5606;
BgL_g1235z00_5606 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4940)))->BgL_directoriesz00); 
{ 
obj_t BgL_l1233z00_5608;
BgL_l1233z00_5608 = BgL_g1235z00_5606; 
BgL_zc3anonymousza32440ze3z83_5607:
if(
PAIRP(BgL_l1233z00_5608))
{ /* Llib/mpd.scm 1163 */
{ /* Llib/mpd.scm 1163 */
obj_t BgL_pathz00_5611;
BgL_pathz00_5611 = 
CAR(BgL_l1233z00_5608); 
BGl_loopze70ze7zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4940), 
((obj_t)BgL_opz00_4941), BgL_pathz00_5611); } 
{ 
obj_t BgL_l1233z00_8509;
BgL_l1233z00_8509 = 
CDR(BgL_l1233z00_5608); 
BgL_l1233z00_5608 = BgL_l1233z00_8509; 
goto BgL_zc3anonymousza32440ze3z83_5607;} }  else 
{ /* Llib/mpd.scm 1163 */
BgL_tmpz00_8490 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_8490);} } 
BGL_FUNCTION_END;
}



/* loop~0 */
obj_t BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_5027, obj_t BgL_opz00_5026, obj_t BgL_pathz00_1892)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1145 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_1892)))
{ /* Llib/mpd.scm 1146 */
bgl_display_string(BGl_string3369z00zz__multimediazd2mpdzd2, BgL_opz00_5026); 
{ /* Llib/mpd.scm 1149 */
obj_t BgL_arg2447z00_1895;
BgL_arg2447z00_1895 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pathz00_1892, 
((obj_t)BgL_oz00_5027)); 
bgl_display_obj(BgL_arg2447z00_1895, BgL_opz00_5026); } 
bgl_display_char(((unsigned char)10), BgL_opz00_5026); 
{ /* Llib/mpd.scm 1151 */
obj_t BgL_g1232z00_1896;
BgL_g1232z00_1896 = 
BGl_directoryzd2ze3sortzd2listze3zz__multimediazd2mpdzd2(BgL_pathz00_1892); 
{ 
obj_t BgL_l1229z00_1898;
{ /* Llib/mpd.scm 1153 */
bool_t BgL_tmpz00_8521;
BgL_l1229z00_1898 = BgL_g1232z00_1896; 
BgL_zc3anonymousza32448ze3z83_1899:
if(
PAIRP(BgL_l1229z00_1898))
{ /* Llib/mpd.scm 1153 */
{ /* Llib/mpd.scm 1152 */
obj_t BgL_fz00_1901;
BgL_fz00_1901 = 
CAR(BgL_l1229z00_1898); 
BGl_loopze70ze7zz__multimediazd2mpdzd2(BgL_oz00_5027, BgL_opz00_5026, 
BGl_makezd2filezd2namez00zz__osz00(BgL_pathz00_1892, BgL_fz00_1901)); } 
{ 
obj_t BgL_l1229z00_8527;
BgL_l1229z00_8527 = 
CDR(BgL_l1229z00_1898); 
BgL_l1229z00_1898 = BgL_l1229z00_8527; 
goto BgL_zc3anonymousza32448ze3z83_1899;} }  else 
{ /* Llib/mpd.scm 1153 */
BgL_tmpz00_8521 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_8521);} } } }  else 
{ /* Llib/mpd.scm 1146 */
bgl_display_string(BGl_string3257z00zz__multimediazd2mpdzd2, BgL_opz00_5026); 
{ /* Llib/mpd.scm 1156 */
obj_t BgL_arg2452z00_1905;
BgL_arg2452z00_1905 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_pathz00_1892, 
((obj_t)BgL_oz00_5027)); 
bgl_display_obj(BgL_arg2452z00_1905, BgL_opz00_5026); } 
return 
bgl_display_char(((unsigned char)10), BgL_opz00_5026);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-stats1349 */
obj_t BGl_z62mpdzd2databasezd2stats1349z62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4942, obj_t BgL_oz00_4943, obj_t BgL_backendz00_4944, obj_t BgL_opz00_4945)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1108 */
{ 

{ /* Llib/mpd.scm 1125 */
obj_t BgL_arg2413z00_5619;int BgL_arg2414z00_5620;int BgL_arg2415z00_5621;long BgL_arg2416z00_5622;obj_t BgL_arg2417z00_5623;long BgL_arg2418z00_5624;
BgL_arg2413z00_5619 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4943)))->BgL_z52nartistsz52); 
BgL_arg2414z00_5620 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4943)))->BgL_z52nalbumsz52); 
BgL_arg2415z00_5621 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4943)))->BgL_z52nsongsz52); 
{ /* Llib/mpd.scm 1135 */
long BgL_arg2425z00_5625;
{ /* Llib/mpd.scm 1135 */
long BgL_arg2426z00_5626;obj_t BgL_arg2427z00_5627;
BgL_arg2426z00_5626 = 
bgl_current_seconds(); 
BgL_arg2427z00_5627 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4943)))->BgL_z52uptimez52); 
{ /* Llib/mpd.scm 1135 */
long BgL_res2905z00_5628;
{ /* Llib/mpd.scm 1135 */
long BgL_za72za7_5629;
BgL_za72za7_5629 = 
BELONG_TO_LONG(BgL_arg2427z00_5627); 
{ /* Llib/mpd.scm 1135 */
long BgL_tmpz00_8545;
BgL_tmpz00_8545 = 
(BgL_arg2426z00_5626-BgL_za72za7_5629); 
BgL_res2905z00_5628 = 
(long)(BgL_tmpz00_8545); } } 
BgL_arg2425z00_5625 = BgL_res2905z00_5628; } } 
{ /* Llib/mpd.scm 1135 */
long BgL_res2906z00_5630;
BgL_res2906z00_5630 = 
(long)(BgL_arg2425z00_5625); 
BgL_arg2416z00_5622 = BgL_res2906z00_5630; } } 
{ /* Llib/mpd.scm 1111 */
obj_t BgL_plistz00_5614;int BgL_numz00_5615;
BgL_plistz00_5614 = 
BGl_musiczd2playlistzd2getz00zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4944)); 
BgL_numz00_5615 = 
BGl_musiczd2songzd2zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_backendz00_4944)); 
{ /* Llib/mpd.scm 1113 */
bool_t BgL_testz00_8553;
if(
(
(long)(BgL_numz00_5615)>=((long)0)))
{ /* Llib/mpd.scm 1113 */
BgL_testz00_8553 = 
(
(long)(BgL_numz00_5615)<
bgl_list_length(BgL_plistz00_5614))
; }  else 
{ /* Llib/mpd.scm 1113 */
BgL_testz00_8553 = ((bool_t)0)
; } 
if(BgL_testz00_8553)
{ /* Llib/mpd.scm 1114 */
obj_t BgL_filez00_5616;
BgL_filez00_5616 = 
bgl_list_ref(BgL_plistz00_5614, 
(long)(BgL_numz00_5615)); 
{ /* Llib/mpd.scm 1114 */
obj_t BgL_pathz00_5617;
if(
bigloo_strcmp_at(BgL_filez00_5616, BGl_string3254z00zz__multimediazd2mpdzd2, ((long)0)))
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_5617 = BgL_filez00_5616; }  else 
{ /* Llib/mpd.scm 1021 */
BgL_pathz00_5617 = 
BGl_filezd2ze3mpdz31zz__multimediazd2mpdzd2(BgL_filez00_5616, 
((obj_t)
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4943))); } 
{ /* Llib/mpd.scm 1115 */

if(
fexists(
BSTRING_TO_STRING(BgL_filez00_5616)))
{ /* Llib/mpd.scm 1117 */
obj_t BgL_infoz00_5618;
BgL_infoz00_5618 = 
BGl_filezd2musicinfozd2zz__multimediazd2id3zd2(BgL_filez00_5616); 
if(
BGl_isazf3zf3zz__objectz00(BgL_infoz00_5618, BGl_musicinfoz00zz__multimediazd2id3zd2))
{ /* Llib/mpd.scm 1118 */
BgL_arg2417z00_5623 = 
BINT(
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_infoz00_5618)))->BgL_durationz00)); }  else 
{ /* Llib/mpd.scm 1118 */
BgL_arg2417z00_5623 = 
BINT(((long)1000000)); } }  else 
{ /* Llib/mpd.scm 1116 */
BgL_arg2417z00_5623 = 
BINT(((long)1000000)); } } } }  else 
{ /* Llib/mpd.scm 1113 */
BgL_arg2417z00_5623 = BFALSE; } } } 
{ /* Llib/mpd.scm 1137 */
long BgL_arg2428z00_5631;
{ /* Llib/mpd.scm 1137 */
long BgL_arg2429z00_5632;obj_t BgL_arg2430z00_5633;
BgL_arg2429z00_5632 = 
bgl_current_seconds(); 
BgL_arg2430z00_5633 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4943)))->BgL_z52dbzd2updatez80); 
{ /* Llib/mpd.scm 1137 */
long BgL_res2908z00_5634;
{ /* Llib/mpd.scm 1137 */
long BgL_za72za7_5635;
BgL_za72za7_5635 = 
BELONG_TO_LONG(BgL_arg2430z00_5633); 
{ /* Llib/mpd.scm 1137 */
long BgL_tmpz00_8582;
BgL_tmpz00_8582 = 
(BgL_arg2429z00_5632-BgL_za72za7_5635); 
BgL_res2908z00_5634 = 
(long)(BgL_tmpz00_8582); } } 
BgL_arg2428z00_5631 = BgL_res2908z00_5634; } } 
{ /* Llib/mpd.scm 1137 */
long BgL_res2909z00_5636;
BgL_res2909z00_5636 = 
(long)(BgL_arg2428z00_5631); 
BgL_arg2418z00_5624 = BgL_res2909z00_5636; } } 
{ /* Llib/mpd.scm 1125 */
obj_t BgL_list2419z00_5637;
{ /* Llib/mpd.scm 1125 */
obj_t BgL_arg2420z00_5638;
{ /* Llib/mpd.scm 1125 */
obj_t BgL_arg2421z00_5639;
{ /* Llib/mpd.scm 1125 */
obj_t BgL_arg2422z00_5640;
{ /* Llib/mpd.scm 1125 */
obj_t BgL_arg2423z00_5641;
{ /* Llib/mpd.scm 1125 */
obj_t BgL_arg2424z00_5642;
BgL_arg2424z00_5642 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2418z00_5624), BNIL); 
BgL_arg2423z00_5641 = 
MAKE_YOUNG_PAIR(BgL_arg2417z00_5623, BgL_arg2424z00_5642); } 
BgL_arg2422z00_5640 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2416z00_5622), BgL_arg2423z00_5641); } 
BgL_arg2421z00_5639 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2415z00_5621), BgL_arg2422z00_5640); } 
BgL_arg2420z00_5638 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2414z00_5620), BgL_arg2421z00_5639); } 
BgL_list2419z00_5637 = 
MAKE_YOUNG_PAIR(BgL_arg2413z00_5619, BgL_arg2420z00_5638); } 
return 
BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_opz00_4945, BGl_string3372z00zz__multimediazd2mpdzd2, BgL_list2419z00_5637);} } } } 
BGL_FUNCTION_END;
}



/* &mpd-database-file->p1347 */
obj_t BGl_z62mpdzd2databasezd2filezd2ze3p1347z53zz__multimediazd2mpdzd2(obj_t BgL_envz00_4946, obj_t BgL_oz00_4947, obj_t BgL_filez00_4948)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1095 */
if(
NULLP(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4947)))->BgL_directoriesz00)))
{ /* Llib/mpd.scm 1097 */
return 
((obj_t)BgL_filez00_4948);}  else 
{ /* Llib/mpd.scm 1099 */
obj_t BgL_dirz00_5645;
{ /* Llib/mpd.scm 1099 */
obj_t BgL_arg2410z00_5646;
BgL_arg2410z00_5646 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
((obj_t)BgL_filez00_4948)); 
BgL_dirz00_5645 = 
CAR(
((obj_t)BgL_arg2410z00_5646)); } 
{ /* Llib/mpd.scm 1099 */
obj_t BgL_nz00_5647;
{ /* Llib/mpd.scm 1100 */
obj_t BgL_arg2408z00_5648;
BgL_arg2408z00_5648 = 
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4947)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 1100 */

BgL_nz00_5647 = 
BGl_stringzd2containszd2zz__r4_strings_6_7z00(BgL_arg2408z00_5648, BgL_dirz00_5645, 
(int)(((long)0))); } } 
{ /* Llib/mpd.scm 1100 */

if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_5647))
{ /* Llib/mpd.scm 1102 */
obj_t BgL_arg2405z00_5649;
{ /* Llib/mpd.scm 1102 */
obj_t BgL_arg2406z00_5650;
BgL_arg2406z00_5650 = 
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4947)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 1102 */
obj_t BgL_res2900z00_5651;
{ /* Llib/mpd.scm 1102 */
long BgL_endz00_5652;
BgL_endz00_5652 = 
(long)CINT(BgL_nz00_5647); 
BgL_res2900z00_5651 = 
c_substring(
((obj_t)BgL_arg2406z00_5650), ((long)0), BgL_endz00_5652); } 
BgL_arg2405z00_5649 = BgL_res2900z00_5651; } } 
return 
string_append(BgL_arg2405z00_5649, 
((obj_t)BgL_filez00_4948));}  else 
{ /* Llib/mpd.scm 1101 */
return 
((obj_t)BgL_filez00_4948);} } } } } 
BGL_FUNCTION_END;
}



/* &mpd-database-init!1345 */
obj_t BGl_z62mpdzd2databasezd2initz121345z70zz__multimediazd2mpdzd2(obj_t BgL_envz00_4949, obj_t BgL_oz00_4950)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 956 */
{ 
BgL_mpdzd2databasezd2_bglt BgL_auxz00_8622;
if(
NULLP(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00)))
{ /* Llib/mpd.scm 962 */BFALSE; }  else 
{ /* Llib/mpd.scm 962 */
if(
NULLP(
CDR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00))))
{ 
obj_t BgL_auxz00_8632;
{ /* Llib/mpd.scm 964 */
obj_t BgL_pairz00_5656;
BgL_pairz00_5656 = 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00); 
BgL_auxz00_8632 = 
CAR(BgL_pairz00_5656); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52basez52)=((obj_t)BgL_auxz00_8632),BUNSPEC); }  else 
{ /* Llib/mpd.scm 965 */
obj_t BgL_g1139z00_5657;obj_t BgL_g1141z00_5658;
BgL_g1139z00_5657 = 
CDR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00)); 
BgL_g1141z00_5658 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00))); 
{ 
obj_t BgL_dirsz00_5660;obj_t BgL_lz00_5661;
BgL_dirsz00_5660 = BgL_g1139z00_5657; 
BgL_lz00_5661 = BgL_g1141z00_5658; 
BgL_loopz00_5659:
if(
NULLP(BgL_dirsz00_5660))
{ 
obj_t BgL_auxz00_8647;
{ /* Llib/mpd.scm 968 */
obj_t BgL_runner2382z00_5662;
BgL_runner2382z00_5662 = BgL_lz00_5661; 
{ /* Llib/mpd.scm 968 */
obj_t BgL_aux2380z00_5663;
{ /* Llib/mpd.scm 968 */
obj_t BgL_pairz00_5664;
BgL_pairz00_5664 = BgL_runner2382z00_5662; 
BgL_aux2380z00_5663 = 
CAR(BgL_pairz00_5664); } 
{ /* Llib/mpd.scm 968 */
obj_t BgL_pairz00_5665;
BgL_pairz00_5665 = BgL_runner2382z00_5662; 
BgL_runner2382z00_5662 = 
CDR(BgL_pairz00_5665); } 
{ /* Llib/mpd.scm 968 */
obj_t BgL_aux2381z00_5666;
{ /* Llib/mpd.scm 968 */
obj_t BgL_pairz00_5667;
BgL_pairz00_5667 = BgL_runner2382z00_5662; 
BgL_aux2381z00_5666 = 
CAR(BgL_pairz00_5667); } 
{ /* Llib/mpd.scm 968 */
obj_t BgL_pairz00_5668;
BgL_pairz00_5668 = BgL_runner2382z00_5662; 
BgL_runner2382z00_5662 = 
CDR(BgL_pairz00_5668); } 
BgL_auxz00_8647 = 
BGl_makezd2filezd2pathz00zz__osz00(BgL_aux2380z00_5663, BgL_aux2381z00_5666, BgL_runner2382z00_5662); } } } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52basez52)=((obj_t)BgL_auxz00_8647),BUNSPEC); }  else 
{ /* Llib/mpd.scm 969 */
obj_t BgL_nlz00_5669;
BgL_nlz00_5669 = 
BGl_filezd2namezd2ze3listze3zz__osz00(
BGl_dirnamez00zz__osz00(
CAR(
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00)))); 
{ /* Llib/mpd.scm 970 */
obj_t BgL_arg2383z00_5670;obj_t BgL_arg2384z00_5671;
BgL_arg2383z00_5670 = 
CDR(
((obj_t)BgL_dirsz00_5660)); 
BgL_arg2384z00_5671 = 
BGl_loopze75ze7zz__multimediazd2mpdzd2(BgL_lz00_5661, BgL_nlz00_5669); 
{ 
obj_t BgL_lz00_8664;obj_t BgL_dirsz00_8663;
BgL_dirsz00_8663 = BgL_arg2383z00_5670; 
BgL_lz00_8664 = BgL_arg2384z00_5671; 
BgL_lz00_5661 = BgL_lz00_8664; 
BgL_dirsz00_5660 = BgL_dirsz00_8663; 
goto BgL_loopz00_5659;} } } } } } 
{ 
obj_t BgL_auxz00_8665;
{ /* Llib/mpd.scm 972 */
long BgL_arg2394z00_5674;long BgL_arg2395z00_5675;
{ /* Llib/mpd.scm 972 */
long BgL_res2895z00_5676;
BgL_res2895z00_5676 = 
bgl_current_seconds(); 
BgL_arg2394z00_5674 = BgL_res2895z00_5676; } 
{ /* Llib/mpd.scm 972 */
obj_t BgL_arg2396z00_5677;
BgL_arg2396z00_5677 = 
BGl_makezd2datezd2zz__datez00(
BINT(((long)1)), 
BINT(((long)-1)), 
BINT(((long)0)), 
BINT(((long)0)), 
BINT(((long)1)), BGl_llong3373z00zz__multimediazd2mpdzd2, 
BINT(((long)0)), BFALSE, 
BINT(((long)1970))); 
{ /* Llib/mpd.scm 972 */
long BgL_res2896z00_5678;
BgL_res2896z00_5678 = 
bgl_date_to_seconds(
((obj_t)BgL_arg2396z00_5677)); 
BgL_arg2395z00_5675 = BgL_res2896z00_5678; } } 
BgL_auxz00_8665 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg2394z00_5674), 
make_belong(BgL_arg2395z00_5675)); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52dbzd2updatez80)=((obj_t)BgL_auxz00_8665),BUNSPEC); } 
{ 
obj_t BgL_auxz00_8682;
{ /* Llib/mpd.scm 973 */
long BgL_arg2397z00_5679;long BgL_arg2398z00_5680;
{ /* Llib/mpd.scm 973 */
long BgL_res2897z00_5681;
BgL_res2897z00_5681 = 
bgl_current_seconds(); 
BgL_arg2397z00_5679 = BgL_res2897z00_5681; } 
{ /* Llib/mpd.scm 973 */
obj_t BgL_arg2399z00_5682;
BgL_arg2399z00_5682 = 
BGl_makezd2datezd2zz__datez00(
BINT(((long)1)), 
BINT(((long)-1)), 
BINT(((long)0)), 
BINT(((long)0)), 
BINT(((long)1)), BGl_llong3373z00zz__multimediazd2mpdzd2, 
BINT(((long)0)), BFALSE, 
BINT(((long)1970))); 
{ /* Llib/mpd.scm 973 */
long BgL_res2898z00_5683;
BgL_res2898z00_5683 = 
bgl_date_to_seconds(
((obj_t)BgL_arg2399z00_5682)); 
BgL_arg2398z00_5680 = BgL_res2898z00_5683; } } 
BgL_auxz00_8682 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg2397z00_5679), 
make_belong(BgL_arg2398z00_5680)); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52uptimez52)=((obj_t)BgL_auxz00_8682),BUNSPEC); } 
{ /* Llib/mpd.scm 975 */
obj_t BgL_artistsz00_5684;
BgL_artistsz00_5684 = 
BGl_mpdzd2databasezd2directorieszd2scanzd2zz__multimediazd2mpdzd2(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950), 
(((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_directoriesz00)); 
{ /* Llib/mpd.scm 976 */
obj_t BgL_albumsz00_5685;obj_t BgL_genresz00_5686;obj_t BgL_nsongz00_5687;
{ /* Llib/mpd.scm 977 */
int BgL_tmpz00_8703;
BgL_tmpz00_8703 = 
(int)(((long)1)); 
BgL_albumsz00_5685 = 
BGL_MVALUES_VAL(BgL_tmpz00_8703); } 
{ /* Llib/mpd.scm 977 */
int BgL_tmpz00_8706;
BgL_tmpz00_8706 = 
(int)(((long)2)); 
BgL_genresz00_5686 = 
BGL_MVALUES_VAL(BgL_tmpz00_8706); } 
{ /* Llib/mpd.scm 977 */
int BgL_tmpz00_8709;
BgL_tmpz00_8709 = 
(int)(((long)3)); 
BgL_nsongz00_5687 = 
BGL_MVALUES_VAL(BgL_tmpz00_8709); } 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52artistsz52)=((obj_t)BgL_artistsz00_5684),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52nartistsz52)=((obj_t)
BINT(
bgl_list_length(BgL_artistsz00_5684))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52albumsz52)=((obj_t)BgL_albumsz00_5685),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52genresz52)=((obj_t)BgL_genresz00_5686),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52nalbumsz52)=((int)
(int)(
bgl_list_length(BgL_albumsz00_5685))),BUNSPEC); 
((((BgL_mpdzd2databasezd2_bglt)COBJECT(
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950)))->BgL_z52nsongsz52)=((int)
CINT(BgL_nsongz00_5687)),BUNSPEC); } } 
BgL_auxz00_8622 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4950); 
return 
((obj_t)BgL_auxz00_8622);} } 
BGL_FUNCTION_END;
}



/* mpd-database-init! */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_331)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 956 */
{ /* Llib/mpd.scm 956 */
obj_t BgL_method1346z00_2382;
{ /* Llib/mpd.scm 956 */
obj_t BgL_res2980z00_3747;
{ /* Llib/mpd.scm 956 */
long BgL_objzd2classzd2numz00_3720;
{ /* Llib/mpd.scm 956 */
long BgL_res2974z00_3723;
BgL_res2974z00_3723 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_331)); 
BgL_objzd2classzd2numz00_3720 = BgL_res2974z00_3723; } 
{ /* Llib/mpd.scm 956 */
obj_t BgL_arg1737z00_3721;
BgL_arg1737z00_3721 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2initz12zd2envzc0zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 956 */
int BgL_offsetz00_3725;
BgL_offsetz00_3725 = 
(int)(BgL_objzd2classzd2numz00_3720); 
{ /* Llib/mpd.scm 956 */
long BgL_offsetz00_3726;
BgL_offsetz00_3726 = 
(
(long)(BgL_offsetz00_3725)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 956 */
long BgL_modz00_3727;
{ /* Llib/mpd.scm 956 */
int BgL_arg1739z00_3728;
BgL_arg1739z00_3728 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 956 */
long BgL_res2977z00_3738;
{ /* Llib/mpd.scm 956 */
long BgL_tmpz00_8739;
BgL_tmpz00_8739 = 
(long)(BgL_arg1739z00_3728); 
BgL_res2977z00_3738 = 
(BgL_offsetz00_3726/BgL_tmpz00_8739); } 
BgL_modz00_3727 = BgL_res2977z00_3738; } } 
{ /* Llib/mpd.scm 956 */
long BgL_restz00_3729;
{ /* Llib/mpd.scm 956 */
int BgL_arg1738z00_3730;
BgL_arg1738z00_3730 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 956 */
long BgL_res2979z00_3742;
{ /* Llib/mpd.scm 956 */
long BgL_tmpz00_8743;
BgL_tmpz00_8743 = 
(long)(BgL_arg1738z00_3730); 
BgL_res2979z00_3742 = 
(BgL_offsetz00_3726%BgL_tmpz00_8743); } 
BgL_restz00_3729 = BgL_res2979z00_3742; } } 
{ /* Llib/mpd.scm 956 */

{ /* Llib/mpd.scm 956 */
obj_t BgL_bucketz00_3731;
BgL_bucketz00_3731 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3721),BgL_modz00_3727); 
BgL_res2980z00_3747 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3731),BgL_restz00_3729); } } } } } } } } 
BgL_method1346z00_2382 = BgL_res2980z00_3747; } 
return 
PROCEDURE_ENTRY(BgL_method1346z00_2382)(BgL_method1346z00_2382, 
((obj_t)BgL_oz00_331), BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-init! */
obj_t BGl_z62mpdzd2databasezd2initz12z70zz__multimediazd2mpdzd2(obj_t BgL_envz00_4842, obj_t BgL_oz00_4843)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 956 */
{ /* Llib/mpd.scm 956 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_8755;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4843, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 956 */
BgL_auxz00_8755 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4843)
; }  else 
{ 
obj_t BgL_auxz00_8759;
BgL_auxz00_8759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)37998)), BGl_string3374z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4843); 
FAILURE(BgL_auxz00_8759,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2initz12z12zz__multimediazd2mpdzd2(BgL_auxz00_8755);} } 
BGL_FUNCTION_END;
}



/* mpd-database-file->path */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_349, obj_t BgL_filez00_350)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1095 */
{ /* Llib/mpd.scm 1095 */
obj_t BgL_method1348z00_2383;
{ /* Llib/mpd.scm 1095 */
obj_t BgL_res2987z00_3776;
{ /* Llib/mpd.scm 1095 */
long BgL_objzd2classzd2numz00_3749;
{ /* Llib/mpd.scm 1095 */
long BgL_res2981z00_3752;
BgL_res2981z00_3752 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_349)); 
BgL_objzd2classzd2numz00_3749 = BgL_res2981z00_3752; } 
{ /* Llib/mpd.scm 1095 */
obj_t BgL_arg1737z00_3750;
BgL_arg1737z00_3750 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2filezd2ze3pathzd2envze3zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1095 */
int BgL_offsetz00_3754;
BgL_offsetz00_3754 = 
(int)(BgL_objzd2classzd2numz00_3749); 
{ /* Llib/mpd.scm 1095 */
long BgL_offsetz00_3755;
BgL_offsetz00_3755 = 
(
(long)(BgL_offsetz00_3754)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1095 */
long BgL_modz00_3756;
{ /* Llib/mpd.scm 1095 */
int BgL_arg1739z00_3757;
BgL_arg1739z00_3757 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1095 */
long BgL_res2984z00_3767;
{ /* Llib/mpd.scm 1095 */
long BgL_tmpz00_8772;
BgL_tmpz00_8772 = 
(long)(BgL_arg1739z00_3757); 
BgL_res2984z00_3767 = 
(BgL_offsetz00_3755/BgL_tmpz00_8772); } 
BgL_modz00_3756 = BgL_res2984z00_3767; } } 
{ /* Llib/mpd.scm 1095 */
long BgL_restz00_3758;
{ /* Llib/mpd.scm 1095 */
int BgL_arg1738z00_3759;
BgL_arg1738z00_3759 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1095 */
long BgL_res2986z00_3771;
{ /* Llib/mpd.scm 1095 */
long BgL_tmpz00_8776;
BgL_tmpz00_8776 = 
(long)(BgL_arg1738z00_3759); 
BgL_res2986z00_3771 = 
(BgL_offsetz00_3755%BgL_tmpz00_8776); } 
BgL_restz00_3758 = BgL_res2986z00_3771; } } 
{ /* Llib/mpd.scm 1095 */

{ /* Llib/mpd.scm 1095 */
obj_t BgL_bucketz00_3760;
BgL_bucketz00_3760 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3750),BgL_modz00_3756); 
BgL_res2987z00_3776 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3760),BgL_restz00_3758); } } } } } } } } 
BgL_method1348z00_2383 = BgL_res2987z00_3776; } 
return 
PROCEDURE_ENTRY(BgL_method1348z00_2383)(BgL_method1348z00_2383, 
((obj_t)BgL_oz00_349), BgL_filez00_350, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-file->path */
obj_t BGl_z62mpdzd2databasezd2filezd2ze3pathz53zz__multimediazd2mpdzd2(obj_t BgL_envz00_4951, obj_t BgL_oz00_4952, obj_t BgL_filez00_4953)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1095 */
{ /* Llib/mpd.scm 1095 */
obj_t BgL_auxz00_8797;BgL_mpdzd2databasezd2_bglt BgL_auxz00_8789;
if(
STRINGP(BgL_filez00_4953))
{ /* Llib/mpd.scm 1095 */
BgL_auxz00_8797 = BgL_filez00_4953
; }  else 
{ 
obj_t BgL_auxz00_8800;
BgL_auxz00_8800 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)43641)), BGl_string3375z00zz__multimediazd2mpdzd2, BGl_string3376z00zz__multimediazd2mpdzd2, BgL_filez00_4953); 
FAILURE(BgL_auxz00_8800,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4952, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1095 */
BgL_auxz00_8789 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4952)
; }  else 
{ 
obj_t BgL_auxz00_8793;
BgL_auxz00_8793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)43641)), BGl_string3375z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4952); 
FAILURE(BgL_auxz00_8793,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2filezd2ze3pathz31zz__multimediazd2mpdzd2(BgL_auxz00_8789, BgL_auxz00_8797);} } 
BGL_FUNCTION_END;
}



/* mpd-database-stats */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_351, obj_t BgL_backendz00_352, obj_t BgL_opz00_353)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1108 */
{ /* Llib/mpd.scm 1108 */
obj_t BgL_method1350z00_2384;
{ /* Llib/mpd.scm 1108 */
obj_t BgL_res2994z00_3805;
{ /* Llib/mpd.scm 1108 */
long BgL_objzd2classzd2numz00_3778;
{ /* Llib/mpd.scm 1108 */
long BgL_res2988z00_3781;
BgL_res2988z00_3781 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_351)); 
BgL_objzd2classzd2numz00_3778 = BgL_res2988z00_3781; } 
{ /* Llib/mpd.scm 1108 */
obj_t BgL_arg1737z00_3779;
BgL_arg1737z00_3779 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2statszd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1108 */
int BgL_offsetz00_3783;
BgL_offsetz00_3783 = 
(int)(BgL_objzd2classzd2numz00_3778); 
{ /* Llib/mpd.scm 1108 */
long BgL_offsetz00_3784;
BgL_offsetz00_3784 = 
(
(long)(BgL_offsetz00_3783)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1108 */
long BgL_modz00_3785;
{ /* Llib/mpd.scm 1108 */
int BgL_arg1739z00_3786;
BgL_arg1739z00_3786 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1108 */
long BgL_res2991z00_3796;
{ /* Llib/mpd.scm 1108 */
long BgL_tmpz00_8813;
BgL_tmpz00_8813 = 
(long)(BgL_arg1739z00_3786); 
BgL_res2991z00_3796 = 
(BgL_offsetz00_3784/BgL_tmpz00_8813); } 
BgL_modz00_3785 = BgL_res2991z00_3796; } } 
{ /* Llib/mpd.scm 1108 */
long BgL_restz00_3787;
{ /* Llib/mpd.scm 1108 */
int BgL_arg1738z00_3788;
BgL_arg1738z00_3788 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1108 */
long BgL_res2993z00_3800;
{ /* Llib/mpd.scm 1108 */
long BgL_tmpz00_8817;
BgL_tmpz00_8817 = 
(long)(BgL_arg1738z00_3788); 
BgL_res2993z00_3800 = 
(BgL_offsetz00_3784%BgL_tmpz00_8817); } 
BgL_restz00_3787 = BgL_res2993z00_3800; } } 
{ /* Llib/mpd.scm 1108 */

{ /* Llib/mpd.scm 1108 */
obj_t BgL_bucketz00_3789;
BgL_bucketz00_3789 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3779),BgL_modz00_3785); 
BgL_res2994z00_3805 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3789),BgL_restz00_3787); } } } } } } } } 
BgL_method1350z00_2384 = BgL_res2994z00_3805; } 
return 
PROCEDURE_ENTRY(BgL_method1350z00_2384)(BgL_method1350z00_2384, 
((obj_t)BgL_oz00_351), BgL_backendz00_352, BgL_opz00_353, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-stats */
obj_t BGl_z62mpdzd2databasezd2statsz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4954, obj_t BgL_oz00_4955, obj_t BgL_backendz00_4956, obj_t BgL_opz00_4957)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1108 */
{ /* Llib/mpd.scm 1108 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_8831;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4955, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1108 */
BgL_auxz00_8831 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4955)
; }  else 
{ 
obj_t BgL_auxz00_8835;
BgL_auxz00_8835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)44204)), BGl_string3377z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4955); 
FAILURE(BgL_auxz00_8835,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2statsz00zz__multimediazd2mpdzd2(BgL_auxz00_8831, BgL_backendz00_4956, BgL_opz00_4957);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listall */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_354, obj_t BgL_opz00_355)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1142 */
obj_t BgL_method1352z00_2385;
{ /* Llib/mpd.scm 1142 */
obj_t BgL_res3001z00_3834;
{ /* Llib/mpd.scm 1142 */
long BgL_objzd2classzd2numz00_3807;
{ /* Llib/mpd.scm 1142 */
long BgL_res2995z00_3810;
BgL_res2995z00_3810 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_354)); 
BgL_objzd2classzd2numz00_3807 = BgL_res2995z00_3810; } 
{ /* Llib/mpd.scm 1142 */
obj_t BgL_arg1737z00_3808;
BgL_arg1737z00_3808 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listallzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1142 */
int BgL_offsetz00_3812;
BgL_offsetz00_3812 = 
(int)(BgL_objzd2classzd2numz00_3807); 
{ /* Llib/mpd.scm 1142 */
long BgL_offsetz00_3813;
BgL_offsetz00_3813 = 
(
(long)(BgL_offsetz00_3812)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1142 */
long BgL_modz00_3814;
{ /* Llib/mpd.scm 1142 */
int BgL_arg1739z00_3815;
BgL_arg1739z00_3815 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1142 */
long BgL_res2998z00_3825;
{ /* Llib/mpd.scm 1142 */
long BgL_tmpz00_8848;
BgL_tmpz00_8848 = 
(long)(BgL_arg1739z00_3815); 
BgL_res2998z00_3825 = 
(BgL_offsetz00_3813/BgL_tmpz00_8848); } 
BgL_modz00_3814 = BgL_res2998z00_3825; } } 
{ /* Llib/mpd.scm 1142 */
long BgL_restz00_3816;
{ /* Llib/mpd.scm 1142 */
int BgL_arg1738z00_3817;
BgL_arg1738z00_3817 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1142 */
long BgL_res3000z00_3829;
{ /* Llib/mpd.scm 1142 */
long BgL_tmpz00_8852;
BgL_tmpz00_8852 = 
(long)(BgL_arg1738z00_3817); 
BgL_res3000z00_3829 = 
(BgL_offsetz00_3813%BgL_tmpz00_8852); } 
BgL_restz00_3816 = BgL_res3000z00_3829; } } 
{ /* Llib/mpd.scm 1142 */

{ /* Llib/mpd.scm 1142 */
obj_t BgL_bucketz00_3818;
BgL_bucketz00_3818 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3808),BgL_modz00_3814); 
BgL_res3001z00_3834 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3818),BgL_restz00_3816); } } } } } } } } 
BgL_method1352z00_2385 = BgL_res3001z00_3834; } 
return 
PROCEDURE_ENTRY(BgL_method1352z00_2385)(BgL_method1352z00_2385, 
((obj_t)BgL_oz00_354), BgL_opz00_355, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listall */
obj_t BGl_z62mpdzd2databasezd2listallz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4958, obj_t BgL_oz00_4959, obj_t BgL_opz00_4960)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1142 */
{ /* Llib/mpd.scm 1142 */
obj_t BgL_auxz00_8873;BgL_mpdzd2databasezd2_bglt BgL_auxz00_8865;
if(
OUTPUT_PORTP(BgL_opz00_4960))
{ /* Llib/mpd.scm 1142 */
BgL_auxz00_8873 = BgL_opz00_4960
; }  else 
{ 
obj_t BgL_auxz00_8876;
BgL_auxz00_8876 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)45279)), BGl_string3378z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4960); 
FAILURE(BgL_auxz00_8876,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4959, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1142 */
BgL_auxz00_8865 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4959)
; }  else 
{ 
obj_t BgL_auxz00_8869;
BgL_auxz00_8869 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)45279)), BGl_string3378z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4959); 
FAILURE(BgL_auxz00_8869,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listallz00zz__multimediazd2mpdzd2(BgL_auxz00_8865, BgL_auxz00_8873);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_356, obj_t BgL_opz00_357)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1168 */
obj_t BgL_method1354z00_2386;
{ /* Llib/mpd.scm 1168 */
obj_t BgL_res3008z00_3863;
{ /* Llib/mpd.scm 1168 */
long BgL_objzd2classzd2numz00_3836;
{ /* Llib/mpd.scm 1168 */
long BgL_res3002z00_3839;
BgL_res3002z00_3839 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_356)); 
BgL_objzd2classzd2numz00_3836 = BgL_res3002z00_3839; } 
{ /* Llib/mpd.scm 1168 */
obj_t BgL_arg1737z00_3837;
BgL_arg1737z00_3837 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1168 */
int BgL_offsetz00_3841;
BgL_offsetz00_3841 = 
(int)(BgL_objzd2classzd2numz00_3836); 
{ /* Llib/mpd.scm 1168 */
long BgL_offsetz00_3842;
BgL_offsetz00_3842 = 
(
(long)(BgL_offsetz00_3841)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1168 */
long BgL_modz00_3843;
{ /* Llib/mpd.scm 1168 */
int BgL_arg1739z00_3844;
BgL_arg1739z00_3844 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1168 */
long BgL_res3005z00_3854;
{ /* Llib/mpd.scm 1168 */
long BgL_tmpz00_8889;
BgL_tmpz00_8889 = 
(long)(BgL_arg1739z00_3844); 
BgL_res3005z00_3854 = 
(BgL_offsetz00_3842/BgL_tmpz00_8889); } 
BgL_modz00_3843 = BgL_res3005z00_3854; } } 
{ /* Llib/mpd.scm 1168 */
long BgL_restz00_3845;
{ /* Llib/mpd.scm 1168 */
int BgL_arg1738z00_3846;
BgL_arg1738z00_3846 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1168 */
long BgL_res3007z00_3858;
{ /* Llib/mpd.scm 1168 */
long BgL_tmpz00_8893;
BgL_tmpz00_8893 = 
(long)(BgL_arg1738z00_3846); 
BgL_res3007z00_3858 = 
(BgL_offsetz00_3842%BgL_tmpz00_8893); } 
BgL_restz00_3845 = BgL_res3007z00_3858; } } 
{ /* Llib/mpd.scm 1168 */

{ /* Llib/mpd.scm 1168 */
obj_t BgL_bucketz00_3847;
BgL_bucketz00_3847 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3837),BgL_modz00_3843); 
BgL_res3008z00_3863 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3847),BgL_restz00_3845); } } } } } } } } 
BgL_method1354z00_2386 = BgL_res3008z00_3863; } 
return 
PROCEDURE_ENTRY(BgL_method1354z00_2386)(BgL_method1354z00_2386, 
((obj_t)BgL_oz00_356), BgL_opz00_357, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listalbum */
obj_t BGl_z62mpdzd2databasezd2listalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4961, obj_t BgL_oz00_4962, obj_t BgL_opz00_4963)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1168 */
{ /* Llib/mpd.scm 1168 */
obj_t BgL_auxz00_8914;BgL_mpdzd2databasezd2_bglt BgL_auxz00_8906;
if(
OUTPUT_PORTP(BgL_opz00_4963))
{ /* Llib/mpd.scm 1168 */
BgL_auxz00_8914 = BgL_opz00_4963
; }  else 
{ 
obj_t BgL_auxz00_8917;
BgL_auxz00_8917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)46110)), BGl_string3379z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4963); 
FAILURE(BgL_auxz00_8917,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4962, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1168 */
BgL_auxz00_8906 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4962)
; }  else 
{ 
obj_t BgL_auxz00_8910;
BgL_auxz00_8910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)46110)), BGl_string3379z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4962); 
FAILURE(BgL_auxz00_8910,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_8906, BgL_auxz00_8914);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listartistalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_358, obj_t BgL_opz00_359, obj_t BgL_artistz00_360)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1179 */
obj_t BgL_method1356z00_2387;
{ /* Llib/mpd.scm 1179 */
obj_t BgL_res3015z00_3892;
{ /* Llib/mpd.scm 1179 */
long BgL_objzd2classzd2numz00_3865;
{ /* Llib/mpd.scm 1179 */
long BgL_res3009z00_3868;
BgL_res3009z00_3868 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_358)); 
BgL_objzd2classzd2numz00_3865 = BgL_res3009z00_3868; } 
{ /* Llib/mpd.scm 1179 */
obj_t BgL_arg1737z00_3866;
BgL_arg1737z00_3866 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listartistalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1179 */
int BgL_offsetz00_3870;
BgL_offsetz00_3870 = 
(int)(BgL_objzd2classzd2numz00_3865); 
{ /* Llib/mpd.scm 1179 */
long BgL_offsetz00_3871;
BgL_offsetz00_3871 = 
(
(long)(BgL_offsetz00_3870)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1179 */
long BgL_modz00_3872;
{ /* Llib/mpd.scm 1179 */
int BgL_arg1739z00_3873;
BgL_arg1739z00_3873 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1179 */
long BgL_res3012z00_3883;
{ /* Llib/mpd.scm 1179 */
long BgL_tmpz00_8930;
BgL_tmpz00_8930 = 
(long)(BgL_arg1739z00_3873); 
BgL_res3012z00_3883 = 
(BgL_offsetz00_3871/BgL_tmpz00_8930); } 
BgL_modz00_3872 = BgL_res3012z00_3883; } } 
{ /* Llib/mpd.scm 1179 */
long BgL_restz00_3874;
{ /* Llib/mpd.scm 1179 */
int BgL_arg1738z00_3875;
BgL_arg1738z00_3875 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1179 */
long BgL_res3014z00_3887;
{ /* Llib/mpd.scm 1179 */
long BgL_tmpz00_8934;
BgL_tmpz00_8934 = 
(long)(BgL_arg1738z00_3875); 
BgL_res3014z00_3887 = 
(BgL_offsetz00_3871%BgL_tmpz00_8934); } 
BgL_restz00_3874 = BgL_res3014z00_3887; } } 
{ /* Llib/mpd.scm 1179 */

{ /* Llib/mpd.scm 1179 */
obj_t BgL_bucketz00_3876;
BgL_bucketz00_3876 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3866),BgL_modz00_3872); 
BgL_res3015z00_3892 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3876),BgL_restz00_3874); } } } } } } } } 
BgL_method1356z00_2387 = BgL_res3015z00_3892; } 
return 
PROCEDURE_ENTRY(BgL_method1356z00_2387)(BgL_method1356z00_2387, 
((obj_t)BgL_oz00_358), BgL_opz00_359, BgL_artistz00_360, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listartistalbum */
obj_t BGl_z62mpdzd2databasezd2listartistalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4964, obj_t BgL_oz00_4965, obj_t BgL_opz00_4966, obj_t BgL_artistz00_4967)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1179 */
{ /* Llib/mpd.scm 1179 */
obj_t BgL_auxz00_8956;BgL_mpdzd2databasezd2_bglt BgL_auxz00_8948;
if(
OUTPUT_PORTP(BgL_opz00_4966))
{ /* Llib/mpd.scm 1179 */
BgL_auxz00_8956 = BgL_opz00_4966
; }  else 
{ 
obj_t BgL_auxz00_8959;
BgL_auxz00_8959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)46540)), BGl_string3380z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4966); 
FAILURE(BgL_auxz00_8959,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4965, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1179 */
BgL_auxz00_8948 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4965)
; }  else 
{ 
obj_t BgL_auxz00_8952;
BgL_auxz00_8952 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)46540)), BGl_string3380z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4965); 
FAILURE(BgL_auxz00_8952,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listartistalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_8948, BgL_auxz00_8956, BgL_artistz00_4967);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listgenrealbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_361, obj_t BgL_opz00_362, obj_t BgL_genrez00_363)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1189 */
obj_t BgL_method1358z00_2388;
{ /* Llib/mpd.scm 1189 */
obj_t BgL_res3022z00_3921;
{ /* Llib/mpd.scm 1189 */
long BgL_objzd2classzd2numz00_3894;
{ /* Llib/mpd.scm 1189 */
long BgL_res3016z00_3897;
BgL_res3016z00_3897 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_361)); 
BgL_objzd2classzd2numz00_3894 = BgL_res3016z00_3897; } 
{ /* Llib/mpd.scm 1189 */
obj_t BgL_arg1737z00_3895;
BgL_arg1737z00_3895 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenrealbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1189 */
int BgL_offsetz00_3899;
BgL_offsetz00_3899 = 
(int)(BgL_objzd2classzd2numz00_3894); 
{ /* Llib/mpd.scm 1189 */
long BgL_offsetz00_3900;
BgL_offsetz00_3900 = 
(
(long)(BgL_offsetz00_3899)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1189 */
long BgL_modz00_3901;
{ /* Llib/mpd.scm 1189 */
int BgL_arg1739z00_3902;
BgL_arg1739z00_3902 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1189 */
long BgL_res3019z00_3912;
{ /* Llib/mpd.scm 1189 */
long BgL_tmpz00_8972;
BgL_tmpz00_8972 = 
(long)(BgL_arg1739z00_3902); 
BgL_res3019z00_3912 = 
(BgL_offsetz00_3900/BgL_tmpz00_8972); } 
BgL_modz00_3901 = BgL_res3019z00_3912; } } 
{ /* Llib/mpd.scm 1189 */
long BgL_restz00_3903;
{ /* Llib/mpd.scm 1189 */
int BgL_arg1738z00_3904;
BgL_arg1738z00_3904 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1189 */
long BgL_res3021z00_3916;
{ /* Llib/mpd.scm 1189 */
long BgL_tmpz00_8976;
BgL_tmpz00_8976 = 
(long)(BgL_arg1738z00_3904); 
BgL_res3021z00_3916 = 
(BgL_offsetz00_3900%BgL_tmpz00_8976); } 
BgL_restz00_3903 = BgL_res3021z00_3916; } } 
{ /* Llib/mpd.scm 1189 */

{ /* Llib/mpd.scm 1189 */
obj_t BgL_bucketz00_3905;
BgL_bucketz00_3905 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3895),BgL_modz00_3901); 
BgL_res3022z00_3921 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3905),BgL_restz00_3903); } } } } } } } } 
BgL_method1358z00_2388 = BgL_res3022z00_3921; } 
return 
PROCEDURE_ENTRY(BgL_method1358z00_2388)(BgL_method1358z00_2388, 
((obj_t)BgL_oz00_361), BgL_opz00_362, BgL_genrez00_363, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listgenrealbum */
obj_t BGl_z62mpdzd2databasezd2listgenrealbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4968, obj_t BgL_oz00_4969, obj_t BgL_opz00_4970, obj_t BgL_genrez00_4971)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1189 */
{ /* Llib/mpd.scm 1189 */
obj_t BgL_auxz00_8998;BgL_mpdzd2databasezd2_bglt BgL_auxz00_8990;
if(
OUTPUT_PORTP(BgL_opz00_4970))
{ /* Llib/mpd.scm 1189 */
BgL_auxz00_8998 = BgL_opz00_4970
; }  else 
{ 
obj_t BgL_auxz00_9001;
BgL_auxz00_9001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)46973)), BGl_string3381z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4970); 
FAILURE(BgL_auxz00_9001,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4969, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1189 */
BgL_auxz00_8990 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4969)
; }  else 
{ 
obj_t BgL_auxz00_8994;
BgL_auxz00_8994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)46973)), BGl_string3381z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4969); 
FAILURE(BgL_auxz00_8994,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listgenrealbumz00zz__multimediazd2mpdzd2(BgL_auxz00_8990, BgL_auxz00_8998, BgL_genrez00_4971);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listgenreartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_364, obj_t BgL_opz00_365, obj_t BgL_genrez00_366)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1203 */
obj_t BgL_method1360z00_2389;
{ /* Llib/mpd.scm 1203 */
obj_t BgL_res3029z00_3950;
{ /* Llib/mpd.scm 1203 */
long BgL_objzd2classzd2numz00_3923;
{ /* Llib/mpd.scm 1203 */
long BgL_res3023z00_3926;
BgL_res3023z00_3926 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_364)); 
BgL_objzd2classzd2numz00_3923 = BgL_res3023z00_3926; } 
{ /* Llib/mpd.scm 1203 */
obj_t BgL_arg1737z00_3924;
BgL_arg1737z00_3924 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenreartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1203 */
int BgL_offsetz00_3928;
BgL_offsetz00_3928 = 
(int)(BgL_objzd2classzd2numz00_3923); 
{ /* Llib/mpd.scm 1203 */
long BgL_offsetz00_3929;
BgL_offsetz00_3929 = 
(
(long)(BgL_offsetz00_3928)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1203 */
long BgL_modz00_3930;
{ /* Llib/mpd.scm 1203 */
int BgL_arg1739z00_3931;
BgL_arg1739z00_3931 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1203 */
long BgL_res3026z00_3941;
{ /* Llib/mpd.scm 1203 */
long BgL_tmpz00_9014;
BgL_tmpz00_9014 = 
(long)(BgL_arg1739z00_3931); 
BgL_res3026z00_3941 = 
(BgL_offsetz00_3929/BgL_tmpz00_9014); } 
BgL_modz00_3930 = BgL_res3026z00_3941; } } 
{ /* Llib/mpd.scm 1203 */
long BgL_restz00_3932;
{ /* Llib/mpd.scm 1203 */
int BgL_arg1738z00_3933;
BgL_arg1738z00_3933 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1203 */
long BgL_res3028z00_3945;
{ /* Llib/mpd.scm 1203 */
long BgL_tmpz00_9018;
BgL_tmpz00_9018 = 
(long)(BgL_arg1738z00_3933); 
BgL_res3028z00_3945 = 
(BgL_offsetz00_3929%BgL_tmpz00_9018); } 
BgL_restz00_3932 = BgL_res3028z00_3945; } } 
{ /* Llib/mpd.scm 1203 */

{ /* Llib/mpd.scm 1203 */
obj_t BgL_bucketz00_3934;
BgL_bucketz00_3934 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3924),BgL_modz00_3930); 
BgL_res3029z00_3950 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3934),BgL_restz00_3932); } } } } } } } } 
BgL_method1360z00_2389 = BgL_res3029z00_3950; } 
return 
PROCEDURE_ENTRY(BgL_method1360z00_2389)(BgL_method1360z00_2389, 
((obj_t)BgL_oz00_364), BgL_opz00_365, BgL_genrez00_366, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listgenreartist */
obj_t BGl_z62mpdzd2databasezd2listgenreartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4972, obj_t BgL_oz00_4973, obj_t BgL_opz00_4974, obj_t BgL_genrez00_4975)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1203 */
{ /* Llib/mpd.scm 1203 */
obj_t BgL_auxz00_9040;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9032;
if(
OUTPUT_PORTP(BgL_opz00_4974))
{ /* Llib/mpd.scm 1203 */
BgL_auxz00_9040 = BgL_opz00_4974
; }  else 
{ 
obj_t BgL_auxz00_9043;
BgL_auxz00_9043 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)47524)), BGl_string3382z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4974); 
FAILURE(BgL_auxz00_9043,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4973, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1203 */
BgL_auxz00_9032 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4973)
; }  else 
{ 
obj_t BgL_auxz00_9036;
BgL_auxz00_9036 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)47524)), BGl_string3382z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4973); 
FAILURE(BgL_auxz00_9036,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listgenreartistz00zz__multimediazd2mpdzd2(BgL_auxz00_9032, BgL_auxz00_9040, BgL_genrez00_4975);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listgenre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_367, obj_t BgL_opz00_368)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1213 */
obj_t BgL_method1362z00_2390;
{ /* Llib/mpd.scm 1213 */
obj_t BgL_res3036z00_3979;
{ /* Llib/mpd.scm 1213 */
long BgL_objzd2classzd2numz00_3952;
{ /* Llib/mpd.scm 1213 */
long BgL_res3030z00_3955;
BgL_res3030z00_3955 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_367)); 
BgL_objzd2classzd2numz00_3952 = BgL_res3030z00_3955; } 
{ /* Llib/mpd.scm 1213 */
obj_t BgL_arg1737z00_3953;
BgL_arg1737z00_3953 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listgenrezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1213 */
int BgL_offsetz00_3957;
BgL_offsetz00_3957 = 
(int)(BgL_objzd2classzd2numz00_3952); 
{ /* Llib/mpd.scm 1213 */
long BgL_offsetz00_3958;
BgL_offsetz00_3958 = 
(
(long)(BgL_offsetz00_3957)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1213 */
long BgL_modz00_3959;
{ /* Llib/mpd.scm 1213 */
int BgL_arg1739z00_3960;
BgL_arg1739z00_3960 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1213 */
long BgL_res3033z00_3970;
{ /* Llib/mpd.scm 1213 */
long BgL_tmpz00_9056;
BgL_tmpz00_9056 = 
(long)(BgL_arg1739z00_3960); 
BgL_res3033z00_3970 = 
(BgL_offsetz00_3958/BgL_tmpz00_9056); } 
BgL_modz00_3959 = BgL_res3033z00_3970; } } 
{ /* Llib/mpd.scm 1213 */
long BgL_restz00_3961;
{ /* Llib/mpd.scm 1213 */
int BgL_arg1738z00_3962;
BgL_arg1738z00_3962 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1213 */
long BgL_res3035z00_3974;
{ /* Llib/mpd.scm 1213 */
long BgL_tmpz00_9060;
BgL_tmpz00_9060 = 
(long)(BgL_arg1738z00_3962); 
BgL_res3035z00_3974 = 
(BgL_offsetz00_3958%BgL_tmpz00_9060); } 
BgL_restz00_3961 = BgL_res3035z00_3974; } } 
{ /* Llib/mpd.scm 1213 */

{ /* Llib/mpd.scm 1213 */
obj_t BgL_bucketz00_3963;
BgL_bucketz00_3963 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3953),BgL_modz00_3959); 
BgL_res3036z00_3979 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3963),BgL_restz00_3961); } } } } } } } } 
BgL_method1362z00_2390 = BgL_res3036z00_3979; } 
return 
PROCEDURE_ENTRY(BgL_method1362z00_2390)(BgL_method1362z00_2390, 
((obj_t)BgL_oz00_367), BgL_opz00_368, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listgenre */
obj_t BGl_z62mpdzd2databasezd2listgenrez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4976, obj_t BgL_oz00_4977, obj_t BgL_opz00_4978)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1213 */
{ /* Llib/mpd.scm 1213 */
obj_t BgL_auxz00_9081;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9073;
if(
OUTPUT_PORTP(BgL_opz00_4978))
{ /* Llib/mpd.scm 1213 */
BgL_auxz00_9081 = BgL_opz00_4978
; }  else 
{ 
obj_t BgL_auxz00_9084;
BgL_auxz00_9084 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)47955)), BGl_string3383z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4978); 
FAILURE(BgL_auxz00_9084,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4977, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1213 */
BgL_auxz00_9073 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4977)
; }  else 
{ 
obj_t BgL_auxz00_9077;
BgL_auxz00_9077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)47955)), BGl_string3383z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4977); 
FAILURE(BgL_auxz00_9077,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listgenrez00zz__multimediazd2mpdzd2(BgL_auxz00_9073, BgL_auxz00_9081);} } 
BGL_FUNCTION_END;
}



/* mpd-database-listartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_369, obj_t BgL_opz00_370)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1223 */
obj_t BgL_method1364z00_2391;
{ /* Llib/mpd.scm 1223 */
obj_t BgL_res3043z00_4008;
{ /* Llib/mpd.scm 1223 */
long BgL_objzd2classzd2numz00_3981;
{ /* Llib/mpd.scm 1223 */
long BgL_res3037z00_3984;
BgL_res3037z00_3984 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_369)); 
BgL_objzd2classzd2numz00_3981 = BgL_res3037z00_3984; } 
{ /* Llib/mpd.scm 1223 */
obj_t BgL_arg1737z00_3982;
BgL_arg1737z00_3982 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2listartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1223 */
int BgL_offsetz00_3986;
BgL_offsetz00_3986 = 
(int)(BgL_objzd2classzd2numz00_3981); 
{ /* Llib/mpd.scm 1223 */
long BgL_offsetz00_3987;
BgL_offsetz00_3987 = 
(
(long)(BgL_offsetz00_3986)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1223 */
long BgL_modz00_3988;
{ /* Llib/mpd.scm 1223 */
int BgL_arg1739z00_3989;
BgL_arg1739z00_3989 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1223 */
long BgL_res3040z00_3999;
{ /* Llib/mpd.scm 1223 */
long BgL_tmpz00_9097;
BgL_tmpz00_9097 = 
(long)(BgL_arg1739z00_3989); 
BgL_res3040z00_3999 = 
(BgL_offsetz00_3987/BgL_tmpz00_9097); } 
BgL_modz00_3988 = BgL_res3040z00_3999; } } 
{ /* Llib/mpd.scm 1223 */
long BgL_restz00_3990;
{ /* Llib/mpd.scm 1223 */
int BgL_arg1738z00_3991;
BgL_arg1738z00_3991 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1223 */
long BgL_res3042z00_4003;
{ /* Llib/mpd.scm 1223 */
long BgL_tmpz00_9101;
BgL_tmpz00_9101 = 
(long)(BgL_arg1738z00_3991); 
BgL_res3042z00_4003 = 
(BgL_offsetz00_3987%BgL_tmpz00_9101); } 
BgL_restz00_3990 = BgL_res3042z00_4003; } } 
{ /* Llib/mpd.scm 1223 */

{ /* Llib/mpd.scm 1223 */
obj_t BgL_bucketz00_3992;
BgL_bucketz00_3992 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3982),BgL_modz00_3988); 
BgL_res3043z00_4008 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3992),BgL_restz00_3990); } } } } } } } } 
BgL_method1364z00_2391 = BgL_res3043z00_4008; } 
return 
PROCEDURE_ENTRY(BgL_method1364z00_2391)(BgL_method1364z00_2391, 
((obj_t)BgL_oz00_369), BgL_opz00_370, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-listartist */
obj_t BGl_z62mpdzd2databasezd2listartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4979, obj_t BgL_oz00_4980, obj_t BgL_opz00_4981)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1223 */
{ /* Llib/mpd.scm 1223 */
obj_t BgL_auxz00_9122;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9114;
if(
OUTPUT_PORTP(BgL_opz00_4981))
{ /* Llib/mpd.scm 1223 */
BgL_auxz00_9122 = BgL_opz00_4981
; }  else 
{ 
obj_t BgL_auxz00_9125;
BgL_auxz00_9125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)48361)), BGl_string3384z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4981); 
FAILURE(BgL_auxz00_9125,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4980, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1223 */
BgL_auxz00_9114 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4980)
; }  else 
{ 
obj_t BgL_auxz00_9118;
BgL_auxz00_9118 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)48361)), BGl_string3384z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4980); 
FAILURE(BgL_auxz00_9118,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2listartistz00zz__multimediazd2mpdzd2(BgL_auxz00_9114, BgL_auxz00_9122);} } 
BGL_FUNCTION_END;
}



/* mpd-database-lsinfo */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_371, obj_t BgL_opz00_372, obj_t BgL_dirz00_373, bool_t BgL_recz00_374)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1233 */
obj_t BgL_method1366z00_2392;
{ /* Llib/mpd.scm 1233 */
obj_t BgL_res3050z00_4037;
{ /* Llib/mpd.scm 1233 */
long BgL_objzd2classzd2numz00_4010;
{ /* Llib/mpd.scm 1233 */
long BgL_res3044z00_4013;
BgL_res3044z00_4013 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_371)); 
BgL_objzd2classzd2numz00_4010 = BgL_res3044z00_4013; } 
{ /* Llib/mpd.scm 1233 */
obj_t BgL_arg1737z00_4011;
BgL_arg1737z00_4011 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2lsinfozd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1233 */
int BgL_offsetz00_4015;
BgL_offsetz00_4015 = 
(int)(BgL_objzd2classzd2numz00_4010); 
{ /* Llib/mpd.scm 1233 */
long BgL_offsetz00_4016;
BgL_offsetz00_4016 = 
(
(long)(BgL_offsetz00_4015)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1233 */
long BgL_modz00_4017;
{ /* Llib/mpd.scm 1233 */
int BgL_arg1739z00_4018;
BgL_arg1739z00_4018 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1233 */
long BgL_res3047z00_4028;
{ /* Llib/mpd.scm 1233 */
long BgL_tmpz00_9138;
BgL_tmpz00_9138 = 
(long)(BgL_arg1739z00_4018); 
BgL_res3047z00_4028 = 
(BgL_offsetz00_4016/BgL_tmpz00_9138); } 
BgL_modz00_4017 = BgL_res3047z00_4028; } } 
{ /* Llib/mpd.scm 1233 */
long BgL_restz00_4019;
{ /* Llib/mpd.scm 1233 */
int BgL_arg1738z00_4020;
BgL_arg1738z00_4020 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1233 */
long BgL_res3049z00_4032;
{ /* Llib/mpd.scm 1233 */
long BgL_tmpz00_9142;
BgL_tmpz00_9142 = 
(long)(BgL_arg1738z00_4020); 
BgL_res3049z00_4032 = 
(BgL_offsetz00_4016%BgL_tmpz00_9142); } 
BgL_restz00_4019 = BgL_res3049z00_4032; } } 
{ /* Llib/mpd.scm 1233 */

{ /* Llib/mpd.scm 1233 */
obj_t BgL_bucketz00_4021;
BgL_bucketz00_4021 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4011),BgL_modz00_4017); 
BgL_res3050z00_4037 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4021),BgL_restz00_4019); } } } } } } } } 
BgL_method1366z00_2392 = BgL_res3050z00_4037; } 
return 
PROCEDURE_ENTRY(BgL_method1366z00_2392)(BgL_method1366z00_2392, 
((obj_t)BgL_oz00_371), BgL_opz00_372, BgL_dirz00_373, 
BBOOL(BgL_recz00_374), BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-lsinfo */
obj_t BGl_z62mpdzd2databasezd2lsinfoz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4982, obj_t BgL_oz00_4983, obj_t BgL_opz00_4984, obj_t BgL_dirz00_4985, obj_t BgL_recz00_4986)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1233 */
{ /* Llib/mpd.scm 1233 */
obj_t BgL_auxz00_9173;obj_t BgL_auxz00_9166;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9158;
if(
STRINGP(BgL_dirz00_4985))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_9173 = BgL_dirz00_4985
; }  else 
{ 
obj_t BgL_auxz00_9176;
BgL_auxz00_9176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3385z00zz__multimediazd2mpdzd2, BGl_string3376z00zz__multimediazd2mpdzd2, BgL_dirz00_4985); 
FAILURE(BgL_auxz00_9176,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_opz00_4984))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_9166 = BgL_opz00_4984
; }  else 
{ 
obj_t BgL_auxz00_9169;
BgL_auxz00_9169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3385z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4984); 
FAILURE(BgL_auxz00_9169,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4983, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1233 */
BgL_auxz00_9158 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4983)
; }  else 
{ 
obj_t BgL_auxz00_9162;
BgL_auxz00_9162 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)48770)), BGl_string3385z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4983); 
FAILURE(BgL_auxz00_9162,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2lsinfoz00zz__multimediazd2mpdzd2(BgL_auxz00_9158, BgL_auxz00_9166, BgL_auxz00_9173, 
CBOOL(BgL_recz00_4986));} } 
BGL_FUNCTION_END;
}



/* mpd-database-find-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_380, obj_t BgL_opz00_381, obj_t BgL_albumz00_382)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1294 */
obj_t BgL_method1368z00_2393;
{ /* Llib/mpd.scm 1294 */
obj_t BgL_res3057z00_4066;
{ /* Llib/mpd.scm 1294 */
long BgL_objzd2classzd2numz00_4039;
{ /* Llib/mpd.scm 1294 */
long BgL_res3051z00_4042;
BgL_res3051z00_4042 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_380)); 
BgL_objzd2classzd2numz00_4039 = BgL_res3051z00_4042; } 
{ /* Llib/mpd.scm 1294 */
obj_t BgL_arg1737z00_4040;
BgL_arg1737z00_4040 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2albumzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1294 */
int BgL_offsetz00_4044;
BgL_offsetz00_4044 = 
(int)(BgL_objzd2classzd2numz00_4039); 
{ /* Llib/mpd.scm 1294 */
long BgL_offsetz00_4045;
BgL_offsetz00_4045 = 
(
(long)(BgL_offsetz00_4044)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1294 */
long BgL_modz00_4046;
{ /* Llib/mpd.scm 1294 */
int BgL_arg1739z00_4047;
BgL_arg1739z00_4047 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1294 */
long BgL_res3054z00_4057;
{ /* Llib/mpd.scm 1294 */
long BgL_tmpz00_9190;
BgL_tmpz00_9190 = 
(long)(BgL_arg1739z00_4047); 
BgL_res3054z00_4057 = 
(BgL_offsetz00_4045/BgL_tmpz00_9190); } 
BgL_modz00_4046 = BgL_res3054z00_4057; } } 
{ /* Llib/mpd.scm 1294 */
long BgL_restz00_4048;
{ /* Llib/mpd.scm 1294 */
int BgL_arg1738z00_4049;
BgL_arg1738z00_4049 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1294 */
long BgL_res3056z00_4061;
{ /* Llib/mpd.scm 1294 */
long BgL_tmpz00_9194;
BgL_tmpz00_9194 = 
(long)(BgL_arg1738z00_4049); 
BgL_res3056z00_4061 = 
(BgL_offsetz00_4045%BgL_tmpz00_9194); } 
BgL_restz00_4048 = BgL_res3056z00_4061; } } 
{ /* Llib/mpd.scm 1294 */

{ /* Llib/mpd.scm 1294 */
obj_t BgL_bucketz00_4050;
BgL_bucketz00_4050 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4040),BgL_modz00_4046); 
BgL_res3057z00_4066 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4050),BgL_restz00_4048); } } } } } } } } 
BgL_method1368z00_2393 = BgL_res3057z00_4066; } 
return 
PROCEDURE_ENTRY(BgL_method1368z00_2393)(BgL_method1368z00_2393, 
((obj_t)BgL_oz00_380), BgL_opz00_381, BgL_albumz00_382, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-album */
obj_t BGl_z62mpdzd2databasezd2findzd2albumzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4987, obj_t BgL_oz00_4988, obj_t BgL_opz00_4989, obj_t BgL_albumz00_4990)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1294 */
{ /* Llib/mpd.scm 1294 */
obj_t BgL_auxz00_9216;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9208;
if(
OUTPUT_PORTP(BgL_opz00_4989))
{ /* Llib/mpd.scm 1294 */
BgL_auxz00_9216 = BgL_opz00_4989
; }  else 
{ 
obj_t BgL_auxz00_9219;
BgL_auxz00_9219 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)50979)), BGl_string3386z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4989); 
FAILURE(BgL_auxz00_9219,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4988, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1294 */
BgL_auxz00_9208 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4988)
; }  else 
{ 
obj_t BgL_auxz00_9212;
BgL_auxz00_9212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)50979)), BGl_string3386z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4988); 
FAILURE(BgL_auxz00_9212,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2findzd2albumzd2zz__multimediazd2mpdzd2(BgL_auxz00_9208, BgL_auxz00_9216, BgL_albumz00_4990);} } 
BGL_FUNCTION_END;
}



/* mpd-database-find-artist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_383, obj_t BgL_opz00_384, obj_t BgL_artistz00_385)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1303 */
obj_t BgL_method1370z00_2394;
{ /* Llib/mpd.scm 1303 */
obj_t BgL_res3064z00_4095;
{ /* Llib/mpd.scm 1303 */
long BgL_objzd2classzd2numz00_4068;
{ /* Llib/mpd.scm 1303 */
long BgL_res3058z00_4071;
BgL_res3058z00_4071 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_383)); 
BgL_objzd2classzd2numz00_4068 = BgL_res3058z00_4071; } 
{ /* Llib/mpd.scm 1303 */
obj_t BgL_arg1737z00_4069;
BgL_arg1737z00_4069 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2artistzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1303 */
int BgL_offsetz00_4073;
BgL_offsetz00_4073 = 
(int)(BgL_objzd2classzd2numz00_4068); 
{ /* Llib/mpd.scm 1303 */
long BgL_offsetz00_4074;
BgL_offsetz00_4074 = 
(
(long)(BgL_offsetz00_4073)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1303 */
long BgL_modz00_4075;
{ /* Llib/mpd.scm 1303 */
int BgL_arg1739z00_4076;
BgL_arg1739z00_4076 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1303 */
long BgL_res3061z00_4086;
{ /* Llib/mpd.scm 1303 */
long BgL_tmpz00_9232;
BgL_tmpz00_9232 = 
(long)(BgL_arg1739z00_4076); 
BgL_res3061z00_4086 = 
(BgL_offsetz00_4074/BgL_tmpz00_9232); } 
BgL_modz00_4075 = BgL_res3061z00_4086; } } 
{ /* Llib/mpd.scm 1303 */
long BgL_restz00_4077;
{ /* Llib/mpd.scm 1303 */
int BgL_arg1738z00_4078;
BgL_arg1738z00_4078 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1303 */
long BgL_res3063z00_4090;
{ /* Llib/mpd.scm 1303 */
long BgL_tmpz00_9236;
BgL_tmpz00_9236 = 
(long)(BgL_arg1738z00_4078); 
BgL_res3063z00_4090 = 
(BgL_offsetz00_4074%BgL_tmpz00_9236); } 
BgL_restz00_4077 = BgL_res3063z00_4090; } } 
{ /* Llib/mpd.scm 1303 */

{ /* Llib/mpd.scm 1303 */
obj_t BgL_bucketz00_4079;
BgL_bucketz00_4079 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4069),BgL_modz00_4075); 
BgL_res3064z00_4095 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4079),BgL_restz00_4077); } } } } } } } } 
BgL_method1370z00_2394 = BgL_res3064z00_4095; } 
return 
PROCEDURE_ENTRY(BgL_method1370z00_2394)(BgL_method1370z00_2394, 
((obj_t)BgL_oz00_383), BgL_opz00_384, BgL_artistz00_385, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-artist */
obj_t BGl_z62mpdzd2databasezd2findzd2artistzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_4991, obj_t BgL_oz00_4992, obj_t BgL_opz00_4993, obj_t BgL_artistz00_4994)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1303 */
{ /* Llib/mpd.scm 1303 */
obj_t BgL_auxz00_9258;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9250;
if(
OUTPUT_PORTP(BgL_opz00_4993))
{ /* Llib/mpd.scm 1303 */
BgL_auxz00_9258 = BgL_opz00_4993
; }  else 
{ 
obj_t BgL_auxz00_9261;
BgL_auxz00_9261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)51417)), BGl_string3387z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4993); 
FAILURE(BgL_auxz00_9261,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4992, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1303 */
BgL_auxz00_9250 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4992)
; }  else 
{ 
obj_t BgL_auxz00_9254;
BgL_auxz00_9254 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)51417)), BGl_string3387z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4992); 
FAILURE(BgL_auxz00_9254,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2findzd2artistzd2zz__multimediazd2mpdzd2(BgL_auxz00_9250, BgL_auxz00_9258, BgL_artistz00_4994);} } 
BGL_FUNCTION_END;
}



/* mpd-database-search-artist-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_386, obj_t BgL_opz00_387, obj_t BgL_artistz00_388, obj_t BgL_albumz00_389)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1312 */
obj_t BgL_method1372z00_2395;
{ /* Llib/mpd.scm 1312 */
obj_t BgL_res3071z00_4124;
{ /* Llib/mpd.scm 1312 */
long BgL_objzd2classzd2numz00_4097;
{ /* Llib/mpd.scm 1312 */
long BgL_res3065z00_4100;
BgL_res3065z00_4100 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_386)); 
BgL_objzd2classzd2numz00_4097 = BgL_res3065z00_4100; } 
{ /* Llib/mpd.scm 1312 */
obj_t BgL_arg1737z00_4098;
BgL_arg1737z00_4098 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2searchzd2artistzd2albumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1312 */
int BgL_offsetz00_4102;
BgL_offsetz00_4102 = 
(int)(BgL_objzd2classzd2numz00_4097); 
{ /* Llib/mpd.scm 1312 */
long BgL_offsetz00_4103;
BgL_offsetz00_4103 = 
(
(long)(BgL_offsetz00_4102)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1312 */
long BgL_modz00_4104;
{ /* Llib/mpd.scm 1312 */
int BgL_arg1739z00_4105;
BgL_arg1739z00_4105 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1312 */
long BgL_res3068z00_4115;
{ /* Llib/mpd.scm 1312 */
long BgL_tmpz00_9274;
BgL_tmpz00_9274 = 
(long)(BgL_arg1739z00_4105); 
BgL_res3068z00_4115 = 
(BgL_offsetz00_4103/BgL_tmpz00_9274); } 
BgL_modz00_4104 = BgL_res3068z00_4115; } } 
{ /* Llib/mpd.scm 1312 */
long BgL_restz00_4106;
{ /* Llib/mpd.scm 1312 */
int BgL_arg1738z00_4107;
BgL_arg1738z00_4107 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1312 */
long BgL_res3070z00_4119;
{ /* Llib/mpd.scm 1312 */
long BgL_tmpz00_9278;
BgL_tmpz00_9278 = 
(long)(BgL_arg1738z00_4107); 
BgL_res3070z00_4119 = 
(BgL_offsetz00_4103%BgL_tmpz00_9278); } 
BgL_restz00_4106 = BgL_res3070z00_4119; } } 
{ /* Llib/mpd.scm 1312 */

{ /* Llib/mpd.scm 1312 */
obj_t BgL_bucketz00_4108;
BgL_bucketz00_4108 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4098),BgL_modz00_4104); 
BgL_res3071z00_4124 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4108),BgL_restz00_4106); } } } } } } } } 
BgL_method1372z00_2395 = BgL_res3071z00_4124; } 
return 
PROCEDURE_ENTRY(BgL_method1372z00_2395)(BgL_method1372z00_2395, 
((obj_t)BgL_oz00_386), BgL_opz00_387, BgL_artistz00_388, BgL_albumz00_389, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-search-artist-album */
obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2albumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_4995, obj_t BgL_oz00_4996, obj_t BgL_opz00_4997, obj_t BgL_artistz00_4998, obj_t BgL_albumz00_4999)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1312 */
{ /* Llib/mpd.scm 1312 */
obj_t BgL_auxz00_9301;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9293;
if(
OUTPUT_PORTP(BgL_opz00_4997))
{ /* Llib/mpd.scm 1312 */
BgL_auxz00_9301 = BgL_opz00_4997
; }  else 
{ 
obj_t BgL_auxz00_9304;
BgL_auxz00_9304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)51861)), BGl_string3388z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_4997); 
FAILURE(BgL_auxz00_9304,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_4996, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1312 */
BgL_auxz00_9293 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_4996)
; }  else 
{ 
obj_t BgL_auxz00_9297;
BgL_auxz00_9297 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)51861)), BGl_string3388z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_4996); 
FAILURE(BgL_auxz00_9297,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2searchzd2artistzd2albumz00zz__multimediazd2mpdzd2(BgL_auxz00_9293, BgL_auxz00_9301, BgL_artistz00_4998, BgL_albumz00_4999);} } 
BGL_FUNCTION_END;
}



/* mpd-database-search-artist-title */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_390, obj_t BgL_opz00_391, obj_t BgL_artistz00_392, obj_t BgL_titlez00_393)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1345 */
obj_t BgL_method1374z00_2396;
{ /* Llib/mpd.scm 1345 */
obj_t BgL_res3078z00_4153;
{ /* Llib/mpd.scm 1345 */
long BgL_objzd2classzd2numz00_4126;
{ /* Llib/mpd.scm 1345 */
long BgL_res3072z00_4129;
BgL_res3072z00_4129 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_390)); 
BgL_objzd2classzd2numz00_4126 = BgL_res3072z00_4129; } 
{ /* Llib/mpd.scm 1345 */
obj_t BgL_arg1737z00_4127;
BgL_arg1737z00_4127 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2searchzd2artistzd2titlezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1345 */
int BgL_offsetz00_4131;
BgL_offsetz00_4131 = 
(int)(BgL_objzd2classzd2numz00_4126); 
{ /* Llib/mpd.scm 1345 */
long BgL_offsetz00_4132;
BgL_offsetz00_4132 = 
(
(long)(BgL_offsetz00_4131)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1345 */
long BgL_modz00_4133;
{ /* Llib/mpd.scm 1345 */
int BgL_arg1739z00_4134;
BgL_arg1739z00_4134 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1345 */
long BgL_res3075z00_4144;
{ /* Llib/mpd.scm 1345 */
long BgL_tmpz00_9317;
BgL_tmpz00_9317 = 
(long)(BgL_arg1739z00_4134); 
BgL_res3075z00_4144 = 
(BgL_offsetz00_4132/BgL_tmpz00_9317); } 
BgL_modz00_4133 = BgL_res3075z00_4144; } } 
{ /* Llib/mpd.scm 1345 */
long BgL_restz00_4135;
{ /* Llib/mpd.scm 1345 */
int BgL_arg1738z00_4136;
BgL_arg1738z00_4136 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1345 */
long BgL_res3077z00_4148;
{ /* Llib/mpd.scm 1345 */
long BgL_tmpz00_9321;
BgL_tmpz00_9321 = 
(long)(BgL_arg1738z00_4136); 
BgL_res3077z00_4148 = 
(BgL_offsetz00_4132%BgL_tmpz00_9321); } 
BgL_restz00_4135 = BgL_res3077z00_4148; } } 
{ /* Llib/mpd.scm 1345 */

{ /* Llib/mpd.scm 1345 */
obj_t BgL_bucketz00_4137;
BgL_bucketz00_4137 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4127),BgL_modz00_4133); 
BgL_res3078z00_4153 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4137),BgL_restz00_4135); } } } } } } } } 
BgL_method1374z00_2396 = BgL_res3078z00_4153; } 
return 
PROCEDURE_ENTRY(BgL_method1374z00_2396)(BgL_method1374z00_2396, 
((obj_t)BgL_oz00_390), BgL_opz00_391, BgL_artistz00_392, BgL_titlez00_393, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-search-artist-title */
obj_t BGl_z62mpdzd2databasezd2searchzd2artistzd2titlez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_5000, obj_t BgL_oz00_5001, obj_t BgL_opz00_5002, obj_t BgL_artistz00_5003, obj_t BgL_titlez00_5004)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1345 */
{ /* Llib/mpd.scm 1345 */
obj_t BgL_auxz00_9344;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9336;
if(
OUTPUT_PORTP(BgL_opz00_5002))
{ /* Llib/mpd.scm 1345 */
BgL_auxz00_9344 = BgL_opz00_5002
; }  else 
{ 
obj_t BgL_auxz00_9347;
BgL_auxz00_9347 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)53036)), BGl_string3389z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_5002); 
FAILURE(BgL_auxz00_9347,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5001, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1345 */
BgL_auxz00_9336 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5001)
; }  else 
{ 
obj_t BgL_auxz00_9340;
BgL_auxz00_9340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)53036)), BGl_string3389z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5001); 
FAILURE(BgL_auxz00_9340,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2searchzd2artistzd2titlez00zz__multimediazd2mpdzd2(BgL_auxz00_9336, BgL_auxz00_9344, BgL_artistz00_5003, BgL_titlez00_5004);} } 
BGL_FUNCTION_END;
}



/* mpd-database-find-title */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_394, obj_t BgL_opz00_395, obj_t BgL_titlez00_396)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1371 */
obj_t BgL_method1376z00_2397;
{ /* Llib/mpd.scm 1371 */
obj_t BgL_res3085z00_4182;
{ /* Llib/mpd.scm 1371 */
long BgL_objzd2classzd2numz00_4155;
{ /* Llib/mpd.scm 1371 */
long BgL_res3079z00_4158;
BgL_res3079z00_4158 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_394)); 
BgL_objzd2classzd2numz00_4155 = BgL_res3079z00_4158; } 
{ /* Llib/mpd.scm 1371 */
obj_t BgL_arg1737z00_4156;
BgL_arg1737z00_4156 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2titlezd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1371 */
int BgL_offsetz00_4160;
BgL_offsetz00_4160 = 
(int)(BgL_objzd2classzd2numz00_4155); 
{ /* Llib/mpd.scm 1371 */
long BgL_offsetz00_4161;
BgL_offsetz00_4161 = 
(
(long)(BgL_offsetz00_4160)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1371 */
long BgL_modz00_4162;
{ /* Llib/mpd.scm 1371 */
int BgL_arg1739z00_4163;
BgL_arg1739z00_4163 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1371 */
long BgL_res3082z00_4173;
{ /* Llib/mpd.scm 1371 */
long BgL_tmpz00_9360;
BgL_tmpz00_9360 = 
(long)(BgL_arg1739z00_4163); 
BgL_res3082z00_4173 = 
(BgL_offsetz00_4161/BgL_tmpz00_9360); } 
BgL_modz00_4162 = BgL_res3082z00_4173; } } 
{ /* Llib/mpd.scm 1371 */
long BgL_restz00_4164;
{ /* Llib/mpd.scm 1371 */
int BgL_arg1738z00_4165;
BgL_arg1738z00_4165 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1371 */
long BgL_res3084z00_4177;
{ /* Llib/mpd.scm 1371 */
long BgL_tmpz00_9364;
BgL_tmpz00_9364 = 
(long)(BgL_arg1738z00_4165); 
BgL_res3084z00_4177 = 
(BgL_offsetz00_4161%BgL_tmpz00_9364); } 
BgL_restz00_4164 = BgL_res3084z00_4177; } } 
{ /* Llib/mpd.scm 1371 */

{ /* Llib/mpd.scm 1371 */
obj_t BgL_bucketz00_4166;
BgL_bucketz00_4166 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4156),BgL_modz00_4162); 
BgL_res3085z00_4182 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4166),BgL_restz00_4164); } } } } } } } } 
BgL_method1376z00_2397 = BgL_res3085z00_4182; } 
return 
PROCEDURE_ENTRY(BgL_method1376z00_2397)(BgL_method1376z00_2397, 
((obj_t)BgL_oz00_394), BgL_opz00_395, BgL_titlez00_396, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-title */
obj_t BGl_z62mpdzd2databasezd2findzd2titlezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_5005, obj_t BgL_oz00_5006, obj_t BgL_opz00_5007, obj_t BgL_titlez00_5008)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1371 */
{ /* Llib/mpd.scm 1371 */
obj_t BgL_auxz00_9386;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9378;
if(
OUTPUT_PORTP(BgL_opz00_5007))
{ /* Llib/mpd.scm 1371 */
BgL_auxz00_9386 = BgL_opz00_5007
; }  else 
{ 
obj_t BgL_auxz00_9389;
BgL_auxz00_9389 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)53940)), BGl_string3390z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_5007); 
FAILURE(BgL_auxz00_9389,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5006, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1371 */
BgL_auxz00_9378 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5006)
; }  else 
{ 
obj_t BgL_auxz00_9382;
BgL_auxz00_9382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)53940)), BGl_string3390z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5006); 
FAILURE(BgL_auxz00_9382,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2findzd2titlezd2zz__multimediazd2mpdzd2(BgL_auxz00_9378, BgL_auxz00_9386, BgL_titlez00_5008);} } 
BGL_FUNCTION_END;
}



/* mpd-database-find-genre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_397, obj_t BgL_opz00_398, obj_t BgL_genrez00_399)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1389 */
obj_t BgL_method1378z00_2398;
{ /* Llib/mpd.scm 1389 */
obj_t BgL_res3092z00_4211;
{ /* Llib/mpd.scm 1389 */
long BgL_objzd2classzd2numz00_4184;
{ /* Llib/mpd.scm 1389 */
long BgL_res3086z00_4187;
BgL_res3086z00_4187 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_397)); 
BgL_objzd2classzd2numz00_4184 = BgL_res3086z00_4187; } 
{ /* Llib/mpd.scm 1389 */
obj_t BgL_arg1737z00_4185;
BgL_arg1737z00_4185 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2findzd2genrezd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1389 */
int BgL_offsetz00_4189;
BgL_offsetz00_4189 = 
(int)(BgL_objzd2classzd2numz00_4184); 
{ /* Llib/mpd.scm 1389 */
long BgL_offsetz00_4190;
BgL_offsetz00_4190 = 
(
(long)(BgL_offsetz00_4189)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1389 */
long BgL_modz00_4191;
{ /* Llib/mpd.scm 1389 */
int BgL_arg1739z00_4192;
BgL_arg1739z00_4192 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1389 */
long BgL_res3089z00_4202;
{ /* Llib/mpd.scm 1389 */
long BgL_tmpz00_9402;
BgL_tmpz00_9402 = 
(long)(BgL_arg1739z00_4192); 
BgL_res3089z00_4202 = 
(BgL_offsetz00_4190/BgL_tmpz00_9402); } 
BgL_modz00_4191 = BgL_res3089z00_4202; } } 
{ /* Llib/mpd.scm 1389 */
long BgL_restz00_4193;
{ /* Llib/mpd.scm 1389 */
int BgL_arg1738z00_4194;
BgL_arg1738z00_4194 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1389 */
long BgL_res3091z00_4206;
{ /* Llib/mpd.scm 1389 */
long BgL_tmpz00_9406;
BgL_tmpz00_9406 = 
(long)(BgL_arg1738z00_4194); 
BgL_res3091z00_4206 = 
(BgL_offsetz00_4190%BgL_tmpz00_9406); } 
BgL_restz00_4193 = BgL_res3091z00_4206; } } 
{ /* Llib/mpd.scm 1389 */

{ /* Llib/mpd.scm 1389 */
obj_t BgL_bucketz00_4195;
BgL_bucketz00_4195 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4185),BgL_modz00_4191); 
BgL_res3092z00_4211 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4195),BgL_restz00_4193); } } } } } } } } 
BgL_method1378z00_2398 = BgL_res3092z00_4211; } 
return 
PROCEDURE_ENTRY(BgL_method1378z00_2398)(BgL_method1378z00_2398, 
((obj_t)BgL_oz00_397), BgL_opz00_398, BgL_genrez00_399, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-find-genre */
obj_t BGl_z62mpdzd2databasezd2findzd2genrezb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_5009, obj_t BgL_oz00_5010, obj_t BgL_opz00_5011, obj_t BgL_genrez00_5012)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1389 */
{ /* Llib/mpd.scm 1389 */
obj_t BgL_auxz00_9428;BgL_mpdzd2databasezd2_bglt BgL_auxz00_9420;
if(
OUTPUT_PORTP(BgL_opz00_5011))
{ /* Llib/mpd.scm 1389 */
BgL_auxz00_9428 = BgL_opz00_5011
; }  else 
{ 
obj_t BgL_auxz00_9431;
BgL_auxz00_9431 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)54520)), BGl_string3391z00zz__multimediazd2mpdzd2, BGl_string3224z00zz__multimediazd2mpdzd2, BgL_opz00_5011); 
FAILURE(BgL_auxz00_9431,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5010, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1389 */
BgL_auxz00_9420 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5010)
; }  else 
{ 
obj_t BgL_auxz00_9424;
BgL_auxz00_9424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)54520)), BGl_string3391z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5010); 
FAILURE(BgL_auxz00_9424,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2findzd2genrezd2zz__multimediazd2mpdzd2(BgL_auxz00_9420, BgL_auxz00_9428, BgL_genrez00_5012);} } 
BGL_FUNCTION_END;
}



/* mpd-database-getgenre */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_400)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1407 */
{ /* Llib/mpd.scm 1407 */
obj_t BgL_method1381z00_2399;
{ /* Llib/mpd.scm 1407 */
obj_t BgL_res3099z00_4240;
{ /* Llib/mpd.scm 1407 */
long BgL_objzd2classzd2numz00_4213;
{ /* Llib/mpd.scm 1407 */
long BgL_res3093z00_4216;
BgL_res3093z00_4216 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_400)); 
BgL_objzd2classzd2numz00_4213 = BgL_res3093z00_4216; } 
{ /* Llib/mpd.scm 1407 */
obj_t BgL_arg1737z00_4214;
BgL_arg1737z00_4214 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getgenrezd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1407 */
int BgL_offsetz00_4218;
BgL_offsetz00_4218 = 
(int)(BgL_objzd2classzd2numz00_4213); 
{ /* Llib/mpd.scm 1407 */
long BgL_offsetz00_4219;
BgL_offsetz00_4219 = 
(
(long)(BgL_offsetz00_4218)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1407 */
long BgL_modz00_4220;
{ /* Llib/mpd.scm 1407 */
int BgL_arg1739z00_4221;
BgL_arg1739z00_4221 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1407 */
long BgL_res3096z00_4231;
{ /* Llib/mpd.scm 1407 */
long BgL_tmpz00_9444;
BgL_tmpz00_9444 = 
(long)(BgL_arg1739z00_4221); 
BgL_res3096z00_4231 = 
(BgL_offsetz00_4219/BgL_tmpz00_9444); } 
BgL_modz00_4220 = BgL_res3096z00_4231; } } 
{ /* Llib/mpd.scm 1407 */
long BgL_restz00_4222;
{ /* Llib/mpd.scm 1407 */
int BgL_arg1738z00_4223;
BgL_arg1738z00_4223 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1407 */
long BgL_res3098z00_4235;
{ /* Llib/mpd.scm 1407 */
long BgL_tmpz00_9448;
BgL_tmpz00_9448 = 
(long)(BgL_arg1738z00_4223); 
BgL_res3098z00_4235 = 
(BgL_offsetz00_4219%BgL_tmpz00_9448); } 
BgL_restz00_4222 = BgL_res3098z00_4235; } } 
{ /* Llib/mpd.scm 1407 */

{ /* Llib/mpd.scm 1407 */
obj_t BgL_bucketz00_4224;
BgL_bucketz00_4224 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4214),BgL_modz00_4220); 
BgL_res3099z00_4240 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4224),BgL_restz00_4222); } } } } } } } } 
BgL_method1381z00_2399 = BgL_res3099z00_4240; } 
return 
PROCEDURE_ENTRY(BgL_method1381z00_2399)(BgL_method1381z00_2399, 
((obj_t)BgL_oz00_400), BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-getgenre */
obj_t BGl_z62mpdzd2databasezd2getgenrez62zz__multimediazd2mpdzd2(obj_t BgL_envz00_5013, obj_t BgL_oz00_5014)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1407 */
{ /* Llib/mpd.scm 1407 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_9460;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5014, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1407 */
BgL_auxz00_9460 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5014)
; }  else 
{ 
obj_t BgL_auxz00_9464;
BgL_auxz00_9464 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)55101)), BGl_string3392z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5014); 
FAILURE(BgL_auxz00_9464,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2getgenrez00zz__multimediazd2mpdzd2(BgL_auxz00_9460);} } 
BGL_FUNCTION_END;
}



/* mpd-database-getartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_401)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1414 */
{ /* Llib/mpd.scm 1414 */
obj_t BgL_method1383z00_2400;
{ /* Llib/mpd.scm 1414 */
obj_t BgL_res3106z00_4269;
{ /* Llib/mpd.scm 1414 */
long BgL_objzd2classzd2numz00_4242;
{ /* Llib/mpd.scm 1414 */
long BgL_res3100z00_4245;
BgL_res3100z00_4245 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_401)); 
BgL_objzd2classzd2numz00_4242 = BgL_res3100z00_4245; } 
{ /* Llib/mpd.scm 1414 */
obj_t BgL_arg1737z00_4243;
BgL_arg1737z00_4243 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1414 */
int BgL_offsetz00_4247;
BgL_offsetz00_4247 = 
(int)(BgL_objzd2classzd2numz00_4242); 
{ /* Llib/mpd.scm 1414 */
long BgL_offsetz00_4248;
BgL_offsetz00_4248 = 
(
(long)(BgL_offsetz00_4247)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1414 */
long BgL_modz00_4249;
{ /* Llib/mpd.scm 1414 */
int BgL_arg1739z00_4250;
BgL_arg1739z00_4250 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1414 */
long BgL_res3103z00_4260;
{ /* Llib/mpd.scm 1414 */
long BgL_tmpz00_9477;
BgL_tmpz00_9477 = 
(long)(BgL_arg1739z00_4250); 
BgL_res3103z00_4260 = 
(BgL_offsetz00_4248/BgL_tmpz00_9477); } 
BgL_modz00_4249 = BgL_res3103z00_4260; } } 
{ /* Llib/mpd.scm 1414 */
long BgL_restz00_4251;
{ /* Llib/mpd.scm 1414 */
int BgL_arg1738z00_4252;
BgL_arg1738z00_4252 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1414 */
long BgL_res3105z00_4264;
{ /* Llib/mpd.scm 1414 */
long BgL_tmpz00_9481;
BgL_tmpz00_9481 = 
(long)(BgL_arg1738z00_4252); 
BgL_res3105z00_4264 = 
(BgL_offsetz00_4248%BgL_tmpz00_9481); } 
BgL_restz00_4251 = BgL_res3105z00_4264; } } 
{ /* Llib/mpd.scm 1414 */

{ /* Llib/mpd.scm 1414 */
obj_t BgL_bucketz00_4253;
BgL_bucketz00_4253 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4243),BgL_modz00_4249); 
BgL_res3106z00_4269 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4253),BgL_restz00_4251); } } } } } } } } 
BgL_method1383z00_2400 = BgL_res3106z00_4269; } 
return 
PROCEDURE_ENTRY(BgL_method1383z00_2400)(BgL_method1383z00_2400, 
((obj_t)BgL_oz00_401), BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-getartist */
obj_t BGl_z62mpdzd2databasezd2getartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_5015, obj_t BgL_oz00_5016)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1414 */
{ /* Llib/mpd.scm 1414 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_9493;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5016, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1414 */
BgL_auxz00_9493 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5016)
; }  else 
{ 
obj_t BgL_auxz00_9497;
BgL_auxz00_9497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)55438)), BGl_string3393z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5016); 
FAILURE(BgL_auxz00_9497,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2getartistz00zz__multimediazd2mpdzd2(BgL_auxz00_9493);} } 
BGL_FUNCTION_END;
}



/* mpd-database-getgenreartist */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_402, obj_t BgL_genrez00_403)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1421 */
obj_t BgL_method1386z00_2401;
{ /* Llib/mpd.scm 1421 */
obj_t BgL_res3113z00_4298;
{ /* Llib/mpd.scm 1421 */
long BgL_objzd2classzd2numz00_4271;
{ /* Llib/mpd.scm 1421 */
long BgL_res3107z00_4274;
BgL_res3107z00_4274 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_402)); 
BgL_objzd2classzd2numz00_4271 = BgL_res3107z00_4274; } 
{ /* Llib/mpd.scm 1421 */
obj_t BgL_arg1737z00_4272;
BgL_arg1737z00_4272 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getgenreartistzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1421 */
int BgL_offsetz00_4276;
BgL_offsetz00_4276 = 
(int)(BgL_objzd2classzd2numz00_4271); 
{ /* Llib/mpd.scm 1421 */
long BgL_offsetz00_4277;
BgL_offsetz00_4277 = 
(
(long)(BgL_offsetz00_4276)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1421 */
long BgL_modz00_4278;
{ /* Llib/mpd.scm 1421 */
int BgL_arg1739z00_4279;
BgL_arg1739z00_4279 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1421 */
long BgL_res3110z00_4289;
{ /* Llib/mpd.scm 1421 */
long BgL_tmpz00_9510;
BgL_tmpz00_9510 = 
(long)(BgL_arg1739z00_4279); 
BgL_res3110z00_4289 = 
(BgL_offsetz00_4277/BgL_tmpz00_9510); } 
BgL_modz00_4278 = BgL_res3110z00_4289; } } 
{ /* Llib/mpd.scm 1421 */
long BgL_restz00_4280;
{ /* Llib/mpd.scm 1421 */
int BgL_arg1738z00_4281;
BgL_arg1738z00_4281 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1421 */
long BgL_res3112z00_4293;
{ /* Llib/mpd.scm 1421 */
long BgL_tmpz00_9514;
BgL_tmpz00_9514 = 
(long)(BgL_arg1738z00_4281); 
BgL_res3112z00_4293 = 
(BgL_offsetz00_4277%BgL_tmpz00_9514); } 
BgL_restz00_4280 = BgL_res3112z00_4293; } } 
{ /* Llib/mpd.scm 1421 */

{ /* Llib/mpd.scm 1421 */
obj_t BgL_bucketz00_4282;
BgL_bucketz00_4282 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4272),BgL_modz00_4278); 
BgL_res3113z00_4298 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4282),BgL_restz00_4280); } } } } } } } } 
BgL_method1386z00_2401 = BgL_res3113z00_4298; } 
return 
PROCEDURE_ENTRY(BgL_method1386z00_2401)(BgL_method1386z00_2401, 
((obj_t)BgL_oz00_402), BgL_genrez00_403, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-getgenreartist */
obj_t BGl_z62mpdzd2databasezd2getgenreartistz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_5017, obj_t BgL_oz00_5018, obj_t BgL_genrez00_5019)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1421 */
{ /* Llib/mpd.scm 1421 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_9527;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5018, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1421 */
BgL_auxz00_9527 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5018)
; }  else 
{ 
obj_t BgL_auxz00_9531;
BgL_auxz00_9531 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)55778)), BGl_string3394z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5018); 
FAILURE(BgL_auxz00_9531,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2getgenreartistz00zz__multimediazd2mpdzd2(BgL_auxz00_9527, BgL_genrez00_5019);} } 
BGL_FUNCTION_END;
}



/* mpd-database-getartistalbum */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_404, obj_t BgL_artistz00_405)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1431 */
{ /* Llib/mpd.scm 1431 */
obj_t BgL_method1388z00_2402;
{ /* Llib/mpd.scm 1431 */
obj_t BgL_res3120z00_4327;
{ /* Llib/mpd.scm 1431 */
long BgL_objzd2classzd2numz00_4300;
{ /* Llib/mpd.scm 1431 */
long BgL_res3114z00_4303;
BgL_res3114z00_4303 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_404)); 
BgL_objzd2classzd2numz00_4300 = BgL_res3114z00_4303; } 
{ /* Llib/mpd.scm 1431 */
obj_t BgL_arg1737z00_4301;
BgL_arg1737z00_4301 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getartistalbumzd2envzd2zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1431 */
int BgL_offsetz00_4305;
BgL_offsetz00_4305 = 
(int)(BgL_objzd2classzd2numz00_4300); 
{ /* Llib/mpd.scm 1431 */
long BgL_offsetz00_4306;
BgL_offsetz00_4306 = 
(
(long)(BgL_offsetz00_4305)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1431 */
long BgL_modz00_4307;
{ /* Llib/mpd.scm 1431 */
int BgL_arg1739z00_4308;
BgL_arg1739z00_4308 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1431 */
long BgL_res3117z00_4318;
{ /* Llib/mpd.scm 1431 */
long BgL_tmpz00_9544;
BgL_tmpz00_9544 = 
(long)(BgL_arg1739z00_4308); 
BgL_res3117z00_4318 = 
(BgL_offsetz00_4306/BgL_tmpz00_9544); } 
BgL_modz00_4307 = BgL_res3117z00_4318; } } 
{ /* Llib/mpd.scm 1431 */
long BgL_restz00_4309;
{ /* Llib/mpd.scm 1431 */
int BgL_arg1738z00_4310;
BgL_arg1738z00_4310 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1431 */
long BgL_res3119z00_4322;
{ /* Llib/mpd.scm 1431 */
long BgL_tmpz00_9548;
BgL_tmpz00_9548 = 
(long)(BgL_arg1738z00_4310); 
BgL_res3119z00_4322 = 
(BgL_offsetz00_4306%BgL_tmpz00_9548); } 
BgL_restz00_4309 = BgL_res3119z00_4322; } } 
{ /* Llib/mpd.scm 1431 */

{ /* Llib/mpd.scm 1431 */
obj_t BgL_bucketz00_4311;
BgL_bucketz00_4311 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4301),BgL_modz00_4307); 
BgL_res3120z00_4327 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4311),BgL_restz00_4309); } } } } } } } } 
BgL_method1388z00_2402 = BgL_res3120z00_4327; } 
return 
PROCEDURE_ENTRY(BgL_method1388z00_2402)(BgL_method1388z00_2402, 
((obj_t)BgL_oz00_404), BgL_artistz00_405, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-getartistalbum */
obj_t BGl_z62mpdzd2databasezd2getartistalbumz62zz__multimediazd2mpdzd2(obj_t BgL_envz00_5020, obj_t BgL_oz00_5021, obj_t BgL_artistz00_5022)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1431 */
{ /* Llib/mpd.scm 1431 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_9561;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5021, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1431 */
BgL_auxz00_9561 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5021)
; }  else 
{ 
obj_t BgL_auxz00_9565;
BgL_auxz00_9565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)56226)), BGl_string3395z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5021); 
FAILURE(BgL_auxz00_9565,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2getartistalbumz00zz__multimediazd2mpdzd2(BgL_auxz00_9561, BgL_artistz00_5022);} } 
BGL_FUNCTION_END;
}



/* mpd-database-get-album */
BGL_EXPORTED_DEF obj_t BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_mpdzd2databasezd2_bglt BgL_oz00_417, obj_t BgL_albumz00_418)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1517 */
obj_t BgL_method1392z00_2403;
{ /* Llib/mpd.scm 1517 */
obj_t BgL_res3127z00_4356;
{ /* Llib/mpd.scm 1517 */
long BgL_objzd2classzd2numz00_4329;
{ /* Llib/mpd.scm 1517 */
long BgL_res3121z00_4332;
BgL_res3121z00_4332 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_417)); 
BgL_objzd2classzd2numz00_4329 = BgL_res3121z00_4332; } 
{ /* Llib/mpd.scm 1517 */
obj_t BgL_arg1737z00_4330;
BgL_arg1737z00_4330 = 
PROCEDURE_REF(BGl_mpdzd2databasezd2getzd2albumzd2envz00zz__multimediazd2mpdzd2, 
(int)(((long)1))); 
{ /* Llib/mpd.scm 1517 */
int BgL_offsetz00_4334;
BgL_offsetz00_4334 = 
(int)(BgL_objzd2classzd2numz00_4329); 
{ /* Llib/mpd.scm 1517 */
long BgL_offsetz00_4335;
BgL_offsetz00_4335 = 
(
(long)(BgL_offsetz00_4334)-OBJECT_TYPE); 
{ /* Llib/mpd.scm 1517 */
long BgL_modz00_4336;
{ /* Llib/mpd.scm 1517 */
int BgL_arg1739z00_4337;
BgL_arg1739z00_4337 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1517 */
long BgL_res3124z00_4347;
{ /* Llib/mpd.scm 1517 */
long BgL_tmpz00_9578;
BgL_tmpz00_9578 = 
(long)(BgL_arg1739z00_4337); 
BgL_res3124z00_4347 = 
(BgL_offsetz00_4335/BgL_tmpz00_9578); } 
BgL_modz00_4336 = BgL_res3124z00_4347; } } 
{ /* Llib/mpd.scm 1517 */
long BgL_restz00_4338;
{ /* Llib/mpd.scm 1517 */
int BgL_arg1738z00_4339;
BgL_arg1738z00_4339 = 
(int)(((long)16)); 
{ /* Llib/mpd.scm 1517 */
long BgL_res3126z00_4351;
{ /* Llib/mpd.scm 1517 */
long BgL_tmpz00_9582;
BgL_tmpz00_9582 = 
(long)(BgL_arg1738z00_4339); 
BgL_res3126z00_4351 = 
(BgL_offsetz00_4335%BgL_tmpz00_9582); } 
BgL_restz00_4338 = BgL_res3126z00_4351; } } 
{ /* Llib/mpd.scm 1517 */

{ /* Llib/mpd.scm 1517 */
obj_t BgL_bucketz00_4340;
BgL_bucketz00_4340 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_4330),BgL_modz00_4336); 
BgL_res3127z00_4356 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4340),BgL_restz00_4338); } } } } } } } } 
BgL_method1392z00_2403 = BgL_res3127z00_4356; } 
return 
PROCEDURE_ENTRY(BgL_method1392z00_2403)(BgL_method1392z00_2403, 
((obj_t)BgL_oz00_417), BgL_albumz00_418, BEOA);} } 
BGL_FUNCTION_END;
}



/* &mpd-database-get-album */
obj_t BGl_z62mpdzd2databasezd2getzd2albumzb0zz__multimediazd2mpdzd2(obj_t BgL_envz00_5023, obj_t BgL_oz00_5024, obj_t BgL_albumz00_5025)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 1517 */
{ /* Llib/mpd.scm 1517 */
BgL_mpdzd2databasezd2_bglt BgL_auxz00_9595;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_5024, BGl_mpdzd2databasezd2zz__multimediazd2mpdzd2))
{ /* Llib/mpd.scm 1517 */
BgL_auxz00_9595 = 
((BgL_mpdzd2databasezd2_bglt)BgL_oz00_5024)
; }  else 
{ 
obj_t BgL_auxz00_9599;
BgL_auxz00_9599 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3219z00zz__multimediazd2mpdzd2, 
BINT(((long)59323)), BGl_string3396z00zz__multimediazd2mpdzd2, BGl_string3225z00zz__multimediazd2mpdzd2, BgL_oz00_5024); 
FAILURE(BgL_auxz00_9599,BFALSE,BFALSE);} 
return 
BGl_mpdzd2databasezd2getzd2albumzd2zz__multimediazd2mpdzd2(BgL_auxz00_9595, BgL_albumz00_5025);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__multimediazd2mpdzd2()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/mpd.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)95358739), 
BSTRING_TO_STRING(BGl_string3397z00zz__multimediazd2mpdzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(((long)299260312), 
BSTRING_TO_STRING(BGl_string3397z00zz__multimediazd2mpdzd2));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
