/*===========================================================================*/
/*   (Llib/ssl.scm)                                                          */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -I Llib -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -unsafe -safee -copt -I. -copt -fPIC -copt -IC Llib/ssl.scm -o objs/ssl.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_certificatez00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_certificatez00_bglt;

typedef struct BgL_privatezd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_privatezd2keyzd2_bglt;

typedef struct BgL_securezd2contextzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42cazd2storez90;
   obj_t BgL_methodz00;
} *BgL_securezd2contextzd2_bglt;

typedef struct BgL_sslzd2connectionzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42biozd2readz90;
   void * BgL_z42biozd2writez90;
   void * BgL_z42nextzd2sessionz90;
   struct BgL_securezd2contextzd2_bgl * BgL_ctxz00;
   bool_t BgL_isserverz00;
   bool_t BgL_requestzd2certzd2;
   obj_t BgL_serverzd2namezd2;
   bool_t BgL_rejectzd2unauthoriza7edz75;
   obj_t BgL_infozd2callbackzd2;
   obj_t BgL_snizd2contextzd2callbackz00;
   obj_t BgL_newsessionzd2callbackzd2;
   obj_t BgL_selectedzd2npnzd2protosz00;
   obj_t BgL_npnzd2protoszd2;
   obj_t BgL_errz00;
   bool_t BgL_receivedzd2shutdownzd2;
   bool_t BgL_sentzd2shutdownzd2;
} *BgL_sslzd2connectionzd2_bglt;

typedef struct BgL_dhz00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z52pz52;
   void * BgL_z52qz52;
   void * BgL_z52gz52;
   void * BgL_z52pubz52;
   void * BgL_z52privz52;
} *BgL_dhz00_bglt;

typedef struct BgL_sslzd2hashzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
   obj_t BgL_typez00;
} *BgL_sslzd2hashzd2_bglt;

typedef struct BgL_sslzd2hmaczd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2hmaczd2_bglt;

typedef struct BgL_sslzd2signzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2signzd2_bglt;

typedef struct BgL_sslzd2verifyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2verifyzd2_bglt;

typedef struct BgL_sslzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42cipherz42;
   void * BgL_z42cipherzd2ctxz90;
} *BgL_sslzd2cipherzd2_bglt;


static obj_t BGl_z62zc3anonymousza31959ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2hashzd2digest1322z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_pkcs5_pbkdf2_hmac_sha1(obj_t, obj_t, int, int);
static obj_t BGl_z62lambda1770z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda1933z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda1936z62zz__ssl_sslz00(obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1777z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2s1288zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_certificatez00zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza32052ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1780z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1943z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_server_socket(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, int, bool_t);
static obj_t BGl_z62lambda1787z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1788z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2newzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2verifyzd2init1336z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62lambda1950z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza31994ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1794z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1795z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1958z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_add_ca_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3anonymousza32127ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_search1227ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3anonymousza32038ze3ze1zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_sign_sign(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2shutd1272z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1964z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31995ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2key1316z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32144ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt, int, obj_t);
static obj_t BGl_z62lambda1971z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1972z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1978z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2o1264zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza32161ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32056ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_ctx_set_key(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zz__ssl_sslz00 = BUNSPEC;
extern obj_t bgl_ssl_error_string();
static obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ssl_sslz00();
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2read1274z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t, obj_t, int, int);
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2verif1296z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31999ze3ze1zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_cipher_set_auto_padding(BgL_sslzd2cipherzd2_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
BGL_EXPORTED_DECL bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
BGL_EXPORTED_DECL BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza32091ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2hashzd2init1318z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_cipher_final(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_make_certificate(void *);
static obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t bgl_ssl_hmac_digest(BgL_sslzd2hmaczd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2signzd2sign1334z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd21260zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_sslz00();
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2cipherzd2updatez121346z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32168ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2close1240z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32185ze3ze1zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
static obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_make_private_key(void *);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern long bgl_ssl_connection_clear_in(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern bool_t bgl_load_pkcs12(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31814ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32098ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez121320z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_load_pem(obj_t);
static obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2102z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2103z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31920ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2109z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, bool_t);
static obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_dh_pqg_set(void *, void *, void *, void *);
static obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2111z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2key1312zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2118z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2119z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_sign_init(BgL_sslzd2signzd2_bglt, obj_t);
extern bool_t bgl_ssl_hash_update(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hmaczd2updatez121326z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_get_ciphers();
BGL_EXPORTED_DECL int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2125z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2126z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31906ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2133z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2135z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1256zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t);
extern int bgl_ssl_connection_set_session(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2s1258zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2142z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2143z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31835ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza31673ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2149z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2start1268z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2siza7e1306z17zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32000ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_peer_certificate(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2150z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2paramete1308z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2p1298zb0zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_load_session(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_root_certs(BgL_securezd2contextzd2_bglt);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2157z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2159z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00();
static obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2166z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2167z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda2173z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2174z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31927ze3ze1zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_connection_get_current_cipher(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2clear1278z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_bn_bin2bn(char *, int);
extern char * bgl_ssl_version();
static obj_t BGl_z62sslzd2cipherzd2initiv1344z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern long bgl_ssl_connection_clear_out(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2181z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1280z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31782ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2183z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza31766ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3anonymousza32004ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2190z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2191z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31945ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2197z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2198z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3anonymousza32005ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1801z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1802z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_session(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1809z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern int bgl_ssl_connection_start(BgL_sslzd2connectionzd2_bglt);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1812z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza31980ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1819z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31859ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2enczd2p1284zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32113ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32024ze3ze1zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_verify_final(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62lambda1820z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3anonymousza31892ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1826z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1827z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62lambda1833z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1834z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31966ze3ze1zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_verify_init(BgL_sslzd2verifyzd2_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32042ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1840z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1841z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1846z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62lambda1847z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31878ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza31789ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_initiv(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
extern obj_t bgl_ssl_ctx_init(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_private_key(obj_t);
static obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check_pub_key(void *, void *);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2reuse1300z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2init1342z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1851z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1852z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_close(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3anonymousza31984ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1858z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2c1292zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2s1290zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32028ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62lambda1864z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31985ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1865z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd21348z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2zz__ssl_sslz00 = BUNSPEC;
extern bool_t bgl_ssl_ctx_set_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1870z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1871z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();
static obj_t BGl_z62lambda1876z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1877z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
static obj_t BGl_z62zc3anonymousza32151ze3ze1zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_cipher_init(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_evp_get_ciphers();
static obj_t BGl_z62lambda1891z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();
static obj_t BGl_z62sslzd2signzd2init1330z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31899ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1898z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32137ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2write1276z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31989ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ssl_sslz00();
static obj_t BGl_z62sslzd2connectionzd2getzd2n1302zb0zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_crl(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2init1266z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL char * BGl_sslzd2versionzd2zz__ssl_sslz00();
static obj_t BGl_z62zc3anonymousza32065ze3ze1zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
extern void * bgl_dh_public_key(void *);
static obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern void * bgl_dh_private_key(void *);
static obj_t BGl_z62zc3anonymousza32084ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t, int);
static obj_t BGl_z62zc3anonymousza32069ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t bgl_dh_check(void *);
static obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hash_init(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32175ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2hmaczd2init1324z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3anonymousza31803ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
extern obj_t bgl_ssl_certificate_issuer(obj_t);
static obj_t BGl_z62zc3anonymousza32192ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2digest1328z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
extern void bgl_dh_pub_priv_key_set(void *, void *, void *);
static obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, int);
static obj_t BGl_z62zc3anonymousza31821ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t);
static BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_negotiated_protocol(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_connection_shutdown(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62securezd2contextzd2init1238z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_cipher_update(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3anonymousza31751ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31913ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hash_digest(BgL_sslzd2hashzd2_bglt);
extern obj_t bgl_ssl_connection_init(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez121332z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62securezd2contextzd2setzd2k1248zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
BGL_EXPORTED_DECL void * bgl_private_key_native(obj_t);
extern obj_t bgl_ssl_connection_verify_error(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62zc3anonymousza31842ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32199ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2init1304zb0zz__ssl_sslz00(obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2check1310zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_z52socketzd2initz12z92zz__socketz00();
static obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_load_certificate(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t);
extern obj_t bgl_ssl_certificate_subject(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
extern obj_t bgl_client_socket_use_ssl(obj_t, int, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();
static obj_t BGl_z62zc3anonymousza31828ze3ze1zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_set_session_id_context(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_cnstzd2initzd2zz__ssl_sslz00();
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2079z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00();
extern long bgl_ssl_connection_read(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_search1212ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2082z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2089z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62securezd2contextzd2addzd2r1242zb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_close(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62zc3anonymousza32010ze3ze1zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2090z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2096z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2097z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2computezd2key1314z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd21294zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_evp_get_hashes();
static obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_verify_update(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_connection_init_finishedp(BgL_sslzd2connectionzd2_bglt);
extern long bgl_ssl_connection_write(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62sslzd2connectionzd2initzd21282zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31952ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_client_socket(obj_t, int, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62sslzd2verifyzd2final1340z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hmac_init(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2close1270z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1244zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1246zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31938ze3ze1zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT long default_io_bufsiz;
extern int bgl_ssl_connection_clear_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32014ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_enc_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31866ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez121338z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32120ze3ze1zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_dhz00zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void * bgl_dh_g(void *);
extern void * bgl_dh_p(void *);
extern void * bgl_dh_p(void *);
static obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31973ze3ze1zz__ssl_sslz00(obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1747z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1749z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2final1350z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_certificate_native(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1912z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31990ze3ze1zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62lambda1755z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31885ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1756z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31796ze3ze1zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1918z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1919z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_sign_update(BgL_sslzd2signzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_socketp(obj_t);
extern bool_t bgl_ssl_hmac_update(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1762z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1764z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 90 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7b03524za7, BGl_z62dhzd2checkzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3525z00, BGl_z62certificatezd2subjectzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2opza7d2ci3526za7, BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3527z00, BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3528z00, BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3300z00zz__ssl_sslz00, BgL_bgl_za762lambda2125za7623529z00, BGl_z62lambda2125z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3301z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73530za7, BGl_z62zc3anonymousza32113ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3302z00zz__ssl_sslz00, BgL_bgl_za762lambda2111za7623531z00, BGl_z62lambda2111z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3303z00zz__ssl_sslz00, BgL_bgl_za762lambda2109za7623532z00, BGl_z62lambda2109z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3533z00, BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3304z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73534za7, BGl_z62zc3anonymousza32144ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3305z00zz__ssl_sslz00, BgL_bgl_za762lambda2143za7623535z00, BGl_z62lambda2143z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73536za7, BGl_z62zc3anonymousza31673ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3306z00zz__ssl_sslz00, BgL_bgl_za762lambda2142za7623537z00, BGl_z62lambda2142z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3307z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73538za7, BGl_z62zc3anonymousza32151ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3308z00zz__ssl_sslz00, BgL_bgl_za762lambda2150za7623539z00, BGl_z62lambda2150z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3309z00zz__ssl_sslz00, BgL_bgl_za762lambda2149za7623540z00, BGl_z62lambda2149z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3310z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73541za7, BGl_z62zc3anonymousza32137ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3311z00zz__ssl_sslz00, BgL_bgl_za762lambda2135za7623542z00, BGl_z62lambda2135z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3312z00zz__ssl_sslz00, BgL_bgl_za762lambda2133za7623543z00, BGl_z62lambda2133z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3400z00zz__ssl_sslz00, BgL_bgl_string3400za700za7za7_3544za7, "dh-check1310", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3313z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73545za7, BGl_z62zc3anonymousza32168ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3314z00zz__ssl_sslz00, BgL_bgl_za762lambda2167za7623546z00, BGl_z62lambda2167z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3402z00zz__ssl_sslz00, BgL_bgl_string3402za700za7za7_3547za7, "dh-check-pub-key1312", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3315z00zz__ssl_sslz00, BgL_bgl_za762lambda2166za7623548z00, BGl_z62lambda2166z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3316z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73549za7, BGl_z62zc3anonymousza32175ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3404z00zz__ssl_sslz00, BgL_bgl_string3404za700za7za7_3550za7, "dh-compute-key1314", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3317z00zz__ssl_sslz00, BgL_bgl_za762lambda2174za7623551z00, BGl_z62lambda2174z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3318z00zz__ssl_sslz00, BgL_bgl_za762lambda2173za7623552z00, BGl_z62lambda2173z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_dhzd2initzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2initza7b0za73553z00, BGl_z62dhzd2initzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3406z00zz__ssl_sslz00, BgL_bgl_string3406za700za7za7_3554za7, "dh-generate-key1316", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3319z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73555za7, BGl_z62zc3anonymousza32161ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3556z00, BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3408z00zz__ssl_sslz00, BgL_bgl_string3408za700za7za7_3557za7, "ssl-hash-init1318", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3320z00zz__ssl_sslz00, BgL_bgl_za762lambda2159za7623558z00, BGl_z62lambda2159z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3321z00zz__ssl_sslz00, BgL_bgl_za762lambda2157za7623559z00, BGl_z62lambda2157z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2socketza73560za7, BGl_z62sslzd2socketzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3322z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73561za7, BGl_z62zc3anonymousza32192ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3410z00zz__ssl_sslz00, BgL_bgl_string3410za700za7za7_3562za7, "ssl-hash-update!1320", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3323z00zz__ssl_sslz00, BgL_bgl_za762lambda2191za7623563z00, BGl_z62lambda2191z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3324z00zz__ssl_sslz00, BgL_bgl_za762lambda2190za7623564z00, BGl_z62lambda2190z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3412z00zz__ssl_sslz00, BgL_bgl_string3412za700za7za7_3565za7, "ssl-hash-digest1322", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3325z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73566za7, BGl_z62zc3anonymousza32199ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3326z00zz__ssl_sslz00, BgL_bgl_za762lambda2198za7623567z00, BGl_z62lambda2198z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3414z00zz__ssl_sslz00, BgL_bgl_string3414za700za7za7_3568za7, "ssl-hmac-init1324", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3327z00zz__ssl_sslz00, BgL_bgl_za762lambda2197za7623569z00, BGl_z62lambda2197z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3328z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73570za7, BGl_z62zc3anonymousza32185ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3416z00zz__ssl_sslz00, BgL_bgl_string3416za700za7za7_3571za7, "ssl-hmac-update!1326", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3329z00zz__ssl_sslz00, BgL_bgl_za762lambda2183za7623572z00, BGl_z62lambda2183z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3418z00zz__ssl_sslz00, BgL_bgl_string3418za700za7za7_3573za7, "ssl-hmac-digest1328", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl_za762makeza7d2sslza7d23574za7, va_generic_entry, BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3330z00zz__ssl_sslz00, BgL_bgl_za762lambda2181za7623575z00, BGl_z62lambda2181z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3170z00zz__ssl_sslz00, BgL_bgl_za762lambda1756za7623576z00, BGl_z62lambda1756z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3420z00zz__ssl_sslz00, BgL_bgl_string3420za700za7za7_3577za7, "ssl-sign-init1330", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3333z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3578z00, BGl_z62securezd2contextzd2init1238z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__ssl_sslz00, BgL_bgl_za762lambda1755za7623579z00, BGl_z62lambda1755z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3172z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73580za7, BGl_z62zc3anonymousza31751ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3422z00zz__ssl_sslz00, BgL_bgl_string3422za700za7za7_3581za7, "ssl-sign-update!1332", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3335z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3582z00, BGl_z62securezd2contextzd2close1240z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__ssl_sslz00, BgL_bgl_za762lambda1749za7623583z00, BGl_z62lambda1749z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3174z00zz__ssl_sslz00, BgL_bgl_za762lambda1747za7623584z00, BGl_z62lambda1747z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3424z00zz__ssl_sslz00, BgL_bgl_string3424za700za7za7_3585za7, "ssl-sign-sign1334", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3337z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3586z00, BGl_z62securezd2contextzd2addzd2r1242zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__ssl_sslz00, BgL_bgl_za762lambda1771za7623587z00, BGl_z62lambda1771z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3176z00zz__ssl_sslz00, BgL_bgl_za762lambda1770za7623588z00, BGl_z62lambda1770z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3426z00zz__ssl_sslz00, BgL_bgl_string3426za700za7za7_3589za7, "ssl-verify-init1336", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3339z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3590z00, BGl_z62securezd2contextzd2addzd2c1244zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73591za7, BGl_z62zc3anonymousza31766ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3178z00zz__ssl_sslz00, BgL_bgl_za762lambda1764za7623592z00, BGl_z62lambda1764z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3428z00zz__ssl_sslz00, BgL_bgl_string3428za700za7za7_3593za7, "ssl-verify-update!1338", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__ssl_sslz00, BgL_bgl_za762lambda1762za7623594z00, BGl_z62lambda1762z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73595za7, BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3341z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3596z00, BGl_z62securezd2contextzd2addzd2c1246zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3180z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73597za7, BGl_z62zc3anonymousza31789ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3430z00zz__ssl_sslz00, BgL_bgl_string3430za700za7za7_3598za7, "ssl-verify-final1340", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3343z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3599z00, BGl_z62securezd2contextzd2setzd2k1248zb0zz__ssl_sslz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__ssl_sslz00, BgL_bgl_za762lambda1788za7623600z00, BGl_z62lambda1788z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3182z00zz__ssl_sslz00, BgL_bgl_za762lambda1787za7623601z00, BGl_z62lambda1787z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3432z00zz__ssl_sslz00, BgL_bgl_string3432za700za7za7_3602za7, "ssl-cipher-init1342", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3345z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3603z00, BGl_z62securezd2contextzd2setzd2c1256zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73604za7, BGl_z62zc3anonymousza31796ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3184z00zz__ssl_sslz00, BgL_bgl_za762lambda1795za7623605z00, BGl_z62lambda1795z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00, BgL_bgl_za762za752privateza7d23606za7, BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3434z00zz__ssl_sslz00, BgL_bgl_string3434za700za7za7_3607za7, "ssl-cipher-initiv1344", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3347z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3608z00, BGl_z62securezd2contextzd2setzd2s1258zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__ssl_sslz00, BgL_bgl_za762lambda1794za7623609z00, BGl_z62lambda1794z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3186z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73610za7, BGl_z62zc3anonymousza31803ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3436z00zz__ssl_sslz00, BgL_bgl_string3436za700za7za7_3611za7, "ssl-cipher-update!1346", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3349z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3612z00, BGl_z62securezd2contextzd2loadzd21260zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__ssl_sslz00, BgL_bgl_za762lambda1802za7623613z00, BGl_z62lambda1802z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3188z00zz__ssl_sslz00, BgL_bgl_za762lambda1801za7623614z00, BGl_z62lambda1801z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3438z00zz__ssl_sslz00, BgL_bgl_string3438za700za7za7_3615za7, "ssl-cipher-set-auto-1348", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73616za7, BGl_z62zc3anonymousza31782ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3351z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3617z00, BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3190z00zz__ssl_sslz00, BgL_bgl_za762lambda1780za7623618z00, BGl_z62lambda1780z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3440z00zz__ssl_sslz00, BgL_bgl_string3440za700za7za7_3619za7, "ssl-cipher-final1350", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3353z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3620z00, BGl_z62securezd2contextzd2setzd2o1264zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__ssl_sslz00, BgL_bgl_za762lambda1777za7623621z00, BGl_z62lambda1777z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3441z00zz__ssl_sslz00, BgL_bgl_string3441za700za7za7_3622za7, "ssl-cipher-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3192z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73623za7, BGl_z62zc3anonymousza31821ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3442z00zz__ssl_sslz00, BgL_bgl_string3442za700za7za7_3624za7, "cannot update", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3355z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3625z00, BGl_z62sslzd2connectionzd2init1266z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__ssl_sslz00, BgL_bgl_za762lambda1820za7623626z00, BGl_z62lambda1820z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3443z00zz__ssl_sslz00, BgL_bgl_string3443za700za7za7_3627za7, "ssl-cipher-initiv", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3194z00zz__ssl_sslz00, BgL_bgl_za762lambda1819za7623628z00, BGl_z62lambda1819z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3444z00zz__ssl_sslz00, BgL_bgl_string3444za700za7za7_3629za7, "ssl-cipher-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3357z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3630z00, BGl_z62sslzd2connectionzd2start1268z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73631za7, BGl_z62zc3anonymousza31828ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3445z00zz__ssl_sslz00, BgL_bgl_string3445za700za7za7_3632za7, "ssl-verify-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3196z00zz__ssl_sslz00, BgL_bgl_za762lambda1827za7623633z00, BGl_z62lambda1827z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3446z00zz__ssl_sslz00, BgL_bgl_string3446za700za7za7_3634za7, "ssl-verify", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3359z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3635z00, BGl_z62sslzd2connectionzd2close1270z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__ssl_sslz00, BgL_bgl_za762lambda1826za7623636z00, BGl_z62lambda1826z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3447z00zz__ssl_sslz00, BgL_bgl_string3447za700za7za7_3637za7, "Verify method not supported", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3198z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73638za7, BGl_z62zc3anonymousza31835ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3448z00zz__ssl_sslz00, BgL_bgl_string3448za700za7za7_3639za7, "ssl-sign-sign", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__ssl_sslz00, BgL_bgl_za762lambda1834za7623640z00, BGl_z62lambda1834z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3449z00zz__ssl_sslz00, BgL_bgl_string3449za700za7za7_3641za7, "cannot sign", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bin2bnza7b3642za7, BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3361z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3643z00, BGl_z62sslzd2connectionzd2shutd1272z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3450z00zz__ssl_sslz00, BgL_bgl_string3450za700za7za7_3644za7, "ssl-sign-update!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3363z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3645z00, BGl_z62sslzd2connectionzd2read1274z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3451z00zz__ssl_sslz00, BgL_bgl_string3451za700za7za7_3646za7, "ssl-sign", 8 );
DEFINE_STRING( BGl_string3452z00zz__ssl_sslz00, BgL_bgl_string3452za700za7za7_3647za7, "Sign method not supported", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3365z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3648z00, BGl_z62sslzd2connectionzd2write1276z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3453z00zz__ssl_sslz00, BgL_bgl_string3453za700za7za7_3649za7, "ssl-hmac-digest", 15 );
DEFINE_STRING( BGl_string3454z00zz__ssl_sslz00, BgL_bgl_string3454za700za7za7_3650za7, "cannot digest", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3367z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3651z00, BGl_z62sslzd2connectionzd2clear1278z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3455z00zz__ssl_sslz00, BgL_bgl_string3455za700za7za7_3652za7, "ssl-hmac-update!", 16 );
DEFINE_STRING( BGl_string3456z00zz__ssl_sslz00, BgL_bgl_string3456za700za7za7_3653za7, "ssl-hmac", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3369z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3654z00, BGl_z62sslzd2connectionzd2clear1280z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3457z00zz__ssl_sslz00, BgL_bgl_string3457za700za7za7_3655za7, "Digest method not supported", 27 );
DEFINE_STRING( BGl_string3458z00zz__ssl_sslz00, BgL_bgl_string3458za700za7za7_3656za7, "ssl-hash-digest", 15 );
DEFINE_STRING( BGl_string3459z00zz__ssl_sslz00, BgL_bgl_string3459za700za7za7_3657za7, "ssl-hash-update!", 16 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23658za7, BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3371z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3659z00, BGl_z62sslzd2connectionzd2initzd21282zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3460z00zz__ssl_sslz00, BgL_bgl_string3460za700za7za7_3660za7, "ssl-hash", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3373z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3661z00, BGl_z62sslzd2connectionzd2enczd2p1284zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3461z00zz__ssl_sslz00, BgL_bgl_string3461za700za7za7_3662za7, "dh-generate-parameters-ex", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00, BgL_bgl__clientza7d2socket3663za7, opt_generic_entry, BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3462z00zz__ssl_sslz00, BgL_bgl_string3462za700za7za7_3664za7, "Illegal generator", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3375z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3665z00, BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3666z00, BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3463z00zz__ssl_sslz00, BgL_bgl_string3463za700za7za7_3667za7, "&secure-context-init", 20 );
DEFINE_STRING( BGl_string3464z00zz__ssl_sslz00, BgL_bgl_string3464za700za7za7_3668za7, "&secure-context-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3377z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3669z00, BGl_z62sslzd2connectionzd2setzd2s1288zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3465z00zz__ssl_sslz00, BgL_bgl_string3465za700za7za7_3670za7, "&secure-context-add-root-certs!", 31 );
DEFINE_STRING( BGl_string3466z00zz__ssl_sslz00, BgL_bgl_string3466za700za7za7_3671za7, "&secure-context-add-ca-cert!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3379z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3672z00, BGl_z62sslzd2connectionzd2getzd2s1290zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3467z00zz__ssl_sslz00, BgL_bgl_string3467za700za7za7_3673za7, "&secure-context-add-crl!", 24 );
DEFINE_STRING( BGl_string3468z00zz__ssl_sslz00, BgL_bgl_string3468za700za7za7_3674za7, "&secure-context-set-cert!", 25 );
DEFINE_STRING( BGl_string3469z00zz__ssl_sslz00, BgL_bgl_string3469za700za7za7_3675za7, "&secure-context-set-session-id-context!", 39 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23676za7, BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3381z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3677z00, BGl_z62sslzd2connectionzd2getzd2c1292zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3470z00zz__ssl_sslz00, BgL_bgl_string3470za700za7za7_3678za7, "&secure-context-load-pkcs12", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3383z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3679z00, BGl_z62sslzd2connectionzd2loadzd21294zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3471z00zz__ssl_sslz00, BgL_bgl_string3471za700za7za7_3680za7, "&secure-context-set-ciphers!", 28 );
DEFINE_STRING( BGl_string3472z00zz__ssl_sslz00, BgL_bgl_string3472za700za7za7_3681za7, "&secure-context-set-options!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3385z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3682z00, BGl_z62sslzd2connectionzd2verif1296z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3473z00zz__ssl_sslz00, BgL_bgl_string3473za700za7za7_3683za7, "&ssl-connection-init", 20 );
DEFINE_STRING( BGl_string3474z00zz__ssl_sslz00, BgL_bgl_string3474za700za7za7_3684za7, "ssl-connection", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3387z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3685z00, BGl_z62sslzd2connectionzd2getzd2p1298zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3475z00zz__ssl_sslz00, BgL_bgl_string3475za700za7za7_3686za7, "&ssl-connection-start", 21 );
DEFINE_STRING( BGl_string3476z00zz__ssl_sslz00, BgL_bgl_string3476za700za7za7_3687za7, "&ssl-connection-close", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3389z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3688z00, BGl_z62sslzd2connectionzd2reuse1300z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3477z00zz__ssl_sslz00, BgL_bgl_string3477za700za7za7_3689za7, "&ssl-connection-shutdown", 24 );
DEFINE_STRING( BGl_string3478z00zz__ssl_sslz00, BgL_bgl_string3478za700za7za7_3690za7, "&ssl-connection-read", 20 );
DEFINE_STRING( BGl_string3479z00zz__ssl_sslz00, BgL_bgl_string3479za700za7za7_3691za7, "&ssl-connection-write", 21 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3692z00, BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3391z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3693z00, BGl_z62sslzd2connectionzd2getzd2n1302zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3480z00zz__ssl_sslz00, BgL_bgl_string3480za700za7za7_3694za7, "&ssl-connection-clear-in", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3393z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2init13043695z00, BGl_z62dhzd2init1304zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3481z00zz__ssl_sslz00, BgL_bgl_string3481za700za7za7_3696za7, "&ssl-connection-clear-out", 25 );
DEFINE_STRING( BGl_string3482z00zz__ssl_sslz00, BgL_bgl_string3482za700za7za7_3697za7, "&ssl-connection-init-finished?", 30 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3395z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7e133698za7, BGl_z62dhzd2siza7e1306z17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3483z00zz__ssl_sslz00, BgL_bgl_string3483za700za7za7_3699za7, "&ssl-connection-enc-pending", 27 );
DEFINE_STRING( BGl_string3484z00zz__ssl_sslz00, BgL_bgl_string3484za700za7za7_3700za7, "&ssl-connection-clear-pending", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3397z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3701z00, BGl_z62dhzd2generatezd2paramete1308z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3485z00zz__ssl_sslz00, BgL_bgl_string3485za700za7za7_3702za7, "&ssl-connection-set-session", 27 );
DEFINE_STRING( BGl_string3486z00zz__ssl_sslz00, BgL_bgl_string3486za700za7za7_3703za7, "&ssl-connection-get-session", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3399z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2check1313704z00, BGl_z62dhzd2check1310zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3487z00zz__ssl_sslz00, BgL_bgl_string3487za700za7za7_3705za7, "&ssl-connection-get-current-cipher", 34 );
DEFINE_STRING( BGl_string3488z00zz__ssl_sslz00, BgL_bgl_string3488za700za7za7_3706za7, "&ssl-connection-load-session", 28 );
DEFINE_STRING( BGl_string3489z00zz__ssl_sslz00, BgL_bgl_string3489za700za7za7_3707za7, "&ssl-connection-verify-error", 28 );
DEFINE_STRING( BGl_string3490z00zz__ssl_sslz00, BgL_bgl_string3490za700za7za7_3708za7, "&ssl-connection-get-peer-certificate", 36 );
DEFINE_STRING( BGl_string3491z00zz__ssl_sslz00, BgL_bgl_string3491za700za7za7_3709za7, "&ssl-connection-reused?", 23 );
DEFINE_STRING( BGl_string3492z00zz__ssl_sslz00, BgL_bgl_string3492za700za7za7_3710za7, "&ssl-connection-get-negotiated-protocol", 39 );
DEFINE_STRING( BGl_string3493z00zz__ssl_sslz00, BgL_bgl_string3493za700za7za7_3711za7, "&dh-init", 8 );
DEFINE_STRING( BGl_string3494z00zz__ssl_sslz00, BgL_bgl_string3494za700za7za7_3712za7, "dh", 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3713z00, BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3495z00zz__ssl_sslz00, BgL_bgl_string3495za700za7za7_3714za7, "&dh-size", 8 );
DEFINE_STRING( BGl_string3496z00zz__ssl_sslz00, BgL_bgl_string3496za700za7za7_3715za7, "&dh-generate-parameters-ex", 26 );
DEFINE_STRING( BGl_string3497z00zz__ssl_sslz00, BgL_bgl_string3497za700za7za7_3716za7, "symbol", 6 );
DEFINE_STRING( BGl_string3498z00zz__ssl_sslz00, BgL_bgl_string3498za700za7za7_3717za7, "&dh-check", 9 );
DEFINE_STRING( BGl_string3499z00zz__ssl_sslz00, BgL_bgl_string3499za700za7za7_3718za7, "&dh-check-pub-key", 17 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23719za7, BGl_z62sslzd2signzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2setza7d2wo3720za7, BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2h3721za7, BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3722z00, BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bn2binza7b3723za7, BGl_z62bnzd2bn2binzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73724za7, BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2privat3725z00, BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00, BgL_bgl_za762pkcs5za7d2pbkdf3726z00, BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73727za7, BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2certificatezd2envz00zz__ssl_sslz00, BgL_bgl_za762readza7d2certif3728z00, BGl_z62readzd2certificatezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl__makeza7d2sslza7d2cl3729z00, opt_generic_entry, BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3730z00, BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2versionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2version3731z00, BGl_z62sslzd2versionzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73732za7, BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23733za7, BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3734z00, BGl_z62securezd2contextzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3735z00, BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3736z00, BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00, BgL_bgl_za762za752certificat3737z00, BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3738z00, BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3739z00, BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23740za7, BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23741za7, BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3742z00, BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73743za7, BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2c3744za7, BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3745z00, BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23746za7, BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73747za7, BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3128z00zz__ssl_sslz00, BgL_bgl_string3128za700za7za7_3748za7, "Invalid certificate", 19 );
DEFINE_STRING( BGl_string3129z00zz__ssl_sslz00, BgL_bgl_string3129za700za7za7_3749za7, "Invalid private key", 19 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73750za7, BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3200z00zz__ssl_sslz00, BgL_bgl_za762lambda1833za7623751z00, BGl_z62lambda1833z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73752za7, BGl_z62zc3anonymousza31842ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3202z00zz__ssl_sslz00, BgL_bgl_za762lambda1841za7623753z00, BGl_z62lambda1841z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__ssl_sslz00, BgL_bgl_za762lambda1840za7623754z00, BGl_z62lambda1840z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3204z00zz__ssl_sslz00, BgL_bgl_za762lambda1847za7623755z00, BGl_z62lambda1847z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__ssl_sslz00, BgL_bgl_za762lambda1846za7623756z00, BGl_z62lambda1846z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3130z00zz__ssl_sslz00, BgL_bgl_string3130za700za7za7_3757za7, "Invalid CA list", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3206z00zz__ssl_sslz00, BgL_bgl_za762lambda1852za7623758z00, BGl_z62lambda1852z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3131z00zz__ssl_sslz00, BgL_bgl_string3131za700za7za7_3759za7, "Invalid accepted-certs", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__ssl_sslz00, BgL_bgl_za762lambda1851za7623760z00, BGl_z62lambda1851z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3132z00zz__ssl_sslz00, BgL_bgl_string3132za700za7za7_3761za7, "pkey and cert must be both #f or both set", 41 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3208z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73762za7, BGl_z62zc3anonymousza31859ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3133z00zz__ssl_sslz00, BgL_bgl_string3133za700za7za7_3763za7, "Illegal keyword argument", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3209z00zz__ssl_sslz00, BgL_bgl_za762lambda1858za7623764z00, BGl_z62lambda1858z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3134z00zz__ssl_sslz00, BgL_bgl_string3134za700za7za7_3765za7, "/builddir/build/BUILD/bigloo4.3f/api/ssl/src/Llib/ssl.scm", 57 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3766z00, BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3135z00zz__ssl_sslz00, BgL_bgl_string3135za700za7za7_3767za7, "_make-ssl-client-socket", 23 );
DEFINE_STRING( BGl_string3136z00zz__ssl_sslz00, BgL_bgl_string3136za700za7za7_3768za7, "bint", 4 );
DEFINE_STRING( BGl_string3137z00zz__ssl_sslz00, BgL_bgl_string3137za700za7za7_3769za7, "bstring", 7 );
DEFINE_STRING( BGl_string3138z00zz__ssl_sslz00, BgL_bgl_string3138za700za7za7_3770za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string3139z00zz__ssl_sslz00, BgL_bgl_string3139za700za7za7_3771za7, "wrong number of arguments: [2..10] expected, provided", 53 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3210z00zz__ssl_sslz00, BgL_bgl_za762lambda1857za7623772z00, BGl_z62lambda1857z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3211z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73773za7, BGl_z62zc3anonymousza31866ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3212z00zz__ssl_sslz00, BgL_bgl_za762lambda1865za7623774z00, BGl_z62lambda1865z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3213z00zz__ssl_sslz00, BgL_bgl_za762lambda1864za7623775z00, BGl_z62lambda1864z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3214z00zz__ssl_sslz00, BgL_bgl_za762lambda1871za7623776z00, BGl_z62lambda1871z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3215z00zz__ssl_sslz00, BgL_bgl_za762lambda1870za7623777z00, BGl_z62lambda1870z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3140z00zz__ssl_sslz00, BgL_bgl_string3140za700za7za7_3778za7, "_client-socket-use-ssl!", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3216z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73779za7, BGl_z62zc3anonymousza31878ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3141z00zz__ssl_sslz00, BgL_bgl_string3141za700za7za7_3780za7, "socket", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3217z00zz__ssl_sslz00, BgL_bgl_za762lambda1877za7623781z00, BGl_z62lambda1877z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3142z00zz__ssl_sslz00, BgL_bgl_string3142za700za7za7_3782za7, "wrong number of arguments: [1..6] expected, provided", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3218z00zz__ssl_sslz00, BgL_bgl_za762lambda1876za7623783z00, BGl_z62lambda1876z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3219z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73784za7, BGl_z62zc3anonymousza31885ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3144z00zz__ssl_sslz00, BgL_bgl_string3144za700za7za7_3785za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string3145z00zz__ssl_sslz00, BgL_bgl_string3145za700za7za7_3786za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string3146z00zz__ssl_sslz00, BgL_bgl_string3146za700za7za7_3787za7, "~a ", 3 );
DEFINE_STRING( BGl_string3147z00zz__ssl_sslz00, BgL_bgl_string3147za700za7za7_3788za7, "ssl", 3 );
DEFINE_STRING( BGl_string3148z00zz__ssl_sslz00, BgL_bgl_string3148za700za7za7_3789za7, "Unknown protocols", 17 );
DEFINE_STRING( BGl_string3149z00zz__ssl_sslz00, BgL_bgl_string3149za700za7za7_3790za7, "&read-private-key", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3220z00zz__ssl_sslz00, BgL_bgl_za762lambda1884za7623791z00, BGl_z62lambda1884z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3221z00zz__ssl_sslz00, BgL_bgl_za762lambda1883za7623792z00, BGl_z62lambda1883z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3222z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73793za7, BGl_z62zc3anonymousza31892ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3223z00zz__ssl_sslz00, BgL_bgl_za762lambda1891za7623794z00, BGl_z62lambda1891z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3224z00zz__ssl_sslz00, BgL_bgl_za762lambda1890za7623795z00, BGl_z62lambda1890z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3225z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73796za7, BGl_z62zc3anonymousza31899ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3150z00zz__ssl_sslz00, BgL_bgl_string3150za700za7za7_3797za7, "&read-certificate", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3226z00zz__ssl_sslz00, BgL_bgl_za762lambda1898za7623798z00, BGl_z62lambda1898z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3151z00zz__ssl_sslz00, BgL_bgl_string3151za700za7za7_3799za7, "&read-pem-file", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3227z00zz__ssl_sslz00, BgL_bgl_za762lambda1897za7623800z00, BGl_z62lambda1897z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3152z00zz__ssl_sslz00, BgL_bgl_string3152za700za7za7_3801za7, "&ssl-rand-bytes", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3228z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73802za7, BGl_z62zc3anonymousza31906ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3153z00zz__ssl_sslz00, BgL_bgl_string3153za700za7za7_3803za7, "&ssl-rand-pseudo-bytes", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3229z00zz__ssl_sslz00, BgL_bgl_za762lambda1905za7623804z00, BGl_z62lambda1905z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3154z00zz__ssl_sslz00, BgL_bgl_string3154za700za7za7_3805za7, "&certificate-subject", 20 );
DEFINE_STRING( BGl_string3155z00zz__ssl_sslz00, BgL_bgl_string3155za700za7za7_3806za7, "certificate", 11 );
DEFINE_STRING( BGl_string3156z00zz__ssl_sslz00, BgL_bgl_string3156za700za7za7_3807za7, "&certificate-issuer", 19 );
DEFINE_STRING( BGl_string3157z00zz__ssl_sslz00, BgL_bgl_string3157za700za7za7_3808za7, "&%make-certificate", 18 );
DEFINE_STRING( BGl_string3158z00zz__ssl_sslz00, BgL_bgl_string3158za700za7za7_3809za7, "void*", 5 );
DEFINE_STRING( BGl_string3159z00zz__ssl_sslz00, BgL_bgl_string3159za700za7za7_3810za7, "&%make-private-key", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2pemza7d23811za7, BGl_z62readzd2pemzd2filez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3812z00, BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3230z00zz__ssl_sslz00, BgL_bgl_za762lambda1904za7623813z00, BGl_z62lambda1904z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3231z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73814za7, BGl_z62zc3anonymousza31913ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3232z00zz__ssl_sslz00, BgL_bgl_za762lambda1912za7623815z00, BGl_z62lambda1912z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3233z00zz__ssl_sslz00, BgL_bgl_za762lambda1911za7623816z00, BGl_z62lambda1911z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3234z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73817za7, BGl_z62zc3anonymousza31920ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3235z00zz__ssl_sslz00, BgL_bgl_za762lambda1919za7623818z00, BGl_z62lambda1919z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3160z00zz__ssl_sslz00, BgL_bgl_string3160za700za7za7_3819za7, "_secure-context-set-key!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3236z00zz__ssl_sslz00, BgL_bgl_za762lambda1918za7623820z00, BGl_z62lambda1918z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3161z00zz__ssl_sslz00, BgL_bgl_string3161za700za7za7_3821za7, "vector", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3237z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73822za7, BGl_z62zc3anonymousza31927ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3162z00zz__ssl_sslz00, BgL_bgl_string3162za700za7za7_3823za7, "secure-context", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3238z00zz__ssl_sslz00, BgL_bgl_za762lambda1926za7623824z00, BGl_z62lambda1926z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3163z00zz__ssl_sslz00, BgL_bgl_string3163za700za7za7_3825za7, "&bn-bin2bn", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3239z00zz__ssl_sslz00, BgL_bgl_za762lambda1925za7623826z00, BGl_z62lambda1925z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3164z00zz__ssl_sslz00, BgL_bgl_string3164za700za7za7_3827za7, "&bn-bn2bin", 10 );
DEFINE_STRING( BGl_string3165z00zz__ssl_sslz00, BgL_bgl_string3165za700za7za7_3828za7, "foreign", 7 );
DEFINE_STRING( BGl_string3166z00zz__ssl_sslz00, BgL_bgl_string3166za700za7za7_3829za7, "&bn-num-bytes", 13 );
DEFINE_STRING( BGl_string3167z00zz__ssl_sslz00, BgL_bgl_string3167za700za7za7_3830za7, "&bn-free", 8 );
DEFINE_STRING( BGl_string3168z00zz__ssl_sslz00, BgL_bgl_string3168za700za7za7_3831za7, "&bn-set-word", 12 );
DEFINE_STRING( BGl_string3169z00zz__ssl_sslz00, BgL_bgl_string3169za700za7za7_3832za7, "&pkcs5-pbkdf2-hmac-sha1", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3401z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23833za7, BGl_z62dhzd2checkzd2pubzd2key1312zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3240z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73834za7, BGl_z62zc3anonymousza31814ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3403z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73835za7, BGl_z62dhzd2computezd2key1314z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3241z00zz__ssl_sslz00, BgL_bgl_za762lambda1812za7623836z00, BGl_z62lambda1812z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3242z00zz__ssl_sslz00, BgL_bgl_za762lambda1809za7623837z00, BGl_z62lambda1809z62zz__ssl_sslz00, 0L, BUNSPEC, 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3405z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3838z00, BGl_z62dhzd2generatezd2key1316z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3243z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73839za7, BGl_z62zc3anonymousza31945ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3331z00zz__ssl_sslz00, BgL_bgl_string3331za700za7za7_3840za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3244z00zz__ssl_sslz00, BgL_bgl_za762lambda1944za7623841z00, BGl_z62lambda1944z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3407z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23842za7, BGl_z62sslzd2hashzd2init1318z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3332z00zz__ssl_sslz00, BgL_bgl_string3332za700za7za7_3843za7, "default", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3245z00zz__ssl_sslz00, BgL_bgl_za762lambda1943za7623844z00, BGl_z62lambda1943z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3246z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73845za7, BGl_z62zc3anonymousza31952ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3409z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23846za7, BGl_z62sslzd2hashzd2updatez121320z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3334z00zz__ssl_sslz00, BgL_bgl_string3334za700za7za7_3847za7, "secure-context-init1238", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3247z00zz__ssl_sslz00, BgL_bgl_za762lambda1951za7623848z00, BGl_z62lambda1951z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3248z00zz__ssl_sslz00, BgL_bgl_za762lambda1950za7623849z00, BGl_z62lambda1950z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3336z00zz__ssl_sslz00, BgL_bgl_string3336za700za7za7_3850za7, "secure-context-close1240", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3249z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73851za7, BGl_z62zc3anonymousza31959ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3338z00zz__ssl_sslz00, BgL_bgl_string3338za700za7za7_3852za7, "secure-context-add-r1242", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7eza713853z00, BGl_z62dhzd2siza7ez17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3411z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23854za7, BGl_z62sslzd2hashzd2digest1322z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3250z00zz__ssl_sslz00, BgL_bgl_za762lambda1958za7623855z00, BGl_z62lambda1958z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3500z00zz__ssl_sslz00, BgL_bgl_string3500za700za7za7_3856za7, "&dh-compute-key", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3413z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23857za7, BGl_z62sslzd2hmaczd2init1324z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3251z00zz__ssl_sslz00, BgL_bgl_za762lambda1957za7623858z00, BGl_z62lambda1957z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3501z00zz__ssl_sslz00, BgL_bgl_string3501za700za7za7_3859za7, "&dh-generate-key", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3252z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73860za7, BGl_z62zc3anonymousza31966ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3502z00zz__ssl_sslz00, BgL_bgl_string3502za700za7za7_3861za7, "&ssl-hash-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3415z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23862za7, BGl_z62sslzd2hmaczd2updatez121326z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3340z00zz__ssl_sslz00, BgL_bgl_string3340za700za7za7_3863za7, "secure-context-add-c1244", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3253z00zz__ssl_sslz00, BgL_bgl_za762lambda1965za7623864z00, BGl_z62lambda1965z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3865z00, BGl_z62certificatezd2issuerzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3503z00zz__ssl_sslz00, BgL_bgl_string3503za700za7za7_3866za7, "&ssl-hash-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3254z00zz__ssl_sslz00, BgL_bgl_za762lambda1964za7623867z00, BGl_z62lambda1964z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3504z00zz__ssl_sslz00, BgL_bgl_string3504za700za7za7_3868za7, "&ssl-hash-digest", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3417z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23869za7, BGl_z62sslzd2hmaczd2digest1328z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3342z00zz__ssl_sslz00, BgL_bgl_string3342za700za7za7_3870za7, "secure-context-add-c1246", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3255z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73871za7, BGl_z62zc3anonymousza31973ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3505z00zz__ssl_sslz00, BgL_bgl_string3505za700za7za7_3872za7, "&ssl-hmac-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3256z00zz__ssl_sslz00, BgL_bgl_za762lambda1972za7623873z00, BGl_z62lambda1972z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3506z00zz__ssl_sslz00, BgL_bgl_string3506za700za7za7_3874za7, "&ssl-hmac-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3419z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23875za7, BGl_z62sslzd2signzd2init1330z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3344z00zz__ssl_sslz00, BgL_bgl_string3344za700za7za7_3876za7, "secure-context-set-k1248", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3257z00zz__ssl_sslz00, BgL_bgl_za762lambda1971za7623877z00, BGl_z62lambda1971z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3507z00zz__ssl_sslz00, BgL_bgl_string3507za700za7za7_3878za7, "&ssl-hmac-digest", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3258z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73879za7, BGl_z62zc3anonymousza31980ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3508z00zz__ssl_sslz00, BgL_bgl_string3508za700za7za7_3880za7, "&ssl-sign-init", 14 );
DEFINE_STRING( BGl_string3346z00zz__ssl_sslz00, BgL_bgl_string3346za700za7za7_3881za7, "secure-context-set-c1256", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3259z00zz__ssl_sslz00, BgL_bgl_za762lambda1979za7623882z00, BGl_z62lambda1979z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3509z00zz__ssl_sslz00, BgL_bgl_string3509za700za7za7_3883za7, "&ssl-sign-update!", 17 );
DEFINE_STRING( BGl_string3348z00zz__ssl_sslz00, BgL_bgl_string3348za700za7za7_3884za7, "secure-context-set-s1258", 24 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2getza7d2c3885za7, BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3421z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23886za7, BGl_z62sslzd2signzd2updatez121332z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3260z00zz__ssl_sslz00, BgL_bgl_za762lambda1978za7623887z00, BGl_z62lambda1978z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BgL_bgl__secureza7d2contex3888za7, opt_generic_entry, BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3510z00zz__ssl_sslz00, BgL_bgl_string3510za700za7za7_3889za7, "&ssl-sign-sign", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3423z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23890za7, BGl_z62sslzd2signzd2sign1334z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3261z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73891za7, BGl_z62zc3anonymousza31985ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3511z00zz__ssl_sslz00, BgL_bgl_string3511za700za7za7_3892za7, "&ssl-verify-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3262z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73893za7, BGl_z62zc3anonymousza31984ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3512z00zz__ssl_sslz00, BgL_bgl_string3512za700za7za7_3894za7, "&ssl-verify-update!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3425z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73895za7, BGl_z62sslzd2verifyzd2init1336z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3350z00zz__ssl_sslz00, BgL_bgl_string3350za700za7za7_3896za7, "secure-context-load-1260", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3263z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73897za7, BGl_z62zc3anonymousza31990ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3513z00zz__ssl_sslz00, BgL_bgl_string3513za700za7za7_3898za7, "&ssl-verify-final", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3264z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73899za7, BGl_z62zc3anonymousza31989ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3514z00zz__ssl_sslz00, BgL_bgl_string3514za700za7za7_3900za7, "&ssl-cipher-init", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3427z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73901za7, BGl_z62sslzd2verifyzd2updatez121338z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3352z00zz__ssl_sslz00, BgL_bgl_string3352za700za7za7_3902za7, "secure-context-set-c1262", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3265z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73903za7, BGl_z62zc3anonymousza31995ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3515z00zz__ssl_sslz00, BgL_bgl_string3515za700za7za7_3904za7, "ssl-cipher", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3266z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73905za7, BGl_z62zc3anonymousza31994ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3516z00zz__ssl_sslz00, BgL_bgl_string3516za700za7za7_3906za7, "&ssl-cipher-initiv", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3429z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73907za7, BGl_z62sslzd2verifyzd2final1340z62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3354z00zz__ssl_sslz00, BgL_bgl_string3354za700za7za7_3908za7, "secure-context-set-o1264", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3267z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73909za7, BGl_z62zc3anonymousza32000ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3517z00zz__ssl_sslz00, BgL_bgl_string3517za700za7za7_3910za7, "&ssl-cipher-update!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3268z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73911za7, BGl_z62zc3anonymousza31999ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3518z00zz__ssl_sslz00, BgL_bgl_string3518za700za7za7_3912za7, "&ssl-cipher-set-auto-padding", 28 );
DEFINE_STRING( BGl_string3356z00zz__ssl_sslz00, BgL_bgl_string3356za700za7za7_3913za7, "ssl-connection-init1266", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3269z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73914za7, BGl_z62zc3anonymousza32005ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3519z00zz__ssl_sslz00, BgL_bgl_string3519za700za7za7_3915za7, "&ssl-cipher-final", 17 );
DEFINE_STRING( BGl_string3358z00zz__ssl_sslz00, BgL_bgl_string3358za700za7za7_3916za7, "ssl-connection-start1268", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3917z00, BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3431z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73918za7, BGl_z62sslzd2cipherzd2init1342z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3270z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73919za7, BGl_z62zc3anonymousza32004ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3520z00zz__ssl_sslz00, BgL_bgl_string3520za700za7za7_3920za7, "DH-GENERATOR-2 ssl-cipher $ssl-cipher-ctx $cipher-ctx $ssl-cipher $cipher ssl-verify ssl-sign ssl-hmac $ssl-hmac-ctx ssl-hash type $ssl-evp-md-ctx $md-ctx $ssl-evp-md $md dh public-key g q p %priv %pub %g %q $bignum %p $dh ssl-connection sent-shutdown received-shutdown err npn-protos selected-npn-protos procedure newsession-callback sni-context-callback info-callback reject-unauthorized obj server-name request-cert bool isserver ctx $ssl-session $next-session $bio-write $bio $bio-read $ssl secure-context bstring method $X509-store $ca-store $ssl-ctx private-key $private-key __ssl_ssl certificate $certificate $native dtlsv1 dtls tlsv1_2 tlsv1_1 tlsv1 tls ssl sslv3 sslv2 make-ssl-server-socket :ipv6 :backlog :name (:ipv6 :backlog :accepted-certs :CAs :pkey :cert :protocol :name) client-socket-use-ssl! (:CAs :accepted-certs :cert :pkey :protocol) :timeout :protocol :pkey :outbuf :inbuf :cert :accepted-certs :CAs make-ssl-client-socket (:CAs :accepted-certs :cert :inbuf :outbuf :pkey :protocol :timeout) sslv23 ", 1022 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3433z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73921za7, BGl_z62sslzd2cipherzd2initiv1344z62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3271z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73922za7, BGl_z62zc3anonymousza32010ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3272z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73923za7, BGl_z62zc3anonymousza32014ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3435z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73924za7, BGl_z62sslzd2cipherzd2updatez121346z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3360z00zz__ssl_sslz00, BgL_bgl_string3360za700za7za7_3925za7, "ssl-connection-close1270", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3273z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73926za7, BGl_z62zc3anonymousza32024ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3274z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73927za7, BGl_z62zc3anonymousza32028ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3437z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73928za7, BGl_z62sslzd2cipherzd2setzd2autozd21348z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3362z00zz__ssl_sslz00, BgL_bgl_string3362za700za7za7_3929za7, "ssl-connection-shutd1272", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3275z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73930za7, BGl_z62zc3anonymousza32038ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3276z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73931za7, BGl_z62zc3anonymousza32042ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3439z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73932za7, BGl_z62sslzd2cipherzd2final1350z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3364z00zz__ssl_sslz00, BgL_bgl_string3364za700za7za7_3933za7, "ssl-connection-read1274", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3277z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73934za7, BGl_z62zc3anonymousza32052ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3278z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73935za7, BGl_z62zc3anonymousza32056ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3366z00zz__ssl_sslz00, BgL_bgl_string3366za700za7za7_3936za7, "ssl-connection-write1276", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3279z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73937za7, BGl_z62zc3anonymousza32065ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23938za7, BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3939z00, BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3368z00zz__ssl_sslz00, BgL_bgl_string3368za700za7za7_3940za7, "ssl-connection-clear1278", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73941za7, BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3942z00, BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3280z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73943za7, BGl_z62zc3anonymousza32069ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3281z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73944za7, BGl_z62zc3anonymousza31938ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3282z00zz__ssl_sslz00, BgL_bgl_za762lambda1936za7623945z00, BGl_z62lambda1936z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3370z00zz__ssl_sslz00, BgL_bgl_string3370za700za7za7_3946za7, "ssl-connection-clear1280", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3283z00zz__ssl_sslz00, BgL_bgl_za762lambda1933za7623947z00, BGl_z62lambda1933z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3284z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73948za7, BGl_z62zc3anonymousza32091ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3372z00zz__ssl_sslz00, BgL_bgl_string3372za700za7za7_3949za7, "ssl-connection-init-1282", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3285z00zz__ssl_sslz00, BgL_bgl_za762lambda2090za7623950z00, BGl_z62lambda2090z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3286z00zz__ssl_sslz00, BgL_bgl_za762lambda2089za7623951z00, BGl_z62lambda2089z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3374z00zz__ssl_sslz00, BgL_bgl_string3374za700za7za7_3952za7, "ssl-connection-enc-p1284", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3287z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73953za7, BGl_z62zc3anonymousza32098ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3288z00zz__ssl_sslz00, BgL_bgl_za762lambda2097za7623954z00, BGl_z62lambda2097z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3376z00zz__ssl_sslz00, BgL_bgl_string3376za700za7za7_3955za7, "ssl-connection-clear1286", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3289z00zz__ssl_sslz00, BgL_bgl_za762lambda2096za7623956z00, BGl_z62lambda2096z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3378z00zz__ssl_sslz00, BgL_bgl_string3378za700za7za7_3957za7, "ssl-connection-set-s1288", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23958za7, BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3290z00zz__ssl_sslz00, BgL_bgl_za762lambda2103za7623959z00, BGl_z62lambda2103z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3291z00zz__ssl_sslz00, BgL_bgl_za762lambda2102za7623960z00, BGl_z62lambda2102z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3292z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73961za7, BGl_z62zc3anonymousza32084ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3380z00zz__ssl_sslz00, BgL_bgl_string3380za700za7za7_3962za7, "ssl-connection-get-s1290", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3293z00zz__ssl_sslz00, BgL_bgl_za762lambda2082za7623963z00, BGl_z62lambda2082z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3294z00zz__ssl_sslz00, BgL_bgl_za762lambda2079za7623964z00, BGl_z62lambda2079z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3382z00zz__ssl_sslz00, BgL_bgl_string3382za700za7za7_3965za7, "ssl-connection-get-c1292", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3295z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73966za7, BGl_z62zc3anonymousza32120ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3296z00zz__ssl_sslz00, BgL_bgl_za762lambda2119za7623967z00, BGl_z62lambda2119z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3384z00zz__ssl_sslz00, BgL_bgl_string3384za700za7za7_3968za7, "ssl-connection-load-1294", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3297z00zz__ssl_sslz00, BgL_bgl_za762lambda2118za7623969z00, BGl_z62lambda2118z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3298z00zz__ssl_sslz00, BgL_bgl_za762za7c3anonymousza73970za7, BGl_z62zc3anonymousza32127ze3ze1zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3386z00zz__ssl_sslz00, BgL_bgl_string3386za700za7za7_3971za7, "ssl-connection-verif1296", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3299z00zz__ssl_sslz00, BgL_bgl_za762lambda2126za7623972z00, BGl_z62lambda2126z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3388z00zz__ssl_sslz00, BgL_bgl_string3388za700za7za7_3973za7, "ssl-connection-get-p1298", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3974z00, BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23975za7, BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3390z00zz__ssl_sslz00, BgL_bgl_string3390za700za7za7_3976za7, "ssl-connection-reuse1300", 24 );
DEFINE_STRING( BGl_string3392z00zz__ssl_sslz00, BgL_bgl_string3392za700za7za7_3977za7, "ssl-connection-get-n1302", 24 );
DEFINE_STRING( BGl_string3394z00zz__ssl_sslz00, BgL_bgl_string3394za700za7za7_3978za7, "dh-init1304", 11 );
DEFINE_STRING( BGl_string3396z00zz__ssl_sslz00, BgL_bgl_string3396za700za7za7_3979za7, "dh-size1306", 11 );
DEFINE_STRING( BGl_string3398z00zz__ssl_sslz00, BgL_bgl_string3398za700za7za7_3980za7, "dh-generate-paramete1308", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3981z00, BGl_z62securezd2contextzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3982z00, BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2pri3983za7, BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3984z00, BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2cer3985za7, BGl_z62z52makezd2certificateze2zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2numza7d2by3986za7, BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3987z00, BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23988za7, BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23989za7, BGl_z62sslzd2signzd2signz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2clearza7d3990za7, BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3991z00, BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3992z00, BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3993z00, BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3994z00, BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23995za7, BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2freezd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2freeza7b0za73996z00, BGl_z62bnzd2freezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23997za7, BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2newzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2newza7b0za7za73998za7, BGl_z62bnzd2newzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3999z00, BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza74000za7, BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_certificatez00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_privatezd2keyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2connectionzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hashzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2signzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hmaczd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2verifyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2cipherzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_securezd2contextzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_dhz00zz__ssl_sslz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long BgL_checksumz00_5657, char * BgL_fromz00_5658)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_sslz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ssl_sslz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(); 
BGl_cnstzd2initzd2zz__ssl_sslz00(); 
BGl_objectzd2initzd2zz__ssl_sslz00(); 
BGl_genericzd2initzd2zz__ssl_sslz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_sslz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__socketz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ssl_ssl"); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
obj_t BgL_cportz00_5221;
{ /* Llib/ssl.scm 15 */
obj_t BgL_stringz00_5229;
BgL_stringz00_5229 = BGl_string3520z00zz__ssl_sslz00; 
{ /* Llib/ssl.scm 15 */
obj_t BgL_startz00_5230;
BgL_startz00_5230 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 15 */
obj_t BgL_endz00_5231;
BgL_endz00_5231 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5229))); 
{ /* Llib/ssl.scm 15 */

BgL_cportz00_5221 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5229, BgL_startz00_5230, BgL_endz00_5231); } } } } 
{ 
long BgL_iz00_5222;
BgL_iz00_5222 = ((long)89); 
BgL_loopz00_5223:
if(
(BgL_iz00_5222==((long)-1)))
{ /* Llib/ssl.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
obj_t BgL_arg3522z00_5225;
{ /* Llib/ssl.scm 15 */

{ /* Llib/ssl.scm 15 */
obj_t BgL_locationz00_5227;
BgL_locationz00_5227 = 
BBOOL(((bool_t)0)); 
{ /* Llib/ssl.scm 15 */

BgL_arg3522z00_5225 = 
BGl_readz00zz__readerz00(BgL_cportz00_5221, BgL_locationz00_5227); } } } 
{ /* Llib/ssl.scm 15 */
int BgL_tmpz00_5692;
BgL_tmpz00_5692 = 
(int)(BgL_iz00_5222); 
CNST_TABLE_SET(BgL_tmpz00_5692, BgL_arg3522z00_5225); } } 
{ /* Llib/ssl.scm 15 */
int BgL_auxz00_5228;
BgL_auxz00_5228 = 
(int)(
(BgL_iz00_5222-((long)1))); 
{ 
long BgL_iz00_5697;
BgL_iz00_5697 = 
(long)(BgL_auxz00_5228); 
BgL_iz00_5222 = BgL_iz00_5697; 
goto BgL_loopz00_5223;} } } } } } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* ssl-version */
BGL_EXPORTED_DEF char * BGl_sslzd2versionzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 568 */
return 
bgl_ssl_version();} 
BGL_FUNCTION_END;
}



/* &ssl-version */
obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t BgL_envz00_3716)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 568 */
return 
string_to_bstring(
BGl_sslzd2versionzd2zz__ssl_sslz00());} 
BGL_FUNCTION_END;
}



/* ssl-clear-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 576 */
ERR_clear_error(); BUNSPEC; 
return BTRUE;} 
BGL_FUNCTION_END;
}



/* &ssl-clear-error */
obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t BgL_envz00_3717)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 576 */
return 
BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();} 
BGL_FUNCTION_END;
}



/* sanity-args-checks */
obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t BgL_funcz00_3, obj_t BgL_certz00_4, obj_t BgL_pkeyz00_5, obj_t BgL_casz00_6, obj_t BgL_acceptedzd2certszd2_7)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 584 */
{ /* Llib/ssl.scm 585 */
bool_t BgL_testz00_5705;
if(
CBOOL(BgL_certz00_4))
{ /* Llib/ssl.scm 585 */
BgL_testz00_5705 = 
BGl_isazf3zf3zz__objectz00(BgL_certz00_4, BGl_certificatez00zz__ssl_sslz00)
; }  else 
{ /* Llib/ssl.scm 585 */
BgL_testz00_5705 = ((bool_t)1)
; } 
if(BgL_testz00_5705)
{ /* Llib/ssl.scm 585 */BFALSE; }  else 
{ /* Llib/ssl.scm 585 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3128z00zz__ssl_sslz00, BgL_certz00_4); } } 
{ /* Llib/ssl.scm 587 */
bool_t BgL_testz00_5710;
if(
CBOOL(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 587 */
BgL_testz00_5710 = 
BGl_isazf3zf3zz__objectz00(BgL_pkeyz00_5, BGl_privatezd2keyzd2zz__ssl_sslz00)
; }  else 
{ /* Llib/ssl.scm 587 */
BgL_testz00_5710 = ((bool_t)1)
; } 
if(BgL_testz00_5710)
{ /* Llib/ssl.scm 587 */BFALSE; }  else 
{ /* Llib/ssl.scm 587 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3129z00zz__ssl_sslz00, BgL_pkeyz00_5); } } 
{ /* Llib/ssl.scm 589 */
bool_t BgL_testz00_5715;
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_6))
{ 
obj_t BgL_l1179z00_211;
BgL_l1179z00_211 = BgL_casz00_6; 
BgL_zc3anonymousza31411ze3z83_212:
if(
NULLP(BgL_l1179z00_211))
{ /* Llib/ssl.scm 589 */
BgL_testz00_5715 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 589 */
bool_t BgL_testz00_5720;
{ /* Llib/ssl.scm 589 */
obj_t BgL_cz00_217;
BgL_cz00_217 = 
CAR(
((obj_t)BgL_l1179z00_211)); 
BgL_testz00_5720 = 
BGl_isazf3zf3zz__objectz00(BgL_cz00_217, BGl_certificatez00zz__ssl_sslz00); } 
if(BgL_testz00_5720)
{ 
obj_t BgL_l1179z00_5724;
BgL_l1179z00_5724 = 
CDR(
((obj_t)BgL_l1179z00_211)); 
BgL_l1179z00_211 = BgL_l1179z00_5724; 
goto BgL_zc3anonymousza31411ze3z83_212;}  else 
{ /* Llib/ssl.scm 589 */
BgL_testz00_5715 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 589 */
BgL_testz00_5715 = ((bool_t)0)
; } 
if(BgL_testz00_5715)
{ /* Llib/ssl.scm 589 */BFALSE; }  else 
{ /* Llib/ssl.scm 589 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3130z00zz__ssl_sslz00, BgL_casz00_6); } } 
{ /* Llib/ssl.scm 591 */
bool_t BgL_testz00_5728;
if(
CBOOL(BgL_acceptedzd2certszd2_7))
{ /* Llib/ssl.scm 591 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_acceptedzd2certszd2_7))
{ 
obj_t BgL_l1182z00_232;
BgL_l1182z00_232 = BgL_acceptedzd2certszd2_7; 
BgL_zc3anonymousza31499ze3z83_233:
if(
NULLP(BgL_l1182z00_232))
{ /* Llib/ssl.scm 593 */
BgL_testz00_5728 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 593 */
bool_t BgL_testz00_5735;
{ /* Llib/ssl.scm 593 */
obj_t BgL_cz00_238;
BgL_cz00_238 = 
CAR(
((obj_t)BgL_l1182z00_232)); 
BgL_testz00_5735 = 
BGl_isazf3zf3zz__objectz00(BgL_cz00_238, BGl_certificatez00zz__ssl_sslz00); } 
if(BgL_testz00_5735)
{ 
obj_t BgL_l1182z00_5739;
BgL_l1182z00_5739 = 
CDR(
((obj_t)BgL_l1182z00_232)); 
BgL_l1182z00_232 = BgL_l1182z00_5739; 
goto BgL_zc3anonymousza31499ze3z83_233;}  else 
{ /* Llib/ssl.scm 593 */
BgL_testz00_5728 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 592 */
BgL_testz00_5728 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 591 */
BgL_testz00_5728 = ((bool_t)1)
; } 
if(BgL_testz00_5728)
{ /* Llib/ssl.scm 591 */BFALSE; }  else 
{ /* Llib/ssl.scm 591 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3131z00zz__ssl_sslz00, BgL_acceptedzd2certszd2_7); } } 
{ /* Llib/ssl.scm 595 */
bool_t BgL_testz00_5743;
{ /* Llib/ssl.scm 595 */
bool_t BgL_testz00_5744;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 595 */
if(
BGl_isazf3zf3zz__objectz00(BgL_pkeyz00_5, BGl_privatezd2keyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 595 */
BgL_testz00_5744 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 595 */
BgL_testz00_5744 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 595 */
BgL_testz00_5744 = ((bool_t)0)
; } 
if(BgL_testz00_5744)
{ /* Llib/ssl.scm 595 */
BgL_testz00_5743 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 595 */
if(
BGl_isazf3zf3zz__objectz00(BgL_pkeyz00_5, BGl_privatezd2keyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 596 */
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 596 */
BgL_testz00_5743 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 596 */
BgL_testz00_5743 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 596 */
BgL_testz00_5743 = ((bool_t)0)
; } } } 
if(BgL_testz00_5743)
{ /* Llib/ssl.scm 599 */
obj_t BgL_arg1509z00_248;
{ /* Llib/ssl.scm 599 */
obj_t BgL_list1510z00_249;
{ /* Llib/ssl.scm 599 */
obj_t BgL_arg1517z00_250;
BgL_arg1517z00_250 = 
MAKE_YOUNG_PAIR(BgL_certz00_4, BNIL); 
BgL_list1510z00_249 = 
MAKE_YOUNG_PAIR(BgL_pkeyz00_5, BgL_arg1517z00_250); } 
BgL_arg1509z00_248 = BgL_list1510z00_249; } 
return 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3132z00zz__ssl_sslz00, BgL_arg1509z00_248);}  else 
{ /* Llib/ssl.scm 595 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* _make-ssl-client-socket */
obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_envz00_19, obj_t BgL_opt1210z00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 604 */
{ /* Llib/ssl.scm 604 */
obj_t BgL_g1223z00_260;obj_t BgL_g1224z00_261;
BgL_g1223z00_260 = 
VECTOR_REF(BgL_opt1210z00_18,((long)0)); 
BgL_g1224z00_261 = 
VECTOR_REF(BgL_opt1210z00_18,((long)1)); 
{ /* Llib/ssl.scm 610 */
obj_t BgL_casz00_262;
BgL_casz00_262 = BNIL; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_acceptedzd2certszd2_263;
BgL_acceptedzd2certszd2_263 = BFALSE; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_certz00_264;
BgL_certz00_264 = BFALSE; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_inbufz00_265;
BgL_inbufz00_265 = BTRUE; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_outbufz00_266;
BgL_outbufz00_266 = BTRUE; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_pkeyz00_267;
BgL_pkeyz00_267 = BFALSE; 
{ /* Llib/ssl.scm 608 */
obj_t BgL_protocolz00_268;
BgL_protocolz00_268 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 604 */
obj_t BgL_timeoutz00_269;
BgL_timeoutz00_269 = 
BINT(((long)0)); 
{ /* Llib/ssl.scm 604 */

{ 
long BgL_iz00_270;
BgL_iz00_270 = ((long)2); 
BgL_check1213z00_271:
if(
(BgL_iz00_270==
VECTOR_LENGTH(BgL_opt1210z00_18)))
{ /* Llib/ssl.scm 604 */BNIL; }  else 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5763;
{ /* Llib/ssl.scm 604 */
obj_t BgL_arg1542z00_277;
BgL_arg1542z00_277 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_iz00_270); 
BgL_testz00_5763 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1542z00_277, 
CNST_TABLE_REF(((long)1)))); } 
if(BgL_testz00_5763)
{ 
long BgL_iz00_5768;
BgL_iz00_5768 = 
(BgL_iz00_270+((long)2)); 
BgL_iz00_270 = BgL_iz00_5768; 
goto BgL_check1213z00_271;}  else 
{ /* Llib/ssl.scm 604 */
obj_t BgL_arg1525z00_276;
BgL_arg1525z00_276 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_iz00_270); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string3133z00zz__ssl_sslz00, BgL_arg1525z00_276); } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1215z00_278;
BgL_index1215z00_278 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)3)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5776;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1792;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5777;
if(
INTEGERP(BgL_index1215z00_278))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5777 = BgL_index1215z00_278
; }  else 
{ 
obj_t BgL_auxz00_5780;
BgL_auxz00_5780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1215z00_278); 
FAILURE(BgL_auxz00_5780,BFALSE,BFALSE);} 
BgL_n1z00_1792 = 
(long)CINT(BgL_tmpz00_5777); } 
BgL_testz00_5776 = 
(BgL_n1z00_1792>=((long)0)); } 
if(BgL_testz00_5776)
{ 
long BgL_auxz00_5786;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5787;
if(
INTEGERP(BgL_index1215z00_278))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5787 = BgL_index1215z00_278
; }  else 
{ 
obj_t BgL_auxz00_5790;
BgL_auxz00_5790 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1215z00_278); 
FAILURE(BgL_auxz00_5790,BFALSE,BFALSE);} 
BgL_auxz00_5786 = 
(long)CINT(BgL_tmpz00_5787); } 
BgL_casz00_262 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5786); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1216z00_280;
BgL_index1216z00_280 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)4)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5799;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1794;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5800;
if(
INTEGERP(BgL_index1216z00_280))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5800 = BgL_index1216z00_280
; }  else 
{ 
obj_t BgL_auxz00_5803;
BgL_auxz00_5803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1216z00_280); 
FAILURE(BgL_auxz00_5803,BFALSE,BFALSE);} 
BgL_n1z00_1794 = 
(long)CINT(BgL_tmpz00_5800); } 
BgL_testz00_5799 = 
(BgL_n1z00_1794>=((long)0)); } 
if(BgL_testz00_5799)
{ 
long BgL_auxz00_5809;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5810;
if(
INTEGERP(BgL_index1216z00_280))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5810 = BgL_index1216z00_280
; }  else 
{ 
obj_t BgL_auxz00_5813;
BgL_auxz00_5813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1216z00_280); 
FAILURE(BgL_auxz00_5813,BFALSE,BFALSE);} 
BgL_auxz00_5809 = 
(long)CINT(BgL_tmpz00_5810); } 
BgL_acceptedzd2certszd2_263 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5809); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1217z00_282;
BgL_index1217z00_282 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)5)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5822;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1796;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5823;
if(
INTEGERP(BgL_index1217z00_282))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5823 = BgL_index1217z00_282
; }  else 
{ 
obj_t BgL_auxz00_5826;
BgL_auxz00_5826 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1217z00_282); 
FAILURE(BgL_auxz00_5826,BFALSE,BFALSE);} 
BgL_n1z00_1796 = 
(long)CINT(BgL_tmpz00_5823); } 
BgL_testz00_5822 = 
(BgL_n1z00_1796>=((long)0)); } 
if(BgL_testz00_5822)
{ 
long BgL_auxz00_5832;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5833;
if(
INTEGERP(BgL_index1217z00_282))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5833 = BgL_index1217z00_282
; }  else 
{ 
obj_t BgL_auxz00_5836;
BgL_auxz00_5836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1217z00_282); 
FAILURE(BgL_auxz00_5836,BFALSE,BFALSE);} 
BgL_auxz00_5832 = 
(long)CINT(BgL_tmpz00_5833); } 
BgL_certz00_264 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5832); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1218z00_284;
BgL_index1218z00_284 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)6)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5845;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1798;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5846;
if(
INTEGERP(BgL_index1218z00_284))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5846 = BgL_index1218z00_284
; }  else 
{ 
obj_t BgL_auxz00_5849;
BgL_auxz00_5849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1218z00_284); 
FAILURE(BgL_auxz00_5849,BFALSE,BFALSE);} 
BgL_n1z00_1798 = 
(long)CINT(BgL_tmpz00_5846); } 
BgL_testz00_5845 = 
(BgL_n1z00_1798>=((long)0)); } 
if(BgL_testz00_5845)
{ 
long BgL_auxz00_5855;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5856;
if(
INTEGERP(BgL_index1218z00_284))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5856 = BgL_index1218z00_284
; }  else 
{ 
obj_t BgL_auxz00_5859;
BgL_auxz00_5859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1218z00_284); 
FAILURE(BgL_auxz00_5859,BFALSE,BFALSE);} 
BgL_auxz00_5855 = 
(long)CINT(BgL_tmpz00_5856); } 
BgL_inbufz00_265 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5855); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1219z00_286;
BgL_index1219z00_286 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)7)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5868;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1800;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5869;
if(
INTEGERP(BgL_index1219z00_286))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5869 = BgL_index1219z00_286
; }  else 
{ 
obj_t BgL_auxz00_5872;
BgL_auxz00_5872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1219z00_286); 
FAILURE(BgL_auxz00_5872,BFALSE,BFALSE);} 
BgL_n1z00_1800 = 
(long)CINT(BgL_tmpz00_5869); } 
BgL_testz00_5868 = 
(BgL_n1z00_1800>=((long)0)); } 
if(BgL_testz00_5868)
{ 
long BgL_auxz00_5878;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5879;
if(
INTEGERP(BgL_index1219z00_286))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5879 = BgL_index1219z00_286
; }  else 
{ 
obj_t BgL_auxz00_5882;
BgL_auxz00_5882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1219z00_286); 
FAILURE(BgL_auxz00_5882,BFALSE,BFALSE);} 
BgL_auxz00_5878 = 
(long)CINT(BgL_tmpz00_5879); } 
BgL_outbufz00_266 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5878); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1220z00_288;
BgL_index1220z00_288 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)8)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5891;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1802;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5892;
if(
INTEGERP(BgL_index1220z00_288))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5892 = BgL_index1220z00_288
; }  else 
{ 
obj_t BgL_auxz00_5895;
BgL_auxz00_5895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1220z00_288); 
FAILURE(BgL_auxz00_5895,BFALSE,BFALSE);} 
BgL_n1z00_1802 = 
(long)CINT(BgL_tmpz00_5892); } 
BgL_testz00_5891 = 
(BgL_n1z00_1802>=((long)0)); } 
if(BgL_testz00_5891)
{ 
long BgL_auxz00_5901;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5902;
if(
INTEGERP(BgL_index1220z00_288))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5902 = BgL_index1220z00_288
; }  else 
{ 
obj_t BgL_auxz00_5905;
BgL_auxz00_5905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1220z00_288); 
FAILURE(BgL_auxz00_5905,BFALSE,BFALSE);} 
BgL_auxz00_5901 = 
(long)CINT(BgL_tmpz00_5902); } 
BgL_pkeyz00_267 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5901); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1221z00_290;
BgL_index1221z00_290 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)9)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5914;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1804;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5915;
if(
INTEGERP(BgL_index1221z00_290))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5915 = BgL_index1221z00_290
; }  else 
{ 
obj_t BgL_auxz00_5918;
BgL_auxz00_5918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1221z00_290); 
FAILURE(BgL_auxz00_5918,BFALSE,BFALSE);} 
BgL_n1z00_1804 = 
(long)CINT(BgL_tmpz00_5915); } 
BgL_testz00_5914 = 
(BgL_n1z00_1804>=((long)0)); } 
if(BgL_testz00_5914)
{ 
long BgL_auxz00_5924;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5925;
if(
INTEGERP(BgL_index1221z00_290))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5925 = BgL_index1221z00_290
; }  else 
{ 
obj_t BgL_auxz00_5928;
BgL_auxz00_5928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1221z00_290); 
FAILURE(BgL_auxz00_5928,BFALSE,BFALSE);} 
BgL_auxz00_5924 = 
(long)CINT(BgL_tmpz00_5925); } 
BgL_protocolz00_268 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5924); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_index1222z00_292;
BgL_index1222z00_292 = 
BGl_search1212ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1210z00_18), BgL_opt1210z00_18, 
CNST_TABLE_REF(((long)10)), ((long)2)); 
{ /* Llib/ssl.scm 604 */
bool_t BgL_testz00_5937;
{ /* Llib/ssl.scm 604 */
long BgL_n1z00_1806;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5938;
if(
INTEGERP(BgL_index1222z00_292))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5938 = BgL_index1222z00_292
; }  else 
{ 
obj_t BgL_auxz00_5941;
BgL_auxz00_5941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1222z00_292); 
FAILURE(BgL_auxz00_5941,BFALSE,BFALSE);} 
BgL_n1z00_1806 = 
(long)CINT(BgL_tmpz00_5938); } 
BgL_testz00_5937 = 
(BgL_n1z00_1806>=((long)0)); } 
if(BgL_testz00_5937)
{ 
long BgL_auxz00_5947;
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5948;
if(
INTEGERP(BgL_index1222z00_292))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5948 = BgL_index1222z00_292
; }  else 
{ 
obj_t BgL_auxz00_5951;
BgL_auxz00_5951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1222z00_292); 
FAILURE(BgL_auxz00_5951,BFALSE,BFALSE);} 
BgL_auxz00_5947 = 
(long)CINT(BgL_tmpz00_5948); } 
BgL_timeoutz00_269 = 
VECTOR_REF(BgL_opt1210z00_18,BgL_auxz00_5947); }  else 
{ /* Llib/ssl.scm 604 */BFALSE; } } } 
{ /* Llib/ssl.scm 604 */
obj_t BgL_arg1560z00_294;obj_t BgL_arg1561z00_295;
BgL_arg1560z00_294 = 
VECTOR_REF(BgL_opt1210z00_18,((long)0)); 
BgL_arg1561z00_295 = 
VECTOR_REF(BgL_opt1210z00_18,((long)1)); 
{ /* Llib/ssl.scm 604 */
obj_t BgL_casz00_296;
BgL_casz00_296 = BgL_casz00_262; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_acceptedzd2certszd2_297;
BgL_acceptedzd2certszd2_297 = BgL_acceptedzd2certszd2_263; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_certz00_298;
BgL_certz00_298 = BgL_certz00_264; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_inbufz00_299;
BgL_inbufz00_299 = BgL_inbufz00_265; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_outbufz00_300;
BgL_outbufz00_300 = BgL_outbufz00_266; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_pkeyz00_301;
BgL_pkeyz00_301 = BgL_pkeyz00_267; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_protocolz00_302;
BgL_protocolz00_302 = BgL_protocolz00_268; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_timeoutz00_303;
BgL_timeoutz00_303 = BgL_timeoutz00_269; 
{ /* Llib/ssl.scm 604 */
obj_t BgL_hostnamez00_1808;int BgL_portz00_1809;
if(
STRINGP(BgL_arg1560z00_294))
{ /* Llib/ssl.scm 604 */
BgL_hostnamez00_1808 = BgL_arg1560z00_294; }  else 
{ 
obj_t BgL_auxz00_5961;
BgL_auxz00_5961 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_arg1560z00_294); 
FAILURE(BgL_auxz00_5961,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 604 */
obj_t BgL_tmpz00_5965;
if(
INTEGERP(BgL_arg1561z00_295))
{ /* Llib/ssl.scm 604 */
BgL_tmpz00_5965 = BgL_arg1561z00_295
; }  else 
{ 
obj_t BgL_auxz00_5968;
BgL_auxz00_5968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24675)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_arg1561z00_295); 
FAILURE(BgL_auxz00_5968,BFALSE,BFALSE);} 
BgL_portz00_1809 = 
CINT(BgL_tmpz00_5965); } 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_298, BgL_pkeyz00_301, BgL_casz00_296, BgL_acceptedzd2certszd2_297); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 614 */
obj_t BgL_arg1597z00_1810;obj_t BgL_arg1600z00_1811;obj_t BgL_arg1605z00_1812;
BgL_arg1597z00_1810 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_302); 
BgL_arg1600z00_1811 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_299, 
(int)(default_io_bufsiz)); 
BgL_arg1605z00_1812 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_300, 
(int)(default_io_bufsiz)); 
{ /* Llib/ssl.scm 613 */
obj_t BgL_auxz00_6001;int BgL_auxz00_5992;int BgL_tmpz00_5983;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_296))
{ /* Llib/ssl.scm 616 */
BgL_auxz00_6001 = BgL_casz00_296
; }  else 
{ 
obj_t BgL_auxz00_6004;
BgL_auxz00_6004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25064)), BGl_string3135z00zz__ssl_sslz00, BGl_string3138z00zz__ssl_sslz00, BgL_casz00_296); 
FAILURE(BgL_auxz00_6004,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 614 */
obj_t BgL_tmpz00_5993;
if(
INTEGERP(BgL_arg1597z00_1810))
{ /* Llib/ssl.scm 614 */
BgL_tmpz00_5993 = BgL_arg1597z00_1810
; }  else 
{ 
obj_t BgL_auxz00_5996;
BgL_auxz00_5996 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25040)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_arg1597z00_1810); 
FAILURE(BgL_auxz00_5996,BFALSE,BFALSE);} 
BgL_auxz00_5992 = 
CINT(BgL_tmpz00_5993); } 
{ /* Llib/ssl.scm 613 */
obj_t BgL_tmpz00_5984;
if(
INTEGERP(BgL_timeoutz00_303))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_5984 = BgL_timeoutz00_303
; }  else 
{ 
obj_t BgL_auxz00_5987;
BgL_auxz00_5987 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)24994)), BGl_string3135z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_timeoutz00_303); 
FAILURE(BgL_auxz00_5987,BFALSE,BFALSE);} 
BgL_tmpz00_5983 = 
CINT(BgL_tmpz00_5984); } 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_1808, BgL_portz00_1809, BgL_tmpz00_5983, BgL_auxz00_5992, BgL_certz00_298, BgL_pkeyz00_301, BgL_auxz00_6001, BgL_acceptedzd2certszd2_297, BgL_arg1600z00_1811, BgL_arg1605z00_1812);} } } } } } } } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1212~0 */
obj_t BGl_search1212ze70ze7zz__ssl_sslz00(long BgL_l1211z00_4722, obj_t BgL_opt1210z00_4721, obj_t BgL_k1z00_257, long BgL_iz00_258)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 604 */
BGl_search1212ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_258==BgL_l1211z00_4722))
{ /* Llib/ssl.scm 604 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 604 */
if(
(BgL_iz00_258==
(BgL_l1211z00_4722-((long)1))))
{ /* Llib/ssl.scm 604 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BGl_string3139z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1210z00_4721)));}  else 
{ /* Llib/ssl.scm 604 */
obj_t BgL_vz00_308;
BgL_vz00_308 = 
VECTOR_REF(BgL_opt1210z00_4721,BgL_iz00_258); 
if(
(BgL_vz00_308==BgL_k1z00_257))
{ /* Llib/ssl.scm 604 */
return 
BINT(
(BgL_iz00_258+((long)1)));}  else 
{ 
long BgL_iz00_6024;
BgL_iz00_6024 = 
(BgL_iz00_258+((long)2)); 
BgL_iz00_258 = BgL_iz00_6024; 
goto BGl_search1212ze70ze7zz__ssl_sslz00;} } } } 
BGL_FUNCTION_END;
}



/* make-ssl-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_hostnamez00_8, int BgL_portz00_9, obj_t BgL_casz00_10, obj_t BgL_acceptedzd2certszd2_11, obj_t BgL_certz00_12, obj_t BgL_inbufz00_13, obj_t BgL_outbufz00_14, obj_t BgL_pkeyz00_15, obj_t BgL_protocolz00_16, obj_t BgL_timeoutz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 604 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)2)), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 614 */
obj_t BgL_arg1597z00_1813;obj_t BgL_arg1600z00_1814;obj_t BgL_arg1605z00_1815;
BgL_arg1597z00_1813 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_16); 
BgL_arg1600z00_1814 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_inbufz00_13, 
(int)(default_io_bufsiz)); 
BgL_arg1605z00_1815 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
CNST_TABLE_REF(((long)2)), BgL_outbufz00_14, 
(int)(default_io_bufsiz)); 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_8, BgL_portz00_9, 
CINT(BgL_timeoutz00_17), 
CINT(BgL_arg1597z00_1813), BgL_certz00_12, BgL_pkeyz00_15, BgL_casz00_10, BgL_acceptedzd2certszd2_11, BgL_arg1600z00_1814, BgL_arg1605z00_1815);} } 
BGL_FUNCTION_END;
}



/* _client-socket-use-ssl! */
obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_envz00_27, obj_t BgL_opt1225z00_26)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 627 */
{ /* Llib/ssl.scm 627 */
obj_t BgL_g1235z00_319;
BgL_g1235z00_319 = 
VECTOR_REF(BgL_opt1225z00_26,((long)0)); 
{ /* Llib/ssl.scm 630 */
obj_t BgL_casz00_320;
BgL_casz00_320 = BNIL; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_acceptedzd2certszd2_321;
BgL_acceptedzd2certszd2_321 = BFALSE; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_certz00_322;
BgL_certz00_322 = BFALSE; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_pkeyz00_323;
BgL_pkeyz00_323 = BFALSE; 
{ /* Llib/ssl.scm 628 */
obj_t BgL_protocolz00_324;
BgL_protocolz00_324 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/ssl.scm 627 */

{ 
long BgL_iz00_325;
BgL_iz00_325 = ((long)1); 
BgL_check1228z00_326:
if(
(BgL_iz00_325==
VECTOR_LENGTH(BgL_opt1225z00_26)))
{ /* Llib/ssl.scm 627 */BNIL; }  else 
{ /* Llib/ssl.scm 627 */
bool_t BgL_testz00_6044;
{ /* Llib/ssl.scm 627 */
obj_t BgL_arg1626z00_332;
BgL_arg1626z00_332 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_iz00_325); 
BgL_testz00_6044 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1626z00_332, 
CNST_TABLE_REF(((long)11)))); } 
if(BgL_testz00_6044)
{ 
long BgL_iz00_6049;
BgL_iz00_6049 = 
(BgL_iz00_325+((long)2)); 
BgL_iz00_325 = BgL_iz00_6049; 
goto BgL_check1228z00_326;}  else 
{ /* Llib/ssl.scm 627 */
obj_t BgL_arg1618z00_331;
BgL_arg1618z00_331 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_iz00_325); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string3133z00zz__ssl_sslz00, BgL_arg1618z00_331); } } } 
{ /* Llib/ssl.scm 627 */
obj_t BgL_index1230z00_333;
BgL_index1230z00_333 = 
BGl_search1227ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)3)), ((long)1)); 
{ /* Llib/ssl.scm 627 */
bool_t BgL_testz00_6057;
{ /* Llib/ssl.scm 627 */
long BgL_n1z00_1838;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6058;
if(
INTEGERP(BgL_index1230z00_333))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6058 = BgL_index1230z00_333
; }  else 
{ 
obj_t BgL_auxz00_6061;
BgL_auxz00_6061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1230z00_333); 
FAILURE(BgL_auxz00_6061,BFALSE,BFALSE);} 
BgL_n1z00_1838 = 
(long)CINT(BgL_tmpz00_6058); } 
BgL_testz00_6057 = 
(BgL_n1z00_1838>=((long)0)); } 
if(BgL_testz00_6057)
{ 
long BgL_auxz00_6067;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6068;
if(
INTEGERP(BgL_index1230z00_333))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6068 = BgL_index1230z00_333
; }  else 
{ 
obj_t BgL_auxz00_6071;
BgL_auxz00_6071 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1230z00_333); 
FAILURE(BgL_auxz00_6071,BFALSE,BFALSE);} 
BgL_auxz00_6067 = 
(long)CINT(BgL_tmpz00_6068); } 
BgL_casz00_320 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_6067); }  else 
{ /* Llib/ssl.scm 627 */BFALSE; } } } 
{ /* Llib/ssl.scm 627 */
obj_t BgL_index1231z00_335;
BgL_index1231z00_335 = 
BGl_search1227ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)4)), ((long)1)); 
{ /* Llib/ssl.scm 627 */
bool_t BgL_testz00_6080;
{ /* Llib/ssl.scm 627 */
long BgL_n1z00_1840;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6081;
if(
INTEGERP(BgL_index1231z00_335))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6081 = BgL_index1231z00_335
; }  else 
{ 
obj_t BgL_auxz00_6084;
BgL_auxz00_6084 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1231z00_335); 
FAILURE(BgL_auxz00_6084,BFALSE,BFALSE);} 
BgL_n1z00_1840 = 
(long)CINT(BgL_tmpz00_6081); } 
BgL_testz00_6080 = 
(BgL_n1z00_1840>=((long)0)); } 
if(BgL_testz00_6080)
{ 
long BgL_auxz00_6090;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6091;
if(
INTEGERP(BgL_index1231z00_335))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6091 = BgL_index1231z00_335
; }  else 
{ 
obj_t BgL_auxz00_6094;
BgL_auxz00_6094 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1231z00_335); 
FAILURE(BgL_auxz00_6094,BFALSE,BFALSE);} 
BgL_auxz00_6090 = 
(long)CINT(BgL_tmpz00_6091); } 
BgL_acceptedzd2certszd2_321 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_6090); }  else 
{ /* Llib/ssl.scm 627 */BFALSE; } } } 
{ /* Llib/ssl.scm 627 */
obj_t BgL_index1232z00_337;
BgL_index1232z00_337 = 
BGl_search1227ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)5)), ((long)1)); 
{ /* Llib/ssl.scm 627 */
bool_t BgL_testz00_6103;
{ /* Llib/ssl.scm 627 */
long BgL_n1z00_1842;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6104;
if(
INTEGERP(BgL_index1232z00_337))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6104 = BgL_index1232z00_337
; }  else 
{ 
obj_t BgL_auxz00_6107;
BgL_auxz00_6107 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1232z00_337); 
FAILURE(BgL_auxz00_6107,BFALSE,BFALSE);} 
BgL_n1z00_1842 = 
(long)CINT(BgL_tmpz00_6104); } 
BgL_testz00_6103 = 
(BgL_n1z00_1842>=((long)0)); } 
if(BgL_testz00_6103)
{ 
long BgL_auxz00_6113;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6114;
if(
INTEGERP(BgL_index1232z00_337))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6114 = BgL_index1232z00_337
; }  else 
{ 
obj_t BgL_auxz00_6117;
BgL_auxz00_6117 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1232z00_337); 
FAILURE(BgL_auxz00_6117,BFALSE,BFALSE);} 
BgL_auxz00_6113 = 
(long)CINT(BgL_tmpz00_6114); } 
BgL_certz00_322 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_6113); }  else 
{ /* Llib/ssl.scm 627 */BFALSE; } } } 
{ /* Llib/ssl.scm 627 */
obj_t BgL_index1233z00_339;
BgL_index1233z00_339 = 
BGl_search1227ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)8)), ((long)1)); 
{ /* Llib/ssl.scm 627 */
bool_t BgL_testz00_6126;
{ /* Llib/ssl.scm 627 */
long BgL_n1z00_1844;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6127;
if(
INTEGERP(BgL_index1233z00_339))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6127 = BgL_index1233z00_339
; }  else 
{ 
obj_t BgL_auxz00_6130;
BgL_auxz00_6130 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1233z00_339); 
FAILURE(BgL_auxz00_6130,BFALSE,BFALSE);} 
BgL_n1z00_1844 = 
(long)CINT(BgL_tmpz00_6127); } 
BgL_testz00_6126 = 
(BgL_n1z00_1844>=((long)0)); } 
if(BgL_testz00_6126)
{ 
long BgL_auxz00_6136;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6137;
if(
INTEGERP(BgL_index1233z00_339))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6137 = BgL_index1233z00_339
; }  else 
{ 
obj_t BgL_auxz00_6140;
BgL_auxz00_6140 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1233z00_339); 
FAILURE(BgL_auxz00_6140,BFALSE,BFALSE);} 
BgL_auxz00_6136 = 
(long)CINT(BgL_tmpz00_6137); } 
BgL_pkeyz00_323 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_6136); }  else 
{ /* Llib/ssl.scm 627 */BFALSE; } } } 
{ /* Llib/ssl.scm 627 */
obj_t BgL_index1234z00_341;
BgL_index1234z00_341 = 
BGl_search1227ze70ze7zz__ssl_sslz00(
VECTOR_LENGTH(BgL_opt1225z00_26), BgL_opt1225z00_26, 
CNST_TABLE_REF(((long)9)), ((long)1)); 
{ /* Llib/ssl.scm 627 */
bool_t BgL_testz00_6149;
{ /* Llib/ssl.scm 627 */
long BgL_n1z00_1846;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6150;
if(
INTEGERP(BgL_index1234z00_341))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6150 = BgL_index1234z00_341
; }  else 
{ 
obj_t BgL_auxz00_6153;
BgL_auxz00_6153 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1234z00_341); 
FAILURE(BgL_auxz00_6153,BFALSE,BFALSE);} 
BgL_n1z00_1846 = 
(long)CINT(BgL_tmpz00_6150); } 
BgL_testz00_6149 = 
(BgL_n1z00_1846>=((long)0)); } 
if(BgL_testz00_6149)
{ 
long BgL_auxz00_6159;
{ /* Llib/ssl.scm 627 */
obj_t BgL_tmpz00_6160;
if(
INTEGERP(BgL_index1234z00_341))
{ /* Llib/ssl.scm 627 */
BgL_tmpz00_6160 = BgL_index1234z00_341
; }  else 
{ 
obj_t BgL_auxz00_6163;
BgL_auxz00_6163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_index1234z00_341); 
FAILURE(BgL_auxz00_6163,BFALSE,BFALSE);} 
BgL_auxz00_6159 = 
(long)CINT(BgL_tmpz00_6160); } 
BgL_protocolz00_324 = 
VECTOR_REF(BgL_opt1225z00_26,BgL_auxz00_6159); }  else 
{ /* Llib/ssl.scm 627 */BFALSE; } } } 
{ /* Llib/ssl.scm 627 */
obj_t BgL_arg1643z00_343;
BgL_arg1643z00_343 = 
VECTOR_REF(BgL_opt1225z00_26,((long)0)); 
{ /* Llib/ssl.scm 627 */
obj_t BgL_casz00_344;
BgL_casz00_344 = BgL_casz00_320; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_acceptedzd2certszd2_345;
BgL_acceptedzd2certszd2_345 = BgL_acceptedzd2certszd2_321; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_certz00_346;
BgL_certz00_346 = BgL_certz00_322; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_pkeyz00_347;
BgL_pkeyz00_347 = BgL_pkeyz00_323; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_protocolz00_348;
BgL_protocolz00_348 = BgL_protocolz00_324; 
{ /* Llib/ssl.scm 627 */
obj_t BgL_sz00_1848;
if(
SOCKETP(BgL_arg1643z00_343))
{ /* Llib/ssl.scm 627 */
BgL_sz00_1848 = BgL_arg1643z00_343; }  else 
{ 
obj_t BgL_auxz00_6172;
BgL_auxz00_6172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25465)), BGl_string3140z00zz__ssl_sslz00, BGl_string3141z00zz__ssl_sslz00, BgL_arg1643z00_343); 
FAILURE(BgL_auxz00_6172,BFALSE,BFALSE);} 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_346, BgL_pkeyz00_347, BgL_casz00_344, BgL_acceptedzd2certszd2_345); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 634 */
obj_t BgL_arg1660z00_1849;
BgL_arg1660z00_1849 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_348); 
{ /* Llib/ssl.scm 633 */
obj_t BgL_auxz00_6189;int BgL_tmpz00_6180;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_344))
{ /* Llib/ssl.scm 636 */
BgL_auxz00_6189 = BgL_casz00_344
; }  else 
{ 
obj_t BgL_auxz00_6192;
BgL_auxz00_6192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25779)), BGl_string3140z00zz__ssl_sslz00, BGl_string3138z00zz__ssl_sslz00, BgL_casz00_344); 
FAILURE(BgL_auxz00_6192,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 634 */
obj_t BgL_tmpz00_6181;
if(
INTEGERP(BgL_arg1660z00_1849))
{ /* Llib/ssl.scm 634 */
BgL_tmpz00_6181 = BgL_arg1660z00_1849
; }  else 
{ 
obj_t BgL_auxz00_6184;
BgL_auxz00_6184 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)25755)), BGl_string3140z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_arg1660z00_1849); 
FAILURE(BgL_auxz00_6184,BFALSE,BFALSE);} 
BgL_tmpz00_6180 = 
CINT(BgL_tmpz00_6181); } 
return 
bgl_client_socket_use_ssl(BgL_sz00_1848, BgL_tmpz00_6180, BgL_certz00_346, BgL_pkeyz00_347, BgL_auxz00_6189, BgL_acceptedzd2certszd2_345);} } } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* search1227~0 */
obj_t BGl_search1227ze70ze7zz__ssl_sslz00(long BgL_l1226z00_4720, obj_t BgL_opt1225z00_4719, obj_t BgL_k1z00_316, long BgL_iz00_317)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 627 */
BGl_search1227ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_317==BgL_l1226z00_4720))
{ /* Llib/ssl.scm 627 */
return 
BINT(((long)-1));}  else 
{ /* Llib/ssl.scm 627 */
if(
(BgL_iz00_317==
(BgL_l1226z00_4720-((long)1))))
{ /* Llib/ssl.scm 627 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)12)), BGl_string3142z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1225z00_4719)));}  else 
{ /* Llib/ssl.scm 627 */
obj_t BgL_vz00_353;
BgL_vz00_353 = 
VECTOR_REF(BgL_opt1225z00_4719,BgL_iz00_317); 
if(
(BgL_vz00_353==BgL_k1z00_316))
{ /* Llib/ssl.scm 627 */
return 
BINT(
(BgL_iz00_317+((long)1)));}  else 
{ 
long BgL_iz00_6212;
BgL_iz00_6212 = 
(BgL_iz00_317+((long)2)); 
BgL_iz00_317 = BgL_iz00_6212; 
goto BGl_search1227ze70ze7zz__ssl_sslz00;} } } } 
BGL_FUNCTION_END;
}



/* client-socket-use-ssl! */
BGL_EXPORTED_DEF obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_sz00_20, obj_t BgL_casz00_21, obj_t BgL_acceptedzd2certszd2_22, obj_t BgL_certz00_23, obj_t BgL_pkeyz00_24, obj_t BgL_protocolz00_25)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 627 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)12)), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 634 */
obj_t BgL_arg1660z00_1850;
BgL_arg1660z00_1850 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_25); 
return 
bgl_client_socket_use_ssl(BgL_sz00_20, 
CINT(BgL_arg1660z00_1850), BgL_certz00_23, BgL_pkeyz00_24, BgL_casz00_21, BgL_acceptedzd2certszd2_22);} } 
BGL_FUNCTION_END;
}



/* ssl-socket? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t BgL_objz00_28)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 641 */
return 
bgl_ssl_socketp(BgL_objz00_28);} 
BGL_FUNCTION_END;
}



/* &ssl-socket? */
obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t BgL_envz00_3718, obj_t BgL_objz00_3719)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 641 */
return 
BBOOL(
BGl_sslzd2socketzf3z21zz__ssl_sslz00(BgL_objz00_3719));} 
BGL_FUNCTION_END;
}



/* make-ssl-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t BgL_portz00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 649 */
{ /* Llib/ssl.scm 334 */
obj_t BgL_dsssl1236z00_358;
BgL_dsssl1236z00_358 = BgL_portz00_29; 
{ /* Llib/ssl.scm 334 */
obj_t BgL_portz00_359;
{ /* Llib/ssl.scm 334 */
bool_t BgL_testz00_6223;
if(
NULLP(BgL_dsssl1236z00_358))
{ /* Llib/ssl.scm 334 */
BgL_testz00_6223 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 334 */
BgL_testz00_6223 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_dsssl1236z00_358), 
CNST_TABLE_REF(((long)13))))
; } 
if(BgL_testz00_6223)
{ /* Llib/ssl.scm 334 */
BgL_portz00_359 = 
BINT(((long)0)); }  else 
{ /* Llib/ssl.scm 334 */
obj_t BgL_tmp1237z00_385;
BgL_tmp1237z00_385 = 
CAR(BgL_dsssl1236z00_358); 
BgL_dsssl1236z00_358 = 
CDR(BgL_dsssl1236z00_358); 
BgL_portz00_359 = BgL_tmp1237z00_385; } } 
{ /* Llib/ssl.scm 334 */
obj_t BgL_namez00_360;
BgL_namez00_360 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)14)), BFALSE); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_protocolz00_361;
BgL_protocolz00_361 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)0))); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_certz00_362;
BgL_certz00_362 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)5)), BFALSE); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_pkeyz00_363;
BgL_pkeyz00_363 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_casz00_364;
BgL_casz00_364 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)3)), BNIL); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_acceptedzd2certszd2_365;
BgL_acceptedzd2certszd2_365 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)4)), BFALSE); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_backlogz00_366;
BgL_backlogz00_366 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)15)), 
BINT(((long)5))); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_ipv6z00_367;
BgL_ipv6z00_367 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)16)), BFALSE); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)13)))))
{ /* Llib/ssl.scm 334 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
CNST_TABLE_REF(((long)17)), BgL_certz00_362, BgL_pkeyz00_363, BgL_casz00_364, BgL_acceptedzd2certszd2_365); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 657 */
obj_t BgL_arg1664z00_370;
BgL_arg1664z00_370 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_361); 
return 
bgl_make_ssl_server_socket(BgL_namez00_360, 
CINT(BgL_portz00_359), 
CINT(BgL_arg1664z00_370), BgL_certz00_362, BgL_pkeyz00_363, BgL_casz00_364, BgL_acceptedzd2certszd2_365, 
CINT(BgL_backlogz00_366), 
CBOOL(BgL_ipv6z00_367));} }  else 
{ /* Llib/ssl.scm 334 */
obj_t BgL_arg1665z00_371;
{ /* Llib/ssl.scm 334 */
obj_t BgL_arg1667z00_372;
{ /* Llib/ssl.scm 334 */
obj_t BgL_arg1671z00_375;
BgL_arg1671z00_375 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1236z00_358, 
CNST_TABLE_REF(((long)13))); 
{ /* Llib/ssl.scm 334 */
obj_t BgL_list1672z00_376;
BgL_list1672z00_376 = 
MAKE_YOUNG_PAIR(BgL_arg1671z00_375, BNIL); 
BgL_arg1667z00_372 = 
BGl_mapz00zz__r4_control_features_6_9z00(BGl_proc3143z00zz__ssl_sslz00, BgL_list1672z00_376); } } 
{ /* Llib/ssl.scm 334 */
obj_t BgL_list1668z00_373;
BgL_list1668z00_373 = 
MAKE_YOUNG_PAIR(BgL_arg1667z00_372, BNIL); 
BgL_arg1665z00_371 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string3144z00zz__ssl_sslz00, BgL_list1668z00_373); } } 
return 
BGl_errorz00zz__errorz00(BGl_string3145z00zz__ssl_sslz00, BgL_arg1665z00_371, BgL_dsssl1236z00_358);} } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &make-ssl-server-socket */
obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t BgL_envz00_3721, obj_t BgL_portz00_3722)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 649 */
return 
BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(BgL_portz00_3722);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1673> */
obj_t BGl_z62zc3anonymousza31673ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3723, obj_t BgL_vz00_3724)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 334 */
{ /* Llib/ssl.scm 334 */
obj_t BgL_list1674z00_5234;
BgL_list1674z00_5234 = 
MAKE_YOUNG_PAIR(BgL_vz00_3724, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3146z00zz__ssl_sslz00, BgL_list1674z00_5234);} } 
BGL_FUNCTION_END;
}



/* ssl-protocols->integer */
obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t BgL_protocolz00_30)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 664 */
{ /* Llib/ssl.scm 665 */
obj_t BgL_casezd2valuezd2_388;
{ /* Llib/ssl.scm 665 */
obj_t BgL_arg1699z00_402;
{ /* Llib/ssl.scm 665 */
obj_t BgL_arg1700z00_403;
{ /* Llib/ssl.scm 665 */
obj_t BgL_res2322z00_1859;
BgL_res2322z00_1859 = 
SYMBOL_TO_STRING(
((obj_t)BgL_protocolz00_30)); 
BgL_arg1700z00_403 = BgL_res2322z00_1859; } 
BgL_arg1699z00_402 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1700z00_403); } 
BgL_casezd2valuezd2_388 = 
bstring_to_symbol(BgL_arg1699z00_402); } 
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)18))))
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_SSLV2);}  else 
{ /* Llib/ssl.scm 665 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)19))))
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_SSLV3);}  else 
{ /* Llib/ssl.scm 665 */
bool_t BgL_testz00_6286;
{ /* Llib/ssl.scm 665 */
bool_t BgL__ortest_1122z00_401;
BgL__ortest_1122z00_401 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)20))); 
if(BgL__ortest_1122z00_401)
{ /* Llib/ssl.scm 665 */
BgL_testz00_6286 = BgL__ortest_1122z00_401
; }  else 
{ /* Llib/ssl.scm 665 */
BgL_testz00_6286 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)0)))
; } } 
if(BgL_testz00_6286)
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_SSLV23);}  else 
{ /* Llib/ssl.scm 665 */
bool_t BgL_testz00_6293;
{ /* Llib/ssl.scm 665 */
bool_t BgL__ortest_1123z00_400;
BgL__ortest_1123z00_400 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)21))); 
if(BgL__ortest_1123z00_400)
{ /* Llib/ssl.scm 665 */
BgL_testz00_6293 = BgL__ortest_1123z00_400
; }  else 
{ /* Llib/ssl.scm 665 */
BgL_testz00_6293 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)22)))
; } } 
if(BgL_testz00_6293)
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_TLSV1);}  else 
{ /* Llib/ssl.scm 665 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)23))))
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_TLSV1_1);}  else 
{ /* Llib/ssl.scm 665 */
if(
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)24))))
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_TLSV1_2);}  else 
{ /* Llib/ssl.scm 665 */
bool_t BgL_testz00_6308;
{ /* Llib/ssl.scm 665 */
bool_t BgL__ortest_1124z00_399;
BgL__ortest_1124z00_399 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)25))); 
if(BgL__ortest_1124z00_399)
{ /* Llib/ssl.scm 665 */
BgL_testz00_6308 = BgL__ortest_1124z00_399
; }  else 
{ /* Llib/ssl.scm 665 */
BgL_testz00_6308 = 
(BgL_casezd2valuezd2_388==
CNST_TABLE_REF(((long)26)))
; } } 
if(BgL_testz00_6308)
{ /* Llib/ssl.scm 665 */
return 
BINT(BGLSSL_DTLSV1);}  else 
{ /* Llib/ssl.scm 665 */
return 
BGl_errorz00zz__errorz00(BGl_string3147z00zz__ssl_sslz00, BGl_string3148z00zz__ssl_sslz00, BgL_protocolz00_30);} } } } } } } } } 
BGL_FUNCTION_END;
}



/* read-private-key */
BGL_EXPORTED_DEF BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t BgL_filez00_31)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 678 */
return 
((BgL_privatezd2keyzd2_bglt)
bgl_ssl_load_private_key(BgL_filez00_31));} 
BGL_FUNCTION_END;
}



/* &read-private-key */
BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_3727, obj_t BgL_filez00_3728)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 678 */
{ /* Llib/ssl.scm 679 */
obj_t BgL_auxz00_6318;
if(
STRINGP(BgL_filez00_3728))
{ /* Llib/ssl.scm 679 */
BgL_auxz00_6318 = BgL_filez00_3728
; }  else 
{ 
obj_t BgL_auxz00_6321;
BgL_auxz00_6321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)27747)), BGl_string3149z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_filez00_3728); 
FAILURE(BgL_auxz00_6321,BFALSE,BFALSE);} 
return 
BGl_readzd2privatezd2keyz00zz__ssl_sslz00(BgL_auxz00_6318);} } 
BGL_FUNCTION_END;
}



/* read-certificate */
BGL_EXPORTED_DEF BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t BgL_filez00_32)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 684 */
return 
((BgL_certificatez00_bglt)
bgl_ssl_load_certificate(BgL_filez00_32));} 
BGL_FUNCTION_END;
}



/* &read-certificate */
BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t BgL_envz00_3729, obj_t BgL_filez00_3730)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 684 */
{ /* Llib/ssl.scm 685 */
obj_t BgL_auxz00_6328;
if(
STRINGP(BgL_filez00_3730))
{ /* Llib/ssl.scm 685 */
BgL_auxz00_6328 = BgL_filez00_3730
; }  else 
{ 
obj_t BgL_auxz00_6331;
BgL_auxz00_6331 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)28053)), BGl_string3150z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_filez00_3730); 
FAILURE(BgL_auxz00_6331,BFALSE,BFALSE);} 
return 
BGl_readzd2certificatezd2zz__ssl_sslz00(BgL_auxz00_6328);} } 
BGL_FUNCTION_END;
}



/* read-pem-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t BgL_filez00_33)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 690 */
return 
bgl_ssl_load_pem(BgL_filez00_33);} 
BGL_FUNCTION_END;
}



/* &read-pem-file */
obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t BgL_envz00_3731, obj_t BgL_filez00_3732)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 690 */
{ /* Llib/ssl.scm 691 */
obj_t BgL_auxz00_6337;
if(
STRINGP(BgL_filez00_3732))
{ /* Llib/ssl.scm 691 */
BgL_auxz00_6337 = BgL_filez00_3732
; }  else 
{ 
obj_t BgL_auxz00_6340;
BgL_auxz00_6340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)28353)), BGl_string3151z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_filez00_3732); 
FAILURE(BgL_auxz00_6340,BFALSE,BFALSE);} 
return 
BGl_readzd2pemzd2filez00zz__ssl_sslz00(BgL_auxz00_6337);} } 
BGL_FUNCTION_END;
}



/* ssl-rand-status */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 696 */
return 
RAND_status();} 
BGL_FUNCTION_END;
}



/* &ssl-rand-status */
obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t BgL_envz00_3733)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 696 */
return 
BBOOL(
BGl_sslzd2randzd2statusz00zz__ssl_sslz00());} 
BGL_FUNCTION_END;
}



/* ssl-rand-poll */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 704 */
return 
RAND_poll();} 
BGL_FUNCTION_END;
}



/* &ssl-rand-poll */
obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t BgL_envz00_3734)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 704 */
return 
BBOOL(
BGl_sslzd2randzd2pollz00zz__ssl_sslz00());} 
BGL_FUNCTION_END;
}



/* ssl-rand-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int BgL_sza7za7_34)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 712 */
{ /* Llib/ssl.scm 713 */
obj_t BgL_strz00_1870;
{ /* Llib/ssl.scm 713 */

BgL_strz00_1870 = 
make_string(
(long)(BgL_sza7za7_34), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 716 */
char * BgL_tmpz00_6353;
BgL_tmpz00_6353 = 
BSTRING_TO_STRING(BgL_strz00_1870); 
RAND_bytes(BgL_tmpz00_6353, BgL_sza7za7_34); } 
return BgL_strz00_1870;} } 
BGL_FUNCTION_END;
}



/* &ssl-rand-bytes */
obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_3735, obj_t BgL_sza7za7_3736)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 712 */
{ /* Llib/ssl.scm 713 */
int BgL_auxz00_6356;
{ /* Llib/ssl.scm 713 */
obj_t BgL_tmpz00_6357;
if(
INTEGERP(BgL_sza7za7_3736))
{ /* Llib/ssl.scm 713 */
BgL_tmpz00_6357 = BgL_sza7za7_3736
; }  else 
{ 
obj_t BgL_auxz00_6360;
BgL_auxz00_6360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)29276)), BGl_string3152z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_sza7za7_3736); 
FAILURE(BgL_auxz00_6360,BFALSE,BFALSE);} 
BgL_auxz00_6356 = 
CINT(BgL_tmpz00_6357); } 
return 
BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(BgL_auxz00_6356);} } 
BGL_FUNCTION_END;
}



/* ssl-rand-pseudo-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int BgL_sza7za7_35)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 729 */
{ /* Llib/ssl.scm 730 */
obj_t BgL_strz00_1875;
{ /* Llib/ssl.scm 730 */

BgL_strz00_1875 = 
make_string(
(long)(BgL_sza7za7_35), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 733 */
char * BgL_tmpz00_6368;
BgL_tmpz00_6368 = 
BSTRING_TO_STRING(BgL_strz00_1875); 
RAND_pseudo_bytes(BgL_tmpz00_6368, BgL_sza7za7_35); } 
return BgL_strz00_1875;} } 
BGL_FUNCTION_END;
}



/* &ssl-rand-pseudo-bytes */
obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t BgL_envz00_3737, obj_t BgL_sza7za7_3738)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 729 */
{ /* Llib/ssl.scm 730 */
int BgL_auxz00_6371;
{ /* Llib/ssl.scm 730 */
obj_t BgL_tmpz00_6372;
if(
INTEGERP(BgL_sza7za7_3738))
{ /* Llib/ssl.scm 730 */
BgL_tmpz00_6372 = BgL_sza7za7_3738
; }  else 
{ 
obj_t BgL_auxz00_6375;
BgL_auxz00_6375 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)29794)), BGl_string3153z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_sza7za7_3738); 
FAILURE(BgL_auxz00_6375,BFALSE,BFALSE);} 
BgL_auxz00_6371 = 
CINT(BgL_tmpz00_6372); } 
return 
BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(BgL_auxz00_6371);} } 
BGL_FUNCTION_END;
}



/* certificate-subject */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_36)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 746 */
return 
bgl_ssl_certificate_subject(
((obj_t)BgL_certz00_36));} 
BGL_FUNCTION_END;
}



/* &certificate-subject */
obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t BgL_envz00_3739, obj_t BgL_certz00_3740)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 746 */
{ /* Llib/ssl.scm 747 */
BgL_certificatez00_bglt BgL_auxz00_6383;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_3740, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 747 */
BgL_auxz00_6383 = 
((BgL_certificatez00_bglt)BgL_certz00_3740)
; }  else 
{ 
obj_t BgL_auxz00_6387;
BgL_auxz00_6387 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)30343)), BGl_string3154z00zz__ssl_sslz00, BGl_string3155z00zz__ssl_sslz00, BgL_certz00_3740); 
FAILURE(BgL_auxz00_6387,BFALSE,BFALSE);} 
return 
BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_auxz00_6383);} } 
BGL_FUNCTION_END;
}



/* certificate-issuer */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_37)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 752 */
return 
bgl_ssl_certificate_issuer(
((obj_t)BgL_certz00_37));} 
BGL_FUNCTION_END;
}



/* &certificate-issuer */
obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t BgL_envz00_3741, obj_t BgL_certz00_3742)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 752 */
{ /* Llib/ssl.scm 753 */
BgL_certificatez00_bglt BgL_auxz00_6394;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_3742, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 753 */
BgL_auxz00_6394 = 
((BgL_certificatez00_bglt)BgL_certz00_3742)
; }  else 
{ 
obj_t BgL_auxz00_6398;
BgL_auxz00_6398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)30661)), BGl_string3156z00zz__ssl_sslz00, BGl_string3155z00zz__ssl_sslz00, BgL_certz00_3742); 
FAILURE(BgL_auxz00_6398,BFALSE,BFALSE);} 
return 
BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_auxz00_6394);} } 
BGL_FUNCTION_END;
}



/* %make-certificate */
BGL_EXPORTED_DEF obj_t bgl_make_certificate(void * BgL_certz00_38)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 758 */
{ /* Llib/ssl.scm 759 */
BgL_certificatez00_bglt BgL_new1126z00_410;
{ /* Llib/ssl.scm 760 */
BgL_certificatez00_bglt BgL_new1125z00_411;
BgL_new1125z00_411 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 760 */
long BgL_arg1703z00_412;
{ /* Llib/ssl.scm 760 */
long BgL_res2330z00_1881;
BgL_res2330z00_1881 = 
BGL_CLASS_INDEX(BGl_certificatez00zz__ssl_sslz00); 
BgL_arg1703z00_412 = BgL_res2330z00_1881; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_411), BgL_arg1703z00_412); } 
BgL_new1126z00_410 = BgL_new1125z00_411; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1126z00_410))->BgL_z42nativez42)=((void *)BgL_certz00_38),BUNSPEC); 
return 
((obj_t)BgL_new1126z00_410);} } 
BGL_FUNCTION_END;
}



/* &%make-certificate */
obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t BgL_envz00_3743, obj_t BgL_certz00_3744)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 758 */
{ /* Llib/ssl.scm 759 */
void * BgL_auxz00_6409;
if(
FOREIGNP(BgL_certz00_3744))
{ /* Llib/ssl.scm 759 */
BgL_auxz00_6409 = 
FOREIGN_TO_COBJ(BgL_certz00_3744)
; }  else 
{ 
obj_t BgL_auxz00_6413;
BgL_auxz00_6413 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)30948)), BGl_string3157z00zz__ssl_sslz00, BGl_string3158z00zz__ssl_sslz00, BgL_certz00_3744); 
FAILURE(BgL_auxz00_6413,BFALSE,BFALSE);} 
return 
bgl_make_certificate(BgL_auxz00_6409);} } 
BGL_FUNCTION_END;
}



/* %make-private-key */
BGL_EXPORTED_DEF obj_t bgl_make_private_key(void * BgL_pkeyz00_39)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 765 */
{ /* Llib/ssl.scm 766 */
BgL_privatezd2keyzd2_bglt BgL_new1128z00_413;
{ /* Llib/ssl.scm 767 */
BgL_privatezd2keyzd2_bglt BgL_new1127z00_414;
BgL_new1127z00_414 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 767 */
long BgL_arg1707z00_415;
{ /* Llib/ssl.scm 767 */
long BgL_res2331z00_1885;
BgL_res2331z00_1885 = 
BGL_CLASS_INDEX(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BgL_arg1707z00_415 = BgL_res2331z00_1885; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_414), BgL_arg1707z00_415); } 
BgL_new1128z00_413 = BgL_new1127z00_414; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1128z00_413))->BgL_z42nativez42)=((void *)BgL_pkeyz00_39),BUNSPEC); 
return 
((obj_t)BgL_new1128z00_413);} } 
BGL_FUNCTION_END;
}



/* &%make-private-key */
obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t BgL_envz00_3745, obj_t BgL_pkeyz00_3746)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 765 */
{ /* Llib/ssl.scm 766 */
void * BgL_auxz00_6424;
if(
FOREIGNP(BgL_pkeyz00_3746))
{ /* Llib/ssl.scm 766 */
BgL_auxz00_6424 = 
FOREIGN_TO_COBJ(BgL_pkeyz00_3746)
; }  else 
{ 
obj_t BgL_auxz00_6428;
BgL_auxz00_6428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)31256)), BGl_string3159z00zz__ssl_sslz00, BGl_string3158z00zz__ssl_sslz00, BgL_pkeyz00_3746); 
FAILURE(BgL_auxz00_6428,BFALSE,BFALSE);} 
return 
bgl_make_private_key(BgL_auxz00_6424);} } 
BGL_FUNCTION_END;
}



/* %certificate-$native */
BGL_EXPORTED_DEF void * bgl_certificate_native(obj_t BgL_certz00_40)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 772 */
return 
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_certz00_40)))->BgL_z42nativez42);} 
BGL_FUNCTION_END;
}



/* &%certificate-$native */
obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t BgL_envz00_3747, obj_t BgL_certz00_3748)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 772 */
return 
void_star_to_obj(
bgl_certificate_native(BgL_certz00_3748));} 
BGL_FUNCTION_END;
}



/* %private-key-$native */
BGL_EXPORTED_DEF void * bgl_private_key_native(obj_t BgL_pkeyz00_41)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 779 */
return 
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_pkeyz00_41)))->BgL_z42nativez42);} 
BGL_FUNCTION_END;
}



/* &%private-key-$native */
obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t BgL_envz00_3749, obj_t BgL_pkeyz00_3750)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 779 */
return 
void_star_to_obj(
bgl_private_key_native(BgL_pkeyz00_3750));} 
BGL_FUNCTION_END;
}



/* _secure-context-set-key! */
obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t BgL_envz00_59, obj_t BgL_optz00_58)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 836 */
{ /* Llib/ssl.scm 836 */
obj_t BgL_g1250z00_418;obj_t BgL_g1251z00_419;obj_t BgL_g1252z00_420;obj_t BgL_g1253z00_421;
{ 
obj_t BgL_auxz00_6441;
if(
VECTORP(BgL_optz00_58))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6441 = BgL_optz00_58
; }  else 
{ 
obj_t BgL_auxz00_6444;
BgL_auxz00_6444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3161z00zz__ssl_sslz00, BgL_optz00_58); 
FAILURE(BgL_auxz00_6444,BFALSE,BFALSE);} 
BgL_g1250z00_418 = 
VECTOR_REF(BgL_auxz00_6441,((long)0)); } 
{ 
obj_t BgL_auxz00_6449;
if(
VECTORP(BgL_optz00_58))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6449 = BgL_optz00_58
; }  else 
{ 
obj_t BgL_auxz00_6452;
BgL_auxz00_6452 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3161z00zz__ssl_sslz00, BgL_optz00_58); 
FAILURE(BgL_auxz00_6452,BFALSE,BFALSE);} 
BgL_g1251z00_419 = 
VECTOR_REF(BgL_auxz00_6449,((long)1)); } 
{ 
obj_t BgL_auxz00_6457;
if(
VECTORP(BgL_optz00_58))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6457 = BgL_optz00_58
; }  else 
{ 
obj_t BgL_auxz00_6460;
BgL_auxz00_6460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3161z00zz__ssl_sslz00, BgL_optz00_58); 
FAILURE(BgL_auxz00_6460,BFALSE,BFALSE);} 
BgL_g1252z00_420 = 
VECTOR_REF(BgL_auxz00_6457,((long)2)); } 
{ 
obj_t BgL_auxz00_6465;
if(
VECTORP(BgL_optz00_58))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6465 = BgL_optz00_58
; }  else 
{ 
obj_t BgL_auxz00_6468;
BgL_auxz00_6468 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3161z00zz__ssl_sslz00, BgL_optz00_58); 
FAILURE(BgL_auxz00_6468,BFALSE,BFALSE);} 
BgL_g1253z00_421 = 
VECTOR_REF(BgL_auxz00_6465,((long)3)); } 
{ /* Llib/ssl.scm 836 */
long BgL_aux1255z00_423;
{ 
obj_t BgL_auxz00_6473;
if(
VECTORP(BgL_optz00_58))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6473 = BgL_optz00_58
; }  else 
{ 
obj_t BgL_auxz00_6476;
BgL_auxz00_6476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3161z00zz__ssl_sslz00, BgL_optz00_58); 
FAILURE(BgL_auxz00_6476,BFALSE,BFALSE);} 
BgL_aux1255z00_423 = 
VECTOR_LENGTH(BgL_auxz00_6473); } 
switch( BgL_aux1255z00_423) { case ((long)4) : 

{ /* Llib/ssl.scm 836 */

{ /* Llib/ssl.scm 836 */
bool_t BgL_tmpz00_6481;
{ /* Llib/ssl.scm 836 */
long BgL_auxz00_6506;long BgL_auxz00_6497;obj_t BgL_auxz00_6490;BgL_securezd2contextzd2_bglt BgL_auxz00_6482;
{ /* Llib/ssl.scm 836 */
obj_t BgL_tmpz00_6507;
if(
INTEGERP(BgL_g1253z00_421))
{ /* Llib/ssl.scm 836 */
BgL_tmpz00_6507 = BgL_g1253z00_421
; }  else 
{ 
obj_t BgL_auxz00_6510;
BgL_auxz00_6510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_g1253z00_421); 
FAILURE(BgL_auxz00_6510,BFALSE,BFALSE);} 
BgL_auxz00_6506 = 
(long)CINT(BgL_tmpz00_6507); } 
{ /* Llib/ssl.scm 836 */
obj_t BgL_tmpz00_6498;
if(
INTEGERP(BgL_g1252z00_420))
{ /* Llib/ssl.scm 836 */
BgL_tmpz00_6498 = BgL_g1252z00_420
; }  else 
{ 
obj_t BgL_auxz00_6501;
BgL_auxz00_6501 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_g1252z00_420); 
FAILURE(BgL_auxz00_6501,BFALSE,BFALSE);} 
BgL_auxz00_6497 = 
(long)CINT(BgL_tmpz00_6498); } 
if(
STRINGP(BgL_g1251z00_419))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6490 = BgL_g1251z00_419
; }  else 
{ 
obj_t BgL_auxz00_6493;
BgL_auxz00_6493 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_g1251z00_419); 
FAILURE(BgL_auxz00_6493,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_g1250z00_418, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6482 = 
((BgL_securezd2contextzd2_bglt)BgL_g1250z00_418)
; }  else 
{ 
obj_t BgL_auxz00_6486;
BgL_auxz00_6486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_g1250z00_418); 
FAILURE(BgL_auxz00_6486,BFALSE,BFALSE);} 
BgL_tmpz00_6481 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_6482, BgL_auxz00_6490, BgL_auxz00_6497, BgL_auxz00_6506, BFALSE); } 
return 
BBOOL(BgL_tmpz00_6481);} } break;case ((long)5) : 

{ /* Llib/ssl.scm 836 */
obj_t BgL_passphrasez00_426;
{ 
obj_t BgL_auxz00_6517;
if(
VECTORP(BgL_optz00_58))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6517 = BgL_optz00_58
; }  else 
{ 
obj_t BgL_auxz00_6520;
BgL_auxz00_6520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3161z00zz__ssl_sslz00, BgL_optz00_58); 
FAILURE(BgL_auxz00_6520,BFALSE,BFALSE);} 
BgL_passphrasez00_426 = 
VECTOR_REF(BgL_auxz00_6517,((long)4)); } 
{ /* Llib/ssl.scm 836 */

{ /* Llib/ssl.scm 836 */
bool_t BgL_tmpz00_6525;
{ /* Llib/ssl.scm 836 */
long BgL_auxz00_6550;long BgL_auxz00_6541;obj_t BgL_auxz00_6534;BgL_securezd2contextzd2_bglt BgL_auxz00_6526;
{ /* Llib/ssl.scm 836 */
obj_t BgL_tmpz00_6551;
if(
INTEGERP(BgL_g1253z00_421))
{ /* Llib/ssl.scm 836 */
BgL_tmpz00_6551 = BgL_g1253z00_421
; }  else 
{ 
obj_t BgL_auxz00_6554;
BgL_auxz00_6554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_g1253z00_421); 
FAILURE(BgL_auxz00_6554,BFALSE,BFALSE);} 
BgL_auxz00_6550 = 
(long)CINT(BgL_tmpz00_6551); } 
{ /* Llib/ssl.scm 836 */
obj_t BgL_tmpz00_6542;
if(
INTEGERP(BgL_g1252z00_420))
{ /* Llib/ssl.scm 836 */
BgL_tmpz00_6542 = BgL_g1252z00_420
; }  else 
{ 
obj_t BgL_auxz00_6545;
BgL_auxz00_6545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_g1252z00_420); 
FAILURE(BgL_auxz00_6545,BFALSE,BFALSE);} 
BgL_auxz00_6541 = 
(long)CINT(BgL_tmpz00_6542); } 
if(
STRINGP(BgL_g1251z00_419))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6534 = BgL_g1251z00_419
; }  else 
{ 
obj_t BgL_auxz00_6537;
BgL_auxz00_6537 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_g1251z00_419); 
FAILURE(BgL_auxz00_6537,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_g1250z00_418, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 836 */
BgL_auxz00_6526 = 
((BgL_securezd2contextzd2_bglt)BgL_g1250z00_418)
; }  else 
{ 
obj_t BgL_auxz00_6530;
BgL_auxz00_6530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34176)), BGl_string3160z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_g1250z00_418); 
FAILURE(BgL_auxz00_6530,BFALSE,BFALSE);} 
BgL_tmpz00_6525 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_6526, BgL_auxz00_6534, BgL_auxz00_6541, BgL_auxz00_6550, BgL_passphrasez00_426); } 
return 
BBOOL(BgL_tmpz00_6525);} } } break;
default: 
return BUNSPEC;} } } } 
BGL_FUNCTION_END;
}



/* bn-bin2bn */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t BgL_stringz00_178)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1390 */
{ /* Llib/ssl.scm 1392 */
void * BgL_arg1710z00_1890;
{ /* Llib/ssl.scm 1392 */
long BgL_arg1711z00_1891;
BgL_arg1711z00_1891 = 
STRING_LENGTH(BgL_stringz00_178); 
BgL_arg1710z00_1890 = 
bgl_bn_bin2bn(
BSTRING_TO_STRING(BgL_stringz00_178), 
(int)(BgL_arg1711z00_1891)); } 
return 
void_star_to_obj(BgL_arg1710z00_1890);} } 
BGL_FUNCTION_END;
}



/* &bn-bin2bn */
obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t BgL_envz00_3751, obj_t BgL_stringz00_3752)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1390 */
{ /* Llib/ssl.scm 1392 */
obj_t BgL_auxz00_6567;
if(
STRINGP(BgL_stringz00_3752))
{ /* Llib/ssl.scm 1392 */
BgL_auxz00_6567 = BgL_stringz00_3752
; }  else 
{ 
obj_t BgL_auxz00_6570;
BgL_auxz00_6570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)56102)), BGl_string3163z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_stringz00_3752); 
FAILURE(BgL_auxz00_6570,BFALSE,BFALSE);} 
return 
BGl_bnzd2bin2bnzd2zz__ssl_sslz00(BgL_auxz00_6567);} } 
BGL_FUNCTION_END;
}



/* bn-bn2bin */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t BgL_bnz00_179)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1398 */
{ /* Llib/ssl.scm 1401 */
int BgL_sza7za7_429;
{ /* Llib/ssl.scm 1401 */
int BgL_res2333z00_1896;
{ /* Llib/ssl.scm 1412 */
void * BgL_arg1720z00_1895;
BgL_arg1720z00_1895 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
BgL_res2333z00_1896 = 
BN_num_bytes(BgL_arg1720z00_1895); } 
BgL_sza7za7_429 = BgL_res2333z00_1896; } 
{ /* Llib/ssl.scm 1401 */
obj_t BgL_stz00_430;
{ /* Llib/ssl.scm 1402 */

BgL_stz00_430 = 
make_string(
(long)(BgL_sza7za7_429), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1402 */

{ /* Llib/ssl.scm 1403 */
void * BgL_arg1714z00_431;
BgL_arg1714z00_431 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_179); 
{ /* Llib/ssl.scm 1403 */
char * BgL_tmpz00_6580;
BgL_tmpz00_6580 = 
BSTRING_TO_STRING(BgL_stz00_430); 
BN_bn2bin(BgL_arg1714z00_431, BgL_tmpz00_6580); } } 
return BgL_stz00_430;} } } } 
BGL_FUNCTION_END;
}



/* &bn-bn2bin */
obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t BgL_envz00_3753, obj_t BgL_bnz00_3754)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1398 */
{ /* Llib/ssl.scm 1401 */
obj_t BgL_auxz00_6583;
if(
FOREIGNP(BgL_bnz00_3754))
{ /* Llib/ssl.scm 1401 */
BgL_auxz00_6583 = BgL_bnz00_3754
; }  else 
{ 
obj_t BgL_auxz00_6586;
BgL_auxz00_6586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)56440)), BGl_string3164z00zz__ssl_sslz00, BGl_string3165z00zz__ssl_sslz00, BgL_bnz00_3754); 
FAILURE(BgL_auxz00_6586,BFALSE,BFALSE);} 
return 
BGl_bnzd2bn2binzd2zz__ssl_sslz00(BgL_auxz00_6583);} } 
BGL_FUNCTION_END;
}



/* bn-num-bytes */
BGL_EXPORTED_DEF int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t BgL_bnz00_180)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1410 */
{ /* Llib/ssl.scm 1412 */
void * BgL_arg1720z00_1899;
BgL_arg1720z00_1899 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_180); 
return 
BN_num_bytes(BgL_arg1720z00_1899);} } 
BGL_FUNCTION_END;
}



/* &bn-num-bytes */
obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_3755, obj_t BgL_bnz00_3756)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1410 */
{ /* Llib/ssl.scm 1412 */
int BgL_tmpz00_6593;
{ /* Llib/ssl.scm 1412 */
obj_t BgL_auxz00_6594;
if(
FOREIGNP(BgL_bnz00_3756))
{ /* Llib/ssl.scm 1412 */
BgL_auxz00_6594 = BgL_bnz00_3756
; }  else 
{ 
obj_t BgL_auxz00_6597;
BgL_auxz00_6597 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)56862)), BGl_string3166z00zz__ssl_sslz00, BGl_string3165z00zz__ssl_sslz00, BgL_bnz00_3756); 
FAILURE(BgL_auxz00_6597,BFALSE,BFALSE);} 
BgL_tmpz00_6593 = 
BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(BgL_auxz00_6594); } 
return 
BINT(BgL_tmpz00_6593);} } 
BGL_FUNCTION_END;
}



/* bn-free */
BGL_EXPORTED_DEF obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t BgL_bnz00_181)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1418 */
{ /* Llib/ssl.scm 1420 */
void * BgL_arg1732z00_1900;
BgL_arg1732z00_1900 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
BN_free(BgL_arg1732z00_1900); BUNSPEC; } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &bn-free */
obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t BgL_envz00_3757, obj_t BgL_bnz00_3758)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1418 */
{ /* Llib/ssl.scm 1420 */
obj_t BgL_auxz00_6605;
if(
FOREIGNP(BgL_bnz00_3758))
{ /* Llib/ssl.scm 1420 */
BgL_auxz00_6605 = BgL_bnz00_3758
; }  else 
{ 
obj_t BgL_auxz00_6608;
BgL_auxz00_6608 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)57207)), BGl_string3167z00zz__ssl_sslz00, BGl_string3165z00zz__ssl_sslz00, BgL_bnz00_3758); 
FAILURE(BgL_auxz00_6608,BFALSE,BFALSE);} 
return 
BGl_bnzd2freezd2zz__ssl_sslz00(BgL_auxz00_6605);} } 
BGL_FUNCTION_END;
}



/* bn-new */
BGL_EXPORTED_DEF obj_t BGl_bnzd2newzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1426 */
{ /* Llib/ssl.scm 1428 */
void * BgL_arg1733z00_1901;
BgL_arg1733z00_1901 = 
BN_new(); 
return 
void_star_to_obj(BgL_arg1733z00_1901);} } 
BGL_FUNCTION_END;
}



/* &bn-new */
obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t BgL_envz00_3759)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1426 */
return 
BGl_bnzd2newzd2zz__ssl_sslz00();} 
BGL_FUNCTION_END;
}



/* bn-set-word */
BGL_EXPORTED_DEF bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t BgL_bnz00_182, int BgL_wz00_183)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1434 */
{ /* Llib/ssl.scm 1436 */
void * BgL_arg1735z00_1902;
BgL_arg1735z00_1902 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_182); 
return 
BN_set_word(BgL_arg1735z00_1902, BgL_wz00_183);} } 
BGL_FUNCTION_END;
}



/* &bn-set-word */
obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t BgL_envz00_3760, obj_t BgL_bnz00_3761, obj_t BgL_wz00_3762)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1434 */
{ /* Llib/ssl.scm 1436 */
bool_t BgL_tmpz00_6618;
{ /* Llib/ssl.scm 1436 */
int BgL_auxz00_6626;obj_t BgL_auxz00_6619;
{ /* Llib/ssl.scm 1436 */
obj_t BgL_tmpz00_6627;
if(
INTEGERP(BgL_wz00_3762))
{ /* Llib/ssl.scm 1436 */
BgL_tmpz00_6627 = BgL_wz00_3762
; }  else 
{ 
obj_t BgL_auxz00_6630;
BgL_auxz00_6630 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)57841)), BGl_string3168z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_wz00_3762); 
FAILURE(BgL_auxz00_6630,BFALSE,BFALSE);} 
BgL_auxz00_6626 = 
CINT(BgL_tmpz00_6627); } 
if(
FOREIGNP(BgL_bnz00_3761))
{ /* Llib/ssl.scm 1436 */
BgL_auxz00_6619 = BgL_bnz00_3761
; }  else 
{ 
obj_t BgL_auxz00_6622;
BgL_auxz00_6622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)57841)), BGl_string3168z00zz__ssl_sslz00, BGl_string3165z00zz__ssl_sslz00, BgL_bnz00_3761); 
FAILURE(BgL_auxz00_6622,BFALSE,BFALSE);} 
BgL_tmpz00_6618 = 
BGl_bnzd2setzd2wordz00zz__ssl_sslz00(BgL_auxz00_6619, BgL_auxz00_6626); } 
return 
BBOOL(BgL_tmpz00_6618);} } 
BGL_FUNCTION_END;
}



/* ssl-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1442 */
return 
bgl_ssl_get_ciphers();} 
BGL_FUNCTION_END;
}



/* &ssl-get-ciphers */
obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_3763)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1442 */
return 
BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();} 
BGL_FUNCTION_END;
}



/* evp-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1450 */
return 
bgl_evp_get_ciphers();} 
BGL_FUNCTION_END;
}



/* &evp-get-ciphers */
obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_3764)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1450 */
return 
BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();} 
BGL_FUNCTION_END;
}



/* evp-get-hashes */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1458 */
return 
bgl_evp_get_hashes();} 
BGL_FUNCTION_END;
}



/* &evp-get-hashes */
obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t BgL_envz00_3765)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1458 */
return 
BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();} 
BGL_FUNCTION_END;
}



/* pkcs5-pbkdf2-hmac-sha1 */
BGL_EXPORTED_DEF obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t BgL_passz00_184, obj_t BgL_saltz00_185, int BgL_iterz00_186, int BgL_keylenz00_187)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1466 */
return 
bgl_pkcs5_pbkdf2_hmac_sha1(BgL_passz00_184, BgL_saltz00_185, BgL_iterz00_186, BgL_keylenz00_187);} 
BGL_FUNCTION_END;
}



/* &pkcs5-pbkdf2-hmac-sha1 */
obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t BgL_envz00_3766, obj_t BgL_passz00_3767, obj_t BgL_saltz00_3768, obj_t BgL_iterz00_3769, obj_t BgL_keylenz00_3770)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1466 */
{ /* Llib/ssl.scm 1469 */
int BgL_auxz00_6667;int BgL_auxz00_6658;obj_t BgL_auxz00_6651;obj_t BgL_auxz00_6644;
{ /* Llib/ssl.scm 1469 */
obj_t BgL_tmpz00_6668;
if(
INTEGERP(BgL_keylenz00_3770))
{ /* Llib/ssl.scm 1469 */
BgL_tmpz00_6668 = BgL_keylenz00_3770
; }  else 
{ 
obj_t BgL_auxz00_6671;
BgL_auxz00_6671 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)59178)), BGl_string3169z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_keylenz00_3770); 
FAILURE(BgL_auxz00_6671,BFALSE,BFALSE);} 
BgL_auxz00_6667 = 
CINT(BgL_tmpz00_6668); } 
{ /* Llib/ssl.scm 1469 */
obj_t BgL_tmpz00_6659;
if(
INTEGERP(BgL_iterz00_3769))
{ /* Llib/ssl.scm 1469 */
BgL_tmpz00_6659 = BgL_iterz00_3769
; }  else 
{ 
obj_t BgL_auxz00_6662;
BgL_auxz00_6662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)59178)), BGl_string3169z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_iterz00_3769); 
FAILURE(BgL_auxz00_6662,BFALSE,BFALSE);} 
BgL_auxz00_6658 = 
CINT(BgL_tmpz00_6659); } 
if(
STRINGP(BgL_saltz00_3768))
{ /* Llib/ssl.scm 1469 */
BgL_auxz00_6651 = BgL_saltz00_3768
; }  else 
{ 
obj_t BgL_auxz00_6654;
BgL_auxz00_6654 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)59178)), BGl_string3169z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_saltz00_3768); 
FAILURE(BgL_auxz00_6654,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passz00_3767))
{ /* Llib/ssl.scm 1469 */
BgL_auxz00_6644 = BgL_passz00_3767
; }  else 
{ 
obj_t BgL_auxz00_6647;
BgL_auxz00_6647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)59178)), BGl_string3169z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_passz00_3767); 
FAILURE(BgL_auxz00_6647,BFALSE,BFALSE);} 
return 
BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(BgL_auxz00_6644, BgL_auxz00_6651, BgL_auxz00_6658, BgL_auxz00_6667);} } 
BGL_FUNCTION_END;
}



/* ssl-op-cipher-server-preference */
BGL_EXPORTED_DEF int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1476 */
return SSL_OP_CIPHER_SERVER_PREFERENCE;} 
BGL_FUNCTION_END;
}



/* &ssl-op-cipher-server-preference */
obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t BgL_envz00_3771)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1476 */
return 
BINT(
BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00());} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 297 */
obj_t BgL_arg1745z00_441;obj_t BgL_arg1746z00_442;
{ /* Llib/ssl.scm 297 */
obj_t BgL_v1190z00_453;
BgL_v1190z00_453 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 297 */
obj_t BgL_arg1752z00_454;
BgL_arg1752z00_454 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc3171z00zz__ssl_sslz00, BGl_proc3170z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1190z00_453,((long)0),BgL_arg1752z00_454); } 
BgL_arg1745z00_441 = BgL_v1190z00_453; } 
{ /* Llib/ssl.scm 297 */
obj_t BgL_v1191z00_464;
BgL_v1191z00_464 = 
create_vector(((long)0)); 
BgL_arg1746z00_442 = BgL_v1191z00_464; } 
BGl_certificatez00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)29)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)36719), BGl_proc3174z00zz__ssl_sslz00, BGl_proc3173z00zz__ssl_sslz00, BFALSE, BGl_proc3172z00zz__ssl_sslz00, BFALSE, BgL_arg1745z00_441, BgL_arg1746z00_442); } 
{ /* Llib/ssl.scm 300 */
obj_t BgL_arg1760z00_471;obj_t BgL_arg1761z00_472;
{ /* Llib/ssl.scm 300 */
obj_t BgL_v1192z00_483;
BgL_v1192z00_483 = 
create_vector(((long)1)); 
{ /* Llib/ssl.scm 300 */
obj_t BgL_arg1767z00_484;
BgL_arg1767z00_484 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc3176z00zz__ssl_sslz00, BGl_proc3175z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)31))); 
VECTOR_SET(BgL_v1192z00_483,((long)0),BgL_arg1767z00_484); } 
BgL_arg1760z00_471 = BgL_v1192z00_483; } 
{ /* Llib/ssl.scm 300 */
obj_t BgL_v1193z00_494;
BgL_v1193z00_494 = 
create_vector(((long)0)); 
BgL_arg1761z00_472 = BgL_v1193z00_494; } 
BGl_privatezd2keyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)36583), BGl_proc3179z00zz__ssl_sslz00, BGl_proc3178z00zz__ssl_sslz00, BFALSE, BGl_proc3177z00zz__ssl_sslz00, BFALSE, BgL_arg1760z00_471, BgL_arg1761z00_472); } 
{ /* Llib/ssl.scm 403 */
obj_t BgL_arg1775z00_501;obj_t BgL_arg1776z00_502;
{ /* Llib/ssl.scm 403 */
obj_t BgL_v1194z00_516;
BgL_v1194z00_516 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 403 */
obj_t BgL_arg1783z00_517;
BgL_arg1783z00_517 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc3182z00zz__ssl_sslz00, BGl_proc3181z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3180z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)33))); 
VECTOR_SET(BgL_v1194z00_516,((long)0),BgL_arg1783z00_517); } 
{ /* Llib/ssl.scm 403 */
obj_t BgL_arg1790z00_530;
BgL_arg1790z00_530 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc3185z00zz__ssl_sslz00, BGl_proc3184z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3183z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)35))); 
VECTOR_SET(BgL_v1194z00_516,((long)1),BgL_arg1790z00_530); } 
{ /* Llib/ssl.scm 403 */
obj_t BgL_arg1797z00_543;
BgL_arg1797z00_543 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc3188z00zz__ssl_sslz00, BGl_proc3187z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3186z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)37))); 
VECTOR_SET(BgL_v1194z00_516,((long)2),BgL_arg1797z00_543); } 
BgL_arg1775z00_501 = BgL_v1194z00_516; } 
{ /* Llib/ssl.scm 403 */
obj_t BgL_v1195z00_556;
BgL_v1195z00_556 = 
create_vector(((long)0)); 
BgL_arg1776z00_502 = BgL_v1195z00_556; } 
BGl_securezd2contextzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)38)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)52075), BGl_proc3191z00zz__ssl_sslz00, BGl_proc3190z00zz__ssl_sslz00, BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3189z00zz__ssl_sslz00, BFALSE, BgL_arg1775z00_501, BgL_arg1776z00_502); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1807z00_563;obj_t BgL_arg1808z00_564;
{ /* Llib/ssl.scm 409 */
obj_t BgL_v1196z00_592;
BgL_v1196z00_592 = 
create_vector(((long)17)); 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1815z00_593;
BgL_arg1815z00_593 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc3194z00zz__ssl_sslz00, BGl_proc3193z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3192z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)39))); 
VECTOR_SET(BgL_v1196z00_592,((long)0),BgL_arg1815z00_593); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1822z00_606;
BgL_arg1822z00_606 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)40)), BGl_proc3197z00zz__ssl_sslz00, BGl_proc3196z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3195z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1196z00_592,((long)1),BgL_arg1822z00_606); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1829z00_619;
BgL_arg1829z00_619 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc3200z00zz__ssl_sslz00, BGl_proc3199z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3198z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)41))); 
VECTOR_SET(BgL_v1196z00_592,((long)2),BgL_arg1829z00_619); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1836z00_632;
BgL_arg1836z00_632 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc3203z00zz__ssl_sslz00, BGl_proc3202z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3201z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)44))); 
VECTOR_SET(BgL_v1196z00_592,((long)3),BgL_arg1836z00_632); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1843z00_645;
BgL_arg1843z00_645 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc3205z00zz__ssl_sslz00, BGl_proc3204z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_securezd2contextzd2zz__ssl_sslz00); 
VECTOR_SET(BgL_v1196z00_592,((long)4),BgL_arg1843z00_645); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1848z00_655;
BgL_arg1848z00_655 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)46)), BGl_proc3207z00zz__ssl_sslz00, BGl_proc3206z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)47))); 
VECTOR_SET(BgL_v1196z00_592,((long)5),BgL_arg1848z00_655); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1853z00_665;
BgL_arg1853z00_665 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc3210z00zz__ssl_sslz00, BGl_proc3209z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3208z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)47))); 
VECTOR_SET(BgL_v1196z00_592,((long)6),BgL_arg1853z00_665); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1860z00_678;
BgL_arg1860z00_678 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3213z00zz__ssl_sslz00, BGl_proc3212z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3211z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1196z00_592,((long)7),BgL_arg1860z00_678); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1867z00_691;
BgL_arg1867z00_691 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)51)), BGl_proc3215z00zz__ssl_sslz00, BGl_proc3214z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)47))); 
VECTOR_SET(BgL_v1196z00_592,((long)8),BgL_arg1867z00_691); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1872z00_701;
BgL_arg1872z00_701 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3218z00zz__ssl_sslz00, BGl_proc3217z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3216z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1196z00_592,((long)9),BgL_arg1872z00_701); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1879z00_714;
BgL_arg1879z00_714 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3221z00zz__ssl_sslz00, BGl_proc3220z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3219z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1196z00_592,((long)10),BgL_arg1879z00_714); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1886z00_727;
BgL_arg1886z00_727 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3224z00zz__ssl_sslz00, BGl_proc3223z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3222z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)55))); 
VECTOR_SET(BgL_v1196z00_592,((long)11),BgL_arg1886z00_727); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1893z00_740;
BgL_arg1893z00_740 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc3227z00zz__ssl_sslz00, BGl_proc3226z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3225z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1196z00_592,((long)12),BgL_arg1893z00_740); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1900z00_753;
BgL_arg1900z00_753 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3230z00zz__ssl_sslz00, BGl_proc3229z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3228z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1196z00_592,((long)13),BgL_arg1900z00_753); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1907z00_766;
BgL_arg1907z00_766 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3233z00zz__ssl_sslz00, BGl_proc3232z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3231z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1196z00_592,((long)14),BgL_arg1907z00_766); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1914z00_779;
BgL_arg1914z00_779 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc3236z00zz__ssl_sslz00, BGl_proc3235z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3234z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)47))); 
VECTOR_SET(BgL_v1196z00_592,((long)15),BgL_arg1914z00_779); } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_arg1921z00_792;
BgL_arg1921z00_792 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc3239z00zz__ssl_sslz00, BGl_proc3238z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3237z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)47))); 
VECTOR_SET(BgL_v1196z00_592,((long)16),BgL_arg1921z00_792); } 
BgL_arg1807z00_563 = BgL_v1196z00_592; } 
{ /* Llib/ssl.scm 409 */
obj_t BgL_v1197z00_805;
BgL_v1197z00_805 = 
create_vector(((long)0)); 
BgL_arg1808z00_564 = BgL_v1197z00_805; } 
BGl_sslzd2connectionzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)46618), BGl_proc3242z00zz__ssl_sslz00, BGl_proc3241z00zz__ssl_sslz00, BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3240z00zz__ssl_sslz00, BFALSE, BgL_arg1807z00_563, BgL_arg1808z00_564); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1931z00_812;obj_t BgL_arg1932z00_813;
{ /* Llib/ssl.scm 429 */
obj_t BgL_v1198z00_830;
BgL_v1198z00_830 = 
create_vector(((long)11)); 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1939z00_831;
BgL_arg1939z00_831 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc3245z00zz__ssl_sslz00, BGl_proc3244z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3243z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)62))); 
VECTOR_SET(BgL_v1198z00_830,((long)0),BgL_arg1939z00_831); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1946z00_844;
BgL_arg1946z00_844 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3248z00zz__ssl_sslz00, BGl_proc3247z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3246z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1198z00_830,((long)1),BgL_arg1946z00_844); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1953z00_857;
BgL_arg1953z00_857 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc3251z00zz__ssl_sslz00, BGl_proc3250z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3249z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1198z00_830,((long)2),BgL_arg1953z00_857); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1960z00_870;
BgL_arg1960z00_870 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc3254z00zz__ssl_sslz00, BGl_proc3253z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3252z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1198z00_830,((long)3),BgL_arg1960z00_870); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1967z00_883;
BgL_arg1967z00_883 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc3257z00zz__ssl_sslz00, BGl_proc3256z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3255z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1198z00_830,((long)4),BgL_arg1967z00_883); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1974z00_896;
BgL_arg1974z00_896 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc3260z00zz__ssl_sslz00, BGl_proc3259z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3258z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1198z00_830,((long)5),BgL_arg1974z00_896); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1981z00_909;
BgL_arg1981z00_909 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc3262z00zz__ssl_sslz00, BGl_proc3261z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1198z00_830,((long)6),BgL_arg1981z00_909); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1986z00_919;
BgL_arg1986z00_919 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc3264z00zz__ssl_sslz00, BGl_proc3263z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1198z00_830,((long)7),BgL_arg1986z00_919); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1991z00_929;
BgL_arg1991z00_929 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc3266z00zz__ssl_sslz00, BGl_proc3265z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1198z00_830,((long)8),BgL_arg1991z00_929); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg1996z00_939;
BgL_arg1996z00_939 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)32)), BGl_proc3268z00zz__ssl_sslz00, BGl_proc3267z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1198z00_830,((long)9),BgL_arg1996z00_939); } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_arg2001z00_949;
BgL_arg2001z00_949 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc3270z00zz__ssl_sslz00, BGl_proc3269z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1198z00_830,((long)10),BgL_arg2001z00_949); } 
BgL_arg1931z00_812 = BgL_v1198z00_830; } 
{ /* Llib/ssl.scm 429 */
obj_t BgL_v1199z00_959;
BgL_v1199z00_959 = 
create_vector(((long)5)); 
{ /* Llib/ssl.scm 439 */
obj_t BgL_arg2006z00_960;
{ /* Llib/ssl.scm 439 */
obj_t BgL_arg2007z00_961;
BgL_arg2007z00_961 = 
MAKE_YOUNG_PAIR(BGl_proc3271z00zz__ssl_sslz00, BGl_proc3272z00zz__ssl_sslz00); 
BgL_arg2006z00_960 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg2007z00_961); } 
VECTOR_SET(BgL_v1199z00_959,((long)0),BgL_arg2006z00_960); } 
{ /* Llib/ssl.scm 448 */
obj_t BgL_arg2020z00_988;
{ /* Llib/ssl.scm 448 */
obj_t BgL_arg2021z00_989;
BgL_arg2021z00_989 = 
MAKE_YOUNG_PAIR(BGl_proc3273z00zz__ssl_sslz00, BGl_proc3274z00zz__ssl_sslz00); 
BgL_arg2020z00_988 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg2021z00_989); } 
VECTOR_SET(BgL_v1199z00_959,((long)1),BgL_arg2020z00_988); } 
{ /* Llib/ssl.scm 457 */
obj_t BgL_arg2034z00_1016;
{ /* Llib/ssl.scm 457 */
obj_t BgL_arg2035z00_1017;
BgL_arg2035z00_1017 = 
MAKE_YOUNG_PAIR(BGl_proc3275z00zz__ssl_sslz00, BGl_proc3276z00zz__ssl_sslz00); 
BgL_arg2034z00_1016 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg2035z00_1017); } 
VECTOR_SET(BgL_v1199z00_959,((long)2),BgL_arg2034z00_1016); } 
{ /* Llib/ssl.scm 467 */
obj_t BgL_arg2048z00_1045;
{ /* Llib/ssl.scm 467 */
obj_t BgL_arg2049z00_1046;
BgL_arg2049z00_1046 = 
MAKE_YOUNG_PAIR(BGl_proc3277z00zz__ssl_sslz00, BGl_proc3278z00zz__ssl_sslz00); 
BgL_arg2048z00_1045 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg2049z00_1046); } 
VECTOR_SET(BgL_v1199z00_959,((long)3),BgL_arg2048z00_1045); } 
{ /* Llib/ssl.scm 476 */
obj_t BgL_arg2061z00_1072;
{ /* Llib/ssl.scm 476 */
obj_t BgL_arg2062z00_1073;
BgL_arg2062z00_1073 = 
MAKE_YOUNG_PAIR(BGl_proc3279z00zz__ssl_sslz00, BGl_proc3280z00zz__ssl_sslz00); 
BgL_arg2061z00_1072 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2062z00_1073); } 
VECTOR_SET(BgL_v1199z00_959,((long)4),BgL_arg2061z00_1072); } 
BgL_arg1932z00_813 = BgL_v1199z00_959; } 
BGl_dhz00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)73)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)13004), BGl_proc3283z00zz__ssl_sslz00, BGl_proc3282z00zz__ssl_sslz00, BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3281z00zz__ssl_sslz00, BFALSE, BgL_arg1931z00_812, BgL_arg1932z00_813); } 
{ /* Llib/ssl.scm 484 */
obj_t BgL_arg2077z00_1105;obj_t BgL_arg2078z00_1106;
{ /* Llib/ssl.scm 484 */
obj_t BgL_v1200z00_1120;
BgL_v1200z00_1120 = 
create_vector(((long)3)); 
{ /* Llib/ssl.scm 484 */
obj_t BgL_arg2085z00_1121;
BgL_arg2085z00_1121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3286z00zz__ssl_sslz00, BGl_proc3285z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3284z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)75))); 
VECTOR_SET(BgL_v1200z00_1120,((long)0),BgL_arg2085z00_1121); } 
{ /* Llib/ssl.scm 484 */
obj_t BgL_arg2092z00_1134;
BgL_arg2092z00_1134 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc3289z00zz__ssl_sslz00, BGl_proc3288z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3287z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)77))); 
VECTOR_SET(BgL_v1200z00_1120,((long)1),BgL_arg2092z00_1134); } 
{ /* Llib/ssl.scm 484 */
obj_t BgL_arg2099z00_1147;
BgL_arg2099z00_1147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)78)), BGl_proc3291z00zz__ssl_sslz00, BGl_proc3290z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)37))); 
VECTOR_SET(BgL_v1200z00_1120,((long)2),BgL_arg2099z00_1147); } 
BgL_arg2077z00_1105 = BgL_v1200z00_1120; } 
{ /* Llib/ssl.scm 484 */
obj_t BgL_v1201z00_1157;
BgL_v1201z00_1157 = 
create_vector(((long)0)); 
BgL_arg2078z00_1106 = BgL_v1201z00_1157; } 
BGl_sslzd2hashzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)79)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)4072), BGl_proc3294z00zz__ssl_sslz00, BGl_proc3293z00zz__ssl_sslz00, BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3292z00zz__ssl_sslz00, BFALSE, BgL_arg2077z00_1105, BgL_arg2078z00_1106); } 
{ /* Llib/ssl.scm 494 */
obj_t BgL_arg2107z00_1164;obj_t BgL_arg2108z00_1165;
{ /* Llib/ssl.scm 494 */
obj_t BgL_v1202z00_1177;
BgL_v1202z00_1177 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 494 */
obj_t BgL_arg2114z00_1178;
BgL_arg2114z00_1178 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3297z00zz__ssl_sslz00, BGl_proc3296z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3295z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)75))); 
VECTOR_SET(BgL_v1202z00_1177,((long)0),BgL_arg2114z00_1178); } 
{ /* Llib/ssl.scm 494 */
obj_t BgL_arg2121z00_1191;
BgL_arg2121z00_1191 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc3300z00zz__ssl_sslz00, BGl_proc3299z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3298z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1202z00_1177,((long)1),BgL_arg2121z00_1191); } 
BgL_arg2107z00_1164 = BgL_v1202z00_1177; } 
{ /* Llib/ssl.scm 494 */
obj_t BgL_v1203z00_1204;
BgL_v1203z00_1204 = 
create_vector(((long)0)); 
BgL_arg2108z00_1165 = BgL_v1203z00_1204; } 
BGl_sslzd2hmaczd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)81)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)62191), BGl_proc3303z00zz__ssl_sslz00, BGl_proc3302z00zz__ssl_sslz00, BFALSE, BGl_proc3301z00zz__ssl_sslz00, BFALSE, BgL_arg2107z00_1164, BgL_arg2108z00_1165); } 
{ /* Llib/ssl.scm 502 */
obj_t BgL_arg2131z00_1211;obj_t BgL_arg2132z00_1212;
{ /* Llib/ssl.scm 502 */
obj_t BgL_v1204z00_1224;
BgL_v1204z00_1224 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 502 */
obj_t BgL_arg2138z00_1225;
BgL_arg2138z00_1225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3306z00zz__ssl_sslz00, BGl_proc3305z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3304z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)75))); 
VECTOR_SET(BgL_v1204z00_1224,((long)0),BgL_arg2138z00_1225); } 
{ /* Llib/ssl.scm 502 */
obj_t BgL_arg2145z00_1238;
BgL_arg2145z00_1238 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc3309z00zz__ssl_sslz00, BGl_proc3308z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3307z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1204z00_1224,((long)1),BgL_arg2145z00_1238); } 
BgL_arg2131z00_1211 = BgL_v1204z00_1224; } 
{ /* Llib/ssl.scm 502 */
obj_t BgL_v1205z00_1251;
BgL_v1205z00_1251 = 
create_vector(((long)0)); 
BgL_arg2132z00_1212 = BgL_v1205z00_1251; } 
BGl_sslzd2signzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)64231), BGl_proc3312z00zz__ssl_sslz00, BGl_proc3311z00zz__ssl_sslz00, BFALSE, BGl_proc3310z00zz__ssl_sslz00, BFALSE, BgL_arg2131z00_1211, BgL_arg2132z00_1212); } 
{ /* Llib/ssl.scm 510 */
obj_t BgL_arg2155z00_1258;obj_t BgL_arg2156z00_1259;
{ /* Llib/ssl.scm 510 */
obj_t BgL_v1206z00_1271;
BgL_v1206z00_1271 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 510 */
obj_t BgL_arg2162z00_1272;
BgL_arg2162z00_1272 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3315z00zz__ssl_sslz00, BGl_proc3314z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3313z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)75))); 
VECTOR_SET(BgL_v1206z00_1271,((long)0),BgL_arg2162z00_1272); } 
{ /* Llib/ssl.scm 510 */
obj_t BgL_arg2169z00_1285;
BgL_arg2169z00_1285 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc3318z00zz__ssl_sslz00, BGl_proc3317z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3316z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1206z00_1271,((long)1),BgL_arg2169z00_1285); } 
BgL_arg2155z00_1258 = BgL_v1206z00_1271; } 
{ /* Llib/ssl.scm 510 */
obj_t BgL_v1207z00_1298;
BgL_v1207z00_1298 = 
create_vector(((long)0)); 
BgL_arg2156z00_1259 = BgL_v1207z00_1298; } 
BGl_sslzd2verifyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)83)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)31563), BGl_proc3321z00zz__ssl_sslz00, BGl_proc3320z00zz__ssl_sslz00, BFALSE, BGl_proc3319z00zz__ssl_sslz00, BFALSE, BgL_arg2155z00_1258, BgL_arg2156z00_1259); } 
{ /* Llib/ssl.scm 518 */
obj_t BgL_arg2179z00_1305;obj_t BgL_arg2180z00_1306;
{ /* Llib/ssl.scm 518 */
obj_t BgL_v1208z00_1318;
BgL_v1208z00_1318 = 
create_vector(((long)2)); 
{ /* Llib/ssl.scm 518 */
obj_t BgL_arg2186z00_1319;
BgL_arg2186z00_1319 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc3324z00zz__ssl_sslz00, BGl_proc3323z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3322z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)85))); 
VECTOR_SET(BgL_v1208z00_1318,((long)0),BgL_arg2186z00_1319); } 
{ /* Llib/ssl.scm 518 */
obj_t BgL_arg2193z00_1332;
BgL_arg2193z00_1332 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc3327z00zz__ssl_sslz00, BGl_proc3326z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3325z00zz__ssl_sslz00, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1208z00_1318,((long)1),BgL_arg2193z00_1332); } 
BgL_arg2179z00_1305 = BgL_v1208z00_1318; } 
{ /* Llib/ssl.scm 518 */
obj_t BgL_v1209z00_1345;
BgL_v1209z00_1345 = 
create_vector(((long)0)); 
BgL_arg2180z00_1306 = BgL_v1209z00_1345; } 
return ( 
BGl_sslzd2cipherzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)88)), 
CNST_TABLE_REF(((long)30)), BGl_objectz00zz__objectz00, ((long)23017), BGl_proc3330z00zz__ssl_sslz00, BGl_proc3329z00zz__ssl_sslz00, BFALSE, BGl_proc3328z00zz__ssl_sslz00, BFALSE, BgL_arg2179z00_1305, BgL_arg2180z00_1306), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2185> */
obj_t BGl_z62zc3anonymousza32185ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3938, obj_t BgL_new1115z00_3939)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
{ 
BgL_sslzd2cipherzd2_bglt BgL_auxz00_6924;
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1115z00_3939)))->BgL_z42cipherz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1115z00_3939)))->BgL_z42cipherzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_6924 = 
((BgL_sslzd2cipherzd2_bglt)BgL_new1115z00_3939); 
return 
((obj_t)BgL_auxz00_6924);} } 
BGL_FUNCTION_END;
}



/* &lambda2183 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2183z62zz__ssl_sslz00(obj_t BgL_envz00_3940)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
{ /* Llib/ssl.scm 518 */
BgL_sslzd2cipherzd2_bglt BgL_new1114z00_5236;
BgL_new1114z00_5236 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 518 */
long BgL_arg2184z00_5237;
{ /* Llib/ssl.scm 518 */
long BgL_res2354z00_5238;
BgL_res2354z00_5238 = 
BGL_CLASS_INDEX(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BgL_arg2184z00_5237 = BgL_res2354z00_5238; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_5236), BgL_arg2184z00_5237); } 
return BgL_new1114z00_5236;} } 
BGL_FUNCTION_END;
}



/* &lambda2181 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2181z62zz__ssl_sslz00(obj_t BgL_envz00_3941, obj_t BgL_z42cipher1112z42_3942, obj_t BgL_z42cipherzd2ctx1113z90_3943)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
{ /* Llib/ssl.scm 518 */
void * BgL_z42cipher1112z42_5239;void * BgL_z42cipherzd2ctx1113z90_5240;
BgL_z42cipher1112z42_5239 = 
FOREIGN_TO_COBJ(BgL_z42cipher1112z42_3942); 
BgL_z42cipherzd2ctx1113z90_5240 = 
FOREIGN_TO_COBJ(BgL_z42cipherzd2ctx1113z90_3943); 
{ /* Llib/ssl.scm 518 */
BgL_sslzd2cipherzd2_bglt BgL_new1178z00_5241;
{ /* Llib/ssl.scm 518 */
BgL_sslzd2cipherzd2_bglt BgL_new1177z00_5242;
BgL_new1177z00_5242 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 518 */
long BgL_arg2182z00_5243;
{ /* Llib/ssl.scm 518 */
long BgL_res2353z00_5244;
BgL_res2353z00_5244 = 
BGL_CLASS_INDEX(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BgL_arg2182z00_5243 = BgL_res2353z00_5244; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_5242), BgL_arg2182z00_5243); } 
BgL_new1178z00_5241 = BgL_new1177z00_5242; } 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1178z00_5241))->BgL_z42cipherz42)=((void *)BgL_z42cipher1112z42_5239),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1178z00_5241))->BgL_z42cipherzd2ctxz90)=((void *)BgL_z42cipherzd2ctx1113z90_5240),BUNSPEC); 
return BgL_new1178z00_5241;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2199> */
obj_t BGl_z62zc3anonymousza32199ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3944)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2198 */
obj_t BGl_z62lambda2198z62zz__ssl_sslz00(obj_t BgL_envz00_3945, obj_t BgL_oz00_3946, obj_t BgL_vz00_3947)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
{ /* Llib/ssl.scm 518 */
void * BgL_vz00_5246;
BgL_vz00_5246 = 
FOREIGN_TO_COBJ(BgL_vz00_3947); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3946)))->BgL_z42cipherzd2ctxz90)=((void *)BgL_vz00_5246),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__ssl_sslz00(obj_t BgL_envz00_3948, obj_t BgL_oz00_3949)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3949)))->BgL_z42cipherzd2ctxz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2192> */
obj_t BGl_z62zc3anonymousza32192ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3950)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2191 */
obj_t BGl_z62lambda2191z62zz__ssl_sslz00(obj_t BgL_envz00_3951, obj_t BgL_oz00_3952, obj_t BgL_vz00_3953)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
{ /* Llib/ssl.scm 518 */
void * BgL_vz00_5249;
BgL_vz00_5249 = 
FOREIGN_TO_COBJ(BgL_vz00_3953); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3952)))->BgL_z42cipherz42)=((void *)BgL_vz00_5249),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2190 */
obj_t BGl_z62lambda2190z62zz__ssl_sslz00(obj_t BgL_envz00_3954, obj_t BgL_oz00_3955)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 518 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_3955)))->BgL_z42cipherz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2161> */
obj_t BGl_z62zc3anonymousza32161ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3956, obj_t BgL_new1110z00_3957)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
{ 
BgL_sslzd2verifyzd2_bglt BgL_auxz00_6959;
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1110z00_3957)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1110z00_3957)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_6959 = 
((BgL_sslzd2verifyzd2_bglt)BgL_new1110z00_3957); 
return 
((obj_t)BgL_auxz00_6959);} } 
BGL_FUNCTION_END;
}



/* &lambda2159 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2159z62zz__ssl_sslz00(obj_t BgL_envz00_3958)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
{ /* Llib/ssl.scm 510 */
BgL_sslzd2verifyzd2_bglt BgL_new1109z00_5252;
BgL_new1109z00_5252 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 510 */
long BgL_arg2160z00_5253;
{ /* Llib/ssl.scm 510 */
long BgL_res2352z00_5254;
BgL_res2352z00_5254 = 
BGL_CLASS_INDEX(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BgL_arg2160z00_5253 = BgL_res2352z00_5254; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_5252), BgL_arg2160z00_5253); } 
return BgL_new1109z00_5252;} } 
BGL_FUNCTION_END;
}



/* &lambda2157 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2157z62zz__ssl_sslz00(obj_t BgL_envz00_3959, obj_t BgL_z42md1107z42_3960, obj_t BgL_z42mdzd2ctx1108z90_3961)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
{ /* Llib/ssl.scm 510 */
void * BgL_z42md1107z42_5255;void * BgL_z42mdzd2ctx1108z90_5256;
BgL_z42md1107z42_5255 = 
FOREIGN_TO_COBJ(BgL_z42md1107z42_3960); 
BgL_z42mdzd2ctx1108z90_5256 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1108z90_3961); 
{ /* Llib/ssl.scm 510 */
BgL_sslzd2verifyzd2_bglt BgL_new1176z00_5257;
{ /* Llib/ssl.scm 510 */
BgL_sslzd2verifyzd2_bglt BgL_new1175z00_5258;
BgL_new1175z00_5258 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 510 */
long BgL_arg2158z00_5259;
{ /* Llib/ssl.scm 510 */
long BgL_res2351z00_5260;
BgL_res2351z00_5260 = 
BGL_CLASS_INDEX(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BgL_arg2158z00_5259 = BgL_res2351z00_5260; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_5258), BgL_arg2158z00_5259); } 
BgL_new1176z00_5257 = BgL_new1175z00_5258; } 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1176z00_5257))->BgL_z42mdz42)=((void *)BgL_z42md1107z42_5255),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1176z00_5257))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1108z90_5256),BUNSPEC); 
return BgL_new1176z00_5257;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2175> */
obj_t BGl_z62zc3anonymousza32175ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3962)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2174 */
obj_t BGl_z62lambda2174z62zz__ssl_sslz00(obj_t BgL_envz00_3963, obj_t BgL_oz00_3964, obj_t BgL_vz00_3965)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
{ /* Llib/ssl.scm 510 */
void * BgL_vz00_5262;
BgL_vz00_5262 = 
FOREIGN_TO_COBJ(BgL_vz00_3965); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_3964)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5262),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2173 */
obj_t BGl_z62lambda2173z62zz__ssl_sslz00(obj_t BgL_envz00_3966, obj_t BgL_oz00_3967)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_3967)))->BgL_z42mdzd2ctxz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2168> */
obj_t BGl_z62zc3anonymousza32168ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3968)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2167 */
obj_t BGl_z62lambda2167z62zz__ssl_sslz00(obj_t BgL_envz00_3969, obj_t BgL_oz00_3970, obj_t BgL_vz00_3971)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
{ /* Llib/ssl.scm 510 */
void * BgL_vz00_5265;
BgL_vz00_5265 = 
FOREIGN_TO_COBJ(BgL_vz00_3971); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_3970)))->BgL_z42mdz42)=((void *)BgL_vz00_5265),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2166 */
obj_t BGl_z62lambda2166z62zz__ssl_sslz00(obj_t BgL_envz00_3972, obj_t BgL_oz00_3973)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 510 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_3973)))->BgL_z42mdz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2137> */
obj_t BGl_z62zc3anonymousza32137ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3974, obj_t BgL_new1105z00_3975)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
{ 
BgL_sslzd2signzd2_bglt BgL_auxz00_6994;
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1105z00_3975)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1105z00_3975)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_6994 = 
((BgL_sslzd2signzd2_bglt)BgL_new1105z00_3975); 
return 
((obj_t)BgL_auxz00_6994);} } 
BGL_FUNCTION_END;
}



/* &lambda2135 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2135z62zz__ssl_sslz00(obj_t BgL_envz00_3976)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
{ /* Llib/ssl.scm 502 */
BgL_sslzd2signzd2_bglt BgL_new1104z00_5268;
BgL_new1104z00_5268 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 502 */
long BgL_arg2136z00_5269;
{ /* Llib/ssl.scm 502 */
long BgL_res2350z00_5270;
BgL_res2350z00_5270 = 
BGL_CLASS_INDEX(BGl_sslzd2signzd2zz__ssl_sslz00); 
BgL_arg2136z00_5269 = BgL_res2350z00_5270; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_5268), BgL_arg2136z00_5269); } 
return BgL_new1104z00_5268;} } 
BGL_FUNCTION_END;
}



/* &lambda2133 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2133z62zz__ssl_sslz00(obj_t BgL_envz00_3977, obj_t BgL_z42md1102z42_3978, obj_t BgL_z42mdzd2ctx1103z90_3979)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
{ /* Llib/ssl.scm 502 */
void * BgL_z42md1102z42_5271;void * BgL_z42mdzd2ctx1103z90_5272;
BgL_z42md1102z42_5271 = 
FOREIGN_TO_COBJ(BgL_z42md1102z42_3978); 
BgL_z42mdzd2ctx1103z90_5272 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1103z90_3979); 
{ /* Llib/ssl.scm 502 */
BgL_sslzd2signzd2_bglt BgL_new1174z00_5273;
{ /* Llib/ssl.scm 502 */
BgL_sslzd2signzd2_bglt BgL_new1173z00_5274;
BgL_new1173z00_5274 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 502 */
long BgL_arg2134z00_5275;
{ /* Llib/ssl.scm 502 */
long BgL_res2349z00_5276;
BgL_res2349z00_5276 = 
BGL_CLASS_INDEX(BGl_sslzd2signzd2zz__ssl_sslz00); 
BgL_arg2134z00_5275 = BgL_res2349z00_5276; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_5274), BgL_arg2134z00_5275); } 
BgL_new1174z00_5273 = BgL_new1173z00_5274; } 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1174z00_5273))->BgL_z42mdz42)=((void *)BgL_z42md1102z42_5271),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1174z00_5273))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1103z90_5272),BUNSPEC); 
return BgL_new1174z00_5273;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2151> */
obj_t BGl_z62zc3anonymousza32151ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3980)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2150 */
obj_t BGl_z62lambda2150z62zz__ssl_sslz00(obj_t BgL_envz00_3981, obj_t BgL_oz00_3982, obj_t BgL_vz00_3983)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
{ /* Llib/ssl.scm 502 */
void * BgL_vz00_5278;
BgL_vz00_5278 = 
FOREIGN_TO_COBJ(BgL_vz00_3983); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_3982)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5278),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2149 */
obj_t BGl_z62lambda2149z62zz__ssl_sslz00(obj_t BgL_envz00_3984, obj_t BgL_oz00_3985)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_3985)))->BgL_z42mdzd2ctxz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2144> */
obj_t BGl_z62zc3anonymousza32144ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3986)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2143 */
obj_t BGl_z62lambda2143z62zz__ssl_sslz00(obj_t BgL_envz00_3987, obj_t BgL_oz00_3988, obj_t BgL_vz00_3989)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
{ /* Llib/ssl.scm 502 */
void * BgL_vz00_5281;
BgL_vz00_5281 = 
FOREIGN_TO_COBJ(BgL_vz00_3989); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_3988)))->BgL_z42mdz42)=((void *)BgL_vz00_5281),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2142 */
obj_t BGl_z62lambda2142z62zz__ssl_sslz00(obj_t BgL_envz00_3990, obj_t BgL_oz00_3991)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 502 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_3991)))->BgL_z42mdz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2113> */
obj_t BGl_z62zc3anonymousza32113ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3992, obj_t BgL_new1100z00_3993)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
{ 
BgL_sslzd2hmaczd2_bglt BgL_auxz00_7029;
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1100z00_3993)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1100z00_3993)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7029 = 
((BgL_sslzd2hmaczd2_bglt)BgL_new1100z00_3993); 
return 
((obj_t)BgL_auxz00_7029);} } 
BGL_FUNCTION_END;
}



/* &lambda2111 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2111z62zz__ssl_sslz00(obj_t BgL_envz00_3994)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
{ /* Llib/ssl.scm 494 */
BgL_sslzd2hmaczd2_bglt BgL_new1099z00_5284;
BgL_new1099z00_5284 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 494 */
long BgL_arg2112z00_5285;
{ /* Llib/ssl.scm 494 */
long BgL_res2348z00_5286;
BgL_res2348z00_5286 = 
BGL_CLASS_INDEX(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BgL_arg2112z00_5285 = BgL_res2348z00_5286; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_5284), BgL_arg2112z00_5285); } 
return BgL_new1099z00_5284;} } 
BGL_FUNCTION_END;
}



/* &lambda2109 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2109z62zz__ssl_sslz00(obj_t BgL_envz00_3995, obj_t BgL_z42md1097z42_3996, obj_t BgL_z42mdzd2ctx1098z90_3997)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
{ /* Llib/ssl.scm 494 */
void * BgL_z42md1097z42_5287;void * BgL_z42mdzd2ctx1098z90_5288;
BgL_z42md1097z42_5287 = 
FOREIGN_TO_COBJ(BgL_z42md1097z42_3996); 
BgL_z42mdzd2ctx1098z90_5288 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1098z90_3997); 
{ /* Llib/ssl.scm 494 */
BgL_sslzd2hmaczd2_bglt BgL_new1172z00_5289;
{ /* Llib/ssl.scm 494 */
BgL_sslzd2hmaczd2_bglt BgL_new1171z00_5290;
BgL_new1171z00_5290 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 494 */
long BgL_arg2110z00_5291;
{ /* Llib/ssl.scm 494 */
long BgL_res2347z00_5292;
BgL_res2347z00_5292 = 
BGL_CLASS_INDEX(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BgL_arg2110z00_5291 = BgL_res2347z00_5292; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_5290), BgL_arg2110z00_5291); } 
BgL_new1172z00_5289 = BgL_new1171z00_5290; } 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1172z00_5289))->BgL_z42mdz42)=((void *)BgL_z42md1097z42_5287),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1172z00_5289))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1098z90_5288),BUNSPEC); 
return BgL_new1172z00_5289;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2127> */
obj_t BGl_z62zc3anonymousza32127ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_3998)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2126 */
obj_t BGl_z62lambda2126z62zz__ssl_sslz00(obj_t BgL_envz00_3999, obj_t BgL_oz00_4000, obj_t BgL_vz00_4001)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
{ /* Llib/ssl.scm 494 */
void * BgL_vz00_5294;
BgL_vz00_5294 = 
FOREIGN_TO_COBJ(BgL_vz00_4001); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4000)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5294),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2125 */
obj_t BGl_z62lambda2125z62zz__ssl_sslz00(obj_t BgL_envz00_4002, obj_t BgL_oz00_4003)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4003)))->BgL_z42mdzd2ctxz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2120> */
obj_t BGl_z62zc3anonymousza32120ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4004)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2119 */
obj_t BGl_z62lambda2119z62zz__ssl_sslz00(obj_t BgL_envz00_4005, obj_t BgL_oz00_4006, obj_t BgL_vz00_4007)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
{ /* Llib/ssl.scm 494 */
void * BgL_vz00_5297;
BgL_vz00_5297 = 
FOREIGN_TO_COBJ(BgL_vz00_4007); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4006)))->BgL_z42mdz42)=((void *)BgL_vz00_5297),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2118 */
obj_t BGl_z62lambda2118z62zz__ssl_sslz00(obj_t BgL_envz00_4008, obj_t BgL_oz00_4009)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 494 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4009)))->BgL_z42mdz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2084> */
obj_t BGl_z62zc3anonymousza32084ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4010, obj_t BgL_new1095z00_4011)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
{ 
BgL_sslzd2hashzd2_bglt BgL_auxz00_7064;
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1095z00_4011)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1095z00_4011)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1095z00_4011)))->BgL_typez00)=((obj_t)BGl_string3331z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_7064 = 
((BgL_sslzd2hashzd2_bglt)BgL_new1095z00_4011); 
return 
((obj_t)BgL_auxz00_7064);} } 
BGL_FUNCTION_END;
}



/* &lambda2082 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2082z62zz__ssl_sslz00(obj_t BgL_envz00_4012)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
{ /* Llib/ssl.scm 484 */
BgL_sslzd2hashzd2_bglt BgL_new1094z00_5300;
BgL_new1094z00_5300 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 484 */
long BgL_arg2083z00_5301;
{ /* Llib/ssl.scm 484 */
long BgL_res2346z00_5302;
BgL_res2346z00_5302 = 
BGL_CLASS_INDEX(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BgL_arg2083z00_5301 = BgL_res2346z00_5302; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_5300), BgL_arg2083z00_5301); } 
return BgL_new1094z00_5300;} } 
BGL_FUNCTION_END;
}



/* &lambda2079 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2079z62zz__ssl_sslz00(obj_t BgL_envz00_4013, obj_t BgL_z42md1091z42_4014, obj_t BgL_z42mdzd2ctx1092z90_4015, obj_t BgL_type1093z00_4016)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
{ /* Llib/ssl.scm 484 */
void * BgL_z42md1091z42_5303;void * BgL_z42mdzd2ctx1092z90_5304;
BgL_z42md1091z42_5303 = 
FOREIGN_TO_COBJ(BgL_z42md1091z42_4014); 
BgL_z42mdzd2ctx1092z90_5304 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1092z90_4015); 
{ /* Llib/ssl.scm 484 */
BgL_sslzd2hashzd2_bglt BgL_new1170z00_5306;
{ /* Llib/ssl.scm 484 */
BgL_sslzd2hashzd2_bglt BgL_new1169z00_5307;
BgL_new1169z00_5307 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 484 */
long BgL_arg2081z00_5308;
{ /* Llib/ssl.scm 484 */
long BgL_res2345z00_5309;
BgL_res2345z00_5309 = 
BGL_CLASS_INDEX(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BgL_arg2081z00_5308 = BgL_res2345z00_5309; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_5307), BgL_arg2081z00_5308); } 
BgL_new1170z00_5306 = BgL_new1169z00_5307; } 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5306))->BgL_z42mdz42)=((void *)BgL_z42md1091z42_5303),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5306))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1092z90_5304),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5306))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1093z00_4016)),BUNSPEC); 
{ /* Llib/ssl.scm 484 */
obj_t BgL_fun2080z00_5310;
BgL_fun2080z00_5310 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2hashzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun2080z00_5310)(BgL_fun2080z00_5310, 
((obj_t)BgL_new1170z00_5306), BEOA); } 
return BgL_new1170z00_5306;} } } 
BGL_FUNCTION_END;
}



/* &lambda2103 */
obj_t BGl_z62lambda2103z62zz__ssl_sslz00(obj_t BgL_envz00_4017, obj_t BgL_oz00_4018, obj_t BgL_vz00_4019)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4018)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_4019)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda2102 */
obj_t BGl_z62lambda2102z62zz__ssl_sslz00(obj_t BgL_envz00_4020, obj_t BgL_oz00_4021)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
return 
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4021)))->BgL_typez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2098> */
obj_t BGl_z62zc3anonymousza32098ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4022)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2097 */
obj_t BGl_z62lambda2097z62zz__ssl_sslz00(obj_t BgL_envz00_4023, obj_t BgL_oz00_4024, obj_t BgL_vz00_4025)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
{ /* Llib/ssl.scm 484 */
void * BgL_vz00_5315;
BgL_vz00_5315 = 
FOREIGN_TO_COBJ(BgL_vz00_4025); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4024)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5315),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2096 */
obj_t BGl_z62lambda2096z62zz__ssl_sslz00(obj_t BgL_envz00_4026, obj_t BgL_oz00_4027)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4027)))->BgL_z42mdzd2ctxz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2091> */
obj_t BGl_z62zc3anonymousza32091ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4028)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda2090 */
obj_t BGl_z62lambda2090z62zz__ssl_sslz00(obj_t BgL_envz00_4029, obj_t BgL_oz00_4030, obj_t BgL_vz00_4031)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
{ /* Llib/ssl.scm 484 */
void * BgL_vz00_5318;
BgL_vz00_5318 = 
FOREIGN_TO_COBJ(BgL_vz00_4031); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4030)))->BgL_z42mdz42)=((void *)BgL_vz00_5318),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda2089 */
obj_t BGl_z62lambda2089z62zz__ssl_sslz00(obj_t BgL_envz00_4032, obj_t BgL_oz00_4033)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 484 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4033)))->BgL_z42mdz42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1938> */
obj_t BGl_z62zc3anonymousza31938ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4034, obj_t BgL_new1089z00_4035)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ 
BgL_dhz00_bglt BgL_auxz00_7114;
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1089z00_4035)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1089z00_4035)))->BgL_z52pz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1089z00_4035)))->BgL_z52qz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1089z00_4035)))->BgL_z52gz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1089z00_4035)))->BgL_z52pubz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1089z00_4035)))->BgL_z52privz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7114 = 
((BgL_dhz00_bglt)BgL_new1089z00_4035); 
return 
((obj_t)BgL_auxz00_7114);} } 
BGL_FUNCTION_END;
}



/* &lambda1936 */
BgL_dhz00_bglt BGl_z62lambda1936z62zz__ssl_sslz00(obj_t BgL_envz00_4036)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
BgL_dhz00_bglt BgL_new1088z00_5321;
BgL_new1088z00_5321 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 429 */
long BgL_arg1937z00_5322;
{ /* Llib/ssl.scm 429 */
long BgL_res2344z00_5323;
BgL_res2344z00_5323 = 
BGL_CLASS_INDEX(BGl_dhz00zz__ssl_sslz00); 
BgL_arg1937z00_5322 = BgL_res2344z00_5323; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_5321), BgL_arg1937z00_5322); } 
return BgL_new1088z00_5321;} } 
BGL_FUNCTION_END;
}



/* &lambda1933 */
BgL_dhz00_bglt BGl_z62lambda1933z62zz__ssl_sslz00(obj_t BgL_envz00_4037, obj_t BgL_z42native1082z42_4038, obj_t BgL_z52p1083z52_4039, obj_t BgL_z52q1084z52_4040, obj_t BgL_z52g1085z52_4041, obj_t BgL_z52pub1086z52_4042, obj_t BgL_z52priv1087z52_4043)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_z42native1082z42_5324;void * BgL_z52p1083z52_5325;void * BgL_z52q1084z52_5326;void * BgL_z52g1085z52_5327;void * BgL_z52pub1086z52_5328;void * BgL_z52priv1087z52_5329;
BgL_z42native1082z42_5324 = 
FOREIGN_TO_COBJ(BgL_z42native1082z42_4038); 
BgL_z52p1083z52_5325 = 
FOREIGN_TO_COBJ(BgL_z52p1083z52_4039); 
BgL_z52q1084z52_5326 = 
FOREIGN_TO_COBJ(BgL_z52q1084z52_4040); 
BgL_z52g1085z52_5327 = 
FOREIGN_TO_COBJ(BgL_z52g1085z52_4041); 
BgL_z52pub1086z52_5328 = 
FOREIGN_TO_COBJ(BgL_z52pub1086z52_4042); 
BgL_z52priv1087z52_5329 = 
FOREIGN_TO_COBJ(BgL_z52priv1087z52_4043); 
{ /* Llib/ssl.scm 429 */
BgL_dhz00_bglt BgL_new1157z00_5330;
{ /* Llib/ssl.scm 429 */
BgL_dhz00_bglt BgL_new1156z00_5331;
BgL_new1156z00_5331 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 429 */
long BgL_arg1935z00_5332;
{ /* Llib/ssl.scm 429 */
long BgL_res2343z00_5333;
BgL_res2343z00_5333 = 
BGL_CLASS_INDEX(BGl_dhz00zz__ssl_sslz00); 
BgL_arg1935z00_5332 = BgL_res2343z00_5333; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_5331), BgL_arg1935z00_5332); } 
BgL_new1157z00_5330 = BgL_new1156z00_5331; } 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5330))->BgL_z42nativez42)=((void *)BgL_z42native1082z42_5324),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5330))->BgL_z52pz52)=((void *)BgL_z52p1083z52_5325),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5330))->BgL_z52qz52)=((void *)BgL_z52q1084z52_5326),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5330))->BgL_z52gz52)=((void *)BgL_z52g1085z52_5327),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5330))->BgL_z52pubz52)=((void *)BgL_z52pub1086z52_5328),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5330))->BgL_z52privz52)=((void *)BgL_z52priv1087z52_5329),BUNSPEC); 
{ /* Llib/ssl.scm 429 */
obj_t BgL_fun1934z00_5334;
BgL_fun1934z00_5334 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_dhz00zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1934z00_5334)(BgL_fun1934z00_5334, 
((obj_t)BgL_new1157z00_5330), BEOA); } 
return BgL_new1157z00_5330;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2069> */
obj_t BGl_z62zc3anonymousza32069ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4044, obj_t BgL_oz00_4045, obj_t BgL_vz00_4046)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 474 */
{ 
void * BgL_auxz00_7161;
{ /* Llib/ssl.scm 480 */
obj_t BgL_tmpz00_7163;
BgL_tmpz00_7163 = 
((obj_t)BgL_vz00_4046); 
BgL_auxz00_7161 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7163); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4045)))->BgL_z52pubz52)=((void *)BgL_auxz00_7161),BUNSPEC); } 
{ /* Llib/ssl.scm 481 */
void * BgL_arg2070z00_5335;void * BgL_arg2071z00_5336;void * BgL_arg2072z00_5337;
BgL_arg2070z00_5335 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4045)))->BgL_z42nativez42); 
BgL_arg2071z00_5336 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4045)))->BgL_z52pubz52); 
BgL_arg2072z00_5337 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4045)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2070z00_5335, BgL_arg2071z00_5336, BgL_arg2072z00_5337); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4046);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2065> */
obj_t BGl_z62zc3anonymousza32065ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4047, obj_t BgL_oz00_4048)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 474 */
{ /* Llib/ssl.scm 477 */
void * BgL_arg2066z00_5338;
{ /* Llib/ssl.scm 477 */
void * BgL_arg2067z00_5339;
BgL_arg2067z00_5339 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4048)))->BgL_z42nativez42); 
BgL_arg2066z00_5338 = 
bgl_dh_public_key(BgL_arg2067z00_5339); } 
return 
void_star_to_obj(BgL_arg2066z00_5338);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2056> */
obj_t BGl_z62zc3anonymousza32056ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4049, obj_t BgL_oz00_4050, obj_t BgL_vz00_4051)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 465 */
{ 
void * BgL_auxz00_7179;
{ /* Llib/ssl.scm 471 */
obj_t BgL_tmpz00_7181;
BgL_tmpz00_7181 = 
((obj_t)BgL_vz00_4051); 
BgL_auxz00_7179 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7181); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4050)))->BgL_z52privz52)=((void *)BgL_auxz00_7179),BUNSPEC); } 
{ /* Llib/ssl.scm 472 */
void * BgL_arg2057z00_5340;void * BgL_arg2058z00_5341;void * BgL_arg2059z00_5342;
BgL_arg2057z00_5340 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4050)))->BgL_z42nativez42); 
BgL_arg2058z00_5341 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4050)))->BgL_z52pubz52); 
BgL_arg2059z00_5342 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4050)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2057z00_5340, BgL_arg2058z00_5341, BgL_arg2059z00_5342); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4051);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2052> */
obj_t BGl_z62zc3anonymousza32052ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4052, obj_t BgL_oz00_4053)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 465 */
{ /* Llib/ssl.scm 468 */
void * BgL_arg2053z00_5343;
{ /* Llib/ssl.scm 468 */
void * BgL_arg2054z00_5344;
BgL_arg2054z00_5344 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4053)))->BgL_z42nativez42); 
BgL_arg2053z00_5343 = 
bgl_dh_private_key(BgL_arg2054z00_5344); } 
return 
void_star_to_obj(BgL_arg2053z00_5343);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2042> */
obj_t BGl_z62zc3anonymousza32042ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4054, obj_t BgL_oz00_4055, obj_t BgL_vz00_4056)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 455 */
{ 
void * BgL_auxz00_7197;
{ /* Llib/ssl.scm 462 */
obj_t BgL_tmpz00_7199;
BgL_tmpz00_7199 = 
((obj_t)BgL_vz00_4056); 
BgL_auxz00_7197 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7199); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4055)))->BgL_z52gz52)=((void *)BgL_auxz00_7197),BUNSPEC); } 
{ /* Llib/ssl.scm 463 */
void * BgL_arg2043z00_5345;void * BgL_arg2044z00_5346;void * BgL_arg2045z00_5347;void * BgL_arg2046z00_5348;
BgL_arg2043z00_5345 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4055)))->BgL_z42nativez42); 
BgL_arg2044z00_5346 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4055)))->BgL_z52pz52); 
BgL_arg2045z00_5347 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4055)))->BgL_z52qz52); 
BgL_arg2046z00_5348 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4055)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2043z00_5345, BgL_arg2044z00_5346, BgL_arg2045z00_5347, BgL_arg2046z00_5348); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4056);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2038> */
obj_t BGl_z62zc3anonymousza32038ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4057, obj_t BgL_oz00_4058)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 455 */
{ /* Llib/ssl.scm 458 */
void * BgL_arg2039z00_5349;
{ /* Llib/ssl.scm 458 */
void * BgL_arg2040z00_5350;
BgL_arg2040z00_5350 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4058)))->BgL_z42nativez42); 
BgL_arg2039z00_5349 = 
bgl_dh_g(BgL_arg2040z00_5350); } 
return 
void_star_to_obj(BgL_arg2039z00_5349);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2028> */
obj_t BGl_z62zc3anonymousza32028ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4059, obj_t BgL_oz00_4060, obj_t BgL_vz00_4061)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 446 */
{ 
void * BgL_auxz00_7217;
{ /* Llib/ssl.scm 452 */
obj_t BgL_tmpz00_7219;
BgL_tmpz00_7219 = 
((obj_t)BgL_vz00_4061); 
BgL_auxz00_7217 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7219); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4060)))->BgL_z52qz52)=((void *)BgL_auxz00_7217),BUNSPEC); } 
{ /* Llib/ssl.scm 453 */
void * BgL_arg2029z00_5351;void * BgL_arg2030z00_5352;void * BgL_arg2031z00_5353;void * BgL_arg2032z00_5354;
BgL_arg2029z00_5351 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4060)))->BgL_z42nativez42); 
BgL_arg2030z00_5352 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4060)))->BgL_z52pz52); 
BgL_arg2031z00_5353 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4060)))->BgL_z52qz52); 
BgL_arg2032z00_5354 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4060)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2029z00_5351, BgL_arg2030z00_5352, BgL_arg2031z00_5353, BgL_arg2032z00_5354); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4061);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2024> */
obj_t BGl_z62zc3anonymousza32024ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4062, obj_t BgL_oz00_4063)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 446 */
{ /* Llib/ssl.scm 449 */
void * BgL_arg2025z00_5355;
{ /* Llib/ssl.scm 449 */
void * BgL_arg2026z00_5356;
BgL_arg2026z00_5356 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4063)))->BgL_z42nativez42); 
BgL_arg2025z00_5355 = 
bgl_dh_p(BgL_arg2026z00_5356); } 
return 
void_star_to_obj(BgL_arg2025z00_5355);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2014> */
obj_t BGl_z62zc3anonymousza32014ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4064, obj_t BgL_oz00_4065, obj_t BgL_vz00_4066)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 437 */
{ 
void * BgL_auxz00_7237;
{ /* Llib/ssl.scm 443 */
obj_t BgL_tmpz00_7239;
BgL_tmpz00_7239 = 
((obj_t)BgL_vz00_4066); 
BgL_auxz00_7237 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7239); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4065)))->BgL_z52pz52)=((void *)BgL_auxz00_7237),BUNSPEC); } 
{ /* Llib/ssl.scm 444 */
void * BgL_arg2015z00_5357;void * BgL_arg2016z00_5358;void * BgL_arg2017z00_5359;void * BgL_arg2018z00_5360;
BgL_arg2015z00_5357 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4065)))->BgL_z42nativez42); 
BgL_arg2016z00_5358 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4065)))->BgL_z52pz52); 
BgL_arg2017z00_5359 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4065)))->BgL_z52qz52); 
BgL_arg2018z00_5360 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4065)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2015z00_5357, BgL_arg2016z00_5358, BgL_arg2017z00_5359, BgL_arg2018z00_5360); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4066);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2010> */
obj_t BGl_z62zc3anonymousza32010ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4067, obj_t BgL_oz00_4068)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 437 */
{ /* Llib/ssl.scm 440 */
void * BgL_arg2011z00_5361;
{ /* Llib/ssl.scm 440 */
void * BgL_arg2012z00_5362;
BgL_arg2012z00_5362 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4068)))->BgL_z42nativez42); 
BgL_arg2011z00_5361 = 
bgl_dh_p(BgL_arg2012z00_5362); } 
return 
void_star_to_obj(BgL_arg2011z00_5361);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2005> */
obj_t BGl_z62zc3anonymousza32005ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4069, obj_t BgL_oz00_4070, obj_t BgL_vz00_4071)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4070), 
(int)(((long)4)), BgL_vz00_4071);} 
BGL_FUNCTION_END;
}



/* &<anonymous:2004> */
obj_t BGl_z62zc3anonymousza32004ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4072, obj_t BgL_oz00_4073)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4073), 
(int)(((long)4)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:2000> */
obj_t BGl_z62zc3anonymousza32000ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4074, obj_t BgL_oz00_4075, obj_t BgL_vz00_4076)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4075), 
(int)(((long)3)), BgL_vz00_4076);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1999> */
obj_t BGl_z62zc3anonymousza31999ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4077, obj_t BgL_oz00_4078)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4078), 
(int)(((long)3)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1995> */
obj_t BGl_z62zc3anonymousza31995ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4079, obj_t BgL_oz00_4080, obj_t BgL_vz00_4081)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4080), 
(int)(((long)2)), BgL_vz00_4081);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1994> */
obj_t BGl_z62zc3anonymousza31994ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4082, obj_t BgL_oz00_4083)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4083), 
(int)(((long)2)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1990> */
obj_t BGl_z62zc3anonymousza31990ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4084, obj_t BgL_oz00_4085, obj_t BgL_vz00_4086)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4085), 
(int)(((long)1)), BgL_vz00_4086);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1989> */
obj_t BGl_z62zc3anonymousza31989ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4087, obj_t BgL_oz00_4088)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4088), 
(int)(((long)1)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1985> */
obj_t BGl_z62zc3anonymousza31985ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4089, obj_t BgL_oz00_4090, obj_t BgL_vz00_4091)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4090), 
(int)(((long)0)), BgL_vz00_4091);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1984> */
obj_t BGl_z62zc3anonymousza31984ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4092, obj_t BgL_oz00_4093)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4093), 
(int)(((long)0)));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1980> */
obj_t BGl_z62zc3anonymousza31980ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4094)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(((BIGNUM *)0L));} 
BGL_FUNCTION_END;
}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__ssl_sslz00(obj_t BgL_envz00_4095, obj_t BgL_oz00_4096, obj_t BgL_vz00_4097)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_vz00_5364;
BgL_vz00_5364 = 
FOREIGN_TO_COBJ(BgL_vz00_4097); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4096)))->BgL_z52privz52)=((void *)BgL_vz00_5364),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1978 */
obj_t BGl_z62lambda1978z62zz__ssl_sslz00(obj_t BgL_envz00_4098, obj_t BgL_oz00_4099)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4099)))->BgL_z52privz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1973> */
obj_t BGl_z62zc3anonymousza31973ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4100)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(((BIGNUM *)0L));} 
BGL_FUNCTION_END;
}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__ssl_sslz00(obj_t BgL_envz00_4101, obj_t BgL_oz00_4102, obj_t BgL_vz00_4103)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_vz00_5367;
BgL_vz00_5367 = 
FOREIGN_TO_COBJ(BgL_vz00_4103); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4102)))->BgL_z52pubz52)=((void *)BgL_vz00_5367),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__ssl_sslz00(obj_t BgL_envz00_4104, obj_t BgL_oz00_4105)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4105)))->BgL_z52pubz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1966> */
obj_t BGl_z62zc3anonymousza31966ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4106)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(((BIGNUM *)0L));} 
BGL_FUNCTION_END;
}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__ssl_sslz00(obj_t BgL_envz00_4107, obj_t BgL_oz00_4108, obj_t BgL_vz00_4109)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_vz00_5370;
BgL_vz00_5370 = 
FOREIGN_TO_COBJ(BgL_vz00_4109); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4108)))->BgL_z52gz52)=((void *)BgL_vz00_5370),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1964 */
obj_t BGl_z62lambda1964z62zz__ssl_sslz00(obj_t BgL_envz00_4110, obj_t BgL_oz00_4111)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4111)))->BgL_z52gz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1959> */
obj_t BGl_z62zc3anonymousza31959ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4112)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(((BIGNUM *)0L));} 
BGL_FUNCTION_END;
}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__ssl_sslz00(obj_t BgL_envz00_4113, obj_t BgL_oz00_4114, obj_t BgL_vz00_4115)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_vz00_5373;
BgL_vz00_5373 = 
FOREIGN_TO_COBJ(BgL_vz00_4115); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4114)))->BgL_z52qz52)=((void *)BgL_vz00_5373),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__ssl_sslz00(obj_t BgL_envz00_4116, obj_t BgL_oz00_4117)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4117)))->BgL_z52qz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1952> */
obj_t BGl_z62zc3anonymousza31952ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4118)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(((BIGNUM *)0L));} 
BGL_FUNCTION_END;
}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__ssl_sslz00(obj_t BgL_envz00_4119, obj_t BgL_oz00_4120, obj_t BgL_vz00_4121)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_vz00_5376;
BgL_vz00_5376 = 
FOREIGN_TO_COBJ(BgL_vz00_4121); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4120)))->BgL_z52pz52)=((void *)BgL_vz00_5376),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__ssl_sslz00(obj_t BgL_envz00_4122, obj_t BgL_oz00_4123)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4123)))->BgL_z52pz52));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1945> */
obj_t BGl_z62zc3anonymousza31945ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4124)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__ssl_sslz00(obj_t BgL_envz00_4125, obj_t BgL_oz00_4126, obj_t BgL_vz00_4127)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
{ /* Llib/ssl.scm 429 */
void * BgL_vz00_5379;
BgL_vz00_5379 = 
FOREIGN_TO_COBJ(BgL_vz00_4127); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4126)))->BgL_z42nativez42)=((void *)BgL_vz00_5379),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1943 */
obj_t BGl_z62lambda1943z62zz__ssl_sslz00(obj_t BgL_envz00_4128, obj_t BgL_oz00_4129)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 429 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4129)))->BgL_z42nativez42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1814> */
obj_t BGl_z62zc3anonymousza31814ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4130, obj_t BgL_new1080z00_4131)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ 
BgL_sslzd2connectionzd2_bglt BgL_auxz00_7329;
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_z42biozd2readz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_z42biozd2writez90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_z42nextzd2sessionz90)=((void *)
0L),BUNSPEC); 
{ 
BgL_securezd2contextzd2_bglt BgL_auxz00_7342;
{ /* Llib/ssl.scm 409 */
obj_t BgL_classz00_5382;
BgL_classz00_5382 = BGl_securezd2contextzd2zz__ssl_sslz00; 
{ /* Llib/ssl.scm 409 */
obj_t BgL__ortest_1106z00_5383;
BgL__ortest_1106z00_5383 = 
BGL_CLASS_NIL(BgL_classz00_5382); 
if(
CBOOL(BgL__ortest_1106z00_5383))
{ /* Llib/ssl.scm 409 */
BgL_auxz00_7342 = 
((BgL_securezd2contextzd2_bglt)BgL__ortest_1106z00_5383)
; }  else 
{ /* Llib/ssl.scm 409 */
BgL_auxz00_7342 = 
((BgL_securezd2contextzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5382))
; } } } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)BgL_auxz00_7342),BUNSPEC); } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_isserverz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_requestzd2certzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_serverzd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_infozd2callbackzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_newsessionzd2callbackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_npnzd2protoszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_errz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_receivedzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131)))->BgL_sentzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_7329 = 
((BgL_sslzd2connectionzd2_bglt)BgL_new1080z00_4131); 
return 
((obj_t)BgL_auxz00_7329);} } 
BGL_FUNCTION_END;
}



/* &lambda1812 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1812z62zz__ssl_sslz00(obj_t BgL_envz00_4132)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
BgL_sslzd2connectionzd2_bglt BgL_new1079z00_5384;
BgL_new1079z00_5384 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 409 */
long BgL_arg1813z00_5385;
{ /* Llib/ssl.scm 409 */
long BgL_res2342z00_5386;
BgL_res2342z00_5386 = 
BGL_CLASS_INDEX(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BgL_arg1813z00_5385 = BgL_res2342z00_5386; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_5384), BgL_arg1813z00_5385); } 
return BgL_new1079z00_5384;} } 
BGL_FUNCTION_END;
}



/* &lambda1809 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1809z62zz__ssl_sslz00(obj_t BgL_envz00_4133, obj_t BgL_z42native1062z42_4134, obj_t BgL_z42biozd2read1063z90_4135, obj_t BgL_z42biozd2write1064z90_4136, obj_t BgL_z42nextzd2session1065z90_4137, obj_t BgL_ctx1066z00_4138, obj_t BgL_isserver1067z00_4139, obj_t BgL_requestzd2cert1068zd2_4140, obj_t BgL_serverzd2name1069zd2_4141, obj_t BgL_rejectzd2unauthoriza7ed1070z75_4142, obj_t BgL_infozd2callback1071zd2_4143, obj_t BgL_snizd2contextzd2callback1072z00_4144, obj_t BgL_newsessionzd2callback1073zd2_4145, obj_t BgL_selectedzd2npnzd2protos1074z00_4146, obj_t BgL_npnzd2protos1075zd2_4147, obj_t BgL_err1076z00_4148, obj_t BgL_receivedzd2shutdown1077zd2_4149, obj_t BgL_sentzd2shutdown1078zd2_4150)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
void * BgL_z42native1062z42_5387;void * BgL_z42biozd2read1063z90_5388;void * BgL_z42biozd2write1064z90_5389;void * BgL_z42nextzd2session1065z90_5390;bool_t BgL_isserver1067z00_5392;bool_t BgL_requestzd2cert1068zd2_5393;bool_t BgL_rejectzd2unauthoriza7ed1070z75_5394;bool_t BgL_receivedzd2shutdown1077zd2_5396;bool_t BgL_sentzd2shutdown1078zd2_5397;
BgL_z42native1062z42_5387 = 
FOREIGN_TO_COBJ(BgL_z42native1062z42_4134); 
BgL_z42biozd2read1063z90_5388 = 
FOREIGN_TO_COBJ(BgL_z42biozd2read1063z90_4135); 
BgL_z42biozd2write1064z90_5389 = 
FOREIGN_TO_COBJ(BgL_z42biozd2write1064z90_4136); 
BgL_z42nextzd2session1065z90_5390 = 
FOREIGN_TO_COBJ(BgL_z42nextzd2session1065z90_4137); 
BgL_isserver1067z00_5392 = 
CBOOL(BgL_isserver1067z00_4139); 
BgL_requestzd2cert1068zd2_5393 = 
CBOOL(BgL_requestzd2cert1068zd2_4140); 
BgL_rejectzd2unauthoriza7ed1070z75_5394 = 
CBOOL(BgL_rejectzd2unauthoriza7ed1070z75_4142); 
BgL_receivedzd2shutdown1077zd2_5396 = 
CBOOL(BgL_receivedzd2shutdown1077zd2_4149); 
BgL_sentzd2shutdown1078zd2_5397 = 
CBOOL(BgL_sentzd2shutdown1078zd2_4150); 
{ /* Llib/ssl.scm 409 */
BgL_sslzd2connectionzd2_bglt BgL_new1155z00_5398;
{ /* Llib/ssl.scm 409 */
BgL_sslzd2connectionzd2_bglt BgL_new1154z00_5399;
BgL_new1154z00_5399 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 409 */
long BgL_arg1811z00_5400;
{ /* Llib/ssl.scm 409 */
long BgL_res2341z00_5401;
BgL_res2341z00_5401 = 
BGL_CLASS_INDEX(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BgL_arg1811z00_5400 = BgL_res2341z00_5401; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_5399), BgL_arg1811z00_5400); } 
BgL_new1155z00_5398 = BgL_new1154z00_5399; } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_z42nativez42)=((void *)BgL_z42native1062z42_5387),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_z42biozd2readz90)=((void *)BgL_z42biozd2read1063z90_5388),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_z42biozd2writez90)=((void *)BgL_z42biozd2write1064z90_5389),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_z42nextzd2sessionz90)=((void *)BgL_z42nextzd2session1065z90_5390),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_ctx1066z00_4138)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_isserverz00)=((bool_t)BgL_isserver1067z00_5392),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_requestzd2certzd2)=((bool_t)BgL_requestzd2cert1068zd2_5393),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_serverzd2namezd2)=((obj_t)BgL_serverzd2name1069zd2_4141),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_rejectzd2unauthoriza7ed1070z75_5394),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_infozd2callbackzd2)=((obj_t)BgL_infozd2callback1071zd2_4143),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_snizd2contextzd2callback1072z00_4144),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_newsessionzd2callback1073zd2_4145)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_selectedzd2npnzd2protos1074z00_4146),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_npnzd2protoszd2)=((obj_t)BgL_npnzd2protos1075zd2_4147),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_errz00)=((obj_t)BgL_err1076z00_4148),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_receivedzd2shutdown1077zd2_5396),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5398))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_sentzd2shutdown1078zd2_5397),BUNSPEC); 
{ /* Llib/ssl.scm 409 */
obj_t BgL_fun1810z00_5402;
BgL_fun1810z00_5402 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1810z00_5402)(BgL_fun1810z00_5402, 
((obj_t)BgL_new1155z00_5398), BEOA); } 
return BgL_new1155z00_5398;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1927> */
obj_t BGl_z62zc3anonymousza31927ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4151)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t BgL_envz00_4152, obj_t BgL_oz00_4153, obj_t BgL_vz00_4154)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
bool_t BgL_vz00_5404;
BgL_vz00_5404 = 
CBOOL(BgL_vz00_4154); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4153)))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_vz00_5404),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__ssl_sslz00(obj_t BgL_envz00_4155, obj_t BgL_oz00_4156)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4156)))->BgL_sentzd2shutdownzd2));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1920> */
obj_t BGl_z62zc3anonymousza31920ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4157)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1919 */
obj_t BGl_z62lambda1919z62zz__ssl_sslz00(obj_t BgL_envz00_4158, obj_t BgL_oz00_4159, obj_t BgL_vz00_4160)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
bool_t BgL_vz00_5407;
BgL_vz00_5407 = 
CBOOL(BgL_vz00_4160); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4159)))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_vz00_5407),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__ssl_sslz00(obj_t BgL_envz00_4161, obj_t BgL_oz00_4162)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4162)))->BgL_receivedzd2shutdownzd2));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1913> */
obj_t BGl_z62zc3anonymousza31913ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4163)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__ssl_sslz00(obj_t BgL_envz00_4164, obj_t BgL_oz00_4165, obj_t BgL_vz00_4166)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4165)))->BgL_errz00)=((obj_t)BgL_vz00_4166),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__ssl_sslz00(obj_t BgL_envz00_4167, obj_t BgL_oz00_4168)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4168)))->BgL_errz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1906> */
obj_t BGl_z62zc3anonymousza31906ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4169)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__ssl_sslz00(obj_t BgL_envz00_4170, obj_t BgL_oz00_4171, obj_t BgL_vz00_4172)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4171)))->BgL_npnzd2protoszd2)=((obj_t)BgL_vz00_4172),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1904 */
obj_t BGl_z62lambda1904z62zz__ssl_sslz00(obj_t BgL_envz00_4173, obj_t BgL_oz00_4174)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4174)))->BgL_npnzd2protoszd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1899> */
obj_t BGl_z62zc3anonymousza31899ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4175)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &lambda1898 */
obj_t BGl_z62lambda1898z62zz__ssl_sslz00(obj_t BgL_envz00_4176, obj_t BgL_oz00_4177, obj_t BgL_vz00_4178)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4177)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_vz00_4178),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__ssl_sslz00(obj_t BgL_envz00_4179, obj_t BgL_oz00_4180)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4180)))->BgL_selectedzd2npnzd2protosz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1892> */
obj_t BGl_z62zc3anonymousza31892ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4181)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 
BGL_FUNCTION_END;
}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__ssl_sslz00(obj_t BgL_envz00_4182, obj_t BgL_oz00_4183, obj_t BgL_vz00_4184)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4183)))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_vz00_4184)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__ssl_sslz00(obj_t BgL_envz00_4185, obj_t BgL_oz00_4186)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4186)))->BgL_newsessionzd2callbackzd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1885> */
obj_t BGl_z62zc3anonymousza31885ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4187)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__ssl_sslz00(obj_t BgL_envz00_4188, obj_t BgL_oz00_4189, obj_t BgL_vz00_4190)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4189)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_vz00_4190),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__ssl_sslz00(obj_t BgL_envz00_4191, obj_t BgL_oz00_4192)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4192)))->BgL_snizd2contextzd2callbackz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1878> */
obj_t BGl_z62zc3anonymousza31878ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4193)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1877 */
obj_t BGl_z62lambda1877z62zz__ssl_sslz00(obj_t BgL_envz00_4194, obj_t BgL_oz00_4195, obj_t BgL_vz00_4196)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4195)))->BgL_infozd2callbackzd2)=((obj_t)BgL_vz00_4196),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__ssl_sslz00(obj_t BgL_envz00_4197, obj_t BgL_oz00_4198)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4198)))->BgL_infozd2callbackzd2);} 
BGL_FUNCTION_END;
}



/* &lambda1871 */
obj_t BGl_z62lambda1871z62zz__ssl_sslz00(obj_t BgL_envz00_4199, obj_t BgL_oz00_4200, obj_t BgL_vz00_4201)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
bool_t BgL_vz00_5423;
BgL_vz00_5423 = 
CBOOL(BgL_vz00_4201); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4200)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_vz00_5423),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1870 */
obj_t BGl_z62lambda1870z62zz__ssl_sslz00(obj_t BgL_envz00_4202, obj_t BgL_oz00_4203)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4203)))->BgL_rejectzd2unauthoriza7edz75));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1866> */
obj_t BGl_z62zc3anonymousza31866ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4204)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1865 */
obj_t BGl_z62lambda1865z62zz__ssl_sslz00(obj_t BgL_envz00_4205, obj_t BgL_oz00_4206, obj_t BgL_vz00_4207)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4206)))->BgL_serverzd2namezd2)=((obj_t)BgL_vz00_4207),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1864 */
obj_t BGl_z62lambda1864z62zz__ssl_sslz00(obj_t BgL_envz00_4208, obj_t BgL_oz00_4209)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4209)))->BgL_serverzd2namezd2);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1859> */
obj_t BGl_z62zc3anonymousza31859ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4210)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1858 */
obj_t BGl_z62lambda1858z62zz__ssl_sslz00(obj_t BgL_envz00_4211, obj_t BgL_oz00_4212, obj_t BgL_vz00_4213)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
bool_t BgL_vz00_5428;
BgL_vz00_5428 = 
CBOOL(BgL_vz00_4213); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4212)))->BgL_requestzd2certzd2)=((bool_t)BgL_vz00_5428),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__ssl_sslz00(obj_t BgL_envz00_4214, obj_t BgL_oz00_4215)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4215)))->BgL_requestzd2certzd2));} 
BGL_FUNCTION_END;
}



/* &lambda1852 */
obj_t BGl_z62lambda1852z62zz__ssl_sslz00(obj_t BgL_envz00_4216, obj_t BgL_oz00_4217, obj_t BgL_vz00_4218)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
bool_t BgL_vz00_5431;
BgL_vz00_5431 = 
CBOOL(BgL_vz00_4218); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4217)))->BgL_isserverz00)=((bool_t)BgL_vz00_5431),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1851 */
obj_t BGl_z62lambda1851z62zz__ssl_sslz00(obj_t BgL_envz00_4219, obj_t BgL_oz00_4220)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4220)))->BgL_isserverz00));} 
BGL_FUNCTION_END;
}



/* &lambda1847 */
obj_t BGl_z62lambda1847z62zz__ssl_sslz00(obj_t BgL_envz00_4221, obj_t BgL_oz00_4222, obj_t BgL_vz00_4223)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4222)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_vz00_4223)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1846 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1846z62zz__ssl_sslz00(obj_t BgL_envz00_4224, obj_t BgL_oz00_4225)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4225)))->BgL_ctxz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1842> */
obj_t BGl_z62zc3anonymousza31842ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4226)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1841 */
obj_t BGl_z62lambda1841z62zz__ssl_sslz00(obj_t BgL_envz00_4227, obj_t BgL_oz00_4228, obj_t BgL_vz00_4229)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
void * BgL_vz00_5437;
BgL_vz00_5437 = 
FOREIGN_TO_COBJ(BgL_vz00_4229); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4228)))->BgL_z42nextzd2sessionz90)=((void *)BgL_vz00_5437),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1840 */
obj_t BGl_z62lambda1840z62zz__ssl_sslz00(obj_t BgL_envz00_4230, obj_t BgL_oz00_4231)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4231)))->BgL_z42nextzd2sessionz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1835> */
obj_t BGl_z62zc3anonymousza31835ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4232)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1834 */
obj_t BGl_z62lambda1834z62zz__ssl_sslz00(obj_t BgL_envz00_4233, obj_t BgL_oz00_4234, obj_t BgL_vz00_4235)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
void * BgL_vz00_5440;
BgL_vz00_5440 = 
FOREIGN_TO_COBJ(BgL_vz00_4235); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4234)))->BgL_z42biozd2writez90)=((void *)BgL_vz00_5440),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1833 */
obj_t BGl_z62lambda1833z62zz__ssl_sslz00(obj_t BgL_envz00_4236, obj_t BgL_oz00_4237)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4237)))->BgL_z42biozd2writez90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1828> */
obj_t BGl_z62zc3anonymousza31828ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4238)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__ssl_sslz00(obj_t BgL_envz00_4239, obj_t BgL_oz00_4240, obj_t BgL_vz00_4241)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
void * BgL_vz00_5443;
BgL_vz00_5443 = 
FOREIGN_TO_COBJ(BgL_vz00_4241); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4240)))->BgL_z42biozd2readz90)=((void *)BgL_vz00_5443),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__ssl_sslz00(obj_t BgL_envz00_4242, obj_t BgL_oz00_4243)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4243)))->BgL_z42biozd2readz90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1821> */
obj_t BGl_z62zc3anonymousza31821ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4244)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1820 */
obj_t BGl_z62lambda1820z62zz__ssl_sslz00(obj_t BgL_envz00_4245, obj_t BgL_oz00_4246, obj_t BgL_vz00_4247)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
{ /* Llib/ssl.scm 409 */
void * BgL_vz00_5446;
BgL_vz00_5446 = 
FOREIGN_TO_COBJ(BgL_vz00_4247); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4246)))->BgL_z42nativez42)=((void *)BgL_vz00_5446),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1819 */
obj_t BGl_z62lambda1819z62zz__ssl_sslz00(obj_t BgL_envz00_4248, obj_t BgL_oz00_4249)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 409 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4249)))->BgL_z42nativez42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1782> */
obj_t BGl_z62zc3anonymousza31782ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4250, obj_t BgL_new1060z00_4251)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
{ 
BgL_securezd2contextzd2_bglt BgL_auxz00_7518;
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1060z00_4251)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1060z00_4251)))->BgL_z42cazd2storez90)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1060z00_4251)))->BgL_methodz00)=((obj_t)BGl_string3331z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_7518 = 
((BgL_securezd2contextzd2_bglt)BgL_new1060z00_4251); 
return 
((obj_t)BgL_auxz00_7518);} } 
BGL_FUNCTION_END;
}



/* &lambda1780 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1780z62zz__ssl_sslz00(obj_t BgL_envz00_4252)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
{ /* Llib/ssl.scm 403 */
BgL_securezd2contextzd2_bglt BgL_new1058z00_5449;
BgL_new1058z00_5449 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 403 */
long BgL_arg1781z00_5450;
{ /* Llib/ssl.scm 403 */
long BgL_res2340z00_5451;
BgL_res2340z00_5451 = 
BGL_CLASS_INDEX(BGl_securezd2contextzd2zz__ssl_sslz00); 
BgL_arg1781z00_5450 = BgL_res2340z00_5451; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_5449), BgL_arg1781z00_5450); } 
return BgL_new1058z00_5449;} } 
BGL_FUNCTION_END;
}



/* &lambda1777 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1777z62zz__ssl_sslz00(obj_t BgL_envz00_4253, obj_t BgL_z42native1055z42_4254, obj_t BgL_z42cazd2store1056z90_4255, obj_t BgL_method1057z00_4256)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
{ /* Llib/ssl.scm 403 */
void * BgL_z42native1055z42_5452;void * BgL_z42cazd2store1056z90_5453;
BgL_z42native1055z42_5452 = 
FOREIGN_TO_COBJ(BgL_z42native1055z42_4254); 
BgL_z42cazd2store1056z90_5453 = 
FOREIGN_TO_COBJ(BgL_z42cazd2store1056z90_4255); 
{ /* Llib/ssl.scm 403 */
BgL_securezd2contextzd2_bglt BgL_new1153z00_5455;
{ /* Llib/ssl.scm 403 */
BgL_securezd2contextzd2_bglt BgL_new1152z00_5456;
BgL_new1152z00_5456 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 403 */
long BgL_arg1779z00_5457;
{ /* Llib/ssl.scm 403 */
long BgL_res2339z00_5458;
BgL_res2339z00_5458 = 
BGL_CLASS_INDEX(BGl_securezd2contextzd2zz__ssl_sslz00); 
BgL_arg1779z00_5457 = BgL_res2339z00_5458; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_5456), BgL_arg1779z00_5457); } 
BgL_new1153z00_5455 = BgL_new1152z00_5456; } 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5455))->BgL_z42nativez42)=((void *)BgL_z42native1055z42_5452),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5455))->BgL_z42cazd2storez90)=((void *)BgL_z42cazd2store1056z90_5453),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5455))->BgL_methodz00)=((obj_t)
((obj_t)BgL_method1057z00_4256)),BUNSPEC); 
{ /* Llib/ssl.scm 403 */
obj_t BgL_fun1778z00_5459;
BgL_fun1778z00_5459 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
PROCEDURE_ENTRY(BgL_fun1778z00_5459)(BgL_fun1778z00_5459, 
((obj_t)BgL_new1153z00_5455), BEOA); } 
return BgL_new1153z00_5455;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1803> */
obj_t BGl_z62zc3anonymousza31803ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4257)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return BGl_string3332z00zz__ssl_sslz00;} 
BGL_FUNCTION_END;
}



/* &lambda1802 */
obj_t BGl_z62lambda1802z62zz__ssl_sslz00(obj_t BgL_envz00_4258, obj_t BgL_oz00_4259, obj_t BgL_vz00_4260)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4259)))->BgL_methodz00)=((obj_t)
((obj_t)BgL_vz00_4260)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1801 */
obj_t BGl_z62lambda1801z62zz__ssl_sslz00(obj_t BgL_envz00_4261, obj_t BgL_oz00_4262)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4262)))->BgL_methodz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1796> */
obj_t BGl_z62zc3anonymousza31796ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4263)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1795 */
obj_t BGl_z62lambda1795z62zz__ssl_sslz00(obj_t BgL_envz00_4264, obj_t BgL_oz00_4265, obj_t BgL_vz00_4266)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
{ /* Llib/ssl.scm 403 */
void * BgL_vz00_5464;
BgL_vz00_5464 = 
FOREIGN_TO_COBJ(BgL_vz00_4266); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4265)))->BgL_z42cazd2storez90)=((void *)BgL_vz00_5464),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__ssl_sslz00(obj_t BgL_envz00_4267, obj_t BgL_oz00_4268)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4268)))->BgL_z42cazd2storez90));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1789> */
obj_t BGl_z62zc3anonymousza31789ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4269)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return 
void_star_to_obj(0L);} 
BGL_FUNCTION_END;
}



/* &lambda1788 */
obj_t BGl_z62lambda1788z62zz__ssl_sslz00(obj_t BgL_envz00_4270, obj_t BgL_oz00_4271, obj_t BgL_vz00_4272)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
{ /* Llib/ssl.scm 403 */
void * BgL_vz00_5467;
BgL_vz00_5467 = 
FOREIGN_TO_COBJ(BgL_vz00_4272); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4271)))->BgL_z42nativez42)=((void *)BgL_vz00_5467),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1787 */
obj_t BGl_z62lambda1787z62zz__ssl_sslz00(obj_t BgL_envz00_4273, obj_t BgL_oz00_4274)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 403 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4274)))->BgL_z42nativez42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1766> */
obj_t BGl_z62zc3anonymousza31766ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4275, obj_t BgL_new1053z00_4276)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 300 */
{ 
BgL_privatezd2keyzd2_bglt BgL_auxz00_7568;
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4276)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7568 = 
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4276); 
return 
((obj_t)BgL_auxz00_7568);} } 
BGL_FUNCTION_END;
}



/* &lambda1764 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1764z62zz__ssl_sslz00(obj_t BgL_envz00_4277)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 300 */
{ /* Llib/ssl.scm 300 */
BgL_privatezd2keyzd2_bglt BgL_new1052z00_5470;
BgL_new1052z00_5470 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 300 */
long BgL_arg1765z00_5471;
{ /* Llib/ssl.scm 300 */
long BgL_res2338z00_5472;
BgL_res2338z00_5472 = 
BGL_CLASS_INDEX(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BgL_arg1765z00_5471 = BgL_res2338z00_5472; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_5470), BgL_arg1765z00_5471); } 
return BgL_new1052z00_5470;} } 
BGL_FUNCTION_END;
}



/* &lambda1762 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1762z62zz__ssl_sslz00(obj_t BgL_envz00_4278, obj_t BgL_z42native1051z42_4279)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 300 */
{ /* Llib/ssl.scm 300 */
void * BgL_z42native1051z42_5473;
BgL_z42native1051z42_5473 = 
FOREIGN_TO_COBJ(BgL_z42native1051z42_4279); 
{ /* Llib/ssl.scm 300 */
BgL_privatezd2keyzd2_bglt BgL_new1151z00_5474;
{ /* Llib/ssl.scm 300 */
BgL_privatezd2keyzd2_bglt BgL_new1150z00_5475;
BgL_new1150z00_5475 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 300 */
long BgL_arg1763z00_5476;
{ /* Llib/ssl.scm 300 */
long BgL_res2337z00_5477;
BgL_res2337z00_5477 = 
BGL_CLASS_INDEX(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BgL_arg1763z00_5476 = BgL_res2337z00_5477; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_5475), BgL_arg1763z00_5476); } 
BgL_new1151z00_5474 = BgL_new1150z00_5475; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1151z00_5474))->BgL_z42nativez42)=((void *)BgL_z42native1051z42_5473),BUNSPEC); 
return BgL_new1151z00_5474;} } } 
BGL_FUNCTION_END;
}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__ssl_sslz00(obj_t BgL_envz00_4280, obj_t BgL_oz00_4281, obj_t BgL_vz00_4282)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 300 */
{ /* Llib/ssl.scm 300 */
void * BgL_vz00_5479;
BgL_vz00_5479 = 
FOREIGN_TO_COBJ(BgL_vz00_4282); 
return 
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4281)))->BgL_z42nativez42)=((void *)BgL_vz00_5479),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1770 */
obj_t BGl_z62lambda1770z62zz__ssl_sslz00(obj_t BgL_envz00_4283, obj_t BgL_oz00_4284)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 300 */
return 
void_star_to_obj(
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4284)))->BgL_z42nativez42));} 
BGL_FUNCTION_END;
}



/* &<anonymous:1751> */
obj_t BGl_z62zc3anonymousza31751ze3ze1zz__ssl_sslz00(obj_t BgL_envz00_4285, obj_t BgL_new1049z00_4286)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 297 */
{ 
BgL_certificatez00_bglt BgL_auxz00_7590;
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_new1049z00_4286)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_7590 = 
((BgL_certificatez00_bglt)BgL_new1049z00_4286); 
return 
((obj_t)BgL_auxz00_7590);} } 
BGL_FUNCTION_END;
}



/* &lambda1749 */
BgL_certificatez00_bglt BGl_z62lambda1749z62zz__ssl_sslz00(obj_t BgL_envz00_4287)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 297 */
{ /* Llib/ssl.scm 297 */
BgL_certificatez00_bglt BgL_new1048z00_5482;
BgL_new1048z00_5482 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 297 */
long BgL_arg1750z00_5483;
{ /* Llib/ssl.scm 297 */
long BgL_res2336z00_5484;
BgL_res2336z00_5484 = 
BGL_CLASS_INDEX(BGl_certificatez00zz__ssl_sslz00); 
BgL_arg1750z00_5483 = BgL_res2336z00_5484; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_5482), BgL_arg1750z00_5483); } 
return BgL_new1048z00_5482;} } 
BGL_FUNCTION_END;
}



/* &lambda1747 */
BgL_certificatez00_bglt BGl_z62lambda1747z62zz__ssl_sslz00(obj_t BgL_envz00_4288, obj_t BgL_z42native1047z42_4289)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 297 */
{ /* Llib/ssl.scm 297 */
void * BgL_z42native1047z42_5485;
BgL_z42native1047z42_5485 = 
FOREIGN_TO_COBJ(BgL_z42native1047z42_4289); 
{ /* Llib/ssl.scm 297 */
BgL_certificatez00_bglt BgL_new1149z00_5486;
{ /* Llib/ssl.scm 297 */
BgL_certificatez00_bglt BgL_new1148z00_5487;
BgL_new1148z00_5487 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 297 */
long BgL_arg1748z00_5488;
{ /* Llib/ssl.scm 297 */
long BgL_res2335z00_5489;
BgL_res2335z00_5489 = 
BGL_CLASS_INDEX(BGl_certificatez00zz__ssl_sslz00); 
BgL_arg1748z00_5488 = BgL_res2335z00_5489; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_5487), BgL_arg1748z00_5488); } 
BgL_new1149z00_5486 = BgL_new1148z00_5487; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1149z00_5486))->BgL_z42nativez42)=((void *)BgL_z42native1047z42_5485),BUNSPEC); 
return BgL_new1149z00_5486;} } } 
BGL_FUNCTION_END;
}



/* &lambda1756 */
obj_t BGl_z62lambda1756z62zz__ssl_sslz00(obj_t BgL_envz00_4290, obj_t BgL_oz00_4291, obj_t BgL_vz00_4292)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 297 */
{ /* Llib/ssl.scm 297 */
void * BgL_vz00_5491;
BgL_vz00_5491 = 
FOREIGN_TO_COBJ(BgL_vz00_4292); 
return 
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4291)))->BgL_z42nativez42)=((void *)BgL_vz00_5491),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1755 */
obj_t BGl_z62lambda1755z62zz__ssl_sslz00(obj_t BgL_envz00_4293, obj_t BgL_oz00_4294)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 297 */
return 
void_star_to_obj(
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4294)))->BgL_z42nativez42));} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3333z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3334z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3335z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3336z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BGl_proc3337z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3338z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BGl_proc3339z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3340z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BGl_proc3341z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3342z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BGl_proc3343z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3344z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BGl_proc3345z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3346z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BGl_proc3347z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3348z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BGl_proc3349z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3350z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BGl_proc3351z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BGl_proc3353z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3354z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3355z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3356z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BGl_proc3357z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3358z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3359z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3360z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BGl_proc3361z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3362z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BGl_proc3363z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3364z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BGl_proc3365z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3366z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BGl_proc3367z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3368z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BGl_proc3369z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3370z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BGl_proc3371z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3373z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3374z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3375z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3376z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3377z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3378z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3379z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3380z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BGl_proc3381z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3382z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3383z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3384z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BGl_proc3385z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3386z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BGl_proc3387z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3388z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BGl_proc3389z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3390z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BGl_proc3391z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3392z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3393z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3394z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BGl_proc3395z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3396z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BGl_proc3397z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3398z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BGl_proc3399z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3400z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BGl_proc3401z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3402z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3403z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3404z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3405z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3406z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3407z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3408z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3409z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3410z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3411z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3412z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BGl_proc3413z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3414z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3415z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3416z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3417z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3418z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3419z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3420z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3421z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3422z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BGl_proc3423z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3424z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3425z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3426z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3427z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3428z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3429z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3430z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3431z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3432z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BGl_proc3433z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3434z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3435z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3436z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BGl_proc3437z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3438z00zz__ssl_sslz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3439z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3440z00zz__ssl_sslz00);} 
BGL_FUNCTION_END;
}



/* &ssl-cipher-final1350 */
obj_t BGl_z62sslzd2cipherzd2final1350z62zz__ssl_sslz00(obj_t BgL_envz00_4357, obj_t BgL_sslzd2cipherzd2_4358)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1380 */
return 
bgl_cipher_final(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4358));} 
BGL_FUNCTION_END;
}



/* &ssl-cipher-set-auto-1348 */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd21348z62zz__ssl_sslz00(obj_t BgL_envz00_4359, obj_t BgL_sslzd2cipherzd2_4360, obj_t BgL_autozd2paddingzd2_4361)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1370 */
{ /* Llib/ssl.scm 1373 */
bool_t BgL_tmpz00_7668;
{ /* Llib/ssl.scm 1373 */
bool_t BgL_autozd2paddingzd2_5495;
BgL_autozd2paddingzd2_5495 = 
CBOOL(BgL_autozd2paddingzd2_4361); 
BgL_tmpz00_7668 = 
bgl_cipher_set_auto_padding(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4360), BgL_autozd2paddingzd2_5495); } 
return 
BBOOL(BgL_tmpz00_7668);} } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-update!1346 */
obj_t BGl_z62sslzd2cipherzd2updatez121346z70zz__ssl_sslz00(obj_t BgL_envz00_4362, obj_t BgL_sslzd2cipherzd2_4363, obj_t BgL_dataz00_4364, obj_t BgL_offsetz00_4365, obj_t BgL_lenz00_4366)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1359 */
{ /* Llib/ssl.scm 1362 */
long BgL_offsetz00_5498;long BgL_lenz00_5499;
BgL_offsetz00_5498 = 
(long)CINT(BgL_offsetz00_4365); 
BgL_lenz00_5499 = 
(long)CINT(BgL_lenz00_4366); 
{ /* Llib/ssl.scm 1362 */
obj_t BgL__ortest_1147z00_5500;
BgL__ortest_1147z00_5500 = 
bgl_cipher_update(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4363), 
((obj_t)BgL_dataz00_4364), BgL_offsetz00_5498, BgL_lenz00_5499); 
if(
CBOOL(BgL__ortest_1147z00_5500))
{ /* Llib/ssl.scm 1362 */
return BgL__ortest_1147z00_5500;}  else 
{ /* Llib/ssl.scm 1362 */
return 
BGl_errorz00zz__errorz00(BGl_string3441z00zz__ssl_sslz00, BGl_string3442z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4363)));} } } } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-initiv1344 */
obj_t BGl_z62sslzd2cipherzd2initiv1344z62zz__ssl_sslz00(obj_t BgL_envz00_4367, obj_t BgL_sslzd2cipherzd2_4368, obj_t BgL_cipherz00_4369, obj_t BgL_keyz00_4370, obj_t BgL_offsetz00_4371, obj_t BgL_lenz00_4372, obj_t BgL_ivz00_4373, obj_t BgL_ivoffsetz00_4374, obj_t BgL_ivlenz00_4375, obj_t BgL_encz00_4376)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1342 */
{ /* Llib/ssl.scm 1348 */
long BgL_offsetz00_5504;long BgL_lenz00_5505;long BgL_ivoffsetz00_5507;long BgL_ivlenz00_5508;bool_t BgL_encz00_5509;
BgL_offsetz00_5504 = 
(long)CINT(BgL_offsetz00_4371); 
BgL_lenz00_5505 = 
(long)CINT(BgL_lenz00_4372); 
BgL_ivoffsetz00_5507 = 
(long)CINT(BgL_ivoffsetz00_4374); 
BgL_ivlenz00_5508 = 
(long)CINT(BgL_ivlenz00_4375); 
BgL_encz00_5509 = 
CBOOL(BgL_encz00_4376); 
if(
bgl_ssl_cipher_initiv(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4368), 
((obj_t)BgL_cipherz00_4369), 
((obj_t)BgL_keyz00_4370), BgL_offsetz00_5504, BgL_lenz00_5505, 
((obj_t)BgL_ivz00_4373), BgL_ivoffsetz00_5507, BgL_ivlenz00_5508, BgL_encz00_5509))
{ /* Llib/ssl.scm 1348 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1352 */
obj_t BgL_arg2286z00_5510;
BgL_arg2286z00_5510 = 
bgl_ssl_error_string(); 
return 
BGl_errorz00zz__errorz00(BGl_string3443z00zz__ssl_sslz00, BgL_arg2286z00_5510, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4368)));} } } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-init1342 */
obj_t BGl_z62sslzd2cipherzd2init1342z62zz__ssl_sslz00(obj_t BgL_envz00_4377, obj_t BgL_sslzd2cipherzd2_4378, obj_t BgL_cipherz00_4379, obj_t BgL_keyz00_4380, obj_t BgL_offsetz00_4381, obj_t BgL_lenz00_4382, obj_t BgL_encz00_4383)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1328 */
{ 
BgL_sslzd2cipherzd2_bglt BgL_auxz00_7698;
{ /* Llib/ssl.scm 1333 */
long BgL_offsetz00_5514;long BgL_lenz00_5515;bool_t BgL_encz00_5516;
BgL_offsetz00_5514 = 
(long)CINT(BgL_offsetz00_4381); 
BgL_lenz00_5515 = 
(long)CINT(BgL_lenz00_4382); 
BgL_encz00_5516 = 
CBOOL(BgL_encz00_4383); 
if(
bgl_ssl_cipher_init(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4378), 
((obj_t)BgL_cipherz00_4379), 
((obj_t)BgL_keyz00_4380), BgL_offsetz00_5514, BgL_lenz00_5515, BgL_encz00_5516))
{ /* Llib/ssl.scm 1333 */BFALSE; }  else 
{ /* Llib/ssl.scm 1333 */
BGl_errorz00zz__errorz00(BGl_string3444z00zz__ssl_sslz00, 
bgl_ssl_error_string(), 
((obj_t)BgL_cipherz00_4379)); } 
BgL_auxz00_7698 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4378); } 
return 
((obj_t)BgL_auxz00_7698);} } 
BGL_FUNCTION_END;
}



/* &ssl-verify-final1340 */
obj_t BGl_z62sslzd2verifyzd2final1340z62zz__ssl_sslz00(obj_t BgL_envz00_4384, obj_t BgL_sslzd2verifyzd2_4385, obj_t BgL_keyz00_4386, obj_t BgL_koffsetz00_4387, obj_t BgL_klenz00_4388, obj_t BgL_sigz00_4389, obj_t BgL_soffsetz00_4390, obj_t BgL_slenz00_4391)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1314 */
{ /* Llib/ssl.scm 1319 */
bool_t BgL_tmpz00_7712;
{ /* Llib/ssl.scm 1319 */
long BgL_koffsetz00_5519;long BgL_klenz00_5520;long BgL_soffsetz00_5522;long BgL_slenz00_5523;
BgL_koffsetz00_5519 = 
(long)CINT(BgL_koffsetz00_4387); 
BgL_klenz00_5520 = 
(long)CINT(BgL_klenz00_4388); 
BgL_soffsetz00_5522 = 
(long)CINT(BgL_soffsetz00_4390); 
BgL_slenz00_5523 = 
(long)CINT(BgL_slenz00_4391); 
BgL_tmpz00_7712 = 
bgl_ssl_verify_final(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4385), 
((obj_t)BgL_keyz00_4386), BgL_koffsetz00_5519, BgL_klenz00_5520, 
((obj_t)BgL_sigz00_4389), BgL_soffsetz00_5522, BgL_slenz00_5523); } 
return 
BBOOL(BgL_tmpz00_7712);} } 
BGL_FUNCTION_END;
}



/* &ssl-verify-update!1338 */
obj_t BGl_z62sslzd2verifyzd2updatez121338z70zz__ssl_sslz00(obj_t BgL_envz00_4392, obj_t BgL_sslzd2verifyzd2_4393, obj_t BgL_dataz00_4394, obj_t BgL_offsetz00_4395, obj_t BgL_lenz00_4396)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1302 */
{ 
BgL_sslzd2verifyzd2_bglt BgL_auxz00_7722;
{ /* Llib/ssl.scm 1305 */
long BgL_offsetz00_5526;long BgL_lenz00_5527;
BgL_offsetz00_5526 = 
(long)CINT(BgL_offsetz00_4395); 
BgL_lenz00_5527 = 
(long)CINT(BgL_lenz00_4396); 
if(
bgl_ssl_verify_update(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4393), 
((obj_t)BgL_dataz00_4394), BgL_offsetz00_5526, BgL_lenz00_5527))
{ /* Llib/ssl.scm 1305 */BFALSE; }  else 
{ /* Llib/ssl.scm 1305 */
BGl_errorz00zz__errorz00(BGl_string3445z00zz__ssl_sslz00, BGl_string3442z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4393))); } 
BgL_auxz00_7722 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4393); } 
return 
((obj_t)BgL_auxz00_7722);} } 
BGL_FUNCTION_END;
}



/* &ssl-verify-init1336 */
obj_t BGl_z62sslzd2verifyzd2init1336z62zz__ssl_sslz00(obj_t BgL_envz00_4397, obj_t BgL_sslzd2verifyzd2_4398, obj_t BgL_verifyz00_4399)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1290 */
{ 
BgL_sslzd2verifyzd2_bglt BgL_auxz00_7734;
if(
bgl_ssl_verify_init(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4398), 
((obj_t)BgL_verifyz00_4399)))
{ /* Llib/ssl.scm 1293 */BFALSE; }  else 
{ /* Llib/ssl.scm 1293 */
BGl_errorz00zz__errorz00(BGl_string3446z00zz__ssl_sslz00, BGl_string3447z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4398))); } 
BgL_auxz00_7734 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4398); 
return 
((obj_t)BgL_auxz00_7734);} } 
BGL_FUNCTION_END;
}



/* &ssl-sign-sign1334 */
obj_t BGl_z62sslzd2signzd2sign1334z62zz__ssl_sslz00(obj_t BgL_envz00_4400, obj_t BgL_sslzd2signzd2_4401, obj_t BgL_keyz00_4402, obj_t BgL_offsetz00_4403, obj_t BgL_lenz00_4404)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1279 */
{ /* Llib/ssl.scm 1282 */
long BgL_offsetz00_5532;long BgL_lenz00_5533;
BgL_offsetz00_5532 = 
(long)CINT(BgL_offsetz00_4403); 
BgL_lenz00_5533 = 
(long)CINT(BgL_lenz00_4404); 
{ /* Llib/ssl.scm 1282 */
obj_t BgL_rz00_5534;
BgL_rz00_5534 = 
bgl_ssl_sign_sign(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4401), 
((obj_t)BgL_keyz00_4402), BgL_offsetz00_5532, BgL_lenz00_5533); 
if(
CBOOL(BgL_rz00_5534))
{ /* Llib/ssl.scm 1283 */
return BgL_rz00_5534;}  else 
{ /* Llib/ssl.scm 1283 */
return 
BGl_errorz00zz__errorz00(BGl_string3448z00zz__ssl_sslz00, BGl_string3449z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4401)));} } } } 
BGL_FUNCTION_END;
}



/* &ssl-sign-update!1332 */
obj_t BGl_z62sslzd2signzd2updatez121332z70zz__ssl_sslz00(obj_t BgL_envz00_4405, obj_t BgL_sslzd2signzd2_4406, obj_t BgL_dataz00_4407, obj_t BgL_offsetz00_4408, obj_t BgL_lenz00_4409)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1267 */
{ 
BgL_sslzd2signzd2_bglt BgL_auxz00_7754;
{ /* Llib/ssl.scm 1270 */
long BgL_offsetz00_5537;long BgL_lenz00_5538;
BgL_offsetz00_5537 = 
(long)CINT(BgL_offsetz00_4408); 
BgL_lenz00_5538 = 
(long)CINT(BgL_lenz00_4409); 
if(
bgl_ssl_sign_update(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4406), 
((obj_t)BgL_dataz00_4407), BgL_offsetz00_5537, BgL_lenz00_5538))
{ /* Llib/ssl.scm 1270 */BFALSE; }  else 
{ /* Llib/ssl.scm 1270 */
BGl_errorz00zz__errorz00(BGl_string3450z00zz__ssl_sslz00, BGl_string3442z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4406))); } 
BgL_auxz00_7754 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4406); } 
return 
((obj_t)BgL_auxz00_7754);} } 
BGL_FUNCTION_END;
}



/* &ssl-sign-init1330 */
obj_t BGl_z62sslzd2signzd2init1330z62zz__ssl_sslz00(obj_t BgL_envz00_4410, obj_t BgL_sslzd2signzd2_4411, obj_t BgL_signz00_4412)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1255 */
{ 
BgL_sslzd2signzd2_bglt BgL_auxz00_7766;
if(
bgl_ssl_sign_init(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4411), 
((obj_t)BgL_signz00_4412)))
{ /* Llib/ssl.scm 1258 */BFALSE; }  else 
{ /* Llib/ssl.scm 1258 */
BGl_errorz00zz__errorz00(BGl_string3451z00zz__ssl_sslz00, BGl_string3452z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4411))); } 
BgL_auxz00_7766 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4411); 
return 
((obj_t)BgL_auxz00_7766);} } 
BGL_FUNCTION_END;
}



/* &ssl-hmac-digest1328 */
obj_t BGl_z62sslzd2hmaczd2digest1328z62zz__ssl_sslz00(obj_t BgL_envz00_4413, obj_t BgL_sslzd2hmaczd2_4414)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1244 */
{ /* Llib/ssl.scm 1247 */
obj_t BgL_rz00_5542;
BgL_rz00_5542 = 
bgl_ssl_hmac_digest(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4414)); 
if(
CBOOL(BgL_rz00_5542))
{ /* Llib/ssl.scm 1248 */
return BgL_rz00_5542;}  else 
{ /* Llib/ssl.scm 1248 */
return 
BGl_errorz00zz__errorz00(BGl_string3453z00zz__ssl_sslz00, BGl_string3454z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4414)));} } } 
BGL_FUNCTION_END;
}



/* &ssl-hmac-update!1326 */
obj_t BGl_z62sslzd2hmaczd2updatez121326z70zz__ssl_sslz00(obj_t BgL_envz00_4415, obj_t BgL_sslzd2hmaczd2_4416, obj_t BgL_dataz00_4417, obj_t BgL_offsetz00_4418, obj_t BgL_lenz00_4419)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1232 */
{ 
BgL_sslzd2hmaczd2_bglt BgL_auxz00_7783;
{ /* Llib/ssl.scm 1235 */
long BgL_offsetz00_5545;long BgL_lenz00_5546;
BgL_offsetz00_5545 = 
(long)CINT(BgL_offsetz00_4418); 
BgL_lenz00_5546 = 
(long)CINT(BgL_lenz00_4419); 
if(
bgl_ssl_hmac_update(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4416), 
((obj_t)BgL_dataz00_4417), BgL_offsetz00_5545, BgL_lenz00_5546))
{ /* Llib/ssl.scm 1235 */BFALSE; }  else 
{ /* Llib/ssl.scm 1235 */
BGl_errorz00zz__errorz00(BGl_string3455z00zz__ssl_sslz00, BGl_string3442z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4416))); } 
BgL_auxz00_7783 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4416); } 
return 
((obj_t)BgL_auxz00_7783);} } 
BGL_FUNCTION_END;
}



/* &ssl-hmac-init1324 */
obj_t BGl_z62sslzd2hmaczd2init1324z62zz__ssl_sslz00(obj_t BgL_envz00_4420, obj_t BgL_sslzd2hmaczd2_4421, obj_t BgL_hmacz00_4422, obj_t BgL_keyz00_4423)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1220 */
if(
bgl_ssl_hmac_init(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4421), 
((obj_t)BgL_hmacz00_4422), 
((obj_t)BgL_keyz00_4423)))
{ /* Llib/ssl.scm 1223 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1223 */
BGl_errorz00zz__errorz00(BGl_string3456z00zz__ssl_sslz00, BGl_string3457z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4421))); 
return 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4421));} } 
BGL_FUNCTION_END;
}



/* &ssl-hash-digest1322 */
obj_t BGl_z62sslzd2hashzd2digest1322z62zz__ssl_sslz00(obj_t BgL_envz00_4424, obj_t BgL_sslzd2hashzd2_4425)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1209 */
{ /* Llib/ssl.scm 1212 */
obj_t BgL_rz00_5551;
BgL_rz00_5551 = 
bgl_ssl_hash_digest(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4425)); 
if(
CBOOL(BgL_rz00_5551))
{ /* Llib/ssl.scm 1213 */
return BgL_rz00_5551;}  else 
{ /* Llib/ssl.scm 1213 */
return 
BGl_errorz00zz__errorz00(BGl_string3458z00zz__ssl_sslz00, BGl_string3454z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4425)));} } } 
BGL_FUNCTION_END;
}



/* &ssl-hash-update!1320 */
obj_t BGl_z62sslzd2hashzd2updatez121320z70zz__ssl_sslz00(obj_t BgL_envz00_4426, obj_t BgL_sslzd2hashzd2_4427, obj_t BgL_dataz00_4428, obj_t BgL_offsetz00_4429, obj_t BgL_lenz00_4430)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1197 */
{ 
BgL_sslzd2hashzd2_bglt BgL_auxz00_7812;
{ /* Llib/ssl.scm 1200 */
long BgL_offsetz00_5554;long BgL_lenz00_5555;
BgL_offsetz00_5554 = 
(long)CINT(BgL_offsetz00_4429); 
BgL_lenz00_5555 = 
(long)CINT(BgL_lenz00_4430); 
if(
bgl_ssl_hash_update(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4427), 
((obj_t)BgL_dataz00_4428), BgL_offsetz00_5554, BgL_lenz00_5555))
{ /* Llib/ssl.scm 1200 */BFALSE; }  else 
{ /* Llib/ssl.scm 1200 */
BGl_errorz00zz__errorz00(BGl_string3459z00zz__ssl_sslz00, BGl_string3442z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4427))); } 
BgL_auxz00_7812 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4427); } 
return 
((obj_t)BgL_auxz00_7812);} } 
BGL_FUNCTION_END;
}



/* &ssl-hash-init1318 */
obj_t BGl_z62sslzd2hashzd2init1318z62zz__ssl_sslz00(obj_t BgL_envz00_4431, obj_t BgL_sslzd2hashzd2_4432)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1185 */
{ 
BgL_sslzd2hashzd2_bglt BgL_auxz00_7824;
if(
bgl_ssl_hash_init(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4432)))
{ /* Llib/ssl.scm 1188 */BFALSE; }  else 
{ /* Llib/ssl.scm 1188 */
BGl_errorz00zz__errorz00(BGl_string3460z00zz__ssl_sslz00, BGl_string3457z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4432))); } 
BgL_auxz00_7824 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4432); 
return 
((obj_t)BgL_auxz00_7824);} } 
BGL_FUNCTION_END;
}



/* &dh-generate-key1316 */
obj_t BGl_z62dhzd2generatezd2key1316z62zz__ssl_sslz00(obj_t BgL_envz00_4433, obj_t BgL_dhz00_4434)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1174 */
{ /* Llib/ssl.scm 1177 */
bool_t BgL_tmpz00_7833;
{ /* Llib/ssl.scm 1178 */
bool_t BgL_testz00_7834;
{ /* Llib/ssl.scm 1178 */
int BgL_arg2259z00_5558;
{ /* Llib/ssl.scm 1178 */
void * BgL_tmpz00_7835;
BgL_tmpz00_7835 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4434)))->BgL_z42nativez42); 
BgL_arg2259z00_5558 = 
DH_generate_key(BgL_tmpz00_7835); } 
BgL_testz00_7834 = 
(
(long)(BgL_arg2259z00_5558)==((long)0)); } 
if(BgL_testz00_7834)
{ /* Llib/ssl.scm 1178 */
BgL_tmpz00_7833 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 1178 */
BgL_tmpz00_7833 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_7833);} } 
BGL_FUNCTION_END;
}



/* &dh-compute-key1314 */
obj_t BGl_z62dhzd2computezd2key1314z62zz__ssl_sslz00(obj_t BgL_envz00_4435, obj_t BgL_dhz00_4436, obj_t BgL_keyz00_4437)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1148 */
{ /* Llib/ssl.scm 1152 */
int BgL_siza7eza7_5561;
BgL_siza7eza7_5561 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(
((BgL_dhz00_bglt)BgL_dhz00_4436)); 
{ /* Llib/ssl.scm 1152 */
obj_t BgL_strz00_5562;
{ /* Llib/ssl.scm 1153 */

BgL_strz00_5562 = 
make_string(
(long)(BgL_siza7eza7_5561), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1153 */

{ /* Llib/ssl.scm 1154 */
int BgL_sza7za7_5563;
{ /* Llib/ssl.scm 1154 */
void * BgL_arg2253z00_5564;void * BgL_arg2254z00_5565;
{ /* Llib/ssl.scm 1154 */
obj_t BgL_tmpz00_7846;
BgL_tmpz00_7846 = 
((obj_t)BgL_keyz00_4437); 
BgL_arg2253z00_5564 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7846); } 
BgL_arg2254z00_5565 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4436)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1154 */
char * BgL_tmpz00_7851;
BgL_tmpz00_7851 = 
BSTRING_TO_STRING(BgL_strz00_5562); 
BgL_sza7za7_5563 = 
DH_compute_key(BgL_tmpz00_7851, BgL_arg2253z00_5564, BgL_arg2254z00_5565); } } 
if(
(
(long)(BgL_sza7za7_5563)==((long)-1)))
{ /* Llib/ssl.scm 1156 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1156 */
if(
(
(long)(BgL_sza7za7_5563)==
STRING_LENGTH(BgL_strz00_5562)))
{ /* Llib/ssl.scm 1158 */
return BgL_strz00_5562;}  else 
{ /* Llib/ssl.scm 1158 */
blit_string(BgL_strz00_5562, ((long)0), BgL_strz00_5562, 
(
(long)(BgL_siza7eza7_5561)-
(long)(BgL_sza7za7_5563)), 
(long)(BgL_sza7za7_5563)); 
{ /* Llib/ssl.scm 1162 */
long BgL_g1142z00_5567;
BgL_g1142z00_5567 = 
(
(long)(BgL_siza7eza7_5561)-
(long)(BgL_sza7za7_5563)); 
{ 
long BgL_iz00_5569;
BgL_iz00_5569 = BgL_g1142z00_5567; 
BgL_loopz00_5568:
if(
(BgL_iz00_5569>((long)0)))
{ /* Llib/ssl.scm 1164 */
long BgL_niz00_5570;
BgL_niz00_5570 = 
(BgL_iz00_5569-((long)1)); 
STRING_SET(BgL_strz00_5562, BgL_niz00_5570, ((unsigned char)'\000')); 
{ 
long BgL_iz00_7873;
BgL_iz00_7873 = BgL_niz00_5570; 
BgL_iz00_5569 = BgL_iz00_7873; 
goto BgL_loopz00_5568;} }  else 
{ /* Llib/ssl.scm 1163 */((bool_t)0); } } } 
return BgL_strz00_5562;} } } } } } } 
BGL_FUNCTION_END;
}



/* &dh-check-pub-key1312 */
obj_t BGl_z62dhzd2checkzd2pubzd2key1312zb0zz__ssl_sslz00(obj_t BgL_envz00_4438, obj_t BgL_dhz00_4439, obj_t BgL_keyz00_4440)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1137 */
{ /* Llib/ssl.scm 1141 */
void * BgL_arg2243z00_5573;void * BgL_arg2244z00_5574;
BgL_arg2243z00_5573 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4439)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1141 */
obj_t BgL_tmpz00_7876;
BgL_tmpz00_7876 = 
((obj_t)BgL_keyz00_4440); 
BgL_arg2244z00_5574 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_7876); } 
return 
bgl_dh_check_pub_key(BgL_arg2243z00_5573, BgL_arg2244z00_5574);} } 
BGL_FUNCTION_END;
}



/* &dh-check1310 */
obj_t BGl_z62dhzd2check1310zb0zz__ssl_sslz00(obj_t BgL_envz00_4441, obj_t BgL_dhz00_4442)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1126 */
return 
bgl_dh_check(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4442)))->BgL_z42nativez42));} 
BGL_FUNCTION_END;
}



/* &dh-generate-paramete1308 */
obj_t BGl_z62dhzd2generatezd2paramete1308z62zz__ssl_sslz00(obj_t BgL_envz00_4443, obj_t BgL_dhz00_4444, obj_t BgL_lenz00_4445, obj_t BgL_generatorz00_4446)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1110 */
{ /* Llib/ssl.scm 1113 */
int BgL_tmpz00_7883;
{ /* Llib/ssl.scm 1113 */
int BgL_lenz00_5577;
BgL_lenz00_5577 = 
CINT(BgL_lenz00_4445); 
{ /* Llib/ssl.scm 1114 */
void * BgL_arg2237z00_5579;obj_t BgL_arg2238z00_5580;
BgL_arg2237z00_5579 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4444)))->BgL_z42nativez42); 
if(
(
((obj_t)BgL_generatorz00_4446)==
CNST_TABLE_REF(((long)89))))
{ /* Llib/ssl.scm 1115 */
BgL_arg2238z00_5580 = 
BINT(DH_GENERATOR_2); }  else 
{ /* Llib/ssl.scm 1115 */
BgL_arg2238z00_5580 = 
BGl_errorz00zz__errorz00(BGl_string3461z00zz__ssl_sslz00, BGl_string3462z00zz__ssl_sslz00, 
((obj_t)BgL_generatorz00_4446)); } 
{ /* Llib/ssl.scm 1114 */
int BgL_tmpz00_7894;
BgL_tmpz00_7894 = 
CINT(BgL_arg2238z00_5580); 
BgL_tmpz00_7883 = 
DH_generate_parameters_ex(BgL_arg2237z00_5579, BgL_lenz00_5577, BgL_tmpz00_7894, ((long)0)); } } } 
return 
BINT(BgL_tmpz00_7883);} } 
BGL_FUNCTION_END;
}



/* &dh-size1306 */
obj_t BGl_z62dhzd2siza7e1306z17zz__ssl_sslz00(obj_t BgL_envz00_4447, obj_t BgL_dhz00_4448)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1102 */
{ /* Llib/ssl.scm 1104 */
int BgL_tmpz00_7898;
{ /* Llib/ssl.scm 1104 */
void * BgL_tmpz00_7899;
BgL_tmpz00_7899 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4448)))->BgL_z42nativez42); 
BgL_tmpz00_7898 = 
DH_size(BgL_tmpz00_7899); } 
return 
BINT(BgL_tmpz00_7898);} } 
BGL_FUNCTION_END;
}



/* &dh-init1304 */
obj_t BGl_z62dhzd2init1304zb0zz__ssl_sslz00(obj_t BgL_envz00_4449, obj_t BgL_dhz00_4450)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1091 */
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4450)))->BgL_z42nativez42)=((void *)
DH_new()),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-n1302 */
obj_t BGl_z62sslzd2connectionzd2getzd2n1302zb0zz__ssl_sslz00(obj_t BgL_envz00_4451, obj_t BgL_sslz00_4452)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1081 */
return 
bgl_ssl_connection_get_negotiated_protocol(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4452));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-reuse1300 */
obj_t BGl_z62sslzd2connectionzd2reuse1300z62zz__ssl_sslz00(obj_t BgL_envz00_4453, obj_t BgL_sslz00_4454)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1070 */
{ /* Llib/ssl.scm 1073 */
bool_t BgL_tmpz00_7909;
{ /* Llib/ssl.scm 1074 */
void * BgL_tmpz00_7910;
BgL_tmpz00_7910 = 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4454)))->BgL_z42nativez42); 
BgL_tmpz00_7909 = 
SSL_session_reused(BgL_tmpz00_7910); } 
return 
BBOOL(BgL_tmpz00_7909);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-p1298 */
obj_t BGl_z62sslzd2connectionzd2getzd2p1298zb0zz__ssl_sslz00(obj_t BgL_envz00_4455, obj_t BgL_sslz00_4456)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1060 */
return 
bgl_ssl_connection_get_peer_certificate(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4456));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-verif1296 */
obj_t BGl_z62sslzd2connectionzd2verif1296z62zz__ssl_sslz00(obj_t BgL_envz00_4457, obj_t BgL_sslz00_4458)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1050 */
return 
bgl_ssl_connection_verify_error(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4458));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-load-1294 */
obj_t BGl_z62sslzd2connectionzd2loadzd21294zb0zz__ssl_sslz00(obj_t BgL_envz00_4459, obj_t BgL_sslz00_4460, obj_t BgL_bufz00_4461)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1040 */
return 
BINT(
bgl_ssl_connection_load_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4460), 
((obj_t)BgL_bufz00_4461)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-c1292 */
obj_t BGl_z62sslzd2connectionzd2getzd2c1292zb0zz__ssl_sslz00(obj_t BgL_envz00_4462, obj_t BgL_sslz00_4463)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1030 */
return 
bgl_ssl_connection_get_current_cipher(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4463));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-s1290 */
obj_t BGl_z62sslzd2connectionzd2getzd2s1290zb0zz__ssl_sslz00(obj_t BgL_envz00_4464, obj_t BgL_sslz00_4465)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1020 */
return 
bgl_ssl_connection_get_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4465));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-set-s1288 */
obj_t BGl_z62sslzd2connectionzd2setzd2s1288zb0zz__ssl_sslz00(obj_t BgL_envz00_4466, obj_t BgL_sslz00_4467, obj_t BgL_bufz00_4468)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1010 */
return 
BINT(
bgl_ssl_connection_set_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4467), 
((obj_t)BgL_bufz00_4468)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-clear1286 */
obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t BgL_envz00_4469, obj_t BgL_sslz00_4470)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1000 */
return 
BINT(
bgl_ssl_connection_clear_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4470)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-enc-p1284 */
obj_t BGl_z62sslzd2connectionzd2enczd2p1284zb0zz__ssl_sslz00(obj_t BgL_envz00_4471, obj_t BgL_sslz00_4472)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 990 */
return 
BINT(
bgl_ssl_connection_enc_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4472)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-init-1282 */
obj_t BGl_z62sslzd2connectionzd2initzd21282zb0zz__ssl_sslz00(obj_t BgL_envz00_4473, obj_t BgL_sslz00_4474)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 980 */
return 
BBOOL(
bgl_ssl_connection_init_finishedp(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4474)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-clear1280 */
obj_t BGl_z62sslzd2connectionzd2clear1280z62zz__ssl_sslz00(obj_t BgL_envz00_4475, obj_t BgL_sslz00_4476, obj_t BgL_bufferz00_4477, obj_t BgL_offsetz00_4478, obj_t BgL_lenz00_4479)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 970 */
{ /* Llib/ssl.scm 973 */
long BgL_tmpz00_7940;
{ /* Llib/ssl.scm 973 */
long BgL_offsetz00_5598;long BgL_lenz00_5599;
BgL_offsetz00_5598 = 
(long)CINT(BgL_offsetz00_4478); 
BgL_lenz00_5599 = 
(long)CINT(BgL_lenz00_4479); 
BgL_tmpz00_7940 = 
bgl_ssl_connection_clear_out(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4476), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4477)), BgL_offsetz00_5598, BgL_lenz00_5599); } 
return 
BINT(BgL_tmpz00_7940);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-clear1278 */
obj_t BGl_z62sslzd2connectionzd2clear1278z62zz__ssl_sslz00(obj_t BgL_envz00_4480, obj_t BgL_sslz00_4481, obj_t BgL_bufferz00_4482, obj_t BgL_offsetz00_4483, obj_t BgL_lenz00_4484)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 960 */
{ /* Llib/ssl.scm 963 */
long BgL_tmpz00_7948;
{ /* Llib/ssl.scm 963 */
long BgL_offsetz00_5602;long BgL_lenz00_5603;
BgL_offsetz00_5602 = 
(long)CINT(BgL_offsetz00_4483); 
BgL_lenz00_5603 = 
(long)CINT(BgL_lenz00_4484); 
BgL_tmpz00_7948 = 
bgl_ssl_connection_clear_in(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4481), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4482)), BgL_offsetz00_5602, BgL_lenz00_5603); } 
return 
BINT(BgL_tmpz00_7948);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-write1276 */
obj_t BGl_z62sslzd2connectionzd2write1276z62zz__ssl_sslz00(obj_t BgL_envz00_4485, obj_t BgL_sslz00_4486, obj_t BgL_bufferz00_4487, obj_t BgL_offsetz00_4488, obj_t BgL_lenz00_4489)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 950 */
{ /* Llib/ssl.scm 953 */
long BgL_tmpz00_7956;
{ /* Llib/ssl.scm 953 */
long BgL_offsetz00_5606;long BgL_lenz00_5607;
BgL_offsetz00_5606 = 
(long)CINT(BgL_offsetz00_4488); 
BgL_lenz00_5607 = 
(long)CINT(BgL_lenz00_4489); 
BgL_tmpz00_7956 = 
bgl_ssl_connection_write(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4486), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4487)), BgL_offsetz00_5606, BgL_lenz00_5607); } 
return 
BINT(BgL_tmpz00_7956);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-read1274 */
obj_t BGl_z62sslzd2connectionzd2read1274z62zz__ssl_sslz00(obj_t BgL_envz00_4490, obj_t BgL_sslz00_4491, obj_t BgL_bufferz00_4492, obj_t BgL_offsetz00_4493, obj_t BgL_lenz00_4494)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 940 */
{ /* Llib/ssl.scm 943 */
long BgL_tmpz00_7964;
{ /* Llib/ssl.scm 943 */
long BgL_offsetz00_5610;long BgL_lenz00_5611;
BgL_offsetz00_5610 = 
(long)CINT(BgL_offsetz00_4493); 
BgL_lenz00_5611 = 
(long)CINT(BgL_lenz00_4494); 
BgL_tmpz00_7964 = 
bgl_ssl_connection_read(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4491), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4492)), BgL_offsetz00_5610, BgL_lenz00_5611); } 
return 
BINT(BgL_tmpz00_7964);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-shutd1272 */
obj_t BGl_z62sslzd2connectionzd2shutd1272z62zz__ssl_sslz00(obj_t BgL_envz00_4495, obj_t BgL_sslz00_4496)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 930 */
return 
bgl_ssl_connection_shutdown(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4496));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-close1270 */
obj_t BGl_z62sslzd2connectionzd2close1270z62zz__ssl_sslz00(obj_t BgL_envz00_4497, obj_t BgL_sslz00_4498)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 920 */
return 
BINT(
bgl_ssl_connection_close(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4498)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-start1268 */
obj_t BGl_z62sslzd2connectionzd2start1268z62zz__ssl_sslz00(obj_t BgL_envz00_4499, obj_t BgL_sslz00_4500)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 910 */
return 
BINT(
bgl_ssl_connection_start(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4500)));} 
BGL_FUNCTION_END;
}



/* &ssl-connection-init1266 */
obj_t BGl_z62sslzd2connectionzd2init1266z62zz__ssl_sslz00(obj_t BgL_envz00_4501, obj_t BgL_sslz00_4502)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 900 */
return 
bgl_ssl_connection_init(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4502));} 
BGL_FUNCTION_END;
}



/* &secure-context-set-o1264 */
obj_t BGl_z62securezd2contextzd2setzd2o1264zb0zz__ssl_sslz00(obj_t BgL_envz00_4503, obj_t BgL_scz00_4504, obj_t BgL_optionsz00_4505)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 891 */
bool_t BgL_tmpz00_7982;
{ /* Llib/ssl.scm 891 */
int BgL_optionsz00_5617;
BgL_optionsz00_5617 = 
CINT(BgL_optionsz00_4505); 
{ /* Llib/ssl.scm 892 */
void * BgL_arg2212z00_5618;
BgL_arg2212z00_5618 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4504)))->BgL_z42nativez42); 
SSL_CTX_set_options(BgL_arg2212z00_5618, BgL_optionsz00_5617); BUNSPEC; } 
BgL_tmpz00_7982 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_7982);} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-c1262 */
obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t BgL_envz00_4506, obj_t BgL_scz00_4507, obj_t BgL_ciphersz00_4508)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 876 */
{ /* Llib/ssl.scm 879 */
bool_t BgL_tmpz00_7988;
{ /* Llib/ssl.scm 880 */
char * BgL_auxz00_7992;void * BgL_tmpz00_7989;
BgL_auxz00_7992 = 
BSTRING_TO_STRING(
((obj_t)BgL_ciphersz00_4508)); 
BgL_tmpz00_7989 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4507)))->BgL_z42nativez42); 
SSL_CTX_set_cipher_list(BgL_tmpz00_7989, BgL_auxz00_7992); } 
BgL_tmpz00_7988 = ((bool_t)1); 
return 
BBOOL(BgL_tmpz00_7988);} } 
BGL_FUNCTION_END;
}



/* &secure-context-load-1260 */
obj_t BGl_z62securezd2contextzd2loadzd21260zb0zz__ssl_sslz00(obj_t BgL_envz00_4509, obj_t BgL_scz00_4510, obj_t BgL_pfxz00_4511, obj_t BgL_passz00_4512)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 866 */
return 
BBOOL(
bgl_load_pkcs12(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4510), 
((obj_t)BgL_pfxz00_4511), BgL_passz00_4512));} 
BGL_FUNCTION_END;
}



/* &secure-context-set-s1258 */
obj_t BGl_z62securezd2contextzd2setzd2s1258zb0zz__ssl_sslz00(obj_t BgL_envz00_4513, obj_t BgL_scz00_4514, obj_t BgL_sicz00_4515, obj_t BgL_offsetz00_4516, obj_t BgL_lenz00_4517)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 856 */
{ /* Llib/ssl.scm 859 */
bool_t BgL_tmpz00_8001;
{ /* Llib/ssl.scm 859 */
long BgL_offsetz00_5625;long BgL_lenz00_5626;
BgL_offsetz00_5625 = 
(long)CINT(BgL_offsetz00_4516); 
BgL_lenz00_5626 = 
(long)CINT(BgL_lenz00_4517); 
BgL_tmpz00_8001 = 
bgl_ssl_ctx_set_session_id_context(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4514), 
((obj_t)BgL_sicz00_4515), BgL_offsetz00_5625, BgL_lenz00_5626); } 
return 
BBOOL(BgL_tmpz00_8001);} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-c1256 */
obj_t BGl_z62securezd2contextzd2setzd2c1256zb0zz__ssl_sslz00(obj_t BgL_envz00_4518, obj_t BgL_scz00_4519, obj_t BgL_certz00_4520, obj_t BgL_offsetz00_4521, obj_t BgL_lenz00_4522)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 846 */
{ /* Llib/ssl.scm 849 */
bool_t BgL_tmpz00_8008;
{ /* Llib/ssl.scm 849 */
long BgL_offsetz00_5629;long BgL_lenz00_5630;
BgL_offsetz00_5629 = 
(long)CINT(BgL_offsetz00_4521); 
BgL_lenz00_5630 = 
(long)CINT(BgL_lenz00_4522); 
BgL_tmpz00_8008 = 
bgl_ssl_ctx_set_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4519), 
((obj_t)BgL_certz00_4520), BgL_offsetz00_5629, BgL_lenz00_5630); } 
return 
BBOOL(BgL_tmpz00_8008);} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-k1248 */
obj_t BGl_z62securezd2contextzd2setzd2k1248zb0zz__ssl_sslz00(obj_t BgL_envz00_4523, obj_t BgL_scz00_4524, obj_t BgL_certz00_4525, obj_t BgL_offsetz00_4526, obj_t BgL_lenz00_4527, obj_t BgL_passphrasez00_4528)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 836 */
return 
BBOOL(
bgl_ssl_ctx_set_key(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4524), BgL_certz00_4525, 
(long)CINT(BgL_offsetz00_4526), 
(long)CINT(BgL_lenz00_4527), BgL_passphrasez00_4528));} 
BGL_FUNCTION_END;
}



/* &secure-context-add-c1246 */
obj_t BGl_z62securezd2contextzd2addzd2c1246zb0zz__ssl_sslz00(obj_t BgL_envz00_4529, obj_t BgL_scz00_4530, obj_t BgL_certz00_4531, obj_t BgL_offsetz00_4532, obj_t BgL_lenz00_4533)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 826 */
{ /* Llib/ssl.scm 829 */
bool_t BgL_tmpz00_8020;
{ /* Llib/ssl.scm 829 */
long BgL_offsetz00_5633;long BgL_lenz00_5634;
BgL_offsetz00_5633 = 
(long)CINT(BgL_offsetz00_4532); 
BgL_lenz00_5634 = 
(long)CINT(BgL_lenz00_4533); 
BgL_tmpz00_8020 = 
bgl_ssl_ctx_add_crl(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4530), 
((obj_t)BgL_certz00_4531), BgL_offsetz00_5633, BgL_lenz00_5634); } 
return 
BBOOL(BgL_tmpz00_8020);} } 
BGL_FUNCTION_END;
}



/* &secure-context-add-c1244 */
obj_t BGl_z62securezd2contextzd2addzd2c1244zb0zz__ssl_sslz00(obj_t BgL_envz00_4534, obj_t BgL_scz00_4535, obj_t BgL_certz00_4536, obj_t BgL_offsetz00_4537, obj_t BgL_lenz00_4538)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 816 */
{ /* Llib/ssl.scm 819 */
bool_t BgL_tmpz00_8027;
{ /* Llib/ssl.scm 819 */
long BgL_offsetz00_5637;long BgL_lenz00_5638;
BgL_offsetz00_5637 = 
(long)CINT(BgL_offsetz00_4537); 
BgL_lenz00_5638 = 
(long)CINT(BgL_lenz00_4538); 
BgL_tmpz00_8027 = 
bgl_ssl_ctx_add_ca_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4535), 
((obj_t)BgL_certz00_4536), BgL_offsetz00_5637, BgL_lenz00_5638); } 
return 
BBOOL(BgL_tmpz00_8027);} } 
BGL_FUNCTION_END;
}



/* &secure-context-add-r1242 */
obj_t BGl_z62securezd2contextzd2addzd2r1242zb0zz__ssl_sslz00(obj_t BgL_envz00_4539, obj_t BgL_scz00_4540)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 806 */
return 
BBOOL(
bgl_ssl_ctx_add_root_certs(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4540)));} 
BGL_FUNCTION_END;
}



/* &secure-context-close1240 */
obj_t BGl_z62securezd2contextzd2close1240z62zz__ssl_sslz00(obj_t BgL_envz00_4541, obj_t BgL_scz00_4542)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 796 */
return 
bgl_ssl_ctx_close(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4542));} 
BGL_FUNCTION_END;
}



/* &secure-context-init1238 */
obj_t BGl_z62securezd2contextzd2init1238z62zz__ssl_sslz00(obj_t BgL_envz00_4543, obj_t BgL_scz00_4544)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 786 */
return 
bgl_ssl_ctx_init(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4544));} 
BGL_FUNCTION_END;
}



/* secure-context-init */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_42)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 786 */
{ /* Llib/ssl.scm 786 */
obj_t BgL_method1239z00_1709;
{ /* Llib/ssl.scm 786 */
obj_t BgL_res2371z00_2178;
{ /* Llib/ssl.scm 786 */
long BgL_objzd2classzd2numz00_2151;
{ /* Llib/ssl.scm 786 */
long BgL_res2365z00_2154;
BgL_res2365z00_2154 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_42)); 
BgL_objzd2classzd2numz00_2151 = BgL_res2365z00_2154; } 
{ /* Llib/ssl.scm 786 */
obj_t BgL_arg1737z00_2152;
BgL_arg1737z00_2152 = 
PROCEDURE_REF(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 786 */
int BgL_offsetz00_2156;
BgL_offsetz00_2156 = 
(int)(BgL_objzd2classzd2numz00_2151); 
{ /* Llib/ssl.scm 786 */
long BgL_offsetz00_2157;
BgL_offsetz00_2157 = 
(
(long)(BgL_offsetz00_2156)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 786 */
long BgL_modz00_2158;
{ /* Llib/ssl.scm 786 */
int BgL_arg1739z00_2159;
BgL_arg1739z00_2159 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 786 */
long BgL_res2368z00_2169;
{ /* Llib/ssl.scm 786 */
long BgL_tmpz00_8049;
BgL_tmpz00_8049 = 
(long)(BgL_arg1739z00_2159); 
BgL_res2368z00_2169 = 
(BgL_offsetz00_2157/BgL_tmpz00_8049); } 
BgL_modz00_2158 = BgL_res2368z00_2169; } } 
{ /* Llib/ssl.scm 786 */
long BgL_restz00_2160;
{ /* Llib/ssl.scm 786 */
int BgL_arg1738z00_2161;
BgL_arg1738z00_2161 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 786 */
long BgL_res2370z00_2173;
{ /* Llib/ssl.scm 786 */
long BgL_tmpz00_8053;
BgL_tmpz00_8053 = 
(long)(BgL_arg1738z00_2161); 
BgL_res2370z00_2173 = 
(BgL_offsetz00_2157%BgL_tmpz00_8053); } 
BgL_restz00_2160 = BgL_res2370z00_2173; } } 
{ /* Llib/ssl.scm 786 */

{ /* Llib/ssl.scm 786 */
obj_t BgL_bucketz00_2162;
BgL_bucketz00_2162 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2152),BgL_modz00_2158); 
BgL_res2371z00_2178 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2162),BgL_restz00_2160); } } } } } } } } 
BgL_method1239z00_1709 = BgL_res2371z00_2178; } 
return 
PROCEDURE_ENTRY(BgL_method1239z00_1709)(BgL_method1239z00_1709, 
((obj_t)BgL_scz00_42), BEOA);} } 
BGL_FUNCTION_END;
}



/* &secure-context-init */
obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4295, obj_t BgL_scz00_4296)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 786 */
{ /* Llib/ssl.scm 786 */
BgL_securezd2contextzd2_bglt BgL_auxz00_8065;
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4296, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 786 */
BgL_auxz00_8065 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4296)
; }  else 
{ 
obj_t BgL_auxz00_8069;
BgL_auxz00_8069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)32166)), BGl_string3463z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4296); 
FAILURE(BgL_auxz00_8069,BFALSE,BFALSE);} 
return 
BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_auxz00_8065);} } 
BGL_FUNCTION_END;
}



/* secure-context-close */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 796 */
{ /* Llib/ssl.scm 796 */
obj_t BgL_method1241z00_1710;
{ /* Llib/ssl.scm 796 */
obj_t BgL_res2378z00_2207;
{ /* Llib/ssl.scm 796 */
long BgL_objzd2classzd2numz00_2180;
{ /* Llib/ssl.scm 796 */
long BgL_res2372z00_2183;
BgL_res2372z00_2183 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_43)); 
BgL_objzd2classzd2numz00_2180 = BgL_res2372z00_2183; } 
{ /* Llib/ssl.scm 796 */
obj_t BgL_arg1737z00_2181;
BgL_arg1737z00_2181 = 
PROCEDURE_REF(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 796 */
int BgL_offsetz00_2185;
BgL_offsetz00_2185 = 
(int)(BgL_objzd2classzd2numz00_2180); 
{ /* Llib/ssl.scm 796 */
long BgL_offsetz00_2186;
BgL_offsetz00_2186 = 
(
(long)(BgL_offsetz00_2185)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 796 */
long BgL_modz00_2187;
{ /* Llib/ssl.scm 796 */
int BgL_arg1739z00_2188;
BgL_arg1739z00_2188 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 796 */
long BgL_res2375z00_2198;
{ /* Llib/ssl.scm 796 */
long BgL_tmpz00_8082;
BgL_tmpz00_8082 = 
(long)(BgL_arg1739z00_2188); 
BgL_res2375z00_2198 = 
(BgL_offsetz00_2186/BgL_tmpz00_8082); } 
BgL_modz00_2187 = BgL_res2375z00_2198; } } 
{ /* Llib/ssl.scm 796 */
long BgL_restz00_2189;
{ /* Llib/ssl.scm 796 */
int BgL_arg1738z00_2190;
BgL_arg1738z00_2190 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 796 */
long BgL_res2377z00_2202;
{ /* Llib/ssl.scm 796 */
long BgL_tmpz00_8086;
BgL_tmpz00_8086 = 
(long)(BgL_arg1738z00_2190); 
BgL_res2377z00_2202 = 
(BgL_offsetz00_2186%BgL_tmpz00_8086); } 
BgL_restz00_2189 = BgL_res2377z00_2202; } } 
{ /* Llib/ssl.scm 796 */

{ /* Llib/ssl.scm 796 */
obj_t BgL_bucketz00_2191;
BgL_bucketz00_2191 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2181),BgL_modz00_2187); 
BgL_res2378z00_2207 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2191),BgL_restz00_2189); } } } } } } } } 
BgL_method1241z00_1710 = BgL_res2378z00_2207; } 
return 
PROCEDURE_ENTRY(BgL_method1241z00_1710)(BgL_method1241z00_1710, 
((obj_t)BgL_scz00_43), BEOA);} } 
BGL_FUNCTION_END;
}



/* &secure-context-close */
obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4545, obj_t BgL_scz00_4546)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 796 */
{ /* Llib/ssl.scm 796 */
BgL_securezd2contextzd2_bglt BgL_auxz00_8098;
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4546, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 796 */
BgL_auxz00_8098 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4546)
; }  else 
{ 
obj_t BgL_auxz00_8102;
BgL_auxz00_8102 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)32542)), BGl_string3464z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4546); 
FAILURE(BgL_auxz00_8102,BFALSE,BFALSE);} 
return 
BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_auxz00_8098);} } 
BGL_FUNCTION_END;
}



/* secure-context-add-root-certs! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_44)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 806 */
{ /* Llib/ssl.scm 806 */
obj_t BgL_method1243z00_1711;
{ /* Llib/ssl.scm 806 */
obj_t BgL_res2385z00_2236;
{ /* Llib/ssl.scm 806 */
long BgL_objzd2classzd2numz00_2209;
{ /* Llib/ssl.scm 806 */
long BgL_res2379z00_2212;
BgL_res2379z00_2212 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_44)); 
BgL_objzd2classzd2numz00_2209 = BgL_res2379z00_2212; } 
{ /* Llib/ssl.scm 806 */
obj_t BgL_arg1737z00_2210;
BgL_arg1737z00_2210 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 806 */
int BgL_offsetz00_2214;
BgL_offsetz00_2214 = 
(int)(BgL_objzd2classzd2numz00_2209); 
{ /* Llib/ssl.scm 806 */
long BgL_offsetz00_2215;
BgL_offsetz00_2215 = 
(
(long)(BgL_offsetz00_2214)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 806 */
long BgL_modz00_2216;
{ /* Llib/ssl.scm 806 */
int BgL_arg1739z00_2217;
BgL_arg1739z00_2217 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 806 */
long BgL_res2382z00_2227;
{ /* Llib/ssl.scm 806 */
long BgL_tmpz00_8115;
BgL_tmpz00_8115 = 
(long)(BgL_arg1739z00_2217); 
BgL_res2382z00_2227 = 
(BgL_offsetz00_2215/BgL_tmpz00_8115); } 
BgL_modz00_2216 = BgL_res2382z00_2227; } } 
{ /* Llib/ssl.scm 806 */
long BgL_restz00_2218;
{ /* Llib/ssl.scm 806 */
int BgL_arg1738z00_2219;
BgL_arg1738z00_2219 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 806 */
long BgL_res2384z00_2231;
{ /* Llib/ssl.scm 806 */
long BgL_tmpz00_8119;
BgL_tmpz00_8119 = 
(long)(BgL_arg1738z00_2219); 
BgL_res2384z00_2231 = 
(BgL_offsetz00_2215%BgL_tmpz00_8119); } 
BgL_restz00_2218 = BgL_res2384z00_2231; } } 
{ /* Llib/ssl.scm 806 */

{ /* Llib/ssl.scm 806 */
obj_t BgL_bucketz00_2220;
BgL_bucketz00_2220 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2210),BgL_modz00_2216); 
BgL_res2385z00_2236 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2220),BgL_restz00_2218); } } } } } } } } 
BgL_method1243z00_1711 = BgL_res2385z00_2236; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1243z00_1711)(BgL_method1243z00_1711, 
((obj_t)BgL_scz00_44), BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-add-root-certs! */
obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t BgL_envz00_4547, obj_t BgL_scz00_4548)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 806 */
{ /* Llib/ssl.scm 806 */
bool_t BgL_tmpz00_8132;
{ /* Llib/ssl.scm 806 */
BgL_securezd2contextzd2_bglt BgL_auxz00_8133;
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4548, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 806 */
BgL_auxz00_8133 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4548)
; }  else 
{ 
obj_t BgL_auxz00_8137;
BgL_auxz00_8137 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)32920)), BGl_string3465z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4548); 
FAILURE(BgL_auxz00_8137,BFALSE,BFALSE);} 
BgL_tmpz00_8132 = 
BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_auxz00_8133); } 
return 
BBOOL(BgL_tmpz00_8132);} } 
BGL_FUNCTION_END;
}



/* secure-context-add-ca-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_45, obj_t BgL_certz00_46, long BgL_offsetz00_47, long BgL_lenz00_48)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 816 */
{ /* Llib/ssl.scm 816 */
obj_t BgL_method1245z00_1712;
{ /* Llib/ssl.scm 816 */
obj_t BgL_res2392z00_2265;
{ /* Llib/ssl.scm 816 */
long BgL_objzd2classzd2numz00_2238;
{ /* Llib/ssl.scm 816 */
long BgL_res2386z00_2241;
BgL_res2386z00_2241 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_45)); 
BgL_objzd2classzd2numz00_2238 = BgL_res2386z00_2241; } 
{ /* Llib/ssl.scm 816 */
obj_t BgL_arg1737z00_2239;
BgL_arg1737z00_2239 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 816 */
int BgL_offsetz00_2243;
BgL_offsetz00_2243 = 
(int)(BgL_objzd2classzd2numz00_2238); 
{ /* Llib/ssl.scm 816 */
long BgL_offsetz00_2244;
BgL_offsetz00_2244 = 
(
(long)(BgL_offsetz00_2243)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 816 */
long BgL_modz00_2245;
{ /* Llib/ssl.scm 816 */
int BgL_arg1739z00_2246;
BgL_arg1739z00_2246 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 816 */
long BgL_res2389z00_2256;
{ /* Llib/ssl.scm 816 */
long BgL_tmpz00_8151;
BgL_tmpz00_8151 = 
(long)(BgL_arg1739z00_2246); 
BgL_res2389z00_2256 = 
(BgL_offsetz00_2244/BgL_tmpz00_8151); } 
BgL_modz00_2245 = BgL_res2389z00_2256; } } 
{ /* Llib/ssl.scm 816 */
long BgL_restz00_2247;
{ /* Llib/ssl.scm 816 */
int BgL_arg1738z00_2248;
BgL_arg1738z00_2248 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 816 */
long BgL_res2391z00_2260;
{ /* Llib/ssl.scm 816 */
long BgL_tmpz00_8155;
BgL_tmpz00_8155 = 
(long)(BgL_arg1738z00_2248); 
BgL_res2391z00_2260 = 
(BgL_offsetz00_2244%BgL_tmpz00_8155); } 
BgL_restz00_2247 = BgL_res2391z00_2260; } } 
{ /* Llib/ssl.scm 816 */

{ /* Llib/ssl.scm 816 */
obj_t BgL_bucketz00_2249;
BgL_bucketz00_2249 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2239),BgL_modz00_2245); 
BgL_res2392z00_2265 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2249),BgL_restz00_2247); } } } } } } } } 
BgL_method1245z00_1712 = BgL_res2392z00_2265; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1245z00_1712)(BgL_method1245z00_1712, 
((obj_t)BgL_scz00_45), BgL_certz00_46, 
BINT(BgL_offsetz00_47), 
BINT(BgL_lenz00_48), BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-add-ca-cert! */
obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t BgL_envz00_4549, obj_t BgL_scz00_4550, obj_t BgL_certz00_4551, obj_t BgL_offsetz00_4552, obj_t BgL_lenz00_4553)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 816 */
{ /* Llib/ssl.scm 816 */
bool_t BgL_tmpz00_8173;
{ /* Llib/ssl.scm 816 */
long BgL_auxz00_8198;long BgL_auxz00_8189;obj_t BgL_auxz00_8182;BgL_securezd2contextzd2_bglt BgL_auxz00_8174;
{ /* Llib/ssl.scm 816 */
obj_t BgL_tmpz00_8199;
if(
INTEGERP(BgL_lenz00_4553))
{ /* Llib/ssl.scm 816 */
BgL_tmpz00_8199 = BgL_lenz00_4553
; }  else 
{ 
obj_t BgL_auxz00_8202;
BgL_auxz00_8202 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33317)), BGl_string3466z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4553); 
FAILURE(BgL_auxz00_8202,BFALSE,BFALSE);} 
BgL_auxz00_8198 = 
(long)CINT(BgL_tmpz00_8199); } 
{ /* Llib/ssl.scm 816 */
obj_t BgL_tmpz00_8190;
if(
INTEGERP(BgL_offsetz00_4552))
{ /* Llib/ssl.scm 816 */
BgL_tmpz00_8190 = BgL_offsetz00_4552
; }  else 
{ 
obj_t BgL_auxz00_8193;
BgL_auxz00_8193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33317)), BGl_string3466z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4552); 
FAILURE(BgL_auxz00_8193,BFALSE,BFALSE);} 
BgL_auxz00_8189 = 
(long)CINT(BgL_tmpz00_8190); } 
if(
STRINGP(BgL_certz00_4551))
{ /* Llib/ssl.scm 816 */
BgL_auxz00_8182 = BgL_certz00_4551
; }  else 
{ 
obj_t BgL_auxz00_8185;
BgL_auxz00_8185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33317)), BGl_string3466z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_certz00_4551); 
FAILURE(BgL_auxz00_8185,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4550, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 816 */
BgL_auxz00_8174 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4550)
; }  else 
{ 
obj_t BgL_auxz00_8178;
BgL_auxz00_8178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33317)), BGl_string3466z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4550); 
FAILURE(BgL_auxz00_8178,BFALSE,BFALSE);} 
BgL_tmpz00_8173 = 
BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_auxz00_8174, BgL_auxz00_8182, BgL_auxz00_8189, BgL_auxz00_8198); } 
return 
BBOOL(BgL_tmpz00_8173);} } 
BGL_FUNCTION_END;
}



/* secure-context-add-crl! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_49, obj_t BgL_certz00_50, long BgL_offsetz00_51, long BgL_lenz00_52)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 826 */
{ /* Llib/ssl.scm 826 */
obj_t BgL_method1247z00_1713;
{ /* Llib/ssl.scm 826 */
obj_t BgL_res2399z00_2294;
{ /* Llib/ssl.scm 826 */
long BgL_objzd2classzd2numz00_2267;
{ /* Llib/ssl.scm 826 */
long BgL_res2393z00_2270;
BgL_res2393z00_2270 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_49)); 
BgL_objzd2classzd2numz00_2267 = BgL_res2393z00_2270; } 
{ /* Llib/ssl.scm 826 */
obj_t BgL_arg1737z00_2268;
BgL_arg1737z00_2268 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 826 */
int BgL_offsetz00_2272;
BgL_offsetz00_2272 = 
(int)(BgL_objzd2classzd2numz00_2267); 
{ /* Llib/ssl.scm 826 */
long BgL_offsetz00_2273;
BgL_offsetz00_2273 = 
(
(long)(BgL_offsetz00_2272)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 826 */
long BgL_modz00_2274;
{ /* Llib/ssl.scm 826 */
int BgL_arg1739z00_2275;
BgL_arg1739z00_2275 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 826 */
long BgL_res2396z00_2285;
{ /* Llib/ssl.scm 826 */
long BgL_tmpz00_8217;
BgL_tmpz00_8217 = 
(long)(BgL_arg1739z00_2275); 
BgL_res2396z00_2285 = 
(BgL_offsetz00_2273/BgL_tmpz00_8217); } 
BgL_modz00_2274 = BgL_res2396z00_2285; } } 
{ /* Llib/ssl.scm 826 */
long BgL_restz00_2276;
{ /* Llib/ssl.scm 826 */
int BgL_arg1738z00_2277;
BgL_arg1738z00_2277 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 826 */
long BgL_res2398z00_2289;
{ /* Llib/ssl.scm 826 */
long BgL_tmpz00_8221;
BgL_tmpz00_8221 = 
(long)(BgL_arg1738z00_2277); 
BgL_res2398z00_2289 = 
(BgL_offsetz00_2273%BgL_tmpz00_8221); } 
BgL_restz00_2276 = BgL_res2398z00_2289; } } 
{ /* Llib/ssl.scm 826 */

{ /* Llib/ssl.scm 826 */
obj_t BgL_bucketz00_2278;
BgL_bucketz00_2278 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2268),BgL_modz00_2274); 
BgL_res2399z00_2294 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2278),BgL_restz00_2276); } } } } } } } } 
BgL_method1247z00_1713 = BgL_res2399z00_2294; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1247z00_1713)(BgL_method1247z00_1713, 
((obj_t)BgL_scz00_49), BgL_certz00_50, 
BINT(BgL_offsetz00_51), 
BINT(BgL_lenz00_52), BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-add-crl! */
obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t BgL_envz00_4554, obj_t BgL_scz00_4555, obj_t BgL_certz00_4556, obj_t BgL_offsetz00_4557, obj_t BgL_lenz00_4558)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 826 */
{ /* Llib/ssl.scm 826 */
bool_t BgL_tmpz00_8239;
{ /* Llib/ssl.scm 826 */
long BgL_auxz00_8264;long BgL_auxz00_8255;obj_t BgL_auxz00_8248;BgL_securezd2contextzd2_bglt BgL_auxz00_8240;
{ /* Llib/ssl.scm 826 */
obj_t BgL_tmpz00_8265;
if(
INTEGERP(BgL_lenz00_4558))
{ /* Llib/ssl.scm 826 */
BgL_tmpz00_8265 = BgL_lenz00_4558
; }  else 
{ 
obj_t BgL_auxz00_8268;
BgL_auxz00_8268 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33740)), BGl_string3467z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4558); 
FAILURE(BgL_auxz00_8268,BFALSE,BFALSE);} 
BgL_auxz00_8264 = 
(long)CINT(BgL_tmpz00_8265); } 
{ /* Llib/ssl.scm 826 */
obj_t BgL_tmpz00_8256;
if(
INTEGERP(BgL_offsetz00_4557))
{ /* Llib/ssl.scm 826 */
BgL_tmpz00_8256 = BgL_offsetz00_4557
; }  else 
{ 
obj_t BgL_auxz00_8259;
BgL_auxz00_8259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33740)), BGl_string3467z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4557); 
FAILURE(BgL_auxz00_8259,BFALSE,BFALSE);} 
BgL_auxz00_8255 = 
(long)CINT(BgL_tmpz00_8256); } 
if(
STRINGP(BgL_certz00_4556))
{ /* Llib/ssl.scm 826 */
BgL_auxz00_8248 = BgL_certz00_4556
; }  else 
{ 
obj_t BgL_auxz00_8251;
BgL_auxz00_8251 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33740)), BGl_string3467z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_certz00_4556); 
FAILURE(BgL_auxz00_8251,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4555, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 826 */
BgL_auxz00_8240 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4555)
; }  else 
{ 
obj_t BgL_auxz00_8244;
BgL_auxz00_8244 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)33740)), BGl_string3467z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4555); 
FAILURE(BgL_auxz00_8244,BFALSE,BFALSE);} 
BgL_tmpz00_8239 = 
BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_auxz00_8240, BgL_auxz00_8248, BgL_auxz00_8255, BgL_auxz00_8264); } 
return 
BBOOL(BgL_tmpz00_8239);} } 
BGL_FUNCTION_END;
}



/* secure-context-set-key! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_53, obj_t BgL_certz00_54, long BgL_offsetz00_55, long BgL_lenz00_56, obj_t BgL_passphrasez00_57)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 836 */
{ /* Llib/ssl.scm 351 */
obj_t BgL_method1249z00_1714;
{ /* Llib/ssl.scm 351 */
obj_t BgL_res2406z00_2323;
{ /* Llib/ssl.scm 351 */
long BgL_objzd2classzd2numz00_2296;
{ /* Llib/ssl.scm 351 */
long BgL_res2400z00_2299;
BgL_res2400z00_2299 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_53)); 
BgL_objzd2classzd2numz00_2296 = BgL_res2400z00_2299; } 
{ /* Llib/ssl.scm 351 */
obj_t BgL_arg1737z00_2297;
BgL_arg1737z00_2297 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 351 */
int BgL_offsetz00_2301;
BgL_offsetz00_2301 = 
(int)(BgL_objzd2classzd2numz00_2296); 
{ /* Llib/ssl.scm 351 */
long BgL_offsetz00_2302;
BgL_offsetz00_2302 = 
(
(long)(BgL_offsetz00_2301)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 351 */
long BgL_modz00_2303;
{ /* Llib/ssl.scm 351 */
int BgL_arg1739z00_2304;
BgL_arg1739z00_2304 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 351 */
long BgL_res2403z00_2314;
{ /* Llib/ssl.scm 351 */
long BgL_tmpz00_8283;
BgL_tmpz00_8283 = 
(long)(BgL_arg1739z00_2304); 
BgL_res2403z00_2314 = 
(BgL_offsetz00_2302/BgL_tmpz00_8283); } 
BgL_modz00_2303 = BgL_res2403z00_2314; } } 
{ /* Llib/ssl.scm 351 */
long BgL_restz00_2305;
{ /* Llib/ssl.scm 351 */
int BgL_arg1738z00_2306;
BgL_arg1738z00_2306 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 351 */
long BgL_res2405z00_2318;
{ /* Llib/ssl.scm 351 */
long BgL_tmpz00_8287;
BgL_tmpz00_8287 = 
(long)(BgL_arg1738z00_2306); 
BgL_res2405z00_2318 = 
(BgL_offsetz00_2302%BgL_tmpz00_8287); } 
BgL_restz00_2305 = BgL_res2405z00_2318; } } 
{ /* Llib/ssl.scm 351 */

{ /* Llib/ssl.scm 351 */
obj_t BgL_bucketz00_2307;
BgL_bucketz00_2307 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2297),BgL_modz00_2303); 
BgL_res2406z00_2323 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2307),BgL_restz00_2305); } } } } } } } } 
BgL_method1249z00_1714 = BgL_res2406z00_2323; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1249z00_1714)(BgL_method1249z00_1714, 
((obj_t)BgL_scz00_53), BgL_certz00_54, 
BINT(BgL_offsetz00_55), 
BINT(BgL_lenz00_56), BgL_passphrasez00_57, BEOA));} } 
BGL_FUNCTION_END;
}



/* secure-context-set-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_60, obj_t BgL_certz00_61, long BgL_offsetz00_62, long BgL_lenz00_63)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 846 */
{ /* Llib/ssl.scm 846 */
obj_t BgL_method1257z00_1715;
{ /* Llib/ssl.scm 846 */
obj_t BgL_res2413z00_2352;
{ /* Llib/ssl.scm 846 */
long BgL_objzd2classzd2numz00_2325;
{ /* Llib/ssl.scm 846 */
long BgL_res2407z00_2328;
BgL_res2407z00_2328 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_60)); 
BgL_objzd2classzd2numz00_2325 = BgL_res2407z00_2328; } 
{ /* Llib/ssl.scm 846 */
obj_t BgL_arg1737z00_2326;
BgL_arg1737z00_2326 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 846 */
int BgL_offsetz00_2330;
BgL_offsetz00_2330 = 
(int)(BgL_objzd2classzd2numz00_2325); 
{ /* Llib/ssl.scm 846 */
long BgL_offsetz00_2331;
BgL_offsetz00_2331 = 
(
(long)(BgL_offsetz00_2330)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 846 */
long BgL_modz00_2332;
{ /* Llib/ssl.scm 846 */
int BgL_arg1739z00_2333;
BgL_arg1739z00_2333 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 846 */
long BgL_res2410z00_2343;
{ /* Llib/ssl.scm 846 */
long BgL_tmpz00_8314;
BgL_tmpz00_8314 = 
(long)(BgL_arg1739z00_2333); 
BgL_res2410z00_2343 = 
(BgL_offsetz00_2331/BgL_tmpz00_8314); } 
BgL_modz00_2332 = BgL_res2410z00_2343; } } 
{ /* Llib/ssl.scm 846 */
long BgL_restz00_2334;
{ /* Llib/ssl.scm 846 */
int BgL_arg1738z00_2335;
BgL_arg1738z00_2335 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 846 */
long BgL_res2412z00_2347;
{ /* Llib/ssl.scm 846 */
long BgL_tmpz00_8318;
BgL_tmpz00_8318 = 
(long)(BgL_arg1738z00_2335); 
BgL_res2412z00_2347 = 
(BgL_offsetz00_2331%BgL_tmpz00_8318); } 
BgL_restz00_2334 = BgL_res2412z00_2347; } } 
{ /* Llib/ssl.scm 846 */

{ /* Llib/ssl.scm 846 */
obj_t BgL_bucketz00_2336;
BgL_bucketz00_2336 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2326),BgL_modz00_2332); 
BgL_res2413z00_2352 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2336),BgL_restz00_2334); } } } } } } } } 
BgL_method1257z00_1715 = BgL_res2413z00_2352; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1257z00_1715)(BgL_method1257z00_1715, 
((obj_t)BgL_scz00_60), BgL_certz00_61, 
BINT(BgL_offsetz00_62), 
BINT(BgL_lenz00_63), BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-cert! */
obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t BgL_envz00_4559, obj_t BgL_scz00_4560, obj_t BgL_certz00_4561, obj_t BgL_offsetz00_4562, obj_t BgL_lenz00_4563)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 846 */
{ /* Llib/ssl.scm 846 */
bool_t BgL_tmpz00_8336;
{ /* Llib/ssl.scm 846 */
long BgL_auxz00_8361;long BgL_auxz00_8352;obj_t BgL_auxz00_8345;BgL_securezd2contextzd2_bglt BgL_auxz00_8337;
{ /* Llib/ssl.scm 846 */
obj_t BgL_tmpz00_8362;
if(
INTEGERP(BgL_lenz00_4563))
{ /* Llib/ssl.scm 846 */
BgL_tmpz00_8362 = BgL_lenz00_4563
; }  else 
{ 
obj_t BgL_auxz00_8365;
BgL_auxz00_8365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34624)), BGl_string3468z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4563); 
FAILURE(BgL_auxz00_8365,BFALSE,BFALSE);} 
BgL_auxz00_8361 = 
(long)CINT(BgL_tmpz00_8362); } 
{ /* Llib/ssl.scm 846 */
obj_t BgL_tmpz00_8353;
if(
INTEGERP(BgL_offsetz00_4562))
{ /* Llib/ssl.scm 846 */
BgL_tmpz00_8353 = BgL_offsetz00_4562
; }  else 
{ 
obj_t BgL_auxz00_8356;
BgL_auxz00_8356 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34624)), BGl_string3468z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4562); 
FAILURE(BgL_auxz00_8356,BFALSE,BFALSE);} 
BgL_auxz00_8352 = 
(long)CINT(BgL_tmpz00_8353); } 
if(
STRINGP(BgL_certz00_4561))
{ /* Llib/ssl.scm 846 */
BgL_auxz00_8345 = BgL_certz00_4561
; }  else 
{ 
obj_t BgL_auxz00_8348;
BgL_auxz00_8348 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34624)), BGl_string3468z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_certz00_4561); 
FAILURE(BgL_auxz00_8348,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4560, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 846 */
BgL_auxz00_8337 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4560)
; }  else 
{ 
obj_t BgL_auxz00_8341;
BgL_auxz00_8341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)34624)), BGl_string3468z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4560); 
FAILURE(BgL_auxz00_8341,BFALSE,BFALSE);} 
BgL_tmpz00_8336 = 
BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_auxz00_8337, BgL_auxz00_8345, BgL_auxz00_8352, BgL_auxz00_8361); } 
return 
BBOOL(BgL_tmpz00_8336);} } 
BGL_FUNCTION_END;
}



/* secure-context-set-session-id-context! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_64, obj_t BgL_sicz00_65, long BgL_offsetz00_66, long BgL_lenz00_67)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 856 */
{ /* Llib/ssl.scm 856 */
obj_t BgL_method1259z00_1716;
{ /* Llib/ssl.scm 856 */
obj_t BgL_res2420z00_2381;
{ /* Llib/ssl.scm 856 */
long BgL_objzd2classzd2numz00_2354;
{ /* Llib/ssl.scm 856 */
long BgL_res2414z00_2357;
BgL_res2414z00_2357 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_64)); 
BgL_objzd2classzd2numz00_2354 = BgL_res2414z00_2357; } 
{ /* Llib/ssl.scm 856 */
obj_t BgL_arg1737z00_2355;
BgL_arg1737z00_2355 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 856 */
int BgL_offsetz00_2359;
BgL_offsetz00_2359 = 
(int)(BgL_objzd2classzd2numz00_2354); 
{ /* Llib/ssl.scm 856 */
long BgL_offsetz00_2360;
BgL_offsetz00_2360 = 
(
(long)(BgL_offsetz00_2359)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 856 */
long BgL_modz00_2361;
{ /* Llib/ssl.scm 856 */
int BgL_arg1739z00_2362;
BgL_arg1739z00_2362 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 856 */
long BgL_res2417z00_2372;
{ /* Llib/ssl.scm 856 */
long BgL_tmpz00_8380;
BgL_tmpz00_8380 = 
(long)(BgL_arg1739z00_2362); 
BgL_res2417z00_2372 = 
(BgL_offsetz00_2360/BgL_tmpz00_8380); } 
BgL_modz00_2361 = BgL_res2417z00_2372; } } 
{ /* Llib/ssl.scm 856 */
long BgL_restz00_2363;
{ /* Llib/ssl.scm 856 */
int BgL_arg1738z00_2364;
BgL_arg1738z00_2364 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 856 */
long BgL_res2419z00_2376;
{ /* Llib/ssl.scm 856 */
long BgL_tmpz00_8384;
BgL_tmpz00_8384 = 
(long)(BgL_arg1738z00_2364); 
BgL_res2419z00_2376 = 
(BgL_offsetz00_2360%BgL_tmpz00_8384); } 
BgL_restz00_2363 = BgL_res2419z00_2376; } } 
{ /* Llib/ssl.scm 856 */

{ /* Llib/ssl.scm 856 */
obj_t BgL_bucketz00_2365;
BgL_bucketz00_2365 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2355),BgL_modz00_2361); 
BgL_res2420z00_2381 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2365),BgL_restz00_2363); } } } } } } } } 
BgL_method1259z00_1716 = BgL_res2420z00_2381; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1259z00_1716)(BgL_method1259z00_1716, 
((obj_t)BgL_scz00_64), BgL_sicz00_65, 
BINT(BgL_offsetz00_66), 
BINT(BgL_lenz00_67), BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-session-id-context! */
obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t BgL_envz00_4564, obj_t BgL_scz00_4565, obj_t BgL_sicz00_4566, obj_t BgL_offsetz00_4567, obj_t BgL_lenz00_4568)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 856 */
{ /* Llib/ssl.scm 856 */
bool_t BgL_tmpz00_8402;
{ /* Llib/ssl.scm 856 */
long BgL_auxz00_8427;long BgL_auxz00_8418;obj_t BgL_auxz00_8411;BgL_securezd2contextzd2_bglt BgL_auxz00_8403;
{ /* Llib/ssl.scm 856 */
obj_t BgL_tmpz00_8428;
if(
INTEGERP(BgL_lenz00_4568))
{ /* Llib/ssl.scm 856 */
BgL_tmpz00_8428 = BgL_lenz00_4568
; }  else 
{ 
obj_t BgL_auxz00_8431;
BgL_auxz00_8431 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35041)), BGl_string3469z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4568); 
FAILURE(BgL_auxz00_8431,BFALSE,BFALSE);} 
BgL_auxz00_8427 = 
(long)CINT(BgL_tmpz00_8428); } 
{ /* Llib/ssl.scm 856 */
obj_t BgL_tmpz00_8419;
if(
INTEGERP(BgL_offsetz00_4567))
{ /* Llib/ssl.scm 856 */
BgL_tmpz00_8419 = BgL_offsetz00_4567
; }  else 
{ 
obj_t BgL_auxz00_8422;
BgL_auxz00_8422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35041)), BGl_string3469z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4567); 
FAILURE(BgL_auxz00_8422,BFALSE,BFALSE);} 
BgL_auxz00_8418 = 
(long)CINT(BgL_tmpz00_8419); } 
if(
STRINGP(BgL_sicz00_4566))
{ /* Llib/ssl.scm 856 */
BgL_auxz00_8411 = BgL_sicz00_4566
; }  else 
{ 
obj_t BgL_auxz00_8414;
BgL_auxz00_8414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35041)), BGl_string3469z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_sicz00_4566); 
FAILURE(BgL_auxz00_8414,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4565, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 856 */
BgL_auxz00_8403 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4565)
; }  else 
{ 
obj_t BgL_auxz00_8407;
BgL_auxz00_8407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35041)), BGl_string3469z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4565); 
FAILURE(BgL_auxz00_8407,BFALSE,BFALSE);} 
BgL_tmpz00_8402 = 
BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_auxz00_8403, BgL_auxz00_8411, BgL_auxz00_8418, BgL_auxz00_8427); } 
return 
BBOOL(BgL_tmpz00_8402);} } 
BGL_FUNCTION_END;
}



/* secure-context-load-pkcs12 */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_68, obj_t BgL_pfxz00_69, obj_t BgL_passz00_70)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 866 */
{ /* Llib/ssl.scm 866 */
obj_t BgL_method1261z00_1717;
{ /* Llib/ssl.scm 866 */
obj_t BgL_res2427z00_2410;
{ /* Llib/ssl.scm 866 */
long BgL_objzd2classzd2numz00_2383;
{ /* Llib/ssl.scm 866 */
long BgL_res2421z00_2386;
BgL_res2421z00_2386 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_68)); 
BgL_objzd2classzd2numz00_2383 = BgL_res2421z00_2386; } 
{ /* Llib/ssl.scm 866 */
obj_t BgL_arg1737z00_2384;
BgL_arg1737z00_2384 = 
PROCEDURE_REF(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 866 */
int BgL_offsetz00_2388;
BgL_offsetz00_2388 = 
(int)(BgL_objzd2classzd2numz00_2383); 
{ /* Llib/ssl.scm 866 */
long BgL_offsetz00_2389;
BgL_offsetz00_2389 = 
(
(long)(BgL_offsetz00_2388)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 866 */
long BgL_modz00_2390;
{ /* Llib/ssl.scm 866 */
int BgL_arg1739z00_2391;
BgL_arg1739z00_2391 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 866 */
long BgL_res2424z00_2401;
{ /* Llib/ssl.scm 866 */
long BgL_tmpz00_8446;
BgL_tmpz00_8446 = 
(long)(BgL_arg1739z00_2391); 
BgL_res2424z00_2401 = 
(BgL_offsetz00_2389/BgL_tmpz00_8446); } 
BgL_modz00_2390 = BgL_res2424z00_2401; } } 
{ /* Llib/ssl.scm 866 */
long BgL_restz00_2392;
{ /* Llib/ssl.scm 866 */
int BgL_arg1738z00_2393;
BgL_arg1738z00_2393 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 866 */
long BgL_res2426z00_2405;
{ /* Llib/ssl.scm 866 */
long BgL_tmpz00_8450;
BgL_tmpz00_8450 = 
(long)(BgL_arg1738z00_2393); 
BgL_res2426z00_2405 = 
(BgL_offsetz00_2389%BgL_tmpz00_8450); } 
BgL_restz00_2392 = BgL_res2426z00_2405; } } 
{ /* Llib/ssl.scm 866 */

{ /* Llib/ssl.scm 866 */
obj_t BgL_bucketz00_2394;
BgL_bucketz00_2394 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2384),BgL_modz00_2390); 
BgL_res2427z00_2410 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2394),BgL_restz00_2392); } } } } } } } } 
BgL_method1261z00_1717 = BgL_res2427z00_2410; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1261z00_1717)(BgL_method1261z00_1717, 
((obj_t)BgL_scz00_68), BgL_pfxz00_69, BgL_passz00_70, BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-load-pkcs12 */
obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t BgL_envz00_4569, obj_t BgL_scz00_4570, obj_t BgL_pfxz00_4571, obj_t BgL_passz00_4572)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 866 */
{ /* Llib/ssl.scm 866 */
bool_t BgL_tmpz00_8465;
{ /* Llib/ssl.scm 866 */
obj_t BgL_auxz00_8474;BgL_securezd2contextzd2_bglt BgL_auxz00_8466;
if(
STRINGP(BgL_pfxz00_4571))
{ /* Llib/ssl.scm 866 */
BgL_auxz00_8474 = BgL_pfxz00_4571
; }  else 
{ 
obj_t BgL_auxz00_8477;
BgL_auxz00_8477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35484)), BGl_string3470z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_pfxz00_4571); 
FAILURE(BgL_auxz00_8477,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4570, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 866 */
BgL_auxz00_8466 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4570)
; }  else 
{ 
obj_t BgL_auxz00_8470;
BgL_auxz00_8470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35484)), BGl_string3470z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4570); 
FAILURE(BgL_auxz00_8470,BFALSE,BFALSE);} 
BgL_tmpz00_8465 = 
BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_auxz00_8466, BgL_auxz00_8474, BgL_passz00_4572); } 
return 
BBOOL(BgL_tmpz00_8465);} } 
BGL_FUNCTION_END;
}



/* secure-context-set-ciphers! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_71, obj_t BgL_ciphersz00_72)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 876 */
{ /* Llib/ssl.scm 876 */
obj_t BgL_method1263z00_1718;
{ /* Llib/ssl.scm 876 */
obj_t BgL_res2434z00_2439;
{ /* Llib/ssl.scm 876 */
long BgL_objzd2classzd2numz00_2412;
{ /* Llib/ssl.scm 876 */
long BgL_res2428z00_2415;
BgL_res2428z00_2415 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_71)); 
BgL_objzd2classzd2numz00_2412 = BgL_res2428z00_2415; } 
{ /* Llib/ssl.scm 876 */
obj_t BgL_arg1737z00_2413;
BgL_arg1737z00_2413 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 876 */
int BgL_offsetz00_2417;
BgL_offsetz00_2417 = 
(int)(BgL_objzd2classzd2numz00_2412); 
{ /* Llib/ssl.scm 876 */
long BgL_offsetz00_2418;
BgL_offsetz00_2418 = 
(
(long)(BgL_offsetz00_2417)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 876 */
long BgL_modz00_2419;
{ /* Llib/ssl.scm 876 */
int BgL_arg1739z00_2420;
BgL_arg1739z00_2420 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 876 */
long BgL_res2431z00_2430;
{ /* Llib/ssl.scm 876 */
long BgL_tmpz00_8491;
BgL_tmpz00_8491 = 
(long)(BgL_arg1739z00_2420); 
BgL_res2431z00_2430 = 
(BgL_offsetz00_2418/BgL_tmpz00_8491); } 
BgL_modz00_2419 = BgL_res2431z00_2430; } } 
{ /* Llib/ssl.scm 876 */
long BgL_restz00_2421;
{ /* Llib/ssl.scm 876 */
int BgL_arg1738z00_2422;
BgL_arg1738z00_2422 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 876 */
long BgL_res2433z00_2434;
{ /* Llib/ssl.scm 876 */
long BgL_tmpz00_8495;
BgL_tmpz00_8495 = 
(long)(BgL_arg1738z00_2422); 
BgL_res2433z00_2434 = 
(BgL_offsetz00_2418%BgL_tmpz00_8495); } 
BgL_restz00_2421 = BgL_res2433z00_2434; } } 
{ /* Llib/ssl.scm 876 */

{ /* Llib/ssl.scm 876 */
obj_t BgL_bucketz00_2423;
BgL_bucketz00_2423 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2413),BgL_modz00_2419); 
BgL_res2434z00_2439 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2423),BgL_restz00_2421); } } } } } } } } 
BgL_method1263z00_1718 = BgL_res2434z00_2439; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1263z00_1718)(BgL_method1263z00_1718, 
((obj_t)BgL_scz00_71), BgL_ciphersz00_72, BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-ciphers! */
obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t BgL_envz00_4573, obj_t BgL_scz00_4574, obj_t BgL_ciphersz00_4575)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 876 */
{ /* Llib/ssl.scm 876 */
bool_t BgL_tmpz00_8509;
{ /* Llib/ssl.scm 876 */
obj_t BgL_auxz00_8518;BgL_securezd2contextzd2_bglt BgL_auxz00_8510;
if(
STRINGP(BgL_ciphersz00_4575))
{ /* Llib/ssl.scm 876 */
BgL_auxz00_8518 = BgL_ciphersz00_4575
; }  else 
{ 
obj_t BgL_auxz00_8521;
BgL_auxz00_8521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35891)), BGl_string3471z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_ciphersz00_4575); 
FAILURE(BgL_auxz00_8521,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4574, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 876 */
BgL_auxz00_8510 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4574)
; }  else 
{ 
obj_t BgL_auxz00_8514;
BgL_auxz00_8514 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)35891)), BGl_string3471z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4574); 
FAILURE(BgL_auxz00_8514,BFALSE,BFALSE);} 
BgL_tmpz00_8509 = 
BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_auxz00_8510, BgL_auxz00_8518); } 
return 
BBOOL(BgL_tmpz00_8509);} } 
BGL_FUNCTION_END;
}



/* secure-context-set-options! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_73, int BgL_optionsz00_74)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 888 */
obj_t BgL_method1265z00_1719;
{ /* Llib/ssl.scm 888 */
obj_t BgL_res2441z00_2468;
{ /* Llib/ssl.scm 888 */
long BgL_objzd2classzd2numz00_2441;
{ /* Llib/ssl.scm 888 */
long BgL_res2435z00_2444;
BgL_res2435z00_2444 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_73)); 
BgL_objzd2classzd2numz00_2441 = BgL_res2435z00_2444; } 
{ /* Llib/ssl.scm 888 */
obj_t BgL_arg1737z00_2442;
BgL_arg1737z00_2442 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 888 */
int BgL_offsetz00_2446;
BgL_offsetz00_2446 = 
(int)(BgL_objzd2classzd2numz00_2441); 
{ /* Llib/ssl.scm 888 */
long BgL_offsetz00_2447;
BgL_offsetz00_2447 = 
(
(long)(BgL_offsetz00_2446)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 888 */
long BgL_modz00_2448;
{ /* Llib/ssl.scm 888 */
int BgL_arg1739z00_2449;
BgL_arg1739z00_2449 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 888 */
long BgL_res2438z00_2459;
{ /* Llib/ssl.scm 888 */
long BgL_tmpz00_8535;
BgL_tmpz00_8535 = 
(long)(BgL_arg1739z00_2449); 
BgL_res2438z00_2459 = 
(BgL_offsetz00_2447/BgL_tmpz00_8535); } 
BgL_modz00_2448 = BgL_res2438z00_2459; } } 
{ /* Llib/ssl.scm 888 */
long BgL_restz00_2450;
{ /* Llib/ssl.scm 888 */
int BgL_arg1738z00_2451;
BgL_arg1738z00_2451 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 888 */
long BgL_res2440z00_2463;
{ /* Llib/ssl.scm 888 */
long BgL_tmpz00_8539;
BgL_tmpz00_8539 = 
(long)(BgL_arg1738z00_2451); 
BgL_res2440z00_2463 = 
(BgL_offsetz00_2447%BgL_tmpz00_8539); } 
BgL_restz00_2450 = BgL_res2440z00_2463; } } 
{ /* Llib/ssl.scm 888 */

{ /* Llib/ssl.scm 888 */
obj_t BgL_bucketz00_2452;
BgL_bucketz00_2452 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2442),BgL_modz00_2448); 
BgL_res2441z00_2468 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2452),BgL_restz00_2450); } } } } } } } } 
BgL_method1265z00_1719 = BgL_res2441z00_2468; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1265z00_1719)(BgL_method1265z00_1719, 
((obj_t)BgL_scz00_73), 
BINT(BgL_optionsz00_74), BEOA));} } 
BGL_FUNCTION_END;
}



/* &secure-context-set-options! */
obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t BgL_envz00_4576, obj_t BgL_scz00_4577, obj_t BgL_optionsz00_4578)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 888 */
bool_t BgL_tmpz00_8554;
{ /* Llib/ssl.scm 888 */
int BgL_auxz00_8563;BgL_securezd2contextzd2_bglt BgL_auxz00_8555;
{ /* Llib/ssl.scm 888 */
obj_t BgL_tmpz00_8564;
if(
INTEGERP(BgL_optionsz00_4578))
{ /* Llib/ssl.scm 888 */
BgL_tmpz00_8564 = BgL_optionsz00_4578
; }  else 
{ 
obj_t BgL_auxz00_8567;
BgL_auxz00_8567 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)36351)), BGl_string3472z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_optionsz00_4578); 
FAILURE(BgL_auxz00_8567,BFALSE,BFALSE);} 
BgL_auxz00_8563 = 
CINT(BgL_tmpz00_8564); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_scz00_4577, BGl_securezd2contextzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 888 */
BgL_auxz00_8555 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4577)
; }  else 
{ 
obj_t BgL_auxz00_8559;
BgL_auxz00_8559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)36351)), BGl_string3472z00zz__ssl_sslz00, BGl_string3162z00zz__ssl_sslz00, BgL_scz00_4577); 
FAILURE(BgL_auxz00_8559,BFALSE,BFALSE);} 
BgL_tmpz00_8554 = 
BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_auxz00_8555, BgL_auxz00_8563); } 
return 
BBOOL(BgL_tmpz00_8554);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_75)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 900 */
obj_t BgL_method1267z00_1720;
{ /* Llib/ssl.scm 900 */
obj_t BgL_res2448z00_2497;
{ /* Llib/ssl.scm 900 */
long BgL_objzd2classzd2numz00_2470;
{ /* Llib/ssl.scm 900 */
long BgL_res2442z00_2473;
BgL_res2442z00_2473 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_75)); 
BgL_objzd2classzd2numz00_2470 = BgL_res2442z00_2473; } 
{ /* Llib/ssl.scm 900 */
obj_t BgL_arg1737z00_2471;
BgL_arg1737z00_2471 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 900 */
int BgL_offsetz00_2475;
BgL_offsetz00_2475 = 
(int)(BgL_objzd2classzd2numz00_2470); 
{ /* Llib/ssl.scm 900 */
long BgL_offsetz00_2476;
BgL_offsetz00_2476 = 
(
(long)(BgL_offsetz00_2475)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 900 */
long BgL_modz00_2477;
{ /* Llib/ssl.scm 900 */
int BgL_arg1739z00_2478;
BgL_arg1739z00_2478 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 900 */
long BgL_res2445z00_2488;
{ /* Llib/ssl.scm 900 */
long BgL_tmpz00_8582;
BgL_tmpz00_8582 = 
(long)(BgL_arg1739z00_2478); 
BgL_res2445z00_2488 = 
(BgL_offsetz00_2476/BgL_tmpz00_8582); } 
BgL_modz00_2477 = BgL_res2445z00_2488; } } 
{ /* Llib/ssl.scm 900 */
long BgL_restz00_2479;
{ /* Llib/ssl.scm 900 */
int BgL_arg1738z00_2480;
BgL_arg1738z00_2480 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 900 */
long BgL_res2447z00_2492;
{ /* Llib/ssl.scm 900 */
long BgL_tmpz00_8586;
BgL_tmpz00_8586 = 
(long)(BgL_arg1738z00_2480); 
BgL_res2447z00_2492 = 
(BgL_offsetz00_2476%BgL_tmpz00_8586); } 
BgL_restz00_2479 = BgL_res2447z00_2492; } } 
{ /* Llib/ssl.scm 900 */

{ /* Llib/ssl.scm 900 */
obj_t BgL_bucketz00_2481;
BgL_bucketz00_2481 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2471),BgL_modz00_2477); 
BgL_res2448z00_2497 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2481),BgL_restz00_2479); } } } } } } } } 
BgL_method1267z00_1720 = BgL_res2448z00_2497; } 
return 
PROCEDURE_ENTRY(BgL_method1267z00_1720)(BgL_method1267z00_1720, 
((obj_t)BgL_sslz00_75), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-init */
obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4297, obj_t BgL_sslz00_4298)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 900 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8598;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4298, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 900 */
BgL_auxz00_8598 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4298)
; }  else 
{ 
obj_t BgL_auxz00_8602;
BgL_auxz00_8602 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)36807)), BGl_string3473z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4298); 
FAILURE(BgL_auxz00_8602,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_auxz00_8598);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-start */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_76)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 910 */
{ /* Llib/ssl.scm 910 */
obj_t BgL_method1269z00_1721;
{ /* Llib/ssl.scm 910 */
obj_t BgL_res2455z00_2526;
{ /* Llib/ssl.scm 910 */
long BgL_objzd2classzd2numz00_2499;
{ /* Llib/ssl.scm 910 */
long BgL_res2449z00_2502;
BgL_res2449z00_2502 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_76)); 
BgL_objzd2classzd2numz00_2499 = BgL_res2449z00_2502; } 
{ /* Llib/ssl.scm 910 */
obj_t BgL_arg1737z00_2500;
BgL_arg1737z00_2500 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 910 */
int BgL_offsetz00_2504;
BgL_offsetz00_2504 = 
(int)(BgL_objzd2classzd2numz00_2499); 
{ /* Llib/ssl.scm 910 */
long BgL_offsetz00_2505;
BgL_offsetz00_2505 = 
(
(long)(BgL_offsetz00_2504)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 910 */
long BgL_modz00_2506;
{ /* Llib/ssl.scm 910 */
int BgL_arg1739z00_2507;
BgL_arg1739z00_2507 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 910 */
long BgL_res2452z00_2517;
{ /* Llib/ssl.scm 910 */
long BgL_tmpz00_8615;
BgL_tmpz00_8615 = 
(long)(BgL_arg1739z00_2507); 
BgL_res2452z00_2517 = 
(BgL_offsetz00_2505/BgL_tmpz00_8615); } 
BgL_modz00_2506 = BgL_res2452z00_2517; } } 
{ /* Llib/ssl.scm 910 */
long BgL_restz00_2508;
{ /* Llib/ssl.scm 910 */
int BgL_arg1738z00_2509;
BgL_arg1738z00_2509 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 910 */
long BgL_res2454z00_2521;
{ /* Llib/ssl.scm 910 */
long BgL_tmpz00_8619;
BgL_tmpz00_8619 = 
(long)(BgL_arg1738z00_2509); 
BgL_res2454z00_2521 = 
(BgL_offsetz00_2505%BgL_tmpz00_8619); } 
BgL_restz00_2508 = BgL_res2454z00_2521; } } 
{ /* Llib/ssl.scm 910 */

{ /* Llib/ssl.scm 910 */
obj_t BgL_bucketz00_2510;
BgL_bucketz00_2510 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2500),BgL_modz00_2506); 
BgL_res2455z00_2526 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2510),BgL_restz00_2508); } } } } } } } } 
BgL_method1269z00_1721 = BgL_res2455z00_2526; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1269z00_1721)(BgL_method1269z00_1721, 
((obj_t)BgL_sslz00_76), BEOA));} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-start */
obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t BgL_envz00_4579, obj_t BgL_sslz00_4580)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 910 */
{ /* Llib/ssl.scm 910 */
int BgL_tmpz00_8632;
{ /* Llib/ssl.scm 910 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8633;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4580, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 910 */
BgL_auxz00_8633 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4580)
; }  else 
{ 
obj_t BgL_auxz00_8637;
BgL_auxz00_8637 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)37186)), BGl_string3475z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4580); 
FAILURE(BgL_auxz00_8637,BFALSE,BFALSE);} 
BgL_tmpz00_8632 = 
BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_auxz00_8633); } 
return 
BINT(BgL_tmpz00_8632);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-close */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_77)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 920 */
{ /* Llib/ssl.scm 920 */
obj_t BgL_method1271z00_1722;
{ /* Llib/ssl.scm 920 */
obj_t BgL_res2462z00_2555;
{ /* Llib/ssl.scm 920 */
long BgL_objzd2classzd2numz00_2528;
{ /* Llib/ssl.scm 920 */
long BgL_res2456z00_2531;
BgL_res2456z00_2531 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_77)); 
BgL_objzd2classzd2numz00_2528 = BgL_res2456z00_2531; } 
{ /* Llib/ssl.scm 920 */
obj_t BgL_arg1737z00_2529;
BgL_arg1737z00_2529 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 920 */
int BgL_offsetz00_2533;
BgL_offsetz00_2533 = 
(int)(BgL_objzd2classzd2numz00_2528); 
{ /* Llib/ssl.scm 920 */
long BgL_offsetz00_2534;
BgL_offsetz00_2534 = 
(
(long)(BgL_offsetz00_2533)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 920 */
long BgL_modz00_2535;
{ /* Llib/ssl.scm 920 */
int BgL_arg1739z00_2536;
BgL_arg1739z00_2536 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 920 */
long BgL_res2459z00_2546;
{ /* Llib/ssl.scm 920 */
long BgL_tmpz00_8651;
BgL_tmpz00_8651 = 
(long)(BgL_arg1739z00_2536); 
BgL_res2459z00_2546 = 
(BgL_offsetz00_2534/BgL_tmpz00_8651); } 
BgL_modz00_2535 = BgL_res2459z00_2546; } } 
{ /* Llib/ssl.scm 920 */
long BgL_restz00_2537;
{ /* Llib/ssl.scm 920 */
int BgL_arg1738z00_2538;
BgL_arg1738z00_2538 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 920 */
long BgL_res2461z00_2550;
{ /* Llib/ssl.scm 920 */
long BgL_tmpz00_8655;
BgL_tmpz00_8655 = 
(long)(BgL_arg1738z00_2538); 
BgL_res2461z00_2550 = 
(BgL_offsetz00_2534%BgL_tmpz00_8655); } 
BgL_restz00_2537 = BgL_res2461z00_2550; } } 
{ /* Llib/ssl.scm 920 */

{ /* Llib/ssl.scm 920 */
obj_t BgL_bucketz00_2539;
BgL_bucketz00_2539 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2529),BgL_modz00_2535); 
BgL_res2462z00_2555 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2539),BgL_restz00_2537); } } } } } } } } 
BgL_method1271z00_1722 = BgL_res2462z00_2555; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1271z00_1722)(BgL_method1271z00_1722, 
((obj_t)BgL_sslz00_77), BEOA));} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-close */
obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4581, obj_t BgL_sslz00_4582)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 920 */
{ /* Llib/ssl.scm 920 */
int BgL_tmpz00_8668;
{ /* Llib/ssl.scm 920 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8669;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4582, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 920 */
BgL_auxz00_8669 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4582)
; }  else 
{ 
obj_t BgL_auxz00_8673;
BgL_auxz00_8673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)37566)), BGl_string3476z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4582); 
FAILURE(BgL_auxz00_8673,BFALSE,BFALSE);} 
BgL_tmpz00_8668 = 
BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_auxz00_8669); } 
return 
BINT(BgL_tmpz00_8668);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-shutdown */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_78)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 930 */
{ /* Llib/ssl.scm 930 */
obj_t BgL_method1273z00_1723;
{ /* Llib/ssl.scm 930 */
obj_t BgL_res2469z00_2584;
{ /* Llib/ssl.scm 930 */
long BgL_objzd2classzd2numz00_2557;
{ /* Llib/ssl.scm 930 */
long BgL_res2463z00_2560;
BgL_res2463z00_2560 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_78)); 
BgL_objzd2classzd2numz00_2557 = BgL_res2463z00_2560; } 
{ /* Llib/ssl.scm 930 */
obj_t BgL_arg1737z00_2558;
BgL_arg1737z00_2558 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 930 */
int BgL_offsetz00_2562;
BgL_offsetz00_2562 = 
(int)(BgL_objzd2classzd2numz00_2557); 
{ /* Llib/ssl.scm 930 */
long BgL_offsetz00_2563;
BgL_offsetz00_2563 = 
(
(long)(BgL_offsetz00_2562)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 930 */
long BgL_modz00_2564;
{ /* Llib/ssl.scm 930 */
int BgL_arg1739z00_2565;
BgL_arg1739z00_2565 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 930 */
long BgL_res2466z00_2575;
{ /* Llib/ssl.scm 930 */
long BgL_tmpz00_8687;
BgL_tmpz00_8687 = 
(long)(BgL_arg1739z00_2565); 
BgL_res2466z00_2575 = 
(BgL_offsetz00_2563/BgL_tmpz00_8687); } 
BgL_modz00_2564 = BgL_res2466z00_2575; } } 
{ /* Llib/ssl.scm 930 */
long BgL_restz00_2566;
{ /* Llib/ssl.scm 930 */
int BgL_arg1738z00_2567;
BgL_arg1738z00_2567 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 930 */
long BgL_res2468z00_2579;
{ /* Llib/ssl.scm 930 */
long BgL_tmpz00_8691;
BgL_tmpz00_8691 = 
(long)(BgL_arg1738z00_2567); 
BgL_res2468z00_2579 = 
(BgL_offsetz00_2563%BgL_tmpz00_8691); } 
BgL_restz00_2566 = BgL_res2468z00_2579; } } 
{ /* Llib/ssl.scm 930 */

{ /* Llib/ssl.scm 930 */
obj_t BgL_bucketz00_2568;
BgL_bucketz00_2568 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2558),BgL_modz00_2564); 
BgL_res2469z00_2584 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2568),BgL_restz00_2566); } } } } } } } } 
BgL_method1273z00_1723 = BgL_res2469z00_2584; } 
return 
PROCEDURE_ENTRY(BgL_method1273z00_1723)(BgL_method1273z00_1723, 
((obj_t)BgL_sslz00_78), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-shutdown */
obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t BgL_envz00_4583, obj_t BgL_sslz00_4584)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 930 */
{ /* Llib/ssl.scm 930 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8703;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4584, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 930 */
BgL_auxz00_8703 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4584)
; }  else 
{ 
obj_t BgL_auxz00_8707;
BgL_auxz00_8707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)37946)), BGl_string3477z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4584); 
FAILURE(BgL_auxz00_8707,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_auxz00_8703);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-read */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_79, obj_t BgL_bufferz00_80, long BgL_offsetz00_81, long BgL_lenz00_82)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 940 */
{ /* Llib/ssl.scm 940 */
obj_t BgL_method1275z00_1724;
{ /* Llib/ssl.scm 940 */
obj_t BgL_res2476z00_2613;
{ /* Llib/ssl.scm 940 */
long BgL_objzd2classzd2numz00_2586;
{ /* Llib/ssl.scm 940 */
long BgL_res2470z00_2589;
BgL_res2470z00_2589 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_79)); 
BgL_objzd2classzd2numz00_2586 = BgL_res2470z00_2589; } 
{ /* Llib/ssl.scm 940 */
obj_t BgL_arg1737z00_2587;
BgL_arg1737z00_2587 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 940 */
int BgL_offsetz00_2591;
BgL_offsetz00_2591 = 
(int)(BgL_objzd2classzd2numz00_2586); 
{ /* Llib/ssl.scm 940 */
long BgL_offsetz00_2592;
BgL_offsetz00_2592 = 
(
(long)(BgL_offsetz00_2591)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 940 */
long BgL_modz00_2593;
{ /* Llib/ssl.scm 940 */
int BgL_arg1739z00_2594;
BgL_arg1739z00_2594 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 940 */
long BgL_res2473z00_2604;
{ /* Llib/ssl.scm 940 */
long BgL_tmpz00_8720;
BgL_tmpz00_8720 = 
(long)(BgL_arg1739z00_2594); 
BgL_res2473z00_2604 = 
(BgL_offsetz00_2592/BgL_tmpz00_8720); } 
BgL_modz00_2593 = BgL_res2473z00_2604; } } 
{ /* Llib/ssl.scm 940 */
long BgL_restz00_2595;
{ /* Llib/ssl.scm 940 */
int BgL_arg1738z00_2596;
BgL_arg1738z00_2596 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 940 */
long BgL_res2475z00_2608;
{ /* Llib/ssl.scm 940 */
long BgL_tmpz00_8724;
BgL_tmpz00_8724 = 
(long)(BgL_arg1738z00_2596); 
BgL_res2475z00_2608 = 
(BgL_offsetz00_2592%BgL_tmpz00_8724); } 
BgL_restz00_2595 = BgL_res2475z00_2608; } } 
{ /* Llib/ssl.scm 940 */

{ /* Llib/ssl.scm 940 */
obj_t BgL_bucketz00_2597;
BgL_bucketz00_2597 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2587),BgL_modz00_2593); 
BgL_res2476z00_2613 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2597),BgL_restz00_2595); } } } } } } } } 
BgL_method1275z00_1724 = BgL_res2476z00_2613; } 
return 
PROCEDURE_ENTRY(BgL_method1275z00_1724)(BgL_method1275z00_1724, 
((obj_t)BgL_sslz00_79), BgL_bufferz00_80, 
BINT(BgL_offsetz00_81), 
BINT(BgL_lenz00_82), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-read */
obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t BgL_envz00_4585, obj_t BgL_sslz00_4586, obj_t BgL_bufferz00_4587, obj_t BgL_offsetz00_4588, obj_t BgL_lenz00_4589)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 940 */
{ /* Llib/ssl.scm 940 */
long BgL_auxz00_8765;long BgL_auxz00_8756;obj_t BgL_auxz00_8749;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8741;
{ /* Llib/ssl.scm 940 */
obj_t BgL_tmpz00_8766;
if(
INTEGERP(BgL_lenz00_4589))
{ /* Llib/ssl.scm 940 */
BgL_tmpz00_8766 = BgL_lenz00_4589
; }  else 
{ 
obj_t BgL_auxz00_8769;
BgL_auxz00_8769 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38332)), BGl_string3478z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4589); 
FAILURE(BgL_auxz00_8769,BFALSE,BFALSE);} 
BgL_auxz00_8765 = 
(long)CINT(BgL_tmpz00_8766); } 
{ /* Llib/ssl.scm 940 */
obj_t BgL_tmpz00_8757;
if(
INTEGERP(BgL_offsetz00_4588))
{ /* Llib/ssl.scm 940 */
BgL_tmpz00_8757 = BgL_offsetz00_4588
; }  else 
{ 
obj_t BgL_auxz00_8760;
BgL_auxz00_8760 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38332)), BGl_string3478z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4588); 
FAILURE(BgL_auxz00_8760,BFALSE,BFALSE);} 
BgL_auxz00_8756 = 
(long)CINT(BgL_tmpz00_8757); } 
if(
STRINGP(BgL_bufferz00_4587))
{ /* Llib/ssl.scm 940 */
BgL_auxz00_8749 = BgL_bufferz00_4587
; }  else 
{ 
obj_t BgL_auxz00_8752;
BgL_auxz00_8752 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38332)), BGl_string3478z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_bufferz00_4587); 
FAILURE(BgL_auxz00_8752,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4586, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 940 */
BgL_auxz00_8741 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4586)
; }  else 
{ 
obj_t BgL_auxz00_8745;
BgL_auxz00_8745 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38332)), BGl_string3478z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4586); 
FAILURE(BgL_auxz00_8745,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_auxz00_8741, BgL_auxz00_8749, BgL_auxz00_8756, BgL_auxz00_8765);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-write */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_83, obj_t BgL_bufferz00_84, long BgL_offsetz00_85, long BgL_lenz00_86)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 950 */
{ /* Llib/ssl.scm 950 */
obj_t BgL_method1277z00_1725;
{ /* Llib/ssl.scm 950 */
obj_t BgL_res2483z00_2642;
{ /* Llib/ssl.scm 950 */
long BgL_objzd2classzd2numz00_2615;
{ /* Llib/ssl.scm 950 */
long BgL_res2477z00_2618;
BgL_res2477z00_2618 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_83)); 
BgL_objzd2classzd2numz00_2615 = BgL_res2477z00_2618; } 
{ /* Llib/ssl.scm 950 */
obj_t BgL_arg1737z00_2616;
BgL_arg1737z00_2616 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 950 */
int BgL_offsetz00_2620;
BgL_offsetz00_2620 = 
(int)(BgL_objzd2classzd2numz00_2615); 
{ /* Llib/ssl.scm 950 */
long BgL_offsetz00_2621;
BgL_offsetz00_2621 = 
(
(long)(BgL_offsetz00_2620)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 950 */
long BgL_modz00_2622;
{ /* Llib/ssl.scm 950 */
int BgL_arg1739z00_2623;
BgL_arg1739z00_2623 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 950 */
long BgL_res2480z00_2633;
{ /* Llib/ssl.scm 950 */
long BgL_tmpz00_8783;
BgL_tmpz00_8783 = 
(long)(BgL_arg1739z00_2623); 
BgL_res2480z00_2633 = 
(BgL_offsetz00_2621/BgL_tmpz00_8783); } 
BgL_modz00_2622 = BgL_res2480z00_2633; } } 
{ /* Llib/ssl.scm 950 */
long BgL_restz00_2624;
{ /* Llib/ssl.scm 950 */
int BgL_arg1738z00_2625;
BgL_arg1738z00_2625 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 950 */
long BgL_res2482z00_2637;
{ /* Llib/ssl.scm 950 */
long BgL_tmpz00_8787;
BgL_tmpz00_8787 = 
(long)(BgL_arg1738z00_2625); 
BgL_res2482z00_2637 = 
(BgL_offsetz00_2621%BgL_tmpz00_8787); } 
BgL_restz00_2624 = BgL_res2482z00_2637; } } 
{ /* Llib/ssl.scm 950 */

{ /* Llib/ssl.scm 950 */
obj_t BgL_bucketz00_2626;
BgL_bucketz00_2626 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2616),BgL_modz00_2622); 
BgL_res2483z00_2642 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2626),BgL_restz00_2624); } } } } } } } } 
BgL_method1277z00_1725 = BgL_res2483z00_2642; } 
return 
PROCEDURE_ENTRY(BgL_method1277z00_1725)(BgL_method1277z00_1725, 
((obj_t)BgL_sslz00_83), BgL_bufferz00_84, 
BINT(BgL_offsetz00_85), 
BINT(BgL_lenz00_86), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-write */
obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t BgL_envz00_4590, obj_t BgL_sslz00_4591, obj_t BgL_bufferz00_4592, obj_t BgL_offsetz00_4593, obj_t BgL_lenz00_4594)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 950 */
{ /* Llib/ssl.scm 950 */
long BgL_auxz00_8828;long BgL_auxz00_8819;obj_t BgL_auxz00_8812;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8804;
{ /* Llib/ssl.scm 950 */
obj_t BgL_tmpz00_8829;
if(
INTEGERP(BgL_lenz00_4594))
{ /* Llib/ssl.scm 950 */
BgL_tmpz00_8829 = BgL_lenz00_4594
; }  else 
{ 
obj_t BgL_auxz00_8832;
BgL_auxz00_8832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38744)), BGl_string3479z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4594); 
FAILURE(BgL_auxz00_8832,BFALSE,BFALSE);} 
BgL_auxz00_8828 = 
(long)CINT(BgL_tmpz00_8829); } 
{ /* Llib/ssl.scm 950 */
obj_t BgL_tmpz00_8820;
if(
INTEGERP(BgL_offsetz00_4593))
{ /* Llib/ssl.scm 950 */
BgL_tmpz00_8820 = BgL_offsetz00_4593
; }  else 
{ 
obj_t BgL_auxz00_8823;
BgL_auxz00_8823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38744)), BGl_string3479z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4593); 
FAILURE(BgL_auxz00_8823,BFALSE,BFALSE);} 
BgL_auxz00_8819 = 
(long)CINT(BgL_tmpz00_8820); } 
if(
STRINGP(BgL_bufferz00_4592))
{ /* Llib/ssl.scm 950 */
BgL_auxz00_8812 = BgL_bufferz00_4592
; }  else 
{ 
obj_t BgL_auxz00_8815;
BgL_auxz00_8815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38744)), BGl_string3479z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_bufferz00_4592); 
FAILURE(BgL_auxz00_8815,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4591, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 950 */
BgL_auxz00_8804 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4591)
; }  else 
{ 
obj_t BgL_auxz00_8808;
BgL_auxz00_8808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)38744)), BGl_string3479z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4591); 
FAILURE(BgL_auxz00_8808,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_auxz00_8804, BgL_auxz00_8812, BgL_auxz00_8819, BgL_auxz00_8828);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-clear-in */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_87, obj_t BgL_bufferz00_88, long BgL_offsetz00_89, long BgL_lenz00_90)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 960 */
{ /* Llib/ssl.scm 960 */
obj_t BgL_method1279z00_1726;
{ /* Llib/ssl.scm 960 */
obj_t BgL_res2490z00_2671;
{ /* Llib/ssl.scm 960 */
long BgL_objzd2classzd2numz00_2644;
{ /* Llib/ssl.scm 960 */
long BgL_res2484z00_2647;
BgL_res2484z00_2647 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_87)); 
BgL_objzd2classzd2numz00_2644 = BgL_res2484z00_2647; } 
{ /* Llib/ssl.scm 960 */
obj_t BgL_arg1737z00_2645;
BgL_arg1737z00_2645 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 960 */
int BgL_offsetz00_2649;
BgL_offsetz00_2649 = 
(int)(BgL_objzd2classzd2numz00_2644); 
{ /* Llib/ssl.scm 960 */
long BgL_offsetz00_2650;
BgL_offsetz00_2650 = 
(
(long)(BgL_offsetz00_2649)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 960 */
long BgL_modz00_2651;
{ /* Llib/ssl.scm 960 */
int BgL_arg1739z00_2652;
BgL_arg1739z00_2652 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 960 */
long BgL_res2487z00_2662;
{ /* Llib/ssl.scm 960 */
long BgL_tmpz00_8846;
BgL_tmpz00_8846 = 
(long)(BgL_arg1739z00_2652); 
BgL_res2487z00_2662 = 
(BgL_offsetz00_2650/BgL_tmpz00_8846); } 
BgL_modz00_2651 = BgL_res2487z00_2662; } } 
{ /* Llib/ssl.scm 960 */
long BgL_restz00_2653;
{ /* Llib/ssl.scm 960 */
int BgL_arg1738z00_2654;
BgL_arg1738z00_2654 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 960 */
long BgL_res2489z00_2666;
{ /* Llib/ssl.scm 960 */
long BgL_tmpz00_8850;
BgL_tmpz00_8850 = 
(long)(BgL_arg1738z00_2654); 
BgL_res2489z00_2666 = 
(BgL_offsetz00_2650%BgL_tmpz00_8850); } 
BgL_restz00_2653 = BgL_res2489z00_2666; } } 
{ /* Llib/ssl.scm 960 */

{ /* Llib/ssl.scm 960 */
obj_t BgL_bucketz00_2655;
BgL_bucketz00_2655 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2645),BgL_modz00_2651); 
BgL_res2490z00_2671 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2655),BgL_restz00_2653); } } } } } } } } 
BgL_method1279z00_1726 = BgL_res2490z00_2671; } 
return 
PROCEDURE_ENTRY(BgL_method1279z00_1726)(BgL_method1279z00_1726, 
((obj_t)BgL_sslz00_87), BgL_bufferz00_88, 
BINT(BgL_offsetz00_89), 
BINT(BgL_lenz00_90), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-clear-in */
obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t BgL_envz00_4595, obj_t BgL_sslz00_4596, obj_t BgL_bufferz00_4597, obj_t BgL_offsetz00_4598, obj_t BgL_lenz00_4599)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 960 */
{ /* Llib/ssl.scm 960 */
long BgL_auxz00_8891;long BgL_auxz00_8882;obj_t BgL_auxz00_8875;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8867;
{ /* Llib/ssl.scm 960 */
obj_t BgL_tmpz00_8892;
if(
INTEGERP(BgL_lenz00_4599))
{ /* Llib/ssl.scm 960 */
BgL_tmpz00_8892 = BgL_lenz00_4599
; }  else 
{ 
obj_t BgL_auxz00_8895;
BgL_auxz00_8895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39158)), BGl_string3480z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4599); 
FAILURE(BgL_auxz00_8895,BFALSE,BFALSE);} 
BgL_auxz00_8891 = 
(long)CINT(BgL_tmpz00_8892); } 
{ /* Llib/ssl.scm 960 */
obj_t BgL_tmpz00_8883;
if(
INTEGERP(BgL_offsetz00_4598))
{ /* Llib/ssl.scm 960 */
BgL_tmpz00_8883 = BgL_offsetz00_4598
; }  else 
{ 
obj_t BgL_auxz00_8886;
BgL_auxz00_8886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39158)), BGl_string3480z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4598); 
FAILURE(BgL_auxz00_8886,BFALSE,BFALSE);} 
BgL_auxz00_8882 = 
(long)CINT(BgL_tmpz00_8883); } 
if(
STRINGP(BgL_bufferz00_4597))
{ /* Llib/ssl.scm 960 */
BgL_auxz00_8875 = BgL_bufferz00_4597
; }  else 
{ 
obj_t BgL_auxz00_8878;
BgL_auxz00_8878 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39158)), BGl_string3480z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_bufferz00_4597); 
FAILURE(BgL_auxz00_8878,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4596, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 960 */
BgL_auxz00_8867 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4596)
; }  else 
{ 
obj_t BgL_auxz00_8871;
BgL_auxz00_8871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39158)), BGl_string3480z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4596); 
FAILURE(BgL_auxz00_8871,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_auxz00_8867, BgL_auxz00_8875, BgL_auxz00_8882, BgL_auxz00_8891);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-clear-out */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_91, obj_t BgL_bufferz00_92, long BgL_offsetz00_93, long BgL_lenz00_94)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 970 */
{ /* Llib/ssl.scm 970 */
obj_t BgL_method1281z00_1727;
{ /* Llib/ssl.scm 970 */
obj_t BgL_res2497z00_2700;
{ /* Llib/ssl.scm 970 */
long BgL_objzd2classzd2numz00_2673;
{ /* Llib/ssl.scm 970 */
long BgL_res2491z00_2676;
BgL_res2491z00_2676 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_91)); 
BgL_objzd2classzd2numz00_2673 = BgL_res2491z00_2676; } 
{ /* Llib/ssl.scm 970 */
obj_t BgL_arg1737z00_2674;
BgL_arg1737z00_2674 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 970 */
int BgL_offsetz00_2678;
BgL_offsetz00_2678 = 
(int)(BgL_objzd2classzd2numz00_2673); 
{ /* Llib/ssl.scm 970 */
long BgL_offsetz00_2679;
BgL_offsetz00_2679 = 
(
(long)(BgL_offsetz00_2678)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 970 */
long BgL_modz00_2680;
{ /* Llib/ssl.scm 970 */
int BgL_arg1739z00_2681;
BgL_arg1739z00_2681 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 970 */
long BgL_res2494z00_2691;
{ /* Llib/ssl.scm 970 */
long BgL_tmpz00_8909;
BgL_tmpz00_8909 = 
(long)(BgL_arg1739z00_2681); 
BgL_res2494z00_2691 = 
(BgL_offsetz00_2679/BgL_tmpz00_8909); } 
BgL_modz00_2680 = BgL_res2494z00_2691; } } 
{ /* Llib/ssl.scm 970 */
long BgL_restz00_2682;
{ /* Llib/ssl.scm 970 */
int BgL_arg1738z00_2683;
BgL_arg1738z00_2683 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 970 */
long BgL_res2496z00_2695;
{ /* Llib/ssl.scm 970 */
long BgL_tmpz00_8913;
BgL_tmpz00_8913 = 
(long)(BgL_arg1738z00_2683); 
BgL_res2496z00_2695 = 
(BgL_offsetz00_2679%BgL_tmpz00_8913); } 
BgL_restz00_2682 = BgL_res2496z00_2695; } } 
{ /* Llib/ssl.scm 970 */

{ /* Llib/ssl.scm 970 */
obj_t BgL_bucketz00_2684;
BgL_bucketz00_2684 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2674),BgL_modz00_2680); 
BgL_res2497z00_2700 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2684),BgL_restz00_2682); } } } } } } } } 
BgL_method1281z00_1727 = BgL_res2497z00_2700; } 
return 
PROCEDURE_ENTRY(BgL_method1281z00_1727)(BgL_method1281z00_1727, 
((obj_t)BgL_sslz00_91), BgL_bufferz00_92, 
BINT(BgL_offsetz00_93), 
BINT(BgL_lenz00_94), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-clear-out */
obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t BgL_envz00_4600, obj_t BgL_sslz00_4601, obj_t BgL_bufferz00_4602, obj_t BgL_offsetz00_4603, obj_t BgL_lenz00_4604)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 970 */
{ /* Llib/ssl.scm 970 */
long BgL_auxz00_8954;long BgL_auxz00_8945;obj_t BgL_auxz00_8938;BgL_sslzd2connectionzd2_bglt BgL_auxz00_8930;
{ /* Llib/ssl.scm 970 */
obj_t BgL_tmpz00_8955;
if(
INTEGERP(BgL_lenz00_4604))
{ /* Llib/ssl.scm 970 */
BgL_tmpz00_8955 = BgL_lenz00_4604
; }  else 
{ 
obj_t BgL_auxz00_8958;
BgL_auxz00_8958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39578)), BGl_string3481z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4604); 
FAILURE(BgL_auxz00_8958,BFALSE,BFALSE);} 
BgL_auxz00_8954 = 
(long)CINT(BgL_tmpz00_8955); } 
{ /* Llib/ssl.scm 970 */
obj_t BgL_tmpz00_8946;
if(
INTEGERP(BgL_offsetz00_4603))
{ /* Llib/ssl.scm 970 */
BgL_tmpz00_8946 = BgL_offsetz00_4603
; }  else 
{ 
obj_t BgL_auxz00_8949;
BgL_auxz00_8949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39578)), BGl_string3481z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4603); 
FAILURE(BgL_auxz00_8949,BFALSE,BFALSE);} 
BgL_auxz00_8945 = 
(long)CINT(BgL_tmpz00_8946); } 
if(
STRINGP(BgL_bufferz00_4602))
{ /* Llib/ssl.scm 970 */
BgL_auxz00_8938 = BgL_bufferz00_4602
; }  else 
{ 
obj_t BgL_auxz00_8941;
BgL_auxz00_8941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39578)), BGl_string3481z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_bufferz00_4602); 
FAILURE(BgL_auxz00_8941,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4601, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 970 */
BgL_auxz00_8930 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4601)
; }  else 
{ 
obj_t BgL_auxz00_8934;
BgL_auxz00_8934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)39578)), BGl_string3481z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4601); 
FAILURE(BgL_auxz00_8934,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_auxz00_8930, BgL_auxz00_8938, BgL_auxz00_8945, BgL_auxz00_8954);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-init-finished? */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_95)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 980 */
{ /* Llib/ssl.scm 980 */
obj_t BgL_method1283z00_1728;
{ /* Llib/ssl.scm 980 */
obj_t BgL_res2504z00_2729;
{ /* Llib/ssl.scm 980 */
long BgL_objzd2classzd2numz00_2702;
{ /* Llib/ssl.scm 980 */
long BgL_res2498z00_2705;
BgL_res2498z00_2705 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_95)); 
BgL_objzd2classzd2numz00_2702 = BgL_res2498z00_2705; } 
{ /* Llib/ssl.scm 980 */
obj_t BgL_arg1737z00_2703;
BgL_arg1737z00_2703 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 980 */
int BgL_offsetz00_2707;
BgL_offsetz00_2707 = 
(int)(BgL_objzd2classzd2numz00_2702); 
{ /* Llib/ssl.scm 980 */
long BgL_offsetz00_2708;
BgL_offsetz00_2708 = 
(
(long)(BgL_offsetz00_2707)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 980 */
long BgL_modz00_2709;
{ /* Llib/ssl.scm 980 */
int BgL_arg1739z00_2710;
BgL_arg1739z00_2710 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 980 */
long BgL_res2501z00_2720;
{ /* Llib/ssl.scm 980 */
long BgL_tmpz00_8972;
BgL_tmpz00_8972 = 
(long)(BgL_arg1739z00_2710); 
BgL_res2501z00_2720 = 
(BgL_offsetz00_2708/BgL_tmpz00_8972); } 
BgL_modz00_2709 = BgL_res2501z00_2720; } } 
{ /* Llib/ssl.scm 980 */
long BgL_restz00_2711;
{ /* Llib/ssl.scm 980 */
int BgL_arg1738z00_2712;
BgL_arg1738z00_2712 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 980 */
long BgL_res2503z00_2724;
{ /* Llib/ssl.scm 980 */
long BgL_tmpz00_8976;
BgL_tmpz00_8976 = 
(long)(BgL_arg1738z00_2712); 
BgL_res2503z00_2724 = 
(BgL_offsetz00_2708%BgL_tmpz00_8976); } 
BgL_restz00_2711 = BgL_res2503z00_2724; } } 
{ /* Llib/ssl.scm 980 */

{ /* Llib/ssl.scm 980 */
obj_t BgL_bucketz00_2713;
BgL_bucketz00_2713 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2703),BgL_modz00_2709); 
BgL_res2504z00_2729 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2713),BgL_restz00_2711); } } } } } } } } 
BgL_method1283z00_1728 = BgL_res2504z00_2729; } 
return 
PROCEDURE_ENTRY(BgL_method1283z00_1728)(BgL_method1283z00_1728, 
((obj_t)BgL_sslz00_95), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-init-finished? */
obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4605, obj_t BgL_sslz00_4606)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 980 */
{ /* Llib/ssl.scm 980 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_8988;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4606, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 980 */
BgL_auxz00_8988 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4606)
; }  else 
{ 
obj_t BgL_auxz00_8992;
BgL_auxz00_8992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)40000)), BGl_string3482z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4606); 
FAILURE(BgL_auxz00_8992,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_auxz00_8988);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-enc-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_96)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 990 */
{ /* Llib/ssl.scm 990 */
obj_t BgL_method1285z00_1729;
{ /* Llib/ssl.scm 990 */
obj_t BgL_res2511z00_2758;
{ /* Llib/ssl.scm 990 */
long BgL_objzd2classzd2numz00_2731;
{ /* Llib/ssl.scm 990 */
long BgL_res2505z00_2734;
BgL_res2505z00_2734 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_96)); 
BgL_objzd2classzd2numz00_2731 = BgL_res2505z00_2734; } 
{ /* Llib/ssl.scm 990 */
obj_t BgL_arg1737z00_2732;
BgL_arg1737z00_2732 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 990 */
int BgL_offsetz00_2736;
BgL_offsetz00_2736 = 
(int)(BgL_objzd2classzd2numz00_2731); 
{ /* Llib/ssl.scm 990 */
long BgL_offsetz00_2737;
BgL_offsetz00_2737 = 
(
(long)(BgL_offsetz00_2736)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 990 */
long BgL_modz00_2738;
{ /* Llib/ssl.scm 990 */
int BgL_arg1739z00_2739;
BgL_arg1739z00_2739 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 990 */
long BgL_res2508z00_2749;
{ /* Llib/ssl.scm 990 */
long BgL_tmpz00_9005;
BgL_tmpz00_9005 = 
(long)(BgL_arg1739z00_2739); 
BgL_res2508z00_2749 = 
(BgL_offsetz00_2737/BgL_tmpz00_9005); } 
BgL_modz00_2738 = BgL_res2508z00_2749; } } 
{ /* Llib/ssl.scm 990 */
long BgL_restz00_2740;
{ /* Llib/ssl.scm 990 */
int BgL_arg1738z00_2741;
BgL_arg1738z00_2741 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 990 */
long BgL_res2510z00_2753;
{ /* Llib/ssl.scm 990 */
long BgL_tmpz00_9009;
BgL_tmpz00_9009 = 
(long)(BgL_arg1738z00_2741); 
BgL_res2510z00_2753 = 
(BgL_offsetz00_2737%BgL_tmpz00_9009); } 
BgL_restz00_2740 = BgL_res2510z00_2753; } } 
{ /* Llib/ssl.scm 990 */

{ /* Llib/ssl.scm 990 */
obj_t BgL_bucketz00_2742;
BgL_bucketz00_2742 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2732),BgL_modz00_2738); 
BgL_res2511z00_2758 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2742),BgL_restz00_2740); } } } } } } } } 
BgL_method1285z00_1729 = BgL_res2511z00_2758; } 
return 
PROCEDURE_ENTRY(BgL_method1285z00_1729)(BgL_method1285z00_1729, 
((obj_t)BgL_sslz00_96), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-enc-pending */
obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4607, obj_t BgL_sslz00_4608)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 990 */
{ /* Llib/ssl.scm 990 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9021;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4608, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 990 */
BgL_auxz00_9021 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4608)
; }  else 
{ 
obj_t BgL_auxz00_9025;
BgL_auxz00_9025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)40396)), BGl_string3483z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4608); 
FAILURE(BgL_auxz00_9025,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_auxz00_9021);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-clear-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_97)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1000 */
{ /* Llib/ssl.scm 1000 */
obj_t BgL_method1287z00_1730;
{ /* Llib/ssl.scm 1000 */
obj_t BgL_res2518z00_2787;
{ /* Llib/ssl.scm 1000 */
long BgL_objzd2classzd2numz00_2760;
{ /* Llib/ssl.scm 1000 */
long BgL_res2512z00_2763;
BgL_res2512z00_2763 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_97)); 
BgL_objzd2classzd2numz00_2760 = BgL_res2512z00_2763; } 
{ /* Llib/ssl.scm 1000 */
obj_t BgL_arg1737z00_2761;
BgL_arg1737z00_2761 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1000 */
int BgL_offsetz00_2765;
BgL_offsetz00_2765 = 
(int)(BgL_objzd2classzd2numz00_2760); 
{ /* Llib/ssl.scm 1000 */
long BgL_offsetz00_2766;
BgL_offsetz00_2766 = 
(
(long)(BgL_offsetz00_2765)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1000 */
long BgL_modz00_2767;
{ /* Llib/ssl.scm 1000 */
int BgL_arg1739z00_2768;
BgL_arg1739z00_2768 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1000 */
long BgL_res2515z00_2778;
{ /* Llib/ssl.scm 1000 */
long BgL_tmpz00_9038;
BgL_tmpz00_9038 = 
(long)(BgL_arg1739z00_2768); 
BgL_res2515z00_2778 = 
(BgL_offsetz00_2766/BgL_tmpz00_9038); } 
BgL_modz00_2767 = BgL_res2515z00_2778; } } 
{ /* Llib/ssl.scm 1000 */
long BgL_restz00_2769;
{ /* Llib/ssl.scm 1000 */
int BgL_arg1738z00_2770;
BgL_arg1738z00_2770 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1000 */
long BgL_res2517z00_2782;
{ /* Llib/ssl.scm 1000 */
long BgL_tmpz00_9042;
BgL_tmpz00_9042 = 
(long)(BgL_arg1738z00_2770); 
BgL_res2517z00_2782 = 
(BgL_offsetz00_2766%BgL_tmpz00_9042); } 
BgL_restz00_2769 = BgL_res2517z00_2782; } } 
{ /* Llib/ssl.scm 1000 */

{ /* Llib/ssl.scm 1000 */
obj_t BgL_bucketz00_2771;
BgL_bucketz00_2771 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2761),BgL_modz00_2767); 
BgL_res2518z00_2787 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2771),BgL_restz00_2769); } } } } } } } } 
BgL_method1287z00_1730 = BgL_res2518z00_2787; } 
return 
PROCEDURE_ENTRY(BgL_method1287z00_1730)(BgL_method1287z00_1730, 
((obj_t)BgL_sslz00_97), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-clear-pending */
obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4609, obj_t BgL_sslz00_4610)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1000 */
{ /* Llib/ssl.scm 1000 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9054;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4610, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1000 */
BgL_auxz00_9054 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4610)
; }  else 
{ 
obj_t BgL_auxz00_9058;
BgL_auxz00_9058 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)40786)), BGl_string3484z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4610); 
FAILURE(BgL_auxz00_9058,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_auxz00_9054);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-set-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_98, obj_t BgL_bufz00_99)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1010 */
{ /* Llib/ssl.scm 1010 */
obj_t BgL_method1289z00_1731;
{ /* Llib/ssl.scm 1010 */
obj_t BgL_res2525z00_2816;
{ /* Llib/ssl.scm 1010 */
long BgL_objzd2classzd2numz00_2789;
{ /* Llib/ssl.scm 1010 */
long BgL_res2519z00_2792;
BgL_res2519z00_2792 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_98)); 
BgL_objzd2classzd2numz00_2789 = BgL_res2519z00_2792; } 
{ /* Llib/ssl.scm 1010 */
obj_t BgL_arg1737z00_2790;
BgL_arg1737z00_2790 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1010 */
int BgL_offsetz00_2794;
BgL_offsetz00_2794 = 
(int)(BgL_objzd2classzd2numz00_2789); 
{ /* Llib/ssl.scm 1010 */
long BgL_offsetz00_2795;
BgL_offsetz00_2795 = 
(
(long)(BgL_offsetz00_2794)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1010 */
long BgL_modz00_2796;
{ /* Llib/ssl.scm 1010 */
int BgL_arg1739z00_2797;
BgL_arg1739z00_2797 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1010 */
long BgL_res2522z00_2807;
{ /* Llib/ssl.scm 1010 */
long BgL_tmpz00_9071;
BgL_tmpz00_9071 = 
(long)(BgL_arg1739z00_2797); 
BgL_res2522z00_2807 = 
(BgL_offsetz00_2795/BgL_tmpz00_9071); } 
BgL_modz00_2796 = BgL_res2522z00_2807; } } 
{ /* Llib/ssl.scm 1010 */
long BgL_restz00_2798;
{ /* Llib/ssl.scm 1010 */
int BgL_arg1738z00_2799;
BgL_arg1738z00_2799 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1010 */
long BgL_res2524z00_2811;
{ /* Llib/ssl.scm 1010 */
long BgL_tmpz00_9075;
BgL_tmpz00_9075 = 
(long)(BgL_arg1738z00_2799); 
BgL_res2524z00_2811 = 
(BgL_offsetz00_2795%BgL_tmpz00_9075); } 
BgL_restz00_2798 = BgL_res2524z00_2811; } } 
{ /* Llib/ssl.scm 1010 */

{ /* Llib/ssl.scm 1010 */
obj_t BgL_bucketz00_2800;
BgL_bucketz00_2800 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2790),BgL_modz00_2796); 
BgL_res2525z00_2816 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2800),BgL_restz00_2798); } } } } } } } } 
BgL_method1289z00_1731 = BgL_res2525z00_2816; } 
return 
PROCEDURE_ENTRY(BgL_method1289z00_1731)(BgL_method1289z00_1731, 
((obj_t)BgL_sslz00_98), BgL_bufz00_99, BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-set-session */
obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4611, obj_t BgL_sslz00_4612, obj_t BgL_bufz00_4613)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1010 */
{ /* Llib/ssl.scm 1010 */
obj_t BgL_auxz00_9096;BgL_sslzd2connectionzd2_bglt BgL_auxz00_9088;
if(
STRINGP(BgL_bufz00_4613))
{ /* Llib/ssl.scm 1010 */
BgL_auxz00_9096 = BgL_bufz00_4613
; }  else 
{ 
obj_t BgL_auxz00_9099;
BgL_auxz00_9099 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)41180)), BGl_string3485z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_bufz00_4613); 
FAILURE(BgL_auxz00_9099,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4612, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1010 */
BgL_auxz00_9088 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4612)
; }  else 
{ 
obj_t BgL_auxz00_9092;
BgL_auxz00_9092 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)41180)), BGl_string3485z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4612); 
FAILURE(BgL_auxz00_9092,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_9088, BgL_auxz00_9096);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-get-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_100)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1020 */
{ /* Llib/ssl.scm 1020 */
obj_t BgL_method1291z00_1732;
{ /* Llib/ssl.scm 1020 */
obj_t BgL_res2532z00_2845;
{ /* Llib/ssl.scm 1020 */
long BgL_objzd2classzd2numz00_2818;
{ /* Llib/ssl.scm 1020 */
long BgL_res2526z00_2821;
BgL_res2526z00_2821 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_100)); 
BgL_objzd2classzd2numz00_2818 = BgL_res2526z00_2821; } 
{ /* Llib/ssl.scm 1020 */
obj_t BgL_arg1737z00_2819;
BgL_arg1737z00_2819 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1020 */
int BgL_offsetz00_2823;
BgL_offsetz00_2823 = 
(int)(BgL_objzd2classzd2numz00_2818); 
{ /* Llib/ssl.scm 1020 */
long BgL_offsetz00_2824;
BgL_offsetz00_2824 = 
(
(long)(BgL_offsetz00_2823)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1020 */
long BgL_modz00_2825;
{ /* Llib/ssl.scm 1020 */
int BgL_arg1739z00_2826;
BgL_arg1739z00_2826 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1020 */
long BgL_res2529z00_2836;
{ /* Llib/ssl.scm 1020 */
long BgL_tmpz00_9112;
BgL_tmpz00_9112 = 
(long)(BgL_arg1739z00_2826); 
BgL_res2529z00_2836 = 
(BgL_offsetz00_2824/BgL_tmpz00_9112); } 
BgL_modz00_2825 = BgL_res2529z00_2836; } } 
{ /* Llib/ssl.scm 1020 */
long BgL_restz00_2827;
{ /* Llib/ssl.scm 1020 */
int BgL_arg1738z00_2828;
BgL_arg1738z00_2828 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1020 */
long BgL_res2531z00_2840;
{ /* Llib/ssl.scm 1020 */
long BgL_tmpz00_9116;
BgL_tmpz00_9116 = 
(long)(BgL_arg1738z00_2828); 
BgL_res2531z00_2840 = 
(BgL_offsetz00_2824%BgL_tmpz00_9116); } 
BgL_restz00_2827 = BgL_res2531z00_2840; } } 
{ /* Llib/ssl.scm 1020 */

{ /* Llib/ssl.scm 1020 */
obj_t BgL_bucketz00_2829;
BgL_bucketz00_2829 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2819),BgL_modz00_2825); 
BgL_res2532z00_2845 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2829),BgL_restz00_2827); } } } } } } } } 
BgL_method1291z00_1732 = BgL_res2532z00_2845; } 
return 
PROCEDURE_ENTRY(BgL_method1291z00_1732)(BgL_method1291z00_1732, 
((obj_t)BgL_sslz00_100), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-session */
obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4614, obj_t BgL_sslz00_4615)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1020 */
{ /* Llib/ssl.scm 1020 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9128;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4615, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1020 */
BgL_auxz00_9128 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4615)
; }  else 
{ 
obj_t BgL_auxz00_9132;
BgL_auxz00_9132 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)41588)), BGl_string3486z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4615); 
FAILURE(BgL_auxz00_9132,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_9128);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-get-current-cipher */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_101)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1030 */
{ /* Llib/ssl.scm 1030 */
obj_t BgL_method1293z00_1733;
{ /* Llib/ssl.scm 1030 */
obj_t BgL_res2539z00_2874;
{ /* Llib/ssl.scm 1030 */
long BgL_objzd2classzd2numz00_2847;
{ /* Llib/ssl.scm 1030 */
long BgL_res2533z00_2850;
BgL_res2533z00_2850 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_101)); 
BgL_objzd2classzd2numz00_2847 = BgL_res2533z00_2850; } 
{ /* Llib/ssl.scm 1030 */
obj_t BgL_arg1737z00_2848;
BgL_arg1737z00_2848 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1030 */
int BgL_offsetz00_2852;
BgL_offsetz00_2852 = 
(int)(BgL_objzd2classzd2numz00_2847); 
{ /* Llib/ssl.scm 1030 */
long BgL_offsetz00_2853;
BgL_offsetz00_2853 = 
(
(long)(BgL_offsetz00_2852)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1030 */
long BgL_modz00_2854;
{ /* Llib/ssl.scm 1030 */
int BgL_arg1739z00_2855;
BgL_arg1739z00_2855 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1030 */
long BgL_res2536z00_2865;
{ /* Llib/ssl.scm 1030 */
long BgL_tmpz00_9145;
BgL_tmpz00_9145 = 
(long)(BgL_arg1739z00_2855); 
BgL_res2536z00_2865 = 
(BgL_offsetz00_2853/BgL_tmpz00_9145); } 
BgL_modz00_2854 = BgL_res2536z00_2865; } } 
{ /* Llib/ssl.scm 1030 */
long BgL_restz00_2856;
{ /* Llib/ssl.scm 1030 */
int BgL_arg1738z00_2857;
BgL_arg1738z00_2857 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1030 */
long BgL_res2538z00_2869;
{ /* Llib/ssl.scm 1030 */
long BgL_tmpz00_9149;
BgL_tmpz00_9149 = 
(long)(BgL_arg1738z00_2857); 
BgL_res2538z00_2869 = 
(BgL_offsetz00_2853%BgL_tmpz00_9149); } 
BgL_restz00_2856 = BgL_res2538z00_2869; } } 
{ /* Llib/ssl.scm 1030 */

{ /* Llib/ssl.scm 1030 */
obj_t BgL_bucketz00_2858;
BgL_bucketz00_2858 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2848),BgL_modz00_2854); 
BgL_res2539z00_2874 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2858),BgL_restz00_2856); } } } } } } } } 
BgL_method1293z00_1733 = BgL_res2539z00_2874; } 
return 
PROCEDURE_ENTRY(BgL_method1293z00_1733)(BgL_method1293z00_1733, 
((obj_t)BgL_sslz00_101), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-current-cipher */
obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t BgL_envz00_4616, obj_t BgL_sslz00_4617)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1030 */
{ /* Llib/ssl.scm 1030 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9161;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4617, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1030 */
BgL_auxz00_9161 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4617)
; }  else 
{ 
obj_t BgL_auxz00_9165;
BgL_auxz00_9165 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)41979)), BGl_string3487z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4617); 
FAILURE(BgL_auxz00_9165,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_auxz00_9161);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-load-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_102, obj_t BgL_bufz00_103)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1040 */
{ /* Llib/ssl.scm 1040 */
obj_t BgL_method1295z00_1734;
{ /* Llib/ssl.scm 1040 */
obj_t BgL_res2546z00_2903;
{ /* Llib/ssl.scm 1040 */
long BgL_objzd2classzd2numz00_2876;
{ /* Llib/ssl.scm 1040 */
long BgL_res2540z00_2879;
BgL_res2540z00_2879 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_102)); 
BgL_objzd2classzd2numz00_2876 = BgL_res2540z00_2879; } 
{ /* Llib/ssl.scm 1040 */
obj_t BgL_arg1737z00_2877;
BgL_arg1737z00_2877 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1040 */
int BgL_offsetz00_2881;
BgL_offsetz00_2881 = 
(int)(BgL_objzd2classzd2numz00_2876); 
{ /* Llib/ssl.scm 1040 */
long BgL_offsetz00_2882;
BgL_offsetz00_2882 = 
(
(long)(BgL_offsetz00_2881)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1040 */
long BgL_modz00_2883;
{ /* Llib/ssl.scm 1040 */
int BgL_arg1739z00_2884;
BgL_arg1739z00_2884 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1040 */
long BgL_res2543z00_2894;
{ /* Llib/ssl.scm 1040 */
long BgL_tmpz00_9178;
BgL_tmpz00_9178 = 
(long)(BgL_arg1739z00_2884); 
BgL_res2543z00_2894 = 
(BgL_offsetz00_2882/BgL_tmpz00_9178); } 
BgL_modz00_2883 = BgL_res2543z00_2894; } } 
{ /* Llib/ssl.scm 1040 */
long BgL_restz00_2885;
{ /* Llib/ssl.scm 1040 */
int BgL_arg1738z00_2886;
BgL_arg1738z00_2886 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1040 */
long BgL_res2545z00_2898;
{ /* Llib/ssl.scm 1040 */
long BgL_tmpz00_9182;
BgL_tmpz00_9182 = 
(long)(BgL_arg1738z00_2886); 
BgL_res2545z00_2898 = 
(BgL_offsetz00_2882%BgL_tmpz00_9182); } 
BgL_restz00_2885 = BgL_res2545z00_2898; } } 
{ /* Llib/ssl.scm 1040 */

{ /* Llib/ssl.scm 1040 */
obj_t BgL_bucketz00_2887;
BgL_bucketz00_2887 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2877),BgL_modz00_2883); 
BgL_res2546z00_2903 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2887),BgL_restz00_2885); } } } } } } } } 
BgL_method1295z00_1734 = BgL_res2546z00_2903; } 
return 
PROCEDURE_ENTRY(BgL_method1295z00_1734)(BgL_method1295z00_1734, 
((obj_t)BgL_sslz00_102), BgL_bufz00_103, BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-load-session */
obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4618, obj_t BgL_sslz00_4619, obj_t BgL_bufz00_4620)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1040 */
{ /* Llib/ssl.scm 1040 */
obj_t BgL_auxz00_9203;BgL_sslzd2connectionzd2_bglt BgL_auxz00_9195;
if(
STRINGP(BgL_bufz00_4620))
{ /* Llib/ssl.scm 1040 */
BgL_auxz00_9203 = BgL_bufz00_4620
; }  else 
{ 
obj_t BgL_auxz00_9206;
BgL_auxz00_9206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)42384)), BGl_string3488z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_bufz00_4620); 
FAILURE(BgL_auxz00_9206,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4619, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1040 */
BgL_auxz00_9195 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4619)
; }  else 
{ 
obj_t BgL_auxz00_9199;
BgL_auxz00_9199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)42384)), BGl_string3488z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4619); 
FAILURE(BgL_auxz00_9199,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_9195, BgL_auxz00_9203);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-verify-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_104)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1050 */
{ /* Llib/ssl.scm 1050 */
obj_t BgL_method1297z00_1735;
{ /* Llib/ssl.scm 1050 */
obj_t BgL_res2553z00_2932;
{ /* Llib/ssl.scm 1050 */
long BgL_objzd2classzd2numz00_2905;
{ /* Llib/ssl.scm 1050 */
long BgL_res2547z00_2908;
BgL_res2547z00_2908 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_104)); 
BgL_objzd2classzd2numz00_2905 = BgL_res2547z00_2908; } 
{ /* Llib/ssl.scm 1050 */
obj_t BgL_arg1737z00_2906;
BgL_arg1737z00_2906 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1050 */
int BgL_offsetz00_2910;
BgL_offsetz00_2910 = 
(int)(BgL_objzd2classzd2numz00_2905); 
{ /* Llib/ssl.scm 1050 */
long BgL_offsetz00_2911;
BgL_offsetz00_2911 = 
(
(long)(BgL_offsetz00_2910)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1050 */
long BgL_modz00_2912;
{ /* Llib/ssl.scm 1050 */
int BgL_arg1739z00_2913;
BgL_arg1739z00_2913 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1050 */
long BgL_res2550z00_2923;
{ /* Llib/ssl.scm 1050 */
long BgL_tmpz00_9219;
BgL_tmpz00_9219 = 
(long)(BgL_arg1739z00_2913); 
BgL_res2550z00_2923 = 
(BgL_offsetz00_2911/BgL_tmpz00_9219); } 
BgL_modz00_2912 = BgL_res2550z00_2923; } } 
{ /* Llib/ssl.scm 1050 */
long BgL_restz00_2914;
{ /* Llib/ssl.scm 1050 */
int BgL_arg1738z00_2915;
BgL_arg1738z00_2915 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1050 */
long BgL_res2552z00_2927;
{ /* Llib/ssl.scm 1050 */
long BgL_tmpz00_9223;
BgL_tmpz00_9223 = 
(long)(BgL_arg1738z00_2915); 
BgL_res2552z00_2927 = 
(BgL_offsetz00_2911%BgL_tmpz00_9223); } 
BgL_restz00_2914 = BgL_res2552z00_2927; } } 
{ /* Llib/ssl.scm 1050 */

{ /* Llib/ssl.scm 1050 */
obj_t BgL_bucketz00_2916;
BgL_bucketz00_2916 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2906),BgL_modz00_2912); 
BgL_res2553z00_2932 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2916),BgL_restz00_2914); } } } } } } } } 
BgL_method1297z00_1735 = BgL_res2553z00_2932; } 
return 
PROCEDURE_ENTRY(BgL_method1297z00_1735)(BgL_method1297z00_1735, 
((obj_t)BgL_sslz00_104), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-verify-error */
obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t BgL_envz00_4621, obj_t BgL_sslz00_4622)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1050 */
{ /* Llib/ssl.scm 1050 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9235;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4622, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1050 */
BgL_auxz00_9235 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4622)
; }  else 
{ 
obj_t BgL_auxz00_9239;
BgL_auxz00_9239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)42794)), BGl_string3489z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4622); 
FAILURE(BgL_auxz00_9239,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_auxz00_9235);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-get-peer-certificate */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_105)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1060 */
{ /* Llib/ssl.scm 1060 */
obj_t BgL_method1299z00_1736;
{ /* Llib/ssl.scm 1060 */
obj_t BgL_res2560z00_2961;
{ /* Llib/ssl.scm 1060 */
long BgL_objzd2classzd2numz00_2934;
{ /* Llib/ssl.scm 1060 */
long BgL_res2554z00_2937;
BgL_res2554z00_2937 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_105)); 
BgL_objzd2classzd2numz00_2934 = BgL_res2554z00_2937; } 
{ /* Llib/ssl.scm 1060 */
obj_t BgL_arg1737z00_2935;
BgL_arg1737z00_2935 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1060 */
int BgL_offsetz00_2939;
BgL_offsetz00_2939 = 
(int)(BgL_objzd2classzd2numz00_2934); 
{ /* Llib/ssl.scm 1060 */
long BgL_offsetz00_2940;
BgL_offsetz00_2940 = 
(
(long)(BgL_offsetz00_2939)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1060 */
long BgL_modz00_2941;
{ /* Llib/ssl.scm 1060 */
int BgL_arg1739z00_2942;
BgL_arg1739z00_2942 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1060 */
long BgL_res2557z00_2952;
{ /* Llib/ssl.scm 1060 */
long BgL_tmpz00_9252;
BgL_tmpz00_9252 = 
(long)(BgL_arg1739z00_2942); 
BgL_res2557z00_2952 = 
(BgL_offsetz00_2940/BgL_tmpz00_9252); } 
BgL_modz00_2941 = BgL_res2557z00_2952; } } 
{ /* Llib/ssl.scm 1060 */
long BgL_restz00_2943;
{ /* Llib/ssl.scm 1060 */
int BgL_arg1738z00_2944;
BgL_arg1738z00_2944 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1060 */
long BgL_res2559z00_2956;
{ /* Llib/ssl.scm 1060 */
long BgL_tmpz00_9256;
BgL_tmpz00_9256 = 
(long)(BgL_arg1738z00_2944); 
BgL_res2559z00_2956 = 
(BgL_offsetz00_2940%BgL_tmpz00_9256); } 
BgL_restz00_2943 = BgL_res2559z00_2956; } } 
{ /* Llib/ssl.scm 1060 */

{ /* Llib/ssl.scm 1060 */
obj_t BgL_bucketz00_2945;
BgL_bucketz00_2945 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2935),BgL_modz00_2941); 
BgL_res2560z00_2961 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2945),BgL_restz00_2943); } } } } } } } } 
BgL_method1299z00_1736 = BgL_res2560z00_2961; } 
return 
PROCEDURE_ENTRY(BgL_method1299z00_1736)(BgL_method1299z00_1736, 
((obj_t)BgL_sslz00_105), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-peer-certificate */
obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t BgL_envz00_4623, obj_t BgL_sslz00_4624)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1060 */
{ /* Llib/ssl.scm 1060 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9268;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4624, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1060 */
BgL_auxz00_9268 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4624)
; }  else 
{ 
obj_t BgL_auxz00_9272;
BgL_auxz00_9272 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)43187)), BGl_string3490z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4624); 
FAILURE(BgL_auxz00_9272,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_auxz00_9268);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-reused? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_106)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1070 */
{ /* Llib/ssl.scm 1070 */
obj_t BgL_method1301z00_1737;
{ /* Llib/ssl.scm 1070 */
obj_t BgL_res2567z00_2990;
{ /* Llib/ssl.scm 1070 */
long BgL_objzd2classzd2numz00_2963;
{ /* Llib/ssl.scm 1070 */
long BgL_res2561z00_2966;
BgL_res2561z00_2966 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_106)); 
BgL_objzd2classzd2numz00_2963 = BgL_res2561z00_2966; } 
{ /* Llib/ssl.scm 1070 */
obj_t BgL_arg1737z00_2964;
BgL_arg1737z00_2964 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1070 */
int BgL_offsetz00_2968;
BgL_offsetz00_2968 = 
(int)(BgL_objzd2classzd2numz00_2963); 
{ /* Llib/ssl.scm 1070 */
long BgL_offsetz00_2969;
BgL_offsetz00_2969 = 
(
(long)(BgL_offsetz00_2968)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1070 */
long BgL_modz00_2970;
{ /* Llib/ssl.scm 1070 */
int BgL_arg1739z00_2971;
BgL_arg1739z00_2971 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1070 */
long BgL_res2564z00_2981;
{ /* Llib/ssl.scm 1070 */
long BgL_tmpz00_9285;
BgL_tmpz00_9285 = 
(long)(BgL_arg1739z00_2971); 
BgL_res2564z00_2981 = 
(BgL_offsetz00_2969/BgL_tmpz00_9285); } 
BgL_modz00_2970 = BgL_res2564z00_2981; } } 
{ /* Llib/ssl.scm 1070 */
long BgL_restz00_2972;
{ /* Llib/ssl.scm 1070 */
int BgL_arg1738z00_2973;
BgL_arg1738z00_2973 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1070 */
long BgL_res2566z00_2985;
{ /* Llib/ssl.scm 1070 */
long BgL_tmpz00_9289;
BgL_tmpz00_9289 = 
(long)(BgL_arg1738z00_2973); 
BgL_res2566z00_2985 = 
(BgL_offsetz00_2969%BgL_tmpz00_9289); } 
BgL_restz00_2972 = BgL_res2566z00_2985; } } 
{ /* Llib/ssl.scm 1070 */

{ /* Llib/ssl.scm 1070 */
obj_t BgL_bucketz00_2974;
BgL_bucketz00_2974 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2964),BgL_modz00_2970); 
BgL_res2567z00_2990 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2974),BgL_restz00_2972); } } } } } } } } 
BgL_method1301z00_1737 = BgL_res2567z00_2990; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1301z00_1737)(BgL_method1301z00_1737, 
((obj_t)BgL_sslz00_106), BEOA));} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-reused? */
obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t BgL_envz00_4625, obj_t BgL_sslz00_4626)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1070 */
{ /* Llib/ssl.scm 1070 */
bool_t BgL_tmpz00_9302;
{ /* Llib/ssl.scm 1070 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9303;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4626, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1070 */
BgL_auxz00_9303 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4626)
; }  else 
{ 
obj_t BgL_auxz00_9307;
BgL_auxz00_9307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)43596)), BGl_string3491z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4626); 
FAILURE(BgL_auxz00_9307,BFALSE,BFALSE);} 
BgL_tmpz00_9302 = 
BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_auxz00_9303); } 
return 
BBOOL(BgL_tmpz00_9302);} } 
BGL_FUNCTION_END;
}



/* ssl-connection-get-negotiated-protocol */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_107)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1081 */
{ /* Llib/ssl.scm 1081 */
obj_t BgL_method1303z00_1738;
{ /* Llib/ssl.scm 1081 */
obj_t BgL_res2574z00_3019;
{ /* Llib/ssl.scm 1081 */
long BgL_objzd2classzd2numz00_2992;
{ /* Llib/ssl.scm 1081 */
long BgL_res2568z00_2995;
BgL_res2568z00_2995 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_107)); 
BgL_objzd2classzd2numz00_2992 = BgL_res2568z00_2995; } 
{ /* Llib/ssl.scm 1081 */
obj_t BgL_arg1737z00_2993;
BgL_arg1737z00_2993 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1081 */
int BgL_offsetz00_2997;
BgL_offsetz00_2997 = 
(int)(BgL_objzd2classzd2numz00_2992); 
{ /* Llib/ssl.scm 1081 */
long BgL_offsetz00_2998;
BgL_offsetz00_2998 = 
(
(long)(BgL_offsetz00_2997)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1081 */
long BgL_modz00_2999;
{ /* Llib/ssl.scm 1081 */
int BgL_arg1739z00_3000;
BgL_arg1739z00_3000 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1081 */
long BgL_res2571z00_3010;
{ /* Llib/ssl.scm 1081 */
long BgL_tmpz00_9321;
BgL_tmpz00_9321 = 
(long)(BgL_arg1739z00_3000); 
BgL_res2571z00_3010 = 
(BgL_offsetz00_2998/BgL_tmpz00_9321); } 
BgL_modz00_2999 = BgL_res2571z00_3010; } } 
{ /* Llib/ssl.scm 1081 */
long BgL_restz00_3001;
{ /* Llib/ssl.scm 1081 */
int BgL_arg1738z00_3002;
BgL_arg1738z00_3002 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1081 */
long BgL_res2573z00_3014;
{ /* Llib/ssl.scm 1081 */
long BgL_tmpz00_9325;
BgL_tmpz00_9325 = 
(long)(BgL_arg1738z00_3002); 
BgL_res2573z00_3014 = 
(BgL_offsetz00_2998%BgL_tmpz00_9325); } 
BgL_restz00_3001 = BgL_res2573z00_3014; } } 
{ /* Llib/ssl.scm 1081 */

{ /* Llib/ssl.scm 1081 */
obj_t BgL_bucketz00_3003;
BgL_bucketz00_3003 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_2993),BgL_modz00_2999); 
BgL_res2574z00_3019 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3003),BgL_restz00_3001); } } } } } } } } 
BgL_method1303z00_1738 = BgL_res2574z00_3019; } 
return 
PROCEDURE_ENTRY(BgL_method1303z00_1738)(BgL_method1303z00_1738, 
((obj_t)BgL_sslz00_107), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-connection-get-negotiated-protocol */
obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t BgL_envz00_4627, obj_t BgL_sslz00_4628)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1081 */
{ /* Llib/ssl.scm 1081 */
BgL_sslzd2connectionzd2_bglt BgL_auxz00_9337;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslz00_4628, BGl_sslzd2connectionzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1081 */
BgL_auxz00_9337 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4628)
; }  else 
{ 
obj_t BgL_auxz00_9341;
BgL_auxz00_9341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)44022)), BGl_string3492z00zz__ssl_sslz00, BGl_string3474z00zz__ssl_sslz00, BgL_sslz00_4628); 
FAILURE(BgL_auxz00_9341,BFALSE,BFALSE);} 
return 
BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_auxz00_9337);} } 
BGL_FUNCTION_END;
}



/* &dh-init */
obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t BgL_envz00_4299, obj_t BgL_dhz00_4300)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1091 */
{ /* Llib/ssl.scm 1091 */
BgL_dhz00_bglt BgL_dhz00_5642;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4300, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1091 */
BgL_dhz00_5642 = 
((BgL_dhz00_bglt)BgL_dhz00_4300); }  else 
{ 
obj_t BgL_auxz00_9349;
BgL_auxz00_9349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)44437)), BGl_string3493z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4300); 
FAILURE(BgL_auxz00_9349,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1091 */
obj_t BgL_method1305z00_5643;
{ /* Llib/ssl.scm 1091 */
obj_t BgL_res2581z00_5644;
{ /* Llib/ssl.scm 1091 */
long BgL_objzd2classzd2numz00_5645;
{ /* Llib/ssl.scm 1091 */
long BgL_res2575z00_5646;
BgL_res2575z00_5646 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_5642)); 
BgL_objzd2classzd2numz00_5645 = BgL_res2575z00_5646; } 
{ /* Llib/ssl.scm 1091 */
obj_t BgL_arg1737z00_5647;
BgL_arg1737z00_5647 = 
PROCEDURE_REF(BGl_dhzd2initzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1091 */
int BgL_offsetz00_5648;
BgL_offsetz00_5648 = 
(int)(BgL_objzd2classzd2numz00_5645); 
{ /* Llib/ssl.scm 1091 */
long BgL_offsetz00_5649;
BgL_offsetz00_5649 = 
(
(long)(BgL_offsetz00_5648)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1091 */
long BgL_modz00_5650;
{ /* Llib/ssl.scm 1091 */
int BgL_arg1739z00_5651;
BgL_arg1739z00_5651 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1091 */
long BgL_res2578z00_5652;
{ /* Llib/ssl.scm 1091 */
long BgL_tmpz00_9361;
BgL_tmpz00_9361 = 
(long)(BgL_arg1739z00_5651); 
BgL_res2578z00_5652 = 
(BgL_offsetz00_5649/BgL_tmpz00_9361); } 
BgL_modz00_5650 = BgL_res2578z00_5652; } } 
{ /* Llib/ssl.scm 1091 */
long BgL_restz00_5653;
{ /* Llib/ssl.scm 1091 */
int BgL_arg1738z00_5654;
BgL_arg1738z00_5654 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1091 */
long BgL_res2580z00_5655;
{ /* Llib/ssl.scm 1091 */
long BgL_tmpz00_9365;
BgL_tmpz00_9365 = 
(long)(BgL_arg1738z00_5654); 
BgL_res2580z00_5655 = 
(BgL_offsetz00_5649%BgL_tmpz00_9365); } 
BgL_restz00_5653 = BgL_res2580z00_5655; } } 
{ /* Llib/ssl.scm 1091 */

{ /* Llib/ssl.scm 1091 */
obj_t BgL_bucketz00_5656;
BgL_bucketz00_5656 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_5647),BgL_modz00_5650); 
BgL_res2581z00_5644 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_5656),BgL_restz00_5653); } } } } } } } } 
BgL_method1305z00_5643 = BgL_res2581z00_5644; } 
return 
PROCEDURE_ENTRY(BgL_method1305z00_5643)(BgL_method1305z00_5643, 
((obj_t)BgL_dhz00_5642), BEOA);} } } 
BGL_FUNCTION_END;
}



/* dh-size */
BGL_EXPORTED_DEF int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_109)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1102 */
{ /* Llib/ssl.scm 1102 */
obj_t BgL_method1307z00_1740;
{ /* Llib/ssl.scm 1102 */
obj_t BgL_res2588z00_3077;
{ /* Llib/ssl.scm 1102 */
long BgL_objzd2classzd2numz00_3050;
{ /* Llib/ssl.scm 1102 */
long BgL_res2582z00_3053;
BgL_res2582z00_3053 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_109)); 
BgL_objzd2classzd2numz00_3050 = BgL_res2582z00_3053; } 
{ /* Llib/ssl.scm 1102 */
obj_t BgL_arg1737z00_3051;
BgL_arg1737z00_3051 = 
PROCEDURE_REF(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1102 */
int BgL_offsetz00_3055;
BgL_offsetz00_3055 = 
(int)(BgL_objzd2classzd2numz00_3050); 
{ /* Llib/ssl.scm 1102 */
long BgL_offsetz00_3056;
BgL_offsetz00_3056 = 
(
(long)(BgL_offsetz00_3055)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1102 */
long BgL_modz00_3057;
{ /* Llib/ssl.scm 1102 */
int BgL_arg1739z00_3058;
BgL_arg1739z00_3058 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1102 */
long BgL_res2585z00_3068;
{ /* Llib/ssl.scm 1102 */
long BgL_tmpz00_9385;
BgL_tmpz00_9385 = 
(long)(BgL_arg1739z00_3058); 
BgL_res2585z00_3068 = 
(BgL_offsetz00_3056/BgL_tmpz00_9385); } 
BgL_modz00_3057 = BgL_res2585z00_3068; } } 
{ /* Llib/ssl.scm 1102 */
long BgL_restz00_3059;
{ /* Llib/ssl.scm 1102 */
int BgL_arg1738z00_3060;
BgL_arg1738z00_3060 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1102 */
long BgL_res2587z00_3072;
{ /* Llib/ssl.scm 1102 */
long BgL_tmpz00_9389;
BgL_tmpz00_9389 = 
(long)(BgL_arg1738z00_3060); 
BgL_res2587z00_3072 = 
(BgL_offsetz00_3056%BgL_tmpz00_9389); } 
BgL_restz00_3059 = BgL_res2587z00_3072; } } 
{ /* Llib/ssl.scm 1102 */

{ /* Llib/ssl.scm 1102 */
obj_t BgL_bucketz00_3061;
BgL_bucketz00_3061 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3051),BgL_modz00_3057); 
BgL_res2588z00_3077 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3061),BgL_restz00_3059); } } } } } } } } 
BgL_method1307z00_1740 = BgL_res2588z00_3077; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1307z00_1740)(BgL_method1307z00_1740, 
((obj_t)BgL_dhz00_109), BEOA));} } 
BGL_FUNCTION_END;
}



/* &dh-size */
obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t BgL_envz00_4629, obj_t BgL_dhz00_4630)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1102 */
{ /* Llib/ssl.scm 1102 */
int BgL_tmpz00_9402;
{ /* Llib/ssl.scm 1102 */
BgL_dhz00_bglt BgL_auxz00_9403;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4630, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1102 */
BgL_auxz00_9403 = 
((BgL_dhz00_bglt)BgL_dhz00_4630)
; }  else 
{ 
obj_t BgL_auxz00_9407;
BgL_auxz00_9407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)44817)), BGl_string3495z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4630); 
FAILURE(BgL_auxz00_9407,BFALSE,BFALSE);} 
BgL_tmpz00_9402 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_auxz00_9403); } 
return 
BINT(BgL_tmpz00_9402);} } 
BGL_FUNCTION_END;
}



/* dh-generate-parameters-ex */
BGL_EXPORTED_DEF obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_110, int BgL_lenz00_111, obj_t BgL_generatorz00_112)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1110 */
{ /* Llib/ssl.scm 1110 */
obj_t BgL_method1309z00_1741;
{ /* Llib/ssl.scm 1110 */
obj_t BgL_res2595z00_3106;
{ /* Llib/ssl.scm 1110 */
long BgL_objzd2classzd2numz00_3079;
{ /* Llib/ssl.scm 1110 */
long BgL_res2589z00_3082;
BgL_res2589z00_3082 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_110)); 
BgL_objzd2classzd2numz00_3079 = BgL_res2589z00_3082; } 
{ /* Llib/ssl.scm 1110 */
obj_t BgL_arg1737z00_3080;
BgL_arg1737z00_3080 = 
PROCEDURE_REF(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1110 */
int BgL_offsetz00_3084;
BgL_offsetz00_3084 = 
(int)(BgL_objzd2classzd2numz00_3079); 
{ /* Llib/ssl.scm 1110 */
long BgL_offsetz00_3085;
BgL_offsetz00_3085 = 
(
(long)(BgL_offsetz00_3084)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1110 */
long BgL_modz00_3086;
{ /* Llib/ssl.scm 1110 */
int BgL_arg1739z00_3087;
BgL_arg1739z00_3087 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1110 */
long BgL_res2592z00_3097;
{ /* Llib/ssl.scm 1110 */
long BgL_tmpz00_9421;
BgL_tmpz00_9421 = 
(long)(BgL_arg1739z00_3087); 
BgL_res2592z00_3097 = 
(BgL_offsetz00_3085/BgL_tmpz00_9421); } 
BgL_modz00_3086 = BgL_res2592z00_3097; } } 
{ /* Llib/ssl.scm 1110 */
long BgL_restz00_3088;
{ /* Llib/ssl.scm 1110 */
int BgL_arg1738z00_3089;
BgL_arg1738z00_3089 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1110 */
long BgL_res2594z00_3101;
{ /* Llib/ssl.scm 1110 */
long BgL_tmpz00_9425;
BgL_tmpz00_9425 = 
(long)(BgL_arg1738z00_3089); 
BgL_res2594z00_3101 = 
(BgL_offsetz00_3085%BgL_tmpz00_9425); } 
BgL_restz00_3088 = BgL_res2594z00_3101; } } 
{ /* Llib/ssl.scm 1110 */

{ /* Llib/ssl.scm 1110 */
obj_t BgL_bucketz00_3090;
BgL_bucketz00_3090 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3080),BgL_modz00_3086); 
BgL_res2595z00_3106 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3090),BgL_restz00_3088); } } } } } } } } 
BgL_method1309z00_1741 = BgL_res2595z00_3106; } 
return 
PROCEDURE_ENTRY(BgL_method1309z00_1741)(BgL_method1309z00_1741, 
((obj_t)BgL_dhz00_110), 
BINT(BgL_lenz00_111), BgL_generatorz00_112, BEOA);} } 
BGL_FUNCTION_END;
}



/* &dh-generate-parameters-ex */
obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t BgL_envz00_4631, obj_t BgL_dhz00_4632, obj_t BgL_lenz00_4633, obj_t BgL_generatorz00_4634)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1110 */
{ /* Llib/ssl.scm 1110 */
obj_t BgL_auxz00_9457;int BgL_auxz00_9448;BgL_dhz00_bglt BgL_auxz00_9440;
if(
SYMBOLP(BgL_generatorz00_4634))
{ /* Llib/ssl.scm 1110 */
BgL_auxz00_9457 = BgL_generatorz00_4634
; }  else 
{ 
obj_t BgL_auxz00_9460;
BgL_auxz00_9460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)45181)), BGl_string3496z00zz__ssl_sslz00, BGl_string3497z00zz__ssl_sslz00, BgL_generatorz00_4634); 
FAILURE(BgL_auxz00_9460,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1110 */
obj_t BgL_tmpz00_9449;
if(
INTEGERP(BgL_lenz00_4633))
{ /* Llib/ssl.scm 1110 */
BgL_tmpz00_9449 = BgL_lenz00_4633
; }  else 
{ 
obj_t BgL_auxz00_9452;
BgL_auxz00_9452 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)45181)), BGl_string3496z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4633); 
FAILURE(BgL_auxz00_9452,BFALSE,BFALSE);} 
BgL_auxz00_9448 = 
CINT(BgL_tmpz00_9449); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4632, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1110 */
BgL_auxz00_9440 = 
((BgL_dhz00_bglt)BgL_dhz00_4632)
; }  else 
{ 
obj_t BgL_auxz00_9444;
BgL_auxz00_9444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)45181)), BGl_string3496z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4632); 
FAILURE(BgL_auxz00_9444,BFALSE,BFALSE);} 
return 
BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_auxz00_9440, BgL_auxz00_9448, BgL_auxz00_9457);} } 
BGL_FUNCTION_END;
}



/* dh-check */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_113)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1126 */
{ /* Llib/ssl.scm 1126 */
obj_t BgL_method1311z00_1742;
{ /* Llib/ssl.scm 1126 */
obj_t BgL_res2602z00_3135;
{ /* Llib/ssl.scm 1126 */
long BgL_objzd2classzd2numz00_3108;
{ /* Llib/ssl.scm 1126 */
long BgL_res2596z00_3111;
BgL_res2596z00_3111 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_113)); 
BgL_objzd2classzd2numz00_3108 = BgL_res2596z00_3111; } 
{ /* Llib/ssl.scm 1126 */
obj_t BgL_arg1737z00_3109;
BgL_arg1737z00_3109 = 
PROCEDURE_REF(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1126 */
int BgL_offsetz00_3113;
BgL_offsetz00_3113 = 
(int)(BgL_objzd2classzd2numz00_3108); 
{ /* Llib/ssl.scm 1126 */
long BgL_offsetz00_3114;
BgL_offsetz00_3114 = 
(
(long)(BgL_offsetz00_3113)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1126 */
long BgL_modz00_3115;
{ /* Llib/ssl.scm 1126 */
int BgL_arg1739z00_3116;
BgL_arg1739z00_3116 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1126 */
long BgL_res2599z00_3126;
{ /* Llib/ssl.scm 1126 */
long BgL_tmpz00_9473;
BgL_tmpz00_9473 = 
(long)(BgL_arg1739z00_3116); 
BgL_res2599z00_3126 = 
(BgL_offsetz00_3114/BgL_tmpz00_9473); } 
BgL_modz00_3115 = BgL_res2599z00_3126; } } 
{ /* Llib/ssl.scm 1126 */
long BgL_restz00_3117;
{ /* Llib/ssl.scm 1126 */
int BgL_arg1738z00_3118;
BgL_arg1738z00_3118 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1126 */
long BgL_res2601z00_3130;
{ /* Llib/ssl.scm 1126 */
long BgL_tmpz00_9477;
BgL_tmpz00_9477 = 
(long)(BgL_arg1738z00_3118); 
BgL_res2601z00_3130 = 
(BgL_offsetz00_3114%BgL_tmpz00_9477); } 
BgL_restz00_3117 = BgL_res2601z00_3130; } } 
{ /* Llib/ssl.scm 1126 */

{ /* Llib/ssl.scm 1126 */
obj_t BgL_bucketz00_3119;
BgL_bucketz00_3119 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3109),BgL_modz00_3115); 
BgL_res2602z00_3135 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3119),BgL_restz00_3117); } } } } } } } } 
BgL_method1311z00_1742 = BgL_res2602z00_3135; } 
return 
PROCEDURE_ENTRY(BgL_method1311z00_1742)(BgL_method1311z00_1742, 
((obj_t)BgL_dhz00_113), BEOA);} } 
BGL_FUNCTION_END;
}



/* &dh-check */
obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t BgL_envz00_4635, obj_t BgL_dhz00_4636)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1126 */
{ /* Llib/ssl.scm 1126 */
BgL_dhz00_bglt BgL_auxz00_9489;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4636, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1126 */
BgL_auxz00_9489 = 
((BgL_dhz00_bglt)BgL_dhz00_4636)
; }  else 
{ 
obj_t BgL_auxz00_9493;
BgL_auxz00_9493 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)45769)), BGl_string3498z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4636); 
FAILURE(BgL_auxz00_9493,BFALSE,BFALSE);} 
return 
BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_auxz00_9489);} } 
BGL_FUNCTION_END;
}



/* dh-check-pub-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_114, obj_t BgL_keyz00_115)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1137 */
{ /* Llib/ssl.scm 1137 */
obj_t BgL_method1313z00_1743;
{ /* Llib/ssl.scm 1137 */
obj_t BgL_res2609z00_3164;
{ /* Llib/ssl.scm 1137 */
long BgL_objzd2classzd2numz00_3137;
{ /* Llib/ssl.scm 1137 */
long BgL_res2603z00_3140;
BgL_res2603z00_3140 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_114)); 
BgL_objzd2classzd2numz00_3137 = BgL_res2603z00_3140; } 
{ /* Llib/ssl.scm 1137 */
obj_t BgL_arg1737z00_3138;
BgL_arg1737z00_3138 = 
PROCEDURE_REF(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1137 */
int BgL_offsetz00_3142;
BgL_offsetz00_3142 = 
(int)(BgL_objzd2classzd2numz00_3137); 
{ /* Llib/ssl.scm 1137 */
long BgL_offsetz00_3143;
BgL_offsetz00_3143 = 
(
(long)(BgL_offsetz00_3142)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1137 */
long BgL_modz00_3144;
{ /* Llib/ssl.scm 1137 */
int BgL_arg1739z00_3145;
BgL_arg1739z00_3145 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1137 */
long BgL_res2606z00_3155;
{ /* Llib/ssl.scm 1137 */
long BgL_tmpz00_9506;
BgL_tmpz00_9506 = 
(long)(BgL_arg1739z00_3145); 
BgL_res2606z00_3155 = 
(BgL_offsetz00_3143/BgL_tmpz00_9506); } 
BgL_modz00_3144 = BgL_res2606z00_3155; } } 
{ /* Llib/ssl.scm 1137 */
long BgL_restz00_3146;
{ /* Llib/ssl.scm 1137 */
int BgL_arg1738z00_3147;
BgL_arg1738z00_3147 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1137 */
long BgL_res2608z00_3159;
{ /* Llib/ssl.scm 1137 */
long BgL_tmpz00_9510;
BgL_tmpz00_9510 = 
(long)(BgL_arg1738z00_3147); 
BgL_res2608z00_3159 = 
(BgL_offsetz00_3143%BgL_tmpz00_9510); } 
BgL_restz00_3146 = BgL_res2608z00_3159; } } 
{ /* Llib/ssl.scm 1137 */

{ /* Llib/ssl.scm 1137 */
obj_t BgL_bucketz00_3148;
BgL_bucketz00_3148 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3138),BgL_modz00_3144); 
BgL_res2609z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3148),BgL_restz00_3146); } } } } } } } } 
BgL_method1313z00_1743 = BgL_res2609z00_3164; } 
return 
PROCEDURE_ENTRY(BgL_method1313z00_1743)(BgL_method1313z00_1743, 
((obj_t)BgL_dhz00_114), BgL_keyz00_115, BEOA);} } 
BGL_FUNCTION_END;
}



/* &dh-check-pub-key */
obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t BgL_envz00_4637, obj_t BgL_dhz00_4638, obj_t BgL_keyz00_4639)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1137 */
{ /* Llib/ssl.scm 1137 */
obj_t BgL_auxz00_9531;BgL_dhz00_bglt BgL_auxz00_9523;
if(
FOREIGNP(BgL_keyz00_4639))
{ /* Llib/ssl.scm 1137 */
BgL_auxz00_9531 = BgL_keyz00_4639
; }  else 
{ 
obj_t BgL_auxz00_9534;
BgL_auxz00_9534 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)46149)), BGl_string3499z00zz__ssl_sslz00, BGl_string3165z00zz__ssl_sslz00, BgL_keyz00_4639); 
FAILURE(BgL_auxz00_9534,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4638, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1137 */
BgL_auxz00_9523 = 
((BgL_dhz00_bglt)BgL_dhz00_4638)
; }  else 
{ 
obj_t BgL_auxz00_9527;
BgL_auxz00_9527 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)46149)), BGl_string3499z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4638); 
FAILURE(BgL_auxz00_9527,BFALSE,BFALSE);} 
return 
BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_auxz00_9523, BgL_auxz00_9531);} } 
BGL_FUNCTION_END;
}



/* dh-compute-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_116, obj_t BgL_keyz00_117)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1148 */
{ /* Llib/ssl.scm 1148 */
obj_t BgL_method1315z00_1744;
{ /* Llib/ssl.scm 1148 */
obj_t BgL_res2616z00_3193;
{ /* Llib/ssl.scm 1148 */
long BgL_objzd2classzd2numz00_3166;
{ /* Llib/ssl.scm 1148 */
long BgL_res2610z00_3169;
BgL_res2610z00_3169 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_116)); 
BgL_objzd2classzd2numz00_3166 = BgL_res2610z00_3169; } 
{ /* Llib/ssl.scm 1148 */
obj_t BgL_arg1737z00_3167;
BgL_arg1737z00_3167 = 
PROCEDURE_REF(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1148 */
int BgL_offsetz00_3171;
BgL_offsetz00_3171 = 
(int)(BgL_objzd2classzd2numz00_3166); 
{ /* Llib/ssl.scm 1148 */
long BgL_offsetz00_3172;
BgL_offsetz00_3172 = 
(
(long)(BgL_offsetz00_3171)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1148 */
long BgL_modz00_3173;
{ /* Llib/ssl.scm 1148 */
int BgL_arg1739z00_3174;
BgL_arg1739z00_3174 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1148 */
long BgL_res2613z00_3184;
{ /* Llib/ssl.scm 1148 */
long BgL_tmpz00_9547;
BgL_tmpz00_9547 = 
(long)(BgL_arg1739z00_3174); 
BgL_res2613z00_3184 = 
(BgL_offsetz00_3172/BgL_tmpz00_9547); } 
BgL_modz00_3173 = BgL_res2613z00_3184; } } 
{ /* Llib/ssl.scm 1148 */
long BgL_restz00_3175;
{ /* Llib/ssl.scm 1148 */
int BgL_arg1738z00_3176;
BgL_arg1738z00_3176 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1148 */
long BgL_res2615z00_3188;
{ /* Llib/ssl.scm 1148 */
long BgL_tmpz00_9551;
BgL_tmpz00_9551 = 
(long)(BgL_arg1738z00_3176); 
BgL_res2615z00_3188 = 
(BgL_offsetz00_3172%BgL_tmpz00_9551); } 
BgL_restz00_3175 = BgL_res2615z00_3188; } } 
{ /* Llib/ssl.scm 1148 */

{ /* Llib/ssl.scm 1148 */
obj_t BgL_bucketz00_3177;
BgL_bucketz00_3177 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3167),BgL_modz00_3173); 
BgL_res2616z00_3193 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3177),BgL_restz00_3175); } } } } } } } } 
BgL_method1315z00_1744 = BgL_res2616z00_3193; } 
return 
PROCEDURE_ENTRY(BgL_method1315z00_1744)(BgL_method1315z00_1744, 
((obj_t)BgL_dhz00_116), BgL_keyz00_117, BEOA);} } 
BGL_FUNCTION_END;
}



/* &dh-compute-key */
obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4640, obj_t BgL_dhz00_4641, obj_t BgL_keyz00_4642)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1148 */
{ /* Llib/ssl.scm 1148 */
obj_t BgL_auxz00_9572;BgL_dhz00_bglt BgL_auxz00_9564;
if(
FOREIGNP(BgL_keyz00_4642))
{ /* Llib/ssl.scm 1148 */
BgL_auxz00_9572 = BgL_keyz00_4642
; }  else 
{ 
obj_t BgL_auxz00_9575;
BgL_auxz00_9575 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)46577)), BGl_string3500z00zz__ssl_sslz00, BGl_string3165z00zz__ssl_sslz00, BgL_keyz00_4642); 
FAILURE(BgL_auxz00_9575,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4641, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1148 */
BgL_auxz00_9564 = 
((BgL_dhz00_bglt)BgL_dhz00_4641)
; }  else 
{ 
obj_t BgL_auxz00_9568;
BgL_auxz00_9568 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)46577)), BGl_string3500z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4641); 
FAILURE(BgL_auxz00_9568,BFALSE,BFALSE);} 
return 
BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_auxz00_9564, BgL_auxz00_9572);} } 
BGL_FUNCTION_END;
}



/* dh-generate-key */
BGL_EXPORTED_DEF bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_118)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1174 */
{ /* Llib/ssl.scm 1174 */
obj_t BgL_method1317z00_1745;
{ /* Llib/ssl.scm 1174 */
obj_t BgL_res2623z00_3222;
{ /* Llib/ssl.scm 1174 */
long BgL_objzd2classzd2numz00_3195;
{ /* Llib/ssl.scm 1174 */
long BgL_res2617z00_3198;
BgL_res2617z00_3198 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_118)); 
BgL_objzd2classzd2numz00_3195 = BgL_res2617z00_3198; } 
{ /* Llib/ssl.scm 1174 */
obj_t BgL_arg1737z00_3196;
BgL_arg1737z00_3196 = 
PROCEDURE_REF(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1174 */
int BgL_offsetz00_3200;
BgL_offsetz00_3200 = 
(int)(BgL_objzd2classzd2numz00_3195); 
{ /* Llib/ssl.scm 1174 */
long BgL_offsetz00_3201;
BgL_offsetz00_3201 = 
(
(long)(BgL_offsetz00_3200)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1174 */
long BgL_modz00_3202;
{ /* Llib/ssl.scm 1174 */
int BgL_arg1739z00_3203;
BgL_arg1739z00_3203 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1174 */
long BgL_res2620z00_3213;
{ /* Llib/ssl.scm 1174 */
long BgL_tmpz00_9588;
BgL_tmpz00_9588 = 
(long)(BgL_arg1739z00_3203); 
BgL_res2620z00_3213 = 
(BgL_offsetz00_3201/BgL_tmpz00_9588); } 
BgL_modz00_3202 = BgL_res2620z00_3213; } } 
{ /* Llib/ssl.scm 1174 */
long BgL_restz00_3204;
{ /* Llib/ssl.scm 1174 */
int BgL_arg1738z00_3205;
BgL_arg1738z00_3205 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1174 */
long BgL_res2622z00_3217;
{ /* Llib/ssl.scm 1174 */
long BgL_tmpz00_9592;
BgL_tmpz00_9592 = 
(long)(BgL_arg1738z00_3205); 
BgL_res2622z00_3217 = 
(BgL_offsetz00_3201%BgL_tmpz00_9592); } 
BgL_restz00_3204 = BgL_res2622z00_3217; } } 
{ /* Llib/ssl.scm 1174 */

{ /* Llib/ssl.scm 1174 */
obj_t BgL_bucketz00_3206;
BgL_bucketz00_3206 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3196),BgL_modz00_3202); 
BgL_res2623z00_3222 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3206),BgL_restz00_3204); } } } } } } } } 
BgL_method1317z00_1745 = BgL_res2623z00_3222; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1317z00_1745)(BgL_method1317z00_1745, 
((obj_t)BgL_dhz00_118), BEOA));} } 
BGL_FUNCTION_END;
}



/* &dh-generate-key */
obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4643, obj_t BgL_dhz00_4644)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1174 */
{ /* Llib/ssl.scm 1174 */
bool_t BgL_tmpz00_9605;
{ /* Llib/ssl.scm 1174 */
BgL_dhz00_bglt BgL_auxz00_9606;
if(
BGl_isazf3zf3zz__objectz00(BgL_dhz00_4644, BGl_dhz00zz__ssl_sslz00))
{ /* Llib/ssl.scm 1174 */
BgL_auxz00_9606 = 
((BgL_dhz00_bglt)BgL_dhz00_4644)
; }  else 
{ 
obj_t BgL_auxz00_9610;
BgL_auxz00_9610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)47374)), BGl_string3501z00zz__ssl_sslz00, BGl_string3494z00zz__ssl_sslz00, BgL_dhz00_4644); 
FAILURE(BgL_auxz00_9610,BFALSE,BFALSE);} 
BgL_tmpz00_9605 = 
BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_auxz00_9606); } 
return 
BBOOL(BgL_tmpz00_9605);} } 
BGL_FUNCTION_END;
}



/* ssl-hash-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_119)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1185 */
{ /* Llib/ssl.scm 1185 */
obj_t BgL_method1319z00_1746;
{ /* Llib/ssl.scm 1185 */
obj_t BgL_res2630z00_3251;
{ /* Llib/ssl.scm 1185 */
long BgL_objzd2classzd2numz00_3224;
{ /* Llib/ssl.scm 1185 */
long BgL_res2624z00_3227;
BgL_res2624z00_3227 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_119)); 
BgL_objzd2classzd2numz00_3224 = BgL_res2624z00_3227; } 
{ /* Llib/ssl.scm 1185 */
obj_t BgL_arg1737z00_3225;
BgL_arg1737z00_3225 = 
PROCEDURE_REF(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1185 */
int BgL_offsetz00_3229;
BgL_offsetz00_3229 = 
(int)(BgL_objzd2classzd2numz00_3224); 
{ /* Llib/ssl.scm 1185 */
long BgL_offsetz00_3230;
BgL_offsetz00_3230 = 
(
(long)(BgL_offsetz00_3229)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1185 */
long BgL_modz00_3231;
{ /* Llib/ssl.scm 1185 */
int BgL_arg1739z00_3232;
BgL_arg1739z00_3232 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1185 */
long BgL_res2627z00_3242;
{ /* Llib/ssl.scm 1185 */
long BgL_tmpz00_9624;
BgL_tmpz00_9624 = 
(long)(BgL_arg1739z00_3232); 
BgL_res2627z00_3242 = 
(BgL_offsetz00_3230/BgL_tmpz00_9624); } 
BgL_modz00_3231 = BgL_res2627z00_3242; } } 
{ /* Llib/ssl.scm 1185 */
long BgL_restz00_3233;
{ /* Llib/ssl.scm 1185 */
int BgL_arg1738z00_3234;
BgL_arg1738z00_3234 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1185 */
long BgL_res2629z00_3246;
{ /* Llib/ssl.scm 1185 */
long BgL_tmpz00_9628;
BgL_tmpz00_9628 = 
(long)(BgL_arg1738z00_3234); 
BgL_res2629z00_3246 = 
(BgL_offsetz00_3230%BgL_tmpz00_9628); } 
BgL_restz00_3233 = BgL_res2629z00_3246; } } 
{ /* Llib/ssl.scm 1185 */

{ /* Llib/ssl.scm 1185 */
obj_t BgL_bucketz00_3235;
BgL_bucketz00_3235 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3225),BgL_modz00_3231); 
BgL_res2630z00_3251 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3235),BgL_restz00_3233); } } } } } } } } 
BgL_method1319z00_1746 = BgL_res2630z00_3251; } 
return 
PROCEDURE_ENTRY(BgL_method1319z00_1746)(BgL_method1319z00_1746, 
((obj_t)BgL_sslzd2hashzd2_119), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-hash-init */
obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4301, obj_t BgL_sslzd2hashzd2_4302)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1185 */
{ /* Llib/ssl.scm 1185 */
BgL_sslzd2hashzd2_bglt BgL_auxz00_9640;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hashzd2_4302, BGl_sslzd2hashzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1185 */
BgL_auxz00_9640 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4302)
; }  else 
{ 
obj_t BgL_auxz00_9644;
BgL_auxz00_9644 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)47781)), BGl_string3502z00zz__ssl_sslz00, BGl_string3460z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4302); 
FAILURE(BgL_auxz00_9644,BFALSE,BFALSE);} 
return 
BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_auxz00_9640);} } 
BGL_FUNCTION_END;
}



/* ssl-hash-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_120, obj_t BgL_dataz00_121, long BgL_offsetz00_122, long BgL_lenz00_123)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1197 */
{ /* Llib/ssl.scm 1197 */
obj_t BgL_method1321z00_1747;
{ /* Llib/ssl.scm 1197 */
obj_t BgL_res2637z00_3280;
{ /* Llib/ssl.scm 1197 */
long BgL_objzd2classzd2numz00_3253;
{ /* Llib/ssl.scm 1197 */
long BgL_res2631z00_3256;
BgL_res2631z00_3256 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_120)); 
BgL_objzd2classzd2numz00_3253 = BgL_res2631z00_3256; } 
{ /* Llib/ssl.scm 1197 */
obj_t BgL_arg1737z00_3254;
BgL_arg1737z00_3254 = 
PROCEDURE_REF(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1197 */
int BgL_offsetz00_3258;
BgL_offsetz00_3258 = 
(int)(BgL_objzd2classzd2numz00_3253); 
{ /* Llib/ssl.scm 1197 */
long BgL_offsetz00_3259;
BgL_offsetz00_3259 = 
(
(long)(BgL_offsetz00_3258)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1197 */
long BgL_modz00_3260;
{ /* Llib/ssl.scm 1197 */
int BgL_arg1739z00_3261;
BgL_arg1739z00_3261 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1197 */
long BgL_res2634z00_3271;
{ /* Llib/ssl.scm 1197 */
long BgL_tmpz00_9657;
BgL_tmpz00_9657 = 
(long)(BgL_arg1739z00_3261); 
BgL_res2634z00_3271 = 
(BgL_offsetz00_3259/BgL_tmpz00_9657); } 
BgL_modz00_3260 = BgL_res2634z00_3271; } } 
{ /* Llib/ssl.scm 1197 */
long BgL_restz00_3262;
{ /* Llib/ssl.scm 1197 */
int BgL_arg1738z00_3263;
BgL_arg1738z00_3263 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1197 */
long BgL_res2636z00_3275;
{ /* Llib/ssl.scm 1197 */
long BgL_tmpz00_9661;
BgL_tmpz00_9661 = 
(long)(BgL_arg1738z00_3263); 
BgL_res2636z00_3275 = 
(BgL_offsetz00_3259%BgL_tmpz00_9661); } 
BgL_restz00_3262 = BgL_res2636z00_3275; } } 
{ /* Llib/ssl.scm 1197 */

{ /* Llib/ssl.scm 1197 */
obj_t BgL_bucketz00_3264;
BgL_bucketz00_3264 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3254),BgL_modz00_3260); 
BgL_res2637z00_3280 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3264),BgL_restz00_3262); } } } } } } } } 
BgL_method1321z00_1747 = BgL_res2637z00_3280; } 
return 
PROCEDURE_ENTRY(BgL_method1321z00_1747)(BgL_method1321z00_1747, 
((obj_t)BgL_sslzd2hashzd2_120), BgL_dataz00_121, 
BINT(BgL_offsetz00_122), 
BINT(BgL_lenz00_123), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-hash-update! */
obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4645, obj_t BgL_sslzd2hashzd2_4646, obj_t BgL_dataz00_4647, obj_t BgL_offsetz00_4648, obj_t BgL_lenz00_4649)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1197 */
{ /* Llib/ssl.scm 1197 */
long BgL_auxz00_9702;long BgL_auxz00_9693;obj_t BgL_auxz00_9686;BgL_sslzd2hashzd2_bglt BgL_auxz00_9678;
{ /* Llib/ssl.scm 1197 */
obj_t BgL_tmpz00_9703;
if(
INTEGERP(BgL_lenz00_4649))
{ /* Llib/ssl.scm 1197 */
BgL_tmpz00_9703 = BgL_lenz00_4649
; }  else 
{ 
obj_t BgL_auxz00_9706;
BgL_auxz00_9706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)48236)), BGl_string3503z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4649); 
FAILURE(BgL_auxz00_9706,BFALSE,BFALSE);} 
BgL_auxz00_9702 = 
(long)CINT(BgL_tmpz00_9703); } 
{ /* Llib/ssl.scm 1197 */
obj_t BgL_tmpz00_9694;
if(
INTEGERP(BgL_offsetz00_4648))
{ /* Llib/ssl.scm 1197 */
BgL_tmpz00_9694 = BgL_offsetz00_4648
; }  else 
{ 
obj_t BgL_auxz00_9697;
BgL_auxz00_9697 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)48236)), BGl_string3503z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4648); 
FAILURE(BgL_auxz00_9697,BFALSE,BFALSE);} 
BgL_auxz00_9693 = 
(long)CINT(BgL_tmpz00_9694); } 
if(
STRINGP(BgL_dataz00_4647))
{ /* Llib/ssl.scm 1197 */
BgL_auxz00_9686 = BgL_dataz00_4647
; }  else 
{ 
obj_t BgL_auxz00_9689;
BgL_auxz00_9689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)48236)), BGl_string3503z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_dataz00_4647); 
FAILURE(BgL_auxz00_9689,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hashzd2_4646, BGl_sslzd2hashzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1197 */
BgL_auxz00_9678 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4646)
; }  else 
{ 
obj_t BgL_auxz00_9682;
BgL_auxz00_9682 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)48236)), BGl_string3503z00zz__ssl_sslz00, BGl_string3460z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4646); 
FAILURE(BgL_auxz00_9682,BFALSE,BFALSE);} 
return 
BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_9678, BgL_auxz00_9686, BgL_auxz00_9693, BgL_auxz00_9702);} } 
BGL_FUNCTION_END;
}



/* ssl-hash-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_124)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1209 */
{ /* Llib/ssl.scm 1209 */
obj_t BgL_method1323z00_1748;
{ /* Llib/ssl.scm 1209 */
obj_t BgL_res2644z00_3309;
{ /* Llib/ssl.scm 1209 */
long BgL_objzd2classzd2numz00_3282;
{ /* Llib/ssl.scm 1209 */
long BgL_res2638z00_3285;
BgL_res2638z00_3285 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_124)); 
BgL_objzd2classzd2numz00_3282 = BgL_res2638z00_3285; } 
{ /* Llib/ssl.scm 1209 */
obj_t BgL_arg1737z00_3283;
BgL_arg1737z00_3283 = 
PROCEDURE_REF(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1209 */
int BgL_offsetz00_3287;
BgL_offsetz00_3287 = 
(int)(BgL_objzd2classzd2numz00_3282); 
{ /* Llib/ssl.scm 1209 */
long BgL_offsetz00_3288;
BgL_offsetz00_3288 = 
(
(long)(BgL_offsetz00_3287)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1209 */
long BgL_modz00_3289;
{ /* Llib/ssl.scm 1209 */
int BgL_arg1739z00_3290;
BgL_arg1739z00_3290 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1209 */
long BgL_res2641z00_3300;
{ /* Llib/ssl.scm 1209 */
long BgL_tmpz00_9720;
BgL_tmpz00_9720 = 
(long)(BgL_arg1739z00_3290); 
BgL_res2641z00_3300 = 
(BgL_offsetz00_3288/BgL_tmpz00_9720); } 
BgL_modz00_3289 = BgL_res2641z00_3300; } } 
{ /* Llib/ssl.scm 1209 */
long BgL_restz00_3291;
{ /* Llib/ssl.scm 1209 */
int BgL_arg1738z00_3292;
BgL_arg1738z00_3292 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1209 */
long BgL_res2643z00_3304;
{ /* Llib/ssl.scm 1209 */
long BgL_tmpz00_9724;
BgL_tmpz00_9724 = 
(long)(BgL_arg1738z00_3292); 
BgL_res2643z00_3304 = 
(BgL_offsetz00_3288%BgL_tmpz00_9724); } 
BgL_restz00_3291 = BgL_res2643z00_3304; } } 
{ /* Llib/ssl.scm 1209 */

{ /* Llib/ssl.scm 1209 */
obj_t BgL_bucketz00_3293;
BgL_bucketz00_3293 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3283),BgL_modz00_3289); 
BgL_res2644z00_3309 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3293),BgL_restz00_3291); } } } } } } } } 
BgL_method1323z00_1748 = BgL_res2644z00_3309; } 
return 
PROCEDURE_ENTRY(BgL_method1323z00_1748)(BgL_method1323z00_1748, 
((obj_t)BgL_sslzd2hashzd2_124), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-hash-digest */
obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4650, obj_t BgL_sslzd2hashzd2_4651)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1209 */
{ /* Llib/ssl.scm 1209 */
BgL_sslzd2hashzd2_bglt BgL_auxz00_9736;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hashzd2_4651, BGl_sslzd2hashzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1209 */
BgL_auxz00_9736 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4651)
; }  else 
{ 
obj_t BgL_auxz00_9740;
BgL_auxz00_9740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)48732)), BGl_string3504z00zz__ssl_sslz00, BGl_string3460z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4651); 
FAILURE(BgL_auxz00_9740,BFALSE,BFALSE);} 
return 
BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_auxz00_9736);} } 
BGL_FUNCTION_END;
}



/* ssl-hmac-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_125, obj_t BgL_hmacz00_126, obj_t BgL_keyz00_127)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1220 */
{ /* Llib/ssl.scm 1220 */
obj_t BgL_method1325z00_1749;
{ /* Llib/ssl.scm 1220 */
obj_t BgL_res2651z00_3338;
{ /* Llib/ssl.scm 1220 */
long BgL_objzd2classzd2numz00_3311;
{ /* Llib/ssl.scm 1220 */
long BgL_res2645z00_3314;
BgL_res2645z00_3314 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_125)); 
BgL_objzd2classzd2numz00_3311 = BgL_res2645z00_3314; } 
{ /* Llib/ssl.scm 1220 */
obj_t BgL_arg1737z00_3312;
BgL_arg1737z00_3312 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1220 */
int BgL_offsetz00_3316;
BgL_offsetz00_3316 = 
(int)(BgL_objzd2classzd2numz00_3311); 
{ /* Llib/ssl.scm 1220 */
long BgL_offsetz00_3317;
BgL_offsetz00_3317 = 
(
(long)(BgL_offsetz00_3316)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1220 */
long BgL_modz00_3318;
{ /* Llib/ssl.scm 1220 */
int BgL_arg1739z00_3319;
BgL_arg1739z00_3319 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1220 */
long BgL_res2648z00_3329;
{ /* Llib/ssl.scm 1220 */
long BgL_tmpz00_9753;
BgL_tmpz00_9753 = 
(long)(BgL_arg1739z00_3319); 
BgL_res2648z00_3329 = 
(BgL_offsetz00_3317/BgL_tmpz00_9753); } 
BgL_modz00_3318 = BgL_res2648z00_3329; } } 
{ /* Llib/ssl.scm 1220 */
long BgL_restz00_3320;
{ /* Llib/ssl.scm 1220 */
int BgL_arg1738z00_3321;
BgL_arg1738z00_3321 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1220 */
long BgL_res2650z00_3333;
{ /* Llib/ssl.scm 1220 */
long BgL_tmpz00_9757;
BgL_tmpz00_9757 = 
(long)(BgL_arg1738z00_3321); 
BgL_res2650z00_3333 = 
(BgL_offsetz00_3317%BgL_tmpz00_9757); } 
BgL_restz00_3320 = BgL_res2650z00_3333; } } 
{ /* Llib/ssl.scm 1220 */

{ /* Llib/ssl.scm 1220 */
obj_t BgL_bucketz00_3322;
BgL_bucketz00_3322 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3312),BgL_modz00_3318); 
BgL_res2651z00_3338 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3322),BgL_restz00_3320); } } } } } } } } 
BgL_method1325z00_1749 = BgL_res2651z00_3338; } 
return 
PROCEDURE_ENTRY(BgL_method1325z00_1749)(BgL_method1325z00_1749, 
((obj_t)BgL_sslzd2hmaczd2_125), BgL_hmacz00_126, BgL_keyz00_127, BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-hmac-init */
obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4652, obj_t BgL_sslzd2hmaczd2_4653, obj_t BgL_hmacz00_4654, obj_t BgL_keyz00_4655)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1220 */
{ /* Llib/ssl.scm 1220 */
obj_t BgL_auxz00_9786;obj_t BgL_auxz00_9779;BgL_sslzd2hmaczd2_bglt BgL_auxz00_9771;
if(
STRINGP(BgL_keyz00_4655))
{ /* Llib/ssl.scm 1220 */
BgL_auxz00_9786 = BgL_keyz00_4655
; }  else 
{ 
obj_t BgL_auxz00_9789;
BgL_auxz00_9789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49178)), BGl_string3505z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_keyz00_4655); 
FAILURE(BgL_auxz00_9789,BFALSE,BFALSE);} 
if(
STRINGP(BgL_hmacz00_4654))
{ /* Llib/ssl.scm 1220 */
BgL_auxz00_9779 = BgL_hmacz00_4654
; }  else 
{ 
obj_t BgL_auxz00_9782;
BgL_auxz00_9782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49178)), BGl_string3505z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_hmacz00_4654); 
FAILURE(BgL_auxz00_9782,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hmaczd2_4653, BGl_sslzd2hmaczd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1220 */
BgL_auxz00_9771 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4653)
; }  else 
{ 
obj_t BgL_auxz00_9775;
BgL_auxz00_9775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49178)), BGl_string3505z00zz__ssl_sslz00, BGl_string3456z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4653); 
FAILURE(BgL_auxz00_9775,BFALSE,BFALSE);} 
return 
BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_auxz00_9771, BgL_auxz00_9779, BgL_auxz00_9786);} } 
BGL_FUNCTION_END;
}



/* ssl-hmac-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_128, obj_t BgL_dataz00_129, long BgL_offsetz00_130, long BgL_lenz00_131)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1232 */
{ /* Llib/ssl.scm 1232 */
obj_t BgL_method1327z00_1750;
{ /* Llib/ssl.scm 1232 */
obj_t BgL_res2658z00_3367;
{ /* Llib/ssl.scm 1232 */
long BgL_objzd2classzd2numz00_3340;
{ /* Llib/ssl.scm 1232 */
long BgL_res2652z00_3343;
BgL_res2652z00_3343 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_128)); 
BgL_objzd2classzd2numz00_3340 = BgL_res2652z00_3343; } 
{ /* Llib/ssl.scm 1232 */
obj_t BgL_arg1737z00_3341;
BgL_arg1737z00_3341 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1232 */
int BgL_offsetz00_3345;
BgL_offsetz00_3345 = 
(int)(BgL_objzd2classzd2numz00_3340); 
{ /* Llib/ssl.scm 1232 */
long BgL_offsetz00_3346;
BgL_offsetz00_3346 = 
(
(long)(BgL_offsetz00_3345)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1232 */
long BgL_modz00_3347;
{ /* Llib/ssl.scm 1232 */
int BgL_arg1739z00_3348;
BgL_arg1739z00_3348 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1232 */
long BgL_res2655z00_3358;
{ /* Llib/ssl.scm 1232 */
long BgL_tmpz00_9802;
BgL_tmpz00_9802 = 
(long)(BgL_arg1739z00_3348); 
BgL_res2655z00_3358 = 
(BgL_offsetz00_3346/BgL_tmpz00_9802); } 
BgL_modz00_3347 = BgL_res2655z00_3358; } } 
{ /* Llib/ssl.scm 1232 */
long BgL_restz00_3349;
{ /* Llib/ssl.scm 1232 */
int BgL_arg1738z00_3350;
BgL_arg1738z00_3350 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1232 */
long BgL_res2657z00_3362;
{ /* Llib/ssl.scm 1232 */
long BgL_tmpz00_9806;
BgL_tmpz00_9806 = 
(long)(BgL_arg1738z00_3350); 
BgL_res2657z00_3362 = 
(BgL_offsetz00_3346%BgL_tmpz00_9806); } 
BgL_restz00_3349 = BgL_res2657z00_3362; } } 
{ /* Llib/ssl.scm 1232 */

{ /* Llib/ssl.scm 1232 */
obj_t BgL_bucketz00_3351;
BgL_bucketz00_3351 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3341),BgL_modz00_3347); 
BgL_res2658z00_3367 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3351),BgL_restz00_3349); } } } } } } } } 
BgL_method1327z00_1750 = BgL_res2658z00_3367; } 
return 
PROCEDURE_ENTRY(BgL_method1327z00_1750)(BgL_method1327z00_1750, 
((obj_t)BgL_sslzd2hmaczd2_128), BgL_dataz00_129, 
BINT(BgL_offsetz00_130), 
BINT(BgL_lenz00_131), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-hmac-update! */
obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4656, obj_t BgL_sslzd2hmaczd2_4657, obj_t BgL_dataz00_4658, obj_t BgL_offsetz00_4659, obj_t BgL_lenz00_4660)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1232 */
{ /* Llib/ssl.scm 1232 */
long BgL_auxz00_9847;long BgL_auxz00_9838;obj_t BgL_auxz00_9831;BgL_sslzd2hmaczd2_bglt BgL_auxz00_9823;
{ /* Llib/ssl.scm 1232 */
obj_t BgL_tmpz00_9848;
if(
INTEGERP(BgL_lenz00_4660))
{ /* Llib/ssl.scm 1232 */
BgL_tmpz00_9848 = BgL_lenz00_4660
; }  else 
{ 
obj_t BgL_auxz00_9851;
BgL_auxz00_9851 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49647)), BGl_string3506z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4660); 
FAILURE(BgL_auxz00_9851,BFALSE,BFALSE);} 
BgL_auxz00_9847 = 
(long)CINT(BgL_tmpz00_9848); } 
{ /* Llib/ssl.scm 1232 */
obj_t BgL_tmpz00_9839;
if(
INTEGERP(BgL_offsetz00_4659))
{ /* Llib/ssl.scm 1232 */
BgL_tmpz00_9839 = BgL_offsetz00_4659
; }  else 
{ 
obj_t BgL_auxz00_9842;
BgL_auxz00_9842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49647)), BGl_string3506z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4659); 
FAILURE(BgL_auxz00_9842,BFALSE,BFALSE);} 
BgL_auxz00_9838 = 
(long)CINT(BgL_tmpz00_9839); } 
if(
STRINGP(BgL_dataz00_4658))
{ /* Llib/ssl.scm 1232 */
BgL_auxz00_9831 = BgL_dataz00_4658
; }  else 
{ 
obj_t BgL_auxz00_9834;
BgL_auxz00_9834 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49647)), BGl_string3506z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_dataz00_4658); 
FAILURE(BgL_auxz00_9834,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hmaczd2_4657, BGl_sslzd2hmaczd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1232 */
BgL_auxz00_9823 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4657)
; }  else 
{ 
obj_t BgL_auxz00_9827;
BgL_auxz00_9827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)49647)), BGl_string3506z00zz__ssl_sslz00, BGl_string3456z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4657); 
FAILURE(BgL_auxz00_9827,BFALSE,BFALSE);} 
return 
BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_auxz00_9823, BgL_auxz00_9831, BgL_auxz00_9838, BgL_auxz00_9847);} } 
BGL_FUNCTION_END;
}



/* ssl-hmac-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_132)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1244 */
{ /* Llib/ssl.scm 1244 */
obj_t BgL_method1329z00_1751;
{ /* Llib/ssl.scm 1244 */
obj_t BgL_res2665z00_3396;
{ /* Llib/ssl.scm 1244 */
long BgL_objzd2classzd2numz00_3369;
{ /* Llib/ssl.scm 1244 */
long BgL_res2659z00_3372;
BgL_res2659z00_3372 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_132)); 
BgL_objzd2classzd2numz00_3369 = BgL_res2659z00_3372; } 
{ /* Llib/ssl.scm 1244 */
obj_t BgL_arg1737z00_3370;
BgL_arg1737z00_3370 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1244 */
int BgL_offsetz00_3374;
BgL_offsetz00_3374 = 
(int)(BgL_objzd2classzd2numz00_3369); 
{ /* Llib/ssl.scm 1244 */
long BgL_offsetz00_3375;
BgL_offsetz00_3375 = 
(
(long)(BgL_offsetz00_3374)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1244 */
long BgL_modz00_3376;
{ /* Llib/ssl.scm 1244 */
int BgL_arg1739z00_3377;
BgL_arg1739z00_3377 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1244 */
long BgL_res2662z00_3387;
{ /* Llib/ssl.scm 1244 */
long BgL_tmpz00_9865;
BgL_tmpz00_9865 = 
(long)(BgL_arg1739z00_3377); 
BgL_res2662z00_3387 = 
(BgL_offsetz00_3375/BgL_tmpz00_9865); } 
BgL_modz00_3376 = BgL_res2662z00_3387; } } 
{ /* Llib/ssl.scm 1244 */
long BgL_restz00_3378;
{ /* Llib/ssl.scm 1244 */
int BgL_arg1738z00_3379;
BgL_arg1738z00_3379 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1244 */
long BgL_res2664z00_3391;
{ /* Llib/ssl.scm 1244 */
long BgL_tmpz00_9869;
BgL_tmpz00_9869 = 
(long)(BgL_arg1738z00_3379); 
BgL_res2664z00_3391 = 
(BgL_offsetz00_3375%BgL_tmpz00_9869); } 
BgL_restz00_3378 = BgL_res2664z00_3391; } } 
{ /* Llib/ssl.scm 1244 */

{ /* Llib/ssl.scm 1244 */
obj_t BgL_bucketz00_3380;
BgL_bucketz00_3380 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3370),BgL_modz00_3376); 
BgL_res2665z00_3396 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3380),BgL_restz00_3378); } } } } } } } } 
BgL_method1329z00_1751 = BgL_res2665z00_3396; } 
return 
PROCEDURE_ENTRY(BgL_method1329z00_1751)(BgL_method1329z00_1751, 
((obj_t)BgL_sslzd2hmaczd2_132), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-hmac-digest */
obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4661, obj_t BgL_sslzd2hmaczd2_4662)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1244 */
{ /* Llib/ssl.scm 1244 */
BgL_sslzd2hmaczd2_bglt BgL_auxz00_9881;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2hmaczd2_4662, BGl_sslzd2hmaczd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1244 */
BgL_auxz00_9881 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4662)
; }  else 
{ 
obj_t BgL_auxz00_9885;
BgL_auxz00_9885 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)50143)), BGl_string3507z00zz__ssl_sslz00, BGl_string3456z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4662); 
FAILURE(BgL_auxz00_9885,BFALSE,BFALSE);} 
return 
BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_auxz00_9881);} } 
BGL_FUNCTION_END;
}



/* ssl-sign-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_133, obj_t BgL_signz00_134)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1255 */
{ /* Llib/ssl.scm 1255 */
obj_t BgL_method1331z00_1752;
{ /* Llib/ssl.scm 1255 */
obj_t BgL_res2672z00_3425;
{ /* Llib/ssl.scm 1255 */
long BgL_objzd2classzd2numz00_3398;
{ /* Llib/ssl.scm 1255 */
long BgL_res2666z00_3401;
BgL_res2666z00_3401 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_133)); 
BgL_objzd2classzd2numz00_3398 = BgL_res2666z00_3401; } 
{ /* Llib/ssl.scm 1255 */
obj_t BgL_arg1737z00_3399;
BgL_arg1737z00_3399 = 
PROCEDURE_REF(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1255 */
int BgL_offsetz00_3403;
BgL_offsetz00_3403 = 
(int)(BgL_objzd2classzd2numz00_3398); 
{ /* Llib/ssl.scm 1255 */
long BgL_offsetz00_3404;
BgL_offsetz00_3404 = 
(
(long)(BgL_offsetz00_3403)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1255 */
long BgL_modz00_3405;
{ /* Llib/ssl.scm 1255 */
int BgL_arg1739z00_3406;
BgL_arg1739z00_3406 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1255 */
long BgL_res2669z00_3416;
{ /* Llib/ssl.scm 1255 */
long BgL_tmpz00_9898;
BgL_tmpz00_9898 = 
(long)(BgL_arg1739z00_3406); 
BgL_res2669z00_3416 = 
(BgL_offsetz00_3404/BgL_tmpz00_9898); } 
BgL_modz00_3405 = BgL_res2669z00_3416; } } 
{ /* Llib/ssl.scm 1255 */
long BgL_restz00_3407;
{ /* Llib/ssl.scm 1255 */
int BgL_arg1738z00_3408;
BgL_arg1738z00_3408 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1255 */
long BgL_res2671z00_3420;
{ /* Llib/ssl.scm 1255 */
long BgL_tmpz00_9902;
BgL_tmpz00_9902 = 
(long)(BgL_arg1738z00_3408); 
BgL_res2671z00_3420 = 
(BgL_offsetz00_3404%BgL_tmpz00_9902); } 
BgL_restz00_3407 = BgL_res2671z00_3420; } } 
{ /* Llib/ssl.scm 1255 */

{ /* Llib/ssl.scm 1255 */
obj_t BgL_bucketz00_3409;
BgL_bucketz00_3409 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3399),BgL_modz00_3405); 
BgL_res2672z00_3425 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3409),BgL_restz00_3407); } } } } } } } } 
BgL_method1331z00_1752 = BgL_res2672z00_3425; } 
return 
PROCEDURE_ENTRY(BgL_method1331z00_1752)(BgL_method1331z00_1752, 
((obj_t)BgL_sslzd2signzd2_133), BgL_signz00_134, BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-sign-init */
obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4663, obj_t BgL_sslzd2signzd2_4664, obj_t BgL_signz00_4665)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1255 */
{ /* Llib/ssl.scm 1255 */
obj_t BgL_auxz00_9923;BgL_sslzd2signzd2_bglt BgL_auxz00_9915;
if(
STRINGP(BgL_signz00_4665))
{ /* Llib/ssl.scm 1255 */
BgL_auxz00_9923 = BgL_signz00_4665
; }  else 
{ 
obj_t BgL_auxz00_9926;
BgL_auxz00_9926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)50589)), BGl_string3508z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_signz00_4665); 
FAILURE(BgL_auxz00_9926,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2signzd2_4664, BGl_sslzd2signzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1255 */
BgL_auxz00_9915 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4664)
; }  else 
{ 
obj_t BgL_auxz00_9919;
BgL_auxz00_9919 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)50589)), BGl_string3508z00zz__ssl_sslz00, BGl_string3451z00zz__ssl_sslz00, BgL_sslzd2signzd2_4664); 
FAILURE(BgL_auxz00_9919,BFALSE,BFALSE);} 
return 
BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_auxz00_9915, BgL_auxz00_9923);} } 
BGL_FUNCTION_END;
}



/* ssl-sign-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_135, obj_t BgL_dataz00_136, long BgL_offsetz00_137, long BgL_lenz00_138)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1267 */
{ /* Llib/ssl.scm 1267 */
obj_t BgL_method1333z00_1753;
{ /* Llib/ssl.scm 1267 */
obj_t BgL_res2679z00_3454;
{ /* Llib/ssl.scm 1267 */
long BgL_objzd2classzd2numz00_3427;
{ /* Llib/ssl.scm 1267 */
long BgL_res2673z00_3430;
BgL_res2673z00_3430 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_135)); 
BgL_objzd2classzd2numz00_3427 = BgL_res2673z00_3430; } 
{ /* Llib/ssl.scm 1267 */
obj_t BgL_arg1737z00_3428;
BgL_arg1737z00_3428 = 
PROCEDURE_REF(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1267 */
int BgL_offsetz00_3432;
BgL_offsetz00_3432 = 
(int)(BgL_objzd2classzd2numz00_3427); 
{ /* Llib/ssl.scm 1267 */
long BgL_offsetz00_3433;
BgL_offsetz00_3433 = 
(
(long)(BgL_offsetz00_3432)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1267 */
long BgL_modz00_3434;
{ /* Llib/ssl.scm 1267 */
int BgL_arg1739z00_3435;
BgL_arg1739z00_3435 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1267 */
long BgL_res2676z00_3445;
{ /* Llib/ssl.scm 1267 */
long BgL_tmpz00_9939;
BgL_tmpz00_9939 = 
(long)(BgL_arg1739z00_3435); 
BgL_res2676z00_3445 = 
(BgL_offsetz00_3433/BgL_tmpz00_9939); } 
BgL_modz00_3434 = BgL_res2676z00_3445; } } 
{ /* Llib/ssl.scm 1267 */
long BgL_restz00_3436;
{ /* Llib/ssl.scm 1267 */
int BgL_arg1738z00_3437;
BgL_arg1738z00_3437 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1267 */
long BgL_res2678z00_3449;
{ /* Llib/ssl.scm 1267 */
long BgL_tmpz00_9943;
BgL_tmpz00_9943 = 
(long)(BgL_arg1738z00_3437); 
BgL_res2678z00_3449 = 
(BgL_offsetz00_3433%BgL_tmpz00_9943); } 
BgL_restz00_3436 = BgL_res2678z00_3449; } } 
{ /* Llib/ssl.scm 1267 */

{ /* Llib/ssl.scm 1267 */
obj_t BgL_bucketz00_3438;
BgL_bucketz00_3438 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3428),BgL_modz00_3434); 
BgL_res2679z00_3454 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3438),BgL_restz00_3436); } } } } } } } } 
BgL_method1333z00_1753 = BgL_res2679z00_3454; } 
return 
PROCEDURE_ENTRY(BgL_method1333z00_1753)(BgL_method1333z00_1753, 
((obj_t)BgL_sslzd2signzd2_135), BgL_dataz00_136, 
BINT(BgL_offsetz00_137), 
BINT(BgL_lenz00_138), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-sign-update! */
obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4666, obj_t BgL_sslzd2signzd2_4667, obj_t BgL_dataz00_4668, obj_t BgL_offsetz00_4669, obj_t BgL_lenz00_4670)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1267 */
{ /* Llib/ssl.scm 1267 */
long BgL_auxz00_9984;long BgL_auxz00_9975;obj_t BgL_auxz00_9968;BgL_sslzd2signzd2_bglt BgL_auxz00_9960;
{ /* Llib/ssl.scm 1267 */
obj_t BgL_tmpz00_9985;
if(
INTEGERP(BgL_lenz00_4670))
{ /* Llib/ssl.scm 1267 */
BgL_tmpz00_9985 = BgL_lenz00_4670
; }  else 
{ 
obj_t BgL_auxz00_9988;
BgL_auxz00_9988 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51052)), BGl_string3509z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4670); 
FAILURE(BgL_auxz00_9988,BFALSE,BFALSE);} 
BgL_auxz00_9984 = 
(long)CINT(BgL_tmpz00_9985); } 
{ /* Llib/ssl.scm 1267 */
obj_t BgL_tmpz00_9976;
if(
INTEGERP(BgL_offsetz00_4669))
{ /* Llib/ssl.scm 1267 */
BgL_tmpz00_9976 = BgL_offsetz00_4669
; }  else 
{ 
obj_t BgL_auxz00_9979;
BgL_auxz00_9979 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51052)), BGl_string3509z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4669); 
FAILURE(BgL_auxz00_9979,BFALSE,BFALSE);} 
BgL_auxz00_9975 = 
(long)CINT(BgL_tmpz00_9976); } 
if(
STRINGP(BgL_dataz00_4668))
{ /* Llib/ssl.scm 1267 */
BgL_auxz00_9968 = BgL_dataz00_4668
; }  else 
{ 
obj_t BgL_auxz00_9971;
BgL_auxz00_9971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51052)), BGl_string3509z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_dataz00_4668); 
FAILURE(BgL_auxz00_9971,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2signzd2_4667, BGl_sslzd2signzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1267 */
BgL_auxz00_9960 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4667)
; }  else 
{ 
obj_t BgL_auxz00_9964;
BgL_auxz00_9964 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51052)), BGl_string3509z00zz__ssl_sslz00, BGl_string3451z00zz__ssl_sslz00, BgL_sslzd2signzd2_4667); 
FAILURE(BgL_auxz00_9964,BFALSE,BFALSE);} 
return 
BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_9960, BgL_auxz00_9968, BgL_auxz00_9975, BgL_auxz00_9984);} } 
BGL_FUNCTION_END;
}



/* ssl-sign-sign */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_139, obj_t BgL_keyz00_140, long BgL_offsetz00_141, long BgL_lenz00_142)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1279 */
{ /* Llib/ssl.scm 1279 */
obj_t BgL_method1335z00_1754;
{ /* Llib/ssl.scm 1279 */
obj_t BgL_res2686z00_3483;
{ /* Llib/ssl.scm 1279 */
long BgL_objzd2classzd2numz00_3456;
{ /* Llib/ssl.scm 1279 */
long BgL_res2680z00_3459;
BgL_res2680z00_3459 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_139)); 
BgL_objzd2classzd2numz00_3456 = BgL_res2680z00_3459; } 
{ /* Llib/ssl.scm 1279 */
obj_t BgL_arg1737z00_3457;
BgL_arg1737z00_3457 = 
PROCEDURE_REF(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1279 */
int BgL_offsetz00_3461;
BgL_offsetz00_3461 = 
(int)(BgL_objzd2classzd2numz00_3456); 
{ /* Llib/ssl.scm 1279 */
long BgL_offsetz00_3462;
BgL_offsetz00_3462 = 
(
(long)(BgL_offsetz00_3461)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1279 */
long BgL_modz00_3463;
{ /* Llib/ssl.scm 1279 */
int BgL_arg1739z00_3464;
BgL_arg1739z00_3464 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1279 */
long BgL_res2683z00_3474;
{ /* Llib/ssl.scm 1279 */
long BgL_tmpz00_10002;
BgL_tmpz00_10002 = 
(long)(BgL_arg1739z00_3464); 
BgL_res2683z00_3474 = 
(BgL_offsetz00_3462/BgL_tmpz00_10002); } 
BgL_modz00_3463 = BgL_res2683z00_3474; } } 
{ /* Llib/ssl.scm 1279 */
long BgL_restz00_3465;
{ /* Llib/ssl.scm 1279 */
int BgL_arg1738z00_3466;
BgL_arg1738z00_3466 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1279 */
long BgL_res2685z00_3478;
{ /* Llib/ssl.scm 1279 */
long BgL_tmpz00_10006;
BgL_tmpz00_10006 = 
(long)(BgL_arg1738z00_3466); 
BgL_res2685z00_3478 = 
(BgL_offsetz00_3462%BgL_tmpz00_10006); } 
BgL_restz00_3465 = BgL_res2685z00_3478; } } 
{ /* Llib/ssl.scm 1279 */

{ /* Llib/ssl.scm 1279 */
obj_t BgL_bucketz00_3467;
BgL_bucketz00_3467 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3457),BgL_modz00_3463); 
BgL_res2686z00_3483 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3467),BgL_restz00_3465); } } } } } } } } 
BgL_method1335z00_1754 = BgL_res2686z00_3483; } 
return 
PROCEDURE_ENTRY(BgL_method1335z00_1754)(BgL_method1335z00_1754, 
((obj_t)BgL_sslzd2signzd2_139), BgL_keyz00_140, 
BINT(BgL_offsetz00_141), 
BINT(BgL_lenz00_142), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-sign-sign */
obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t BgL_envz00_4671, obj_t BgL_sslzd2signzd2_4672, obj_t BgL_keyz00_4673, obj_t BgL_offsetz00_4674, obj_t BgL_lenz00_4675)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1279 */
{ /* Llib/ssl.scm 1279 */
long BgL_auxz00_10047;long BgL_auxz00_10038;obj_t BgL_auxz00_10031;BgL_sslzd2signzd2_bglt BgL_auxz00_10023;
{ /* Llib/ssl.scm 1279 */
obj_t BgL_tmpz00_10048;
if(
INTEGERP(BgL_lenz00_4675))
{ /* Llib/ssl.scm 1279 */
BgL_tmpz00_10048 = BgL_lenz00_4675
; }  else 
{ 
obj_t BgL_auxz00_10051;
BgL_auxz00_10051 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51548)), BGl_string3510z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4675); 
FAILURE(BgL_auxz00_10051,BFALSE,BFALSE);} 
BgL_auxz00_10047 = 
(long)CINT(BgL_tmpz00_10048); } 
{ /* Llib/ssl.scm 1279 */
obj_t BgL_tmpz00_10039;
if(
INTEGERP(BgL_offsetz00_4674))
{ /* Llib/ssl.scm 1279 */
BgL_tmpz00_10039 = BgL_offsetz00_4674
; }  else 
{ 
obj_t BgL_auxz00_10042;
BgL_auxz00_10042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51548)), BGl_string3510z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4674); 
FAILURE(BgL_auxz00_10042,BFALSE,BFALSE);} 
BgL_auxz00_10038 = 
(long)CINT(BgL_tmpz00_10039); } 
if(
STRINGP(BgL_keyz00_4673))
{ /* Llib/ssl.scm 1279 */
BgL_auxz00_10031 = BgL_keyz00_4673
; }  else 
{ 
obj_t BgL_auxz00_10034;
BgL_auxz00_10034 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51548)), BGl_string3510z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_keyz00_4673); 
FAILURE(BgL_auxz00_10034,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2signzd2_4672, BGl_sslzd2signzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1279 */
BgL_auxz00_10023 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4672)
; }  else 
{ 
obj_t BgL_auxz00_10027;
BgL_auxz00_10027 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)51548)), BGl_string3510z00zz__ssl_sslz00, BGl_string3451z00zz__ssl_sslz00, BgL_sslzd2signzd2_4672); 
FAILURE(BgL_auxz00_10027,BFALSE,BFALSE);} 
return 
BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_auxz00_10023, BgL_auxz00_10031, BgL_auxz00_10038, BgL_auxz00_10047);} } 
BGL_FUNCTION_END;
}



/* ssl-verify-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_143, obj_t BgL_verifyz00_144)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1290 */
{ /* Llib/ssl.scm 1290 */
obj_t BgL_method1337z00_1755;
{ /* Llib/ssl.scm 1290 */
obj_t BgL_res2693z00_3512;
{ /* Llib/ssl.scm 1290 */
long BgL_objzd2classzd2numz00_3485;
{ /* Llib/ssl.scm 1290 */
long BgL_res2687z00_3488;
BgL_res2687z00_3488 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_143)); 
BgL_objzd2classzd2numz00_3485 = BgL_res2687z00_3488; } 
{ /* Llib/ssl.scm 1290 */
obj_t BgL_arg1737z00_3486;
BgL_arg1737z00_3486 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1290 */
int BgL_offsetz00_3490;
BgL_offsetz00_3490 = 
(int)(BgL_objzd2classzd2numz00_3485); 
{ /* Llib/ssl.scm 1290 */
long BgL_offsetz00_3491;
BgL_offsetz00_3491 = 
(
(long)(BgL_offsetz00_3490)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1290 */
long BgL_modz00_3492;
{ /* Llib/ssl.scm 1290 */
int BgL_arg1739z00_3493;
BgL_arg1739z00_3493 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1290 */
long BgL_res2690z00_3503;
{ /* Llib/ssl.scm 1290 */
long BgL_tmpz00_10065;
BgL_tmpz00_10065 = 
(long)(BgL_arg1739z00_3493); 
BgL_res2690z00_3503 = 
(BgL_offsetz00_3491/BgL_tmpz00_10065); } 
BgL_modz00_3492 = BgL_res2690z00_3503; } } 
{ /* Llib/ssl.scm 1290 */
long BgL_restz00_3494;
{ /* Llib/ssl.scm 1290 */
int BgL_arg1738z00_3495;
BgL_arg1738z00_3495 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1290 */
long BgL_res2692z00_3507;
{ /* Llib/ssl.scm 1290 */
long BgL_tmpz00_10069;
BgL_tmpz00_10069 = 
(long)(BgL_arg1738z00_3495); 
BgL_res2692z00_3507 = 
(BgL_offsetz00_3491%BgL_tmpz00_10069); } 
BgL_restz00_3494 = BgL_res2692z00_3507; } } 
{ /* Llib/ssl.scm 1290 */

{ /* Llib/ssl.scm 1290 */
obj_t BgL_bucketz00_3496;
BgL_bucketz00_3496 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3486),BgL_modz00_3492); 
BgL_res2693z00_3512 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3496),BgL_restz00_3494); } } } } } } } } 
BgL_method1337z00_1755 = BgL_res2693z00_3512; } 
return 
PROCEDURE_ENTRY(BgL_method1337z00_1755)(BgL_method1337z00_1755, 
((obj_t)BgL_sslzd2verifyzd2_143), BgL_verifyz00_144, BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-verify-init */
obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4676, obj_t BgL_sslzd2verifyzd2_4677, obj_t BgL_verifyz00_4678)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1290 */
{ /* Llib/ssl.scm 1290 */
obj_t BgL_auxz00_10090;BgL_sslzd2verifyzd2_bglt BgL_auxz00_10082;
if(
STRINGP(BgL_verifyz00_4678))
{ /* Llib/ssl.scm 1290 */
BgL_auxz00_10090 = BgL_verifyz00_4678
; }  else 
{ 
obj_t BgL_auxz00_10093;
BgL_auxz00_10093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)52025)), BGl_string3511z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_verifyz00_4678); 
FAILURE(BgL_auxz00_10093,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2verifyzd2_4677, BGl_sslzd2verifyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1290 */
BgL_auxz00_10082 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4677)
; }  else 
{ 
obj_t BgL_auxz00_10086;
BgL_auxz00_10086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)52025)), BGl_string3511z00zz__ssl_sslz00, BGl_string3446z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4677); 
FAILURE(BgL_auxz00_10086,BFALSE,BFALSE);} 
return 
BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_auxz00_10082, BgL_auxz00_10090);} } 
BGL_FUNCTION_END;
}



/* ssl-verify-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_145, obj_t BgL_dataz00_146, long BgL_offsetz00_147, long BgL_lenz00_148)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1302 */
{ /* Llib/ssl.scm 1302 */
obj_t BgL_method1339z00_1756;
{ /* Llib/ssl.scm 1302 */
obj_t BgL_res2700z00_3541;
{ /* Llib/ssl.scm 1302 */
long BgL_objzd2classzd2numz00_3514;
{ /* Llib/ssl.scm 1302 */
long BgL_res2694z00_3517;
BgL_res2694z00_3517 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_145)); 
BgL_objzd2classzd2numz00_3514 = BgL_res2694z00_3517; } 
{ /* Llib/ssl.scm 1302 */
obj_t BgL_arg1737z00_3515;
BgL_arg1737z00_3515 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1302 */
int BgL_offsetz00_3519;
BgL_offsetz00_3519 = 
(int)(BgL_objzd2classzd2numz00_3514); 
{ /* Llib/ssl.scm 1302 */
long BgL_offsetz00_3520;
BgL_offsetz00_3520 = 
(
(long)(BgL_offsetz00_3519)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1302 */
long BgL_modz00_3521;
{ /* Llib/ssl.scm 1302 */
int BgL_arg1739z00_3522;
BgL_arg1739z00_3522 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1302 */
long BgL_res2697z00_3532;
{ /* Llib/ssl.scm 1302 */
long BgL_tmpz00_10106;
BgL_tmpz00_10106 = 
(long)(BgL_arg1739z00_3522); 
BgL_res2697z00_3532 = 
(BgL_offsetz00_3520/BgL_tmpz00_10106); } 
BgL_modz00_3521 = BgL_res2697z00_3532; } } 
{ /* Llib/ssl.scm 1302 */
long BgL_restz00_3523;
{ /* Llib/ssl.scm 1302 */
int BgL_arg1738z00_3524;
BgL_arg1738z00_3524 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1302 */
long BgL_res2699z00_3536;
{ /* Llib/ssl.scm 1302 */
long BgL_tmpz00_10110;
BgL_tmpz00_10110 = 
(long)(BgL_arg1738z00_3524); 
BgL_res2699z00_3536 = 
(BgL_offsetz00_3520%BgL_tmpz00_10110); } 
BgL_restz00_3523 = BgL_res2699z00_3536; } } 
{ /* Llib/ssl.scm 1302 */

{ /* Llib/ssl.scm 1302 */
obj_t BgL_bucketz00_3525;
BgL_bucketz00_3525 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3515),BgL_modz00_3521); 
BgL_res2700z00_3541 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3525),BgL_restz00_3523); } } } } } } } } 
BgL_method1339z00_1756 = BgL_res2700z00_3541; } 
return 
PROCEDURE_ENTRY(BgL_method1339z00_1756)(BgL_method1339z00_1756, 
((obj_t)BgL_sslzd2verifyzd2_145), BgL_dataz00_146, 
BINT(BgL_offsetz00_147), 
BINT(BgL_lenz00_148), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-verify-update! */
obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4679, obj_t BgL_sslzd2verifyzd2_4680, obj_t BgL_dataz00_4681, obj_t BgL_offsetz00_4682, obj_t BgL_lenz00_4683)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1302 */
{ /* Llib/ssl.scm 1302 */
long BgL_auxz00_10151;long BgL_auxz00_10142;obj_t BgL_auxz00_10135;BgL_sslzd2verifyzd2_bglt BgL_auxz00_10127;
{ /* Llib/ssl.scm 1302 */
obj_t BgL_tmpz00_10152;
if(
INTEGERP(BgL_lenz00_4683))
{ /* Llib/ssl.scm 1302 */
BgL_tmpz00_10152 = BgL_lenz00_4683
; }  else 
{ 
obj_t BgL_auxz00_10155;
BgL_auxz00_10155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)52510)), BGl_string3512z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4683); 
FAILURE(BgL_auxz00_10155,BFALSE,BFALSE);} 
BgL_auxz00_10151 = 
(long)CINT(BgL_tmpz00_10152); } 
{ /* Llib/ssl.scm 1302 */
obj_t BgL_tmpz00_10143;
if(
INTEGERP(BgL_offsetz00_4682))
{ /* Llib/ssl.scm 1302 */
BgL_tmpz00_10143 = BgL_offsetz00_4682
; }  else 
{ 
obj_t BgL_auxz00_10146;
BgL_auxz00_10146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)52510)), BGl_string3512z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4682); 
FAILURE(BgL_auxz00_10146,BFALSE,BFALSE);} 
BgL_auxz00_10142 = 
(long)CINT(BgL_tmpz00_10143); } 
if(
STRINGP(BgL_dataz00_4681))
{ /* Llib/ssl.scm 1302 */
BgL_auxz00_10135 = BgL_dataz00_4681
; }  else 
{ 
obj_t BgL_auxz00_10138;
BgL_auxz00_10138 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)52510)), BGl_string3512z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_dataz00_4681); 
FAILURE(BgL_auxz00_10138,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2verifyzd2_4680, BGl_sslzd2verifyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1302 */
BgL_auxz00_10127 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4680)
; }  else 
{ 
obj_t BgL_auxz00_10131;
BgL_auxz00_10131 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)52510)), BGl_string3512z00zz__ssl_sslz00, BGl_string3446z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4680); 
FAILURE(BgL_auxz00_10131,BFALSE,BFALSE);} 
return 
BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_10127, BgL_auxz00_10135, BgL_auxz00_10142, BgL_auxz00_10151);} } 
BGL_FUNCTION_END;
}



/* ssl-verify-final */
BGL_EXPORTED_DEF bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_149, obj_t BgL_keyz00_150, long BgL_koffsetz00_151, long BgL_klenz00_152, obj_t BgL_sigz00_153, long BgL_soffsetz00_154, long BgL_slenz00_155)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1314 */
{ /* Llib/ssl.scm 1314 */
obj_t BgL_method1341z00_1757;
{ /* Llib/ssl.scm 1314 */
obj_t BgL_res2707z00_3570;
{ /* Llib/ssl.scm 1314 */
long BgL_objzd2classzd2numz00_3543;
{ /* Llib/ssl.scm 1314 */
long BgL_res2701z00_3546;
BgL_res2701z00_3546 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_149)); 
BgL_objzd2classzd2numz00_3543 = BgL_res2701z00_3546; } 
{ /* Llib/ssl.scm 1314 */
obj_t BgL_arg1737z00_3544;
BgL_arg1737z00_3544 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1314 */
int BgL_offsetz00_3548;
BgL_offsetz00_3548 = 
(int)(BgL_objzd2classzd2numz00_3543); 
{ /* Llib/ssl.scm 1314 */
long BgL_offsetz00_3549;
BgL_offsetz00_3549 = 
(
(long)(BgL_offsetz00_3548)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1314 */
long BgL_modz00_3550;
{ /* Llib/ssl.scm 1314 */
int BgL_arg1739z00_3551;
BgL_arg1739z00_3551 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1314 */
long BgL_res2704z00_3561;
{ /* Llib/ssl.scm 1314 */
long BgL_tmpz00_10169;
BgL_tmpz00_10169 = 
(long)(BgL_arg1739z00_3551); 
BgL_res2704z00_3561 = 
(BgL_offsetz00_3549/BgL_tmpz00_10169); } 
BgL_modz00_3550 = BgL_res2704z00_3561; } } 
{ /* Llib/ssl.scm 1314 */
long BgL_restz00_3552;
{ /* Llib/ssl.scm 1314 */
int BgL_arg1738z00_3553;
BgL_arg1738z00_3553 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1314 */
long BgL_res2706z00_3565;
{ /* Llib/ssl.scm 1314 */
long BgL_tmpz00_10173;
BgL_tmpz00_10173 = 
(long)(BgL_arg1738z00_3553); 
BgL_res2706z00_3565 = 
(BgL_offsetz00_3549%BgL_tmpz00_10173); } 
BgL_restz00_3552 = BgL_res2706z00_3565; } } 
{ /* Llib/ssl.scm 1314 */

{ /* Llib/ssl.scm 1314 */
obj_t BgL_bucketz00_3554;
BgL_bucketz00_3554 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3544),BgL_modz00_3550); 
BgL_res2707z00_3570 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3554),BgL_restz00_3552); } } } } } } } } 
BgL_method1341z00_1757 = BgL_res2707z00_3570; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1341z00_1757)(BgL_method1341z00_1757, 
((obj_t)BgL_sslzd2verifyzd2_149), BgL_keyz00_150, 
BINT(BgL_koffsetz00_151), 
BINT(BgL_klenz00_152), BgL_sigz00_153, 
BINT(BgL_soffsetz00_154), 
BINT(BgL_slenz00_155), BEOA));} } 
BGL_FUNCTION_END;
}



/* &ssl-verify-final */
obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4684, obj_t BgL_sslzd2verifyzd2_4685, obj_t BgL_keyz00_4686, obj_t BgL_koffsetz00_4687, obj_t BgL_klenz00_4688, obj_t BgL_sigz00_4689, obj_t BgL_soffsetz00_4690, obj_t BgL_slenz00_4691)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1314 */
{ /* Llib/ssl.scm 1314 */
bool_t BgL_tmpz00_10196;
{ /* Llib/ssl.scm 1314 */
long BgL_auxz00_10246;long BgL_auxz00_10237;obj_t BgL_auxz00_10230;long BgL_auxz00_10221;long BgL_auxz00_10212;obj_t BgL_auxz00_10205;BgL_sslzd2verifyzd2_bglt BgL_auxz00_10197;
{ /* Llib/ssl.scm 1314 */
obj_t BgL_tmpz00_10247;
if(
INTEGERP(BgL_slenz00_4691))
{ /* Llib/ssl.scm 1314 */
BgL_tmpz00_10247 = BgL_slenz00_4691
; }  else 
{ 
obj_t BgL_auxz00_10250;
BgL_auxz00_10250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_slenz00_4691); 
FAILURE(BgL_auxz00_10250,BFALSE,BFALSE);} 
BgL_auxz00_10246 = 
(long)CINT(BgL_tmpz00_10247); } 
{ /* Llib/ssl.scm 1314 */
obj_t BgL_tmpz00_10238;
if(
INTEGERP(BgL_soffsetz00_4690))
{ /* Llib/ssl.scm 1314 */
BgL_tmpz00_10238 = BgL_soffsetz00_4690
; }  else 
{ 
obj_t BgL_auxz00_10241;
BgL_auxz00_10241 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_soffsetz00_4690); 
FAILURE(BgL_auxz00_10241,BFALSE,BFALSE);} 
BgL_auxz00_10237 = 
(long)CINT(BgL_tmpz00_10238); } 
if(
STRINGP(BgL_sigz00_4689))
{ /* Llib/ssl.scm 1314 */
BgL_auxz00_10230 = BgL_sigz00_4689
; }  else 
{ 
obj_t BgL_auxz00_10233;
BgL_auxz00_10233 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_sigz00_4689); 
FAILURE(BgL_auxz00_10233,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1314 */
obj_t BgL_tmpz00_10222;
if(
INTEGERP(BgL_klenz00_4688))
{ /* Llib/ssl.scm 1314 */
BgL_tmpz00_10222 = BgL_klenz00_4688
; }  else 
{ 
obj_t BgL_auxz00_10225;
BgL_auxz00_10225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_klenz00_4688); 
FAILURE(BgL_auxz00_10225,BFALSE,BFALSE);} 
BgL_auxz00_10221 = 
(long)CINT(BgL_tmpz00_10222); } 
{ /* Llib/ssl.scm 1314 */
obj_t BgL_tmpz00_10213;
if(
INTEGERP(BgL_koffsetz00_4687))
{ /* Llib/ssl.scm 1314 */
BgL_tmpz00_10213 = BgL_koffsetz00_4687
; }  else 
{ 
obj_t BgL_auxz00_10216;
BgL_auxz00_10216 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_koffsetz00_4687); 
FAILURE(BgL_auxz00_10216,BFALSE,BFALSE);} 
BgL_auxz00_10212 = 
(long)CINT(BgL_tmpz00_10213); } 
if(
STRINGP(BgL_keyz00_4686))
{ /* Llib/ssl.scm 1314 */
BgL_auxz00_10205 = BgL_keyz00_4686
; }  else 
{ 
obj_t BgL_auxz00_10208;
BgL_auxz00_10208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_keyz00_4686); 
FAILURE(BgL_auxz00_10208,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2verifyzd2_4685, BGl_sslzd2verifyzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1314 */
BgL_auxz00_10197 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4685)
; }  else 
{ 
obj_t BgL_auxz00_10201;
BgL_auxz00_10201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53022)), BGl_string3513z00zz__ssl_sslz00, BGl_string3446z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4685); 
FAILURE(BgL_auxz00_10201,BFALSE,BFALSE);} 
BgL_tmpz00_10196 = 
BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_auxz00_10197, BgL_auxz00_10205, BgL_auxz00_10212, BgL_auxz00_10221, BgL_auxz00_10230, BgL_auxz00_10237, BgL_auxz00_10246); } 
return 
BBOOL(BgL_tmpz00_10196);} } 
BGL_FUNCTION_END;
}



/* ssl-cipher-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_156, obj_t BgL_cipherz00_157, obj_t BgL_keyz00_158, long BgL_offsetz00_159, long BgL_lenz00_160, bool_t BgL_encz00_161)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1328 */
{ /* Llib/ssl.scm 1328 */
obj_t BgL_method1343z00_1758;
{ /* Llib/ssl.scm 1328 */
obj_t BgL_res2714z00_3599;
{ /* Llib/ssl.scm 1328 */
long BgL_objzd2classzd2numz00_3572;
{ /* Llib/ssl.scm 1328 */
long BgL_res2708z00_3575;
BgL_res2708z00_3575 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_156)); 
BgL_objzd2classzd2numz00_3572 = BgL_res2708z00_3575; } 
{ /* Llib/ssl.scm 1328 */
obj_t BgL_arg1737z00_3573;
BgL_arg1737z00_3573 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1328 */
int BgL_offsetz00_3577;
BgL_offsetz00_3577 = 
(int)(BgL_objzd2classzd2numz00_3572); 
{ /* Llib/ssl.scm 1328 */
long BgL_offsetz00_3578;
BgL_offsetz00_3578 = 
(
(long)(BgL_offsetz00_3577)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1328 */
long BgL_modz00_3579;
{ /* Llib/ssl.scm 1328 */
int BgL_arg1739z00_3580;
BgL_arg1739z00_3580 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1328 */
long BgL_res2711z00_3590;
{ /* Llib/ssl.scm 1328 */
long BgL_tmpz00_10265;
BgL_tmpz00_10265 = 
(long)(BgL_arg1739z00_3580); 
BgL_res2711z00_3590 = 
(BgL_offsetz00_3578/BgL_tmpz00_10265); } 
BgL_modz00_3579 = BgL_res2711z00_3590; } } 
{ /* Llib/ssl.scm 1328 */
long BgL_restz00_3581;
{ /* Llib/ssl.scm 1328 */
int BgL_arg1738z00_3582;
BgL_arg1738z00_3582 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1328 */
long BgL_res2713z00_3594;
{ /* Llib/ssl.scm 1328 */
long BgL_tmpz00_10269;
BgL_tmpz00_10269 = 
(long)(BgL_arg1738z00_3582); 
BgL_res2713z00_3594 = 
(BgL_offsetz00_3578%BgL_tmpz00_10269); } 
BgL_restz00_3581 = BgL_res2713z00_3594; } } 
{ /* Llib/ssl.scm 1328 */

{ /* Llib/ssl.scm 1328 */
obj_t BgL_bucketz00_3583;
BgL_bucketz00_3583 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3573),BgL_modz00_3579); 
BgL_res2714z00_3599 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3583),BgL_restz00_3581); } } } } } } } } 
BgL_method1343z00_1758 = BgL_res2714z00_3599; } 
return 
PROCEDURE_ENTRY(BgL_method1343z00_1758)(BgL_method1343z00_1758, 
((obj_t)BgL_sslzd2cipherzd2_156), BgL_cipherz00_157, BgL_keyz00_158, 
BINT(BgL_offsetz00_159), 
BINT(BgL_lenz00_160), 
BBOOL(BgL_encz00_161), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-init */
obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4692, obj_t BgL_sslzd2cipherzd2_4693, obj_t BgL_cipherz00_4694, obj_t BgL_keyz00_4695, obj_t BgL_offsetz00_4696, obj_t BgL_lenz00_4697, obj_t BgL_encz00_4698)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1328 */
{ /* Llib/ssl.scm 1328 */
long BgL_auxz00_10320;long BgL_auxz00_10311;obj_t BgL_auxz00_10304;obj_t BgL_auxz00_10297;BgL_sslzd2cipherzd2_bglt BgL_auxz00_10289;
{ /* Llib/ssl.scm 1328 */
obj_t BgL_tmpz00_10321;
if(
INTEGERP(BgL_lenz00_4697))
{ /* Llib/ssl.scm 1328 */
BgL_tmpz00_10321 = BgL_lenz00_4697
; }  else 
{ 
obj_t BgL_auxz00_10324;
BgL_auxz00_10324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53505)), BGl_string3514z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4697); 
FAILURE(BgL_auxz00_10324,BFALSE,BFALSE);} 
BgL_auxz00_10320 = 
(long)CINT(BgL_tmpz00_10321); } 
{ /* Llib/ssl.scm 1328 */
obj_t BgL_tmpz00_10312;
if(
INTEGERP(BgL_offsetz00_4696))
{ /* Llib/ssl.scm 1328 */
BgL_tmpz00_10312 = BgL_offsetz00_4696
; }  else 
{ 
obj_t BgL_auxz00_10315;
BgL_auxz00_10315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53505)), BGl_string3514z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4696); 
FAILURE(BgL_auxz00_10315,BFALSE,BFALSE);} 
BgL_auxz00_10311 = 
(long)CINT(BgL_tmpz00_10312); } 
if(
STRINGP(BgL_keyz00_4695))
{ /* Llib/ssl.scm 1328 */
BgL_auxz00_10304 = BgL_keyz00_4695
; }  else 
{ 
obj_t BgL_auxz00_10307;
BgL_auxz00_10307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53505)), BGl_string3514z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_keyz00_4695); 
FAILURE(BgL_auxz00_10307,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4694))
{ /* Llib/ssl.scm 1328 */
BgL_auxz00_10297 = BgL_cipherz00_4694
; }  else 
{ 
obj_t BgL_auxz00_10300;
BgL_auxz00_10300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53505)), BGl_string3514z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_cipherz00_4694); 
FAILURE(BgL_auxz00_10300,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4693, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1328 */
BgL_auxz00_10289 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4693)
; }  else 
{ 
obj_t BgL_auxz00_10293;
BgL_auxz00_10293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)53505)), BGl_string3514z00zz__ssl_sslz00, BGl_string3515z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4693); 
FAILURE(BgL_auxz00_10293,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_auxz00_10289, BgL_auxz00_10297, BgL_auxz00_10304, BgL_auxz00_10311, BgL_auxz00_10320, 
CBOOL(BgL_encz00_4698));} } 
BGL_FUNCTION_END;
}



/* ssl-cipher-initiv */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_162, obj_t BgL_cipherz00_163, obj_t BgL_keyz00_164, long BgL_offsetz00_165, long BgL_lenz00_166, obj_t BgL_ivz00_167, long BgL_ivoffsetz00_168, long BgL_ivlenz00_169, bool_t BgL_encz00_170)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1342 */
{ /* Llib/ssl.scm 1342 */
obj_t BgL_method1345z00_1759;
{ /* Llib/ssl.scm 1342 */
obj_t BgL_res2721z00_3628;
{ /* Llib/ssl.scm 1342 */
long BgL_objzd2classzd2numz00_3601;
{ /* Llib/ssl.scm 1342 */
long BgL_res2715z00_3604;
BgL_res2715z00_3604 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_162)); 
BgL_objzd2classzd2numz00_3601 = BgL_res2715z00_3604; } 
{ /* Llib/ssl.scm 1342 */
obj_t BgL_arg1737z00_3602;
BgL_arg1737z00_3602 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1342 */
int BgL_offsetz00_3606;
BgL_offsetz00_3606 = 
(int)(BgL_objzd2classzd2numz00_3601); 
{ /* Llib/ssl.scm 1342 */
long BgL_offsetz00_3607;
BgL_offsetz00_3607 = 
(
(long)(BgL_offsetz00_3606)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1342 */
long BgL_modz00_3608;
{ /* Llib/ssl.scm 1342 */
int BgL_arg1739z00_3609;
BgL_arg1739z00_3609 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1342 */
long BgL_res2718z00_3619;
{ /* Llib/ssl.scm 1342 */
long BgL_tmpz00_10339;
BgL_tmpz00_10339 = 
(long)(BgL_arg1739z00_3609); 
BgL_res2718z00_3619 = 
(BgL_offsetz00_3607/BgL_tmpz00_10339); } 
BgL_modz00_3608 = BgL_res2718z00_3619; } } 
{ /* Llib/ssl.scm 1342 */
long BgL_restz00_3610;
{ /* Llib/ssl.scm 1342 */
int BgL_arg1738z00_3611;
BgL_arg1738z00_3611 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1342 */
long BgL_res2720z00_3623;
{ /* Llib/ssl.scm 1342 */
long BgL_tmpz00_10343;
BgL_tmpz00_10343 = 
(long)(BgL_arg1738z00_3611); 
BgL_res2720z00_3623 = 
(BgL_offsetz00_3607%BgL_tmpz00_10343); } 
BgL_restz00_3610 = BgL_res2720z00_3623; } } 
{ /* Llib/ssl.scm 1342 */

{ /* Llib/ssl.scm 1342 */
obj_t BgL_bucketz00_3612;
BgL_bucketz00_3612 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3602),BgL_modz00_3608); 
BgL_res2721z00_3628 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3612),BgL_restz00_3610); } } } } } } } } 
BgL_method1345z00_1759 = BgL_res2721z00_3628; } 
return 
PROCEDURE_ENTRY(BgL_method1345z00_1759)(BgL_method1345z00_1759, 
((obj_t)BgL_sslzd2cipherzd2_162), BgL_cipherz00_163, BgL_keyz00_164, 
BINT(BgL_offsetz00_165), 
BINT(BgL_lenz00_166), BgL_ivz00_167, 
BINT(BgL_ivoffsetz00_168), 
BINT(BgL_ivlenz00_169), 
BBOOL(BgL_encz00_170), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-initiv */
obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t BgL_envz00_4699, obj_t BgL_sslzd2cipherzd2_4700, obj_t BgL_cipherz00_4701, obj_t BgL_keyz00_4702, obj_t BgL_offsetz00_4703, obj_t BgL_lenz00_4704, obj_t BgL_ivz00_4705, obj_t BgL_ivoffsetz00_4706, obj_t BgL_ivlenz00_4707, obj_t BgL_encz00_4708)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1342 */
{ /* Llib/ssl.scm 1342 */
long BgL_auxz00_10424;long BgL_auxz00_10415;obj_t BgL_auxz00_10408;long BgL_auxz00_10399;long BgL_auxz00_10390;obj_t BgL_auxz00_10383;obj_t BgL_auxz00_10376;BgL_sslzd2cipherzd2_bglt BgL_auxz00_10368;
{ /* Llib/ssl.scm 1342 */
obj_t BgL_tmpz00_10425;
if(
INTEGERP(BgL_ivlenz00_4707))
{ /* Llib/ssl.scm 1342 */
BgL_tmpz00_10425 = BgL_ivlenz00_4707
; }  else 
{ 
obj_t BgL_auxz00_10428;
BgL_auxz00_10428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_ivlenz00_4707); 
FAILURE(BgL_auxz00_10428,BFALSE,BFALSE);} 
BgL_auxz00_10424 = 
(long)CINT(BgL_tmpz00_10425); } 
{ /* Llib/ssl.scm 1342 */
obj_t BgL_tmpz00_10416;
if(
INTEGERP(BgL_ivoffsetz00_4706))
{ /* Llib/ssl.scm 1342 */
BgL_tmpz00_10416 = BgL_ivoffsetz00_4706
; }  else 
{ 
obj_t BgL_auxz00_10419;
BgL_auxz00_10419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_ivoffsetz00_4706); 
FAILURE(BgL_auxz00_10419,BFALSE,BFALSE);} 
BgL_auxz00_10415 = 
(long)CINT(BgL_tmpz00_10416); } 
if(
STRINGP(BgL_ivz00_4705))
{ /* Llib/ssl.scm 1342 */
BgL_auxz00_10408 = BgL_ivz00_4705
; }  else 
{ 
obj_t BgL_auxz00_10411;
BgL_auxz00_10411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_ivz00_4705); 
FAILURE(BgL_auxz00_10411,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1342 */
obj_t BgL_tmpz00_10400;
if(
INTEGERP(BgL_lenz00_4704))
{ /* Llib/ssl.scm 1342 */
BgL_tmpz00_10400 = BgL_lenz00_4704
; }  else 
{ 
obj_t BgL_auxz00_10403;
BgL_auxz00_10403 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4704); 
FAILURE(BgL_auxz00_10403,BFALSE,BFALSE);} 
BgL_auxz00_10399 = 
(long)CINT(BgL_tmpz00_10400); } 
{ /* Llib/ssl.scm 1342 */
obj_t BgL_tmpz00_10391;
if(
INTEGERP(BgL_offsetz00_4703))
{ /* Llib/ssl.scm 1342 */
BgL_tmpz00_10391 = BgL_offsetz00_4703
; }  else 
{ 
obj_t BgL_auxz00_10394;
BgL_auxz00_10394 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4703); 
FAILURE(BgL_auxz00_10394,BFALSE,BFALSE);} 
BgL_auxz00_10390 = 
(long)CINT(BgL_tmpz00_10391); } 
if(
STRINGP(BgL_keyz00_4702))
{ /* Llib/ssl.scm 1342 */
BgL_auxz00_10383 = BgL_keyz00_4702
; }  else 
{ 
obj_t BgL_auxz00_10386;
BgL_auxz00_10386 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_keyz00_4702); 
FAILURE(BgL_auxz00_10386,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_4701))
{ /* Llib/ssl.scm 1342 */
BgL_auxz00_10376 = BgL_cipherz00_4701
; }  else 
{ 
obj_t BgL_auxz00_10379;
BgL_auxz00_10379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_cipherz00_4701); 
FAILURE(BgL_auxz00_10379,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4700, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1342 */
BgL_auxz00_10368 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4700)
; }  else 
{ 
obj_t BgL_auxz00_10372;
BgL_auxz00_10372 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54029)), BGl_string3516z00zz__ssl_sslz00, BGl_string3515z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4700); 
FAILURE(BgL_auxz00_10372,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_auxz00_10368, BgL_auxz00_10376, BgL_auxz00_10383, BgL_auxz00_10390, BgL_auxz00_10399, BgL_auxz00_10408, BgL_auxz00_10415, BgL_auxz00_10424, 
CBOOL(BgL_encz00_4708));} } 
BGL_FUNCTION_END;
}



/* ssl-cipher-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_171, obj_t BgL_dataz00_172, long BgL_offsetz00_173, long BgL_lenz00_174)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1359 */
{ /* Llib/ssl.scm 1359 */
obj_t BgL_method1347z00_1760;
{ /* Llib/ssl.scm 1359 */
obj_t BgL_res2728z00_3657;
{ /* Llib/ssl.scm 1359 */
long BgL_objzd2classzd2numz00_3630;
{ /* Llib/ssl.scm 1359 */
long BgL_res2722z00_3633;
BgL_res2722z00_3633 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_171)); 
BgL_objzd2classzd2numz00_3630 = BgL_res2722z00_3633; } 
{ /* Llib/ssl.scm 1359 */
obj_t BgL_arg1737z00_3631;
BgL_arg1737z00_3631 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1359 */
int BgL_offsetz00_3635;
BgL_offsetz00_3635 = 
(int)(BgL_objzd2classzd2numz00_3630); 
{ /* Llib/ssl.scm 1359 */
long BgL_offsetz00_3636;
BgL_offsetz00_3636 = 
(
(long)(BgL_offsetz00_3635)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1359 */
long BgL_modz00_3637;
{ /* Llib/ssl.scm 1359 */
int BgL_arg1739z00_3638;
BgL_arg1739z00_3638 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1359 */
long BgL_res2725z00_3648;
{ /* Llib/ssl.scm 1359 */
long BgL_tmpz00_10443;
BgL_tmpz00_10443 = 
(long)(BgL_arg1739z00_3638); 
BgL_res2725z00_3648 = 
(BgL_offsetz00_3636/BgL_tmpz00_10443); } 
BgL_modz00_3637 = BgL_res2725z00_3648; } } 
{ /* Llib/ssl.scm 1359 */
long BgL_restz00_3639;
{ /* Llib/ssl.scm 1359 */
int BgL_arg1738z00_3640;
BgL_arg1738z00_3640 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1359 */
long BgL_res2727z00_3652;
{ /* Llib/ssl.scm 1359 */
long BgL_tmpz00_10447;
BgL_tmpz00_10447 = 
(long)(BgL_arg1738z00_3640); 
BgL_res2727z00_3652 = 
(BgL_offsetz00_3636%BgL_tmpz00_10447); } 
BgL_restz00_3639 = BgL_res2727z00_3652; } } 
{ /* Llib/ssl.scm 1359 */

{ /* Llib/ssl.scm 1359 */
obj_t BgL_bucketz00_3641;
BgL_bucketz00_3641 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3631),BgL_modz00_3637); 
BgL_res2728z00_3657 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3641),BgL_restz00_3639); } } } } } } } } 
BgL_method1347z00_1760 = BgL_res2728z00_3657; } 
return 
PROCEDURE_ENTRY(BgL_method1347z00_1760)(BgL_method1347z00_1760, 
((obj_t)BgL_sslzd2cipherzd2_171), BgL_dataz00_172, 
BINT(BgL_offsetz00_173), 
BINT(BgL_lenz00_174), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-update! */
obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4709, obj_t BgL_sslzd2cipherzd2_4710, obj_t BgL_dataz00_4711, obj_t BgL_offsetz00_4712, obj_t BgL_lenz00_4713)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1359 */
{ /* Llib/ssl.scm 1359 */
long BgL_auxz00_10488;long BgL_auxz00_10479;obj_t BgL_auxz00_10472;BgL_sslzd2cipherzd2_bglt BgL_auxz00_10464;
{ /* Llib/ssl.scm 1359 */
obj_t BgL_tmpz00_10489;
if(
INTEGERP(BgL_lenz00_4713))
{ /* Llib/ssl.scm 1359 */
BgL_tmpz00_10489 = BgL_lenz00_4713
; }  else 
{ 
obj_t BgL_auxz00_10492;
BgL_auxz00_10492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54598)), BGl_string3517z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_lenz00_4713); 
FAILURE(BgL_auxz00_10492,BFALSE,BFALSE);} 
BgL_auxz00_10488 = 
(long)CINT(BgL_tmpz00_10489); } 
{ /* Llib/ssl.scm 1359 */
obj_t BgL_tmpz00_10480;
if(
INTEGERP(BgL_offsetz00_4712))
{ /* Llib/ssl.scm 1359 */
BgL_tmpz00_10480 = BgL_offsetz00_4712
; }  else 
{ 
obj_t BgL_auxz00_10483;
BgL_auxz00_10483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54598)), BGl_string3517z00zz__ssl_sslz00, BGl_string3136z00zz__ssl_sslz00, BgL_offsetz00_4712); 
FAILURE(BgL_auxz00_10483,BFALSE,BFALSE);} 
BgL_auxz00_10479 = 
(long)CINT(BgL_tmpz00_10480); } 
if(
STRINGP(BgL_dataz00_4711))
{ /* Llib/ssl.scm 1359 */
BgL_auxz00_10472 = BgL_dataz00_4711
; }  else 
{ 
obj_t BgL_auxz00_10475;
BgL_auxz00_10475 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54598)), BGl_string3517z00zz__ssl_sslz00, BGl_string3137z00zz__ssl_sslz00, BgL_dataz00_4711); 
FAILURE(BgL_auxz00_10475,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4710, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1359 */
BgL_auxz00_10464 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4710)
; }  else 
{ 
obj_t BgL_auxz00_10468;
BgL_auxz00_10468 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)54598)), BGl_string3517z00zz__ssl_sslz00, BGl_string3515z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4710); 
FAILURE(BgL_auxz00_10468,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_10464, BgL_auxz00_10472, BgL_auxz00_10479, BgL_auxz00_10488);} } 
BGL_FUNCTION_END;
}



/* ssl-cipher-set-auto-padding */
BGL_EXPORTED_DEF bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_175, bool_t BgL_autozd2paddingzd2_176)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1370 */
{ /* Llib/ssl.scm 1370 */
obj_t BgL_method1349z00_1761;
{ /* Llib/ssl.scm 1370 */
obj_t BgL_res2735z00_3686;
{ /* Llib/ssl.scm 1370 */
long BgL_objzd2classzd2numz00_3659;
{ /* Llib/ssl.scm 1370 */
long BgL_res2729z00_3662;
BgL_res2729z00_3662 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_175)); 
BgL_objzd2classzd2numz00_3659 = BgL_res2729z00_3662; } 
{ /* Llib/ssl.scm 1370 */
obj_t BgL_arg1737z00_3660;
BgL_arg1737z00_3660 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1370 */
int BgL_offsetz00_3664;
BgL_offsetz00_3664 = 
(int)(BgL_objzd2classzd2numz00_3659); 
{ /* Llib/ssl.scm 1370 */
long BgL_offsetz00_3665;
BgL_offsetz00_3665 = 
(
(long)(BgL_offsetz00_3664)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1370 */
long BgL_modz00_3666;
{ /* Llib/ssl.scm 1370 */
int BgL_arg1739z00_3667;
BgL_arg1739z00_3667 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1370 */
long BgL_res2732z00_3677;
{ /* Llib/ssl.scm 1370 */
long BgL_tmpz00_10506;
BgL_tmpz00_10506 = 
(long)(BgL_arg1739z00_3667); 
BgL_res2732z00_3677 = 
(BgL_offsetz00_3665/BgL_tmpz00_10506); } 
BgL_modz00_3666 = BgL_res2732z00_3677; } } 
{ /* Llib/ssl.scm 1370 */
long BgL_restz00_3668;
{ /* Llib/ssl.scm 1370 */
int BgL_arg1738z00_3669;
BgL_arg1738z00_3669 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1370 */
long BgL_res2734z00_3681;
{ /* Llib/ssl.scm 1370 */
long BgL_tmpz00_10510;
BgL_tmpz00_10510 = 
(long)(BgL_arg1738z00_3669); 
BgL_res2734z00_3681 = 
(BgL_offsetz00_3665%BgL_tmpz00_10510); } 
BgL_restz00_3668 = BgL_res2734z00_3681; } } 
{ /* Llib/ssl.scm 1370 */

{ /* Llib/ssl.scm 1370 */
obj_t BgL_bucketz00_3670;
BgL_bucketz00_3670 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3660),BgL_modz00_3666); 
BgL_res2735z00_3686 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3670),BgL_restz00_3668); } } } } } } } } 
BgL_method1349z00_1761 = BgL_res2735z00_3686; } 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_method1349z00_1761)(BgL_method1349z00_1761, 
((obj_t)BgL_sslzd2cipherzd2_175), 
BBOOL(BgL_autozd2paddingzd2_176), BEOA));} } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-set-auto-padding */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t BgL_envz00_4714, obj_t BgL_sslzd2cipherzd2_4715, obj_t BgL_autozd2paddingzd2_4716)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1370 */
{ /* Llib/ssl.scm 1370 */
bool_t BgL_tmpz00_10525;
{ /* Llib/ssl.scm 1370 */
BgL_sslzd2cipherzd2_bglt BgL_auxz00_10526;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4715, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1370 */
BgL_auxz00_10526 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4715)
; }  else 
{ 
obj_t BgL_auxz00_10530;
BgL_auxz00_10530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)55140)), BGl_string3518z00zz__ssl_sslz00, BGl_string3515z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4715); 
FAILURE(BgL_auxz00_10530,BFALSE,BFALSE);} 
BgL_tmpz00_10525 = 
BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_auxz00_10526, 
CBOOL(BgL_autozd2paddingzd2_4716)); } 
return 
BBOOL(BgL_tmpz00_10525);} } 
BGL_FUNCTION_END;
}



/* ssl-cipher-final */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_177)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1380 */
{ /* Llib/ssl.scm 1380 */
obj_t BgL_method1351z00_1762;
{ /* Llib/ssl.scm 1380 */
obj_t BgL_res2742z00_3715;
{ /* Llib/ssl.scm 1380 */
long BgL_objzd2classzd2numz00_3688;
{ /* Llib/ssl.scm 1380 */
long BgL_res2736z00_3691;
BgL_res2736z00_3691 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_177)); 
BgL_objzd2classzd2numz00_3688 = BgL_res2736z00_3691; } 
{ /* Llib/ssl.scm 1380 */
obj_t BgL_arg1737z00_3689;
BgL_arg1737z00_3689 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(((long)1))); 
{ /* Llib/ssl.scm 1380 */
int BgL_offsetz00_3693;
BgL_offsetz00_3693 = 
(int)(BgL_objzd2classzd2numz00_3688); 
{ /* Llib/ssl.scm 1380 */
long BgL_offsetz00_3694;
BgL_offsetz00_3694 = 
(
(long)(BgL_offsetz00_3693)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1380 */
long BgL_modz00_3695;
{ /* Llib/ssl.scm 1380 */
int BgL_arg1739z00_3696;
BgL_arg1739z00_3696 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1380 */
long BgL_res2739z00_3706;
{ /* Llib/ssl.scm 1380 */
long BgL_tmpz00_10545;
BgL_tmpz00_10545 = 
(long)(BgL_arg1739z00_3696); 
BgL_res2739z00_3706 = 
(BgL_offsetz00_3694/BgL_tmpz00_10545); } 
BgL_modz00_3695 = BgL_res2739z00_3706; } } 
{ /* Llib/ssl.scm 1380 */
long BgL_restz00_3697;
{ /* Llib/ssl.scm 1380 */
int BgL_arg1738z00_3698;
BgL_arg1738z00_3698 = 
(int)(((long)16)); 
{ /* Llib/ssl.scm 1380 */
long BgL_res2741z00_3710;
{ /* Llib/ssl.scm 1380 */
long BgL_tmpz00_10549;
BgL_tmpz00_10549 = 
(long)(BgL_arg1738z00_3698); 
BgL_res2741z00_3710 = 
(BgL_offsetz00_3694%BgL_tmpz00_10549); } 
BgL_restz00_3697 = BgL_res2741z00_3710; } } 
{ /* Llib/ssl.scm 1380 */

{ /* Llib/ssl.scm 1380 */
obj_t BgL_bucketz00_3699;
BgL_bucketz00_3699 = 
VECTOR_REF(
((obj_t)BgL_arg1737z00_3689),BgL_modz00_3695); 
BgL_res2742z00_3715 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3699),BgL_restz00_3697); } } } } } } } } 
BgL_method1351z00_1762 = BgL_res2742z00_3715; } 
return 
PROCEDURE_ENTRY(BgL_method1351z00_1762)(BgL_method1351z00_1762, 
((obj_t)BgL_sslzd2cipherzd2_177), BEOA);} } 
BGL_FUNCTION_END;
}



/* &ssl-cipher-final */
obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_4717, obj_t BgL_sslzd2cipherzd2_4718)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 1380 */
{ /* Llib/ssl.scm 1380 */
BgL_sslzd2cipherzd2_bglt BgL_auxz00_10561;
if(
BGl_isazf3zf3zz__objectz00(BgL_sslzd2cipherzd2_4718, BGl_sslzd2cipherzd2zz__ssl_sslz00))
{ /* Llib/ssl.scm 1380 */
BgL_auxz00_10561 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4718)
; }  else 
{ 
obj_t BgL_auxz00_10565;
BgL_auxz00_10565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3134z00zz__ssl_sslz00, 
BINT(((long)55569)), BGl_string3519z00zz__ssl_sslz00, BGl_string3515z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_4718); 
FAILURE(BgL_auxz00_10565,BFALSE,BFALSE);} 
return 
BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_auxz00_10561);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_sslz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
